/* USE THIS TO CONFIGURE A GENERIC TEST PANEL */
/* Y = 160, X = 40 * 16 = 640 */
#define _PANEL_WIDTH 640
#define _PANEL_HEIGHT 160
#define _PANEL_FREQ 13
/* BPH=134, PWH=10, FPH=24 */
#define _PANEL_BPH 134
#define _PANEL_PWH 10
#define _PANEL_FPH 24
/* BPV=13, PWV=5, FPV=86 */
#define _PANEL_BPV 13
#define _PANEL_PWV 5
#define _PANEL_FPV 86
int8_t Panel_setup(uint32_t,uint32_t);

/* SETTINGS FOR SPECIFIC PANELS */

void TX09_setup(uint32_t,uint32_t);
/* Y = 320, X = 15 * 16 = 240 */
#define _TX09PANELSIZE 0x0140000F
/* BPH=17, PWH=5, FPH=11 */
#define _TX09BPH 17
#define _TX09PWH 5
#define _TX09FPH 11
#define _TX09HPARA 0x0410280B
/* BPV=4, PWV=1, FPV=0 */
#define _TX09BPV 4
#define _TX09PWV 1
#define _TX09FPV 0
#define _TX09VPARA 0x01000800

void LQ043_setup(uint32_t,uint32_t);
/* Y = 272, X = 30 * 16 = 480 */
#define _LQ043PANELSIZE 0x0110001E
/* BPH=2, PWH=41, FPH=2 */
#define _LQ043BPH 2
#define _LQ043PWH 41
#define _LQ043FPH 2
#define _LQ043HPARA 0x00814802
/* BPV=2, PWV=10, FPV=2 */
#define _LQ043BPV 2
#define _LQ043PWV 10
#define _LQ043FPV 2
#define _LQ043VPARA 0x00805002

void LQ088_setup(uint32_t,uint32_t);
/* Y = 240, X = 40 * 16 = 640 */
#define _LQ088PANELSIZE 0x00F00028
/* BPH=16, PWH=48, FPH=44 */
#define _LQ088BPH 16
#define _LQ088PWH 48
#define _LQ088FPH 44
#define _LQ088HPARA 0x0401802C
/* BPV=3, PWV=4, FPV=5 */
#define _LQ088BPV 3
#define _LQ088PWV 4
#define _LQ088FPV 5
#define _LQ088VPARA 0x00C02005

void T55382GD050_setup(uint32_t,uint32_t);
/* Y = 480, X = 50 * 16 = 800 */
#define _T55382GD050PANELSIZE 0x01E00032
/* BPH=88, PWH=1, FPH=166 */
#define _T55382GD050BPH 88
#define _T55382GD050PWH 1
#define _T55382GD050FPH 166
#define _T55382GD050HPARA 0x160008A6
/* BPV=32, PWV=1, FPV=11 */
#define _T55382GD050BPV 32
#define _T55382GD050PWV 1
#define _T55382GD050FPV 11
#define _T55382GD050VPARA 0x0800080B

void LQ050_setup(uint32_t,uint32_t);
/* Y = 480, X = 50 * 16 = 800 */
#define _LQ050PANELSIZE 0x01E00032
/* BPH=88, PWH=48, FPH=40 */
#define _LQ050BPH 88
#define _LQ050PWH 48
#define _LQ050FPH 40
#define _LQ050HPARA 0x16018028
/* BPV=32, PWV=3, FPV=13 */
#define _LQ050BPV 32
#define _LQ050PWV 3
#define _LQ050FPV 13
#define _LQ050VPARA 0x0800180D

void S43WVF1G_setup(uint32_t,uint32_t);
/* Y = 480, X = 50 * 16 = 800 */
#define _S43WVF1GPANELSIZE 0x01E00032
/* BPH=89, PWH=10, FPH=164 */
#define _S43WVF1GBPH 89
#define _S43WVF1GPWH 10
#define _S43WVF1GFPH 164
#define _S43WVF1GHPARA 0x164050A4
/* BPV=23, PWV=10, FPV=10 */
#define _S43WVF1GBPV 23
#define _S43WVF1GPWV 10
#define _S43WVF1GFPV 10
#define _S43WVF1GVPARA 0x05C0500A

void SVGA_setup(uint32_t,uint32_t);
/* Y = 600, X = 50 * 16 = 800 */
#define _SVGAPANELSIZE 0x02580032
/* BPH=88, PWH=128, FPH=40 */
#define _SVGABPH 88
#define _SVGAPWH 128
#define _SVGAFPH 40
#define _SVGAHPARA 0x16040028
/* BPV=23, PWV=4, FPV=1 */
#define _SVGABPV 23
#define _SVGAPWV 4
#define _SVGAFPV 1
#define _SVGAVPARA 0x05C02001

void XGA_setup(uint32_t,uint32_t);
/* Y = 768, X = 64 * 16 = 1024 */
#define _XGAPANELSIZE 0x03000040
/* BPH=160, PWH=136, FPH=24 */
#define _XGABPH 160
#define _XGAPWH 136
#define _XGAFPH 24
#define _XGAHPARA 0x28044018
/* BPV=29, PWV=6, FPV=3 */
#define _XGABPV 29
#define _XGAPWV 6
#define _XGAFPV 24
#define _XGAVPARA 0x07103003

void SXGA_setup(uint32_t,uint32_t);
/* Y = 1024, X = 80 * 16 = 1280 */
#define _SXGAPANELSIZE 0x04000050
/* BPH=248, PWH=112, FPH=48 */
#define _SXGABPH 248
#define _SXGAPWH 112
#define _SXGAFPH 48
#define _SXGAHPARA 0x3E038030
/* BPV=38, PWV=3, FPV=1 */
#define _SXGABPV 38
#define _SXGAPWV 3
#define _SXGAFPV 1
#define _SXGAVPARA 0x09801801
