/**
  Copyright (c) 2012 Freescale Semiconductor
  
  \file       mc_ClockTemp.c
  \brief      Clock and temperature movie clip
  \author     Freescale Semiconductor
  \author     DB, r54930
  \version    1.0
  \date       20/Mar/2013
  
  * History:  20/March/2013- Initial Version

* Copyright (c) 2008, Freescale, Inc.  All rights reserved.
*
*
* No part of this document must be reproduced in any form - including copied,
* transcribed, printed or by any electronic means - without specific written
* permission from Freescale Semiconductor.
*
   
*/

#include "mc_parameters.h"



/*********************** TOP Data Section ***********************/



/*********************** Movie Clip Base Data Section ***********************/
mc_global_parameters_t mc_global_parameters = {0};
mc_hud_parameters_t mc_hud_parameters = {0};
mc_doors_parameters_t mc_doors_parameters;
/*********************** Movie Clip PROPERTIES Data Section ***********************/

mc_properties_t mc_doors_properties = 
{
	mc_doors,
	mc_doors_Dispose,
	mc_doors_Refresh,
	2,
	0x0010,
	0,
	0,
	0,
	0,	
	0,
};



mc_properties_t mc_stage_tc_properties = 
{
	mc_stage_tc,
	mc_stage_tc_Dispose,
	mc_stage_tc_Refresh,
	4,
	0x0004,
	0,
	0,
	0,
	0,	
	0,
};

mc_properties_t mc_cf_properties = 
{
	mc_cf,
	mc_cf_Dispose,
	mc_cf_Refresh,
	2,
	0x0000,
	0,
	0,
	1,
	0,	
	0,
};

mc_properties_t mc_tui_test_properties = 
{
	mc_tui_test,
	mc_tui_test_Dispose,
	mc_tui_test_Refresh,
	2,
	0x0008,
	0,
	0,
	0,
	0,	
	0,
};

mc_properties_t mc_gps_properties = 
{
	mc_gps,
	mc_gps_Dispose,
	mc_gps_Refresh,
	2,
	0x0000,
	0,
	0,
	1,
	0,	
	0,
};

mc_properties_t mc_video_properties = 
{
	mc_video,
	mc_video_Dispose,
	mc_video_Refresh,
	2,
	0x0000,
	0,
	0,
	1,
	0,	
	0,
};

//This is normally not required but project build does not init the variables 
// so we do this for now until we find the problem
void mc_ParametersInit(void)
{
  mc_tabs_properties.mcFunction = mc_tabs;
  mc_tabs_properties.Dispose = mc_tabs_Dispose;
  mc_tabs_properties.Refresh = mc_tabs_Refresh;
  mc_tabs_properties.priority = 2;
  mc_tabs_properties.usedLayers = 0x02;
  mc_tabs_properties.frameLatch = 0;
  mc_tabs_properties.enabled = 0;
  mc_tabs_properties.autoDispose = 0;
  mc_tabs_properties.run = 0;
  mc_tabs_properties.kill = 0;
  
}


mc_properties_t mc_tabs_properties = 
{
	mc_tabs,
	mc_tabs_Dispose,
	mc_tabs_Refresh,
	2,
	0x0000,
	0,
	0,
	0,
	0,	
	0,
};

mc_properties_t mc_base_properties = 
{
	mc_base,
	mc_base_Dispose,
	mc_base_Refresh,
	2,
	0x0000,
	0,
	0,
	1,
	0,	
	0,
};

void mc_tui_test(uint32_t CurrentFrame){}
void mc_tui_test_Dispose(void){}
void mc_tui_test_Refresh(void){}

/*
void mc_doors(uint32_t CurrentFrame){}
void mc_doors_Dispose(void){}
void mc_doors_Refresh(void){}


void mc_cf(uint32_t CurrentFrame){}
void mc_cf_Dispose(void){}
void mc_cf_Refresh(void){}





void mc_gps(uint32_t CurrentFrame){}
void mc_gps_Dispose(void){}
void mc_gps_Refresh(void){}
*/