#include "MAC57D54H.h"
#include "SM_Tables.h"

const struct SMIA_ISM_PWMStd SMIA_ISM_A_STDPWMTABLE0 = {
  /*  CVP     CHP   CQI   IVR IHR */
{{{                                      /* quadrant 0 dir. 0, speed 0 */
  {16,1016,     0x0L,    1L,    1L,    0L},    
  {64,1016,     0x0L,    1L,    1L,    0L},
  {104,1016,    0x0L,    1L,    1L,    0L},
  {144,1008,    0x0L,    1L,    1L,    0L},
  {176,1000,    0x0L,    1L,    1L,    0L},
  {216,1000,    0x0L,    1L,    1L,    0L},
  {248,992,     0x0L,    1L,    1L,    0L},
  {288,976,     0x0L,    1L,    1L,    0L},
  {320,968,     0x0L,    1L,    1L,    0L},
  {352,960,     0x0L,    1L,    1L,    0L},
  {392,944,     0x0L,    1L,    1L,    0L},
  {424,928,     0x0L,    1L,    1L,    0L},
  {464,904,     0x0L,    1L,    1L,    0L},
  {504,888,     0x0L,    1L,    1L,    0L},
  {552,856,     0x0L,    1L,    1L,    0L},
  {600,824,     0x0L,    1L,    1L,    0L},
  {648,792,     0x0L,    1L,    1L,    0L},
  {696,744,     0x0L,    1L,    1L,    0L},
  {744,696,     0x0L,    1L,    1L,    0L},
  {800,632,     0x0L,    1L,    1L,    0L},
  {848,568,     0x0L,    1L,    1L,    0L},
  {896,488,     0x0L,    1L,    1L,    0L},
  {936,408,     0x0L,    1L,    1L,    0L},
  {968,328,     0x0L,    1L,    1L,    0L},
  {992,248,     0x0L,    1L,    1L,    0L},
  {1008,184,    0x0L,    1L,    1L,    0L},
  {1016,120,    0x0L,    1L,    1L,    0L},
  {1016,64,     0x0L,    1L,    1L,    0L},
  {1016,16,     0x0L,    1L,    1L,    0L},
  {1016,24,     0x1L,    1L,    1L,    0L},
  {1016,64,     0x1L,    1L,    1L,    0L},
  {1016,96,     0x1L,    1L,    1L,    0L},
                                          /* quadrant 1 dir. 0, speed 0 */
  {1016,120,    0x1L,    1L,    1L,    0L},    
  {1008,144,    0x1L,    1L,    1L,    0L},
  {1008,176,    0x1L,    1L,    1L,    0L},
  {1000,192,    0x1L,    1L,    1L,    0L},
  {1000,216,    0x1L,    1L,    1L,    0L},
  {992,240,     0x1L,    1L,    1L,    0L},
  {984,256,     0x1L,    1L,    1L,    0L},
  {984,280,     0x1L,    1L,    1L,    0L},
  {976,296,     0x1L,    1L,    1L,    0L},
  {968,320,     0x1L,    1L,    1L,    0L},
  {960,344,     0x1L,    1L,    1L,    0L},
  {952,360,     0x1L,    1L,    1L,    0L},
  {944,384,     0x1L,    1L,    1L,    0L},
  {928,416,     0x1L,    1L,    1L,    0L},
  {920,440,     0x1L,    1L,    1L,    0L},
  {904,472,     0x1L,    1L,    1L,    0L},
  {880,512,     0x1L,    1L,    1L,    0L},
  {856,552,     0x1L,    1L,    1L,    0L},
  {832,592,     0x1L,    1L,    1L,    0L},
  {800,632,     0x1L,    1L,    1L,    0L},
  {760,680,     0x1L,    1L,    1L,    0L},
  {712,728,     0x1L,    1L,    1L,    0L},
  {656,784,     0x1L,    1L,    1L,    0L},
  {592,832,     0x1L,    1L,    1L,    0L},
  {520,880,     0x1L,    1L,    1L,    0L},
  {440,920,     0x1L,    1L,    1L,    0L},
  {360,952,     0x1L,    1L,    1L,    0L},
  {288,976,     0x1L,    1L,    1L,    0L},
  {216,1000,    0x1L,    1L,    1L,    0L},
  {144,1008,    0x1L,    1L,    1L,    0L},
  {88,1016,     0x1L,    1L,    1L,    0L},
  {32,1016,     0x1L,    1L,    1L,    0L},
                                         /* quadrant 2 dir. 0, speed 0 */
  {16,1016,     0x2L,    1L,    1L,    0L},    
  {64,1016,     0x2L,    1L,    1L,    0L},
  {104,1016,    0x2L,    1L,    1L,    0L},
  {144,1008,    0x2L,    1L,    1L,    0L},
  {176,1000,    0x2L,    1L,    1L,    0L},
  {216,1000,    0x2L,    1L,    1L,    0L},
  {248,992,     0x2L,    1L,    1L,    0L},
  {288,976,     0x2L,    1L,    1L,    0L},
  {320,968,     0x2L,    1L,    1L,    0L},
  {352,960,     0x2L,    1L,    1L,    0L},
  {392,944,     0x2L,    1L,    1L,    0L},
  {424,928,     0x2L,    1L,    1L,    0L},
  {464,904,     0x2L,    1L,    1L,    0L},
  {504,888,     0x2L,    1L,    1L,    0L},
  {552,856,     0x2L,    1L,    1L,    0L},
  {600,824,     0x2L,    1L,    1L,    0L},
  {648,792,     0x2L,    1L,    1L,    0L},
  {696,744,     0x2L,    1L,    1L,    0L},
  {744,696,     0x2L,    1L,    1L,    0L},
  {800,632,     0x2L,    1L,    1L,    0L},
  {848,568,     0x2L,    1L,    1L,    0L},
  {896,488,     0x2L,    1L,    1L,    0L},
  {936,408,     0x2L,    1L,    1L,    0L},
  {968,328,     0x2L,    1L,    1L,    0L},
  {992,248,     0x2L,    1L,    1L,    0L},
  {1008,184,    0x2L,    1L,    1L,    0L},
  {1016,120,    0x2L,    1L,    1L,    0L},
  {1016,64,     0x2L,    1L,    1L,    0L},
  {1016,16,     0x2L,    1L,    1L,    0L},
  {1016,24,     0x3L,    1L,    1L,    0L},
  {1016,64,     0x3L,    1L,    1L,    0L},
  {1016,96,     0x3L,    1L,    1L,    0L},
                                         /* quadrant 3 dir. 0, speed 0 */
  {1016,120,    0x3L,    1L,    1L,    0L},    
  {1008,144,    0x3L,    1L,    1L,    0L},
  {1008,176,    0x3L,    1L,    1L,    0L},
  {1000,192,    0x3L,    1L,    1L,    0L},
  {1000,216,    0x3L,    1L,    1L,    0L},
  {992,240,     0x3L,    1L,    1L,    0L},
  {984,256,     0x3L,    1L,    1L,    0L},
  {984,280,     0x3L,    1L,    1L,    0L},
  {976,296,     0x3L,    1L,    1L,    0L},
  {968,320,     0x3L,    1L,    1L,    0L},
  {960,344,     0x3L,    1L,    1L,    0L},
  {952,360,     0x3L,    1L,    1L,    0L},
  {944,384,     0x3L,    1L,    1L,    0L},
  {928,416,     0x3L,    1L,    1L,    0L},
  {920,440,     0x3L,    1L,    1L,    0L},
  {904,472,     0x3L,    1L,    1L,    0L},
  {880,512,     0x3L,    1L,    1L,    0L},
  {856,552,     0x3L,    1L,    1L,    0L},
  {832,592,     0x3L,    1L,    1L,    0L},
  {800,632,     0x3L,    1L,    1L,    0L},
  {760,680,     0x3L,    1L,    1L,    0L},
  {712,728,     0x3L,    1L,    1L,    0L},
  {656,784,     0x3L,    1L,    1L,    0L},
  {592,832,     0x3L,    1L,    1L,    0L},
  {520,880,     0x3L,    1L,    1L,    0L},
  {440,920,     0x3L,    1L,    1L,    0L},
  {360,952,     0x3L,    1L,    1L,    0L},
  {288,976,     0x3L,    1L,    1L,    0L},
  {216,1000,    0x3L,    1L,    1L,    0L},
  {144,1008,    0x3L,    1L,    1L,    0L},
  {88,1016,     0x3L,    1L,    1L,    0L},
  {32,1016,     0x3L,    1L,    1L,    0L}},
/* EasyCASE > */
/* EasyCASE ) */
/* EasyCASE ( 976
   Direction 1 (counter-clockwise), Speed 0 (normal table)
   MUL-SMIA_nMW2000_FrontContacted_Basic_Classic (No 0) */
/* EasyCASE < */
{                                        /* quadrant 0 dir. 0, speed 0 */
  {360,952,     0x3L,    1L,    1L,    0L},    
  {328,968,     0x3L,    1L,    1L,    0L},
  {296,976,     0x3L,    1L,    1L,    0L},
  {264,984,     0x3L,    1L,    1L,    0L},
  {224,992,     0x3L,    1L,    1L,    0L},
  {192,1000,    0x3L,    1L,    1L,    0L},
  {144,1008,    0x3L,    1L,    1L,    0L},
  {104,1016,    0x3L,    1L,    1L,    0L},
  {56,1016,     0x3L,    1L,    1L,    0L},
  {0,1016,      0x0L,    1L,    1L,    0L},
  {64,1016,     0x0L,    1L,    1L,    0L},
  {128,1008,    0x0L,    1L,    1L,    0L},
  {208,992,     0x0L,    1L,    1L,    0L},
  {288,976,     0x0L,    1L,    1L,    0L},
  {376,944,     0x0L,    1L,    1L,    0L},
  {456,904,     0x0L,    1L,    1L,    0L},
  {536,864,     0x0L,    1L,    1L,    0L},
  {608,816,     0x0L,    1L,    1L,    0L},
  {672,768,     0x0L,    1L,    1L,    0L},
  {728,712,     0x0L,    1L,    1L,    0L},
  {768,664,     0x0L,    1L,    1L,    0L},
  {808,616,     0x0L,    1L,    1L,    0L},
  {840,576,     0x0L,    1L,    1L,    0L},
  {872,536,     0x0L,    1L,    1L,    0L},
  {888,496,     0x0L,    1L,    1L,    0L},
  {912,456,     0x0L,    1L,    1L,    0L},
  {928,432,     0x0L,    1L,    1L,    0L},
  {936,400,     0x0L,    1L,    1L,    0L},
  {952,376,     0x0L,    1L,    1L,    0L},
  {960,352,     0x0L,    1L,    1L,    0L},
  {968,328,     0x0L,    1L,    1L,    0L},
  {976,304,     0x0L,    1L,    1L,    0L},
                                         /* quadrant 1 dir. 0, speed 0 */
  {976,288,     0x0L,    1L,    1L,    0L},    
  {984,264,     0x0L,    1L,    1L,    0L},
  {992,240,     0x0L,    1L,    1L,    0L},
  {992,224,     0x0L,    1L,    1L,    0L},
  {1000,200,    0x0L,    1L,    1L,    0L},
  {1000,176,    0x0L,    1L,    1L,    0L},
  {1008,152,    0x0L,    1L,    1L,    0L},
  {1008,128,    0x0L,    1L,    1L,    0L},
  {1016,104,    0x0L,    1L,    1L,    0L},
  {1016,72,     0x0L,    1L,    1L,    0L},
  {1016,32,     0x0L,    1L,    1L,    0L},
  {1016,8,      0x1L,    1L,    1L,    0L},
  {1016,48,     0x1L,    1L,    1L,    0L},
  {1016,104,    0x1L,    1L,    1L,    0L},
  {1008,160,    0x1L,    1L,    1L,    0L},
  {992,216,     0x1L,    1L,    1L,    0L},
  {976,288,     0x1L,    1L,    1L,    0L},
  {952,360,     0x1L,    1L,    1L,    0L},
  {920,424,     0x1L,    1L,    1L,    0L},
  {888,496,     0x1L,    1L,    1L,    0L},
  {848,568,     0x1L,    1L,    1L,    0L},
  {800,624,     0x1L,    1L,    1L,    0L},
  {752,680,     0x1L,    1L,    1L,    0L},
  {712,728,     0x1L,    1L,    1L,    0L},
  {664,768,     0x1L,    1L,    1L,    0L},
  {624,808,     0x1L,    1L,    1L,    0L},
  {576,840,     0x1L,    1L,    1L,    0L},
  {536,864,     0x1L,    1L,    1L,    0L},
  {504,888,     0x1L,    1L,    1L,    0L},
  {464,904,     0x1L,    1L,    1L,    0L},
  {432,920,     0x1L,    1L,    1L,    0L},
  {400,936,     0x1L,    1L,    1L,    0L},
                                         /* quadrant 2 dir. 0, speed 0 */
  {360,952,     0x1L,    1L,    1L,    0L},    
  {328,968,     0x1L,    1L,    1L,    0L},
  {296,976,     0x1L,    1L,    1L,    0L},
  {264,984,     0x1L,    1L,    1L,    0L},
  {224,992,     0x1L,    1L,    1L,    0L},
  {192,1000,    0x1L,    1L,    1L,    0L},
  {144,1008,    0x1L,    1L,    1L,    0L},
  {104,1016,    0x1L,    1L,    1L,    0L},
  {56,1016,     0x1L,    1L,    1L,    0L},
  {0,1016,      0x2L,    1L,    1L,    0L},
  {64,1016,     0x2L,    1L,    1L,    0L},
  {128,1008,    0x2L,    1L,    1L,    0L},
  {208,992,     0x2L,    1L,    1L,    0L},
  {288,976,     0x2L,    1L,    1L,    0L},
  {376,944,     0x2L,    1L,    1L,    0L},
  {456,904,     0x2L,    1L,    1L,    0L},
  {536,864,     0x2L,    1L,    1L,    0L},
  {608,816,     0x2L,    1L,    1L,    0L},
  {672,768,     0x2L,    1L,    1L,    0L},
  {728,712,     0x2L,    1L,    1L,    0L},
  {768,664,     0x2L,    1L,    1L,    0L},
  {808,616,     0x2L,    1L,    1L,    0L},
  {840,576,     0x2L,    1L,    1L,    0L},
  {872,536,     0x2L,    1L,    1L,    0L},
  {888,496,     0x2L,    1L,    1L,    0L},
  {912,456,     0x2L,    1L,    1L,    0L},
  {928,432,     0x2L,    1L,    1L,    0L},
  {936,400,     0x2L,    1L,    1L,    0L},
  {952,376,     0x2L,    1L,    1L,    0L},
  {960,352,     0x2L,    1L,    1L,    0L},
  {968,328,     0x2L,    1L,    1L,    0L},
  {976,304,     0x2L,    1L,    1L,    0L},
                                         /* quadrant 3 dir. 0, speed 0 */
  {976,288,     0x2L,    1L,    1L,    0L},    
  {984,264,     0x2L,    1L,    1L,    0L},
  {992,240,     0x2L,    1L,    1L,    0L},
  {992,224,     0x2L,    1L,    1L,    0L},
  {1000,200,    0x2L,    1L,    1L,    0L},
  {1000,176,    0x2L,    1L,    1L,    0L},
  {1008,152,    0x2L,    1L,    1L,    0L},
  {1008,128,    0x2L,    1L,    1L,    0L},
  {1016,104,    0x2L,    1L,    1L,    0L},
  {1016,72,     0x2L,    1L,    1L,    0L},
  {1016,32,     0x2L,    1L,    1L,    0L},
  {1016,8,      0x3L,    1L,    1L,    0L},
  {1016,48,     0x3L,    1L,    1L,    0L},
  {1016,104,    0x3L,    1L,    1L,    0L},
  {1008,160,    0x3L,    1L,    1L,    0L},
  {992,216,     0x3L,    1L,    1L,    0L},
  {976,288,     0x3L,    1L,    1L,    0L},
  {952,360,     0x3L,    1L,    1L,    0L},
  {920,424,     0x3L,    1L,    1L,    0L},
  {888,496,     0x3L,    1L,    1L,    0L},
  {848,568,     0x3L,    1L,    1L,    0L},
  {800,624,     0x3L,    1L,    1L,    0L},
  {752,680,     0x3L,    1L,    1L,    0L},
  {712,728,     0x3L,    1L,    1L,    0L},
  {664,768,     0x3L,    1L,    1L,    0L},
  {624,808,     0x3L,    1L,    1L,    0L},
  {576,840,     0x3L,    1L,    1L,    0L},
  {536,864,     0x3L,    1L,    1L,    0L},
  {504,888,     0x3L,    1L,    1L,    0L},
  {464,904,     0x3L,    1L,    1L,    0L},
  {432,920,     0x3L,    1L,    1L,    0L},
  {400,936,     0x3L,    1L,    1L,    0L}}},
/* EasyCASE > */
/* EasyCASE ) */
/* EasyCASE ( 977
   Direction 0 (clockwise), Speed 1 (special table)
   MUL-SMIA_nMW2000_FrontContacted_Basic_Classic (No 0) */
/* EasyCASE < */
                                         /* quadrant 0 dir. 0, speed 1 */
{{{16,912,      0x3L,    1L,    1L,    0L},    
  {32,920,      0x0L,    1L,    1L,    0L},
  {72,928,      0x0L,    1L,    1L,    0L},
  {120,928,     0x0L,    1L,    1L,    0L},
  {168,928,     0x0L,    1L,    1L,    0L},
  {208,920,     0x0L,    1L,    1L,    0L},
  {248,912,     0x0L,    1L,    1L,    0L},
  {280,888,     0x0L,    1L,    1L,    0L},
  {312,864,     0x0L,    1L,    1L,    0L},
  {344,832,     0x0L,    1L,    1L,    0L},
  {368,800,     0x0L,    1L,    1L,    0L},
  {400,768,     0x0L,    1L,    1L,    0L},
  {424,736,     0x0L,    1L,    1L,    0L},
  {448,712,     0x0L,    1L,    1L,    0L},
  {480,688,     0x0L,    1L,    1L,    0L},
  {512,664,     0x0L,    1L,    1L,    0L},
  {544,640,     0x0L,    1L,    1L,    0L},
  {584,608,     0x0L,    1L,    1L,    0L},
  {624,568,     0x0L,    1L,    1L,    0L},
  {664,528,     0x0L,    1L,    1L,    0L},
  {696,488,     0x0L,    1L,    1L,    0L},
  {736,448,     0x0L,    1L,    1L,    0L},
  {776,408,     0x0L,    1L,    1L,    0L},
  {808,360,     0x0L,    1L,    1L,    0L},
  {840,312,     0x0L,    1L,    1L,    0L},
  {872,264,     0x0L,    1L,    1L,    0L},
  {904,216,     0x0L,    1L,    1L,    0L},
  {936,160,     0x0L,    1L,    1L,    0L},
  {960,104,     0x0L,    1L,    1L,    0L},
  {984,56,      0x0L,    1L,    1L,    0L},
  {1000,8,      0x0L,    1L,    1L,    0L},
  {1008,40,     0x1L,    1L,    1L,    0L},
                                         /* quadrant 1 dir. 0, speed 1 */
  {1016,80,     0x1L,    1L,    1L,    0L},    
  {1016,120,    0x1L,    1L,    1L,    0L},
  {1016,160,    0x1L,    1L,    1L,    0L},
  {1008,200,    0x1L,    1L,    1L,    0L},
  {1000,232,    0x1L,    1L,    1L,    0L},
  {984,256,     0x1L,    1L,    1L,    0L},
  {968,288,     0x1L,    1L,    1L,    0L},
  {944,312,     0x1L,    1L,    1L,    0L},
  {928,328,     0x1L,    1L,    1L,    0L},
  {912,352,     0x1L,    1L,    1L,    0L},
  {888,368,     0x1L,    1L,    1L,    0L},
  {872,384,     0x1L,    1L,    1L,    0L},
  {848,400,     0x1L,    1L,    1L,    0L},
  {832,416,     0x1L,    1L,    1L,    0L},
  {808,440,     0x1L,    1L,    1L,    0L},
  {776,464,     0x1L,    1L,    1L,    0L},
  {744,488,     0x1L,    1L,    1L,    0L},
  {704,520,     0x1L,    1L,    1L,    0L},
  {672,552,     0x1L,    1L,    1L,    0L},
  {632,576,     0x1L,    1L,    1L,    0L},
  {592,608,     0x1L,    1L,    1L,    0L},
  {552,632,     0x1L,    1L,    1L,    0L},
  {504,664,     0x1L,    1L,    1L,    0L},
  {464,696,     0x1L,    1L,    1L,    0L},
  {416,720,     0x1L,    1L,    1L,    0L},
  {368,752,     0x1L,    1L,    1L,    0L},
  {312,784,     0x1L,    1L,    1L,    0L},
  {264,808,     0x1L,    1L,    1L,    0L},
  {208,840,     0x1L,    1L,    1L,    0L},
  {160,856,     0x1L,    1L,    1L,    0L},
  {112,880,     0x1L,    1L,    1L,    0L},
  {64,896,      0x1L,    1L,    1L,    0L},
                                         /* quadrant 2 dir. 0, speed 1 */
  {16,912,      0x1L,    1L,    1L,    0L},    
  {32,920,      0x2L,    1L,    1L,    0L},
  {72,928,      0x2L,    1L,    1L,    0L},
  {120,928,     0x2L,    1L,    1L,    0L},
  {168,928,     0x2L,    1L,    1L,    0L},
  {208,920,     0x2L,    1L,    1L,    0L},
  {248,912,     0x2L,    1L,    1L,    0L},
  {280,888,     0x2L,    1L,    1L,    0L},
  {312,864,     0x2L,    1L,    1L,    0L},
  {344,832,     0x2L,    1L,    1L,    0L},
  {368,800,     0x2L,    1L,    1L,    0L},
  {400,768,     0x2L,    1L,    1L,    0L},
  {424,736,     0x2L,    1L,    1L,    0L},
  {448,712,     0x2L,    1L,    1L,    0L},
  {480,688,     0x2L,    1L,    1L,    0L},
  {512,664,     0x2L,    1L,    1L,    0L},
  {544,640,     0x2L,    1L,    1L,    0L},
  {584,608,     0x2L,    1L,    1L,    0L},
  {624,568,     0x2L,    1L,    1L,    0L},
  {664,528,     0x2L,    1L,    1L,    0L},
  {696,488,     0x2L,    1L,    1L,    0L},
  {736,448,     0x2L,    1L,    1L,    0L},
  {776,408,     0x2L,    1L,    1L,    0L},
  {808,360,     0x2L,    1L,    1L,    0L},
  {840,312,     0x2L,    1L,    1L,    0L},
  {872,264,     0x2L,    1L,    1L,    0L},
  {904,216,     0x2L,    1L,    1L,    0L},
  {936,160,     0x2L,    1L,    1L,    0L},
  {960,104,     0x2L,    1L,    1L,    0L},
  {984,56,      0x2L,    1L,    1L,    0L},
  {1000,8,      0x2L,    1L,    1L,    0L},
  {1008,40,     0x3L,    1L,    1L,    0L},
                                          /* quadrant 3 dir. 0, speed 1 */
  {1016,80,     0x3L,    1L,    1L,    0L},    
  {1016,120,    0x3L,    1L,    1L,    0L},
  {1016,160,    0x3L,    1L,    1L,    0L},
  {1008,200,    0x3L,    1L,    1L,    0L},
  {1000,232,    0x3L,    1L,    1L,    0L},
  {984,256,     0x3L,    1L,    1L,    0L},
  {968,288,     0x3L,    1L,    1L,    0L},
  {944,312,     0x3L,    1L,    1L,    0L},
  {928,328,     0x3L,    1L,    1L,    0L},
  {912,352,     0x3L,    1L,    1L,    0L},
  {888,368,     0x3L,    1L,    1L,    0L},
  {872,384,     0x3L,    1L,    1L,    0L},
  {848,400,     0x3L,    1L,    1L,    0L},
  {832,416,     0x3L,    1L,    1L,    0L},
  {808,440,     0x3L,    1L,    1L,    0L},
  {776,464,     0x3L,    1L,    1L,    0L},
  {744,488,     0x3L,    1L,    1L,    0L},
  {704,520,     0x3L,    1L,    1L,    0L},
  {672,552,     0x3L,    1L,    1L,    0L},
  {632,576,     0x3L,    1L,    1L,    0L},
  {592,608,     0x3L,    1L,    1L,    0L},
  {552,632,     0x3L,    1L,    1L,    0L},
  {504,664,     0x3L,    1L,    1L,    0L},
  {464,696,     0x3L,    1L,    1L,    0L},
  {416,720,     0x3L,    1L,    1L,    0L},
  {368,752,     0x3L,    1L,    1L,    0L},
  {312,784,     0x3L,    1L,    1L,    0L},
  {264,808,     0x3L,    1L,    1L,    0L},
  {208,840,     0x3L,    1L,    1L,    0L},
  {160,856,     0x3L,    1L,    1L,    0L},
  {112,880,     0x3L,    1L,    1L,    0L},
  {64,896,      0x3L,    1L,    1L,    0L}},
/* EasyCASE > */
/* EasyCASE ) */
/* EasyCASE ( 978
   Direction 1 (counter-clockwise), Speed 1 (special table)
   MUL-SMIA_nMW2000_FrontContacted_Basic_Classic (No 0) */
/* EasyCASE < */
                                        /* quadrant 0 dir. 0, speed 1 */
{{376,792,     0x3L,    1L,    1L,    0L},    
 {352,816,     0x3L,    1L,    1L,    0L},
 {328,848,     0x3L,    1L,    1L,    0L},
 {304,872,     0x3L,    1L,    1L,    0L},
 {264,896,     0x3L,    1L,    1L,    0L},
 {216,920,     0x3L,    1L,    1L,    0L},
 {160,928,     0x3L,    1L,    1L,    0L},
 {104,928,     0x3L,    1L,    1L,    0L},
 {40,920,      0x3L,    1L,    1L,    0L},
 {32,904,      0x0L,    1L,    1L,    0L},
 {96,888,      0x0L,    1L,    1L,    0L},
 {152,864,     0x0L,    1L,    1L,    0L},
 {208,840,     0x0L,    1L,    1L,    0L},
 {264,808,     0x0L,    1L,    1L,    0L},
 {320,784,     0x0L,    1L,    1L,    0L},
 {376,744,     0x0L,    1L,    1L,    0L},
 {440,712,     0x0L,    1L,    1L,    0L},
 {496,672,     0x0L,    1L,    1L,    0L},
 {552,632,     0x0L,    1L,    1L,    0L},
 {600,600,     0x0L,    1L,    1L,    0L},
 {648,568,     0x0L,    1L,    1L,    0L},
 {680,544,     0x0L,    1L,    1L,    0L},
 {712,520,     0x0L,    1L,    1L,    0L},
 {744,496,     0x0L,    1L,    1L,    0L},
 {768,472,     0x0L,    1L,    1L,    0L},
 {800,440,     0x0L,    1L,    1L,    0L},
 {832,416,     0x0L,    1L,    1L,    0L},
 {872,384,     0x0L,    1L,    1L,    0L},
 {896,360,     0x0L,    1L,    1L,    0L},
 {920,336,     0x0L,    1L,    1L,    0L},
 {944,312,     0x0L,    1L,    1L,    0L},
 {952,304,     0x0L,    1L,    1L,    0L},
                                        /* quadrant 1 dir. 0, speed 1 */
 {960,288,     0x0L,    1L,    1L,    0L},    
 {968,280,     0x0L,    1L,    1L,    0L},
 {976,272,     0x0L,    1L,    1L,    0L},
 {992,256,     0x0L,    1L,    1L,    0L},
 {1000,232,    0x0L,    1L,    1L,    0L},
 {1008,200,    0x0L,    1L,    1L,    0L},
 {1016,160,    0x0L,    1L,    1L,    0L},
 {1016,112,    0x0L,    1L,    1L,    0L},
 {1016,64,     0x0L,    1L,    1L,    0L},
 {1000,16,     0x0L,    1L,    1L,    0L},
 {992,32,      0x1L,    1L,    1L,    0L},
 {968,80,      0x1L,    1L,    1L,    0L},
 {952,128,     0x1L,    1L,    1L,    0L},
 {928,184,     0x1L,    1L,    1L,    0L},
 {896,232,     0x1L,    1L,    1L,    0L},
 {864,288,     0x1L,    1L,    1L,    0L},
 {824,336,     0x1L,    1L,    1L,    0L},
 {784,392,     0x1L,    1L,    1L,    0L},
 {744,440,     0x1L,    1L,    1L,    0L},
 {712,472,     0x1L,    1L,    1L,    0L},
 {688,504,     0x1L,    1L,    1L,    0L},
 {656,528,     0x1L,    1L,    1L,    0L},
 {632,560,     0x1L,    1L,    1L,    0L},
 {608,584,     0x1L,    1L,    1L,    0L},
 {576,616,     0x1L,    1L,    1L,    0L},
 {544,640,     0x1L,    1L,    1L,    0L},
 {504,672,     0x1L,    1L,    1L,    0L},
 {472,696,     0x1L,    1L,    1L,    0L},
 {448,712,     0x1L,    1L,    1L,    0L},
 {424,736,     0x1L,    1L,    1L,    0L},
 {408,752,     0x1L,    1L,    1L,    0L},
 {392,768,     0x1L,    1L,    1L,    0L},
                                        /* quadrant 2 dir. 0, speed 1 */
 {376,792,     0x1L,    1L,    1L,    0L},    
 {352,816,     0x1L,    1L,    1L,    0L},
 {328,848,     0x1L,    1L,    1L,    0L},
 {304,872,     0x1L,    1L,    1L,    0L},
 {264,896,     0x1L,    1L,    1L,    0L},
 {216,920,     0x1L,    1L,    1L,    0L},
 {160,928,     0x1L,    1L,    1L,    0L},
 {104,928,     0x1L,    1L,    1L,    0L},
 {40,920,      0x1L,    1L,    1L,    0L},
 {32,904,      0x2L,    1L,    1L,    0L},
 {96,888,      0x2L,    1L,    1L,    0L},
 {152,864,     0x2L,    1L,    1L,    0L},
 {208,840,     0x2L,    1L,    1L,    0L},
 {264,808,     0x2L,    1L,    1L,    0L},
 {320,784,     0x2L,    1L,    1L,    0L},
 {376,744,     0x2L,    1L,    1L,    0L},
 {440,712,     0x2L,    1L,    1L,    0L},
 {496,672,     0x2L,    1L,    1L,    0L},
 {552,632,     0x2L,    1L,    1L,    0L},
 {600,600,     0x2L,    1L,    1L,    0L},
 {648,568,     0x2L,    1L,    1L,    0L},
 {680,544,     0x2L,    1L,    1L,    0L},
 {712,520,     0x2L,    1L,    1L,    0L},
 {744,496,     0x2L,    1L,    1L,    0L},
 {768,472,     0x2L,    1L,    1L,    0L},
 {800,440,     0x2L,    1L,    1L,    0L},
 {832,416,     0x2L,    1L,    1L,    0L},
 {872,384,     0x2L,    1L,    1L,    0L},
 {896,360,     0x2L,    1L,    1L,    0L},
 {920,336,     0x2L,    1L,    1L,    0L},
 {944,312,     0x2L,    1L,    1L,    0L},
 {952,304,     0x2L,    1L,    1L,    0L},
                                        /* quadrant 3 dir. 0, speed 1 */ 
 {960,288,     0x2L,    1L,    1L,    0L},    
 {968,280,     0x2L,    1L,    1L,    0L},
 {976,272,     0x2L,    1L,    1L,    0L},
 {992,256,     0x2L,    1L,    1L,    0L},
 {1000,232,    0x2L,    1L,    1L,    0L},
 {1008,200,    0x2L,    1L,    1L,    0L},
 {1016,160,    0x2L,    1L,    1L,    0L},
 {1016,112,    0x2L,    1L,    1L,    0L},
 {1016,64,     0x2L,    1L,    1L,    0L},
 {1000,16,     0x2L,    1L,    1L,    0L},
 {992,32,      0x3L,    1L,    1L,    0L},
 {968,80,      0x3L,    1L,    1L,    0L},
 {952,128,     0x3L,    1L,    1L,    0L},
 {928,184,     0x3L,    1L,    1L,    0L},
 {896,232,     0x3L,    1L,    1L,    0L},
 {864,288,     0x3L,    1L,    1L,    0L},
 {824,336,     0x3L,    1L,    1L,    0L},
 {784,392,     0x3L,    1L,    1L,    0L},
 {744,440,     0x3L,    1L,    1L,    0L},
 {712,472,     0x3L,    1L,    1L,    0L},
 {688,504,     0x3L,    1L,    1L,    0L},
 {656,528,     0x3L,    1L,    1L,    0L},
 {632,560,     0x3L,    1L,    1L,    0L},
 {608,584,     0x3L,    1L,    1L,    0L},
 {576,616,     0x3L,    1L,    1L,    0L},
 {544,640,     0x3L,    1L,    1L,    0L},
 {504,672,     0x3L,    1L,    1L,    0L},
 {472,696,     0x3L,    1L,    1L,    0L},
 {448,712,     0x3L,    1L,    1L,    0L},
 {424,736,     0x3L,    1L,    1L,    0L},
 {408,752,     0x3L,    1L,    1L,    0L},
 {392,768,     0x3L,    1L,    1L,    0L}}}}
 };
/* EasyCASE > */
/* EasyCASE ) */
/* EasyCASE ) */
/* EasyCASE ( 964
   MW2000 FRONT-CONTACTED COUNTER-CLOCKWISE(EDUL) TYPE
   SMIA_nMW2000_FrontContacted_Basic_Classic (No 0) */
/* EasyCASE ( 979
   Direction 0 (CCW), Speed 0 (normal table)
   EDUL-SMIA_nMW2000_FrontContacted_Basic_Classic (No 0) */
/* EasyCASE < */
const struct SMIA_ISM_PWMStd SMIA_ISM_A_STDPWMTABLE0_EDUL = {

  /*  CVP     CHP   CQI   IVR IHR */
{                                        /* quadrant 0 dir. 0, speed 0 */
{{{400,936,     0x0L,    1L,    1L,    0L},   
  {432,920,     0x0L,    1L,    1L,    0L},
  {464,904,     0x0L,    1L,    1L,    0L},
  {504,888,     0x0L,    1L,    1L,    0L},
  {536,864,     0x0L,    1L,    1L,    0L},
  {576,840,     0x0L,    1L,    1L,    0L},
  {624,808,     0x0L,    1L,    1L,    0L},
  {664,768,     0x0L,    1L,    1L,    0L},
  {712,728,     0x0L,    1L,    1L,    0L},
  {752,680,     0x0L,    1L,    1L,    0L},
  {800,624,     0x0L,    1L,    1L,    0L},
  {848,568,     0x0L,    1L,    1L,    0L},
  {888,496,     0x0L,    1L,    1L,    0L},
  {920,424,     0x0L,    1L,    1L,    0L},
  {952,360,     0x0L,    1L,    1L,    0L},
  {976,288,     0x0L,    1L,    1L,    0L},
  {992,216,     0x0L,    1L,    1L,    0L},
  {1008,160,    0x0L,    1L,    1L,    0L},
  {1016,104,    0x0L,    1L,    1L,    0L},
  {1016,48,     0x0L,    1L,    1L,    0L},
  {1016,8,      0x0L,    1L,    1L,    0L},
  {1016,32,     0x1L,    1L,    1L,    0L},
  {1016,72,     0x1L,    1L,    1L,    0L},
  {1016,104,    0x1L,    1L,    1L,    0L},
  {1008,128,    0x1L,    1L,    1L,    0L},
  {1008,152,    0x1L,    1L,    1L,    0L},
  {1000,176,    0x1L,    1L,    1L,    0L},
  {1000,200,    0x1L,    1L,    1L,    0L},
  {992, 224,    0x1L,    1L,    1L,    0L},
  {992, 240,    0x1L,    1L,    1L,    0L},
  {984, 264,    0x1L,    1L,    1L,    0L},
  {976, 288,    0x1L,    1L,    1L,    0L},
                                         /* quadrant 1 dir. 0, speed 0 */     
  {976,304,     0x1L,    1L,    1L,    0L},
  {968,328,     0x1L,    1L,    1L,    0L},
  {960,352,     0x1L,    1L,    1L,    0L},
  {952,376,     0x1L,    1L,    1L,    0L},
  {936,400,     0x1L,    1L,    1L,    0L},
  {928,432,     0x1L,    1L,    1L,    0L},
  {912,456,     0x1L,    1L,    1L,    0L},
  {888,496,     0x1L,    1L,    1L,    0L},
  {872,536,     0x1L,    1L,    1L,    0L},
  {840,576,     0x1L,    1L,    1L,    0L},
  {808,616,     0x1L,    1L,    1L,    0L},
  {768,664,     0x1L,    1L,    1L,    0L},
  {728,712,     0x1L,    1L,    1L,    0L},
  {672,768,     0x1L,    1L,    1L,    0L},
  {608,816,     0x1L,    1L,    1L,    0L},
  {536,864,     0x1L,    1L,    1L,    0L},
  {456,904,     0x1L,    1L,    1L,    0L},
  {376,944,     0x1L,    1L,    1L,    0L},
  {288,976,     0x1L,    1L,    1L,    0L},
  {208,992,     0x1L,    1L,    1L,    0L},
  {128,1008,    0x1L,    1L,    1L,    0L},
  {64,1016,     0x1L,    1L,    1L,    0L},
  {0,1016,      0x1L,    1L,    1L,    0L},
  {56,1016,     0x2L,    1L,    1L,    0L},
  {104,1016,    0x2L,    1L,    1L,    0L},
  {144,1008,    0x2L,    1L,    1L,    0L},
  {192,1000,    0x2L,    1L,    1L,    0L},
  {224,992,     0x2L,    1L,    1L,    0L},
  {264,984,     0x2L,    1L,    1L,    0L},
  {296,976,     0x2L,    1L,    1L,    0L},
  {328,968,     0x2L,    1L,    1L,    0L},
  {360,952,     0x2L,    1L,    1L,    0L},
                                         /* quadrant 2 dir. 0, speed 0 */
  {400,936,     0x2L,    1L,    1L,    0L},  
  {432,920,     0x2L,    1L,    1L,    0L},
  {464,904,     0x2L,    1L,    1L,    0L},
  {504,888,     0x2L,    1L,    1L,    0L},
  {536,864,     0x2L,    1L,    1L,    0L},
  {576,840,     0x2L,    1L,    1L,    0L},
  {624,808,     0x2L,    1L,    1L,    0L},
  {664,768,     0x2L,    1L,    1L,    0L},
  {712,728,     0x2L,    1L,    1L,    0L},
  {752,680,     0x2L,    1L,    1L,    0L},
  {800,624,     0x2L,    1L,    1L,    0L},
  {848,568,     0x2L,    1L,    1L,    0L},
  {888,496,     0x2L,    1L,    1L,    0L},
  {920,424,     0x2L,    1L,    1L,    0L},
  {952,360,     0x2L,    1L,    1L,    0L},
  {976,288,     0x2L,    1L,    1L,    0L},
  {992,216,     0x2L,    1L,    1L,    0L},
  {1008,160,    0x2L,    1L,    1L,    0L},
  {1016,104,    0x2L,    1L,    1L,    0L},
  {1016,48,     0x2L,    1L,    1L,    0L},
  {1016,8,      0x2L,    1L,    1L,    0L},  
  {1016,32,     0x3L,    1L,    1L,    0L},
  {1016,72,     0x3L,    1L,    1L,    0L},
  {1016,104,    0x3L,    1L,    1L,    0L},
  {1008,128,    0x3L,    1L,    1L,    0L},
  {1008,152,    0x3L,    1L,    1L,    0L},
  {1000,176,    0x3L,    1L,    1L,    0L},
  {1000,200,    0x3L,    1L,    1L,    0L},
  {992,224,     0x3L,    1L,    1L,    0L},
  {992,240,     0x3L,    1L,    1L,    0L},
  {984,264,     0x3L,    1L,    1L,    0L},
  {976,288,     0x3L,    1L,    1L,    0L},
                                         /* quadrant 3 dir. 0, speed 0 */     
  {976,304,     0x3L,    1L,    1L,    0L},
  {968,328,     0x3L,    1L,    1L,    0L},
  {960,352,     0x3L,    1L,    1L,    0L},
  {952,376,     0x3L,    1L,    1L,    0L},
  {936,400,     0x3L,    1L,    1L,    0L},
  {928,432,     0x3L,    1L,    1L,    0L},
  {912,456,     0x3L,    1L,    1L,    0L},
  {888,496,     0x3L,    1L,    1L,    0L},
  {872,536,     0x3L,    1L,    1L,    0L},
  {840,576,     0x3L,    1L,    1L,    0L},
  {808,616,     0x3L,    1L,    1L,    0L},
  {768,664,     0x3L,    1L,    1L,    0L},
  {728,712,     0x3L,    1L,    1L,    0L},
  {672,768,     0x3L,    1L,    1L,    0L},
  {608,816,     0x3L,    1L,    1L,    0L},
  {536,864,     0x3L,    1L,    1L,    0L},
  {456,904,     0x3L,    1L,    1L,    0L},
  {376,944,     0x3L,    1L,    1L,    0L},
  {288,976,     0x3L,    1L,    1L,    0L},
  {208,992,     0x3L,    1L,    1L,    0L},
  {128,1008,    0x3L,    1L,    1L,    0L},
  {64,1016,     0x3L,    1L,    1L,    0L},
  {0,1016,      0x3L,    1L,    1L,    0L},  
  {56,1016,     0x0L,    1L,    1L,    0L},
  {104,1016,    0x0L,    1L,    1L,    0L},
  {144,1008,    0x0L,    1L,    1L,    0L},
  {192,1000,    0x0L,    1L,    1L,    0L},
  {224,992,     0x0L,    1L,    1L,    0L},
  {264,984,     0x0L,    1L,    1L,    0L},
  {296,976,     0x0L,    1L,    1L,    0L},
  {328,968,     0x0L,    1L,    1L,    0L},
  {360,952,     0x0L,    1L,    1L,    0L}},
/* EasyCASE > */
/* EasyCASE ) */
/* EasyCASE ( 980
   Direction 1 (CW), Speed 0 (normal table)
   EDUL-SMIA_nMW2000_FrontContacted_Basic_Classic (No 0) */
/* EasyCASE < */
                                       /* quadrant 0 dir. 1, speed 0 */
{{32,1016,     0x0L,    1L,    1L,    0L},
 {88,1016,     0x0L,    1L,    1L,    0L},
 {144,1008,    0x0L,    1L,    1L,    0L},
 {216,1000,    0x0L,    1L,    1L,    0L},
 {288,976,     0x0L,    1L,    1L,    0L},
 {360,952,     0x0L,    1L,    1L,    0L},
 {440,920,     0x0L,    1L,    1L,    0L},
 {520,880,     0x0L,    1L,    1L,    0L},
 {592,832,     0x0L,    1L,    1L,    0L},
 {656,784,     0x0L,    1L,    1L,    0L},
 {712,728,     0x0L,    1L,    1L,    0L},
 {760,680,     0x0L,    1L,    1L,    0L},
 {800,632,     0x0L,    1L,    1L,    0L},
 {832,592,     0x0L,    1L,    1L,    0L},
 {856,552,     0x0L,    1L,    1L,    0L},
 {880,512,     0x0L,    1L,    1L,    0L},
 {904,472,     0x0L,    1L,    1L,    0L},
 {920,440,     0x0L,    1L,    1L,    0L},
 {928,416,     0x0L,    1L,    1L,    0L},
 {944,384,     0x0L,    1L,    1L,    0L},
 {952,360,     0x0L,    1L,    1L,    0L},
 {960,344,     0x0L,    1L,    1L,    0L},
 {968,320,     0x0L,    1L,    1L,    0L},
 {976,296,     0x0L,    1L,    1L,    0L},
 {984,280,     0x0L,    1L,    1L,    0L},
 {984,256,     0x0L,    1L,    1L,    0L},
 {992,240,     0x0L,    1L,    1L,    0L},
 {1000,216,    0x0L,    1L,    1L,    0L},
 {1000,192,    0x0L,    1L,    1L,    0L},
 {1008,176,    0x0L,    1L,    1L,    0L},
 {1008,144,    0x0L,    1L,    1L,    0L},
 {1016,120,    0x0L,    1L,    1L,    0L}, 
                                        /* quadrant 1 dir. 1, speed 0 */
 {1016,96,     0x0L,    1L,    1L,    0L},
 {1016,64,     0x0L,    1L,    1L,    0L},
 {1016,24,     0x0L,    1L,    1L,    0L},
 {1016,16,     0x1L,    1L,    1L,    0L},
 {1016,64,     0x1L,    1L,    1L,    0L},
 {1016,120,    0x1L,    1L,    1L,    0L},
 {1008,184,    0x1L,    1L,    1L,    0L},
 {992,248,     0x1L,    1L,    1L,    0L},
 {968,328,     0x1L,    1L,    1L,    0L},
 {936,408,     0x1L,    1L,    1L,    0L},
 {896,488,     0x1L,    1L,    1L,    0L},
 {848,568,     0x1L,    1L,    1L,    0L},
 {800,632,     0x1L,    1L,    1L,    0L},
 {744,696,     0x1L,    1L,    1L,    0L},
 {696,744,     0x1L,    1L,    1L,    0L},
 {648,792,     0x1L,    1L,    1L,    0L},
 {600,824,     0x1L,    1L,    1L,    0L},
 {552,856,     0x1L,    1L,    1L,    0L},
 {504,888,     0x1L,    1L,    1L,    0L},
 {464,904,     0x1L,    1L,    1L,    0L},
 {424,928,     0x1L,    1L,    1L,    0L},
 {392,944,     0x1L,    1L,    1L,    0L},
 {352,960,     0x1L,    1L,    1L,    0L},
 {320,968,     0x1L,    1L,    1L,    0L},
 {288,976,     0x1L,    1L,    1L,    0L},
 {248,992,     0x1L,    1L,    1L,    0L},
 {216,1000,    0x1L,    1L,    1L,    0L},
 {176,1000,    0x1L,    1L,    1L,    0L},
 {144,1008,    0x1L,    1L,    1L,    0L},
 {104,1016,    0x1L,    1L,    1L,    0L},
 {64,1016,     0x1L,    1L,    1L,    0L},
 {16,1016,     0x1L,    1L,    1L,    0L}, 
                                        /* quadrant 2 dir. 1, speed 0 */
 {32,1016,     0x2L,    1L,    1L,    0L},
 {88,1016,     0x2L,    1L,    1L,    0L},
 {144,1008,    0x2L,    1L,    1L,    0L},
 {216,1000,    0x2L,    1L,    1L,    0L},
 {288,976,     0x2L,    1L,    1L,    0L},
 {360,952,     0x2L,    1L,    1L,    0L},
 {440,920,     0x2L,    1L,    1L,    0L},
 {520,880,     0x2L,    1L,    1L,    0L},
 {592,832,     0x2L,    1L,    1L,    0L},
 {656,784,     0x2L,    1L,    1L,    0L},
 {712,728,     0x2L,    1L,    1L,    0L},
 {760,680,     0x2L,    1L,    1L,    0L},
 {800,632,     0x2L,    1L,    1L,    0L},
 {832,592,     0x2L,    1L,    1L,    0L},
 {856,552,     0x2L,    1L,    1L,    0L},
 {880,512,     0x2L,    1L,    1L,    0L},
 {904,472,     0x2L,    1L,    1L,    0L},
 {920,440,     0x2L,    1L,    1L,    0L},
 {928,416,     0x2L,    1L,    1L,    0L},
 {944,384,     0x2L,    1L,    1L,    0L},
 {952,360,     0x2L,    1L,    1L,    0L},
 {960,344,     0x2L,    1L,    1L,    0L},
 {968,320,     0x2L,    1L,    1L,    0L},
 {976,296,     0x2L,    1L,    1L,    0L},
 {984,280,     0x2L,    1L,    1L,    0L},
 {984,256,     0x2L,    1L,    1L,    0L},
 {992,240,     0x2L,    1L,    1L,    0L},
 {1000,216,    0x2L,    1L,    1L,    0L},
 {1000,192,    0x2L,    1L,    1L,    0L},
 {1008,176,    0x2L,    1L,    1L,    0L},
 {1008,144,    0x2L,    1L,    1L,    0L},
 {1016,120,    0x2L,    1L,    1L,    0L}, 
                                         /* 1 quadrant dir. 1, speed 0 */
 {1016,96,     0x2L,    1L,    1L,    0L},
 {1016,64,     0x2L,    1L,    1L,    0L},
 {1016,24,     0x2L,    1L,    1L,    0L},
 {1016,16,     0x3L,    1L,    1L,    0L},
 {1016,64,     0x3L,    1L,    1L,    0L},
 {1016,120,    0x3L,    1L,    1L,    0L},
 {1008,184,    0x3L,    1L,    1L,    0L},
 {992,248,     0x3L,    1L,    1L,    0L},
 {968,328,     0x3L,    1L,    1L,    0L},
 {936,408,     0x3L,    1L,    1L,    0L},
 {896,488,     0x3L,    1L,    1L,    0L},
 {848,568,     0x3L,    1L,    1L,    0L},
 {800,632,     0x3L,    1L,    1L,    0L},
 {744,696,     0x3L,    1L,    1L,    0L},
 {696,744,     0x3L,    1L,    1L,    0L},
 {648,792,     0x3L,    1L,    1L,    0L},
 {600,824,     0x3L,    1L,    1L,    0L},
 {552,856,     0x3L,    1L,    1L,    0L},
 {504,888,     0x3L,    1L,    1L,    0L},
 {464,904,     0x3L,    1L,    1L,    0L},
 {424,928,     0x3L,    1L,    1L,    0L},
 {392,944,     0x3L,    1L,    1L,    0L},
 {352,960,     0x3L,    1L,    1L,    0L},
 {320,968,     0x3L,    1L,    1L,    0L},
 {288,976,     0x3L,    1L,    1L,    0L},
 {248,992,     0x3L,    1L,    1L,    0L},
 {216,1000,    0x3L,    1L,    1L,    0L},
 {176,1000,    0x3L,    1L,    1L,    0L},
 {144,1008,    0x3L,    1L,    1L,    0L},
 {104,1016,    0x3L,    1L,    1L,    0L},
 {64,1016,     0x3L,    1L,    1L,    0L},
 {16,1016,     0x3L,    1L,    1L,    0L}}},
/* EasyCASE > */
/* EasyCASE ) */
/* EasyCASE ( 981
   Direction 0 (CCW), Speed 1 (special table)
   EDUL-SMIA_nMW2000_FrontContacted_Basic_Classic (No 0) */
/* EasyCASE < */
{{                                      /* quadrant 0 dir. 0, speed 1 */
 {392,768,     0x0L,    1L,    1L,    0L},
 {408,752,     0x0L,    1L,    1L,    0L},
 {424,736,     0x0L,    1L,    1L,    0L},
 {448,712,     0x0L,    1L,    1L,    0L},
 {472,696,     0x0L,    1L,    1L,    0L},
 {504,672,     0x0L,    1L,    1L,    0L},
 {544,640,     0x0L,    1L,    1L,    0L},
 {576,616,     0x0L,    1L,    1L,    0L},
 {608,584,     0x0L,    1L,    1L,    0L},
 {632,560,     0x0L,    1L,    1L,    0L},
 {656,528,     0x0L,    1L,    1L,    0L},
 {688,504,     0x0L,    1L,    1L,    0L},
 {712,472,     0x0L,    1L,    1L,    0L},
 {744,440,     0x0L,    1L,    1L,    0L},
 {784,392,     0x0L,    1L,    1L,    0L},
 {824,336,     0x0L,    1L,    1L,    0L},
 {864,288,     0x0L,    1L,    1L,    0L},
 {896,232,     0x0L,    1L,    1L,    0L},
 {928,184,     0x0L,    1L,    1L,    0L},
 {952,128,     0x0L,    1L,    1L,    0L},
 {968,80,      0x0L,    1L,    1L,    0L},
 {992,32,      0x0L,    1L,    1L,    0L}, 
 {1000,16,     0x1L,    1L,    1L,    0L},
 {1016,64,     0x1L,    1L,    1L,    0L},
 {1016,112,    0x1L,    1L,    1L,    0L},
 {1016,160,    0x1L,    1L,    1L,    0L},
 {1008,200,    0x1L,    1L,    1L,    0L},
 {1000,232,    0x1L,    1L,    1L,    0L},
 {992,256,     0x1L,    1L,    1L,    0L},
 {976,272,     0x1L,    1L,    1L,    0L},
 {968,280,     0x1L,    1L,    1L,    0L},
 {960,288,     0x1L,    1L,    1L,    0L},
                                        /* quadrant 1 dir. 0, speed 1 */
 {952,304,     0x1L,    1L,    1L,    0L},
 {944,312,     0x1L,    1L,    1L,    0L},
 {920,336,     0x1L,    1L,    1L,    0L},
 {896,360,     0x1L,    1L,    1L,    0L},
 {872,384,     0x1L,    1L,    1L,    0L},
 {832,416,     0x1L,    1L,    1L,    0L},
 {800,440,     0x1L,    1L,    1L,    0L},
 {768,472,     0x1L,    1L,    1L,    0L},
 {744,496,     0x1L,    1L,    1L,    0L},
 {712,520,     0x1L,    1L,    1L,    0L},
 {680,544,     0x1L,    1L,    1L,    0L},
 {648,568,     0x1L,    1L,    1L,    0L},
 {600,600,     0x1L,    1L,    1L,    0L},
 {552,632,     0x1L,    1L,    1L,    0L},
 {496,672,     0x1L,    1L,    1L,    0L},
 {440,712,     0x1L,    1L,    1L,    0L},
 {376,744,     0x1L,    1L,    1L,    0L},
 {320,784,     0x1L,    1L,    1L,    0L},
 {264,808,     0x1L,    1L,    1L,    0L},
 {208,840,     0x1L,    1L,    1L,    0L},
 {152,864,     0x1L,    1L,    1L,    0L},
 {96,888,      0x1L,    1L,    1L,    0L},
 {32,904,      0x1L,    1L,    1L,    0L},
 {40,920,      0x2L,    1L,    1L,    0L},
 {104,928,     0x2L,    1L,    1L,    0L},
 {160,928,     0x2L,    1L,    1L,    0L},
 {216,920,     0x2L,    1L,    1L,    0L},
 {264,896,     0x2L,    1L,    1L,    0L},
 {304,872,     0x2L,    1L,    1L,    0L},
 {328,848,     0x2L,    1L,    1L,    0L},
 {352,816,     0x2L,    1L,    1L,    0L},
 {376,792,     0x2L,    1L,    1L,    0L},
 
                                       /* quadrant 2 dir. 0, speed 1 */
 {392,768,     0x2L,    1L,    1L,    0L},
 {408,752,     0x2L,    1L,    1L,    0L},
 {424,736,     0x2L,    1L,    1L,    0L},
 {448,712,     0x2L,    1L,    1L,    0L},
 {472,696,     0x2L,    1L,    1L,    0L},
 {504,672,     0x2L,    1L,    1L,    0L},
 {544,640,     0x2L,    1L,    1L,    0L},
 {576,616,     0x2L,    1L,    1L,    0L},
 {608,584,     0x2L,    1L,    1L,    0L},
 {632,560,     0x2L,    1L,    1L,    0L},
 {656,528,     0x2L,    1L,    1L,    0L},
 {688,504,     0x2L,    1L,    1L,    0L},
 {712,472,     0x2L,    1L,    1L,    0L},
 {744,440,     0x2L,    1L,    1L,    0L},
 {784,392,     0x2L,    1L,    1L,    0L},
 {824,336,     0x2L,    1L,    1L,    0L},
 {864,288,     0x2L,    1L,    1L,    0L},
 {896,232,     0x2L,    1L,    1L,    0L},
 {928,184,     0x2L,    1L,    1L,    0L},
 {952,128,     0x2L,    1L,    1L,    0L},
 {968,80,      0x2L,    1L,    1L,    0L},
 {992,32,      0x2L,    1L,    1L,    0L},
 {1000,16,     0x3L,    1L,    1L,    0L},
 {1016,64,     0x3L,    1L,    1L,    0L},
 {1016,112,    0x3L,    1L,    1L,    0L},
 {1016,160,    0x3L,    1L,    1L,    0L},
 {1008,200,    0x3L,    1L,    1L,    0L},
 {1000,232,    0x3L,    1L,    1L,    0L},
 {992,256,     0x3L,    1L,    1L,    0L},
 {976,272,     0x3L,    1L,    1L,    0L},
 {968,280,     0x3L,    1L,    1L,    0L},
 {960,288,     0x3L,    1L,    1L,    0L},
                                        /* quadrant 3 dir. 0, speed 1 */
 {952,304,     0x3L,    1L,    1L,    0L},
 {944,312,     0x3L,    1L,    1L,    0L},
 {920,336,     0x3L,    1L,    1L,    0L},
 {896,360,     0x3L,    1L,    1L,    0L},
 {872,384,     0x3L,    1L,    1L,    0L},
 {832,416,     0x3L,    1L,    1L,    0L},
 {800,440,     0x3L,    1L,    1L,    0L},
 {768,472,     0x3L,    1L,    1L,    0L},
 {744,496,     0x3L,    1L,    1L,    0L},
 {712,520,     0x3L,    1L,    1L,    0L},
 {680,544,     0x3L,    1L,    1L,    0L},
 {648,568,     0x3L,    1L,    1L,    0L},
 {600,600,     0x3L,    1L,    1L,    0L},
 {552,632,     0x3L,    1L,    1L,    0L},
 {496,672,     0x3L,    1L,    1L,    0L},
 {440,712,     0x3L,    1L,    1L,    0L},
 {376,744,     0x3L,    1L,    1L,    0L},
 {320,784,     0x3L,    1L,    1L,    0L},
 {264,808,     0x3L,    1L,    1L,    0L},
 {208,840,     0x3L,    1L,    1L,    0L},
 {152,864,     0x3L,    1L,    1L,    0L},
 {96,888,      0x3L,    1L,    1L,    0L},
 {32,904,      0x3L,    1L,    1L,    0L},  
 {40,920,      0x0L,    1L,    1L,    0L},
 {104,928,     0x0L,    1L,    1L,    0L},
 {160,928,     0x0L,    1L,    1L,    0L},
 {216,920,     0x0L,    1L,    1L,    0L},
 {264,896,     0x0L,    1L,    1L,    0L},
 {304,872,     0x0L,    1L,    1L,    0L},
 {328,848,     0x0L,    1L,    1L,    0L},
 {352,816,     0x0L,    1L,    1L,    0L},
 {376,792,     0x0L,    1L,    1L,    0L}},
/* EasyCASE > */
/* EasyCASE ) */
/* EasyCASE ( 982
   Direction 1 (CW), Speed 1 (special table)
   EDUL-SMIA_nMW2000_FrontContacted_Basic_Classic (No 0) */
/* EasyCASE < */
                                       /* quadrant 2 dir. 1, speed 1 */
{{64,896,      0x0L,    1L,    1L,    0L},
 {112,880,     0x0L,    1L,    1L,    0L},
 {160,856,     0x0L,    1L,    1L,    0L},
 {208,840,     0x0L,    1L,    1L,    0L},
 {264,808,     0x0L,    1L,    1L,    0L},
 {312,784,     0x0L,    1L,    1L,    0L},
 {368,752,     0x0L,    1L,    1L,    0L},
 {416,720,     0x0L,    1L,    1L,    0L},
 {464,696,     0x0L,    1L,    1L,    0L},
 {504,664,     0x0L,    1L,    1L,    0L},
 {552,632,     0x0L,    1L,    1L,    0L},
 {592,608,     0x0L,    1L,    1L,    0L},
 {632,576,     0x0L,    1L,    1L,    0L},
 {672,552,     0x0L,    1L,    1L,    0L},
 {704,520,     0x0L,    1L,    1L,    0L},
 {744,488,     0x0L,    1L,    1L,    0L},
 {776,464,     0x0L,    1L,    1L,    0L},
 {808,440,     0x0L,    1L,    1L,    0L},
 {832,416,     0x0L,    1L,    1L,    0L},
 {848,400,     0x0L,    1L,    1L,    0L},
 {872,384,     0x0L,    1L,    1L,    0L},
 {888,368,     0x0L,    1L,    1L,    0L},
 {912,352,     0x0L,    1L,    1L,    0L},
 {928,328,     0x0L,    1L,    1L,    0L},
 {944,312,     0x0L,    1L,    1L,    0L},
 {968,288,     0x0L,    1L,    1L,    0L},
 {984,256,     0x0L,    1L,    1L,    0L},
 {1000,232,    0x0L,    1L,    1L,    0L},
 {1008,200,    0x0L,    1L,    1L,    0L},
 {1016,160,    0x0L,    1L,    1L,    0L},
 {1016,120,    0x0L,    1L,    1L,    0L},
 {1016,80,     0x0L,    1L,    1L,    0L},
                                       /* quadrant 3 dir. 1, speed 1 */
 {1008,40,     0x0L,    1L,    1L,    0L},
 {1000,8,      0x1L,    1L,    1L,    0L},
 {984,56,      0x1L,    1L,    1L,    0L},
 {960,104,     0x1L,    1L,    1L,    0L},
 {936,160,     0x1L,    1L,    1L,    0L},
 {904,216,     0x1L,    1L,    1L,    0L},
 {872,264,     0x1L,    1L,    1L,    0L},
 {840,312,     0x1L,    1L,    1L,    0L},
 {808,360,     0x1L,    1L,    1L,    0L},
 {776,408,     0x1L,    1L,    1L,    0L},
 {736,448,     0x1L,    1L,    1L,    0L},
 {696,488,     0x1L,    1L,    1L,    0L},
 {664,528,     0x1L,    1L,    1L,    0L},
 {624,568,     0x1L,    1L,    1L,    0L},
 {584,608,     0x1L,    1L,    1L,    0L},
 {544,640,     0x1L,    1L,    1L,    0L},
 {512,664,     0x1L,    1L,    1L,    0L},
 {480,688,     0x1L,    1L,    1L,    0L},
 {448,712,     0x1L,    1L,    1L,    0L},
 {424,736,     0x1L,    1L,    1L,    0L},
 {400,768,     0x1L,    1L,    1L,    0L},
 {368,800,     0x1L,    1L,    1L,    0L},
 {344,832,     0x1L,    1L,    1L,    0L},
 {312,864,     0x1L,    1L,    1L,    0L},
 {280,888,     0x1L,    1L,    1L,    0L},
 {248,912,     0x1L,    1L,    1L,    0L},
 {208,920,     0x1L,    1L,    1L,    0L},
 {168,928,     0x1L,    1L,    1L,    0L},
 {120,928,     0x1L,    1L,    1L,    0L},
 {72,928,      0x1L,    1L,    1L,    0L},
 {32,920,      0x1L,    1L,    1L,    0L},
 {16,912,      0x2L,    1L,    1L,    0L}, 
                                       /* quadrant 0 dir. 1, speed 1 */
 {64,896,      0x2L,    1L,    1L,    0L},
 {112,880,     0x2L,    1L,    1L,    0L},
 {160,856,     0x2L,    1L,    1L,    0L},
 {208,840,     0x2L,    1L,    1L,    0L},
 {264,808,     0x2L,    1L,    1L,    0L},
 {312,784,     0x2L,    1L,    1L,    0L},
 {368,752,     0x2L,    1L,    1L,    0L},
 {416,720,     0x2L,    1L,    1L,    0L},
 {464,696,     0x2L,    1L,    1L,    0L},
 {504,664,     0x2L,    1L,    1L,    0L},
 {552,632,     0x2L,    1L,    1L,    0L},
 {592,608,     0x2L,    1L,    1L,    0L},
 {632,576,     0x2L,    1L,    1L,    0L},
 {672,552,     0x2L,    1L,    1L,    0L},
 {704,520,     0x2L,    1L,    1L,    0L},
 {744,488,     0x2L,    1L,    1L,    0L},
 {776,464,     0x2L,    1L,    1L,    0L},
 {808,440,     0x2L,    1L,    1L,    0L},
 {832,416,     0x2L,    1L,    1L,    0L},
 {848,400,     0x2L,    1L,    1L,    0L},
 {872,384,     0x2L,    1L,    1L,    0L},
 {888,368,     0x2L,    1L,    1L,    0L},
 {912,352,     0x2L,    1L,    1L,    0L},
 {928,328,     0x2L,    1L,    1L,    0L},
 {944,312,     0x2L,    1L,    1L,    0L},
 {968,288,     0x2L,    1L,    1L,    0L},
 {984,256,     0x2L,    1L,    1L,    0L},
 {1000,232,    0x2L,    1L,    1L,    0L},
 {1008,200,    0x2L,    1L,    1L,    0L},
 {1016,160,    0x2L,    1L,    1L,    0L},
 {1016,120,    0x2L,    1L,    1L,    0L},
 {1016,80,     0x2L,    1L,    1L,    0L},
                                       /* quadrant 1 dir. 1, speed 1 */
 {1008,40,     0x2L,    1L,    1L,    0L},
 {1000,8,      0x3L,    1L,    1L,    0L},
 {984,56,      0x3L,    1L,    1L,    0L},
 {960,104,     0x3L,    1L,    1L,    0L},
 {936,160,     0x3L,    1L,    1L,    0L},
 {904,216,     0x3L,    1L,    1L,    0L},
 {872,264,     0x3L,    1L,    1L,    0L},
 {840,312,     0x3L,    1L,    1L,    0L},
 {808,360,     0x3L,    1L,    1L,    0L},
 {776,408,     0x3L,    1L,    1L,    0L},
 {736,448,     0x3L,    1L,    1L,    0L},
 {696,488,     0x3L,    1L,    1L,    0L},
 {664,528,     0x3L,    1L,    1L,    0L},
 {624,568,     0x3L,    1L,    1L,    0L},
 {584,608,     0x3L,    1L,    1L,    0L},
 {544,640,     0x3L,    1L,    1L,    0L},
 {512,664,     0x3L,    1L,    1L,    0L},
 {480,688,     0x3L,    1L,    1L,    0L},
 {448,712,     0x3L,    1L,    1L,    0L},
 {424,736,     0x3L,    1L,    1L,    0L},
 {400,768,     0x3L,    1L,    1L,    0L},
 {368,800,     0x3L,    1L,    1L,    0L},
 {344,832,     0x3L,    1L,    1L,    0L},
 {312,864,     0x3L,    1L,    1L,    0L},
 {280,888,     0x3L,    1L,    1L,    0L},
 {248,912,     0x3L,    1L,    1L,    0L},
 {208,920,     0x3L,    1L,    1L,    0L},
 {168,928,     0x3L,    1L,    1L,    0L},
 {120,928,     0x3L,    1L,    1L,    0L},
 {72,928,      0x3L,    1L,    1L,    0L},
 {32,920,      0x3L,    1L,    1L,    0L},
 {16,912,      0x0L,    1L,    1L,    0L}}}}
 };


const struct SMIA_ISM_PWMStd SMIA_ISM_A_STDPWMTABLE1 = {
/* CVP    CHP   CQI   IVR IHR */
{                                        /* quadrant 0 dir. 0, speed 0 */
{{{40,872,      0x0L,    1L,    1L,    0L},   
  {72,888,      0x0L,    1L,    1L,    0L},
  {104,896,     0x0L,    1L,    1L,    0L},
  {136,912,     0x0L,    1L,    1L,    0L},
  {168,920,     0x0L,    1L,    1L,    0L},
  {200,936,     0x0L,    1L,    1L,    0L},
  {232,944,     0x0L,    1L,    1L,    0L},
  {264,952,     0x0L,    1L,    1L,    0L},
  {296,968,     0x0L,    1L,    1L,    0L},
  {336,968,     0x0L,    1L,    1L,    0L},
  {368,976,     0x0L,    1L,    1L,    0L},
  {408,976,     0x0L,    1L,    1L,    0L},
  {448,968,     0x0L,    1L,    1L,    0L},
  {496,952,     0x0L,    1L,    1L,    0L},
  {544,936,     0x0L,    1L,    1L,    0L},
  {592,904,     0x0L,    1L,    1L,    0L},
  {648,864,     0x0L,    1L,    1L,    0L},
  {704,808,     0x0L,    1L,    1L,    0L},
  {760,752,     0x0L,    1L,    1L,    0L},
  {808,680,     0x0L,    1L,    1L,    0L},
  {864,608,     0x0L,    1L,    1L,    0L},
  {904,520,     0x0L,    1L,    1L,    0L},
  {944,440,     0x0L,    1L,    1L,    0L},
  {968,360,     0x0L,    1L,    1L,    0L},
  {992,280,     0x0L,    1L,    1L,    0L},
  {1000,208,    0x0L,    1L,    1L,    0L},
  {1008,144,    0x0L,    1L,    1L,    0L},
  {1016,80,     0x0L,    1L,    1L,    0L},
  {1016,32,     0x0L,    1L,    1L,    0L},
  {1008,16,     0x1L,    1L,    1L,    0L},
  {1008,56,     0x1L,    1L,    1L,    0L},
  {1008,88,     0x1L,    1L,    1L,    0L},
                                         /* quadrant 1 dir. 0, speed 0 */
  {1008,120,    0x1L,    1L,    1L,    0L},   
  {1008,152,    0x1L,    1L,    1L,    0L},
  {1008,176,    0x1L,    1L,    1L,    0L},
  {1008,200,    0x1L,    1L,    1L,    0L},
  {1008,232,    0x1L,    1L,    1L,    0L},
  {1016,256,    0x1L,    1L,    1L,    0L},
  {1016,280,    0x1L,    1L,    1L,    0L},
  {1008,296,    0x1L,    1L,    1L,    0L},
  {1008,320,    0x1L,    1L,    1L,    0L},
  {1008,344,    0x1L,    1L,    1L,    0L},
  {1000,368,    0x1L,    1L,    1L,    0L},
  {992,392,     0x1L,    1L,    1L,    0L},
  {984,416,     0x1L,    1L,    1L,    0L},
  {968,440,     0x1L,    1L,    1L,    0L},
  {952,472,     0x1L,    1L,    1L,    0L},
  {920,504,     0x1L,    1L,    1L,    0L},
  {888,544,     0x1L,    1L,    1L,    0L},
  {848,576,     0x1L,    1L,    1L,    0L},
  {792,616,     0x1L,    1L,    1L,    0L},
  {736,656,     0x1L,    1L,    1L,    0L},
  {664,688,     0x1L,    1L,    1L,    0L},
  {592,720,     0x1L,    1L,    1L,    0L},
  {520,752,     0x1L,    1L,    1L,    0L},
  {440,776,     0x1L,    1L,    1L,    0L},
  {368,800,     0x1L,    1L,    1L,    0L},
  {296,808,     0x1L,    1L,    1L,    0L},
  {232,824,     0x1L,    1L,    1L,    0L},
  {168,832,     0x1L,    1L,    1L,    0L},
  {120,840,     0x1L,    1L,    1L,    0L},
  {72,848,      0x1L,    1L,    1L,    0L},
  {32,856,      0x1L,    1L,    1L,    0L},
  {0,864,       0x1L,    1L,    1L,    0L},
                                         /* quadrant 2 dir. 0, speed 0 */
  {40,872,      0x2L,    1L,    1L,    0L},    
  {72,888,      0x2L,    1L,    1L,    0L},
  {104,896,     0x2L,    1L,    1L,    0L},
  {136,912,     0x2L,    1L,    1L,    0L},
  {168,920,     0x2L,    1L,    1L,    0L},
  {200,936,     0x2L,    1L,    1L,    0L},
  {232,944,     0x2L,    1L,    1L,    0L},
  {264,952,     0x2L,    1L,    1L,    0L},
  {296,968,     0x2L,    1L,    1L,    0L},
  {336,968,     0x2L,    1L,    1L,    0L},
  {368,976,     0x2L,    1L,    1L,    0L},
  {408,976,     0x2L,    1L,    1L,    0L},
  {448,968,     0x2L,    1L,    1L,    0L},
  {496,952,     0x2L,    1L,    1L,    0L},
  {544,936,     0x2L,    1L,    1L,    0L},
  {592,904,     0x2L,    1L,    1L,    0L},
  {648,864,     0x2L,    1L,    1L,    0L},
  {704,808,     0x2L,    1L,    1L,    0L},
  {760,752,     0x2L,    1L,    1L,    0L},
  {808,680,     0x2L,    1L,    1L,    0L},
  {864,608,     0x2L,    1L,    1L,    0L},
  {904,520,     0x2L,    1L,    1L,    0L},
  {944,440,     0x2L,    1L,    1L,    0L},
  {968,360,     0x2L,    1L,    1L,    0L},
  {992,280,     0x2L,    1L,    1L,    0L},
  {1000,208,    0x2L,    1L,    1L,    0L},
  {1008,144,    0x2L,    1L,    1L,    0L},
  {1016,80,     0x2L,    1L,    1L,    0L},
  {1016,32,     0x2L,    1L,    1L,    0L},
  {1008,16,     0x3L,    1L,    1L,    0L},
  {1008,56,     0x3L,    1L,    1L,    0L},
  {1008,88,     0x3L,    1L,    1L,    0L},
                                         /* quadrant 3 dir. 0, speed 0 */
  {1008,120,    0x3L,    1L,    1L,    0L},    
  {1008,152,    0x3L,    1L,    1L,    0L},
  {1008,176,    0x3L,    1L,    1L,    0L},
  {1008,200,    0x3L,    1L,    1L,    0L},
  {1008,232,    0x3L,    1L,    1L,    0L},
  {1016,256,    0x3L,    1L,    1L,    0L},
  {1016,280,    0x3L,    1L,    1L,    0L},
  {1008,296,    0x3L,    1L,    1L,    0L},
  {1008,320,    0x3L,    1L,    1L,    0L},
  {1008,344,    0x3L,    1L,    1L,    0L},
  {1000,368,    0x3L,    1L,    1L,    0L},
  {992,392,     0x3L,    1L,    1L,    0L},
  {984,416,     0x3L,    1L,    1L,    0L},
  {968,440,     0x3L,    1L,    1L,    0L},
  {952,472,     0x3L,    1L,    1L,    0L},
  {920,504,     0x3L,    1L,    1L,    0L},
  {888,544,     0x3L,    1L,    1L,    0L},
  {848,576,     0x3L,    1L,    1L,    0L},
  {792,616,     0x3L,    1L,    1L,    0L},
  {736,656,     0x3L,    1L,    1L,    0L},
  {664,688,     0x3L,    1L,    1L,    0L},
  {592,720,     0x3L,    1L,    1L,    0L},
  {520,752,     0x3L,    1L,    1L,    0L},
  {440,776,     0x3L,    1L,    1L,    0L},
  {368,800,     0x3L,    1L,    1L,    0L},
  {296,808,     0x3L,    1L,    1L,    0L},
  {232,824,     0x3L,    1L,    1L,    0L},
  {168,832,     0x3L,    1L,    1L,    0L},
  {120,840,     0x3L,    1L,    1L,    0L},
  {72,848,      0x3L,    1L,    1L,    0L},
  {32,856,      0x3L,    1L,    1L,    0L},
  {0,864,       0x3L,    1L,    1L,    0L}},
/* EasyCASE > */
/* EasyCASE ) */
/* EasyCASE ( 1286
   Direction 1 (CCW), Speed 0 (normal table)
   MUL-SMIA_nMW2000_FrontContacted_Silent_Classic  (No 1) */
/* EasyCASE < */
                                        /* quadrant 0 dir. 1, speed 0 */
{{368,960,     0x3L,    1L,    1L,    0L},    
 {328,968,     0x3L,    1L,    1L,    0L},
 {296,968,     0x3L,    1L,    1L,    0L},
 {264,968,     0x3L,    1L,    1L,    0L},
 {232,976,     0x3L,    1L,    1L,    0L},
 {192,976,     0x3L,    1L,    1L,    0L},
 {160,976,     0x3L,    1L,    1L,    0L},
 {120,984,     0x3L,    1L,    1L,    0L},
 {72,984,      0x3L,    1L,    1L,    0L},
 {24,984,      0x3L,    1L,    1L,    0L},
 {32,984,      0x0L,    1L,    1L,    0L},
 {88,976,      0x0L,    1L,    1L,    0L},
 {152,968,     0x0L,    1L,    1L,    0L},
 {216,952,     0x0L,    1L,    1L,    0L},
 {288,928,     0x0L,    1L,    1L,    0L},
 {360,896,     0x0L,    1L,    1L,    0L},
 {432,864,     0x0L,    1L,    1L,    0L},
 {504,824,     0x0L,    1L,    1L,    0L},
 {576,776,     0x0L,    1L,    1L,    0L},
 {648,736,     0x0L,    1L,    1L,    0L},
 {712,688,     0x0L,    1L,    1L,    0L},
 {776,640,     0x0L,    1L,    1L,    0L},
 {824,592,     0x0L,    1L,    1L,    0L},
 {872,544,     0x0L,    1L,    1L,    0L},
 {912,504,     0x0L,    1L,    1L,    0L},
 {944,464,     0x0L,    1L,    1L,    0L},
 {968,432,     0x0L,    1L,    1L,    0L},
 {992,400,     0x0L,    1L,    1L,    0L},
 {1000,368,    0x0L,    1L,    1L,    0L},
 {1016,336,    0x0L,    1L,    1L,    0L},
 {1016,312,    0x0L,    1L,    1L,    0L},
 {1016,288,    0x0L,    1L,    1L,    0L},
                                        /* quadrant 1 dir. 1, speed 0 */
 {1016,264,    0x0L,    1L,    1L,    0L},    
 {1016,240,    0x0L,    1L,    1L,    0L},
 {1008,216,    0x0L,    1L,    1L,    0L},
 {1008,200,    0x0L,    1L,    1L,    0L},
 {1008,176,    0x0L,    1L,    1L,    0L},
 {1008,152,    0x0L,    1L,    1L,    0L},
 {1008,128,    0x0L,    1L,    1L,    0L},
 {1008,96,     0x0L,    1L,    1L,    0L},
 {1008,64,     0x0L,    1L,    1L,    0L},
 {1008,32,     0x0L,    1L,    1L,    0L},
 {1008,0,      0x0L,    1L,    1L,    0L},
 {1008,40,     0x1L,    1L,    1L,    0L},
 {1000,88,     0x1L,    1L,    1L,    0L},
 {992,136,     0x1L,    1L,    1L,    0L},
 {984,192,     0x1L,    1L,    1L,    0L},
 {968,248,     0x1L,    1L,    1L,    0L},
 {944,304,     0x1L,    1L,    1L,    0L},
 {920,368,     0x1L,    1L,    1L,    0L},
 {888,424,     0x1L,    1L,    1L,    0L},
 {848,488,     0x1L,    1L,    1L,    0L},
 {816,552,     0x1L,    1L,    1L,    0L},
 {776,608,     0x1L,    1L,    1L,    0L},
 {736,664,     0x1L,    1L,    1L,    0L},
 {696,720,     0x1L,    1L,    1L,    0L},
 {656,768,     0x1L,    1L,    1L,    0L},
 {616,808,     0x1L,    1L,    1L,    0L},
 {576,848,     0x1L,    1L,    1L,    0L},
 {536,880,     0x1L,    1L,    1L,    0L},
 {504,904,     0x1L,    1L,    1L,    0L},
 {464,928,     0x1L,    1L,    1L,    0L},
 {432,936,     0x1L,    1L,    1L,    0L},
 {400,952,     0x1L,    1L,    1L,    0L},
                                        /* 2 quadrant dir. 1, speed 0 */
 {368,960,     0x1L,    1L,    1L,    0L},    
 {328,968,     0x1L,    1L,    1L,    0L},
 {296,968,     0x1L,    1L,    1L,    0L},
 {264,968,     0x1L,    1L,    1L,    0L},
 {232,976,     0x1L,    1L,    1L,    0L},
 {192,976,     0x1L,    1L,    1L,    0L},
 {160,976,     0x1L,    1L,    1L,    0L},
 {120,984,     0x1L,    1L,    1L,    0L},
 {72,984,      0x1L,    1L,    1L,    0L},
 {24,984,      0x1L,    1L,    1L,    0L},
 {32,984,      0x2L,    1L,    1L,    0L},
 {88,976,      0x2L,    1L,    1L,    0L},
 {152,968,     0x2L,    1L,    1L,    0L},
 {216,952,     0x2L,    1L,    1L,    0L},
 {288,928,     0x2L,    1L,    1L,    0L},
 {360,896,     0x2L,    1L,    1L,    0L},
 {432,864,     0x2L,    1L,    1L,    0L},
 {504,824,     0x2L,    1L,    1L,    0L},
 {576,776,     0x2L,    1L,    1L,    0L},
 {648,736,     0x2L,    1L,    1L,    0L},
 {712,688,     0x2L,    1L,    1L,    0L},
 {776,640,     0x2L,    1L,    1L,    0L},
 {824,592,     0x2L,    1L,    1L,    0L},
 {872,544,     0x2L,    1L,    1L,    0L},
 {912,504,     0x2L,    1L,    1L,    0L},
 {944,464,     0x2L,    1L,    1L,    0L},
 {968,432,     0x2L,    1L,    1L,    0L},
 {992,400,     0x2L,    1L,    1L,    0L},
 {1000,368,    0x2L,    1L,    1L,    0L},
 {1016,336,    0x2L,    1L,    1L,    0L},
 {1016,312,    0x2L,    1L,    1L,    0L},
 {1016,288,    0x2L,    1L,    1L,    0L},
                                        /* 3 quadrant dir. 1, speed 0 */
 {1016,264,    0x2L,    1L,    1L,    0L},    
 {1016,240,    0x2L,    1L,    1L,    0L},
 {1008,216,    0x2L,    1L,    1L,    0L},
 {1008,200,    0x2L,    1L,    1L,    0L},
 {1008,176,    0x2L,    1L,    1L,    0L},
 {1008,152,    0x2L,    1L,    1L,    0L},
 {1008,128,    0x2L,    1L,    1L,    0L},
 {1008,96,     0x2L,    1L,    1L,    0L},
 {1008,64,     0x2L,    1L,    1L,    0L},
 {1008,32,     0x2L,    1L,    1L,    0L},
 {1008,0,      0x2L,    1L,    1L,    0L},
 {1008,40,     0x3L,    1L,    1L,    0L},
 {1000,88,     0x3L,    1L,    1L,    0L},
 {992,136,     0x3L,    1L,    1L,    0L},
 {984,192,     0x3L,    1L,    1L,    0L},
 {968,248,     0x3L,    1L,    1L,    0L},
 {944,304,     0x3L,    1L,    1L,    0L},
 {920,368,     0x3L,    1L,    1L,    0L},
 {888,424,     0x3L,    1L,    1L,    0L},
 {848,488,     0x3L,    1L,    1L,    0L},
 {816,552,     0x3L,    1L,    1L,    0L},
 {776,608,     0x3L,    1L,    1L,    0L},
 {736,664,     0x3L,    1L,    1L,    0L},
 {696,720,     0x3L,    1L,    1L,    0L},
 {656,768,     0x3L,    1L,    1L,    0L},
 {616,808,     0x3L,    1L,    1L,    0L},
 {576,848,     0x3L,    1L,    1L,    0L},
 {536,880,     0x3L,    1L,    1L,    0L},
 {504,904,     0x3L,    1L,    1L,    0L},
 {464,928,     0x3L,    1L,    1L,    0L},
 {432,936,     0x3L,    1L,    1L,    0L},
 {400,952,     0x3L,    1L,    1L,    0L}}},
/* EasyCASE > */
/* EasyCASE ) */
/* EasyCASE ( 1287
   Direction 0 (CW), Speed 1 (special table)
   MUL-SMIA_nMW2000_FrontContacted_Silent_Classic  (No 1) */
/* EasyCASE < */
                                         /* quadrant 0 dir. 0, speed 1 */
{{{80,928,      0x0L,    1L,    1L,    0L},
  {112,952,     0x0L,    1L,    1L,    0L},
  {144,960,     0x0L,    1L,    1L,    0L},
  {184,976,     0x0L,    1L,    1L,    0L},
  {216,984,     0x0L,    1L,    1L,    0L},
  {248,984,     0x0L,    1L,    1L,    0L},
  {280,992,     0x0L,    1L,    1L,    0L},
  {320,992,     0x0L,    1L,    1L,    0L},
  {352,992,     0x0L,    1L,    1L,    0L},
  {392,992,     0x0L,    1L,    1L,    0L},
  {440,1000,    0x0L,    1L,    1L,    0L},
  {480,992,     0x0L,    1L,    1L,    0L},
  {528,984,     0x0L,    1L,    1L,    0L},
  {584,976,     0x0L,    1L,    1L,    0L},
  {632,952,     0x0L,    1L,    1L,    0L},
  {680,912,     0x0L,    1L,    1L,    0L},
  {736,864,     0x0L,    1L,    1L,    0L},
  {776,800,     0x0L,    1L,    1L,    0L},
  {824,728,     0x0L,    1L,    1L,    0L},
  {856,640,     0x0L,    1L,    1L,    0L},
  {888,552,     0x0L,    1L,    1L,    0L},
  {920,456,     0x0L,    1L,    1L,    0L},
  {936,360,     0x0L,    1L,    1L,    0L},
  {952,272,     0x0L,    1L,    1L,    0L},
  {968,184,     0x0L,    1L,    1L,    0L},
  {976,104,     0x0L,    1L,    1L,    0L},
  {976,40,      0x0L,    1L,    1L,    0L},
  {984,24,      0x1L,    1L,    1L,    0L},
  {984,72,      0x1L,    1L,    1L,    0L},
  {992,120,     0x1L,    1L,    1L,    0L},
  {992,160,     0x1L,    1L,    1L,    0L},
  {992,200,     0x1L,    1L,    1L,    0L},
                                         /* quadrant 1 dir. 0, speed 1 */
  {992,232,     0x1L,    1L,    1L,    0L},
  {1000,264,    0x1L,    1L,    1L,    0L},
  {1000,296,    0x1L,    1L,    1L,    0L},
  {1000,320,    0x1L,    1L,    1L,    0L},
  {1000,344,    0x1L,    1L,    1L,    0L},
  {1000,368,    0x1L,    1L,    1L,    0L},
  {1008,392,    0x1L,    1L,    1L,    0L},
  {1008,416,    0x1L,    1L,    1L,    0L},
  {1016,440,    0x1L,    1L,    1L,    0L},
  {1016,456,    0x1L,    1L,    1L,    0L},
  {1016,480,    0x1L,    1L,    1L,    0L},
  {1016,504,    0x1L,    1L,    1L,    0L},
  {1000,528,    0x1L,    1L,    1L,    0L},
  {984,552,     0x1L,    1L,    1L,    0L},
  {952,584,     0x1L,    1L,    1L,    0L},
  {912,616,     0x1L,    1L,    1L,    0L},
  {864,640,     0x1L,    1L,    1L,    0L},
  {808,672,     0x1L,    1L,    1L,    0L},
  {736,696,     0x1L,    1L,    1L,    0L},
  {664,712,     0x1L,    1L,    1L,    0L},
  {592,728,     0x1L,    1L,    1L,    0L},
  {512,744,     0x1L,    1L,    1L,    0L},
  {432,760,     0x1L,    1L,    1L,    0L},
  {360,768,     0x1L,    1L,    1L,    0L},
  {288,776,     0x1L,    1L,    1L,    0L},
  {232,792,     0x1L,    1L,    1L,    0L},
  {168,808,     0x1L,    1L,    1L,    0L},
  {120,824,     0x1L,    1L,    1L,    0L},
  {72,840,      0x1L,    1L,    1L,    0L},
  {32,864,      0x1L,    1L,    1L,    0L},
  {8,888,       0x2L,    1L,    1L,    0L},
  {48,912,      0x2L,    1L,    1L,    0L},
                                         /* quadrant 2 dir. 0, speed 1 */
  {80,928,      0x2L,    1L,    1L,    0L},
  {112,952,     0x2L,    1L,    1L,    0L},
  {144,960,     0x2L,    1L,    1L,    0L},
  {184,976,     0x2L,    1L,    1L,    0L},
  {216,984,     0x2L,    1L,    1L,    0L},
  {248,984,     0x2L,    1L,    1L,    0L},
  {280,992,     0x2L,    1L,    1L,    0L},
  {320,992,     0x2L,    1L,    1L,    0L},
  {352,992,     0x2L,    1L,    1L,    0L},
  {392,992,     0x2L,    1L,    1L,    0L},
  {440,1000,    0x2L,    1L,    1L,    0L},
  {480,992,     0x2L,    1L,    1L,    0L},
  {528,984,     0x2L,    1L,    1L,    0L},
  {584,976,     0x2L,    1L,    1L,    0L},
  {632,952,     0x2L,    1L,    1L,    0L},
  {680,912,     0x2L,    1L,    1L,    0L},
  {736,864,     0x2L,    1L,    1L,    0L},
  {776,800,     0x2L,    1L,    1L,    0L},
  {824,728,     0x2L,    1L,    1L,    0L},
  {856,640,     0x2L,    1L,    1L,    0L},
  {888,552,     0x2L,    1L,    1L,    0L},
  {920,456,     0x2L,    1L,    1L,    0L},
  {936,360,     0x2L,    1L,    1L,    0L},
  {952,272,     0x2L,    1L,    1L,    0L},
  {968,184,     0x2L,    1L,    1L,    0L},
  {976,104,     0x2L,    1L,    1L,    0L},
  {976,40,      0x2L,    1L,    1L,    0L},
  {984,24,      0x3L,    1L,    1L,    0L},
  {984,72,      0x3L,    1L,    1L,    0L},
  {992,120,     0x3L,    1L,    1L,    0L},
  {992,160,     0x3L,    1L,    1L,    0L},
  {992,200,     0x3L,    1L,    1L,    0L},
                                         /* quadrant 3 dir. 0, speed 1 */
  {992,232,     0x3L,    1L,    1L,    0L},
  {1000,264,    0x3L,    1L,    1L,    0L},
  {1000,296,    0x3L,    1L,    1L,    0L},
  {1000,320,    0x3L,    1L,    1L,    0L},
  {1000,344,    0x3L,    1L,    1L,    0L},
  {1000,368,    0x3L,    1L,    1L,    0L},
  {1008,392,    0x3L,    1L,    1L,    0L},
  {1008,416,    0x3L,    1L,    1L,    0L},
  {1016,440,    0x3L,    1L,    1L,    0L},
  {1016,456,    0x3L,    1L,    1L,    0L},
  {1016,480,    0x3L,    1L,    1L,    0L},
  {1016,504,    0x3L,    1L,    1L,    0L},
  {1000,528,    0x3L,    1L,    1L,    0L},
  {984,552,     0x3L,    1L,    1L,    0L},
  {952,584,     0x3L,    1L,    1L,    0L},
  {912,616,     0x3L,    1L,    1L,    0L},
  {864,640,     0x3L,    1L,    1L,    0L},
  {808,672,     0x3L,    1L,    1L,    0L},
  {736,696,     0x3L,    1L,    1L,    0L},
  {664,712,     0x3L,    1L,    1L,    0L},
  {592,728,     0x3L,    1L,    1L,    0L},
  {512,744,     0x3L,    1L,    1L,    0L},
  {432,760,     0x3L,    1L,    1L,    0L},
  {360,768,     0x3L,    1L,    1L,    0L},
  {288,776,     0x3L,    1L,    1L,    0L},
  {232,792,     0x3L,    1L,    1L,    0L},
  {168,808,     0x3L,    1L,    1L,    0L},
  {120,824,     0x3L,    1L,    1L,    0L},
  {72,840,      0x3L,    1L,    1L,    0L},
  {32,864,      0x3L,    1L,    1L,    0L},
  {8,888,       0x0L,    1L,    1L,    0L},
  {48,912,      0x0L,    1L,    1L,    0L}},
/* EasyCASE > */
/* EasyCASE ) */
/* EasyCASE ( 1288
   Direction 1 (CCW), Speed 1 (special table)
   MUL-SMIA_nMW2000_FrontContacted_Silent_Classic  (No 1) */
/* EasyCASE < */
                                         /* quadrant 0 dir. 1, speed 1 */
{ {136,960,     0x3L,    1L,    1L,    0L},
  {80,944,      0x3L,    1L,    1L,    0L},
  {24,928,      0x3L,    1L,    1L,    0L},
  {32,904,      0x0L,    1L,    1L,    0L},
  {88,872,      0x0L,    1L,    1L,    0L},
  {144,848,     0x0L,    1L,    1L,    0L},
  {200,816,     0x0L,    1L,    1L,    0L},
  {264,792,     0x0L,    1L,    1L,    0L},
  {320,768,     0x0L,    1L,    1L,    0L},
  {376,744,     0x0L,    1L,    1L,    0L},
  {432,720,     0x0L,    1L,    1L,    0L},
  {496,696,     0x0L,    1L,    1L,    0L},
  {560,672,     0x0L,    1L,    1L,    0L},
  {624,640,     0x0L,    1L,    1L,    0L},
  {696,608,     0x0L,    1L,    1L,    0L},
  {760,576,     0x0L,    1L,    1L,    0L},
  {816,544,     0x0L,    1L,    1L,    0L},
  {872,504,     0x0L,    1L,    1L,    0L},
  {920,472,     0x0L,    1L,    1L,    0L},
  {960,440,     0x0L,    1L,    1L,    0L},
  {984,408,     0x0L,    1L,    1L,    0L},
  {1008,384,    0x0L,    1L,    1L,    0L},
  {1016,360,    0x0L,    1L,    1L,    0L},
  {1016,344,    0x0L,    1L,    1L,    0L},
  {1016,328,    0x0L,    1L,    1L,    0L},
  {1008,312,    0x0L,    1L,    1L,    0L},
  {1008,296,    0x0L,    1L,    1L,    0L},
  {1000,272,    0x0L,    1L,    1L,    0L},
  {1000,248,    0x0L,    1L,    1L,    0L},
  {1000,216,    0x0L,    1L,    1L,    0L},
  {1000,184,    0x0L,    1L,    1L,    0L},
  {1000,144,    0x0L,    1L,    1L,    0L},
                                         /* quadrant 1 dir. 1, speed 1 */
  {1008,104,    0x0L,    1L,    1L,    0L},
  {1008,64,     0x0L,    1L,    1L,    0L},
  {1008,24,     0x0L,    1L,    1L,    0L},
  {1000,16,     0x1L,    1L,    1L,    0L},
  {1000,64,     0x1L,    1L,    1L,    0L},
  {984,104,     0x1L,    1L,    1L,    0L},
  {976,152,     0x1L,    1L,    1L,    0L},
  {960,208,     0x1L,    1L,    1L,    0L},
  {944,264,     0x1L,    1L,    1L,    0L},
  {928,336,     0x1L,    1L,    1L,    0L},
  {912,408,     0x1L,    1L,    1L,    0L},
  {896,480,     0x1L,    1L,    1L,    0L},
  {872,560,     0x1L,    1L,    1L,    0L},
  {848,640,     0x1L,    1L,    1L,    0L},
  {824,720,     0x1L,    1L,    1L,    0L},
  {792,792,     0x1L,    1L,    1L,    0L},
  {760,856,     0x1L,    1L,    1L,    0L},
  {728,904,     0x1L,    1L,    1L,    0L},
  {688,944,     0x1L,    1L,    1L,    0L},
  {648,976,     0x1L,    1L,    1L,    0L},
  {608,992,     0x1L,    1L,    1L,    0L},
  {568,1000,    0x1L,    1L,    1L,    0L},
  {528,1000,    0x1L,    1L,    1L,    0L},
  {496,992,     0x1L,    1L,    1L,    0L},
  {456,992,     0x1L,    1L,    1L,    0L},
  {424,984,     0x1L,    1L,    1L,    0L},
  {392,984,     0x1L,    1L,    1L,    0L},
  {352,984,     0x1L,    1L,    1L,    0L},
  {320,984,     0x1L,    1L,    1L,    0L},
  {280,984,     0x1L,    1L,    1L,    0L},
  {232,976,     0x1L,    1L,    1L,    0L},
  {184,968,     0x1L,    1L,    1L,    0L},
                                         /* quadrant 2 dir. 1, speed 1 */
  {136,960,     0x1L,    1L,    1L,    0L},
  {80,944,      0x1L,    1L,    1L,    0L},
  {24,928,      0x1L,    1L,    1L,    0L},
  {32,904,      0x2L,    1L,    1L,    0L},
  {88,872,      0x2L,    1L,    1L,    0L},
  {144,848,     0x2L,    1L,    1L,    0L},
  {200,816,     0x2L,    1L,    1L,    0L},
  {264,792,     0x2L,    1L,    1L,    0L},
  {320,768,     0x2L,    1L,    1L,    0L},
  {376,744,     0x2L,    1L,    1L,    0L},
  {432,720,     0x2L,    1L,    1L,    0L},
  {496,696,     0x2L,    1L,    1L,    0L},
  {560,672,     0x2L,    1L,    1L,    0L},
  {624,640,     0x2L,    1L,    1L,    0L},
  {696,608,     0x2L,    1L,    1L,    0L},
  {760,576,     0x2L,    1L,    1L,    0L},
  {816,544,     0x2L,    1L,    1L,    0L},
  {872,504,     0x2L,    1L,    1L,    0L},
  {920,472,     0x2L,    1L,    1L,    0L},
  {960,440,     0x2L,    1L,    1L,    0L},
  {984,408,     0x2L,    1L,    1L,    0L},
  {1008,384,    0x2L,    1L,    1L,    0L},
  {1016,360,    0x2L,    1L,    1L,    0L},
  {1016,344,    0x2L,    1L,    1L,    0L},
  {1016,328,    0x2L,    1L,    1L,    0L},
  {1008,312,    0x2L,    1L,    1L,    0L},
  {1008,296,    0x2L,    1L,    1L,    0L},
  {1000,272,    0x2L,    1L,    1L,    0L},
  {1000,248,    0x2L,    1L,    1L,    0L},
  {1000,216,    0x2L,    1L,    1L,    0L},
  {1000,184,    0x2L,    1L,    1L,    0L},
  {1000,144,    0x2L,    1L,    1L,    0L},
                                         /* quadrant 3 dir. 1, speed 1 */
  {1008,104,    0x2L,    1L,    1L,    0L},
  {1008,64,     0x2L,    1L,    1L,    0L},
  {1008,24,     0x2L,    1L,    1L,    0L},
  {1000,16,     0x3L,    1L,    1L,    0L},
  {1000,64,     0x3L,    1L,    1L,    0L},
  {984,104,     0x3L,    1L,    1L,    0L},
  {976,152,     0x3L,    1L,    1L,    0L},
  {960,208,     0x3L,    1L,    1L,    0L},
  {944,264,     0x3L,    1L,    1L,    0L},
  {928,336,     0x3L,    1L,    1L,    0L},
  {912,408,     0x3L,    1L,    1L,    0L},
  {896,480,     0x3L,    1L,    1L,    0L},
  {872,560,     0x3L,    1L,    1L,    0L},
  {848,640,     0x3L,    1L,    1L,    0L},
  {824,720,     0x3L,    1L,    1L,    0L},
  {792,792,     0x3L,    1L,    1L,    0L},
  {760,856,     0x3L,    1L,    1L,    0L},
  {728,904,     0x3L,    1L,    1L,    0L},
  {688,944,     0x3L,    1L,    1L,    0L},
  {648,976,     0x3L,    1L,    1L,    0L},
  {608,992,     0x3L,    1L,    1L,    0L},
  {568,1000,    0x3L,    1L,    1L,    0L},
  {528,1000,    0x3L,    1L,    1L,    0L},
  {496,992,     0x3L,    1L,    1L,    0L},
  {456,992,     0x3L,    1L,    1L,    0L},
  {424,984,     0x3L,    1L,    1L,    0L},
  {392,984,     0x3L,    1L,    1L,    0L},
  {352,984,     0x3L,    1L,    1L,    0L},
  {320,984,     0x3L,    1L,    1L,    0L},
  {280,984,     0x3L,    1L,    1L,    0L},
  {232,976,     0x3L,    1L,    1L,    0L},
  {184,968,     0x3L,    1L,    1L,    0L}}}}
 };
/* EasyCASE > */
/* EasyCASE ) */
/* EasyCASE ) */
/* EasyCASE ( 974
   MW2000 FRONT-CONTACTED COUNTER-CLOCKWISE(EDUL) TYPE
   SMIA_nMW2000_FrontContacted_Silent_Classic  (No 1) */
/* EasyCASE ( 1001
   Direction 0 (CCW), Speed 0 (normal table)
   EDUL-SMIA_nMW2000_FrontContacted_Silent_Classic  (No 1) */
/* EasyCASE < */
const struct SMIA_ISM_PWMStd SMIA_ISM_A_STDPWMTABLE1_EDUL = { 
/*  CVP   CHP   CQI  IVR IHR */
{                                        /* quadrant 0 dir. 0, speed 0 */
{{{400,952,     0x0L,    1L,    1L,    0L},
  {432,936,     0x0L,    1L,    1L,    0L},
  {464,928,     0x0L,    1L,    1L,    0L},
  {504,904,     0x0L,    1L,    1L,    0L},
  {536,880,     0x0L,    1L,    1L,    0L},
  {576,848,     0x0L,    1L,    1L,    0L},
  {616,808,     0x0L,    1L,    1L,    0L},
  {656,768,     0x0L,    1L,    1L,    0L},
  {696,720,     0x0L,    1L,    1L,    0L},
  {736,664,     0x0L,    1L,    1L,    0L},
  {776,608,     0x0L,    1L,    1L,    0L},
  {816,552,     0x0L,    1L,    1L,    0L},
  {848,488,     0x0L,    1L,    1L,    0L},
  {888,424,     0x0L,    1L,    1L,    0L},
  {920,368,     0x0L,    1L,    1L,    0L},
  {944,304,     0x0L,    1L,    1L,    0L},
  {968,248,     0x0L,    1L,    1L,    0L},
  {984,192,     0x0L,    1L,    1L,    0L},
  {992,136,     0x0L,    1L,    1L,    0L},
  {1000,88,     0x0L,    1L,    1L,    0L},
  {1008,40,     0x0L,    1L,    1L,    0L},
  {1008,0,      0x1L,    1L,    1L,    0L},
  {1008,32,     0x1L,    1L,    1L,    0L},
  {1008,64,     0x1L,    1L,    1L,    0L},
  {1008,96,     0x1L,    1L,    1L,    0L},
  {1008,128,    0x1L,    1L,    1L,    0L},
  {1008,152,    0x1L,    1L,    1L,    0L},
  {1008,176,    0x1L,    1L,    1L,    0L},
  {1008,200,    0x1L,    1L,    1L,    0L},
  {1008,216,    0x1L,    1L,    1L,    0L},
  {1016,240,    0x1L,    1L,    1L,    0L},
  {1016,264,    0x1L,    1L,    1L,    0L},
                                         /* quadrant 1 dir. 0, speed 0 */ 
  {1016,288,    0x1L,    1L,    1L,    0L},
  {1016,312,    0x1L,    1L,    1L,    0L},
  {1016,336,    0x1L,    1L,    1L,    0L},
  {1000,368,    0x1L,    1L,    1L,    0L},
  {992,400,     0x1L,    1L,    1L,    0L},
  {968,432,     0x1L,    1L,    1L,    0L},
  {944,464,     0x1L,    1L,    1L,    0L},
  {912,504,     0x1L,    1L,    1L,    0L},
  {872,544,     0x1L,    1L,    1L,    0L},
  {824,592,     0x1L,    1L,    1L,    0L},
  {776,640,     0x1L,    1L,    1L,    0L},
  {712,688,     0x1L,    1L,    1L,    0L},
  {648,736,     0x1L,    1L,    1L,    0L},
  {576,776,     0x1L,    1L,    1L,    0L},
  {504,824,     0x1L,    1L,    1L,    0L},
  {432,864,     0x1L,    1L,    1L,    0L},
  {360,896,     0x1L,    1L,    1L,    0L},
  {288,928,     0x1L,    1L,    1L,    0L},
  {216,952,     0x1L,    1L,    1L,    0L},
  {152,968,     0x1L,    1L,    1L,    0L},
  {88,976,      0x1L,    1L,    1L,    0L},
  {32,984,      0x1L,    1L,    1L,    0L},
  {24,984,      0x2L,    1L,    1L,    0L},
  {72,984,      0x2L,    1L,    1L,    0L},
  {120,984,     0x2L,    1L,    1L,    0L},
  {160,976,     0x2L,    1L,    1L,    0L},
  {192,976,     0x2L,    1L,    1L,    0L},
  {232,976,     0x2L,    1L,    1L,    0L},
  {264,968,     0x2L,    1L,    1L,    0L},
  {296,968,     0x2L,    1L,    1L,    0L},
  {328,968,     0x2L,    1L,    1L,    0L},
  {368,960,     0x2L,    1L,    1L,    0L},
                                         /* quadrant 2 dir. 0, speed 0 */
  {400,952,     0x2L,    1L,    1L,    0L},
  {432,936,     0x2L,    1L,    1L,    0L},
  {464,928,     0x2L,    1L,    1L,    0L},
  {504,904,     0x2L,    1L,    1L,    0L},
  {536,880,     0x2L,    1L,    1L,    0L},
  {576,848,     0x2L,    1L,    1L,    0L},
  {616,808,     0x2L,    1L,    1L,    0L},
  {656,768,     0x2L,    1L,    1L,    0L},
  {696,720,     0x2L,    1L,    1L,    0L},
  {736,664,     0x2L,    1L,    1L,    0L},
  {776,608,     0x2L,    1L,    1L,    0L},
  {816,552,     0x2L,    1L,    1L,    0L},
  {848,488,     0x2L,    1L,    1L,    0L},
  {888,424,     0x2L,    1L,    1L,    0L},
  {920,368,     0x2L,    1L,    1L,    0L},
  {944,304,     0x2L,    1L,    1L,    0L},
  {968,248,     0x2L,    1L,    1L,    0L},
  {984,192,     0x2L,    1L,    1L,    0L},
  {992,136,     0x2L,    1L,    1L,    0L},
  {1000,88,     0x2L,    1L,    1L,    0L},
  {1008,40,     0x2L,    1L,    1L,    0L},
  {1008,0,      0x3L,    1L,    1L,    0L},
  {1008,32,     0x3L,    1L,    1L,    0L},
  {1008,64,     0x3L,    1L,    1L,    0L},
  {1008,96,     0x3L,    1L,    1L,    0L},
  {1008,128,    0x3L,    1L,    1L,    0L},
  {1008,152,    0x3L,    1L,    1L,    0L},
  {1008,176,    0x3L,    1L,    1L,    0L},
  {1008,200,    0x3L,    1L,    1L,    0L},
  {1008,216,    0x3L,    1L,    1L,    0L},
  {1016,240,    0x3L,    1L,    1L,    0L},
  {1016,264,    0x3L,    1L,    1L,    0L},
                                         /* quadrant 3 dir. 0, speed 0 */
  {1016,288,    0x3L,    1L,    1L,    0L},
  {1016,312,    0x3L,    1L,    1L,    0L},
  {1016,336,    0x3L,    1L,    1L,    0L},
  {1000,368,    0x3L,    1L,    1L,    0L},
  {992,400,     0x3L,    1L,    1L,    0L},
  {968,432,     0x3L,    1L,    1L,    0L},
  {944,464,     0x3L,    1L,    1L,    0L},
  {912,504,     0x3L,    1L,    1L,    0L},
  {872,544,     0x3L,    1L,    1L,    0L},
  {824,592,     0x3L,    1L,    1L,    0L},
  {776,640,     0x3L,    1L,    1L,    0L},
  {712,688,     0x3L,    1L,    1L,    0L},
  {648,736,     0x3L,    1L,    1L,    0L},
  {576,776,     0x3L,    1L,    1L,    0L},
  {504,824,     0x3L,    1L,    1L,    0L},
  {432,864,     0x3L,    1L,    1L,    0L},
  {360,896,     0x3L,    1L,    1L,    0L},
  {288,928,     0x3L,    1L,    1L,    0L},
  {216,952,     0x3L,    1L,    1L,    0L},
  {152,968,     0x3L,    1L,    1L,    0L},
  {88,976,      0x3L,    1L,    1L,    0L},
  {32,984,      0x3L,    1L,    1L,    0L},
  {24,984,      0x0L,    1L,    1L,    0L},
  {72,984,      0x0L,    1L,    1L,    0L},
  {120,984,     0x0L,    1L,    1L,    0L},
  {160,976,     0x0L,    1L,    1L,    0L},
  {192,976,     0x0L,    1L,    1L,    0L},
  {232,976,     0x0L,    1L,    1L,    0L},
  {264,968,     0x0L,    1L,    1L,    0L},
  {296,968,     0x0L,    1L,    1L,    0L},
  {328,968,     0x0L,    1L,    1L,    0L},
  {368,960,     0x0L,    1L,    1L,    0L}},
/* EasyCASE > */
/* EasyCASE ) */
/* EasyCASE ( 1002
   Direction 1 (CW), Speed 0 (normal table)
   EDUL-SMIA_nMW2000_FrontContacted_Silent_Classic  (No 1) */
/* EasyCASE < */
                                        /* quadrant 0 dir. 1, speed 0 */
{{0,864,       0x0L,    1L,    1L,    0L},
 {32,856,      0x0L,    1L,    1L,    0L},
 {72,848,      0x0L,    1L,    1L,    0L},
 {120,840,     0x0L,    1L,    1L,    0L},
 {168,832,     0x0L,    1L,    1L,    0L},
 {232,824,     0x0L,    1L,    1L,    0L},
 {296,808,     0x0L,    1L,    1L,    0L},
 {368,800,     0x0L,    1L,    1L,    0L},
 {440,776,     0x0L,    1L,    1L,    0L},
 {520,752,     0x0L,    1L,    1L,    0L},
 {592,720,     0x0L,    1L,    1L,    0L},
 {664,688,     0x0L,    1L,    1L,    0L},
 {736,656,     0x0L,    1L,    1L,    0L},
 {792,616,     0x0L,    1L,    1L,    0L},
 {848,576,     0x0L,    1L,    1L,    0L},
 {888,544,     0x0L,    1L,    1L,    0L},
 {920,504,     0x0L,    1L,    1L,    0L},
 {952,472,     0x0L,    1L,    1L,    0L},
 {968,440,     0x0L,    1L,    1L,    0L},
 {984,416,     0x0L,    1L,    1L,    0L},
 {992,392,     0x0L,    1L,    1L,    0L},
 {1000,368,    0x0L,    1L,    1L,    0L},
 {1008,344,    0x0L,    1L,    1L,    0L},
 {1008,320,    0x0L,    1L,    1L,    0L},
 {1008,296,    0x0L,    1L,    1L,    0L},
 {1016,280,    0x0L,    1L,    1L,    0L},
 {1016,256,    0x0L,    1L,    1L,    0L},
 {1008,232,    0x0L,    1L,    1L,    0L},
 {1008,200,    0x0L,    1L,    1L,    0L},
 {1008,176,    0x0L,    1L,    1L,    0L},
 {1008,152,    0x0L,    1L,    1L,    0L},
 {1008,120,    0x0L,    1L,    1L,    0L}, 
                                        /* quadrant 1 dir. 1, speed 0 */ 
 {1008,88,     0x0L,    1L,    1L,    0L},
 {1008,56,     0x0L,    1L,    1L,    0L},
 {1008,16,     0x0L,    1L,    1L,    0L},
 {1016,32,     0x1L,    1L,    1L,    0L},
 {1016,80,     0x1L,    1L,    1L,    0L},
 {1008,144,    0x1L,    1L,    1L,    0L},
 {1000,208,    0x1L,    1L,    1L,    0L},
 {992,280,     0x1L,    1L,    1L,    0L},
 {968,360,     0x1L,    1L,    1L,    0L},
 {944,440,     0x1L,    1L,    1L,    0L},
 {904,520,     0x1L,    1L,    1L,    0L},
 {864,608,     0x1L,    1L,    1L,    0L},
 {808,680,     0x1L,    1L,    1L,    0L},
 {760,752,     0x1L,    1L,    1L,    0L},
 {704,808,     0x1L,    1L,    1L,    0L},
 {648,864,     0x1L,    1L,    1L,    0L},
 {592,904,     0x1L,    1L,    1L,    0L},
 {544,936,     0x1L,    1L,    1L,    0L},
 {496,952,     0x1L,    1L,    1L,    0L},
 {448,968,     0x1L,    1L,    1L,    0L},
 {408,976,     0x1L,    1L,    1L,    0L},
 {368,976,     0x1L,    1L,    1L,    0L},
 {336,968,     0x1L,    1L,    1L,    0L},
 {296,968,     0x1L,    1L,    1L,    0L},
 {264,952,     0x1L,    1L,    1L,    0L},
 {232,944,     0x1L,    1L,    1L,    0L},
 {200,936,     0x1L,    1L,    1L,    0L},
 {168,920,     0x1L,    1L,    1L,    0L},
 {136,912,     0x1L,    1L,    1L,    0L},
 {104,896,     0x1L,    1L,    1L,    0L},
 {72,888,      0x1L,    1L,    1L,    0L},
 {40,872,      0x1L,    1L,    1L,    0L},  
                                        /* quadrant 2 dir. 1, speed 0 */
 {0,864,       0x2L,    1L,    1L,    0L} ,
 {32,856,      0x2L,    1L,    1L,    0L},
 {72,848,      0x2L,    1L,    1L,    0L},
 {120,840,     0x2L,    1L,    1L,    0L},
 {168,832,     0x2L,    1L,    1L,    0L},
 {232,824,     0x2L,    1L,    1L,    0L},
 {296,808,     0x2L,    1L,    1L,    0L},
 {368,800,     0x2L,    1L,    1L,    0L},
 {440,776,     0x2L,    1L,    1L,    0L},
 {520,752,     0x2L,    1L,    1L,    0L},
 {592,720,     0x2L,    1L,    1L,    0L},
 {664,688,     0x2L,    1L,    1L,    0L},
 {736,656,     0x2L,    1L,    1L,    0L},
 {792,616,     0x2L,    1L,    1L,    0L},
 {848,576,     0x2L,    1L,    1L,    0L},
 {888,544,     0x2L,    1L,    1L,    0L},
 {920,504,     0x2L,    1L,    1L,    0L},
 {952,472,     0x2L,    1L,    1L,    0L},
 {968,440,     0x2L,    1L,    1L,    0L},
 {984,416,     0x2L,    1L,    1L,    0L},
 {992,392,     0x2L,    1L,    1L,    0L},
 {1000,368,    0x2L,    1L,    1L,    0L},
 {1008,344,    0x2L,    1L,    1L,    0L},
 {1008,320,    0x2L,    1L,    1L,    0L},
 {1008,296,    0x2L,    1L,    1L,    0L},
 {1016,280,    0x2L,    1L,    1L,    0L},
 {1016,256,    0x2L,    1L,    1L,    0L},
 {1008,232,    0x2L,    1L,    1L,    0L},
 {1008,200,    0x2L,    1L,    1L,    0L},
 {1008,176,    0x2L,    1L,    1L,    0L},
 {1008,152,    0x2L,    1L,    1L,    0L},
 {1008,120,    0x2L,    1L,    1L,    0L}, 
                                        /* quadrant 3 dir. 1, speed 0 */
 {1008,88,     0x2L,    1L,    1L,    0L},
 {1008,56,     0x2L,    1L,    1L,    0L},
 {1008,16,     0x2L,    1L,    1L,    0L},
 {1016,32,     0x3L,    1L,    1L,    0L},
 {1016,80,     0x3L,    1L,    1L,    0L},
 {1008,144,    0x3L,    1L,    1L,    0L},
 {1000,208,    0x3L,    1L,    1L,    0L},
 {992,280,     0x3L,    1L,    1L,    0L},
 {968,360,     0x3L,    1L,    1L,    0L},
 {944,440,     0x3L,    1L,    1L,    0L},
 {904,520,     0x3L,    1L,    1L,    0L},
 {864,608,     0x3L,    1L,    1L,    0L},
 {808,680,     0x3L,    1L,    1L,    0L},
 {760,752,     0x3L,    1L,    1L,    0L},
 {704,808,     0x3L,    1L,    1L,    0L},
 {648,864,     0x3L,    1L,    1L,    0L},
 {592,904,     0x3L,    1L,    1L,    0L},
 {544,936,     0x3L,    1L,    1L,    0L},
 {496,952,     0x3L,    1L,    1L,    0L},
 {448,968,     0x3L,    1L,    1L,    0L},
 {408,976,     0x3L,    1L,    1L,    0L},
 {368,976,     0x3L,    1L,    1L,    0L},
 {336,968,     0x3L,    1L,    1L,    0L},
 {296,968,     0x3L,    1L,    1L,    0L},
 {264,952,     0x3L,    1L,    1L,    0L},
 {232,944,     0x3L,    1L,    1L,    0L},
 {200,936,     0x3L,    1L,    1L,    0L},
 {168,920,     0x3L,    1L,    1L,    0L},
 {136,912,     0x3L,    1L,    1L,    0L},
 {104,896,     0x3L,    1L,    1L,    0L},
 {72,888,      0x3L,    1L,    1L,    0L},
 {40,872,      0x3L,    1L,    1L,    0L}}},
/* EasyCASE > */
/* EasyCASE ) */
/* EasyCASE ( 1003
   Direction 0 (CCW), Speed 1 (special table)
   EDUL-SMIA_nMW2000_FrontContacted_Silent_Classic  (No 1) */
/* EasyCASE < */
                                        /* quadrant 0 dir. 0, speed 1 */
{{{184,968,     0x0L,    1L,    1L,    0L},
  {232,976,     0x0L,    1L,    1L,    0L},
  {280,984,     0x0L,    1L,    1L,    0L},
  {320,984,     0x0L,    1L,    1L,    0L},
  {352,984,     0x0L,    1L,    1L,    0L},
  {392,984,     0x0L,    1L,    1L,    0L},
  {424,984,     0x0L,    1L,    1L,    0L},
  {456,992,     0x0L,    1L,    1L,    0L},
  {496,992,     0x0L,    1L,    1L,    0L},
  {528,1000,    0x0L,    1L,    1L,    0L},
  {568,1000,    0x0L,    1L,    1L,    0L},
  {608,992,     0x0L,    1L,    1L,    0L},
  {648,976,     0x0L,    1L,    1L,    0L},
  {688,944,     0x0L,    1L,    1L,    0L},
  {728,904,     0x0L,    1L,    1L,    0L},
  {760,856,     0x0L,    1L,    1L,    0L},
  {792,792,     0x0L,    1L,    1L,    0L},
  {824,720,     0x0L,    1L,    1L,    0L},
  {848,640,     0x0L,    1L,    1L,    0L},
  {872,560,     0x0L,    1L,    1L,    0L},
  {896,480,     0x0L,    1L,    1L,    0L},
  {912,408,     0x0L,    1L,    1L,    0L},
  {928,336,     0x0L,    1L,    1L,    0L},
  {944,264,     0x0L,    1L,    1L,    0L},
  {960,208,     0x0L,    1L,    1L,    0L},
  {976,152,     0x0L,    1L,    1L,    0L},
  {984,104,     0x0L,    1L,    1L,    0L},
  {1000,64,     0x0L,    1L,    1L,    0L},
  {1000,16,     0x0L,    1L,    1L,    0L},
  {1008,24,     0x1L,    1L,    1L,    0L},
  {1008,64,     0x1L,    1L,    1L,    0L},
  {1008,104,    0x1L,    1L,    1L,    0L},
                                         /* quadrant 1 dir. 0, speed 1 */
  {1000,144,    0x1L,    1L,    1L,    0L},
  {1000,184,    0x1L,    1L,    1L,    0L},
  {1000,216,    0x1L,    1L,    1L,    0L},
  {1000,248,    0x1L,    1L,    1L,    0L},
  {1000,272,    0x1L,    1L,    1L,    0L},
  {1008,296,    0x1L,    1L,    1L,    0L},
  {1008,312,    0x1L,    1L,    1L,    0L},
  {1016,328,    0x1L,    1L,    1L,    0L},
  {1016,344,    0x1L,    1L,    1L,    0L},
  {1016,360,    0x1L,    1L,    1L,    0L},
  {1008,384,    0x1L,    1L,    1L,    0L},
  {984,408,     0x1L,    1L,    1L,    0L},
  {960,440,     0x1L,    1L,    1L,    0L},
  {920,472,     0x1L,    1L,    1L,    0L},
  {872,504,     0x1L,    1L,    1L,    0L},
  {816,544,     0x1L,    1L,    1L,    0L},
  {760,576,     0x1L,    1L,    1L,    0L},
  {696,608,     0x1L,    1L,    1L,    0L},
  {624,640,     0x1L,    1L,    1L,    0L},
  {560,672,     0x1L,    1L,    1L,    0L},
  {496,696,     0x1L,    1L,    1L,    0L},
  {432,720,     0x1L,    1L,    1L,    0L},
  {376,744,     0x1L,    1L,    1L,    0L},
  {320,768,     0x1L,    1L,    1L,    0L},
  {264,792,     0x1L,    1L,    1L,    0L},
  {200,816,     0x1L,    1L,    1L,    0L},
  {144,848,     0x1L,    1L,    1L,    0L},
  {88,872,      0x1L,    1L,    1L,    0L},
  {32,904,      0x1L,    1L,    1L,    0L},
  {24,928,      0x2L,    1L,    1L,    0L},
  {80,944,      0x2L,    1L,    1L,    0L},
  {136,960,     0x2L,    1L,    1L,    0L},
                                         /* quadrant 2 dir. 0, speed 1 */
  {184,968,     0x2L,    1L,    1L,    0L},
  {232,976,     0x2L,    1L,    1L,    0L},
  {280,984,     0x2L,    1L,    1L,    0L},
  {320,984,     0x2L,    1L,    1L,    0L},
  {352,984,     0x2L,    1L,    1L,    0L},
  {392,984,     0x2L,    1L,    1L,    0L},
  {424,984,     0x2L,    1L,    1L,    0L},
  {456,992,     0x2L,    1L,    1L,    0L},
  {496,992,     0x2L,    1L,    1L,    0L},
  {528,1000,    0x2L,    1L,    1L,    0L},
  {568,1000,    0x2L,    1L,    1L,    0L},
  {608,992,     0x2L,    1L,    1L,    0L},
  {648,976,     0x2L,    1L,    1L,    0L},
  {688,944,     0x2L,    1L,    1L,    0L},
  {728,904,     0x2L,    1L,    1L,    0L},
  {760,856,     0x2L,    1L,    1L,    0L},
  {792,792,     0x2L,    1L,    1L,    0L},
  {824,720,     0x2L,    1L,    1L,    0L},
  {848,640,     0x2L,    1L,    1L,    0L},
  {872,560,     0x2L,    1L,    1L,    0L},
  {896,480,     0x2L,    1L,    1L,    0L},
  {912,408,     0x2L,    1L,    1L,    0L},
  {928,336,     0x2L,    1L,    1L,    0L},
  {944,264,     0x2L,    1L,    1L,    0L},
  {960,208,     0x2L,    1L,    1L,    0L},
  {976,152,     0x2L,    1L,    1L,    0L},
  {984,104,     0x2L,    1L,    1L,    0L},
  {1000,64,     0x2L,    1L,    1L,    0L},
  {1000,16,     0x2L,    1L,    1L,    0L},
  {1008,24,     0x3L,    1L,    1L,    0L},
  {1008,64,     0x3L,    1L,    1L,    0L},
  {1008,104,    0x3L,    1L,    1L,    0L},
                                         /* quadrant 3 dir. 0, speed 1 */
  {1000,144,    0x3L,    1L,    1L,    0L},
  {1000,184,    0x3L,    1L,    1L,    0L},
  {1000,216,    0x3L,    1L,    1L,    0L},
  {1000,248,    0x3L,    1L,    1L,    0L},
  {1000,272,    0x3L,    1L,    1L,    0L},
  {1008,296,    0x3L,    1L,    1L,    0L},
  {1008,312,    0x3L,    1L,    1L,    0L},
  {1016,328,    0x3L,    1L,    1L,    0L},
  {1016,344,    0x3L,    1L,    1L,    0L},
  {1016,360,    0x3L,    1L,    1L,    0L},
  {1008,384,    0x3L,    1L,    1L,    0L},
  {984,408,     0x3L,    1L,    1L,    0L},
  {960,440,     0x3L,    1L,    1L,    0L},
  {920,472,     0x3L,    1L,    1L,    0L},
  {872,504,     0x3L,    1L,    1L,    0L},
  {816,544,     0x3L,    1L,    1L,    0L},
  {760,576,     0x3L,    1L,    1L,    0L},
  {696,608,     0x3L,    1L,    1L,    0L},
  {624,640,     0x3L,    1L,    1L,    0L},
  {560,672,     0x3L,    1L,    1L,    0L},
  {496,696,     0x3L,    1L,    1L,    0L},
  {432,720,     0x3L,    1L,    1L,    0L},
  {376,744,     0x3L,    1L,    1L,    0L},
  {320,768,     0x3L,    1L,    1L,    0L},
  {264,792,     0x3L,    1L,    1L,    0L},
  {200,816,     0x3L,    1L,    1L,    0L},
  {144,848,     0x3L,    1L,    1L,    0L},
  {88,872,      0x3L,    1L,    1L,    0L},
  {32,904,      0x3L,    1L,    1L,    0L},
  {24,928,      0x0L,    1L,    1L,    0L},
  {80,944,      0x0L,    1L,    1L,    0L},
  {136,960,     0x0L,    1L,    1L,    0L}},
/* EasyCASE > */
/* EasyCASE ) */
/* EasyCASE ( 1004
   Direction 1 (CW), Speed 1 (special table)
   EDUL-SMIA_nMW2000_FrontContacted_Silent_Classic  (No 1) */
/* EasyCASE < */
                                        /* quadrant 0 dir. 1, speed 1 */
{ {48,912,      0x3L,    1L,    1L,    0L},
  {8,888,       0x3L,    1L,    1L,    0L},
  {32,864,      0x0L,    1L,    1L,    0L},
  {72,840,      0x0L,    1L,    1L,    0L},
  {120,824,     0x0L,    1L,    1L,    0L},
  {168,808,     0x0L,    1L,    1L,    0L},
  {232,792,     0x0L,    1L,    1L,    0L},
  {288,776,     0x0L,    1L,    1L,    0L},
  {360,768,     0x0L,    1L,    1L,    0L},
  {432,760,     0x0L,    1L,    1L,    0L},
  {512,744,     0x0L,    1L,    1L,    0L},
  {592,728,     0x0L,    1L,    1L,    0L},
  {664,712,     0x0L,    1L,    1L,    0L},
  {736,696,     0x0L,    1L,    1L,    0L},
  {808,672,     0x0L,    1L,    1L,    0L},
  {864,640,     0x0L,    1L,    1L,    0L},
  {912,616,     0x0L,    1L,    1L,    0L},
  {952,584,     0x0L,    1L,    1L,    0L},
  {984,552,     0x0L,    1L,    1L,    0L},
  {1000,528,    0x0L,    1L,    1L,    0L},
  {1016,504,    0x0L,    1L,    1L,    0L},
  {1016,480,    0x0L,    1L,    1L,    0L},
  {1016,456,    0x0L,    1L,    1L,    0L},
  {1016,440,    0x0L,    1L,    1L,    0L},
  {1008,416,    0x0L,    1L,    1L,    0L},
  {1008,392,    0x0L,    1L,    1L,    0L},
  {1000,368,    0x0L,    1L,    1L,    0L},
  {1000,344,    0x0L,    1L,    1L,    0L},
  {1000,320,    0x0L,    1L,    1L,    0L},
  {1000,296,    0x0L,    1L,    1L,    0L},
  {1000,264,    0x0L,    1L,    1L,    0L},
  {992,232,     0x0L,    1L,    1L,    0L},
                                         /* quadrant 1 dir. 1, speed 1 */
  {992,200,     0x0L,    1L,    1L,    0L},
  {992,160,     0x0L,    1L,    1L,    0L},
  {992,120,     0x0L,    1L,    1L,    0L},
  {984,72,      0x0L,    1L,    1L,    0L},
  {984,24,      0x0L,    1L,    1L,    0L},
  {976,40,      0x1L,    1L,    1L,    0L},
  {976,104,     0x1L,    1L,    1L,    0L},
  {968,184,     0x1L,    1L,    1L,    0L},
  {952,272,     0x1L,    1L,    1L,    0L},
  {936,360,     0x1L,    1L,    1L,    0L},
  {920,456,     0x1L,    1L,    1L,    0L},
  {888,552,     0x1L,    1L,    1L,    0L},
  {856,640,     0x1L,    1L,    1L,    0L},
  {824,728,     0x1L,    1L,    1L,    0L},
  {776,800,     0x1L,    1L,    1L,    0L},
  {736,864,     0x1L,    1L,    1L,    0L},
  {680,912,     0x1L,    1L,    1L,    0L},
  {632,952,     0x1L,    1L,    1L,    0L},
  {584,976,     0x1L,    1L,    1L,    0L},
  {528,984,     0x1L,    1L,    1L,    0L},
  {480,992,     0x1L,    1L,    1L,    0L},
  {440,1000,    0x1L,    1L,    1L,    0L},
  {392,992,     0x1L,    1L,    1L,    0L},
  {352,992,     0x1L,    1L,    1L,    0L},
  {320,992,     0x1L,    1L,    1L,    0L},
  {280,992,     0x1L,    1L,    1L,    0L},
  {248,984,     0x1L,    1L,    1L,    0L},
  {216,984,     0x1L,    1L,    1L,    0L},
  {184,976,     0x1L,    1L,    1L,    0L},
  {144,960,     0x1L,    1L,    1L,    0L},
  {112,952,     0x1L,    1L,    1L,    0L},
  {80,928,      0x1L,    1L,    1L,    0L},
                                         /* quadrant 2 dir. 1, speed 1 */
  {48,912,      0x1L,    1L,    1L,    0L},
  {8,888,       0x1L,    1L,    1L,    0L},
  {32,864,      0x2L,    1L,    1L,    0L},
  {72,840,      0x2L,    1L,    1L,    0L},
  {120,824,     0x2L,    1L,    1L,    0L},
  {168,808,     0x2L,    1L,    1L,    0L},
  {232,792,     0x2L,    1L,    1L,    0L},
  {288,776,     0x2L,    1L,    1L,    0L},
  {360,768,     0x2L,    1L,    1L,    0L},
  {432,760,     0x2L,    1L,    1L,    0L},
  {512,744,     0x2L,    1L,    1L,    0L},
  {592,728,     0x2L,    1L,    1L,    0L},
  {664,712,     0x2L,    1L,    1L,    0L},
  {736,696,     0x2L,    1L,    1L,    0L},
  {808,672,     0x2L,    1L,    1L,    0L},
  {864,640,     0x2L,    1L,    1L,    0L},
  {912,616,     0x2L,    1L,    1L,    0L},
  {952,584,     0x2L,    1L,    1L,    0L},
  {984,552,     0x2L,    1L,    1L,    0L},
  {1000,528,    0x2L,    1L,    1L,    0L},
  {1016,504,    0x2L,    1L,    1L,    0L},
  {1016,480,    0x2L,    1L,    1L,    0L},
  {1016,456,    0x2L,    1L,    1L,    0L},
  {1016,440,    0x2L,    1L,    1L,    0L},
  {1008,416,    0x2L,    1L,    1L,    0L},
  {1008,392,    0x2L,    1L,    1L,    0L},
  {1000,368,    0x2L,    1L,    1L,    0L},
  {1000,344,    0x2L,    1L,    1L,    0L},
  {1000,320,    0x2L,    1L,    1L,    0L},
  {1000,296,    0x2L,    1L,    1L,    0L},
  {1000,264,    0x2L,    1L,    1L,    0L},
  {992,232,     0x2L,    1L,    1L,    0L},
                                         /* quadrant 3 dir. 1, speed 1 */
  {992,200,     0x2L,    1L,    1L,    0L},
  {992,160,     0x2L,    1L,    1L,    0L},
  {992,120,     0x2L,    1L,    1L,    0L},
  {984,72,      0x2L,    1L,    1L,    0L},
  {984,24,      0x2L,    1L,    1L,    0L},
  {976,40,      0x3L,    1L,    1L,    0L},
  {976,104,     0x3L,    1L,    1L,    0L},
  {968,184,     0x3L,    1L,    1L,    0L},
  {952,272,     0x3L,    1L,    1L,    0L},
  {936,360,     0x3L,    1L,    1L,    0L},
  {920,456,     0x3L,    1L,    1L,    0L},
  {888,552,     0x3L,    1L,    1L,    0L},
  {856,640,     0x3L,    1L,    1L,    0L},
  {824,728,     0x3L,    1L,    1L,    0L},
  {776,800,     0x3L,    1L,    1L,    0L},
  {736,864,     0x3L,    1L,    1L,    0L},
  {680,912,     0x3L,    1L,    1L,    0L},
  {632,952,     0x3L,    1L,    1L,    0L},
  {584,976,     0x3L,    1L,    1L,    0L},
  {528,984,     0x3L,    1L,    1L,    0L},
  {480,992,     0x3L,    1L,    1L,    0L},
  {440,1000,    0x3L,    1L,    1L,    0L},
  {392,992,     0x3L,    1L,    1L,    0L},
  {352,992,     0x3L,    1L,    1L,    0L},
  {320,992,     0x3L,    1L,    1L,    0L},
  {280,992,     0x3L,    1L,    1L,    0L},
  {248,984,     0x3L,    1L,    1L,    0L},
  {216,984,     0x3L,    1L,    1L,    0L},
  {184,976,     0x3L,    1L,    1L,    0L},
  {144,960,     0x3L,    1L,    1L,    0L},
  {112,952,     0x3L,    1L,    1L,    0L},
  {80,928,      0x3L,    1L,    1L,    0L}}}}
 };

const struct SMIA_ISM_PWMStd SMIA_ISM_A_STDPWMTABLE2 = {
/*  CVP   CHP   CQI   IVR IHR */
{                                         /* quadrant 0 dir. 0, speed 0 */
{{{8,1016,      0x0L,    1L,    1L,    0L},    
  {64,1016,     0x0L,    1L,    1L,    0L},
  {112,1016,    0x0L,    1L,    1L,    0L},
  {160,1008,    0x0L,    1L,    1L,    0L},
  {200,1000,    0x0L,    1L,    1L,    0L},
  {232,992,     0x0L,    1L,    1L,    0L},
  {264,984,     0x0L,    1L,    1L,    0L},
  {304,976,     0x0L,    1L,    1L,    0L},
  {336,960,     0x0L,    1L,    1L,    0L},
  {368,952,     0x0L,    1L,    1L,    0L},
  {400,936,     0x0L,    1L,    1L,    0L},
  {432,928,     0x0L,    1L,    1L,    0L},
  {464,912,     0x0L,    1L,    1L,    0L},
  {496,888,     0x0L,    1L,    1L,    0L},
  {536,872,     0x0L,    1L,    1L,    0L},
  {576,840,     0x0L,    1L,    1L,    0L},
  {616,816,     0x0L,    1L,    1L,    0L},
  {656,784,     0x0L,    1L,    1L,    0L},
  {696,744,     0x0L,    1L,    1L,    0L},
  {744,696,     0x0L,    1L,    1L,    0L},
  {792,648,     0x0L,    1L,    1L,    0L},
  {832,592,     0x0L,    1L,    1L,    0L},
  {872,528,     0x0L,    1L,    1L,    0L},
  {912,464,     0x0L,    1L,    1L,    0L},
  {944,392,     0x0L,    1L,    1L,    0L},
  {968,320,     0x0L,    1L,    1L,    0L},
  {992,248,     0x0L,    1L,    1L,    0L},
  {1000,184,    0x0L,    1L,    1L,    0L},
  {1016,120,    0x0L,    1L,    1L,    0L},
  {1016,64,     0x0L,    1L,    1L,    0L},
  {1016,16,     0x0L,    1L,    1L,    0L},
  {1016,24,     0x1L,    1L,    1L,    0L},
                                          /* quadrant 1 dir. 0, speed 0 */
  {1016,64,     0x1L,    1L,    1L,    0L},    
  {1016,96,     0x1L,    1L,    1L,    0L},
  {1008,128,    0x1L,    1L,    1L,    0L},
  {1008,152,    0x1L,    1L,    1L,    0L},
  {1008,176,    0x1L,    1L,    1L,    0L},
  {1000,200,    0x1L,    1L,    1L,    0L},
  {992,224,     0x1L,    1L,    1L,    0L},
  {992,248,     0x1L,    1L,    1L,    0L},
  {984,264,     0x1L,    1L,    1L,    0L},
  {976,288,     0x1L,    1L,    1L,    0L},
  {968,312,     0x1L,    1L,    1L,    0L},
  {968,336,     0x1L,    1L,    1L,    0L},
  {952,360,     0x1L,    1L,    1L,    0L},
  {944,384,     0x1L,    1L,    1L,    0L},
  {936,408,     0x1L,    1L,    1L,    0L},
  {920,440,     0x1L,    1L,    1L,    0L},
  {904,472,     0x1L,    1L,    1L,    0L},
  {880,512,     0x1L,    1L,    1L,    0L},
  {856,552,     0x1L,    1L,    1L,    0L},
  {832,592,     0x1L,    1L,    1L,    0L},
  {800,632,     0x1L,    1L,    1L,    0L},
  {760,680,     0x1L,    1L,    1L,    0L},
  {712,728,     0x1L,    1L,    1L,    0L},
  {656,776,     0x1L,    1L,    1L,    0L},
  {592,832,     0x1L,    1L,    1L,    0L},
  {528,872,     0x1L,    1L,    1L,    0L},
  {448,920,     0x1L,    1L,    1L,    0L},
  {368,952,     0x1L,    1L,    1L,    0L},
  {280,984,     0x1L,    1L,    1L,    0L},
  {200,1000,    0x1L,    1L,    1L,    0L},
  {120,1016,    0x1L,    1L,    1L,    0L},
  {48,1016,     0x1L,    1L,    1L,    0L},
                                         /* quadrant 2 dir. 0, speed 0 */
  {8,1016,      0x2L,    1L,    1L,    0L},    
  {64,1016,     0x2L,    1L,    1L,    0L},
  {112,1016,    0x2L,    1L,    1L,    0L},
  {160,1008,    0x2L,    1L,    1L,    0L},
  {200,1000,    0x2L,    1L,    1L,    0L},
  {232,992,     0x2L,    1L,    1L,    0L},
  {264,984,     0x2L,    1L,    1L,    0L},
  {304,976,     0x2L,    1L,    1L,    0L},
  {336,960,     0x2L,    1L,    1L,    0L},
  {368,952,     0x2L,    1L,    1L,    0L},
  {400,936,     0x2L,    1L,    1L,    0L},
  {432,928,     0x2L,    1L,    1L,    0L},
  {464,912,     0x2L,    1L,    1L,    0L},
  {496,888,     0x2L,    1L,    1L,    0L},
  {536,872,     0x2L,    1L,    1L,    0L},
  {576,840,     0x2L,    1L,    1L,    0L},
  {616,816,     0x2L,    1L,    1L,    0L},
  {656,784,     0x2L,    1L,    1L,    0L},
  {696,744,     0x2L,    1L,    1L,    0L},
  {744,696,     0x2L,    1L,    1L,    0L},
  {792,648,     0x2L,    1L,    1L,    0L},
  {832,592,     0x2L,    1L,    1L,    0L},
  {872,528,     0x2L,    1L,    1L,    0L},
  {912,464,     0x2L,    1L,    1L,    0L},
  {944,392,     0x2L,    1L,    1L,    0L},
  {968,320,     0x2L,    1L,    1L,    0L},
  {992,248,     0x2L,    1L,    1L,    0L},
  {1000,184,    0x2L,    1L,    1L,    0L},
  {1016,120,    0x2L,    1L,    1L,    0L},
  {1016,64,     0x2L,    1L,    1L,    0L},
  {1016,16,     0x2L,    1L,    1L,    0L},
  {1016,24,     0x3L,    1L,    1L,    0L},
                                         /* quadrant 3 dir. 0, speed 0 */
  {1016,64,     0x3L,    1L,    1L,    0L},    
  {1016,96,     0x3L,    1L,    1L,    0L},
  {1008,128,    0x3L,    1L,    1L,    0L},
  {1008,152,    0x3L,    1L,    1L,    0L},
  {1008,176,    0x3L,    1L,    1L,    0L},
  {1000,200,    0x3L,    1L,    1L,    0L},
  {992,224,     0x3L,    1L,    1L,    0L},
  {992,248,     0x3L,    1L,    1L,    0L},
  {984,264,     0x3L,    1L,    1L,    0L},
  {976,288,     0x3L,    1L,    1L,    0L},
  {968,312,     0x3L,    1L,    1L,    0L},
  {968,336,     0x3L,    1L,    1L,    0L},
  {952,360,     0x3L,    1L,    1L,    0L},
  {944,384,     0x3L,    1L,    1L,    0L},
  {936,408,     0x3L,    1L,    1L,    0L},
  {920,440,     0x3L,    1L,    1L,    0L},
  {904,472,     0x3L,    1L,    1L,    0L},
  {880,512,     0x3L,    1L,    1L,    0L},
  {856,552,     0x3L,    1L,    1L,    0L},
  {832,592,     0x3L,    1L,    1L,    0L},
  {800,632,     0x3L,    1L,    1L,    0L},
  {760,680,     0x3L,    1L,    1L,    0L},
  {712,728,     0x3L,    1L,    1L,    0L},
  {656,776,     0x3L,    1L,    1L,    0L},
  {592,832,     0x3L,    1L,    1L,    0L},
  {528,872,     0x3L,    1L,    1L,    0L},
  {448,920,     0x3L,    1L,    1L,    0L},
  {368,952,     0x3L,    1L,    1L,    0L},
  {280,984,     0x3L,    1L,    1L,    0L},
  {200,1000,    0x3L,    1L,    1L,    0L},
  {120,1016,    0x3L,    1L,    1L,    0L},
  {48,1016,     0x3L,    1L,    1L,    0L}},
/* EasyCASE > */
/* EasyCASE ) */
/* EasyCASE ( 984
   Direction 1 (CCW), Speed 0 (normal table)
   MUL-SMIA_nMW2000_RearContacted_Basic_Classic (No 2) */
/* EasyCASE < */
                                        /* quadrant 0 dir. 0, speed 0 */
{{320,968,     0x3L,    1L,    1L,    0L},    
 {288,976,     0x3L,    1L,    1L,    0L},
 {256,984,     0x3L,    1L,    1L,    0L},
 {224,992,     0x3L,    1L,    1L,    0L},
 {184,1000,    0x3L,    1L,    1L,    0L},
 {152,1008,    0x3L,    1L,    1L,    0L},
 {112,1016,    0x3L,    1L,    1L,    0L},
 {64,1016,     0x3L,    1L,    1L,    0L},
 {24,1016,     0x3L,    1L,    1L,    0L},
 {32,1016,     0x0L,    1L,    1L,    0L},
 {88,1016,     0x0L,    1L,    1L,    0L},
 {144,1008,    0x0L,    1L,    1L,    0L},
 {216,1000,    0x0L,    1L,    1L,    0L},
 {288,976,     0x0L,    1L,    1L,    0L},
 {360,952,     0x0L,    1L,    1L,    0L},
 {440,920,     0x0L,    1L,    1L,    0L},
 {512,880,     0x0L,    1L,    1L,    0L},
 {584,840,     0x0L,    1L,    1L,    0L},
 {640,792,     0x0L,    1L,    1L,    0L},
 {696,744,     0x0L,    1L,    1L,    0L},
 {744,696,     0x0L,    1L,    1L,    0L},
 {784,648,     0x0L,    1L,    1L,    0L},
 {824,600,     0x0L,    1L,    1L,    0L},
 {848,560,     0x0L,    1L,    1L,    0L},
 {872,520,     0x0L,    1L,    1L,    0L},
 {896,488,     0x0L,    1L,    1L,    0L},
 {912,456,     0x0L,    1L,    1L,    0L},
 {928,424,     0x0L,    1L,    1L,    0L},
 {936,400,     0x0L,    1L,    1L,    0L},
 {952,376,     0x0L,    1L,    1L,    0L},
 {960,352,     0x0L,    1L,    1L,    0L},
 {968,328,     0x0L,    1L,    1L,    0L},
                                         /* quadrant 1 dir. 0, speed 0 */
 {976,304,     0x0L,    1L,    1L,    0L},   
 {976,288,     0x0L,    1L,    1L,    0L},
 {984,264,     0x0L,    1L,    1L,    0L},
 {992,240,     0x0L,    1L,    1L,    0L},
 {992,224,     0x0L,    1L,    1L,    0L},
 {1000,200,    0x0L,    1L,    1L,    0L},
 {1008,176,    0x0L,    1L,    1L,    0L},
 {1008,152,    0x0L,    1L,    1L,    0L},
 {1016,120,    0x0L,    1L,    1L,    0L},
 {1016,88,     0x0L,    1L,    1L,    0L},
 {1016,56,     0x0L,    1L,    1L,    0L},
 {1016,16,     0x0L,    1L,    1L,    0L},
 {1016,32,     0x1L,    1L,    1L,    0L},
 {1016,80,     0x1L,    1L,    1L,    0L},
 {1008,144,    0x1L,    1L,    1L,    0L},
 {1000,208,    0x1L,    1L,    1L,    0L},
 {976,280,     0x1L,    1L,    1L,    0L},
 {952,360,     0x1L,    1L,    1L,    0L},
 {920,440,     0x1L,    1L,    1L,    0L},
 {880,512,     0x1L,    1L,    1L,    0L},
 {840,584,     0x1L,    1L,    1L,    0L},
 {792,648,     0x1L,    1L,    1L,    0L},
 {736,704,     0x1L,    1L,    1L,    0L},
 {688,752,     0x1L,    1L,    1L,    0L},
 {640,792,     0x1L,    1L,    1L,    0L},
 {592,832,     0x1L,    1L,    1L,    0L},
 {552,864,     0x1L,    1L,    1L,    0L},
 {504,888,     0x1L,    1L,    1L,    0L},
 {464,904,     0x1L,    1L,    1L,    0L},
 {424,928,     0x1L,    1L,    1L,    0L},
 {392,944,     0x1L,    1L,    1L,    0L},
 {360,952,     0x1L,    1L,    1L,    0L},
                                        /* quadrant 2 dir. 0, speed 0 */
 {320,968,     0x1L,    1L,    1L,    0L},    
 {288,976,     0x1L,    1L,    1L,    0L},
 {256,984,     0x1L,    1L,    1L,    0L},
 {224,992,     0x1L,    1L,    1L,    0L},
 {184,1000,    0x1L,    1L,    1L,    0L},
 {152,1008,    0x1L,    1L,    1L,    0L},
 {112,1016,    0x1L,    1L,    1L,    0L},
 {64,1016,     0x1L,    1L,    1L,    0L},
 {24,1016,     0x1L,    1L,    1L,    0L},
 {32,1016,     0x2L,    1L,    1L,    0L},
 {88,1016,     0x2L,    1L,    1L,    0L},
 {144,1008,    0x2L,    1L,    1L,    0L},
 {216,1000,    0x2L,    1L,    1L,    0L},
 {288,976,     0x2L,    1L,    1L,    0L},
 {360,952,     0x2L,    1L,    1L,    0L},
 {440,920,     0x2L,    1L,    1L,    0L},
 {512,880,     0x2L,    1L,    1L,    0L},
 {584,840,     0x2L,    1L,    1L,    0L},
 {640,792,     0x2L,    1L,    1L,    0L},
 {696,744,     0x2L,    1L,    1L,    0L},
 {744,696,     0x2L,    1L,    1L,    0L},
 {784,648,     0x2L,    1L,    1L,    0L},
 {824,600,     0x2L,    1L,    1L,    0L},
 {848,560,     0x2L,    1L,    1L,    0L},
 {872,520,     0x2L,    1L,    1L,    0L},
 {896,488,     0x2L,    1L,    1L,    0L},
 {912,456,     0x2L,    1L,    1L,    0L},
 {928,424,     0x2L,    1L,    1L,    0L},
 {936,400,     0x2L,    1L,    1L,    0L},
 {952,376,     0x2L,    1L,    1L,    0L},
 {960,352,     0x2L,    1L,    1L,    0L},
 {968,328,     0x2L,    1L,    1L,    0L},
                                        /* quadrant 3 dir. 0, speed 0 */
 {976,304,     0x2L,    1L,    1L,    0L},   
 {976,288,     0x2L,    1L,    1L,    0L},
 {984,264,     0x2L,    1L,    1L,    0L},
 {992,240,     0x2L,    1L,    1L,    0L},
 {992,224,     0x2L,    1L,    1L,    0L},
 {1000,200,    0x2L,    1L,    1L,    0L},
 {1008,176,    0x2L,    1L,    1L,    0L},
 {1008,152,    0x2L,    1L,    1L,    0L},
 {1016,120,    0x2L,    1L,    1L,    0L},
 {1016,88,     0x2L,    1L,    1L,    0L},
 {1016,56,     0x2L,    1L,    1L,    0L},
 {1016,16,     0x2L,    1L,    1L,    0L},
 {1016,32,     0x3L,    1L,    1L,    0L},
 {1016,80,     0x3L,    1L,    1L,    0L},
 {1008,144,    0x3L,    1L,    1L,    0L},
 {1000,208,    0x3L,    1L,    1L,    0L},
 {976,280,     0x3L,    1L,    1L,    0L},
 {952,360,     0x3L,    1L,    1L,    0L},
 {920,440,     0x3L,    1L,    1L,    0L},
 {880,512,     0x3L,    1L,    1L,    0L},
 {840,584,     0x3L,    1L,    1L,    0L},
 {792,648,     0x3L,    1L,    1L,    0L},
 {736,704,     0x3L,    1L,    1L,    0L},
 {688,752,     0x3L,    1L,    1L,    0L},
 {640,792,     0x3L,    1L,    1L,    0L},
 {592,832,     0x3L,    1L,    1L,    0L},
 {552,864,     0x3L,    1L,    1L,    0L},
 {504,888,     0x3L,    1L,    1L,    0L},
 {464,904,     0x3L,    1L,    1L,    0L},
 {424,928,     0x3L,    1L,    1L,    0L},
 {392,944,     0x3L,    1L,    1L,    0L},
 {360,952,     0x3L,    1L,    1L,    0L}}},
/* EasyCASE > */
/* EasyCASE ) */
/* EasyCASE ( 985
   Direction 0 (CW), Speed 1 (special table)
   MUL-SMIA_nMW2000_RearContacted_Basic_Classic (No 2) */
/* EasyCASE < */
                                        /* quadrant 0 dir. 0, speed 0 */
{{{8,1016,      0x0L,    1L,    1L,    0L},    
  {64,1016,     0x0L,    1L,    1L,    0L},
  {112,1016,    0x0L,    1L,    1L,    0L},
  {160,1008,    0x0L,    1L,    1L,    0L},
  {200,1000,    0x0L,    1L,    1L,    0L},
  {232,992,     0x0L,    1L,    1L,    0L},
  {264,984,     0x0L,    1L,    1L,    0L},
  {304,976,     0x0L,    1L,    1L,    0L},
  {336,960,     0x0L,    1L,    1L,    0L},
  {368,952,     0x0L,    1L,    1L,    0L},
  {400,936,     0x0L,    1L,    1L,    0L},
  {432,928,     0x0L,    1L,    1L,    0L},
  {464,912,     0x0L,    1L,    1L,    0L},
  {496,888,     0x0L,    1L,    1L,    0L},
  {536,872,     0x0L,    1L,    1L,    0L},
  {576,840,     0x0L,    1L,    1L,    0L},
  {616,816,     0x0L,    1L,    1L,    0L},
  {656,784,     0x0L,    1L,    1L,    0L},
  {696,744,     0x0L,    1L,    1L,    0L},
  {744,696,     0x0L,    1L,    1L,    0L},
  {792,648,     0x0L,    1L,    1L,    0L},
  {832,592,     0x0L,    1L,    1L,    0L},
  {872,528,     0x0L,    1L,    1L,    0L},
  {912,464,     0x0L,    1L,    1L,    0L},
  {944,392,     0x0L,    1L,    1L,    0L},
  {968,320,     0x0L,    1L,    1L,    0L},
  {992,248,     0x0L,    1L,    1L,    0L},
  {1000,184,    0x0L,    1L,    1L,    0L},
  {1016,120,    0x0L,    1L,    1L,    0L},
  {1016,64,     0x0L,    1L,    1L,    0L},
  {1016,16,     0x0L,    1L,    1L,    0L},
  {1016,24,     0x1L,    1L,    1L,    0L},
                                         /* quadrant 1 dir. 0, speed 0 */
  {1016,64,     0x1L,    1L,    1L,    0L},    
  {1016,96,     0x1L,    1L,    1L,    0L},
  {1008,128,    0x1L,    1L,    1L,    0L},
  {1008,152,    0x1L,    1L,    1L,    0L},
  {1008,176,    0x1L,    1L,    1L,    0L},
  {1000,200,    0x1L,    1L,    1L,    0L},
  {992,224,     0x1L,    1L,    1L,    0L},
  {992,248,     0x1L,    1L,    1L,    0L},
  {984,264,     0x1L,    1L,    1L,    0L},
  {976,288,     0x1L,    1L,    1L,    0L},
  {968,312,     0x1L,    1L,    1L,    0L},
  {968,336,     0x1L,    1L,    1L,    0L},
  {952,360,     0x1L,    1L,    1L,    0L},
  {944,384,     0x1L,    1L,    1L,    0L},
  {936,408,     0x1L,    1L,    1L,    0L},
  {920,440,     0x1L,    1L,    1L,    0L},
  {904,472,     0x1L,    1L,    1L,    0L},
  {880,512,     0x1L,    1L,    1L,    0L},
  {856,552,     0x1L,    1L,    1L,    0L},
  {832,592,     0x1L,    1L,    1L,    0L},
  {800,632,     0x1L,    1L,    1L,    0L},
  {760,680,     0x1L,    1L,    1L,    0L},
  {712,728,     0x1L,    1L,    1L,    0L},
  {656,776,     0x1L,    1L,    1L,    0L},
  {592,832,     0x1L,    1L,    1L,    0L},
  {528,872,     0x1L,    1L,    1L,    0L},
  {448,920,     0x1L,    1L,    1L,    0L},
  {368,952,     0x1L,    1L,    1L,    0L},
  {280,984,     0x1L,    1L,    1L,    0L},
  {200,1000,    0x1L,    1L,    1L,    0L},
  {120,1016,    0x1L,    1L,    1L,    0L},
  {48,1016,     0x1L,    1L,    1L,    0L},
                                         /* quadrant 2 dir. 0, speed 0 */
  {8,1016,      0x2L,    1L,    1L,    0L},    
  {64,1016,     0x2L,    1L,    1L,    0L},
  {112,1016,    0x2L,    1L,    1L,    0L},
  {160,1008,    0x2L,    1L,    1L,    0L},
  {200,1000,    0x2L,    1L,    1L,    0L},
  {232,992,     0x2L,    1L,    1L,    0L},
  {264,984,     0x2L,    1L,    1L,    0L},
  {304,976,     0x2L,    1L,    1L,    0L},
  {336,960,     0x2L,    1L,    1L,    0L},
  {368,952,     0x2L,    1L,    1L,    0L},
  {400,936,     0x2L,    1L,    1L,    0L},
  {432,928,     0x2L,    1L,    1L,    0L},
  {464,912,     0x2L,    1L,    1L,    0L},
  {496,888,     0x2L,    1L,    1L,    0L},
  {536,872,     0x2L,    1L,    1L,    0L},
  {576,840,     0x2L,    1L,    1L,    0L},
  {616,816,     0x2L,    1L,    1L,    0L},
  {656,784,     0x2L,    1L,    1L,    0L},
  {696,744,     0x2L,    1L,    1L,    0L},
  {744,696,     0x2L,    1L,    1L,    0L},
  {792,648,     0x2L,    1L,    1L,    0L},
  {832,592,     0x2L,    1L,    1L,    0L},
  {872,528,     0x2L,    1L,    1L,    0L},
  {912,464,     0x2L,    1L,    1L,    0L},
  {944,392,     0x2L,    1L,    1L,    0L},
  {968,320,     0x2L,    1L,    1L,    0L},
  {992,248,     0x2L,    1L,    1L,    0L},
  {1000,184,    0x2L,    1L,    1L,    0L},
  {1016,120,    0x2L,    1L,    1L,    0L},
  {1016,64,     0x2L,    1L,    1L,    0L},
  {1016,16,     0x2L,    1L,    1L,    0L},
  {1016,24,     0x3L,    1L,    1L,    0L},
                                         /* quadrant 3 dir. 0, speed 0 */
  {1016,64,     0x3L,    1L,    1L,    0L},    
  {1016,96,     0x3L,    1L,    1L,    0L},
  {1008,128,    0x3L,    1L,    1L,    0L},
  {1008,152,    0x3L,    1L,    1L,    0L},
  {1008,176,    0x3L,    1L,    1L,    0L},
  {1000,200,    0x3L,    1L,    1L,    0L},
  {992,224,     0x3L,    1L,    1L,    0L},
  {992,248,     0x3L,    1L,    1L,    0L},
  {984,264,     0x3L,    1L,    1L,    0L},
  {976,288,     0x3L,    1L,    1L,    0L},
  {968,312,     0x3L,    1L,    1L,    0L},
  {968,336,     0x3L,    1L,    1L,    0L},
  {952,360,     0x3L,    1L,    1L,    0L},
  {944,384,     0x3L,    1L,    1L,    0L},
  {936,408,     0x3L,    1L,    1L,    0L},
  {920,440,     0x3L,    1L,    1L,    0L},
  {904,472,     0x3L,    1L,    1L,    0L},
  {880,512,     0x3L,    1L,    1L,    0L},
  {856,552,     0x3L,    1L,    1L,    0L},
  {832,592,     0x3L,    1L,    1L,    0L},
  {800,632,     0x3L,    1L,    1L,    0L},
  {760,680,     0x3L,    1L,    1L,    0L},
  {712,728,     0x3L,    1L,    1L,    0L},
  {656,776,     0x3L,    1L,    1L,    0L},
  {592,832,     0x3L,    1L,    1L,    0L},
  {528,872,     0x3L,    1L,    1L,    0L},
  {448,920,     0x3L,    1L,    1L,    0L},
  {368,952,     0x3L,    1L,    1L,    0L},
  {280,984,     0x3L,    1L,    1L,    0L},
  {200,1000,    0x3L,    1L,    1L,    0L},
  {120,1016,    0x3L,    1L,    1L,    0L},
  {48,1016,     0x3L,    1L,    1L,    0L}},
/* EasyCASE > */
/* EasyCASE ) */
/* EasyCASE ( 986
   Direction 1 (CCW), Speed 1 (special table)
   MUL-SMIA_nMW2000_RearContacted_Basic_Classic (No 2) */
/* EasyCASE < */
                                        /* quadrant 0 dir. 0, speed 0 */
{{320,968,     0x3L,    1L,    1L,    0L},    
 {288,976,     0x3L,    1L,    1L,    0L},
 {256,984,     0x3L,    1L,    1L,    0L},
 {224,992,     0x3L,    1L,    1L,    0L},
 {184,1000,    0x3L,    1L,    1L,    0L},
 {152,1008,    0x3L,    1L,    1L,    0L},
 {112,1016,    0x3L,    1L,    1L,    0L},
 {64,1016,     0x3L,    1L,    1L,    0L},
 {24,1016,     0x3L,    1L,    1L,    0L},
 {32,1016,     0x0L,    1L,    1L,    0L},
 {88,1016,     0x0L,    1L,    1L,    0L},
 {144,1008,    0x0L,    1L,    1L,    0L},
 {216,1000,    0x0L,    1L,    1L,    0L},
 {288,976,     0x0L,    1L,    1L,    0L},
 {360,952,     0x0L,    1L,    1L,    0L},
 {440,920,     0x0L,    1L,    1L,    0L},
 {512,880,     0x0L,    1L,    1L,    0L},
 {584,840,     0x0L,    1L,    1L,    0L},
 {640,792,     0x0L,    1L,    1L,    0L},
 {696,744,     0x0L,    1L,    1L,    0L},
 {744,696,     0x0L,    1L,    1L,    0L},
 {784,648,     0x0L,    1L,    1L,    0L},
 {824,600,     0x0L,    1L,    1L,    0L},
 {848,560,     0x0L,    1L,    1L,    0L},
 {872,520,     0x0L,    1L,    1L,    0L},
 {896,488,     0x0L,    1L,    1L,    0L},
 {912,456,     0x0L,    1L,    1L,    0L},
 {928,424,     0x0L,    1L,    1L,    0L},
 {936,400,     0x0L,    1L,    1L,    0L},
 {952,376,     0x0L,    1L,    1L,    0L},
 {960,352,     0x0L,    1L,    1L,    0L},
 {968,328,     0x0L,    1L,    1L,    0L},
                                         /* quadrant 1 dir. 0, speed 0 */
 {976,304,     0x0L,    1L,    1L,    0L},   
 {976,288,     0x0L,    1L,    1L,    0L},
 {984,264,     0x0L,    1L,    1L,    0L},
 {992,240,     0x0L,    1L,    1L,    0L},
 {992,224,     0x0L,    1L,    1L,    0L},
 {1000,200,    0x0L,    1L,    1L,    0L},
 {1008,176,    0x0L,    1L,    1L,    0L},
 {1008,152,    0x0L,    1L,    1L,    0L},
 {1016,120,    0x0L,    1L,    1L,    0L},
 {1016,88,     0x0L,    1L,    1L,    0L},
 {1016,56,     0x0L,    1L,    1L,    0L},
 {1016,16,     0x0L,    1L,    1L,    0L},
 {1016,32,     0x1L,    1L,    1L,    0L},
 {1016,80,     0x1L,    1L,    1L,    0L},
 {1008,144,    0x1L,    1L,    1L,    0L},
 {1000,208,    0x1L,    1L,    1L,    0L},
 {976,280,     0x1L,    1L,    1L,    0L},
 {952,360,     0x1L,    1L,    1L,    0L},
 {920,440,     0x1L,    1L,    1L,    0L},
 {880,512,     0x1L,    1L,    1L,    0L},
 {840,584,     0x1L,    1L,    1L,    0L},
 {792,648,     0x1L,    1L,    1L,    0L},
 {736,704,     0x1L,    1L,    1L,    0L},
 {688,752,     0x1L,    1L,    1L,    0L},
 {640,792,     0x1L,    1L,    1L,    0L},
 {592,832,     0x1L,    1L,    1L,    0L},
 {552,864,     0x1L,    1L,    1L,    0L},
 {504,888,     0x1L,    1L,    1L,    0L},
 {464,904,     0x1L,    1L,    1L,    0L},
 {424,928,     0x1L,    1L,    1L,    0L},
 {392,944,     0x1L,    1L,    1L,    0L},
 {360,952,     0x1L,    1L,    1L,    0L},
                                        /* quadrant 2 dir. 0, speed 0 */
 {320,968,     0x1L,    1L,    1L,    0L},    
 {288,976,     0x1L,    1L,    1L,    0L},
 {256,984,     0x1L,    1L,    1L,    0L},
 {224,992,     0x1L,    1L,    1L,    0L},
 {184,1000,    0x1L,    1L,    1L,    0L},
 {152,1008,    0x1L,    1L,    1L,    0L},
 {112,1016,    0x1L,    1L,    1L,    0L},
 {64,1016,     0x1L,    1L,    1L,    0L},
 {24,1016,     0x1L,    1L,    1L,    0L},
 {32,1016,     0x2L,    1L,    1L,    0L},
 {88,1016,     0x2L,    1L,    1L,    0L},
 {144,1008,    0x2L,    1L,    1L,    0L},
 {216,1000,    0x2L,    1L,    1L,    0L},
 {288,976,     0x2L,    1L,    1L,    0L},
 {360,952,     0x2L,    1L,    1L,    0L},
 {440,920,     0x2L,    1L,    1L,    0L},
 {512,880,     0x2L,    1L,    1L,    0L},
 {584,840,     0x2L,    1L,    1L,    0L},
 {640,792,     0x2L,    1L,    1L,    0L},
 {696,744,     0x2L,    1L,    1L,    0L},
 {744,696,     0x2L,    1L,    1L,    0L},
 {784,648,     0x2L,    1L,    1L,    0L},
 {824,600,     0x2L,    1L,    1L,    0L},
 {848,560,     0x2L,    1L,    1L,    0L},
 {872,520,     0x2L,    1L,    1L,    0L},
 {896,488,     0x2L,    1L,    1L,    0L},
 {912,456,     0x2L,    1L,    1L,    0L},
 {928,424,     0x2L,    1L,    1L,    0L},
 {936,400,     0x2L,    1L,    1L,    0L},
 {952,376,     0x2L,    1L,    1L,    0L},
 {960,352,     0x2L,    1L,    1L,    0L},
 {968,328,     0x2L,    1L,    1L,    0L},
                                        /* quadrant 3 dir. 0, speed 0 */
 {976,304,     0x2L,    1L,    1L,    0L},   
 {976,288,     0x2L,    1L,    1L,    0L},
 {984,264,     0x2L,    1L,    1L,    0L},
 {992,240,     0x2L,    1L,    1L,    0L},
 {992,224,     0x2L,    1L,    1L,    0L},
 {1000,200,    0x2L,    1L,    1L,    0L},
 {1008,176,    0x2L,    1L,    1L,    0L},
 {1008,152,    0x2L,    1L,    1L,    0L},
 {1016,120,    0x2L,    1L,    1L,    0L},
 {1016,88,     0x2L,    1L,    1L,    0L},
 {1016,56,     0x2L,    1L,    1L,    0L},
 {1016,16,     0x2L,    1L,    1L,    0L},
 {1016,32,     0x3L,    1L,    1L,    0L},
 {1016,80,     0x3L,    1L,    1L,    0L},
 {1008,144,    0x3L,    1L,    1L,    0L},
 {1000,208,    0x3L,    1L,    1L,    0L},
 {976,280,     0x3L,    1L,    1L,    0L},
 {952,360,     0x3L,    1L,    1L,    0L},
 {920,440,     0x3L,    1L,    1L,    0L},
 {880,512,     0x3L,    1L,    1L,    0L},
 {840,584,     0x3L,    1L,    1L,    0L},
 {792,648,     0x3L,    1L,    1L,    0L},
 {736,704,     0x3L,    1L,    1L,    0L},
 {688,752,     0x3L,    1L,    1L,    0L},
 {640,792,     0x3L,    1L,    1L,    0L},
 {592,832,     0x3L,    1L,    1L,    0L},
 {552,864,     0x3L,    1L,    1L,    0L},
 {504,888,     0x3L,    1L,    1L,    0L},
 {464,904,     0x3L,    1L,    1L,    0L},
 {424,928,     0x3L,    1L,    1L,    0L},
 {392,944,     0x3L,    1L,    1L,    0L},
 {360,952,     0x3L,    1L,    1L,    0L}}}}
 };
/* EasyCASE > */
/* EasyCASE ) */
/* EasyCASE ) */
/* EasyCASE ( 969
   MW2000 REAR-CONTACTED Basic Classic COUNTER-CLOCKWISE(EDUL) TYPE
   SMIA_nMW2000_RearContacted_Basic_Classic (No 2) */
/* EasyCASE ( 990
   Direction 0 (CCW), Speed 0 (normal table)
   EDUL-SMIA_nMW2000_RearContacted_Basic_Classic (No 2) */
/* EasyCASE < */
const struct SMIA_ISM_PWMStd SMIA_ISM_A_STDPWMTABLE2_EDUL = {
 /* CVP   CHP   CQI   IVR IHR */
{{{                                      /* quadrant 0 dir. 0, speed 0 */
  {360,952,     0x0L,    1L,    1L,    0L},
  {392,944,     0x0L,    1L,    1L,    0L},
  {424,928,     0x0L,    1L,    1L,    0L},
  {464,904,     0x0L,    1L,    1L,    0L},
  {504,888,     0x0L,    1L,    1L,    0L},
  {552,864,     0x0L,    1L,    1L,    0L},
  {592,832,     0x0L,    1L,    1L,    0L},
  {640,792,     0x0L,    1L,    1L,    0L},
  {688,752,     0x0L,    1L,    1L,    0L},
  {736,704,     0x0L,    1L,    1L,    0L},
  {792,648,     0x0L,    1L,    1L,    0L},
  {840,584,     0x0L,    1L,    1L,    0L},
  {880,512,     0x0L,    1L,    1L,    0L},
  {920,440,     0x0L,    1L,    1L,    0L},
  {952,360,     0x0L,    1L,    1L,    0L},
  {976,280,     0x0L,    1L,    1L,    0L},
  {1000,208,    0x0L,    1L,    1L,    0L},
  {1008,144,    0x0L,    1L,    1L,    0L},
  {1016,80,     0x0L,    1L,    1L,    0L},
  {1016,32,     0x0L,    1L,    1L,    0L},
  {1016,16,     0x1L,    1L,    1L,    0L},
  {1016,56,     0x1L,    1L,    1L,    0L},
  {1016,88,     0x1L,    1L,    1L,    0L},
  {1016,120,    0x1L,    1L,    1L,    0L},
  {1008,152,    0x1L,    1L,    1L,    0L},
  {1008,176,    0x1L,    1L,    1L,    0L},
  {1000,200,    0x1L,    1L,    1L,    0L},
  {992,224,     0x1L,    1L,    1L,    0L},
  {992,240,     0x1L,    1L,    1L,    0L},
  {984,264,     0x1L,    1L,    1L,    0L},
  {976,288,     0x1L,    1L,    1L,    0L},
  {976,304,     0x1L,    1L,    1L,    0L},
                                         /* quadrant 1 dir. 0, speed 0 */
  {968,328,     0x1L,    1L,    1L,    0L},
  {960,352,     0x1L,    1L,    1L,    0L},
  {952,376,     0x1L,    1L,    1L,    0L},
  {936,400,     0x1L,    1L,    1L,    0L},
  {928,424,     0x1L,    1L,    1L,    0L},
  {912,456,     0x1L,    1L,    1L,    0L},
  {896,488,     0x1L,    1L,    1L,    0L},
  {872,520,     0x1L,    1L,    1L,    0L},
  {848,560,     0x1L,    1L,    1L,    0L},
  {824,600,     0x1L,    1L,    1L,    0L},
  {784,648,     0x1L,    1L,    1L,    0L},
  {744,696,     0x1L,    1L,    1L,    0L},
  {696,744,     0x1L,    1L,    1L,    0L},
  {640,792,     0x1L,    1L,    1L,    0L},
  {584,840,     0x1L,    1L,    1L,    0L},
  {512,880,     0x1L,    1L,    1L,    0L},
  {440,920,     0x1L,    1L,    1L,    0L},
  {360,952,     0x1L,    1L,    1L,    0L},
  {288,976,     0x1L,    1L,    1L,    0L},
  {216,1000,    0x1L,    1L,    1L,    0L},
  {144,1008,    0x1L,    1L,    1L,    0L},
  {88,1016,     0x1L,    1L,    1L,    0L},
  {32,1016,     0x1L,    1L,    1L,    0L},
  {24,1016,     0x2L,    1L,    1L,    0L},
  {64,1016,     0x2L,    1L,    1L,    0L},
  {112,1016,    0x2L,    1L,    1L,    0L},
  {152,1008,    0x2L,    1L,    1L,    0L},
  {184,1000,    0x2L,    1L,    1L,    0L},
  {224,992,     0x2L,    1L,    1L,    0L},
  {256,984,     0x2L,    1L,    1L,    0L},
  {288,976,     0x2L,    1L,    1L,    0L},
  {320,968,     0x2L,    1L,    1L,    0L},
                                        /* quadrant 2 dir. 0, speed 0 */
  {360,952,     0x2L,    1L,    1L,    0L},
  {392,944,     0x2L,    1L,    1L,    0L},
  {424,928,     0x2L,    1L,    1L,    0L},
  {464,904,     0x2L,    1L,    1L,    0L},
  {504,888,     0x2L,    1L,    1L,    0L},
  {552,864,     0x2L,    1L,    1L,    0L},
  {592,832,     0x2L,    1L,    1L,    0L},
  {640,792,     0x2L,    1L,    1L,    0L},
  {688,752,     0x2L,    1L,    1L,    0L},
  {736,704,     0x2L,    1L,    1L,    0L},
  {792,648,     0x2L,    1L,    1L,    0L},
  {840,584,     0x2L,    1L,    1L,    0L},
  {880,512,     0x2L,    1L,    1L,    0L},
  {920,440,     0x2L,    1L,    1L,    0L},
  {952,360,     0x2L,    1L,    1L,    0L},
  {976,280,     0x2L,    1L,    1L,    0L},
  {1000,208,    0x2L,    1L,    1L,    0L},
  {1008,144,    0x2L,    1L,    1L,    0L},
  {1016,80,     0x2L,    1L,    1L,    0L},
  {1016,32,     0x2L,    1L,    1L,    0L}, 
  {1016,16,     0x3L,    1L,    1L,    0L},
  {1016,56,     0x3L,    1L,    1L,    0L},
  {1016,88,     0x3L,    1L,    1L,    0L},
  {1016,120,    0x3L,    1L,    1L,    0L},
  {1008,152,    0x3L,    1L,    1L,    0L},
  {1008,176,    0x3L,    1L,    1L,    0L},
  {1000,200,    0x3L,    1L,    1L,    0L},
  {992,224,     0x3L,    1L,    1L,    0L},
  {992,240,     0x3L,    1L,    1L,    0L},
  {984,264,     0x3L,    1L,    1L,    0L},
  {976,288,     0x3L,    1L,    1L,    0L},
  {976,304,     0x3L,    1L,    1L,    0L},
                                         /* quadrant 3 dir. 0, speed 0 */
  {968,328,     0x3L,    1L,    1L,    0L},
  {960,352,     0x3L,    1L,    1L,    0L},
  {952,376,     0x3L,    1L,    1L,    0L},
  {936,400,     0x3L,    1L,    1L,    0L},
  {928,424,     0x3L,    1L,    1L,    0L},
  {912,456,     0x3L,    1L,    1L,    0L},
  {896,488,     0x3L,    1L,    1L,    0L},
  {872,520,     0x3L,    1L,    1L,    0L},
  {848,560,     0x3L,    1L,    1L,    0L},
  {824,600,     0x3L,    1L,    1L,    0L},
  {784,648,     0x3L,    1L,    1L,    0L},
  {744,696,     0x3L,    1L,    1L,    0L},
  {696,744,     0x3L,    1L,    1L,    0L},
  {640,792,     0x3L,    1L,    1L,    0L},
  {584,840,     0x3L,    1L,    1L,    0L},
  {512,880,     0x3L,    1L,    1L,    0L},
  {440,920,     0x3L,    1L,    1L,    0L},
  {360,952,     0x3L,    1L,    1L,    0L},
  {288,976,     0x3L,    1L,    1L,    0L},
  {216,1000,    0x3L,    1L,    1L,    0L},
  {144,1008,    0x3L,    1L,    1L,    0L},
  {88,1016,     0x3L,    1L,    1L,    0L},
  {32,1016,     0x3L,    1L,    1L,    0L},
  {24,1016,     0x0L,    1L,    1L,    0L},
  {64,1016,     0x0L,    1L,    1L,    0L},
  {112,1016,    0x0L,    1L,    1L,    0L},
  {152,1008,    0x0L,    1L,    1L,    0L},
  {184,1000,    0x0L,    1L,    1L,    0L},
  {224,992,     0x0L,    1L,    1L,    0L},
  {256,984,     0x0L,    1L,    1L,    0L},
  {288,976,     0x0L,    1L,    1L,    0L},
  {320,968,     0x0L,    1L,    1L,    0L}},
/* EasyCASE > */
/* EasyCASE ) */
/* EasyCASE ( 991
   Direction 1 (CW), Speed 0 (normal table)
   EDUL-SMIA_nMW2000_RearContacted_Basic_Classic (No 2) */
/* EasyCASE < */
                                        /* quadrant 2 dir. 1, speed 0 */
{{48,1016,     0x0L,    1L,    1L,    0L},
 {120,1016,    0x0L,    1L,    1L,    0L},
 {200,1000,    0x0L,    1L,    1L,    0L},
 {280,984,     0x0L,    1L,    1L,    0L},
 {368,952,     0x0L,    1L,    1L,    0L},
 {448,920,     0x0L,    1L,    1L,    0L},
 {528,872,     0x0L,    1L,    1L,    0L},
 {592,832,     0x0L,    1L,    1L,    0L},
 {656,776,     0x0L,    1L,    1L,    0L},
 {712,728,     0x0L,    1L,    1L,    0L},
 {760,680,     0x0L,    1L,    1L,    0L},
 {800,632,     0x0L,    1L,    1L,    0L},
 {832,592,     0x0L,    1L,    1L,    0L},
 {856,552,     0x0L,    1L,    1L,    0L},
 {880,512,     0x0L,    1L,    1L,    0L},
 {904,472,     0x0L,    1L,    1L,    0L},
 {920,440,     0x0L,    1L,    1L,    0L},
 {936,408,     0x0L,    1L,    1L,    0L},
 {944,384,     0x0L,    1L,    1L,    0L},
 {952,360,     0x0L,    1L,    1L,    0L},
 {968,336,     0x0L,    1L,    1L,    0L},
 {968,312,     0x0L,    1L,    1L,    0L},
 {976,288,     0x0L,    1L,    1L,    0L},
 {984,264,     0x0L,    1L,    1L,    0L},
 {992,248,     0x0L,    1L,    1L,    0L},
 {992,224,     0x0L,    1L,    1L,    0L},
 {1000,200,    0x0L,    1L,    1L,    0L}, 
 {1008,176,    0x0L,    1L,    1L,    0L},
 {1008,152,    0x0L,    1L,    1L,    0L},
 {1008,128,    0x0L,    1L,    1L,    0L},
 {1016,96,     0x0L,    1L,    1L,    0L},
 {1016,64,     0x0L,    1L,    1L,    0L},
                                        /* quadrant 3 dir. 1, speed 0 */
 {1016,24,     0x0L,    1L,    1L,    0L}, 
 {1016,16,     0x1L,    1L,    1L,    0L},
 {1016,64,     0x1L,    1L,    1L,    0L},
 {1016,120,    0x1L,    1L,    1L,    0L},
 {1000,184,    0x1L,    1L,    1L,    0L},
 {992,248,     0x1L,    1L,    1L,    0L},
 {968,320,     0x1L,    1L,    1L,    0L},
 {944,392,     0x1L,    1L,    1L,    0L},
 {912,464,     0x1L,    1L,    1L,    0L},
 {872,528,     0x1L,    1L,    1L,    0L},
 {832,592,     0x1L,    1L,    1L,    0L},
 {792,648,     0x1L,    1L,    1L,    0L},
 {744,696,     0x1L,    1L,    1L,    0L},
 {696,744,     0x1L,    1L,    1L,    0L},
 {656,784,     0x1L,    1L,    1L,    0L},
 {616,816,     0x1L,    1L,    1L,    0L},
 {576,840,     0x1L,    1L,    1L,    0L},
 {536,872,     0x1L,    1L,    1L,    0L},
 {496,888,     0x1L,    1L,    1L,    0L},
 {464,912,     0x1L,    1L,    1L,    0L},
 {432,928,     0x1L,    1L,    1L,    0L},
 {400,936,     0x1L,    1L,    1L,    0L},
 {368,952,     0x1L,    1L,    1L,    0L},
 {336,960,     0x1L,    1L,    1L,    0L},
 {304,976,     0x1L,    1L,    1L,    0L},
 {264,984,     0x1L,    1L,    1L,    0L},
 {232,992,     0x1L,    1L,    1L,    0L},
 {200,1000,    0x1L,    1L,    1L,    0L},
 {160,1008,    0x1L,    1L,    1L,    0L},
 {112,1016,    0x1L,    1L,    1L,    0L},
 {64,1016,     0x1L,    1L,    1L,    0L},
 {8,1016,      0x1L,    1L,    1L,    0L},
                                        /* quadrant 0 dir. 1, speed 0 */
 {48,1016,     0x2L,    1L,    1L,    0L},
 {120,1016,    0x2L,    1L,    1L,    0L},
 {200,1000,    0x2L,    1L,    1L,    0L},
 {280,984,     0x2L,    1L,    1L,    0L},
 {368,952,     0x2L,    1L,    1L,    0L},
 {448,920,     0x2L,    1L,    1L,    0L},
 {528,872,     0x2L,    1L,    1L,    0L},
 {592,832,     0x2L,    1L,    1L,    0L},
 {656,776,     0x2L,    1L,    1L,    0L},
 {712,728,     0x2L,    1L,    1L,    0L},
 {760,680,     0x2L,    1L,    1L,    0L},
 {800,632,     0x2L,    1L,    1L,    0L},
 {832,592,     0x2L,    1L,    1L,    0L},
 {856,552,     0x2L,    1L,    1L,    0L},
 {880,512,     0x2L,    1L,    1L,    0L},
 {904,472,     0x2L,    1L,    1L,    0L},
 {920,440,     0x2L,    1L,    1L,    0L},
 {936,408,     0x2L,    1L,    1L,    0L},
 {944,384,     0x2L,    1L,    1L,    0L},
 {952,360,     0x2L,    1L,    1L,    0L},
 {968,336,     0x2L,    1L,    1L,    0L},
 {968,312,     0x2L,    1L,    1L,    0L},
 {976,288,     0x2L,    1L,    1L,    0L},
 {984,264,     0x2L,    1L,    1L,    0L},
 {992,248,     0x2L,    1L,    1L,    0L},
 {992,224,     0x2L,    1L,    1L,    0L},
 {1000,200,    0x2L,    1L,    1L,    0L}, 
 {1008,176,    0x2L,    1L,    1L,    0L},
 {1008,152,    0x2L,    1L,    1L,    0L},
 {1008,128,    0x2L,    1L,    1L,    0L},
 {1016,96,     0x2L,    1L,    1L,    0L},
 {1016,64,     0x2L,    1L,    1L,    0L},
                                        /* quadrant 1 dir. 1, speed 0 */
 {1016,24,     0x2L,    1L,    1L,    0L}, 
 {1016,16,     0x3L,    1L,    1L,    0L},
 {1016,64,     0x3L,    1L,    1L,    0L},
 {1016,120,    0x3L,    1L,    1L,    0L},
 {1000,184,    0x3L,    1L,    1L,    0L},
 {992,248,     0x3L,    1L,    1L,    0L},
 {968,320,     0x3L,    1L,    1L,    0L},
 {944,392,     0x3L,    1L,    1L,    0L},
 {912,464,     0x3L,    1L,    1L,    0L},
 {872,528,     0x3L,    1L,    1L,    0L},
 {832,592,     0x3L,    1L,    1L,    0L},
 {792,648,     0x3L,    1L,    1L,    0L},
 {744,696,     0x3L,    1L,    1L,    0L},
 {696,744,     0x3L,    1L,    1L,    0L},
 {656,784,     0x3L,    1L,    1L,    0L},
 {616,816,     0x3L,    1L,    1L,    0L},
 {576,840,     0x3L,    1L,    1L,    0L},
 {536,872,     0x3L,    1L,    1L,    0L},
 {496,888,     0x3L,    1L,    1L,    0L},
 {464,912,     0x3L,    1L,    1L,    0L},
 {432,928,     0x3L,    1L,    1L,    0L},
 {400,936,     0x3L,    1L,    1L,    0L},
 {368,952,     0x3L,    1L,    1L,    0L},
 {336,960,     0x3L,    1L,    1L,    0L},
 {304,976,     0x3L,    1L,    1L,    0L},
 {264,984,     0x3L,    1L,    1L,    0L},
 {232,992,     0x3L,    1L,    1L,    0L},
 {200,1000,    0x3L,    1L,    1L,    0L},
 {160,1008,    0x3L,    1L,    1L,    0L},
 {112,1016,    0x3L,    1L,    1L,    0L},
 {64,1016,     0x3L,    1L,    1L,    0L},
 {8,1016,      0x3L,    1L,    1L,    0L}}},
/* EasyCASE > */
/* EasyCASE ) */
/* EasyCASE ( 992
   Direction 0 (CCW), Speed 1 (special table)
   EDUL-SMIA_nMW2000_RearContacted_Basic_Classic (No 2) */
/* EasyCASE < */
                                        /* quadrant 0 dir. 0, speed 1 */
{{{360,952,     0x0L,    1L,    1L,    0L},
  {392,944,     0x0L,    1L,    1L,    0L},
  {424,928,     0x0L,    1L,    1L,    0L},
  {464,904,     0x0L,    1L,    1L,    0L},
  {504,888,     0x0L,    1L,    1L,    0L},
  {552,864,     0x0L,    1L,    1L,    0L},
  {592,832,     0x0L,    1L,    1L,    0L},
  {640,792,     0x0L,    1L,    1L,    0L},
  {688,752,     0x0L,    1L,    1L,    0L},
  {736,704,     0x0L,    1L,    1L,    0L},
  {792,648,     0x0L,    1L,    1L,    0L},
  {840,584,     0x0L,    1L,    1L,    0L},
  {880,512,     0x0L,    1L,    1L,    0L},
  {920,440,     0x0L,    1L,    1L,    0L},
  {952,360,     0x0L,    1L,    1L,    0L},
  {976,280,     0x0L,    1L,    1L,    0L},
  {1000,208,    0x0L,    1L,    1L,    0L},
  {1008,144,    0x0L,    1L,    1L,    0L},
  {1016,80,     0x0L,    1L,    1L,    0L},
  {1016,32,     0x0L,    1L,    1L,    0L},
  {1016,16,     0x1L,    1L,    1L,    0L},
  {1016,56,     0x1L,    1L,    1L,    0L},
  {1016,88,     0x1L,    1L,    1L,    0L},
  {1016,120,    0x1L,    1L,    1L,    0L},
  {1008,152,    0x1L,    1L,    1L,    0L},
  {1008,176,    0x1L,    1L,    1L,    0L},
  {1000,200,    0x1L,    1L,    1L,    0L},
  {992,224,     0x1L,    1L,    1L,    0L},
  {992,240,     0x1L,    1L,    1L,    0L},
  {984,264,     0x1L,    1L,    1L,    0L},
  {976,288,     0x1L,    1L,    1L,    0L},
  {976,304,     0x1L,    1L,    1L,    0L},
                                         /* quadrant 1 dir. 0, speed 1 */
  {968,328,     0x1L,    1L,    1L,    0L},
  {960,352,     0x1L,    1L,    1L,    0L},
  {952,376,     0x1L,    1L,    1L,    0L},
  {936,400,     0x1L,    1L,    1L,    0L},
  {928,424,     0x1L,    1L,    1L,    0L},
  {912,456,     0x1L,    1L,    1L,    0L},
  {896,488,     0x1L,    1L,    1L,    0L},
  {872,520,     0x1L,    1L,    1L,    0L},
  {848,560,     0x1L,    1L,    1L,    0L},
  {824,600,     0x1L,    1L,    1L,    0L},
  {784,648,     0x1L,    1L,    1L,    0L},
  {744,696,     0x1L,    1L,    1L,    0L},
  {696,744,     0x1L,    1L,    1L,    0L},
  {640,792,     0x1L,    1L,    1L,    0L},
  {584,840,     0x1L,    1L,    1L,    0L},
  {512,880,     0x1L,    1L,    1L,    0L},
  {440,920,     0x1L,    1L,    1L,    0L},
  {360,952,     0x1L,    1L,    1L,    0L},
  {288,976,     0x1L,    1L,    1L,    0L},
  {216,1000,    0x1L,    1L,    1L,    0L},
  {144,1008,    0x1L,    1L,    1L,    0L},
  {88,1016,     0x1L,    1L,    1L,    0L},
  {32,1016,     0x1L,    1L,    1L,    0L}, 
  {24,1016,     0x2L,    1L,    1L,    0L},
  {64,1016,     0x2L,    1L,    1L,    0L},
  {112,1016,    0x2L,    1L,    1L,    0L},
  {152,1008,    0x2L,    1L,    1L,    0L},
  {184,1000,    0x2L,    1L,    1L,    0L},
  {224,992,     0x2L,    1L,    1L,    0L},
  {256,984,     0x2L,    1L,    1L,    0L},
  {288,976,     0x2L,    1L,    1L,    0L},
  {320,968,     0x2L,    1L,    1L,    0L},
                                        /* quadrant 2 dir. 0, speed 1 */
  {360,952,     0x2L,    1L,    1L,    0L},
  {392,944,     0x2L,    1L,    1L,    0L},
  {424,928,     0x2L,    1L,    1L,    0L},
  {464,904,     0x2L,    1L,    1L,    0L},
  {504,888,     0x2L,    1L,    1L,    0L},
  {552,864,     0x2L,    1L,    1L,    0L},
  {592,832,     0x2L,    1L,    1L,    0L},
  {640,792,     0x2L,    1L,    1L,    0L},
  {688,752,     0x2L,    1L,    1L,    0L},
  {736,704,     0x2L,    1L,    1L,    0L},
  {792,648,     0x2L,    1L,    1L,    0L},
  {840,584,     0x2L,    1L,    1L,    0L},
  {880,512,     0x2L,    1L,    1L,    0L},
  {920,440,     0x2L,    1L,    1L,    0L},
  {952,360,     0x2L,    1L,    1L,    0L},
  {976,280,     0x2L,    1L,    1L,    0L},
  {1000,208,    0x2L,    1L,    1L,    0L},
  {1008,144,    0x2L,    1L,    1L,    0L},
  {1016,80,     0x2L,    1L,    1L,    0L},
  {1016,32,     0x2L,    1L,    1L,    0L}, 
  {1016,16,     0x3L,    1L,    1L,    0L},
  {1016,56,     0x3L,    1L,    1L,    0L},
  {1016,88,     0x3L,    1L,    1L,    0L},
  {1016,120,    0x3L,    1L,    1L,    0L},
  {1008,152,    0x3L,    1L,    1L,    0L},
  {1008,176,    0x3L,    1L,    1L,    0L},
  {1000,200,    0x3L,    1L,    1L,    0L},
  {992,224,     0x3L,    1L,    1L,    0L},
  {992,240,     0x3L,    1L,    1L,    0L},
  {984,264,     0x3L,    1L,    1L,    0L},
  {976,288,     0x3L,    1L,    1L,    0L},
  {976,304,     0x3L,    1L,    1L,    0L},
                                         /* quadrant 3 dir. 0, speed 1 */
  {968,328,     0x3L,    1L,    1L,    0L},
  {960,352,     0x3L,    1L,    1L,    0L},
  {952,376,     0x3L,    1L,    1L,    0L},
  {936,400,     0x3L,    1L,    1L,    0L},
  {928,424,     0x3L,    1L,    1L,    0L},
  {912,456,     0x3L,    1L,    1L,    0L},
  {896,488,     0x3L,    1L,    1L,    0L},
  {872,520,     0x3L,    1L,    1L,    0L},
  {848,560,     0x3L,    1L,    1L,    0L},
  {824,600,     0x3L,    1L,    1L,    0L},
  {784,648,     0x3L,    1L,    1L,    0L},
  {744,696,     0x3L,    1L,    1L,    0L},
  {696,744,     0x3L,    1L,    1L,    0L},
  {640,792,     0x3L,    1L,    1L,    0L},
  {584,840,     0x3L,    1L,    1L,    0L},
  {512,880,     0x3L,    1L,    1L,    0L},
  {440,920,     0x3L,    1L,    1L,    0L},
  {360,952,     0x3L,    1L,    1L,    0L},
  {288,976,     0x3L,    1L,    1L,    0L},
  {216,1000,    0x3L,    1L,    1L,    0L},
  {144,1008,    0x3L,    1L,    1L,    0L},
  {88,1016,     0x3L,    1L,    1L,    0L},
  {32,1016,     0x3L,    1L,    1L,    0L},
  {24,1016,     0x0L,    1L,    1L,    0L},
  {64,1016,     0x0L,    1L,    1L,    0L},
  {112,1016,    0x0L,    1L,    1L,    0L},
  {152,1008,    0x0L,    1L,    1L,    0L},
  {184,1000,    0x0L,    1L,    1L,    0L},
  {224,992,     0x0L,    1L,    1L,    0L},
  {256,984,     0x0L,    1L,    1L,    0L},
  {288,976,     0x0L,    1L,    1L,    0L},
  {320,968,     0x0L,    1L,    1L,    0L}},
/* EasyCASE > */
/* EasyCASE ) */
/* EasyCASE ( 996
   Direction 1 (CW-clockwise), Speed 1 (special table)
   EDUL-SMIA_nMW2000_RearContacted_Basic_Classic (No 2) */
/* EasyCASE < */
                                        /* quadrant 0 dir. 1, speed 0 */
{{48,1016,     0x0L,    1L,    1L,    0L},
 {120,1016,    0x0L,    1L,    1L,    0L},
 {200,1000,    0x0L,    1L,    1L,    0L},
 {280,984,     0x0L,    1L,    1L,    0L},
 {368,952,     0x0L,    1L,    1L,    0L},
 {448,920,     0x0L,    1L,    1L,    0L},
 {528,872,     0x0L,    1L,    1L,    0L},
 {592,832,     0x0L,    1L,    1L,    0L},
 {656,776,     0x0L,    1L,    1L,    0L},
 {712,728,     0x0L,    1L,    1L,    0L},
 {760,680,     0x0L,    1L,    1L,    0L},
 {800,632,     0x0L,    1L,    1L,    0L},
 {832,592,     0x0L,    1L,    1L,    0L},
 {856,552,     0x0L,    1L,    1L,    0L},
 {880,512,     0x0L,    1L,    1L,    0L},
 {904,472,     0x0L,    1L,    1L,    0L},
 {920,440,     0x0L,    1L,    1L,    0L},
 {936,408,     0x0L,    1L,    1L,    0L},
 {944,384,     0x0L,    1L,    1L,    0L},
 {952,360,     0x0L,    1L,    1L,    0L},
 {968,336,     0x0L,    1L,    1L,    0L},
 {968,312,     0x0L,    1L,    1L,    0L},
 {976,288,     0x0L,    1L,    1L,    0L},
 {984,264,     0x0L,    1L,    1L,    0L},
 {992,248,     0x0L,    1L,    1L,    0L},
 {992,224,     0x0L,    1L,    1L,    0L},
 {1000,200,    0x0L,    1L,    1L,    0L}, 
 {1008,176,    0x0L,    1L,    1L,    0L},
 {1008,152,    0x0L,    1L,    1L,    0L},
 {1008,128,    0x0L,    1L,    1L,    0L},
 {1016,96,     0x0L,    1L,    1L,    0L},
 {1016,64,     0x0L,    1L,    1L,    0L},
                                         /* quadrant 1 dir. 1, speed 1 */
 {1016,24,     0x0L,    1L,    1L,    0L}, 
 {1016,16,     0x1L,    1L,    1L,    0L},
 {1016,64,     0x1L,    1L,    1L,    0L},
 {1016,120,    0x1L,    1L,    1L,    0L},
 {1000,184,    0x1L,    1L,    1L,    0L},
 {992,248,     0x1L,    1L,    1L,    0L},
 {968,320,     0x1L,    1L,    1L,    0L},
 {944,392,     0x1L,    1L,    1L,    0L},
 {912,464,     0x1L,    1L,    1L,    0L},
 {872,528,     0x1L,    1L,    1L,    0L},
 {832,592,     0x1L,    1L,    1L,    0L},
 {792,648,     0x1L,    1L,    1L,    0L},
 {744,696,     0x1L,    1L,    1L,    0L},
 {696,744,     0x1L,    1L,    1L,    0L},
 {656,784,     0x1L,    1L,    1L,    0L},
 {616,816,     0x1L,    1L,    1L,    0L},
 {576,840,     0x1L,    1L,    1L,    0L},
 {536,872,     0x1L,    1L,    1L,    0L},
 {496,888,     0x1L,    1L,    1L,    0L},
 {464,912,     0x1L,    1L,    1L,    0L},
 {432,928,     0x1L,    1L,    1L,    0L},
 {400,936,     0x1L,    1L,    1L,    0L},
 {368,952,     0x1L,    1L,    1L,    0L},
 {336,960,     0x1L,    1L,    1L,    0L},
 {304,976,     0x1L,    1L,    1L,    0L},
 {264,984,     0x1L,    1L,    1L,    0L},
 {232,992,     0x1L,    1L,    1L,    0L},
 {200,1000,    0x1L,    1L,    1L,    0L},
 {160,1008,    0x1L,    1L,    1L,    0L},
 {112,1016,    0x1L,    1L,    1L,    0L},
 {64,1016,     0x1L,    1L,    1L,    0L},
 {8,1016,      0x1L,    1L,    1L,    0L},
                                         /* quadrant 2 dir. 1, speed 1 */
 {48,1016,     0x2L,    1L,    1L,    0L},
 {120,1016,    0x2L,    1L,    1L,    0L},
 {200,1000,    0x2L,    1L,    1L,    0L},
 {280,984,     0x2L,    1L,    1L,    0L},
 {368,952,     0x2L,    1L,    1L,    0L},
 {448,920,     0x2L,    1L,    1L,    0L},
 {528,872,     0x2L,    1L,    1L,    0L},
 {592,832,     0x2L,    1L,    1L,    0L},
 {656,776,     0x2L,    1L,    1L,    0L},
 {712,728,     0x2L,    1L,    1L,    0L},
 {760,680,     0x2L,    1L,    1L,    0L},
 {800,632,     0x2L,    1L,    1L,    0L},
 {832,592,     0x2L,    1L,    1L,    0L},
 {856,552,     0x2L,    1L,    1L,    0L},
 {880,512,     0x2L,    1L,    1L,    0L},
 {904,472,     0x2L,    1L,    1L,    0L},
 {920,440,     0x2L,    1L,    1L,    0L},
 {936,408,     0x2L,    1L,    1L,    0L},
 {944,384,     0x2L,    1L,    1L,    0L},
 {952,360,     0x2L,    1L,    1L,    0L},
 {968,336,     0x2L,    1L,    1L,    0L},
 {968,312,     0x2L,    1L,    1L,    0L},
 {976,288,     0x2L,    1L,    1L,    0L},
 {984,264,     0x2L,    1L,    1L,    0L},
 {992,248,     0x2L,    1L,    1L,    0L},
 {992,224,     0x2L,    1L,    1L,    0L},
 {1000,200,    0x2L,    1L,    1L,    0L}, 
 {1008,176,    0x2L,    1L,    1L,    0L},
 {1008,152,    0x2L,    1L,    1L,    0L},
 {1008,128,    0x2L,    1L,    1L,    0L},
 {1016,96,     0x2L,    1L,    1L,    0L},
 {1016,64,     0x2L,    1L,    1L,    0L},
                                         /* quadrant 3 dir. 1, speed 1 */
 {1016,24,     0x3L,    1L,    1L,    0L}, 
 {1016,16,     0x3L,    1L,    1L,    0L},
 {1016,64,     0x3L,    1L,    1L,    0L},
 {1016,120,    0x3L,    1L,    1L,    0L},
 {1000,184,    0x3L,    1L,    1L,    0L},
 {992,248,     0x3L,    1L,    1L,    0L},
 {968,320,     0x3L,    1L,    1L,    0L},
 {944,392,     0x3L,    1L,    1L,    0L},
 {912,464,     0x3L,    1L,    1L,    0L},
 {872,528,     0x3L,    1L,    1L,    0L},
 {832,592,     0x3L,    1L,    1L,    0L},
 {792,648,     0x3L,    1L,    1L,    0L},
 {744,696,     0x3L,    1L,    1L,    0L},
 {696,744,     0x3L,    1L,    1L,    0L},
 {656,784,     0x3L,    1L,    1L,    0L},
 {616,816,     0x3L,    1L,    1L,    0L},
 {576,840,     0x3L,    1L,    1L,    0L},
 {536,872,     0x3L,    1L,    1L,    0L},
 {496,888,     0x3L,    1L,    1L,    0L},
 {464,912,     0x3L,    1L,    1L,    0L},
 {432,928,     0x3L,    1L,    1L,    0L},
 {400,936,     0x3L,    1L,    1L,    0L},
 {368,952,     0x3L,    1L,    1L,    0L},
 {336,960,     0x3L,    1L,    1L,    0L},
 {304,976,     0x3L,    1L,    1L,    0L},
 {264,984,     0x3L,    1L,    1L,    0L},
 {232,992,     0x3L,    1L,    1L,    0L},
 {200,1000,    0x3L,    1L,    1L,    0L},
 {160,1008,    0x3L,    1L,    1L,    0L},
 {112,1016,    0x3L,    1L,    1L,    0L},
 {64,1016,     0x3L,    1L,    1L,    0L},
 {8,1016,      0x3L,    1L,    1L,    0L}}}},
 };

const struct SMIA_ISM_PWMStd SMIA_ISM_A_STDPWMTABLE3 = {
/*  CVP    CHP   CQI   IVR IHR */
{ /* Normal MUL table */          /* quadrant 0 dir. 0, speed 0 */
{{{ 0   , 1016 , 0x0L, 1L, 1L, 0L },    
  { 48  , 1016 , 0x0L, 1L, 1L, 0L },
  { 96  , 1016 , 0x0L, 1L, 1L, 0L },
  { 144 , 1008 , 0x0L, 1L, 1L, 0L },
  { 192 , 1000 , 0x0L, 1L, 1L, 0L },
  { 248 , 992  , 0x0L, 1L, 1L, 0L },
  { 296 , 976  , 0x0L, 1L, 1L, 0L },
  { 344 , 960  , 0x0L, 1L, 1L, 0L },
  { 384 , 944  , 0x0L, 1L, 1L, 0L },
  { 432 , 920  , 0x0L, 1L, 1L, 0L },
  { 480 , 896  , 0x0L, 1L, 1L, 0L },
  { 520 , 872  , 0x0L, 1L, 1L, 0L },
  { 568 , 848  , 0x0L, 1L, 1L, 0L },
  { 608 , 816  , 0x0L, 1L, 1L, 0L },
  { 648 , 784  , 0x0L, 1L, 1L, 0L },
  { 680 , 752  , 0x0L, 1L, 1L, 0L },
  { 720 , 720  , 0x0L, 1L, 1L, 0L },
  { 752 , 680  , 0x0L, 1L, 1L, 0L },
  { 784 , 648  , 0x0L, 1L, 1L, 0L },
  { 816 , 608  , 0x0L, 1L, 1L, 0L },
  { 848 , 568  , 0x0L, 1L, 1L, 0L },
  { 872 , 520  , 0x0L, 1L, 1L, 0L },
  { 896 , 480  , 0x0L, 1L, 1L, 0L },
  { 920 , 432  , 0x0L, 1L, 1L, 0L },
  { 944 , 384  , 0x0L, 1L, 1L, 0L },
  { 960 , 344  , 0x0L, 1L, 1L, 0L },
  { 976 , 296  , 0x0L, 1L, 1L, 0L },
  { 992 , 248  , 0x0L, 1L, 1L, 0L },
  { 1000, 192  , 0x0L, 1L, 1L, 0L },
  { 1008, 144  , 0x0L, 1L, 1L, 0L },
  { 1016, 96   , 0x0L, 1L, 1L, 0L },
  { 1016, 48   , 0x0L, 1L, 1L, 0L },
/* EasyCASE > */
/* EasyCASE - */
/* EasyCASE < */
                                /* quadrant 1 dir. 0, speed 0 */
{ 1016 , 0   , 0x0L, 1L, 1L, 0L },    
{ 1016 , 48  , 0x1L, 1L, 1L, 0L },
{ 1016 , 96  , 0x1L, 1L, 1L, 0L },
{ 1008 , 144 , 0x1L, 1L, 1L, 0L },
{ 1000 , 192 , 0x1L, 1L, 1L, 0L },
{  992 , 248 , 0x1L, 1L, 1L, 0L },
{  976 , 296 , 0x1L, 1L, 1L, 0L },
{  960 , 344 , 0x1L, 1L, 1L, 0L },
{  944 , 384 , 0x1L, 1L, 1L, 0L },
{  920 , 432 , 0x1L, 1L, 1L, 0L },
{  896 , 480 , 0x1L, 1L, 1L, 0L },
{  872 , 520 , 0x1L, 1L, 1L, 0L },
{  848 , 568 , 0x1L, 1L, 1L, 0L },
{  816 , 608 , 0x1L, 1L, 1L, 0L },
{  784 , 648 , 0x1L, 1L, 1L, 0L },
{  752 , 680 , 0x1L, 1L, 1L, 0L },
{  720 , 720 , 0x1L, 1L, 1L, 0L },
{  680 , 752 , 0x1L, 1L, 1L, 0L },
{  648 , 784 , 0x1L, 1L, 1L, 0L },
{  608 , 816 , 0x1L, 1L, 1L, 0L },
{  568 , 848 , 0x1L, 1L, 1L, 0L },
{  520 , 872 , 0x1L, 1L, 1L, 0L },
{  480 , 896 , 0x1L, 1L, 1L, 0L },
{  432 , 920 , 0x1L, 1L, 1L, 0L },
{  384 , 944 , 0x1L, 1L, 1L, 0L },
{  344 , 960 , 0x1L, 1L, 1L, 0L },
{  296 , 976 , 0x1L, 1L, 1L, 0L },
{  248 , 992 , 0x1L, 1L, 1L, 0L },
{  192 , 1000, 0x1L, 1L, 1L, 0L },
{  144 , 1008, 0x1L, 1L, 1L, 0L },
{  96  , 1016, 0x1L, 1L, 1L, 0L },
{  48  , 1016, 0x1L, 1L, 1L, 0L },
/* EasyCASE > */
/* EasyCASE - */
/* EasyCASE < */
                                 /* quadrant 2 dir. 0, speed 0 */
{ 0    , 1016 , 0x2L, 1L, 1L, 0L },    
{ 48   , 1016 , 0x2L, 1L, 1L, 0L },
{ 96   , 1016 , 0x2L, 1L, 1L, 0L },
{ 144  , 1008 , 0x2L, 1L, 1L, 0L },
{ 192  , 1000 , 0x2L, 1L, 1L, 0L },
{ 248  , 992  , 0x2L, 1L, 1L, 0L },
{ 296  , 976  , 0x2L, 1L, 1L, 0L },
{ 344  , 960  , 0x2L, 1L, 1L, 0L },
{ 384  , 944  , 0x2L, 1L, 1L, 0L },
{ 432  , 920  , 0x2L, 1L, 1L, 0L },
{ 480  , 896  , 0x2L, 1L, 1L, 0L },
{ 520  , 872  , 0x2L, 1L, 1L, 0L },
{ 568  , 848  , 0x2L, 1L, 1L, 0L },
{ 608  , 816  , 0x2L, 1L, 1L, 0L },
{ 648  , 784  , 0x2L, 1L, 1L, 0L },
{ 680  , 752  , 0x2L, 1L, 1L, 0L },
{ 720  , 720  , 0x2L, 1L, 1L, 0L },
{ 752  , 680  , 0x2L, 1L, 1L, 0L },
{ 784  , 648  , 0x2L, 1L, 1L, 0L },
{ 816  , 608  , 0x2L, 1L, 1L, 0L },
{ 848  , 568  , 0x2L, 1L, 1L, 0L },
{ 872  , 520  , 0x2L, 1L, 1L, 0L },
{ 896  , 480  , 0x2L, 1L, 1L, 0L },
{ 920  , 432  , 0x2L, 1L, 1L, 0L },
{ 944  , 384  , 0x2L, 1L, 1L, 0L },
{ 960  , 344  , 0x2L, 1L, 1L, 0L },
{ 976  , 296  , 0x2L, 1L, 1L, 0L },
{ 992  , 248  , 0x2L, 1L, 1L, 0L },
{ 1000 , 192  , 0x2L, 1L, 1L, 0L },
{ 1008 , 144  , 0x2L, 1L, 1L, 0L },
{ 1016 , 96   , 0x2L, 1L, 1L, 0L },
{ 1016 , 48   , 0x2L, 1L, 1L, 0L },
/* EasyCASE > */
/* EasyCASE - */
/* EasyCASE < */
                                 /* quadrant 3 dir. 0, speed 0 */
{ 1016 , 0    , 0x2L, 1L, 1L, 0L },    
{ 1016 , 48   , 0x3L, 1L, 1L, 0L },
{ 1016 , 96   , 0x3L, 1L, 1L, 0L },
{ 1008 , 144  , 0x3L, 1L, 1L, 0L },
{ 1000 , 192  , 0x3L, 1L, 1L, 0L },
{ 992  , 248  , 0x3L, 1L, 1L, 0L },
{ 976  , 296  , 0x3L, 1L, 1L, 0L },
{ 960  , 344  , 0x3L, 1L, 1L, 0L },
{ 944  , 384  , 0x3L, 1L, 1L, 0L },
{ 920  , 432  , 0x3L, 1L, 1L, 0L },
{ 896  , 480  , 0x3L, 1L, 1L, 0L },
{ 872  , 520  , 0x3L, 1L, 1L, 0L },
{ 848  , 568  , 0x3L, 1L, 1L, 0L },
{ 816  , 608  , 0x3L, 1L, 1L, 0L },
{ 784  , 648  , 0x3L, 1L, 1L, 0L },
{ 752  , 680  , 0x3L, 1L, 1L, 0L },
{ 720  , 720  , 0x3L, 1L, 1L, 0L },
{ 680  , 752  , 0x3L, 1L, 1L, 0L },
{ 648  , 784  , 0x3L, 1L, 1L, 0L },
{ 608  , 816  , 0x3L, 1L, 1L, 0L },
{ 568  , 848  , 0x3L, 1L, 1L, 0L },
{ 520  , 872  , 0x3L, 1L, 1L, 0L },
{ 480  , 896  , 0x3L, 1L, 1L, 0L },
{ 432  , 920  , 0x3L, 1L, 1L, 0L },
{ 384  , 944  , 0x3L, 1L, 1L, 0L },
{ 344  , 960  , 0x3L, 1L, 1L, 0L },
{ 296  , 976  , 0x3L, 1L, 1L, 0L },
{ 248  , 992  , 0x3L, 1L, 1L, 0L },
{ 192  , 1000 , 0x3L, 1L, 1L, 0L },
{ 144  , 1008 , 0x3L, 1L, 1L, 0L },
{ 96   , 1016 , 0x3L, 1L, 1L, 0L },
{ 48   , 1016 , 0x3L, 1L, 1L, 0L }},
/* EasyCASE > */
/* EasyCASE - */
/* EasyCASE < */
/* Normal EDUL table */          /* quadrant 0 dir. 1, speed 0 */
{{ 0   , 1016 , 0x0L, 1L, 1L, 0L },    
 { 48  , 1016 , 0x0L, 1L, 1L, 0L },
 { 96  , 1016 , 0x0L, 1L, 1L, 0L },
 { 144 , 1008 , 0x0L, 1L, 1L, 0L },
 { 192 , 1000 , 0x0L, 1L, 1L, 0L },
 { 248 , 992  , 0x0L, 1L, 1L, 0L },
 { 296 , 976  , 0x0L, 1L, 1L, 0L },
 { 344 , 960  , 0x0L, 1L, 1L, 0L },
 { 384 , 944  , 0x0L, 1L, 1L, 0L },
 { 432 , 920  , 0x0L, 1L, 1L, 0L },
 { 480 , 896  , 0x0L, 1L, 1L, 0L },
 { 520 , 872  , 0x0L, 1L, 1L, 0L },
 { 568 , 848  , 0x0L, 1L, 1L, 0L },
 { 608 , 816  , 0x0L, 1L, 1L, 0L },
 { 648 , 784  , 0x0L, 1L, 1L, 0L },
 { 680 , 752  , 0x0L, 1L, 1L, 0L },
 { 720 , 720  , 0x0L, 1L, 1L, 0L },
 { 752 , 680  , 0x0L, 1L, 1L, 0L },
 { 784 , 648  , 0x0L, 1L, 1L, 0L },
 { 816 , 608  , 0x0L, 1L, 1L, 0L },
 { 848 , 568  , 0x0L, 1L, 1L, 0L },
 { 872 , 520  , 0x0L, 1L, 1L, 0L },
 { 896 , 480  , 0x0L, 1L, 1L, 0L },
 { 920 , 432  , 0x0L, 1L, 1L, 0L },
 { 944 , 384  , 0x0L, 1L, 1L, 0L },
 { 960 , 344  , 0x0L, 1L, 1L, 0L },
 { 976 , 296  , 0x0L, 1L, 1L, 0L },
 { 992 , 248  , 0x0L, 1L, 1L, 0L },
 { 1000, 192  , 0x0L, 1L, 1L, 0L },
 { 1008, 144  , 0x0L, 1L, 1L, 0L },
 { 1016, 96   , 0x0L, 1L, 1L, 0L },
 { 1016, 48   , 0x0L, 1L, 1L, 0L },
/* EasyCASE > */
/* EasyCASE - */
/* EasyCASE < */
                                /* quadrant 1 dir. 1, speed 0 */
{ 1016 , 0   , 0x0L, 1L, 1L, 0L },    
{ 1016 , 48  , 0x1L, 1L, 1L, 0L },
{ 1016 , 96  , 0x1L, 1L, 1L, 0L },
{ 1008 , 144 , 0x1L, 1L, 1L, 0L },
{ 1000 , 192 , 0x1L, 1L, 1L, 0L },
{  992 , 248 , 0x1L, 1L, 1L, 0L },
{  976 , 296 , 0x1L, 1L, 1L, 0L },
{  960 , 344 , 0x1L, 1L, 1L, 0L },
{  944 , 384 , 0x1L, 1L, 1L, 0L },
{  920 , 432 , 0x1L, 1L, 1L, 0L },
{  896 , 480 , 0x1L, 1L, 1L, 0L },
{  872 , 520 , 0x1L, 1L, 1L, 0L },
{  848 , 568 , 0x1L, 1L, 1L, 0L },
{  816 , 608 , 0x1L, 1L, 1L, 0L },
{  784 , 648 , 0x1L, 1L, 1L, 0L },
{  752 , 680 , 0x1L, 1L, 1L, 0L },
{  720 , 720 , 0x1L, 1L, 1L, 0L },
{  680 , 752 , 0x1L, 1L, 1L, 0L },
{  648 , 784 , 0x1L, 1L, 1L, 0L },
{  608 , 816 , 0x1L, 1L, 1L, 0L },
{  568 , 848 , 0x1L, 1L, 1L, 0L },
{  520 , 872 , 0x1L, 1L, 1L, 0L },
{  480 , 896 , 0x1L, 1L, 1L, 0L },
{  432 , 920 , 0x1L, 1L, 1L, 0L },
{  384 , 944 , 0x1L, 1L, 1L, 0L },
{  344 , 960 , 0x1L, 1L, 1L, 0L },
{  296 , 976 , 0x1L, 1L, 1L, 0L },
{  248 , 992 , 0x1L, 1L, 1L, 0L },
{  192 , 1000, 0x1L, 1L, 1L, 0L },
{  144 , 1008, 0x1L, 1L, 1L, 0L },
{  96  , 1016, 0x1L, 1L, 1L, 0L },
{  48  , 1016, 0x1L, 1L, 1L, 0L },
/* EasyCASE > */
/* EasyCASE - */
/* EasyCASE < */
                                 /* quadrant 2 dir. 1, speed 0 */
{ 0    , 1016 , 0x2L, 1L, 1L, 0L },    
{ 48   , 1016 , 0x2L, 1L, 1L, 0L },
{ 96   , 1016 , 0x2L, 1L, 1L, 0L },
{ 144  , 1008 , 0x2L, 1L, 1L, 0L },
{ 192  , 1000 , 0x2L, 1L, 1L, 0L },
{ 248  , 992  , 0x2L, 1L, 1L, 0L },
{ 296  , 976  , 0x2L, 1L, 1L, 0L },
{ 344  , 960  , 0x2L, 1L, 1L, 0L },
{ 384  , 944  , 0x2L, 1L, 1L, 0L },
{ 432  , 920  , 0x2L, 1L, 1L, 0L },
{ 480  , 896  , 0x2L, 1L, 1L, 0L },
{ 520  , 872  , 0x2L, 1L, 1L, 0L },
{ 568  , 848  , 0x2L, 1L, 1L, 0L },
{ 608  , 816  , 0x2L, 1L, 1L, 0L },
{ 648  , 784  , 0x2L, 1L, 1L, 0L },
{ 680  , 752  , 0x2L, 1L, 1L, 0L },
{ 720  , 720  , 0x2L, 1L, 1L, 0L },
{ 752  , 680  , 0x2L, 1L, 1L, 0L },
{ 784  , 648  , 0x2L, 1L, 1L, 0L },
{ 816  , 608  , 0x2L, 1L, 1L, 0L },
{ 848  , 568  , 0x2L, 1L, 1L, 0L },
{ 872  , 520  , 0x2L, 1L, 1L, 0L },
{ 896  , 480  , 0x2L, 1L, 1L, 0L },
{ 920  , 432  , 0x2L, 1L, 1L, 0L },
{ 944  , 384  , 0x2L, 1L, 1L, 0L },
{ 960  , 344  , 0x2L, 1L, 1L, 0L },
{ 976  , 296  , 0x2L, 1L, 1L, 0L },
{ 992  , 248  , 0x2L, 1L, 1L, 0L },
{ 1000 , 192  , 0x2L, 1L, 1L, 0L },
{ 1008 , 144  , 0x2L, 1L, 1L, 0L },
{ 1016 , 96   , 0x2L, 1L, 1L, 0L },
{ 1016 , 48   , 0x2L, 1L, 1L, 0L },
/* EasyCASE > */
/* EasyCASE - */
/* EasyCASE < */
                                 /* quadrant 3 dir. 1, speed 0 */
{ 1016 , 0    , 0x2L, 1L, 1L, 0L },    
{ 1016 , 48   , 0x3L, 1L, 1L, 0L },
{ 1016 , 96   , 0x3L, 1L, 1L, 0L },
{ 1008 , 144  , 0x3L, 1L, 1L, 0L },
{ 1000 , 192  , 0x3L, 1L, 1L, 0L },
{ 992  , 248  , 0x3L, 1L, 1L, 0L },
{ 976  , 296  , 0x3L, 1L, 1L, 0L },
{ 960  , 344  , 0x3L, 1L, 1L, 0L },
{ 944  , 384  , 0x3L, 1L, 1L, 0L },
{ 920  , 432  , 0x3L, 1L, 1L, 0L },
{ 896  , 480  , 0x3L, 1L, 1L, 0L },
{ 872  , 520  , 0x3L, 1L, 1L, 0L },
{ 848  , 568  , 0x3L, 1L, 1L, 0L },
{ 816  , 608  , 0x3L, 1L, 1L, 0L },
{ 784  , 648  , 0x3L, 1L, 1L, 0L },
{ 752  , 680  , 0x3L, 1L, 1L, 0L },
{ 720  , 720  , 0x3L, 1L, 1L, 0L },
{ 680  , 752  , 0x3L, 1L, 1L, 0L },
{ 648  , 784  , 0x3L, 1L, 1L, 0L },
{ 608  , 816  , 0x3L, 1L, 1L, 0L },
{ 568  , 848  , 0x3L, 1L, 1L, 0L },
{ 520  , 872  , 0x3L, 1L, 1L, 0L },
{ 480  , 896  , 0x3L, 1L, 1L, 0L },
{ 432  , 920  , 0x3L, 1L, 1L, 0L },
{ 384  , 944  , 0x3L, 1L, 1L, 0L },
{ 344  , 960  , 0x3L, 1L, 1L, 0L },
{ 296  , 976  , 0x3L, 1L, 1L, 0L },
{ 248  , 992  , 0x3L, 1L, 1L, 0L },
{ 192  , 1000 , 0x3L, 1L, 1L, 0L },
{ 144  , 1008 , 0x3L, 1L, 1L, 0L },
{ 96   , 1016 , 0x3L, 1L, 1L, 0L },
{ 48   , 1016 , 0x3L, 1L, 1L, 0L }}},
/* EasyCASE > */
/* EasyCASE - */
/* EasyCASE < */
/* Special MUL table */          /* quadrant 0 dir. 0, speed 1 */
{{{ 0   , 1016 , 0x0L, 1L, 1L, 0L },    
 { 48  , 1016 , 0x0L, 1L, 1L, 0L },
 { 96  , 1016 , 0x0L, 1L, 1L, 0L },
 { 144 , 1008 , 0x0L, 1L, 1L, 0L },
 { 192 , 1000 , 0x0L, 1L, 1L, 0L },
 { 248 , 992  , 0x0L, 1L, 1L, 0L },
 { 296 , 976  , 0x0L, 1L, 1L, 0L },
 { 344 , 960  , 0x0L, 1L, 1L, 0L },
 { 384 , 944  , 0x0L, 1L, 1L, 0L },
 { 432 , 920  , 0x0L, 1L, 1L, 0L },
 { 480 , 896  , 0x0L, 1L, 1L, 0L },
 { 520 , 872  , 0x0L, 1L, 1L, 0L },
 { 568 , 848  , 0x0L, 1L, 1L, 0L },
 { 608 , 816  , 0x0L, 1L, 1L, 0L },
 { 648 , 784  , 0x0L, 1L, 1L, 0L },
 { 680 , 752  , 0x0L, 1L, 1L, 0L },
 { 720 , 720  , 0x0L, 1L, 1L, 0L },
 { 752 , 680  , 0x0L, 1L, 1L, 0L },
 { 784 , 648  , 0x0L, 1L, 1L, 0L },
 { 816 , 608  , 0x0L, 1L, 1L, 0L },
 { 848 , 568  , 0x0L, 1L, 1L, 0L },
 { 872 , 520  , 0x0L, 1L, 1L, 0L },
 { 896 , 480  , 0x0L, 1L, 1L, 0L },
 { 920 , 432  , 0x0L, 1L, 1L, 0L },
 { 944 , 384  , 0x0L, 1L, 1L, 0L },
 { 960 , 344  , 0x0L, 1L, 1L, 0L },
 { 976 , 296  , 0x0L, 1L, 1L, 0L },
 { 992 , 248  , 0x0L, 1L, 1L, 0L },
 { 1000, 192  , 0x0L, 1L, 1L, 0L },
 { 1008, 144  , 0x0L, 1L, 1L, 0L },
 { 1016, 96   , 0x0L, 1L, 1L, 0L },
 { 1016, 48   , 0x0L, 1L, 1L, 0L },
/* EasyCASE > */
/* EasyCASE - */
/* EasyCASE < */
                                /* quadrant 1 dir. 0, speed 1 */
{ 1016 , 0   , 0x0L, 1L, 1L, 0L },    
{ 1016 , 48  , 0x1L, 1L, 1L, 0L },
{ 1016 , 96  , 0x1L, 1L, 1L, 0L },
{ 1008 , 144 , 0x1L, 1L, 1L, 0L },
{ 1000 , 192 , 0x1L, 1L, 1L, 0L },
{  992 , 248 , 0x1L, 1L, 1L, 0L },
{  976 , 296 , 0x1L, 1L, 1L, 0L },
{  960 , 344 , 0x1L, 1L, 1L, 0L },
{  944 , 384 , 0x1L, 1L, 1L, 0L },
{  920 , 432 , 0x1L, 1L, 1L, 0L },
{  896 , 480 , 0x1L, 1L, 1L, 0L },
{  872 , 520 , 0x1L, 1L, 1L, 0L },
{  848 , 568 , 0x1L, 1L, 1L, 0L },
{  816 , 608 , 0x1L, 1L, 1L, 0L },
{  784 , 648 , 0x1L, 1L, 1L, 0L },
{  752 , 680 , 0x1L, 1L, 1L, 0L },
{  720 , 720 , 0x1L, 1L, 1L, 0L },
{  680 , 752 , 0x1L, 1L, 1L, 0L },
{  648 , 784 , 0x1L, 1L, 1L, 0L },
{  608 , 816 , 0x1L, 1L, 1L, 0L },
{  568 , 848 , 0x1L, 1L, 1L, 0L },
{  520 , 872 , 0x1L, 1L, 1L, 0L },
{  480 , 896 , 0x1L, 1L, 1L, 0L },
{  432 , 920 , 0x1L, 1L, 1L, 0L },
{  384 , 944 , 0x1L, 1L, 1L, 0L },
{  344 , 960 , 0x1L, 1L, 1L, 0L },
{  296 , 976 , 0x1L, 1L, 1L, 0L },
{  248 , 992 , 0x1L, 1L, 1L, 0L },
{  192 , 1000, 0x1L, 1L, 1L, 0L },
{  144 , 1008, 0x1L, 1L, 1L, 0L },
{  96  , 1016, 0x1L, 1L, 1L, 0L },
{  48  , 1016, 0x1L, 1L, 1L, 0L },
/* EasyCASE > */
/* EasyCASE - */
/* EasyCASE < */
                                 /* quadrant 2 dir. 0, speed 1 */
{ 0    , 1016 , 0x2L, 1L, 1L, 0L },    
{ 48   , 1016 , 0x2L, 1L, 1L, 0L },
{ 96   , 1016 , 0x2L, 1L, 1L, 0L },
{ 144  , 1008 , 0x2L, 1L, 1L, 0L },
{ 192  , 1000 , 0x2L, 1L, 1L, 0L },
{ 248  , 992  , 0x2L, 1L, 1L, 0L },
{ 296  , 976  , 0x2L, 1L, 1L, 0L },
{ 344  , 960  , 0x2L, 1L, 1L, 0L },
{ 384  , 944  , 0x2L, 1L, 1L, 0L },
{ 432  , 920  , 0x2L, 1L, 1L, 0L },
{ 480  , 896  , 0x2L, 1L, 1L, 0L },
{ 520  , 872  , 0x2L, 1L, 1L, 0L },
{ 568  , 848  , 0x2L, 1L, 1L, 0L },
{ 608  , 816  , 0x2L, 1L, 1L, 0L },
{ 648  , 784  , 0x2L, 1L, 1L, 0L },
{ 680  , 752  , 0x2L, 1L, 1L, 0L },
{ 720  , 720  , 0x2L, 1L, 1L, 0L },
{ 752  , 680  , 0x2L, 1L, 1L, 0L },
{ 784  , 648  , 0x2L, 1L, 1L, 0L },
{ 816  , 608  , 0x2L, 1L, 1L, 0L },
{ 848  , 568  , 0x2L, 1L, 1L, 0L },
{ 872  , 520  , 0x2L, 1L, 1L, 0L },
{ 896  , 480  , 0x2L, 1L, 1L, 0L },
{ 920  , 432  , 0x2L, 1L, 1L, 0L },
{ 944  , 384  , 0x2L, 1L, 1L, 0L },
{ 960  , 344  , 0x2L, 1L, 1L, 0L },
{ 976  , 296  , 0x2L, 1L, 1L, 0L },
{ 992  , 248  , 0x2L, 1L, 1L, 0L },
{ 1000 , 192  , 0x2L, 1L, 1L, 0L },
{ 1008 , 144  , 0x2L, 1L, 1L, 0L },
{ 1016 , 96   , 0x2L, 1L, 1L, 0L },
{ 1016 , 48   , 0x2L, 1L, 1L, 0L },
/* EasyCASE > */
/* EasyCASE - */
/* EasyCASE < */
                                 /* quadrant 3 dir. 0, speed 1 */
{ 1016 , 0    , 0x2L, 1L, 1L, 0L },    
{ 1016 , 48   , 0x3L, 1L, 1L, 0L },
{ 1016 , 96   , 0x3L, 1L, 1L, 0L },
{ 1008 , 144  , 0x3L, 1L, 1L, 0L },
{ 1000 , 192  , 0x3L, 1L, 1L, 0L },
{ 992  , 248  , 0x3L, 1L, 1L, 0L },
{ 976  , 296  , 0x3L, 1L, 1L, 0L },
{ 960  , 344  , 0x3L, 1L, 1L, 0L },
{ 944  , 384  , 0x3L, 1L, 1L, 0L },
{ 920  , 432  , 0x3L, 1L, 1L, 0L },
{ 896  , 480  , 0x3L, 1L, 1L, 0L },
{ 872  , 520  , 0x3L, 1L, 1L, 0L },
{ 848  , 568  , 0x3L, 1L, 1L, 0L },
{ 816  , 608  , 0x3L, 1L, 1L, 0L },
{ 784  , 648  , 0x3L, 1L, 1L, 0L },
{ 752  , 680  , 0x3L, 1L, 1L, 0L },
{ 720  , 720  , 0x3L, 1L, 1L, 0L },
{ 680  , 752  , 0x3L, 1L, 1L, 0L },
{ 648  , 784  , 0x3L, 1L, 1L, 0L },
{ 608  , 816  , 0x3L, 1L, 1L, 0L },
{ 568  , 848  , 0x3L, 1L, 1L, 0L },
{ 520  , 872  , 0x3L, 1L, 1L, 0L },
{ 480  , 896  , 0x3L, 1L, 1L, 0L },
{ 432  , 920  , 0x3L, 1L, 1L, 0L },
{ 384  , 944  , 0x3L, 1L, 1L, 0L },
{ 344  , 960  , 0x3L, 1L, 1L, 0L },
{ 296  , 976  , 0x3L, 1L, 1L, 0L },
{ 248  , 992  , 0x3L, 1L, 1L, 0L },
{ 192  , 1000 , 0x3L, 1L, 1L, 0L },
{ 144  , 1008 , 0x3L, 1L, 1L, 0L },
{ 96   , 1016 , 0x3L, 1L, 1L, 0L },
{ 48   , 1016 , 0x3L, 1L, 1L, 0L }},
/* EasyCASE > */
/* EasyCASE - */
/* EasyCASE < */
/* Special EDUL table */          /* quadrant 0 dir. 0, speed 1 */
{{ 0   , 1016 , 0x0L, 1L, 1L, 0L },    
 { 48  , 1016 , 0x0L, 1L, 1L, 0L },
 { 96  , 1016 , 0x0L, 1L, 1L, 0L },
 { 144 , 1008 , 0x0L, 1L, 1L, 0L },
 { 192 , 1000 , 0x0L, 1L, 1L, 0L },
 { 248 , 992  , 0x0L, 1L, 1L, 0L },
 { 296 , 976  , 0x0L, 1L, 1L, 0L },
 { 344 , 960  , 0x0L, 1L, 1L, 0L },
 { 384 , 944  , 0x0L, 1L, 1L, 0L },
 { 432 , 920  , 0x0L, 1L, 1L, 0L },
 { 480 , 896  , 0x0L, 1L, 1L, 0L },
 { 520 , 872  , 0x0L, 1L, 1L, 0L },
 { 568 , 848  , 0x0L, 1L, 1L, 0L },
 { 608 , 816  , 0x0L, 1L, 1L, 0L },
 { 648 , 784  , 0x0L, 1L, 1L, 0L },
 { 680 , 752  , 0x0L, 1L, 1L, 0L },
 { 720 , 720  , 0x0L, 1L, 1L, 0L },
 { 752 , 680  , 0x0L, 1L, 1L, 0L },
 { 784 , 648  , 0x0L, 1L, 1L, 0L },
 { 816 , 608  , 0x0L, 1L, 1L, 0L },
 { 848 , 568  , 0x0L, 1L, 1L, 0L },
 { 872 , 520  , 0x0L, 1L, 1L, 0L },
 { 896 , 480  , 0x0L, 1L, 1L, 0L },
 { 920 , 432  , 0x0L, 1L, 1L, 0L },
 { 944 , 384  , 0x0L, 1L, 1L, 0L },
 { 960 , 344  , 0x0L, 1L, 1L, 0L },
 { 976 , 296  , 0x0L, 1L, 1L, 0L },
 { 992 , 248  , 0x0L, 1L, 1L, 0L },
 { 1000, 192  , 0x0L, 1L, 1L, 0L },
 { 1008, 144  , 0x0L, 1L, 1L, 0L },
 { 1016, 96   , 0x0L, 1L, 1L, 0L },
 { 1016, 48   , 0x0L, 1L, 1L, 0L },
/* EasyCASE > */
/* EasyCASE - */
/* EasyCASE < */
                                /* quadrant 1 dir. 1, speed 1 */
{ 1016 , 0   , 0x0L, 1L, 1L, 0L },    
{ 1016 , 48  , 0x1L, 1L, 1L, 0L },
{ 1016 , 96  , 0x1L, 1L, 1L, 0L },
{ 1008 , 144 , 0x1L, 1L, 1L, 0L },
{ 1000 , 192 , 0x1L, 1L, 1L, 0L },
{  992 , 248 , 0x1L, 1L, 1L, 0L },
{  976 , 296 , 0x1L, 1L, 1L, 0L },
{  960 , 344 , 0x1L, 1L, 1L, 0L },
{  944 , 384 , 0x1L, 1L, 1L, 0L },
{  920 , 432 , 0x1L, 1L, 1L, 0L },
{  896 , 480 , 0x1L, 1L, 1L, 0L },
{  872 , 520 , 0x1L, 1L, 1L, 0L },
{  848 , 568 , 0x1L, 1L, 1L, 0L },
{  816 , 608 , 0x1L, 1L, 1L, 0L },
{  784 , 648 , 0x1L, 1L, 1L, 0L },
{  752 , 680 , 0x1L, 1L, 1L, 0L },
{  720 , 720 , 0x1L, 1L, 1L, 0L },
{  680 , 752 , 0x1L, 1L, 1L, 0L },
{  648 , 784 , 0x1L, 1L, 1L, 0L },
{  608 , 816 , 0x1L, 1L, 1L, 0L },
{  568 , 848 , 0x1L, 1L, 1L, 0L },
{  520 , 872 , 0x1L, 1L, 1L, 0L },
{  480 , 896 , 0x1L, 1L, 1L, 0L },
{  432 , 920 , 0x1L, 1L, 1L, 0L },
{  384 , 944 , 0x1L, 1L, 1L, 0L },
{  344 , 960 , 0x1L, 1L, 1L, 0L },
{  296 , 976 , 0x1L, 1L, 1L, 0L },
{  248 , 992 , 0x1L, 1L, 1L, 0L },
{  192 , 1000, 0x1L, 1L, 1L, 0L },
{  144 , 1008, 0x1L, 1L, 1L, 0L },
{  96  , 1016, 0x1L, 1L, 1L, 0L },
{  48  , 1016, 0x1L, 1L, 1L, 0L },
/* EasyCASE > */
/* EasyCASE - */
/* EasyCASE < */
                                 /* quadrant 2 dir. 1, speed 1 */
{ 0    , 1016 , 0x2L, 1L, 1L, 0L },    
{ 48   , 1016 , 0x2L, 1L, 1L, 0L },
{ 96   , 1016 , 0x2L, 1L, 1L, 0L },
{ 144  , 1008 , 0x2L, 1L, 1L, 0L },
{ 192  , 1000 , 0x2L, 1L, 1L, 0L },
{ 248  , 992  , 0x2L, 1L, 1L, 0L },
{ 296  , 976  , 0x2L, 1L, 1L, 0L },
{ 344  , 960  , 0x2L, 1L, 1L, 0L },
{ 384  , 944  , 0x2L, 1L, 1L, 0L },
{ 432  , 920  , 0x2L, 1L, 1L, 0L },
{ 480  , 896  , 0x2L, 1L, 1L, 0L },
{ 520  , 872  , 0x2L, 1L, 1L, 0L },
{ 568  , 848  , 0x2L, 1L, 1L, 0L },
{ 608  , 816  , 0x2L, 1L, 1L, 0L },
{ 648  , 784  , 0x2L, 1L, 1L, 0L },
{ 680  , 752  , 0x2L, 1L, 1L, 0L },
{ 720  , 720  , 0x2L, 1L, 1L, 0L },
{ 752  , 680  , 0x2L, 1L, 1L, 0L },
{ 784  , 648  , 0x2L, 1L, 1L, 0L },
{ 816  , 608  , 0x2L, 1L, 1L, 0L },
{ 848  , 568  , 0x2L, 1L, 1L, 0L },
{ 872  , 520  , 0x2L, 1L, 1L, 0L },
{ 896  , 480  , 0x2L, 1L, 1L, 0L },
{ 920  , 432  , 0x2L, 1L, 1L, 0L },
{ 944  , 384  , 0x2L, 1L, 1L, 0L },
{ 960  , 344  , 0x2L, 1L, 1L, 0L },
{ 976  , 296  , 0x2L, 1L, 1L, 0L },
{ 992  , 248  , 0x2L, 1L, 1L, 0L },
{ 1000 , 192  , 0x2L, 1L, 1L, 0L },
{ 1008 , 144  , 0x2L, 1L, 1L, 0L },
{ 1016 , 96   , 0x2L, 1L, 1L, 0L },
{ 1016 , 48   , 0x2L, 1L, 1L, 0L },
/* EasyCASE > */
/* EasyCASE - */
/* EasyCASE < */
                                 /* quadrant 3 dir. 1, speed 1 */
{ 1016 , 0    , 0x2L, 1L, 1L, 0L },    
{ 1016 , 48   , 0x3L, 1L, 1L, 0L },
{ 1016 , 96   , 0x3L, 1L, 1L, 0L },
{ 1008 , 144  , 0x3L, 1L, 1L, 0L },
{ 1000 , 192  , 0x3L, 1L, 1L, 0L },
{ 992  , 248  , 0x3L, 1L, 1L, 0L },
{ 976  , 296  , 0x3L, 1L, 1L, 0L },
{ 960  , 344  , 0x3L, 1L, 1L, 0L },
{ 944  , 384  , 0x3L, 1L, 1L, 0L },
{ 920  , 432  , 0x3L, 1L, 1L, 0L },
{ 896  , 480  , 0x3L, 1L, 1L, 0L },
{ 872  , 520  , 0x3L, 1L, 1L, 0L },
{ 848  , 568  , 0x3L, 1L, 1L, 0L },
{ 816  , 608  , 0x3L, 1L, 1L, 0L },
{ 784  , 648  , 0x3L, 1L, 1L, 0L },
{ 752  , 680  , 0x3L, 1L, 1L, 0L },
{ 720  , 720  , 0x3L, 1L, 1L, 0L },
{ 680  , 752  , 0x3L, 1L, 1L, 0L },
{ 648  , 784  , 0x3L, 1L, 1L, 0L },
{ 608  , 816  , 0x3L, 1L, 1L, 0L },
{ 568  , 848  , 0x3L, 1L, 1L, 0L },
{ 520  , 872  , 0x3L, 1L, 1L, 0L },
{ 480  , 896  , 0x3L, 1L, 1L, 0L },
{ 432  , 920  , 0x3L, 1L, 1L, 0L },
{ 384  , 944  , 0x3L, 1L, 1L, 0L },
{ 344  , 960  , 0x3L, 1L, 1L, 0L },
{ 296  , 976  , 0x3L, 1L, 1L, 0L },
{ 248  , 992  , 0x3L, 1L, 1L, 0L },
{ 192  , 1000 , 0x3L, 1L, 1L, 0L },
{ 144  , 1008 , 0x3L, 1L, 1L, 0L },
{ 96   , 1016 , 0x3L, 1L, 1L, 0L },
{ 48   , 1016 , 0x3L, 1L, 1L, 0L }}}}
};
/* EasyCASE > */
/* EasyCASE ) */
/* EasyCASE ( 1400
   SM2/3 used as CCW(EDUL) */
/* EasyCASE < */
const struct SMIA_ISM_PWMStd SMIA_ISM_A_STDPWMTABLE3_EDUL = {
/*  CVP    CHP   CQI   IVR IHR */
/* Normal table for CCW movement */          
{{{                              /* quadrant 0 dir. 0, speed 0 */
 { 48  , 1016 , 0x0L, 1L, 1L, 0L },
 { 96  , 1016 , 0x0L, 1L, 1L, 0L },
 { 144 , 1008 , 0x0L, 1L, 1L, 0L },
 { 192 , 1000 , 0x0L, 1L, 1L, 0L },
 { 248 , 992  , 0x0L, 1L, 1L, 0L },
 { 296 , 976  , 0x0L, 1L, 1L, 0L },
 { 344 , 960  , 0x0L, 1L, 1L, 0L },
 { 384 , 944  , 0x0L, 1L, 1L, 0L },
 { 432 , 920  , 0x0L, 1L, 1L, 0L },
 { 480 , 896  , 0x0L, 1L, 1L, 0L },
 { 520 , 872  , 0x0L, 1L, 1L, 0L },
 { 568 , 848  , 0x0L, 1L, 1L, 0L },
 { 608 , 816  , 0x0L, 1L, 1L, 0L },
 { 648 , 784  , 0x0L, 1L, 1L, 0L },
 { 680 , 752  , 0x0L, 1L, 1L, 0L },
 { 720 , 720  , 0x0L, 1L, 1L, 0L },
 { 752 , 680  , 0x0L, 1L, 1L, 0L },
 { 784 , 648  , 0x0L, 1L, 1L, 0L },
 { 816 , 608  , 0x0L, 1L, 1L, 0L },
 { 848 , 568  , 0x0L, 1L, 1L, 0L },
 { 872 , 520  , 0x0L, 1L, 1L, 0L },
 { 896 , 480  , 0x0L, 1L, 1L, 0L },
 { 920 , 432  , 0x0L, 1L, 1L, 0L },
 { 944 , 384  , 0x0L, 1L, 1L, 0L },
 { 960 , 344  , 0x0L, 1L, 1L, 0L },
 { 976 , 296  , 0x0L, 1L, 1L, 0L },
 { 992 , 248  , 0x0L, 1L, 1L, 0L },
 { 1000, 192  , 0x0L, 1L, 1L, 0L },
 { 1008, 144  , 0x0L, 1L, 1L, 0L },
 { 1016, 96   , 0x0L, 1L, 1L, 0L },
 { 1016, 48   , 0x0L, 1L, 1L, 0L }, 
 { 1016 , 0   , 0x1L, 1L, 1L, 0L },
/* EasyCASE > */
/* EasyCASE - */
/* EasyCASE < */
                                 /* quadrant 1 dir. 0, speed 0 */  
{ 1016 , 48   , 0x1L, 1L, 1L, 0L },
{ 1016 , 96   , 0x1L, 1L, 1L, 0L },
{ 1008 , 144  , 0x1L, 1L, 1L, 0L },
{ 1000 , 192  , 0x1L, 1L, 1L, 0L },
{ 992  , 248  , 0x1L, 1L, 1L, 0L },
{ 976  , 296  , 0x1L, 1L, 1L, 0L },
{ 960  , 344  , 0x1L, 1L, 1L, 0L },
{ 944  , 384  , 0x1L, 1L, 1L, 0L },
{ 920  , 432  , 0x1L, 1L, 1L, 0L },
{ 896  , 480  , 0x1L, 1L, 1L, 0L },
{ 872  , 520  , 0x1L, 1L, 1L, 0L },
{ 848  , 568  , 0x1L, 1L, 1L, 0L },
{ 816  , 608  , 0x1L, 1L, 1L, 0L },
{ 784  , 648  , 0x1L, 1L, 1L, 0L },
{ 752  , 680  , 0x1L, 1L, 1L, 0L },
{ 720  , 720  , 0x1L, 1L, 1L, 0L },
{ 680  , 752  , 0x1L, 1L, 1L, 0L },
{ 648  , 784  , 0x1L, 1L, 1L, 0L },
{ 608  , 816  , 0x1L, 1L, 1L, 0L },
{ 568  , 848  , 0x1L, 1L, 1L, 0L },
{ 520  , 872  , 0x1L, 1L, 1L, 0L },
{ 480  , 896  , 0x1L, 1L, 1L, 0L },
{ 432  , 920  , 0x1L, 1L, 1L, 0L },
{ 384  , 944  , 0x1L, 1L, 1L, 0L },
{ 344  , 960  , 0x1L, 1L, 1L, 0L },
{ 296  , 976  , 0x1L, 1L, 1L, 0L },
{ 248  , 992  , 0x1L, 1L, 1L, 0L },
{ 192  , 1000 , 0x1L, 1L, 1L, 0L },
{ 144  , 1008 , 0x1L, 1L, 1L, 0L },
{ 96   , 1016 , 0x1L, 1L, 1L, 0L },
{ 48   , 1016 , 0x1L, 1L, 1L, 0L },
{ 0    , 1016 , 0x1L, 1L, 1L, 0L },
/* EasyCASE > */
/* EasyCASE - */
/* EasyCASE < */
                               /* quadrant 2 dir. 0, speed 0 */
{ 48  , 1016 , 0x2L, 1L, 1L, 0L },
{ 96  , 1016 , 0x2L, 1L, 1L, 0L },
{ 144 , 1008 , 0x2L, 1L, 1L, 0L },
{ 192 , 1000 , 0x2L, 1L, 1L, 0L },
{ 248 , 992  , 0x2L, 1L, 1L, 0L },
{ 296 , 976  , 0x2L, 1L, 1L, 0L },
{ 344 , 960  , 0x2L, 1L, 1L, 0L },
{ 384 , 944  , 0x2L, 1L, 1L, 0L },
{ 432 , 920  , 0x2L, 1L, 1L, 0L },
{ 480 , 896  , 0x2L, 1L, 1L, 0L },
{ 520 , 872  , 0x2L, 1L, 1L, 0L },
{ 568 , 848  , 0x2L, 1L, 1L, 0L },
{ 608 , 816  , 0x2L, 1L, 1L, 0L },
{ 648 , 784  , 0x2L, 1L, 1L, 0L },
{ 680 , 752  , 0x2L, 1L, 1L, 0L },
{ 720 , 720  , 0x2L, 1L, 1L, 0L },
{ 752 , 680  , 0x2L, 1L, 1L, 0L },
{ 784 , 648  , 0x2L, 1L, 1L, 0L },
{ 816 , 608  , 0x2L, 1L, 1L, 0L },
{ 848 , 568  , 0x2L, 1L, 1L, 0L },
{ 872 , 520  , 0x2L, 1L, 1L, 0L },
{ 896 , 480  , 0x2L, 1L, 1L, 0L },
{ 920 , 432  , 0x2L, 1L, 1L, 0L },
{ 944 , 384  , 0x2L, 1L, 1L, 0L },
{ 960 , 344  , 0x2L, 1L, 1L, 0L },
{ 976 , 296  , 0x2L, 1L, 1L, 0L },
{ 992 , 248  , 0x2L, 1L, 1L, 0L },
{ 1000, 192  , 0x2L, 1L, 1L, 0L },
{ 1008, 144  , 0x2L, 1L, 1L, 0L },
{ 1016, 96   , 0x2L, 1L, 1L, 0L },
{ 1016, 48   , 0x2L, 1L, 1L, 0L },
{ 1016 , 0   , 0x3L, 1L, 1L, 0L },
/* EasyCASE > */
/* EasyCASE - */
/* EasyCASE < */
                                 /* quadrant 3 dir. 0, speed 0 */  
{ 1016 , 48   , 0x3L, 1L, 1L, 0L },
{ 1016 , 96   , 0x3L, 1L, 1L, 0L },
{ 1008 , 144  , 0x3L, 1L, 1L, 0L },
{ 1000 , 192  , 0x3L, 1L, 1L, 0L },
{ 992  , 248  , 0x3L, 1L, 1L, 0L },
{ 976  , 296  , 0x3L, 1L, 1L, 0L },
{ 960  , 344  , 0x3L, 1L, 1L, 0L },
{ 944  , 384  , 0x3L, 1L, 1L, 0L },
{ 920  , 432  , 0x3L, 1L, 1L, 0L },
{ 896  , 480  , 0x3L, 1L, 1L, 0L },
{ 872  , 520  , 0x3L, 1L, 1L, 0L },
{ 848  , 568  , 0x3L, 1L, 1L, 0L },
{ 816  , 608  , 0x3L, 1L, 1L, 0L },
{ 784  , 648  , 0x3L, 1L, 1L, 0L },
{ 752  , 680  , 0x3L, 1L, 1L, 0L },
{ 720  , 720  , 0x3L, 1L, 1L, 0L },
{ 680  , 752  , 0x3L, 1L, 1L, 0L },
{ 648  , 784  , 0x3L, 1L, 1L, 0L },
{ 608  , 816  , 0x3L, 1L, 1L, 0L },
{ 568  , 848  , 0x3L, 1L, 1L, 0L },
{ 520  , 872  , 0x3L, 1L, 1L, 0L },
{ 480  , 896  , 0x3L, 1L, 1L, 0L },
{ 432  , 920  , 0x3L, 1L, 1L, 0L },
{ 384  , 944  , 0x3L, 1L, 1L, 0L },
{ 344  , 960  , 0x3L, 1L, 1L, 0L },
{ 296  , 976  , 0x3L, 1L, 1L, 0L },
{ 248  , 992  , 0x3L, 1L, 1L, 0L },
{ 192  , 1000 , 0x3L, 1L, 1L, 0L },
{ 144  , 1008 , 0x3L, 1L, 1L, 0L },
{ 96   , 1016 , 0x3L, 1L, 1L, 0L },
{ 48   , 1016 , 0x3L, 1L, 1L, 0L },
{ 0    , 1016 , 0x3L, 1L, 1L, 0L }},
/* EasyCASE > */
/* EasyCASE - */
/* EasyCASE < */
/* Normal tables for CW movement */
                                 /* quadrant 0 dir. 1, speed 0 */ 
{{ 48  , 1016 , 0x0L, 1L, 1L, 0L },
 { 96  , 1016 , 0x0L, 1L, 1L, 0L },
 { 144 , 1008 , 0x0L, 1L, 1L, 0L },
 { 192 , 1000 , 0x0L, 1L, 1L, 0L },
 { 248 , 992  , 0x0L, 1L, 1L, 0L },
 { 296 , 976  , 0x0L, 1L, 1L, 0L },
 { 344 , 960  , 0x0L, 1L, 1L, 0L },
 { 384 , 944  , 0x0L, 1L, 1L, 0L },
 { 432 , 920  , 0x0L, 1L, 1L, 0L },
 { 480 , 896  , 0x0L, 1L, 1L, 0L },
 { 520 , 872  , 0x0L, 1L, 1L, 0L },
 { 568 , 848  , 0x0L, 1L, 1L, 0L },
 { 608 , 816  , 0x0L, 1L, 1L, 0L },
 { 648 , 784  , 0x0L, 1L, 1L, 0L },
 { 680 , 752  , 0x0L, 1L, 1L, 0L },
 { 720 , 720  , 0x0L, 1L, 1L, 0L },
 { 752 , 680  , 0x0L, 1L, 1L, 0L },
 { 784 , 648  , 0x0L, 1L, 1L, 0L },
 { 816 , 608  , 0x0L, 1L, 1L, 0L },
 { 848 , 568  , 0x0L, 1L, 1L, 0L },
 { 872 , 520  , 0x0L, 1L, 1L, 0L },
 { 896 , 480  , 0x0L, 1L, 1L, 0L },
 { 920 , 432  , 0x0L, 1L, 1L, 0L },
 { 944 , 384  , 0x0L, 1L, 1L, 0L },
 { 960 , 344  , 0x0L, 1L, 1L, 0L },
 { 976 , 296  , 0x0L, 1L, 1L, 0L },
 { 992 , 248  , 0x0L, 1L, 1L, 0L },
 { 1000, 192  , 0x0L, 1L, 1L, 0L },
 { 1008, 144  , 0x0L, 1L, 1L, 0L },
 { 1016, 96   , 0x0L, 1L, 1L, 0L },
 { 1016, 48   , 0x0L, 1L, 1L, 0L },
 { 1016 , 0   , 0x1L, 1L, 1L, 0L },
/* EasyCASE > */
/* EasyCASE - */
/* EasyCASE < */
                                 /* quadrant 1 dir. 1, speed 0 */  
{ 1016 , 48   , 0x1L, 1L, 1L, 0L },
{ 1016 , 96   , 0x1L, 1L, 1L, 0L },
{ 1008 , 144  , 0x1L, 1L, 1L, 0L },
{ 1000 , 192  , 0x1L, 1L, 1L, 0L },
{ 992  , 248  , 0x1L, 1L, 1L, 0L },
{ 976  , 296  , 0x1L, 1L, 1L, 0L },
{ 960  , 344  , 0x1L, 1L, 1L, 0L },
{ 944  , 384  , 0x1L, 1L, 1L, 0L },
{ 920  , 432  , 0x1L, 1L, 1L, 0L },
{ 896  , 480  , 0x1L, 1L, 1L, 0L },
{ 872  , 520  , 0x1L, 1L, 1L, 0L },
{ 848  , 568  , 0x1L, 1L, 1L, 0L },
{ 816  , 608  , 0x1L, 1L, 1L, 0L },
{ 784  , 648  , 0x1L, 1L, 1L, 0L },
{ 752  , 680  , 0x1L, 1L, 1L, 0L },
{ 720  , 720  , 0x1L, 1L, 1L, 0L },
{ 680  , 752  , 0x1L, 1L, 1L, 0L },
{ 648  , 784  , 0x1L, 1L, 1L, 0L },
{ 608  , 816  , 0x1L, 1L, 1L, 0L },
{ 568  , 848  , 0x1L, 1L, 1L, 0L },
{ 520  , 872  , 0x1L, 1L, 1L, 0L },
{ 480  , 896  , 0x1L, 1L, 1L, 0L },
{ 432  , 920  , 0x1L, 1L, 1L, 0L },
{ 384  , 944  , 0x1L, 1L, 1L, 0L },
{ 344  , 960  , 0x1L, 1L, 1L, 0L },
{ 296  , 976  , 0x1L, 1L, 1L, 0L },
{ 248  , 992  , 0x1L, 1L, 1L, 0L },
{ 192  , 1000 , 0x1L, 1L, 1L, 0L },
{ 144  , 1008 , 0x1L, 1L, 1L, 0L },
{ 96   , 1016 , 0x1L, 1L, 1L, 0L },
{ 48   , 1016 , 0x1L, 1L, 1L, 0L },
{ 0    , 1016 , 0x1L, 1L, 1L, 0L },
/* EasyCASE > */
/* EasyCASE - */
/* EasyCASE < */
                                /* quadrant 2 dir. 1, speed 0 */
{ 48  , 1016 , 0x2L, 1L, 1L, 0L },
{ 96  , 1016 , 0x2L, 1L, 1L, 0L },
{ 144 , 1008 , 0x2L, 1L, 1L, 0L },
{ 192 , 1000 , 0x2L, 1L, 1L, 0L },
{ 248 , 992  , 0x2L, 1L, 1L, 0L },
{ 296 , 976  , 0x2L, 1L, 1L, 0L },
{ 344 , 960  , 0x2L, 1L, 1L, 0L },
{ 384 , 944  , 0x2L, 1L, 1L, 0L },
{ 432 , 920  , 0x2L, 1L, 1L, 0L },
{ 480 , 896  , 0x2L, 1L, 1L, 0L },
{ 520 , 872  , 0x2L, 1L, 1L, 0L },
{ 568 , 848  , 0x2L, 1L, 1L, 0L },
{ 608 , 816  , 0x2L, 1L, 1L, 0L },
{ 648 , 784  , 0x2L, 1L, 1L, 0L },
{ 680 , 752  , 0x2L, 1L, 1L, 0L },
{ 720 , 720  , 0x2L, 1L, 1L, 0L },
{ 752 , 680  , 0x2L, 1L, 1L, 0L },
{ 784 , 648  , 0x2L, 1L, 1L, 0L },
{ 816 , 608  , 0x2L, 1L, 1L, 0L },
{ 848 , 568  , 0x2L, 1L, 1L, 0L },
{ 872 , 520  , 0x2L, 1L, 1L, 0L },
{ 896 , 480  , 0x2L, 1L, 1L, 0L },
{ 920 , 432  , 0x2L, 1L, 1L, 0L },
{ 944 , 384  , 0x2L, 1L, 1L, 0L },
{ 960 , 344  , 0x2L, 1L, 1L, 0L },
{ 976 , 296  , 0x2L, 1L, 1L, 0L },
{ 992 , 248  , 0x2L, 1L, 1L, 0L },
{ 1000, 192  , 0x2L, 1L, 1L, 0L },
{ 1008, 144  , 0x2L, 1L, 1L, 0L },
{ 1016, 96   , 0x2L, 1L, 1L, 0L },
{ 1016, 48   , 0x2L, 1L, 1L, 0L },
{ 1016 , 0   , 0x2L, 1L, 1L, 0L },
/* EasyCASE > */
/* EasyCASE - */
/* EasyCASE < */
                                 /* quadrant 3 dir. 1, speed 0 */  
{ 1016 , 48   , 0x3L, 1L, 1L, 0L },
{ 1016 , 96   , 0x3L, 1L, 1L, 0L },
{ 1008 , 144  , 0x3L, 1L, 1L, 0L },
{ 1000 , 192  , 0x3L, 1L, 1L, 0L },
{ 992  , 248  , 0x3L, 1L, 1L, 0L },
{ 976  , 296  , 0x3L, 1L, 1L, 0L },
{ 960  , 344  , 0x3L, 1L, 1L, 0L },
{ 944  , 384  , 0x3L, 1L, 1L, 0L },
{ 920  , 432  , 0x3L, 1L, 1L, 0L },
{ 896  , 480  , 0x3L, 1L, 1L, 0L },
{ 872  , 520  , 0x3L, 1L, 1L, 0L },
{ 848  , 568  , 0x3L, 1L, 1L, 0L },
{ 816  , 608  , 0x3L, 1L, 1L, 0L },
{ 784  , 648  , 0x3L, 1L, 1L, 0L },
{ 752  , 680  , 0x3L, 1L, 1L, 0L },
{ 720  , 720  , 0x3L, 1L, 1L, 0L },
{ 680  , 752  , 0x3L, 1L, 1L, 0L },
{ 648  , 784  , 0x3L, 1L, 1L, 0L },
{ 608  , 816  , 0x3L, 1L, 1L, 0L },
{ 568  , 848  , 0x3L, 1L, 1L, 0L },
{ 520  , 872  , 0x3L, 1L, 1L, 0L },
{ 480  , 896  , 0x3L, 1L, 1L, 0L },
{ 432  , 920  , 0x3L, 1L, 1L, 0L },
{ 384  , 944  , 0x3L, 1L, 1L, 0L },
{ 344  , 960  , 0x3L, 1L, 1L, 0L },
{ 296  , 976  , 0x3L, 1L, 1L, 0L },
{ 248  , 992  , 0x3L, 1L, 1L, 0L },
{ 192  , 1000 , 0x3L, 1L, 1L, 0L },
{ 144  , 1008 , 0x3L, 1L, 1L, 0L },
{ 96   , 1016 , 0x3L, 1L, 1L, 0L },
{ 48   , 1016 , 0x3L, 1L, 1L, 0L },
{ 0    , 1016 , 0x3L, 1L, 1L, 0L }}},
/* EasyCASE > */
/* EasyCASE - */
/* EasyCASE < */
/* Special tables for CCW movement */          
                                 /* quadrant 0 dir. 0, speed 1 */
{{{48  , 1016 , 0x0L, 1L, 1L, 0L },
 { 96  , 1016 , 0x0L, 1L, 1L, 0L },
 { 144 , 1008 , 0x0L, 1L, 1L, 0L },
 { 192 , 1000 , 0x0L, 1L, 1L, 0L },
 { 248 , 992  , 0x0L, 1L, 1L, 0L },
 { 296 , 976  , 0x0L, 1L, 1L, 0L },
 { 344 , 960  , 0x0L, 1L, 1L, 0L },
 { 384 , 944  , 0x0L, 1L, 1L, 0L },
 { 432 , 920  , 0x0L, 1L, 1L, 0L },
 { 480 , 896  , 0x0L, 1L, 1L, 0L },
 { 520 , 872  , 0x0L, 1L, 1L, 0L },
 { 568 , 848  , 0x0L, 1L, 1L, 0L },
 { 608 , 816  , 0x0L, 1L, 1L, 0L },
 { 648 , 784  , 0x0L, 1L, 1L, 0L },
 { 680 , 752  , 0x0L, 1L, 1L, 0L },
 { 720 , 720  , 0x0L, 1L, 1L, 0L },
 { 752 , 680  , 0x0L, 1L, 1L, 0L },
 { 784 , 648  , 0x0L, 1L, 1L, 0L },
 { 816 , 608  , 0x0L, 1L, 1L, 0L },
 { 848 , 568  , 0x0L, 1L, 1L, 0L },
 { 872 , 520  , 0x0L, 1L, 1L, 0L },
 { 896 , 480  , 0x0L, 1L, 1L, 0L },
 { 920 , 432  , 0x0L, 1L, 1L, 0L },
 { 944 , 384  , 0x0L, 1L, 1L, 0L },
 { 960 , 344  , 0x0L, 1L, 1L, 0L },
 { 976 , 296  , 0x0L, 1L, 1L, 0L },
 { 992 , 248  , 0x0L, 1L, 1L, 0L },
 { 1000, 192  , 0x0L, 1L, 1L, 0L },
 { 1008, 144  , 0x0L, 1L, 1L, 0L },
 { 1016, 96   , 0x0L, 1L, 1L, 0L },
 { 1016, 48   , 0x0L, 1L, 1L, 0L },
 { 1016 , 0   , 0x1L, 1L, 1L, 0L },
/* EasyCASE > */
/* EasyCASE - */
/* EasyCASE < */
                                 /* quadrant 1 dir. 0, speed 1 */  
{ 1016 , 48   , 0x1L, 1L, 1L, 0L },
{ 1016 , 96   , 0x1L, 1L, 1L, 0L },
{ 1008 , 144  , 0x1L, 1L, 1L, 0L },
{ 1000 , 192  , 0x1L, 1L, 1L, 0L },
{ 992  , 248  , 0x1L, 1L, 1L, 0L },
{ 976  , 296  , 0x1L, 1L, 1L, 0L },
{ 960  , 344  , 0x1L, 1L, 1L, 0L },
{ 944  , 384  , 0x1L, 1L, 1L, 0L },
{ 920  , 432  , 0x1L, 1L, 1L, 0L },
{ 896  , 480  , 0x1L, 1L, 1L, 0L },
{ 872  , 520  , 0x1L, 1L, 1L, 0L },
{ 848  , 568  , 0x1L, 1L, 1L, 0L },
{ 816  , 608  , 0x1L, 1L, 1L, 0L },
{ 784  , 648  , 0x1L, 1L, 1L, 0L },
{ 752  , 680  , 0x1L, 1L, 1L, 0L },
{ 720  , 720  , 0x1L, 1L, 1L, 0L },
{ 680  , 752  , 0x1L, 1L, 1L, 0L },
{ 648  , 784  , 0x1L, 1L, 1L, 0L },
{ 608  , 816  , 0x1L, 1L, 1L, 0L },
{ 568  , 848  , 0x1L, 1L, 1L, 0L },
{ 520  , 872  , 0x1L, 1L, 1L, 0L },
{ 480  , 896  , 0x1L, 1L, 1L, 0L },
{ 432  , 920  , 0x1L, 1L, 1L, 0L },
{ 384  , 944  , 0x1L, 1L, 1L, 0L },
{ 344  , 960  , 0x1L, 1L, 1L, 0L },
{ 296  , 976  , 0x1L, 1L, 1L, 0L },
{ 248  , 992  , 0x1L, 1L, 1L, 0L },
{ 192  , 1000 , 0x1L, 1L, 1L, 0L },
{ 144  , 1008 , 0x1L, 1L, 1L, 0L },
{ 96   , 1016 , 0x1L, 1L, 1L, 0L },
{ 48   , 1016 , 0x1L, 1L, 1L, 0L },
{ 0    , 1016 , 0x1L, 1L, 1L, 0L },
/* EasyCASE > */
/* EasyCASE - */
/* EasyCASE < */
                               /* quadrant 2 dir. 0, speed 1 */
{ 48  , 1016 , 0x2L, 1L, 1L, 0L },
{ 96  , 1016 , 0x2L, 1L, 1L, 0L },
{ 144 , 1008 , 0x2L, 1L, 1L, 0L },
{ 192 , 1000 , 0x2L, 1L, 1L, 0L },
{ 248 , 992  , 0x2L, 1L, 1L, 0L },
{ 296 , 976  , 0x2L, 1L, 1L, 0L },
{ 344 , 960  , 0x2L, 1L, 1L, 0L },
{ 384 , 944  , 0x2L, 1L, 1L, 0L },
{ 432 , 920  , 0x2L, 1L, 1L, 0L },
{ 480 , 896  , 0x2L, 1L, 1L, 0L },
{ 520 , 872  , 0x2L, 1L, 1L, 0L },
{ 568 , 848  , 0x2L, 1L, 1L, 0L },
{ 608 , 816  , 0x2L, 1L, 1L, 0L },
{ 648 , 784  , 0x2L, 1L, 1L, 0L },
{ 680 , 752  , 0x2L, 1L, 1L, 0L },
{ 720 , 720  , 0x2L, 1L, 1L, 0L },
{ 752 , 680  , 0x2L, 1L, 1L, 0L },
{ 784 , 648  , 0x2L, 1L, 1L, 0L },
{ 816 , 608  , 0x2L, 1L, 1L, 0L },
{ 848 , 568  , 0x2L, 1L, 1L, 0L },
{ 872 , 520  , 0x2L, 1L, 1L, 0L },
{ 896 , 480  , 0x2L, 1L, 1L, 0L },
{ 920 , 432  , 0x2L, 1L, 1L, 0L },
{ 944 , 384  , 0x2L, 1L, 1L, 0L },
{ 960 , 344  , 0x2L, 1L, 1L, 0L },
{ 976 , 296  , 0x2L, 1L, 1L, 0L },
{ 992 , 248  , 0x2L, 1L, 1L, 0L },
{ 1000, 192  , 0x2L, 1L, 1L, 0L },
{ 1008, 144  , 0x2L, 1L, 1L, 0L },
{ 1016, 96   , 0x2L, 1L, 1L, 0L },
{ 1016, 48   , 0x2L, 1L, 1L, 0L },
{ 1016 , 0   , 0x3L, 1L, 1L, 0L },
/* EasyCASE > */
/* EasyCASE - */
/* EasyCASE < */
                                 /* quadrant 3 dir. 0, speed 1 */  
{ 1016 , 48   , 0x3L, 1L, 1L, 0L },
{ 1016 , 96   , 0x3L, 1L, 1L, 0L },
{ 1008 , 144  , 0x3L, 1L, 1L, 0L },
{ 1000 , 192  , 0x3L, 1L, 1L, 0L },
{ 992  , 248  , 0x3L, 1L, 1L, 0L },
{ 976  , 296  , 0x3L, 1L, 1L, 0L },
{ 960  , 344  , 0x3L, 1L, 1L, 0L },
{ 944  , 384  , 0x3L, 1L, 1L, 0L },
{ 920  , 432  , 0x3L, 1L, 1L, 0L },
{ 896  , 480  , 0x3L, 1L, 1L, 0L },
{ 872  , 520  , 0x3L, 1L, 1L, 0L },
{ 848  , 568  , 0x3L, 1L, 1L, 0L },
{ 816  , 608  , 0x3L, 1L, 1L, 0L },
{ 784  , 648  , 0x3L, 1L, 1L, 0L },
{ 752  , 680  , 0x3L, 1L, 1L, 0L },
{ 720  , 720  , 0x3L, 1L, 1L, 0L },
{ 680  , 752  , 0x3L, 1L, 1L, 0L },
{ 648  , 784  , 0x3L, 1L, 1L, 0L },
{ 608  , 816  , 0x3L, 1L, 1L, 0L },
{ 568  , 848  , 0x3L, 1L, 1L, 0L },
{ 520  , 872  , 0x3L, 1L, 1L, 0L },
{ 480  , 896  , 0x3L, 1L, 1L, 0L },
{ 432  , 920  , 0x3L, 1L, 1L, 0L },
{ 384  , 944  , 0x3L, 1L, 1L, 0L },
{ 344  , 960  , 0x3L, 1L, 1L, 0L },
{ 296  , 976  , 0x3L, 1L, 1L, 0L },
{ 248  , 992  , 0x3L, 1L, 1L, 0L },
{ 192  , 1000 , 0x3L, 1L, 1L, 0L },
{ 144  , 1008 , 0x3L, 1L, 1L, 0L },
{ 96   , 1016 , 0x3L, 1L, 1L, 0L },
{ 48   , 1016 , 0x3L, 1L, 1L, 0L },
{ 0    , 1016 , 0x3L, 1L, 1L, 0L }},
/* EasyCASE > */
/* EasyCASE - */
/* EasyCASE < */
/* Special tables for CW movement */
                                 /* quadrant 0 dir. 1, speed 1 */ 
{{ 48  , 1016 , 0x0L, 1L, 1L, 0L },
 { 96  , 1016 , 0x0L, 1L, 1L, 0L },
 { 144 , 1008 , 0x0L, 1L, 1L, 0L },
 { 192 , 1000 , 0x0L, 1L, 1L, 0L },
 { 248 , 992  , 0x0L, 1L, 1L, 0L },
 { 296 , 976  , 0x0L, 1L, 1L, 0L },
 { 344 , 960  , 0x0L, 1L, 1L, 0L },
 { 384 , 944  , 0x0L, 1L, 1L, 0L },
 { 432 , 920  , 0x0L, 1L, 1L, 0L },
 { 480 , 896  , 0x0L, 1L, 1L, 0L },
 { 520 , 872  , 0x0L, 1L, 1L, 0L },
 { 568 , 848  , 0x0L, 1L, 1L, 0L },
 { 608 , 816  , 0x0L, 1L, 1L, 0L },
 { 648 , 784  , 0x0L, 1L, 1L, 0L },
 { 680 , 752  , 0x0L, 1L, 1L, 0L },
 { 720 , 720  , 0x0L, 1L, 1L, 0L },
 { 752 , 680  , 0x0L, 1L, 1L, 0L },
 { 784 , 648  , 0x0L, 1L, 1L, 0L },
 { 816 , 608  , 0x0L, 1L, 1L, 0L },
 { 848 , 568  , 0x0L, 1L, 1L, 0L },
 { 872 , 520  , 0x0L, 1L, 1L, 0L },
 { 896 , 480  , 0x0L, 1L, 1L, 0L },
 { 920 , 432  , 0x0L, 1L, 1L, 0L },
 { 944 , 384  , 0x0L, 1L, 1L, 0L },
 { 960 , 344  , 0x0L, 1L, 1L, 0L },
 { 976 , 296  , 0x0L, 1L, 1L, 0L },
 { 992 , 248  , 0x0L, 1L, 1L, 0L },
 { 1000, 192  , 0x0L, 1L, 1L, 0L },
 { 1008, 144  , 0x0L, 1L, 1L, 0L },
 { 1016, 96   , 0x0L, 1L, 1L, 0L },
 { 1016, 48   , 0x0L, 1L, 1L, 0L },
 { 1016 , 0   , 0x1L, 1L, 1L, 0L },
/* EasyCASE > */
/* EasyCASE - */
/* EasyCASE < */
                                 /* quadrant 1 dir. 1, speed 1 */  
{ 1016 , 48   , 0x1L, 1L, 1L, 0L },
{ 1016 , 96   , 0x1L, 1L, 1L, 0L },
{ 1008 , 144  , 0x1L, 1L, 1L, 0L },
{ 1000 , 192  , 0x1L, 1L, 1L, 0L },
{ 992  , 248  , 0x1L, 1L, 1L, 0L },
{ 976  , 296  , 0x1L, 1L, 1L, 0L },
{ 960  , 344  , 0x1L, 1L, 1L, 0L },
{ 944  , 384  , 0x1L, 1L, 1L, 0L },
{ 920  , 432  , 0x1L, 1L, 1L, 0L },
{ 896  , 480  , 0x1L, 1L, 1L, 0L },
{ 872  , 520  , 0x1L, 1L, 1L, 0L },
{ 848  , 568  , 0x1L, 1L, 1L, 0L },
{ 816  , 608  , 0x1L, 1L, 1L, 0L },
{ 784  , 648  , 0x1L, 1L, 1L, 0L },
{ 752  , 680  , 0x1L, 1L, 1L, 0L },
{ 720  , 720  , 0x1L, 1L, 1L, 0L },
{ 680  , 752  , 0x1L, 1L, 1L, 0L },
{ 648  , 784  , 0x1L, 1L, 1L, 0L },
{ 608  , 816  , 0x1L, 1L, 1L, 0L },
{ 568  , 848  , 0x1L, 1L, 1L, 0L },
{ 520  , 872  , 0x1L, 1L, 1L, 0L },
{ 480  , 896  , 0x1L, 1L, 1L, 0L },
{ 432  , 920  , 0x1L, 1L, 1L, 0L },
{ 384  , 944  , 0x1L, 1L, 1L, 0L },
{ 344  , 960  , 0x1L, 1L, 1L, 0L },
{ 296  , 976  , 0x1L, 1L, 1L, 0L },
{ 248  , 992  , 0x1L, 1L, 1L, 0L },
{ 192  , 1000 , 0x1L, 1L, 1L, 0L },
{ 144  , 1008 , 0x1L, 1L, 1L, 0L },
{ 96   , 1016 , 0x1L, 1L, 1L, 0L },
{ 48   , 1016 , 0x1L, 1L, 1L, 0L },
{ 0    , 1016 , 0x1L, 1L, 1L, 0L },
/* EasyCASE > */
/* EasyCASE - */
/* EasyCASE < */
                                /* quadrant 2 dir. 1, speed 1 */
{ 48  , 1016 , 0x2L, 1L, 1L, 0L },
{ 96  , 1016 , 0x2L, 1L, 1L, 0L },
{ 144 , 1008 , 0x2L, 1L, 1L, 0L },
{ 192 , 1000 , 0x2L, 1L, 1L, 0L },
{ 248 , 992  , 0x2L, 1L, 1L, 0L },
{ 296 , 976  , 0x2L, 1L, 1L, 0L },
{ 344 , 960  , 0x2L, 1L, 1L, 0L },
{ 384 , 944  , 0x2L, 1L, 1L, 0L },
{ 432 , 920  , 0x2L, 1L, 1L, 0L },
{ 480 , 896  , 0x2L, 1L, 1L, 0L },
{ 520 , 872  , 0x2L, 1L, 1L, 0L },
{ 568 , 848  , 0x2L, 1L, 1L, 0L },
{ 608 , 816  , 0x2L, 1L, 1L, 0L },
{ 648 , 784  , 0x2L, 1L, 1L, 0L },
{ 680 , 752  , 0x2L, 1L, 1L, 0L },
{ 720 , 720  , 0x2L, 1L, 1L, 0L },
{ 752 , 680  , 0x2L, 1L, 1L, 0L },
{ 784 , 648  , 0x2L, 1L, 1L, 0L },
{ 816 , 608  , 0x2L, 1L, 1L, 0L },
{ 848 , 568  , 0x2L, 1L, 1L, 0L },
{ 872 , 520  , 0x2L, 1L, 1L, 0L },
{ 896 , 480  , 0x2L, 1L, 1L, 0L },
{ 920 , 432  , 0x2L, 1L, 1L, 0L },
{ 944 , 384  , 0x2L, 1L, 1L, 0L },
{ 960 , 344  , 0x2L, 1L, 1L, 0L },
{ 976 , 296  , 0x2L, 1L, 1L, 0L },
{ 992 , 248  , 0x2L, 1L, 1L, 0L },
{ 1000, 192  , 0x2L, 1L, 1L, 0L },
{ 1008, 144  , 0x2L, 1L, 1L, 0L },
{ 1016, 96   , 0x2L, 1L, 1L, 0L },
{ 1016, 48   , 0x2L, 1L, 1L, 0L },
{ 1016 , 0   , 0x3L, 1L, 1L, 0L },
/* EasyCASE > */
/* EasyCASE - */
/* EasyCASE < */
                                 /* quadrant 3 dir. 1, speed 1 */  
{ 1016 , 48   , 0x3L, 1L, 1L, 0L },
{ 1016 , 96   , 0x3L, 1L, 1L, 0L },
{ 1008 , 144  , 0x3L, 1L, 1L, 0L },
{ 1000 , 192  , 0x3L, 1L, 1L, 0L },
{ 992  , 248  , 0x3L, 1L, 1L, 0L },
{ 976  , 296  , 0x3L, 1L, 1L, 0L },
{ 960  , 344  , 0x3L, 1L, 1L, 0L },
{ 944  , 384  , 0x3L, 1L, 1L, 0L },
{ 920  , 432  , 0x3L, 1L, 1L, 0L },
{ 896  , 480  , 0x3L, 1L, 1L, 0L },
{ 872  , 520  , 0x3L, 1L, 1L, 0L },
{ 848  , 568  , 0x3L, 1L, 1L, 0L },
{ 816  , 608  , 0x3L, 1L, 1L, 0L },
{ 784  , 648  , 0x3L, 1L, 1L, 0L },
{ 752  , 680  , 0x3L, 1L, 1L, 0L },
{ 720  , 720  , 0x3L, 1L, 1L, 0L },
{ 680  , 752  , 0x3L, 1L, 1L, 0L },
{ 648  , 784  , 0x3L, 1L, 1L, 0L },
{ 608  , 816  , 0x3L, 1L, 1L, 0L },
{ 568  , 848  , 0x3L, 1L, 1L, 0L },
{ 520  , 872  , 0x3L, 1L, 1L, 0L },
{ 480  , 896  , 0x3L, 1L, 1L, 0L },
{ 432  , 920  , 0x3L, 1L, 1L, 0L },
{ 384  , 944  , 0x3L, 1L, 1L, 0L },
{ 344  , 960  , 0x3L, 1L, 1L, 0L },
{ 296  , 976  , 0x3L, 1L, 1L, 0L },
{ 248  , 992  , 0x3L, 1L, 1L, 0L },
{ 192  , 1000 , 0x3L, 1L, 1L, 0L },
{ 144  , 1008 , 0x3L, 1L, 1L, 0L },
{ 96   , 1016 , 0x3L, 1L, 1L, 0L },
{ 48   , 1016 , 0x3L, 1L, 1L, 0L },
{ 0    , 1016 , 0x3L, 1L, 1L, 0L }}}}
};

const struct SMIA_ISM_PWMStd SMIA_ISM_A_STDPWMTABLE4 = {
/* CVP    CHP   CQI   IVR IHR */
{                                        /* quadrant 0 dir. 0, speed 0 */
{{{40,872,      0x0L,    1L,    1L,    0L},   
  {72,888,      0x0L,    1L,    1L,    0L},
  {104,896,     0x0L,    1L,    1L,    0L},
  {136,912,     0x0L,    1L,    1L,    0L},
  {168,920,     0x0L,    1L,    1L,    0L},
  {200,936,     0x0L,    1L,    1L,    0L},
  {232,944,     0x0L,    1L,    1L,    0L},
  {264,952,     0x0L,    1L,    1L,    0L},
  {296,968,     0x0L,    1L,    1L,    0L},
  {336,968,     0x0L,    1L,    1L,    0L},
  {368,976,     0x0L,    1L,    1L,    0L},
  {408,976,     0x0L,    1L,    1L,    0L},
  {448,968,     0x0L,    1L,    1L,    0L},
  {496,952,     0x0L,    1L,    1L,    0L},
  {544,936,     0x0L,    1L,    1L,    0L},
  {592,904,     0x0L,    1L,    1L,    0L},
  {648,864,     0x0L,    1L,    1L,    0L},
  {704,808,     0x0L,    1L,    1L,    0L},
  {760,752,     0x0L,    1L,    1L,    0L},
  {808,680,     0x0L,    1L,    1L,    0L},
  {864,608,     0x0L,    1L,    1L,    0L},
  {904,520,     0x0L,    1L,    1L,    0L},
  {944,440,     0x0L,    1L,    1L,    0L},
  {968,360,     0x0L,    1L,    1L,    0L},
  {992,280,     0x0L,    1L,    1L,    0L},
  {1000,208,    0x0L,    1L,    1L,    0L},
  {1008,144,    0x0L,    1L,    1L,    0L},
  {1016,80,     0x0L,    1L,    1L,    0L},
  {1016,32,     0x0L,    1L,    1L,    0L},
  {1008,16,     0x1L,    1L,    1L,    0L},
  {1008,56,     0x1L,    1L,    1L,    0L},
  {1008,88,     0x1L,    1L,    1L,    0L},
                                         /* quadrant 1 dir. 0, speed 0 */
  {1008,120,    0x1L,    1L,    1L,    0L},   
  {1008,152,    0x1L,    1L,    1L,    0L},
  {1008,176,    0x1L,    1L,    1L,    0L},
  {1008,200,    0x1L,    1L,    1L,    0L},
  {1008,232,    0x1L,    1L,    1L,    0L},
  {1016,256,    0x1L,    1L,    1L,    0L},
  {1016,280,    0x1L,    1L,    1L,    0L},
  {1008,296,    0x1L,    1L,    1L,    0L},
  {1008,320,    0x1L,    1L,    1L,    0L},
  {1008,344,    0x1L,    1L,    1L,    0L},
  {1000,368,    0x1L,    1L,    1L,    0L},
  {992,392,     0x1L,    1L,    1L,    0L},
  {984,416,     0x1L,    1L,    1L,    0L},
  {968,440,     0x1L,    1L,    1L,    0L},
  {952,472,     0x1L,    1L,    1L,    0L},
  {920,504,     0x1L,    1L,    1L,    0L},
  {888,544,     0x1L,    1L,    1L,    0L},
  {848,576,     0x1L,    1L,    1L,    0L},
  {792,616,     0x1L,    1L,    1L,    0L},
  {736,656,     0x1L,    1L,    1L,    0L},
  {664,688,     0x1L,    1L,    1L,    0L},
  {592,720,     0x1L,    1L,    1L,    0L},
  {520,752,     0x1L,    1L,    1L,    0L},
  {440,776,     0x1L,    1L,    1L,    0L},
  {368,800,     0x1L,    1L,    1L,    0L},
  {296,808,     0x1L,    1L,    1L,    0L},
  {232,824,     0x1L,    1L,    1L,    0L},
  {168,832,     0x1L,    1L,    1L,    0L},
  {120,840,     0x1L,    1L,    1L,    0L},
  {72,848,      0x1L,    1L,    1L,    0L},
  {32,856,      0x1L,    1L,    1L,    0L},
  {0,864,       0x1L,    1L,    1L,    0L},
                                         /* quadrant 2 dir. 0, speed 0 */
  {40,872,      0x2L,    1L,    1L,    0L},    
  {72,888,      0x2L,    1L,    1L,    0L},
  {104,896,     0x2L,    1L,    1L,    0L},
  {136,912,     0x2L,    1L,    1L,    0L},
  {168,920,     0x2L,    1L,    1L,    0L},
  {200,936,     0x2L,    1L,    1L,    0L},
  {232,944,     0x2L,    1L,    1L,    0L},
  {264,952,     0x2L,    1L,    1L,    0L},
  {296,968,     0x2L,    1L,    1L,    0L},
  {336,968,     0x2L,    1L,    1L,    0L},
  {368,976,     0x2L,    1L,    1L,    0L},
  {408,976,     0x2L,    1L,    1L,    0L},
  {448,968,     0x2L,    1L,    1L,    0L},
  {496,952,     0x2L,    1L,    1L,    0L},
  {544,936,     0x2L,    1L,    1L,    0L},
  {592,904,     0x2L,    1L,    1L,    0L},
  {648,864,     0x2L,    1L,    1L,    0L},
  {704,808,     0x2L,    1L,    1L,    0L},
  {760,752,     0x2L,    1L,    1L,    0L},
  {808,680,     0x2L,    1L,    1L,    0L},
  {864,608,     0x2L,    1L,    1L,    0L},
  {904,520,     0x2L,    1L,    1L,    0L},
  {944,440,     0x2L,    1L,    1L,    0L},
  {968,360,     0x2L,    1L,    1L,    0L},
  {992,280,     0x2L,    1L,    1L,    0L},
  {1000,208,    0x2L,    1L,    1L,    0L},
  {1008,144,    0x2L,    1L,    1L,    0L},
  {1016,80,     0x2L,    1L,    1L,    0L},
  {1016,32,     0x2L,    1L,    1L,    0L},
  {1008,16,     0x3L,    1L,    1L,    0L},
  {1008,56,     0x3L,    1L,    1L,    0L},
  {1008,88,     0x3L,    1L,    1L,    0L},
                                         /* quadrant 3 dir. 0, speed 0 */
  {1008,120,    0x3L,    1L,    1L,    0L},    
  {1008,152,    0x3L,    1L,    1L,    0L},
  {1008,176,    0x3L,    1L,    1L,    0L},
  {1008,200,    0x3L,    1L,    1L,    0L},
  {1008,232,    0x3L,    1L,    1L,    0L},
  {1016,256,    0x3L,    1L,    1L,    0L},
  {1016,280,    0x3L,    1L,    1L,    0L},
  {1008,296,    0x3L,    1L,    1L,    0L},
  {1008,320,    0x3L,    1L,    1L,    0L},
  {1008,344,    0x3L,    1L,    1L,    0L},
  {1000,368,    0x3L,    1L,    1L,    0L},
  {992,392,     0x3L,    1L,    1L,    0L},
  {984,416,     0x3L,    1L,    1L,    0L},
  {968,440,     0x3L,    1L,    1L,    0L},
  {952,472,     0x3L,    1L,    1L,    0L},
  {920,504,     0x3L,    1L,    1L,    0L},
  {888,544,     0x3L,    1L,    1L,    0L},
  {848,576,     0x3L,    1L,    1L,    0L},
  {792,616,     0x3L,    1L,    1L,    0L},
  {736,656,     0x3L,    1L,    1L,    0L},
  {664,688,     0x3L,    1L,    1L,    0L},
  {592,720,     0x3L,    1L,    1L,    0L},
  {520,752,     0x3L,    1L,    1L,    0L},
  {440,776,     0x3L,    1L,    1L,    0L},
  {368,800,     0x3L,    1L,    1L,    0L},
  {296,808,     0x3L,    1L,    1L,    0L},
  {232,824,     0x3L,    1L,    1L,    0L},
  {168,832,     0x3L,    1L,    1L,    0L},
  {120,840,     0x3L,    1L,    1L,    0L},
  {72,848,      0x3L,    1L,    1L,    0L},
  {32,856,      0x3L,    1L,    1L,    0L},
  {0,864,       0x3L,    1L,    1L,    0L}},
/* EasyCASE > */
/* EasyCASE ) */
/* EasyCASE ( 1227
   Direction 1 (CCW), Speed 0 (normal table)
   MUL-SMIA_nMW2000_FrontContacted_Silent_FullValued   (No 4) */
/* EasyCASE < */
                                       /* quadrant 0 dir. 0, speed 0 */
{{368,960,     0x3L,    1L,    1L,    0L},    
 {328,968,     0x3L,    1L,    1L,    0L},
 {296,968,     0x3L,    1L,    1L,    0L},
 {264,968,     0x3L,    1L,    1L,    0L},
 {232,976,     0x3L,    1L,    1L,    0L},
 {192,976,     0x3L,    1L,    1L,    0L},
 {160,976,     0x3L,    1L,    1L,    0L},
 {120,984,     0x3L,    1L,    1L,    0L},
 {72,984,      0x3L,    1L,    1L,    0L},
 {24,984,      0x3L,    1L,    1L,    0L},
 {32,984,      0x0L,    1L,    1L,    0L},
 {88,976,      0x0L,    1L,    1L,    0L},
 {152,968,     0x0L,    1L,    1L,    0L},
 {216,952,     0x0L,    1L,    1L,    0L},
 {288,928,     0x0L,    1L,    1L,    0L},
 {360,896,     0x0L,    1L,    1L,    0L},
 {432,864,     0x0L,    1L,    1L,    0L},
 {504,824,     0x0L,    1L,    1L,    0L},
 {576,776,     0x0L,    1L,    1L,    0L},
 {648,736,     0x0L,    1L,    1L,    0L},
 {712,688,     0x0L,    1L,    1L,    0L},
 {776,640,     0x0L,    1L,    1L,    0L},
 {824,592,     0x0L,    1L,    1L,    0L},
 {872,544,     0x0L,    1L,    1L,    0L},
 {912,504,     0x0L,    1L,    1L,    0L},
 {944,464,     0x0L,    1L,    1L,    0L},
 {968,432,     0x0L,    1L,    1L,    0L},
 {992,400,     0x0L,    1L,    1L,    0L},
 {1000,368,    0x0L,    1L,    1L,    0L},
 {1016,336,    0x0L,    1L,    1L,    0L},
 {1016,312,    0x0L,    1L,    1L,    0L},
 {1016,288,    0x0L,    1L,    1L,    0L},
                                        /* quadrant 1 dir. 0, speed 0 */
 {1016,264,    0x0L,    1L,    1L,    0L},    
 {1016,240,    0x0L,    1L,    1L,    0L},
 {1008,216,    0x0L,    1L,    1L,    0L},
 {1008,200,    0x0L,    1L,    1L,    0L},
 {1008,176,    0x0L,    1L,    1L,    0L},
 {1008,152,    0x0L,    1L,    1L,    0L},
 {1008,128,    0x0L,    1L,    1L,    0L},
 {1008,96,     0x0L,    1L,    1L,    0L},
 {1008,64,     0x0L,    1L,    1L,    0L},
 {1008,32,     0x0L,    1L,    1L,    0L},
 {1008,0,      0x0L,    1L,    1L,    0L},
 {1008,40,     0x1L,    1L,    1L,    0L},
 {1000,88,     0x1L,    1L,    1L,    0L},
 {992,136,     0x1L,    1L,    1L,    0L},
 {984,192,     0x1L,    1L,    1L,    0L},
 {968,248,     0x1L,    1L,    1L,    0L},
 {944,304,     0x1L,    1L,    1L,    0L},
 {920,368,     0x1L,    1L,    1L,    0L},
 {888,424,     0x1L,    1L,    1L,    0L},
 {848,488,     0x1L,    1L,    1L,    0L},
 {816,552,     0x1L,    1L,    1L,    0L},
 {776,608,     0x1L,    1L,    1L,    0L},
 {736,664,     0x1L,    1L,    1L,    0L},
 {696,720,     0x1L,    1L,    1L,    0L},
 {656,768,     0x1L,    1L,    1L,    0L},
 {616,808,     0x1L,    1L,    1L,    0L},
 {576,848,     0x1L,    1L,    1L,    0L},
 {536,880,     0x1L,    1L,    1L,    0L},
 {504,904,     0x1L,    1L,    1L,    0L},
 {464,928,     0x1L,    1L,    1L,    0L},
 {432,936,     0x1L,    1L,    1L,    0L},
 {400,952,     0x1L,    1L,    1L,    0L},
                                        /* 2 quadrant dir. 0, speed 0 */
 {368,960,     0x1L,    1L,    1L,    0L},    
 {328,968,     0x1L,    1L,    1L,    0L},
 {296,968,     0x1L,    1L,    1L,    0L},
 {264,968,     0x1L,    1L,    1L,    0L},
 {232,976,     0x1L,    1L,    1L,    0L},
 {192,976,     0x1L,    1L,    1L,    0L},
 {160,976,     0x1L,    1L,    1L,    0L},
 {120,984,     0x1L,    1L,    1L,    0L},
 {72,984,      0x1L,    1L,    1L,    0L},
 {24,984,      0x1L,    1L,    1L,    0L},
 {32,984,      0x2L,    1L,    1L,    0L},
 {88,976,      0x2L,    1L,    1L,    0L},
 {152,968,     0x2L,    1L,    1L,    0L},
 {216,952,     0x2L,    1L,    1L,    0L},
 {288,928,     0x2L,    1L,    1L,    0L},
 {360,896,     0x2L,    1L,    1L,    0L},
 {432,864,     0x2L,    1L,    1L,    0L},
 {504,824,     0x2L,    1L,    1L,    0L},
 {576,776,     0x2L,    1L,    1L,    0L},
 {648,736,     0x2L,    1L,    1L,    0L},
 {712,688,     0x2L,    1L,    1L,    0L},
 {776,640,     0x2L,    1L,    1L,    0L},
 {824,592,     0x2L,    1L,    1L,    0L},
 {872,544,     0x2L,    1L,    1L,    0L},
 {912,504,     0x2L,    1L,    1L,    0L},
 {944,464,     0x2L,    1L,    1L,    0L},
 {968,432,     0x2L,    1L,    1L,    0L},
 {992,400,     0x2L,    1L,    1L,    0L},
 {1000,368,    0x2L,    1L,    1L,    0L},
 {1016,336,    0x2L,    1L,    1L,    0L},
 {1016,312,    0x2L,    1L,    1L,    0L},
 {1016,288,    0x2L,    1L,    1L,    0L},
                                        /* 3 quadrant dir. 0, speed 0 */
 {1016,264,    0x2L,    1L,    1L,    0L},    
 {1016,240,    0x2L,    1L,    1L,    0L},
 {1008,216,    0x2L,    1L,    1L,    0L},
 {1008,200,    0x2L,    1L,    1L,    0L},
 {1008,176,    0x2L,    1L,    1L,    0L},
 {1008,152,    0x2L,    1L,    1L,    0L},
 {1008,128,    0x2L,    1L,    1L,    0L},
 {1008,96,     0x2L,    1L,    1L,    0L},
 {1008,64,     0x2L,    1L,    1L,    0L},
 {1008,32,     0x2L,    1L,    1L,    0L},
 {1008,0,      0x2L,    1L,    1L,    0L},
 {1008,40,     0x3L,    1L,    1L,    0L},
 {1000,88,     0x3L,    1L,    1L,    0L},
 {992,136,     0x3L,    1L,    1L,    0L},
 {984,192,     0x3L,    1L,    1L,    0L},
 {968,248,     0x3L,    1L,    1L,    0L},
 {944,304,     0x3L,    1L,    1L,    0L},
 {920,368,     0x3L,    1L,    1L,    0L},
 {888,424,     0x3L,    1L,    1L,    0L},
 {848,488,     0x3L,    1L,    1L,    0L},
 {816,552,     0x3L,    1L,    1L,    0L},
 {776,608,     0x3L,    1L,    1L,    0L},
 {736,664,     0x3L,    1L,    1L,    0L},
 {696,720,     0x3L,    1L,    1L,    0L},
 {656,768,     0x3L,    1L,    1L,    0L},
 {616,808,     0x3L,    1L,    1L,    0L},
 {576,848,     0x3L,    1L,    1L,    0L},
 {536,880,     0x3L,    1L,    1L,    0L},
 {504,904,     0x3L,    1L,    1L,    0L},
 {464,928,     0x3L,    1L,    1L,    0L},
 {432,936,     0x3L,    1L,    1L,    0L},
 {400,952,     0x3L,    1L,    1L,    0L}}},
/* EasyCASE > */
/* EasyCASE ) */
/* EasyCASE ( 1228
   Direction 0 (CW), Speed 1 (special table)
   MUL-SMIA_nMW2000_FrontContacted_Silent_FullValued   (No 4) */
/* EasyCASE < */
                                         /* quadrant 0 dir. 0, speed 1 */
{{{80,928,      0x0L,    1L,    1L,    0L},
  {112,952,     0x0L,    1L,    1L,    0L},
  {144,960,     0x0L,    1L,    1L,    0L},
  {184,976,     0x0L,    1L,    1L,    0L},
  {216,984,     0x0L,    1L,    1L,    0L},
  {248,984,     0x0L,    1L,    1L,    0L},
  {280,992,     0x0L,    1L,    1L,    0L},
  {320,992,     0x0L,    1L,    1L,    0L},
  {352,992,     0x0L,    1L,    1L,    0L},
  {392,992,     0x0L,    1L,    1L,    0L},
  {440,1000,    0x0L,    1L,    1L,    0L},
  {480,992,     0x0L,    1L,    1L,    0L},
  {528,984,     0x0L,    1L,    1L,    0L},
  {584,976,     0x0L,    1L,    1L,    0L},
  {632,952,     0x0L,    1L,    1L,    0L},
  {680,912,     0x0L,    1L,    1L,    0L},
  {736,864,     0x0L,    1L,    1L,    0L},
  {776,800,     0x0L,    1L,    1L,    0L},
  {824,728,     0x0L,    1L,    1L,    0L},
  {856,640,     0x0L,    1L,    1L,    0L},
  {888,552,     0x0L,    1L,    1L,    0L},
  {920,456,     0x0L,    1L,    1L,    0L},
  {936,360,     0x0L,    1L,    1L,    0L},
  {952,272,     0x0L,    1L,    1L,    0L},
  {968,184,     0x0L,    1L,    1L,    0L},
  {976,104,     0x0L,    1L,    1L,    0L},
  {976,40,      0x0L,    1L,    1L,    0L},
  {984,24,      0x1L,    1L,    1L,    0L},
  {984,72,      0x1L,    1L,    1L,    0L},
  {992,120,     0x1L,    1L,    1L,    0L},
  {992,160,     0x1L,    1L,    1L,    0L},
  {992,200,     0x1L,    1L,    1L,    0L},
                                         /* quadrant 1 dir. 0, speed 1 */
  {992,232,     0x1L,    1L,    1L,    0L},
  {1000,264,    0x1L,    1L,    1L,    0L},
  {1000,296,    0x1L,    1L,    1L,    0L},
  {1000,320,    0x1L,    1L,    1L,    0L},
  {1000,344,    0x1L,    1L,    1L,    0L},
  {1000,368,    0x1L,    1L,    1L,    0L},
  {1008,392,    0x1L,    1L,    1L,    0L},
  {1008,416,    0x1L,    1L,    1L,    0L},
  {1016,440,    0x1L,    1L,    1L,    0L},
  {1016,456,    0x1L,    1L,    1L,    0L},
  {1016,480,    0x1L,    1L,    1L,    0L},
  {1016,504,    0x1L,    1L,    1L,    0L},
  {1000,528,    0x1L,    1L,    1L,    0L},
  {984,552,     0x1L,    1L,    1L,    0L},
  {952,584,     0x1L,    1L,    1L,    0L},
  {912,616,     0x1L,    1L,    1L,    0L},
  {864,640,     0x1L,    1L,    1L,    0L},
  {808,672,     0x1L,    1L,    1L,    0L},
  {736,696,     0x1L,    1L,    1L,    0L},
  {664,712,     0x1L,    1L,    1L,    0L},
  {592,728,     0x1L,    1L,    1L,    0L},
  {512,744,     0x1L,    1L,    1L,    0L},
  {432,760,     0x1L,    1L,    1L,    0L},
  {360,768,     0x1L,    1L,    1L,    0L},
  {288,776,     0x1L,    1L,    1L,    0L},
  {232,792,     0x1L,    1L,    1L,    0L},
  {168,808,     0x1L,    1L,    1L,    0L},
  {120,824,     0x1L,    1L,    1L,    0L},
  {72,840,      0x1L,    1L,    1L,    0L},
  {32,864,      0x1L,    1L,    1L,    0L},
  {8,888,       0x2L,    1L,    1L,    0L},
  {48,912,      0x2L,    1L,    1L,    0L},
                                         /* quadrant 2 dir. 0, speed 1 */
  {80,928,      0x2L,    1L,    1L,    0L},
  {112,952,     0x2L,    1L,    1L,    0L},
  {144,960,     0x2L,    1L,    1L,    0L},
  {184,976,     0x2L,    1L,    1L,    0L},
  {216,984,     0x2L,    1L,    1L,    0L},
  {248,984,     0x2L,    1L,    1L,    0L},
  {280,992,     0x2L,    1L,    1L,    0L},
  {320,992,     0x2L,    1L,    1L,    0L},
  {352,992,     0x2L,    1L,    1L,    0L},
  {392,992,     0x2L,    1L,    1L,    0L},
  {440,1000,    0x2L,    1L,    1L,    0L},
  {480,992,     0x2L,    1L,    1L,    0L},
  {528,984,     0x2L,    1L,    1L,    0L},
  {584,976,     0x2L,    1L,    1L,    0L},
  {632,952,     0x2L,    1L,    1L,    0L},
  {680,912,     0x2L,    1L,    1L,    0L},
  {736,864,     0x2L,    1L,    1L,    0L},
  {776,800,     0x2L,    1L,    1L,    0L},
  {824,728,     0x2L,    1L,    1L,    0L},
  {856,640,     0x2L,    1L,    1L,    0L},
  {888,552,     0x2L,    1L,    1L,    0L},
  {920,456,     0x2L,    1L,    1L,    0L},
  {936,360,     0x2L,    1L,    1L,    0L},
  {952,272,     0x2L,    1L,    1L,    0L},
  {968,184,     0x2L,    1L,    1L,    0L},
  {976,104,     0x2L,    1L,    1L,    0L},
  {976,40,      0x2L,    1L,    1L,    0L},
  {984,24,      0x3L,    1L,    1L,    0L},
  {984,72,      0x3L,    1L,    1L,    0L},
  {992,120,     0x3L,    1L,    1L,    0L},
  {992,160,     0x3L,    1L,    1L,    0L},
  {992,200,     0x3L,    1L,    1L,    0L},
                                         /* quadrant 3 dir. 0, speed 1 */
  {992,232,     0x3L,    1L,    1L,    0L},
  {1000,264,    0x3L,    1L,    1L,    0L},
  {1000,296,    0x3L,    1L,    1L,    0L},
  {1000,320,    0x3L,    1L,    1L,    0L},
  {1000,344,    0x3L,    1L,    1L,    0L},
  {1000,368,    0x3L,    1L,    1L,    0L},
  {1008,392,    0x3L,    1L,    1L,    0L},
  {1008,416,    0x3L,    1L,    1L,    0L},
  {1016,440,    0x3L,    1L,    1L,    0L},
  {1016,456,    0x3L,    1L,    1L,    0L},
  {1016,480,    0x3L,    1L,    1L,    0L},
  {1016,504,    0x3L,    1L,    1L,    0L},
  {1000,528,    0x3L,    1L,    1L,    0L},
  {984,552,     0x3L,    1L,    1L,    0L},
  {952,584,     0x3L,    1L,    1L,    0L},
  {912,616,     0x3L,    1L,    1L,    0L},
  {864,640,     0x3L,    1L,    1L,    0L},
  {808,672,     0x3L,    1L,    1L,    0L},
  {736,696,     0x3L,    1L,    1L,    0L},
  {664,712,     0x3L,    1L,    1L,    0L},
  {592,728,     0x3L,    1L,    1L,    0L},
  {512,744,     0x3L,    1L,    1L,    0L},
  {432,760,     0x3L,    1L,    1L,    0L},
  {360,768,     0x3L,    1L,    1L,    0L},
  {288,776,     0x3L,    1L,    1L,    0L},
  {232,792,     0x3L,    1L,    1L,    0L},
  {168,808,     0x3L,    1L,    1L,    0L},
  {120,824,     0x3L,    1L,    1L,    0L},
  {72,840,      0x3L,    1L,    1L,    0L},
  {32,864,      0x3L,    1L,    1L,    0L},
  {8,888,       0x0L,    1L,    1L,    0L},
  {48,912,      0x0L,    1L,    1L,    0L}},
/* EasyCASE > */
/* EasyCASE ) */
/* EasyCASE ( 1229
   Direction 1 (CCW), Speed 1 (special table)
   MUL-SMIA_nMW2000_FrontContacted_Silent_FullValued   (No 4) */
/* EasyCASE < */
                                         /* quadrant 0 dir. 1, speed 1 */
{ {136,960,     0x3L,    1L,    1L,    0L},
  {80,944,      0x3L,    1L,    1L,    0L},
  {24,928,      0x3L,    1L,    1L,    0L},
  {32,904,      0x0L,    1L,    1L,    0L},
  {88,872,      0x0L,    1L,    1L,    0L},
  {144,848,     0x0L,    1L,    1L,    0L},
  {200,816,     0x0L,    1L,    1L,    0L},
  {264,792,     0x0L,    1L,    1L,    0L},
  {320,768,     0x0L,    1L,    1L,    0L},
  {376,744,     0x0L,    1L,    1L,    0L},
  {432,720,     0x0L,    1L,    1L,    0L},
  {496,696,     0x0L,    1L,    1L,    0L},
  {560,672,     0x0L,    1L,    1L,    0L},
  {624,640,     0x0L,    1L,    1L,    0L},
  {696,608,     0x0L,    1L,    1L,    0L},
  {760,576,     0x0L,    1L,    1L,    0L},
  {816,544,     0x0L,    1L,    1L,    0L},
  {872,504,     0x0L,    1L,    1L,    0L},
  {920,472,     0x0L,    1L,    1L,    0L},
  {960,440,     0x0L,    1L,    1L,    0L},
  {984,408,     0x0L,    1L,    1L,    0L},
  {1008,384,    0x0L,    1L,    1L,    0L},
  {1016,360,    0x0L,    1L,    1L,    0L},
  {1016,344,    0x0L,    1L,    1L,    0L},
  {1016,328,    0x0L,    1L,    1L,    0L},
  {1008,312,    0x0L,    1L,    1L,    0L},
  {1008,296,    0x0L,    1L,    1L,    0L},
  {1000,272,    0x0L,    1L,    1L,    0L},
  {1000,248,    0x0L,    1L,    1L,    0L},
  {1000,216,    0x0L,    1L,    1L,    0L},
  {1000,184,    0x0L,    1L,    1L,    0L},
  {1000,144,    0x0L,    1L,    1L,    0L},
                                         /* quadrant 1 dir. 1, speed 1 */
  {1008,104,    0x0L,    1L,    1L,    0L},
  {1008,64,     0x0L,    1L,    1L,    0L},
  {1008,24,     0x0L,    1L,    1L,    0L},
  {1000,16,     0x1L,    1L,    1L,    0L},
  {1000,64,     0x1L,    1L,    1L,    0L},
  {984,104,     0x1L,    1L,    1L,    0L},
  {976,152,     0x1L,    1L,    1L,    0L},
  {960,208,     0x1L,    1L,    1L,    0L},
  {944,264,     0x1L,    1L,    1L,    0L},
  {928,336,     0x1L,    1L,    1L,    0L},
  {912,408,     0x1L,    1L,    1L,    0L},
  {896,480,     0x1L,    1L,    1L,    0L},
  {872,560,     0x1L,    1L,    1L,    0L},
  {848,640,     0x1L,    1L,    1L,    0L},
  {824,720,     0x1L,    1L,    1L,    0L},
  {792,792,     0x1L,    1L,    1L,    0L},
  {760,856,     0x1L,    1L,    1L,    0L},
  {728,904,     0x1L,    1L,    1L,    0L},
  {688,944,     0x1L,    1L,    1L,    0L},
  {648,976,     0x1L,    1L,    1L,    0L},
  {608,992,     0x1L,    1L,    1L,    0L},
  {568,1000,    0x1L,    1L,    1L,    0L},
  {528,1000,    0x1L,    1L,    1L,    0L},
  {496,992,     0x1L,    1L,    1L,    0L},
  {456,992,     0x1L,    1L,    1L,    0L},
  {424,984,     0x1L,    1L,    1L,    0L},
  {392,984,     0x1L,    1L,    1L,    0L},
  {352,984,     0x1L,    1L,    1L,    0L},
  {320,984,     0x1L,    1L,    1L,    0L},
  {280,984,     0x1L,    1L,    1L,    0L},
  {232,976,     0x1L,    1L,    1L,    0L},
  {184,968,     0x1L,    1L,    1L,    0L},
                                         /* quadrant 2 dir. 1, speed 1 */
  {136,960,     0x1L,    1L,    1L,    0L},
  {80,944,      0x1L,    1L,    1L,    0L},
  {24,928,      0x1L,    1L,    1L,    0L},
  {32,904,      0x2L,    1L,    1L,    0L},
  {88,872,      0x2L,    1L,    1L,    0L},
  {144,848,     0x2L,    1L,    1L,    0L},
  {200,816,     0x2L,    1L,    1L,    0L},
  {264,792,     0x2L,    1L,    1L,    0L},
  {320,768,     0x2L,    1L,    1L,    0L},
  {376,744,     0x2L,    1L,    1L,    0L},
  {432,720,     0x2L,    1L,    1L,    0L},
  {496,696,     0x2L,    1L,    1L,    0L},
  {560,672,     0x2L,    1L,    1L,    0L},
  {624,640,     0x2L,    1L,    1L,    0L},
  {696,608,     0x2L,    1L,    1L,    0L},
  {760,576,     0x2L,    1L,    1L,    0L},
  {816,544,     0x2L,    1L,    1L,    0L},
  {872,504,     0x2L,    1L,    1L,    0L},
  {920,472,     0x2L,    1L,    1L,    0L},
  {960,440,     0x2L,    1L,    1L,    0L},
  {984,408,     0x2L,    1L,    1L,    0L},
  {1008,384,    0x2L,    1L,    1L,    0L},
  {1016,360,    0x2L,    1L,    1L,    0L},
  {1016,344,    0x2L,    1L,    1L,    0L},
  {1016,328,    0x2L,    1L,    1L,    0L},
  {1008,312,    0x2L,    1L,    1L,    0L},
  {1008,296,    0x2L,    1L,    1L,    0L},
  {1000,272,    0x2L,    1L,    1L,    0L},
  {1000,248,    0x2L,    1L,    1L,    0L},
  {1000,216,    0x2L,    1L,    1L,    0L},
  {1000,184,    0x2L,    1L,    1L,    0L},
  {1000,144,    0x2L,    1L,    1L,    0L},
                                         /* quadrant 3 dir. 1, speed 1 */
  {1008,104,    0x2L,    1L,    1L,    0L},
  {1008,64,     0x2L,    1L,    1L,    0L},
  {1008,24,     0x2L,    1L,    1L,    0L},
  {1000,16,     0x3L,    1L,    1L,    0L},
  {1000,64,     0x3L,    1L,    1L,    0L},
  {984,104,     0x3L,    1L,    1L,    0L},
  {976,152,     0x3L,    1L,    1L,    0L},
  {960,208,     0x3L,    1L,    1L,    0L},
  {944,264,     0x3L,    1L,    1L,    0L},
  {928,336,     0x3L,    1L,    1L,    0L},
  {912,408,     0x3L,    1L,    1L,    0L},
  {896,480,     0x3L,    1L,    1L,    0L},
  {872,560,     0x3L,    1L,    1L,    0L},
  {848,640,     0x3L,    1L,    1L,    0L},
  {824,720,     0x3L,    1L,    1L,    0L},
  {792,792,     0x3L,    1L,    1L,    0L},
  {760,856,     0x3L,    1L,    1L,    0L},
  {728,904,     0x3L,    1L,    1L,    0L},
  {688,944,     0x3L,    1L,    1L,    0L},
  {648,976,     0x3L,    1L,    1L,    0L},
  {608,992,     0x3L,    1L,    1L,    0L},
  {568,1000,    0x3L,    1L,    1L,    0L},
  {528,1000,    0x3L,    1L,    1L,    0L},
  {496,992,     0x3L,    1L,    1L,    0L},
  {456,992,     0x3L,    1L,    1L,    0L},
  {424,984,     0x3L,    1L,    1L,    0L},
  {392,984,     0x3L,    1L,    1L,    0L},
  {352,984,     0x3L,    1L,    1L,    0L},
  {320,984,     0x3L,    1L,    1L,    0L},
  {280,984,     0x3L,    1L,    1L,    0L},
  {232,976,     0x3L,    1L,    1L,    0L},
  {184,968,     0x3L,    1L,    1L,    0L}}}}
 };
/* EasyCASE > */
/* EasyCASE ) */
/* EasyCASE ) */
/* EasyCASE ( 1230
   MW2000 FRONT-CONTACTED COUNTER-CLOCKWISE(EDUL) TYPE
   SMIA_nMW2000_FrontContacted_Silent_FullValued   (No 4) */
/* EasyCASE ( 1231
   Direction 0 (CCW), Speed 0 (normal table)
   EDUL-SMIA_nMW2000_FrontContacted_Silent_FullValued   (No 4) */
/* EasyCASE < */
const struct SMIA_ISM_PWMStd SMIA_ISM_A_STDPWMTABLE4_EDUL = {
/*  CVP   CHP   CQI  IVR IHR */
{                                        /* quadrant 0 dir. 0, speed 0 */
{{{400,952,     0x0L,    1L,    1L,    0L},
  {432,936,     0x0L,    1L,    1L,    0L},
  {464,928,     0x0L,    1L,    1L,    0L},
  {504,904,     0x0L,    1L,    1L,    0L},
  {536,880,     0x0L,    1L,    1L,    0L},
  {576,848,     0x0L,    1L,    1L,    0L},
  {616,808,     0x0L,    1L,    1L,    0L},
  {656,768,     0x0L,    1L,    1L,    0L},
  {696,720,     0x0L,    1L,    1L,    0L},
  {736,664,     0x0L,    1L,    1L,    0L},
  {776,608,     0x0L,    1L,    1L,    0L},
  {816,552,     0x0L,    1L,    1L,    0L},
  {848,488,     0x0L,    1L,    1L,    0L},
  {888,424,     0x0L,    1L,    1L,    0L},
  {920,368,     0x0L,    1L,    1L,    0L},
  {944,304,     0x0L,    1L,    1L,    0L},
  {968,248,     0x0L,    1L,    1L,    0L},
  {984,192,     0x0L,    1L,    1L,    0L},
  {992,136,     0x0L,    1L,    1L,    0L},
  {1000,88,     0x0L,    1L,    1L,    0L},
  {1008,40,     0x0L,    1L,    1L,    0L},
  {1008,0,      0x1L,    1L,    1L,    0L},
  {1008,32,     0x1L,    1L,    1L,    0L},
  {1008,64,     0x1L,    1L,    1L,    0L},
  {1008,96,     0x1L,    1L,    1L,    0L},
  {1008,128,    0x1L,    1L,    1L,    0L},
  {1008,152,    0x1L,    1L,    1L,    0L},
  {1008,176,    0x1L,    1L,    1L,    0L},
  {1008,200,    0x1L,    1L,    1L,    0L},
  {1008,216,    0x1L,    1L,    1L,    0L},
  {1016,240,    0x1L,    1L,    1L,    0L},
  {1016,264,    0x1L,    1L,    1L,    0L},
                                         /* quadrant 1 dir. 0, speed 0 */ 
  {1016,288,    0x1L,    1L,    1L,    0L},
  {1016,312,    0x1L,    1L,    1L,    0L},
  {1016,336,    0x1L,    1L,    1L,    0L},
  {1000,368,    0x1L,    1L,    1L,    0L},
  {992,400,     0x1L,    1L,    1L,    0L},
  {968,432,     0x1L,    1L,    1L,    0L},
  {944,464,     0x1L,    1L,    1L,    0L},
  {912,504,     0x1L,    1L,    1L,    0L},
  {872,544,     0x1L,    1L,    1L,    0L},
  {824,592,     0x1L,    1L,    1L,    0L},
  {776,640,     0x1L,    1L,    1L,    0L},
  {712,688,     0x1L,    1L,    1L,    0L},
  {648,736,     0x1L,    1L,    1L,    0L},
  {576,776,     0x1L,    1L,    1L,    0L},
  {504,824,     0x1L,    1L,    1L,    0L},
  {432,864,     0x1L,    1L,    1L,    0L},
  {360,896,     0x1L,    1L,    1L,    0L},
  {288,928,     0x1L,    1L,    1L,    0L},
  {216,952,     0x1L,    1L,    1L,    0L},
  {152,968,     0x1L,    1L,    1L,    0L},
  {88,976,      0x1L,    1L,    1L,    0L},
  {32,984,      0x1L,    1L,    1L,    0L},
  {24,984,      0x2L,    1L,    1L,    0L},
  {72,984,      0x2L,    1L,    1L,    0L},
  {120,984,     0x2L,    1L,    1L,    0L},
  {160,976,     0x2L,    1L,    1L,    0L},
  {192,976,     0x2L,    1L,    1L,    0L},
  {232,976,     0x2L,    1L,    1L,    0L},
  {264,968,     0x2L,    1L,    1L,    0L},
  {296,968,     0x2L,    1L,    1L,    0L},
  {328,968,     0x2L,    1L,    1L,    0L},
  {368,960,     0x2L,    1L,    1L,    0L},
                                         /* quadrant 2 dir. 0, speed 0 */
  {400,952,     0x2L,    1L,    1L,    0L},
  {432,936,     0x2L,    1L,    1L,    0L},
  {464,928,     0x2L,    1L,    1L,    0L},
  {504,904,     0x2L,    1L,    1L,    0L},
  {536,880,     0x2L,    1L,    1L,    0L},
  {576,848,     0x2L,    1L,    1L,    0L},
  {616,808,     0x2L,    1L,    1L,    0L},
  {656,768,     0x2L,    1L,    1L,    0L},
  {696,720,     0x2L,    1L,    1L,    0L},
  {736,664,     0x2L,    1L,    1L,    0L},
  {776,608,     0x2L,    1L,    1L,    0L},
  {816,552,     0x2L,    1L,    1L,    0L},
  {848,488,     0x2L,    1L,    1L,    0L},
  {888,424,     0x2L,    1L,    1L,    0L},
  {920,368,     0x2L,    1L,    1L,    0L},
  {944,304,     0x2L,    1L,    1L,    0L},
  {968,248,     0x2L,    1L,    1L,    0L},
  {984,192,     0x2L,    1L,    1L,    0L},
  {992,136,     0x2L,    1L,    1L,    0L},
  {1000,88,     0x2L,    1L,    1L,    0L},
  {1008,40,     0x2L,    1L,    1L,    0L},
  {1008,0,      0x3L,    1L,    1L,    0L},
  {1008,32,     0x3L,    1L,    1L,    0L},
  {1008,64,     0x3L,    1L,    1L,    0L},
  {1008,96,     0x3L,    1L,    1L,    0L},
  {1008,128,    0x3L,    1L,    1L,    0L},
  {1008,152,    0x3L,    1L,    1L,    0L},
  {1008,176,    0x3L,    1L,    1L,    0L},
  {1008,200,    0x3L,    1L,    1L,    0L},
  {1008,216,    0x3L,    1L,    1L,    0L},
  {1016,240,    0x3L,    1L,    1L,    0L},
  {1016,264,    0x3L,    1L,    1L,    0L},
                                         /* quadrant 3 dir. 0, speed 0 */
  {1016,288,    0x3L,    1L,    1L,    0L},
  {1016,312,    0x3L,    1L,    1L,    0L},
  {1016,336,    0x3L,    1L,    1L,    0L},
  {1000,368,    0x3L,    1L,    1L,    0L},
  {992,400,     0x3L,    1L,    1L,    0L},
  {968,432,     0x3L,    1L,    1L,    0L},
  {944,464,     0x3L,    1L,    1L,    0L},
  {912,504,     0x3L,    1L,    1L,    0L},
  {872,544,     0x3L,    1L,    1L,    0L},
  {824,592,     0x3L,    1L,    1L,    0L},
  {776,640,     0x3L,    1L,    1L,    0L},
  {712,688,     0x3L,    1L,    1L,    0L},
  {648,736,     0x3L,    1L,    1L,    0L},
  {576,776,     0x3L,    1L,    1L,    0L},
  {504,824,     0x3L,    1L,    1L,    0L},
  {432,864,     0x3L,    1L,    1L,    0L},
  {360,896,     0x3L,    1L,    1L,    0L},
  {288,928,     0x3L,    1L,    1L,    0L},
  {216,952,     0x3L,    1L,    1L,    0L},
  {152,968,     0x3L,    1L,    1L,    0L},
  {88,976,      0x3L,    1L,    1L,    0L},
  {32,984,      0x3L,    1L,    1L,    0L},
  {24,984,      0x0L,    1L,    1L,    0L},
  {72,984,      0x0L,    1L,    1L,    0L},
  {120,984,     0x0L,    1L,    1L,    0L},
  {160,976,     0x0L,    1L,    1L,    0L},
  {192,976,     0x0L,    1L,    1L,    0L},
  {232,976,     0x0L,    1L,    1L,    0L},
  {264,968,     0x0L,    1L,    1L,    0L},
  {296,968,     0x0L,    1L,    1L,    0L},
  {328,968,     0x0L,    1L,    1L,    0L},
  {368,960,     0x0L,    1L,    1L,    0L}},
/* EasyCASE > */
/* EasyCASE ) */
/* EasyCASE ( 1232
   Direction 1 (CW), Speed 0 (normal table)
   EDUL-SMIA_nMW2000_FrontContacted_Silent_FullValued   (No 4) */
/* EasyCASE < */
                                        /* quadrant 0 dir. 1, speed 0 */
{{0,864,       0x0L,    1L,    1L,    0L},
 {32,856,      0x0L,    1L,    1L,    0L},
 {72,848,      0x0L,    1L,    1L,    0L},
 {120,840,     0x0L,    1L,    1L,    0L},
 {168,832,     0x0L,    1L,    1L,    0L},
 {232,824,     0x0L,    1L,    1L,    0L},
 {296,808,     0x0L,    1L,    1L,    0L},
 {368,800,     0x0L,    1L,    1L,    0L},
 {440,776,     0x0L,    1L,    1L,    0L},
 {520,752,     0x0L,    1L,    1L,    0L},
 {592,720,     0x0L,    1L,    1L,    0L},
 {664,688,     0x0L,    1L,    1L,    0L},
 {736,656,     0x0L,    1L,    1L,    0L},
 {792,616,     0x0L,    1L,    1L,    0L},
 {848,576,     0x0L,    1L,    1L,    0L},
 {888,544,     0x0L,    1L,    1L,    0L},
 {920,504,     0x0L,    1L,    1L,    0L},
 {952,472,     0x0L,    1L,    1L,    0L},
 {968,440,     0x0L,    1L,    1L,    0L},
 {984,416,     0x0L,    1L,    1L,    0L},
 {992,392,     0x0L,    1L,    1L,    0L},
 {1000,368,    0x0L,    1L,    1L,    0L},
 {1008,344,    0x0L,    1L,    1L,    0L},
 {1008,320,    0x0L,    1L,    1L,    0L},
 {1008,296,    0x0L,    1L,    1L,    0L},
 {1016,280,    0x0L,    1L,    1L,    0L},
 {1016,256,    0x0L,    1L,    1L,    0L},
 {1008,232,    0x0L,    1L,    1L,    0L},
 {1008,200,    0x0L,    1L,    1L,    0L},
 {1008,176,    0x0L,    1L,    1L,    0L},
 {1008,152,    0x0L,    1L,    1L,    0L},
 {1008,120,    0x0L,    1L,    1L,    0L}, 
                                        /* quadrant 1 dir. 1, speed 0 */ 
 {1008,88,     0x0L,    1L,    1L,    0L},
 {1008,56,     0x0L,    1L,    1L,    0L},
 {1008,16,     0x0L,    1L,    1L,    0L},
 {1016,32,     0x1L,    1L,    1L,    0L},
 {1016,80,     0x1L,    1L,    1L,    0L},
 {1008,144,    0x1L,    1L,    1L,    0L},
 {1000,208,    0x1L,    1L,    1L,    0L},
 {992,280,     0x1L,    1L,    1L,    0L},
 {968,360,     0x1L,    1L,    1L,    0L},
 {944,440,     0x1L,    1L,    1L,    0L},
 {904,520,     0x1L,    1L,    1L,    0L},
 {864,608,     0x1L,    1L,    1L,    0L},
 {808,680,     0x1L,    1L,    1L,    0L},
 {760,752,     0x1L,    1L,    1L,    0L},
 {704,808,     0x1L,    1L,    1L,    0L},
 {648,864,     0x1L,    1L,    1L,    0L},
 {592,904,     0x1L,    1L,    1L,    0L},
 {544,936,     0x1L,    1L,    1L,    0L},
 {496,952,     0x1L,    1L,    1L,    0L},
 {448,968,     0x1L,    1L,    1L,    0L},
 {408,976,     0x1L,    1L,    1L,    0L},
 {368,976,     0x1L,    1L,    1L,    0L},
 {336,968,     0x1L,    1L,    1L,    0L},
 {296,968,     0x1L,    1L,    1L,    0L},
 {264,952,     0x1L,    1L,    1L,    0L},
 {232,944,     0x1L,    1L,    1L,    0L},
 {200,936,     0x1L,    1L,    1L,    0L},
 {168,920,     0x1L,    1L,    1L,    0L},
 {136,912,     0x1L,    1L,    1L,    0L},
 {104,896,     0x1L,    1L,    1L,    0L},
 {72,888,      0x1L,    1L,    1L,    0L},
 {40,872,      0x1L,    1L,    1L,    0L},  
                                        /* quadrant 2 dir. 1, speed 0 */
 {0,864,       0x2L,    1L,    1L,    0L} ,
 {32,856,      0x2L,    1L,    1L,    0L},
 {72,848,      0x2L,    1L,    1L,    0L},
 {120,840,     0x2L,    1L,    1L,    0L},
 {168,832,     0x2L,    1L,    1L,    0L},
 {232,824,     0x2L,    1L,    1L,    0L},
 {296,808,     0x2L,    1L,    1L,    0L},
 {368,800,     0x2L,    1L,    1L,    0L},
 {440,776,     0x2L,    1L,    1L,    0L},
 {520,752,     0x2L,    1L,    1L,    0L},
 {592,720,     0x2L,    1L,    1L,    0L},
 {664,688,     0x2L,    1L,    1L,    0L},
 {736,656,     0x2L,    1L,    1L,    0L},
 {792,616,     0x2L,    1L,    1L,    0L},
 {848,576,     0x2L,    1L,    1L,    0L},
 {888,544,     0x2L,    1L,    1L,    0L},
 {920,504,     0x2L,    1L,    1L,    0L},
 {952,472,     0x2L,    1L,    1L,    0L},
 {968,440,     0x2L,    1L,    1L,    0L},
 {984,416,     0x2L,    1L,    1L,    0L},
 {992,392,     0x2L,    1L,    1L,    0L},
 {1000,368,    0x2L,    1L,    1L,    0L},
 {1008,344,    0x2L,    1L,    1L,    0L},
 {1008,320,    0x2L,    1L,    1L,    0L},
 {1008,296,    0x2L,    1L,    1L,    0L},
 {1016,280,    0x2L,    1L,    1L,    0L},
 {1016,256,    0x2L,    1L,    1L,    0L},
 {1008,232,    0x2L,    1L,    1L,    0L},
 {1008,200,    0x2L,    1L,    1L,    0L},
 {1008,176,    0x2L,    1L,    1L,    0L},
 {1008,152,    0x2L,    1L,    1L,    0L},
 {1008,120,    0x2L,    1L,    1L,    0L}, 
                                        /* quadrant 3 dir. 1, speed 0 */
 {1008,88,     0x2L,    1L,    1L,    0L},
 {1008,56,     0x2L,    1L,    1L,    0L},
 {1008,16,     0x2L,    1L,    1L,    0L},
 {1016,32,     0x3L,    1L,    1L,    0L},
 {1016,80,     0x3L,    1L,    1L,    0L},
 {1008,144,    0x3L,    1L,    1L,    0L},
 {1000,208,    0x3L,    1L,    1L,    0L},
 {992,280,     0x3L,    1L,    1L,    0L},
 {968,360,     0x3L,    1L,    1L,    0L},
 {944,440,     0x3L,    1L,    1L,    0L},
 {904,520,     0x3L,    1L,    1L,    0L},
 {864,608,     0x3L,    1L,    1L,    0L},
 {808,680,     0x3L,    1L,    1L,    0L},
 {760,752,     0x3L,    1L,    1L,    0L},
 {704,808,     0x3L,    1L,    1L,    0L},
 {648,864,     0x3L,    1L,    1L,    0L},
 {592,904,     0x3L,    1L,    1L,    0L},
 {544,936,     0x3L,    1L,    1L,    0L},
 {496,952,     0x3L,    1L,    1L,    0L},
 {448,968,     0x3L,    1L,    1L,    0L},
 {408,976,     0x3L,    1L,    1L,    0L},
 {368,976,     0x3L,    1L,    1L,    0L},
 {336,968,     0x3L,    1L,    1L,    0L},
 {296,968,     0x3L,    1L,    1L,    0L},
 {264,952,     0x3L,    1L,    1L,    0L},
 {232,944,     0x3L,    1L,    1L,    0L},
 {200,936,     0x3L,    1L,    1L,    0L},
 {168,920,     0x3L,    1L,    1L,    0L},
 {136,912,     0x3L,    1L,    1L,    0L},
 {104,896,     0x3L,    1L,    1L,    0L},
 {72,888,      0x3L,    1L,    1L,    0L},
 {40,872,      0x3L,    1L,    1L,    0L}}},
/* EasyCASE > */
/* EasyCASE ) */
/* EasyCASE ( 1233
   Direction 0 (CCW), Speed 1 (special table)
   EDUL-SMIA_nMW2000_FrontContacted_Silent_FullValued   (No 4) */
/* EasyCASE < */
                                         /* quadrant 0 dir. 0, speed 1 */
{{{184,968,     0x0L,    1L,    1L,    0L},
  {232,976,     0x0L,    1L,    1L,    0L},
  {280,984,     0x0L,    1L,    1L,    0L},
  {320,984,     0x0L,    1L,    1L,    0L},
  {352,984,     0x0L,    1L,    1L,    0L},
  {392,984,     0x0L,    1L,    1L,    0L},
  {424,984,     0x0L,    1L,    1L,    0L},
  {456,992,     0x0L,    1L,    1L,    0L},
  {496,992,     0x0L,    1L,    1L,    0L},
  {528,1000,    0x0L,    1L,    1L,    0L},
  {568,1000,    0x0L,    1L,    1L,    0L},
  {608,992,     0x0L,    1L,    1L,    0L},
  {648,976,     0x0L,    1L,    1L,    0L},
  {688,944,     0x0L,    1L,    1L,    0L},
  {728,904,     0x0L,    1L,    1L,    0L},
  {760,856,     0x0L,    1L,    1L,    0L},
  {792,792,     0x0L,    1L,    1L,    0L},
  {824,720,     0x0L,    1L,    1L,    0L},
  {848,640,     0x0L,    1L,    1L,    0L},
  {872,560,     0x0L,    1L,    1L,    0L},
  {896,480,     0x0L,    1L,    1L,    0L},
  {912,408,     0x0L,    1L,    1L,    0L},
  {928,336,     0x0L,    1L,    1L,    0L},
  {944,264,     0x0L,    1L,    1L,    0L},
  {960,208,     0x0L,    1L,    1L,    0L},
  {976,152,     0x0L,    1L,    1L,    0L},
  {984,104,     0x0L,    1L,    1L,    0L},
  {1000,64,     0x0L,    1L,    1L,    0L},
  {1000,16,     0x0L,    1L,    1L,    0L},
  {1008,24,     0x1L,    1L,    1L,    0L},
  {1008,64,     0x1L,    1L,    1L,    0L},
  {1008,104,    0x1L,    1L,    1L,    0L},
                                         /* quadrant 1 dir. 0, speed 1 */
  {1000,144,    0x1L,    1L,    1L,    0L},
  {1000,184,    0x1L,    1L,    1L,    0L},
  {1000,216,    0x1L,    1L,    1L,    0L},
  {1000,248,    0x1L,    1L,    1L,    0L},
  {1000,272,    0x1L,    1L,    1L,    0L},
  {1008,296,    0x1L,    1L,    1L,    0L},
  {1008,312,    0x1L,    1L,    1L,    0L},
  {1016,328,    0x1L,    1L,    1L,    0L},
  {1016,344,    0x1L,    1L,    1L,    0L},
  {1016,360,    0x1L,    1L,    1L,    0L},
  {1008,384,    0x1L,    1L,    1L,    0L},
  {984,408,     0x1L,    1L,    1L,    0L},
  {960,440,     0x1L,    1L,    1L,    0L},
  {920,472,     0x1L,    1L,    1L,    0L},
  {872,504,     0x1L,    1L,    1L,    0L},
  {816,544,     0x1L,    1L,    1L,    0L},
  {760,576,     0x1L,    1L,    1L,    0L},
  {696,608,     0x1L,    1L,    1L,    0L},
  {624,640,     0x1L,    1L,    1L,    0L},
  {560,672,     0x1L,    1L,    1L,    0L},
  {496,696,     0x1L,    1L,    1L,    0L},
  {432,720,     0x1L,    1L,    1L,    0L},
  {376,744,     0x1L,    1L,    1L,    0L},
  {320,768,     0x1L,    1L,    1L,    0L},
  {264,792,     0x1L,    1L,    1L,    0L},
  {200,816,     0x1L,    1L,    1L,    0L},
  {144,848,     0x1L,    1L,    1L,    0L},
  {88,872,      0x1L,    1L,    1L,    0L},
  {32,904,      0x1L,    1L,    1L,    0L},
  {24,928,      0x2L,    1L,    1L,    0L},
  {80,944,      0x2L,    1L,    1L,    0L},
  {136,960,     0x2L,    1L,    1L,    0L},
                                         /* quadrant 2 dir. 0, speed 1 */
  {184,968,     0x2L,    1L,    1L,    0L},
  {232,976,     0x2L,    1L,    1L,    0L},
  {280,984,     0x2L,    1L,    1L,    0L},
  {320,984,     0x2L,    1L,    1L,    0L},
  {352,984,     0x2L,    1L,    1L,    0L},
  {392,984,     0x2L,    1L,    1L,    0L},
  {424,984,     0x2L,    1L,    1L,    0L},
  {456,992,     0x2L,    1L,    1L,    0L},
  {496,992,     0x2L,    1L,    1L,    0L},
  {528,1000,    0x2L,    1L,    1L,    0L},
  {568,1000,    0x2L,    1L,    1L,    0L},
  {608,992,     0x2L,    1L,    1L,    0L},
  {648,976,     0x2L,    1L,    1L,    0L},
  {688,944,     0x2L,    1L,    1L,    0L},
  {728,904,     0x2L,    1L,    1L,    0L},
  {760,856,     0x2L,    1L,    1L,    0L},
  {792,792,     0x2L,    1L,    1L,    0L},
  {824,720,     0x2L,    1L,    1L,    0L},
  {848,640,     0x2L,    1L,    1L,    0L},
  {872,560,     0x2L,    1L,    1L,    0L},
  {896,480,     0x2L,    1L,    1L,    0L},
  {912,408,     0x2L,    1L,    1L,    0L},
  {928,336,     0x2L,    1L,    1L,    0L},
  {944,264,     0x2L,    1L,    1L,    0L},
  {960,208,     0x2L,    1L,    1L,    0L},
  {976,152,     0x2L,    1L,    1L,    0L},
  {984,104,     0x2L,    1L,    1L,    0L},
  {1000,64,     0x2L,    1L,    1L,    0L},
  {1000,16,     0x2L,    1L,    1L,    0L},
  {1008,24,     0x3L,    1L,    1L,    0L},
  {1008,64,     0x3L,    1L,    1L,    0L},
  {1008,104,    0x3L,    1L,    1L,    0L},
                                         /* quadrant 3 dir. 0, speed 1 */
  {1000,144,    0x3L,    1L,    1L,    0L},
  {1000,184,    0x3L,    1L,    1L,    0L},
  {1000,216,    0x3L,    1L,    1L,    0L},
  {1000,248,    0x3L,    1L,    1L,    0L},
  {1000,272,    0x3L,    1L,    1L,    0L},
  {1008,296,    0x3L,    1L,    1L,    0L},
  {1008,312,    0x3L,    1L,    1L,    0L},
  {1016,328,    0x3L,    1L,    1L,    0L},
  {1016,344,    0x3L,    1L,    1L,    0L},
  {1016,360,    0x3L,    1L,    1L,    0L},
  {1008,384,    0x3L,    1L,    1L,    0L},
  {984,408,     0x3L,    1L,    1L,    0L},
  {960,440,     0x3L,    1L,    1L,    0L},
  {920,472,     0x3L,    1L,    1L,    0L},
  {872,504,     0x3L,    1L,    1L,    0L},
  {816,544,     0x3L,    1L,    1L,    0L},
  {760,576,     0x3L,    1L,    1L,    0L},
  {696,608,     0x3L,    1L,    1L,    0L},
  {624,640,     0x3L,    1L,    1L,    0L},
  {560,672,     0x3L,    1L,    1L,    0L},
  {496,696,     0x3L,    1L,    1L,    0L},
  {432,720,     0x3L,    1L,    1L,    0L},
  {376,744,     0x3L,    1L,    1L,    0L},
  {320,768,     0x3L,    1L,    1L,    0L},
  {264,792,     0x3L,    1L,    1L,    0L},
  {200,816,     0x3L,    1L,    1L,    0L},
  {144,848,     0x3L,    1L,    1L,    0L},
  {88,872,      0x3L,    1L,    1L,    0L},
  {32,904,      0x3L,    1L,    1L,    0L},
  {24,928,      0x0L,    1L,    1L,    0L},
  {80,944,      0x0L,    1L,    1L,    0L},
  {136,960,     0x0L,    1L,    1L,    0L}},
/* EasyCASE > */
/* EasyCASE ) */
/* EasyCASE ( 1234
   Direction 1 (CW), Speed 1 (special table)
   EDUL-SMIA_nMW2000_FrontContacted_Silent_FullValued   (No 4) */
/* EasyCASE < */
                                         /* quadrant 0 dir. 1, speed 1 */
{ {48,912,      0x3L,    1L,    1L,    0L},
  {8,888,       0x3L,    1L,    1L,    0L},
  {32,864,      0x0L,    1L,    1L,    0L},
  {72,840,      0x0L,    1L,    1L,    0L},
  {120,824,     0x0L,    1L,    1L,    0L},
  {168,808,     0x0L,    1L,    1L,    0L},
  {232,792,     0x0L,    1L,    1L,    0L},
  {288,776,     0x0L,    1L,    1L,    0L},
  {360,768,     0x0L,    1L,    1L,    0L},
  {432,760,     0x0L,    1L,    1L,    0L},
  {512,744,     0x0L,    1L,    1L,    0L},
  {592,728,     0x0L,    1L,    1L,    0L},
  {664,712,     0x0L,    1L,    1L,    0L},
  {736,696,     0x0L,    1L,    1L,    0L},
  {808,672,     0x0L,    1L,    1L,    0L},
  {864,640,     0x0L,    1L,    1L,    0L},
  {912,616,     0x0L,    1L,    1L,    0L},
  {952,584,     0x0L,    1L,    1L,    0L},
  {984,552,     0x0L,    1L,    1L,    0L},
  {1000,528,    0x0L,    1L,    1L,    0L},
  {1016,504,    0x0L,    1L,    1L,    0L},
  {1016,480,    0x0L,    1L,    1L,    0L},
  {1016,456,    0x0L,    1L,    1L,    0L},
  {1016,440,    0x0L,    1L,    1L,    0L},
  {1008,416,    0x0L,    1L,    1L,    0L},
  {1008,392,    0x0L,    1L,    1L,    0L},
  {1000,368,    0x0L,    1L,    1L,    0L},
  {1000,344,    0x0L,    1L,    1L,    0L},
  {1000,320,    0x0L,    1L,    1L,    0L},
  {1000,296,    0x0L,    1L,    1L,    0L},
  {1000,264,    0x0L,    1L,    1L,    0L},
  {992,232,     0x0L,    1L,    1L,    0L},
                                         /* quadrant 1 dir. 1, speed 1 */
  {992,200,     0x0L,    1L,    1L,    0L},
  {992,160,     0x0L,    1L,    1L,    0L},
  {992,120,     0x0L,    1L,    1L,    0L},
  {984,72,      0x0L,    1L,    1L,    0L},
  {984,24,      0x0L,    1L,    1L,    0L},
  {976,40,      0x1L,    1L,    1L,    0L},
  {976,104,     0x1L,    1L,    1L,    0L},
  {968,184,     0x1L,    1L,    1L,    0L},
  {952,272,     0x1L,    1L,    1L,    0L},
  {936,360,     0x1L,    1L,    1L,    0L},
  {920,456,     0x1L,    1L,    1L,    0L},
  {888,552,     0x1L,    1L,    1L,    0L},
  {856,640,     0x1L,    1L,    1L,    0L},
  {824,728,     0x1L,    1L,    1L,    0L},
  {776,800,     0x1L,    1L,    1L,    0L},
  {736,864,     0x1L,    1L,    1L,    0L},
  {680,912,     0x1L,    1L,    1L,    0L},
  {632,952,     0x1L,    1L,    1L,    0L},
  {584,976,     0x1L,    1L,    1L,    0L},
  {528,984,     0x1L,    1L,    1L,    0L},
  {480,992,     0x1L,    1L,    1L,    0L},
  {440,1000,    0x1L,    1L,    1L,    0L},
  {392,992,     0x1L,    1L,    1L,    0L},
  {352,992,     0x1L,    1L,    1L,    0L},
  {320,992,     0x1L,    1L,    1L,    0L},
  {280,992,     0x1L,    1L,    1L,    0L},
  {248,984,     0x1L,    1L,    1L,    0L},
  {216,984,     0x1L,    1L,    1L,    0L},
  {184,976,     0x1L,    1L,    1L,    0L},
  {144,960,     0x1L,    1L,    1L,    0L},
  {112,952,     0x1L,    1L,    1L,    0L},
  {80,928,      0x1L,    1L,    1L,    0L},
                                         /* quadrant 2 dir. 1, speed 1 */
  {48,912,      0x1L,    1L,    1L,    0L},
  {8,888,       0x1L,    1L,    1L,    0L},
  {32,864,      0x2L,    1L,    1L,    0L},
  {72,840,      0x2L,    1L,    1L,    0L},
  {120,824,     0x2L,    1L,    1L,    0L},
  {168,808,     0x2L,    1L,    1L,    0L},
  {232,792,     0x2L,    1L,    1L,    0L},
  {288,776,     0x2L,    1L,    1L,    0L},
  {360,768,     0x2L,    1L,    1L,    0L},
  {432,760,     0x2L,    1L,    1L,    0L},
  {512,744,     0x2L,    1L,    1L,    0L},
  {592,728,     0x2L,    1L,    1L,    0L},
  {664,712,     0x2L,    1L,    1L,    0L},
  {736,696,     0x2L,    1L,    1L,    0L},
  {808,672,     0x2L,    1L,    1L,    0L},
  {864,640,     0x2L,    1L,    1L,    0L},
  {912,616,     0x2L,    1L,    1L,    0L},
  {952,584,     0x2L,    1L,    1L,    0L},
  {984,552,     0x2L,    1L,    1L,    0L},
  {1000,528,    0x2L,    1L,    1L,    0L},
  {1016,504,    0x2L,    1L,    1L,    0L},
  {1016,480,    0x2L,    1L,    1L,    0L},
  {1016,456,    0x2L,    1L,    1L,    0L},
  {1016,440,    0x2L,    1L,    1L,    0L},
  {1008,416,    0x2L,    1L,    1L,    0L},
  {1008,392,    0x2L,    1L,    1L,    0L},
  {1000,368,    0x2L,    1L,    1L,    0L},
  {1000,344,    0x2L,    1L,    1L,    0L},
  {1000,320,    0x2L,    1L,    1L,    0L},
  {1000,296,    0x2L,    1L,    1L,    0L},
  {1000,264,    0x2L,    1L,    1L,    0L},
  {992,232,     0x2L,    1L,    1L,    0L},
                                         /* quadrant 3 dir. 1, speed 1 */
  {992,200,     0x2L,    1L,    1L,    0L},
  {992,160,     0x2L,    1L,    1L,    0L},
  {992,120,     0x2L,    1L,    1L,    0L},
  {984,72,      0x2L,    1L,    1L,    0L},
  {984,24,      0x2L,    1L,    1L,    0L},
  {976,40,      0x3L,    1L,    1L,    0L},
  {976,104,     0x3L,    1L,    1L,    0L},
  {968,184,     0x3L,    1L,    1L,    0L},
  {952,272,     0x3L,    1L,    1L,    0L},
  {936,360,     0x3L,    1L,    1L,    0L},
  {920,456,     0x3L,    1L,    1L,    0L},
  {888,552,     0x3L,    1L,    1L,    0L},
  {856,640,     0x3L,    1L,    1L,    0L},
  {824,728,     0x3L,    1L,    1L,    0L},
  {776,800,     0x3L,    1L,    1L,    0L},
  {736,864,     0x3L,    1L,    1L,    0L},
  {680,912,     0x3L,    1L,    1L,    0L},
  {632,952,     0x3L,    1L,    1L,    0L},
  {584,976,     0x3L,    1L,    1L,    0L},
  {528,984,     0x3L,    1L,    1L,    0L},
  {480,992,     0x3L,    1L,    1L,    0L},
  {440,1000,    0x3L,    1L,    1L,    0L},
  {392,992,     0x3L,    1L,    1L,    0L},
  {352,992,     0x3L,    1L,    1L,    0L},
  {320,992,     0x3L,    1L,    1L,    0L},
  {280,992,     0x3L,    1L,    1L,    0L},
  {248,984,     0x3L,    1L,    1L,    0L},
  {216,984,     0x3L,    1L,    1L,    0L},
  {184,976,     0x3L,    1L,    1L,    0L},
  {144,960,     0x3L,    1L,    1L,    0L},
  {112,952,     0x3L,    1L,    1L,    0L},
  {80,928,      0x3L,    1L,    1L,    0L}}}}
 };

const struct SMIA_ISM_PWMStd SMIA_ISM_A_STDPWMTABLE5 = {

/* CVP CHP       CQI     IVR     IHR */
{                                       /* quadrant 0 dir. 0, speed 0 */
{{{40,960,      0x0L,    1L,    1L,    0L},
  {72,968,      0x0L,    1L,    1L,    0L},
  {112,976,     0x0L,    1L,    1L,    0L},
  {144,976,     0x0L,    1L,    1L,    0L},
  {176,984,     0x0L,    1L,    1L,    0L},
  {216,992,     0x0L,    1L,    1L,    0L},
  {256,992,     0x0L,    1L,    1L,    0L},
  {288,992,     0x0L,    1L,    1L,    0L},
  {328,992,     0x0L,    1L,    1L,    0L},
  {368,992,     0x0L,    1L,    1L,    0L},
  {408,984,     0x0L,    1L,    1L,    0L},
  {448,968,     0x0L,    1L,    1L,    0L},
  {496,944,     0x0L,    1L,    1L,    0L},
  {544,912,     0x0L,    1L,    1L,    0L},
  {592,872,     0x0L,    1L,    1L,    0L},
  {640,824,     0x0L,    1L,    1L,    0L},
  {696,768,     0x0L,    1L,    1L,    0L},
  {744,704,     0x0L,    1L,    1L,    0L},
  {792,632,     0x0L,    1L,    1L,    0L},
  {840,552,     0x0L,    1L,    1L,    0L},
  {880,472,     0x0L,    1L,    1L,    0L},
  {920,392,     0x0L,    1L,    1L,    0L},
  {952,320,     0x0L,    1L,    1L,    0L},
  {976,240,     0x0L,    1L,    1L,    0L},
  {992,168,     0x0L,    1L,    1L,    0L},
  {1000,104,    0x0L,    1L,    1L,    0L},
  {1008,48,     0x0L,    1L,    1L,    0L},
  {1008,0,      0x0L,    1L,    1L,    0L},
  {1016,48,     0x1L,    1L,    1L,    0L},
  {1016,80,     0x1L,    1L,    1L,    0L},
  {1016,120,    0x1L,    1L,    1L,    0L},
  {1016,152,    0x1L,    1L,    1L,    0L},
                                          /* quadrant 1 dir. 0, speed 0 */
  {1016,184,    0x1L,    1L,    1L,    0L},
  {1016,208,    0x1L,    1L,    1L,    0L},
  {1016,240,    0x1L,    1L,    1L,    0L},
  {1016,264,    0x1L,    1L,    1L,    0L},
  {1016,288,    0x1L,    1L,    1L,    0L},
  {1008,312,    0x1L,    1L,    1L,    0L},
  {1008,336,    0x1L,    1L,    1L,    0L},
  {1008,360,     0x1L,    1L,    1L,    0L},
  {1000,384,     0x1L,    1L,    1L,    0L},
  {1000,408,    0x1L,    1L,    1L,    0L},
  {992,432,     0x1L,    1L,    1L,    0L},
  {984,456,     0x1L,    1L,    1L,    0L},
  {976,480,     0x1L,    1L,    1L,    0L},
  {960,512,     0x1L,    1L,    1L,    0L},
  {944,544,     0x1L,    1L,    1L,    0L},
  {920,576,     0x1L,    1L,    1L,    0L},
  {888,616,     0x1L,    1L,    1L,    0L},
  {840,656,     0x1L,    1L,    1L,    0L},
  {792,696,     0x1L,    1L,    1L,    0L},
  {736,736,     0x1L,    1L,    1L,    0L},
  {672,776,     0x1L,    1L,    1L,    0L},
  {600,808,     0x1L,    1L,    1L,    0L},
  {528,840,     0x1L,    1L,    1L,    0L},
  {456,872,     0x1L,    1L,    1L,    0L},
  {384,896,     0x1L,    1L,    1L,    0L},
  {312,912,     0x1L,    1L,    1L,    0L},
  {248,928,     0x1L,    1L,    1L,    0L},
  {184,936,     0x1L,    1L,    1L,    0L},
  {128,944,     0x1L,    1L,    1L,    0L},
  {80,952,      0x1L,    1L,    1L,    0L},
  {40,952,      0x1L,    1L,    1L,    0L},
  {0,960,       0x1L,    1L,    1L,    0L},
                                          /* quadrant 2 dir. 0, speed 0 */
  {40,960,      0x2L,    1L,    1L,    0L},
  {72,968,      0x2L,    1L,    1L,    0L},
  {112,976,     0x2L,    1L,    1L,    0L},
  {144,976,     0x2L,    1L,    1L,    0L},
  {176,984,     0x2L,    1L,    1L,    0L},
  {216,992,     0x2L,    1L,    1L,    0L},
  {256,992,     0x2L,    1L,    1L,    0L},
  {288,992,     0x2L,    1L,    1L,    0L},
  {328,992,     0x2L,    1L,    1L,    0L},
  {368,992,     0x2L,    1L,    1L,    0L},
  {408,984,     0x2L,    1L,    1L,    0L},
  {448,968,     0x2L,    1L,    1L,    0L},
  {496,944,     0x2L,    1L,    1L,    0L},
  {544,912,     0x2L,    1L,    1L,    0L},
  {592,872,     0x2L,    1L,    1L,    0L},
  {640,824,     0x2L,    1L,    1L,    0L},
  {696,768,     0x2L,    1L,    1L,    0L},
  {744,704,     0x2L,    1L,    1L,    0L},
  {792,632,     0x2L,    1L,    1L,    0L},
  {840,552,     0x2L,    1L,    1L,    0L},
  {880,472,     0x2L,    1L,    1L,    0L},
  {920,392,     0x2L,    1L,    1L,    0L},
  {952,320,     0x2L,    1L,    1L,    0L},
  {976,240,     0x2L,    1L,    1L,    0L},
  {992,168,     0x2L,    1L,    1L,    0L},
  {1000,104,    0x2L,    1L,    1L,    0L},
  {1008,48,     0x2L,    1L,    1L,    0L},
  {1008,0,      0x2L,    1L,    1L,    0L},
  {1016,48,     0x3L,    1L,    1L,    0L},
  {1016,80,     0x3L,    1L,    1L,    0L},
  {1016,120,    0x3L,    1L,    1L,    0L},
  {1016,152,    0x3L,    1L,    1L,    0L},
                                          /* quadrant 3 dir. 0, speed 0 */
  {1016,184,    0x3L,    1L,    1L,    0L},
  {1016,208,     0x3L,    1L,    1L,    0L},
  {1016,240,     0x3L,    1L,    1L,    0L},
  {1016,264,     0x3L,    1L,    1L,    0L},
  {1016,288,     0x3L,    1L,    1L,    0L},
  {1008,312,    0x3L,    1L,    1L,    0L},
  {1008,336,    0x3L,    1L,    1L,    0L},
  {1008,360,    0x3L,    1L,    1L,    0L},
  {1000,384,    0x3L,    1L,    1L,    0L},
  {1000,408,    0x3L,    1L,    1L,    0L},
  {992,432,     0x3L,    1L,    1L,    0L},
  {984,456,     0x3L,    1L,    1L,    0L},
  {976,480,     0x3L,    1L,    1L,    0L},
  {960,512,     0x3L,    1L,    1L,    0L},
  {944,544,     0x3L,    1L,    1L,    0L},
  {920,576,     0x3L,    1L,    1L,    0L},
  {888,616,     0x3L,    1L,    1L,    0L},
  {840,656,     0x3L,    1L,    1L,    0L},
  {792,696,     0x3L,    1L,    1L,    0L},
  {736,736,     0x3L,    1L,    1L,    0L},
  {672,776,     0x3L,    1L,    1L,    0L},
  {600,808,     0x3L,    1L,    1L,    0L},
  {528,840,     0x3L,    1L,    1L,    0L},
  {456,872,     0x3L,    1L,    1L,    0L},
  {384,896,     0x3L,    1L,    1L,    0L},
  {312,912,     0x3L,    1L,    1L,    0L},
  {248,928,     0x3L,    1L,    1L,    0L},
  {184,936,     0x3L,    1L,    1L,    0L},
  {128,944,     0x3L,    1L,    1L,    0L},
  {80,952,      0x3L,    1L,    1L,    0L},
  {40,952,      0x3L,    1L,    1L,    0L},
  {0,960,       0x3L,    1L,    1L,    0L}},
/* EasyCASE > */
/* EasyCASE ) */
/* EasyCASE ( 1255
   Direction 1 (CCW), Speed 0 (normal table)
   MUL-SMIA_nMW2000_FrontContacted_Basic_Valued  (No 5) */
/* EasyCASE < */
                                        /* quadrant 0 dir. 0, speed 0 */
{{176,968,     0x3L,    1L,    1L,    0L},
 {128,968,     0x3L,    1L,    1L,    0L},
 {80,968,      0x3L,    1L,    1L,    0L},
 {32,968,      0x3L,    1L,    1L,    0L},
 {32,960,      0x0L,    1L,    1L,    0L},
 {96,944,      0x0L,    1L,    1L,    0L},
 {160,928,     0x0L,    1L,    1L,    0L},
 {232,912,     0x0L,    1L,    1L,    0L},
 {312,888,     0x0L,    1L,    1L,    0L},
 {392,856,     0x0L,    1L,    1L,    0L},
 {472,824,     0x0L,    1L,    1L,    0L},
 {552,792,     0x0L,    1L,    1L,    0L},
 {632,752,     0x0L,    1L,    1L,    0L},
 {704,704,     0x0L,    1L,    1L,    0L},
 {768,664,     0x0L,    1L,    1L,    0L},
 {824,616,     0x0L,    1L,    1L,    0L},
 {872,576,     0x0L,    1L,    1L,    0L},
 {912,536,     0x0L,    1L,    1L,    0L},
 {944,496,     0x0L,    1L,    1L,    0L},
 {960,456,     0x0L,    1L,    1L,    0L},
 {984,424,     0x0L,    1L,    1L,    0L},
 {992,392,     0x0L,    1L,    1L,    0L},
 {1000,360,    0x0L,    1L,    1L,    0L},
 {1008,328,    0x0L,    1L,    1L,    0L},
 {1008,304,    0x0L,    1L,    1L,    0L},
 {1008,272,    0x0L,    1L,    1L,    0L},
 {1008,248,    0x0L,    1L,    1L,    0L},
 {1008,224,    0x0L,    1L,    1L,    0L},
 {1008,200,    0x0L,    1L,    1L,    0L},
 {1008,176,    0x0L,    1L,    1L,    0L},
 {1008,152,    0x0L,    1L,    1L,    0L},
 {1008,128,    0x0L,    1L,    1L,    0L},
                                        /* quadrant 1 dir. 0, speed 0 */
 {1008,104,    0x0L,    1L,    1L,    0L},
 {1008,72,     0x0L,    1L,    1L,    0L},
 {1008,40,     0x0L,    1L,    1L,    0L},
 {1008,8,      0x0L,    1L,    1L,    0L},
 {1008,32,     0x1L,    1L,    1L,    0L},
 {1008,80,     0x1L,    1L,    1L,    0L},
 {1000,128,    0x1L,    1L,    1L,    0L},
 {992,184,     0x1L,    1L,    1L,    0L},
 {984,240,     0x1L,    1L,    1L,    0L},
 {968,304,     0x1L,    1L,    1L,    0L},
 {952,376,     0x1L,    1L,    1L,    0L},
 {928,440,     0x1L,    1L,    1L,    0L},
 {896,504,     0x1L,    1L,    1L,    0L},
 {864,576,     0x1L,    1L,    1L,    0L},
 {832,640,     0x1L,    1L,    1L,    0L},
 {792,696,     0x1L,    1L,    1L,    0L},
 {752,752,     0x1L,    1L,    1L,    0L},
 {712,792,     0x1L,    1L,    1L,    0L},
 {672,832,     0x1L,    1L,    1L,    0L},
 {632,872,     0x1L,    1L,    1L,    0L},
 {600,896,     0x1L,    1L,    1L,    0L},
 {560,920,     0x1L,    1L,    1L,    0L},
 {520,936,     0x1L,    1L,    1L,    0L},
 {488,944,     0x1L,    1L,    1L,    0L},
 {456,952,     0x1L,    1L,    1L,    0L},
 {416,960,     0x1L,    1L,    1L,    0L},
 {384,960,     0x1L,    1L,    1L,    0L},
 {352,968,     0x1L,    1L,    1L,    0L},
 {320,968,     0x1L,    1L,    1L,    0L},
 {288,968,     0x1L,    1L,    1L,    0L},
 {248,968,     0x1L,    1L,    1L,    0L},
 {216,968,     0x1L,    1L,    1L,    0L},
                                        /* quadrant 2 dir. 0, speed 0 */
 {176,968,     0x1L,    1L,    1L,    0L},
 {128,968,     0x1L,    1L,    1L,    0L},
 {80,968,      0x1L,    1L,    1L,    0L},
 {32,968,      0x1L,    1L,    1L,    0L},
 {32,960,      0x2L,    1L,    1L,    0L},
 {96,944,      0x2L,    1L,    1L,    0L},
 {160,928,     0x2L,    1L,    1L,    0L},
 {232,912,     0x2L,    1L,    1L,    0L},
 {312,888,     0x2L,    1L,    1L,    0L},
 {392,856,     0x2L,    1L,    1L,    0L},
 {472,824,     0x2L,    1L,    1L,    0L},
 {552,792,     0x2L,    1L,    1L,    0L},
 {632,752,     0x2L,    1L,    1L,    0L},
 {704,704,     0x2L,    1L,    1L,    0L},
 {768,664,     0x2L,    1L,    1L,    0L},
 {824,616,     0x2L,    1L,    1L,    0L},
 {872,576,     0x2L,    1L,    1L,    0L},
 {912,536,     0x2L,    1L,    1L,    0L},
 {944,496,     0x2L,    1L,    1L,    0L},
 {960,456,     0x2L,    1L,    1L,    0L},
 {984,424,     0x2L,    1L,    1L,    0L},
 {992,392,     0x2L,    1L,    1L,    0L},
 {1000,360,    0x2L,    1L,    1L,    0L},
 {1008,328,    0x2L,    1L,    1L,    0L},
 {1008,304,    0x2L,    1L,    1L,    0L},
 {1008,272,    0x2L,    1L,    1L,    0L},
 {1008,248,    0x2L,    1L,    1L,    0L},
 {1008,224,    0x2L,    1L,    1L,    0L},
 {1008,200,    0x2L,    1L,    1L,    0L},
 {1008,176,    0x2L,    1L,    1L,    0L},
 {1008,152,    0x2L,    1L,    1L,    0L},
 {1008,128,    0x2L,    1L,    1L,    0L},
                                        /* quadrant 3 dir. 0, speed 0 */
 {1008,104,    0x2L,    1L,    1L,    0L},
 {1008,72,     0x2L,    1L,    1L,    0L},
 {1008,40,     0x2L,    1L,    1L,    0L},
 {1008,8,      0x2L,    1L,    1L,    0L},
 {1008,32,     0x3L,    1L,    1L,    0L},
 {1008,80,     0x3L,    1L,    1L,    0L},
 {1000,128,    0x3L,    1L,    1L,    0L},
 {992,184,     0x3L,    1L,    1L,    0L},
 {984,240,     0x3L,    1L,    1L,    0L},
 {968,304,     0x3L,    1L,    1L,    0L},
 {952,376,     0x3L,    1L,    1L,    0L},
 {928,440,     0x3L,    1L,    1L,    0L},
 {896,504,     0x3L,    1L,    1L,    0L},
 {864,576,     0x3L,    1L,    1L,    0L},
  {832,640,     0x3L,    1L,    1L,    0L},
 {792,696,     0x3L,    1L,    1L,    0L},
 {752,752,     0x3L,    1L,    1L,    0L},
 {712,792,     0x3L,    1L,    1L,    0L},
 {672,832,     0x3L,    1L,    1L,    0L},
 {632,872,     0x3L,    1L,    1L,    0L},
 {600,896,     0x3L,    1L,    1L,    0L},
 {560,920,     0x3L,    1L,    1L,    0L},
 {520,936,     0x3L,    1L,    1L,    0L},
 {488,944,     0x3L,    1L,    1L,    0L},
 {456,952,     0x3L,    1L,    1L,    0L},
 {416,960,     0x3L,    1L,    1L,    0L},
 {384,960,     0x3L,    1L,    1L,    0L},
 {352,968,     0x3L,    1L,    1L,    0L},
 {320,968,     0x3L,    1L,    1L,    0L},
 {288,968,     0x3L,    1L,    1L,    0L},
 {248,968,     0x3L,    1L,    1L,    0L},
 {216,968,     0x3L,    1L,    1L,    0L}}},
/* EasyCASE > */
/* EasyCASE ) */
/* EasyCASE ( 1256
   Direction 0 (CW), Speed 1 (special table)
   MUL-SMIA_nMW2000_FrontContacted_Basic_Valued  (No 5) */
/* EasyCASE < */
                                         /* quadrant 0 dir. 0, speed 1 */
{{{144,856,     0x0L,    1L,    1L,    0L},
  {176,856,     0x0L,    1L,    1L,    0L},
  {208,864,     0x0L,    1L,    1L,    0L},
  {232,880,     0x0L,    1L,    1L,    0L},
  {256,888,     0x0L,    1L,    1L,    0L},
  {288,912,     0x0L,    1L,    1L,    0L},
  {320,928,     0x0L,    1L,    1L,    0L},
  {352,952,     0x0L,    1L,    1L,    0L},
  {384,968,     0x0L,    1L,    1L,    0L},
  {424,992,     0x0L,    1L,    1L,    0L},
  {464,1000,    0x0L,    1L,    1L,    0L},
  {504,1008,    0x0L,    1L,    1L,    0L},
  {552,1008,    0x0L,    1L,    1L,    0L},
  {592,992,     0x0L,    1L,    1L,    0L},
  {640,960,     0x0L,    1L,    1L,    0L},
  {688,920,     0x0L,    1L,    1L,    0L},
  {728,864,     0x0L,    1L,    1L,    0L},
  {776,792,     0x0L,    1L,    1L,    0L},
  {808,712,     0x0L,    1L,    1L,    0L},
  {840,624,     0x0L,    1L,    1L,    0L},
  {872,520,     0x0L,    1L,    1L,    0L},
  {896,424,     0x0L,    1L,    1L,    0L},
  {912,320,     0x0L,    1L,    1L,    0L},
  {928,216,     0x0L,    1L,    1L,    0L},
  {936,120,     0x0L,    1L,    1L,    0L},
  {936,32,      0x0L,    1L,    1L,    0L},
  {936,48,      0x1L,    1L,    1L,    0L},
  {936,112,     0x1L,    1L,    1L,    0L},
  {928,176,     0x1L,    1L,    1L,    0L},
  {928,232,     0x1L,    1L,    1L,    0L},
  {920,272,     0x1L,    1L,    1L,    0L},
  {920,304,     0x1L,    1L,    1L,    0L},
                                         /* quadrant 1 dir. 0, speed 1 */
  {912,336,     0x1L,    1L,    1L,    0L},
  {912,360,     0x1L,    1L,    1L,    0L},
  {920,376,     0x1L,    1L,    1L,    0L},
  {920,392,     0x1L,    1L,    1L,    0L},
  {928,408,     0x1L,    1L,    1L,    0L},
  {944,424,     0x1L,    1L,    1L,    0L},
  {952,440,     0x1L,    1L,    1L,    0L},
  {968,456,     0x1L,    1L,    1L,    0L},
  {976,472,     0x1L,    1L,    1L,    0L},
  {984,496,     0x1L,    1L,    1L,    0L},
  {992,528,     0x1L,    1L,    1L,    0L},
  {992,560,     0x1L,    1L,    1L,    0L},
  {992,592,     0x1L,    1L,    1L,    0L},
  {976,632,     0x1L,    1L,    1L,    0L},
  {952,672,     0x1L,    1L,    1L,    0L},
  {920,712,     0x1L,    1L,    1L,    0L},
  {880,744,     0x1L,    1L,    1L,    0L},
  {824,784,     0x1L,    1L,    1L,    0L},
  {768,816,     0x1L,    1L,    1L,    0L},
  {696,840,     0x1L,    1L,    1L,    0L},
  {624,864,     0x1L,    1L,    1L,    0L},
  {544,880,     0x1L,    1L,    1L,    0L},
  {464,888,     0x1L,    1L,    1L,    0L},
  {384,896,     0x1L,    1L,    1L,    0L},
  {304,896,     0x1L,    1L,    1L,    0L},
  {224,888,     0x1L,    1L,    1L,    0L},
  {152,888,     0x1L,    1L,    1L,    0L},
  {88,880,      0x1L,    1L,    1L,    0L},
  {32,872,      0x1L,    1L,    1L,    0L},
  {24,864,      0x2L,    1L,    1L,    0L},
  {72,864,      0x2L,    1L,    1L,    0L},
  {112,856,     0x2L,    1L,    1L,    0L},
                                         /* quadrant 2 dir. 0, speed 1 */
  {144,856,     0x2L,    1L,    1L,    0L},
  {176,856,     0x2L,    1L,    1L,    0L},
  {208,864,     0x2L,    1L,    1L,    0L},
  {232,880,     0x2L,    1L,    1L,    0L},
  {256,888,     0x2L,    1L,    1L,    0L},
  {288,912,     0x2L,    1L,    1L,    0L},
  {320,928,     0x2L,    1L,    1L,    0L},
  {352,952,     0x2L,    1L,    1L,    0L},
  {384,968,     0x2L,    1L,    1L,    0L},
  {424,992,     0x2L,    1L,    1L,    0L},
  {464,1000,    0x2L,    1L,    1L,    0L},
  {504,1008,    0x2L,    1L,    1L,    0L},
  {552,1008,    0x2L,    1L,    1L,    0L},
  {592,992,     0x2L,    1L,    1L,    0L},
  {640,960,     0x2L,    1L,    1L,    0L},
  {688,920,     0x2L,    1L,    1L,    0L},
  {728,864,     0x2L,    1L,    1L,    0L},
  {776,792,     0x2L,    1L,    1L,    0L},
  {808,712,     0x2L,    1L,    1L,    0L},
  {840,624,     0x2L,    1L,    1L,    0L},
  {872,520,     0x2L,    1L,    1L,    0L},
  {896,424,     0x2L,    1L,    1L,    0L},
  {912,320,     0x2L,    1L,    1L,    0L},
  {928,216,     0x2L,    1L,    1L,    0L},
  {936,120,     0x2L,    1L,    1L,    0L},
  {936,32,      0x2L,    1L,    1L,    0L},
  {936,48,      0x3L,    1L,    1L,    0L},
  {936,112,     0x3L,    1L,    1L,    0L},
  {928,176,     0x3L,    1L,    1L,    0L},
  {928,232,     0x3L,    1L,    1L,    0L},
  {920,272,     0x3L,    1L,    1L,    0L},
  {920,304,     0x3L,    1L,    1L,    0L},
                                         /* quadrant 3 dir. 0, speed 1 */
  {912,336,     0x3L,    1L,    1L,    0L},
  {912,360,     0x3L,    1L,    1L,    0L},
  {920,376,     0x3L,    1L,    1L,    0L},
  {920,392,     0x3L,    1L,    1L,    0L},
  {928,408,     0x3L,    1L,    1L,    0L},
  {944,424,     0x3L,    1L,    1L,    0L},
  {952,440,     0x3L,    1L,    1L,    0L},
  {968,456,     0x3L,    1L,    1L,    0L},
  {976,472,     0x3L,    1L,    1L,    0L},
  {984,496,     0x3L,    1L,    1L,    0L},
  {992,528,     0x3L,    1L,    1L,    0L},
  {992,560,     0x3L,    1L,    1L,    0L},
  {992,592,     0x3L,    1L,    1L,    0L},
  {976,632,     0x3L,    1L,    1L,    0L},
  {952,672,     0x3L,    1L,    1L,    0L},
  {920,712,     0x3L,    1L,    1L,    0L},
  {880,744,     0x3L,    1L,    1L,    0L},
  {824,784,     0x3L,    1L,    1L,    0L},
  {768,816,     0x3L,    1L,    1L,    0L},
  {696,840,     0x3L,    1L,    1L,    0L},
  {624,864,     0x3L,    1L,    1L,    0L},
  {544,880,     0x3L,    1L,    1L,    0L},
  {464,888,     0x3L,    1L,    1L,    0L},
  {384,896,     0x3L,    1L,    1L,    0L},
  {304,896,     0x3L,    1L,    1L,    0L},
  {224,888,     0x3L,    1L,    1L,    0L},
  {152,888,     0x3L,    1L,    1L,    0L},
  {88,880,      0x3L,    1L,    1L,    0L},
  {32,872,      0x3L,    1L,    1L,    0L},
  {24,864,      0x0L,    1L,    1L,    0L},
  {72,864,      0x0L,    1L,    1L,    0L},
  {112,856,     0x0L,    1L,    1L,    0L}},
/* EasyCASE > */
/* EasyCASE ) */
/* EasyCASE ( 1257
   Direction 1 (CCW), Speed 1 (special table)
   MUL-SMIA_nMW2000_FrontContacted_Basic_Valued  (No 5) */
/* EasyCASE < */
                                         /* quadrant 0 dir. 0, speed 1 */
{ {216,952,     0x3L,    1L,    1L,    0L},
  {160,960,     0x3L,    1L,    1L,    0L},
  {96,960,      0x3L,    1L,    1L,    0L},
  {32,960,      0x3L,    1L,    1L,    0L},
  {40,952,      0x0L,    1L,    1L,    0L},
  {112,936,     0x0L,    1L,    1L,    0L},
  {192,912,     0x0L,    1L,    1L,    0L},
  {280,888,     0x0L,    1L,    1L,    0L},
  {360,864,     0x0L,    1L,    1L,    0L},
  {440,824,     0x0L,    1L,    1L,    0L},
  {528,792,     0x0L,    1L,    1L,    0L},
  {608,744,     0x0L,    1L,    1L,    0L},
  {680,704,     0x0L,    1L,    1L,    0L},
  {744,664,     0x0L,    1L,    1L,    0L},
  {808,616,     0x0L,    1L,    1L,    0L},
  {864,576,     0x0L,    1L,    1L,    0L},
  {904,536,     0x0L,    1L,    1L,    0L},
  {944,504,     0x0L,    1L,    1L,    0L},
  {968,472,     0x0L,    1L,    1L,    0L},
  {984,448,     0x0L,    1L,    1L,    0L},
  {1000,424,    0x0L,    1L,    1L,    0L},
  {1000,408,     0x0L,    1L,    1L,    0L},
  {1000,400,     0x0L,    1L,    1L,    0L},
  {992,384,     0x0L,    1L,    1L,    0L},
  {984,376,     0x0L,    1L,    1L,    0L},
  {976,360,     0x0L,    1L,    1L,    0L},
  {968,352,     0x0L,    1L,    1L,    0L},
  {968,328,     0x0L,    1L,    1L,    0L},
  {960,304,     0x0L,    1L,    1L,    0L},
  {960,272,     0x0L,    1L,    1L,    0L},
  {968,232,     0x0L,    1L,    1L,    0L},
  {976,176,     0x0L,    1L,    1L,    0L},
                                         /* quadrant 1 dir. 0, speed 1 */
  {984,120,     0x0L,    1L,    1L,    0L},
  {992,56,      0x0L,    1L,    1L,    0L},
  {1000,16,     0x1L,    1L,    1L,    0L},
  {1008,104,    0x1L,    1L,    1L,    0L},
  {1008,184,    0x1L,    1L,    1L,    0L},
  {1016,272,    0x1L,    1L,    1L,    0L},
  {1008,368,    0x1L,    1L,    1L,    0L},
  {1000,456,    0x1L,    1L,    1L,    0L},
  {992,552,     0x1L,    1L,    1L,    0L},
  {976,632,     0x1L,    1L,    1L,    0L},
  {960,712,     0x1L,    1L,    1L,    0L},
  {936,784,     0x1L,    1L,    1L,    0L},
  {904,848,     0x1L,    1L,    1L,    0L},
  {880,904,     0x1L,    1L,    1L,    0L},
  {848,944,     0x1L,    1L,    1L,    0L},
  {816,968,     0x1L,    1L,    1L,    0L},
  {776,984,     0x1L,    1L,    1L,    0L},
  {744,992,     0x1L,    1L,    1L,    0L},
  {704,992,     0x1L,    1L,    1L,    0L},
  {672,984,     0x1L,    1L,    1L,    0L},
  {632,968,     0x1L,    1L,    1L,    0L},
  {600,952,     0x1L,    1L,    1L,    0L},
  {568,936,     0x1L,    1L,    1L,    0L},
  {536,920,     0x1L,    1L,    1L,    0L},
  {504,912,     0x1L,    1L,    1L,    0L},
  {480,904,     0x1L,    1L,    1L,    0L},
  {448,904,     0x1L,    1L,    1L,    0L},
  {416,904,     0x1L,    1L,    1L,    0L},
  {384,912,     0x1L,    1L,    1L,    0L},
  {352,928,     0x1L,    1L,    1L,    0L},
  {312,936,     0x1L,    1L,    1L,    0L},
  {264,944,     0x1L,    1L,    1L,    0L},
                                         /* quadrant 2 dir. 0, speed 1 */
  {216,952,     0x1L,    1L,    1L,    0L},
  {160,960,     0x1L,    1L,    1L,    0L},
  {96,960,      0x1L,    1L,    1L,    0L},
  {32,960,      0x1L,    1L,    1L,    0L},
  {40,952,      0x2L,    1L,    1L,    0L},
  {112,936,     0x2L,    1L,    1L,    0L},
  {192,912,     0x2L,    1L,    1L,    0L},
  {280,888,     0x2L,    1L,    1L,    0L},
  {360,864,     0x2L,    1L,    1L,    0L},
  {440,824,     0x2L,    1L,    1L,    0L},
  {528,792,     0x2L,    1L,    1L,    0L},
  {608,744,     0x2L,    1L,    1L,    0L},
  {680,704,     0x2L,    1L,    1L,    0L},
  {744,664,     0x2L,    1L,    1L,    0L},
  {808,616,     0x2L,    1L,    1L,    0L},
  {864,576,     0x2L,    1L,    1L,    0L},
  {904,536,     0x2L,    1L,    1L,    0L},
  {944,504,     0x2L,    1L,    1L,    0L},
  {968,472,     0x2L,    1L,    1L,    0L},
  {984,448,     0x2L,    1L,    1L,    0L},
  {1000,424,    0x2L,    1L,    1L,    0L},
  {1000,408,     0x2L,    1L,    1L,    0L},
  {1000,400,    0x2L,    1L,    1L,    0L},
  {992,384,     0x2L,    1L,    1L,    0L},
  {984,376,     0x2L,    1L,    1L,    0L},
  {976,360,     0x2L,    1L,    1L,    0L},
  {968,352,     0x2L,    1L,    1L,    0L},
  {968,328,     0x2L,    1L,    1L,    0L},
  {960,304,     0x2L,    1L,    1L,    0L},
  {960,272,     0x2L,    1L,    1L,    0L},
  {968,232,     0x2L,    1L,    1L,    0L},
  {976,176,     0x2L,    1L,    1L,    0L},
                                         /* quadrant 3 dir. 0, speed 1 */
  {984,120,     0x2L,    1L,    1L,    0L},
  {992,56,      0x2L,    1L,    1L,    0L},
  {1000,16,     0x3L,    1L,    1L,    0L},
  {1008,104,    0x3L,    1L,    1L,    0L},
  {1008,184,    0x3L,    1L,    1L,    0L},
  {1016,272,    0x3L,    1L,    1L,    0L},
  {1008,368,    0x3L,    1L,    1L,    0L},
  {1000,456,    0x3L,    1L,    1L,    0L},
  {992,552,     0x3L,    1L,    1L,    0L},
  {976,632,     0x3L,    1L,    1L,    0L},
  {960,712,     0x3L,    1L,    1L,    0L},
  {936,784,     0x3L,    1L,    1L,    0L},
  {904,848,     0x3L,    1L,    1L,    0L},
  {880,904,     0x3L,    1L,    1L,    0L},
  {848,944,     0x3L,    1L,    1L,    0L},
  {816,968,     0x3L,    1L,    1L,    0L},
  {776,984,     0x3L,    1L,    1L,    0L},
  {744,992,     0x3L,    1L,    1L,    0L},
  {704,992,     0x3L,    1L,    1L,    0L},
  {672,984,     0x3L,    1L,    1L,    0L},
  {632,968,     0x3L,    1L,    1L,    0L},
  {600,952,     0x3L,    1L,    1L,    0L},
  {568,936,     0x3L,    1L,    1L,    0L},
  {536,920,     0x3L,    1L,    1L,    0L},
  {504,912,     0x3L,    1L,    1L,    0L},
  {480,904,     0x3L,    1L,    1L,    0L},
  {448,904,     0x3L,    1L,    1L,    0L},
  {416,904,     0x3L,    1L,    1L,    0L},
  {384,912,     0x3L,    1L,    1L,    0L},
  {352,928,     0x3L,    1L,    1L,    0L},
  {312,936,     0x3L,    1L,    1L,    0L},
  {264,944,     0x3L,    1L,    1L,    0L}}}}
};
/* EasyCASE > */
/* EasyCASE ) */
/* EasyCASE ) */
/* EasyCASE ( 1258
   MW2000 FRONT-CONTACTED COUNTER-CLOCKWISE(EDUL) TYPE
   SMIA_nMW2000_FrontContacted_Basic_Valued  (No 5) */
/* EasyCASE ( 1259
   Direction 0 (CCW), Speed 0 (normal table)
   EDUL-SMIA_nMW2000_FrontContacted_Basic_Valued  (No 5) */
/* EasyCASE < */
const struct SMIA_ISM_PWMStd SMIA_ISM_A_STDPWMTABLE5_EDUL = {
/*  CVP   CHP   CQI  IVR IHR */
{{{                                      /* quadrant 0 dir. 0, speed 0 */
  {216,968,     0x0L,    1L,    1L,    0L},
  {248,968,     0x0L,    1L,    1L,    0L},
  {288,968,     0x0L,    1L,    1L,    0L},
  {320,968,     0x0L,    1L,    1L,    0L},
  {352,968,     0x0L,    1L,    1L,    0L},
  {384,960,     0x0L,    1L,    1L,    0L},
  {416,960,     0x0L,    1L,    1L,    0L},
  {456,952,     0x0L,    1L,    1L,    0L},
  {488,944,     0x0L,    1L,    1L,    0L},
  {520,936,     0x0L,    1L,    1L,    0L},
  {560,920,     0x0L,    1L,    1L,    0L},
  {600,896,     0x0L,    1L,    1L,    0L},
  {632,872,     0x0L,    1L,    1L,    0L},
  {672,832,     0x0L,    1L,    1L,    0L},
  {712,792,     0x0L,    1L,    1L,    0L},
  {752,752,     0x0L,    1L,    1L,    0L},
  {792,696,     0x0L,    1L,    1L,    0L},
  {832,640,     0x0L,    1L,    1L,    0L},
  {864,576,     0x0L,    1L,    1L,    0L},
  {896,504,     0x0L,    1L,    1L,    0L},
  {928,440,     0x0L,    1L,    1L,    0L},
  {952,376,     0x0L,    1L,    1L,    0L},
  {968,304,     0x0L,    1L,    1L,    0L},
  {984,240,     0x0L,    1L,    1L,    0L},
  {992,184,     0x0L,    1L,    1L,    0L},
  {1000,128,    0x0L,    1L,    1L,    0L},
  {1008,80,     0x0L,    1L,    1L,    0L},
  {1008,32,     0x0L,    1L,    1L,    0L},
  {1008,8,      0x1L,    1L,    1L,    0L},
  {1008,40,     0x1L,    1L,    1L,    0L},
  {1008,72,     0x1L,    1L,    1L,    0L},
  {1008,104,    0x1L,    1L,    1L,    0L},
                                         /* quadrant 1 dir. 0, speed 0 */
  {1008,128,    0x1L,    1L,    1L,    0L},
  {1008,152,    0x1L,    1L,    1L,    0L},
  {1008,176,    0x1L,    1L,    1L,    0L},
  {1008,200,    0x1L,    1L,    1L,    0L},
  {1008,224,    0x1L,    1L,    1L,    0L},
  {1008,248,    0x1L,    1L,    1L,    0L},
  {1008,272,    0x1L,    1L,    1L,    0L},
  {1008,304,    0x1L,    1L,    1L,    0L},
  {1008,328,    0x1L,    1L,    1L,    0L},
  {1000,360,    0x1L,    1L,    1L,    0L},
  {992,392,     0x1L,    1L,    1L,    0L},
  {984,424,     0x1L,    1L,    1L,    0L},
  {960,456,     0x1L,    1L,    1L,    0L},
  {944,496,     0x1L,    1L,    1L,    0L},
  {912,536,     0x1L,    1L,    1L,    0L},
  {872,576,     0x1L,    1L,    1L,    0L},
  {824,616,     0x1L,    1L,    1L,    0L},
  {768,664,     0x1L,    1L,    1L,    0L},
  {704,704,     0x1L,    1L,    1L,    0L},
  {632,752,     0x1L,    1L,    1L,    0L},
  {552,792,     0x1L,    1L,    1L,    0L},
  {472,824,     0x1L,    1L,    1L,    0L},
  {392,856,     0x1L,    1L,    1L,    0L},
  {312,888,     0x1L,    1L,    1L,    0L},
  {232,912,     0x1L,    1L,    1L,    0L},
  {160,928,     0x1L,    1L,    1L,    0L},
  {96,944,      0x1L,    1L,    1L,    0L},
  {32,960,      0x1L,    1L,    1L,    0L},
  {32,968,      0x2L,    1L,    1L,    0L},
  {80,968,      0x2L,    1L,    1L,    0L},
  {128,968,     0x2L,    1L,    1L,    0L},
  {176,968,     0x2L,    1L,    1L,    0L},
                                         /* quadrant 2 dir. 0, speed 0 */
  {216,968,     0x2L,    1L,    1L,    0L},
  {248,968,     0x2L,    1L,    1L,    0L},
  {288,968,     0x2L,    1L,    1L,    0L},
  {320,968,     0x2L,    1L,    1L,    0L},
  {352,968,     0x2L,    1L,    1L,    0L},
  {384,960,     0x2L,    1L,    1L,    0L},
  {416,960,     0x2L,    1L,    1L,    0L},
  {456,952,     0x2L,    1L,    1L,    0L},
  {488,944,     0x2L,    1L,    1L,    0L},
  {520,936,     0x2L,    1L,    1L,    0L},
  {560,920,     0x2L,    1L,    1L,    0L},
  {600,896,     0x2L,    1L,    1L,    0L},
  {632,872,     0x2L,    1L,    1L,    0L},
  {672,832,     0x2L,    1L,    1L,    0L},
  {712,792,     0x2L,    1L,    1L,    0L},
  {752,752,     0x2L,    1L,    1L,    0L},
  {792,696,     0x2L,    1L,    1L,    0L},
  {832,640,     0x2L,    1L,    1L,    0L},
  {864,576,     0x2L,    1L,    1L,    0L},
  {896,504,     0x2L,    1L,    1L,    0L},
  {928,440,     0x2L,    1L,    1L,    0L},
  {952,376,     0x2L,    1L,    1L,    0L},
  {968,304,     0x2L,    1L,    1L,    0L},
  {984,240,     0x2L,    1L,    1L,    0L},
  {992,184,     0x2L,    1L,    1L,    0L},
  {1000,128,    0x2L,    1L,    1L,    0L},
  {1008,80,     0x2L,    1L,    1L,    0L},
  {1008,32,     0x2L,    1L,    1L,    0L},
  {1008,8,      0x3L,    1L,    1L,    0L},
  {1008,40,     0x3L,    1L,    1L,    0L},
  {1008,72,     0x3L,    1L,    1L,    0L},
  {1008,104,    0x3L,    1L,    1L,    0L},
                                         /* quadrant 3 dir. 0, speed 0 */
  {1008,128,    0x3L,    1L,    1L,    0L},
  {1008,152,    0x3L,    1L,    1L,    0L},
  {1008,176,    0x3L,    1L,    1L,    0L},
  {1008,200,    0x3L,    1L,    1L,    0L},
  {1008,224,    0x3L,    1L,    1L,    0L},
  {1008,248,    0x3L,    1L,    1L,    0L},
  {1008,272,    0x3L,    1L,    1L,    0L},
  {1008,304,    0x3L,    1L,    1L,    0L},
  {1008,328,    0x3L,    1L,    1L,    0L},
  {1000,360,    0x3L,    1L,    1L,    0L},
  {992,392,     0x3L,    1L,    1L,    0L},
  {984,424,     0x3L,    1L,    1L,    0L},
  {960,456,     0x3L,    1L,    1L,    0L},
  {944,496,     0x3L,    1L,    1L,    0L},
  {912,536,     0x3L,    1L,    1L,    0L},
  {872,576,     0x3L,    1L,    1L,    0L},
  {824,616,     0x3L,    1L,    1L,    0L},
  {768,664,     0x3L,    1L,    1L,    0L},
  {704,704,     0x3L,    1L,    1L,    0L},
  {632,752,     0x3L,    1L,    1L,    0L},
  {552,792,     0x3L,    1L,    1L,    0L},
  {472,824,     0x3L,    1L,    1L,    0L},
  {392,856,     0x3L,    1L,    1L,    0L},
  {312,888,     0x3L,    1L,    1L,    0L},
  {232,912,     0x3L,    1L,    1L,    0L},
  {160,928,     0x3L,    1L,    1L,    0L},
  {96,944,      0x3L,    1L,    1L,    0L},
  {32,960,      0x3L,    1L,    1L,    0L},
  {32,968,      0x0L,    1L,    1L,    0L},
  {80,968,      0x0L,    1L,    1L,    0L},
  {128,968,     0x0L,    1L,    1L,    0L},
  {176,968,     0x0L,    1L,    1L,    0L}},
/* EasyCASE > */
/* EasyCASE ) */
/* EasyCASE ( 1260
   Direction 1 (CW), Speed 0 (normal table)
   EDUL-SMIA_nMW2000_FrontContacted_Basic_Valued  (No 5) */
/* EasyCASE < */
{                                        /* quadrant 0 dir. 1, speed 0 */
  {0,960,       0x0L,    1L,    1L,    0L},
  {40,952,      0x0L,    1L,    1L,    0L},
  {80,952,      0x0L,    1L,    1L,    0L},
  {128,944,     0x0L,    1L,    1L,    0L},
  {184,936,     0x0L,    1L,    1L,    0L},
  {248,928,     0x0L,    1L,    1L,    0L},
  {312,912,     0x0L,    1L,    1L,    0L},
  {384,896,     0x0L,    1L,    1L,    0L},
  {456,872,     0x0L,    1L,    1L,    0L},
  {528,840,     0x0L,    1L,    1L,    0L},
  {600,808,     0x0L,    1L,    1L,    0L},
  {672,776,     0x0L,    1L,    1L,    0L},
  {736,736,     0x0L,    1L,    1L,    0L},
  {792,696,     0x0L,    1L,    1L,    0L},
  {840,656,     0x0L,    1L,    1L,    0L},
  {888,616,     0x0L,    1L,    1L,    0L},
  {920,576,     0x0L,    1L,    1L,    0L},
  {944,544,     0x0L,    1L,    1L,    0L},
  {960,512,     0x0L,    1L,    1L,    0L},
  {976,480,     0x0L,    1L,    1L,    0L},
  {984,456,     0x0L,    1L,    1L,    0L},
  {992,432,     0x0L,    1L,    1L,    0L},
  {1000,408,    0x0L,    1L,    1L,    0L},
  {1000,384,     0x0L,    1L,    1L,    0L},
  {1008,360,     0x0L,    1L,    1L,    0L},
  {1008,336,    0x0L,    1L,    1L,    0L},
  {1008,312,    0x0L,    1L,    1L,    0L},
  {1016,288,    0x0L,    1L,    1L,    0L},
  {1016,264,    0x0L,    1L,    1L,    0L},
  {1016,240,    0x0L,    1L,    1L,    0L},
  {1016,208,    0x0L,    1L,    1L,    0L},
  {1016,184,    0x0L,    1L,    1L,    0L},
                                         /* quadrant 1 dir. 1, speed 0 */
  {1016,152,    0x0L,    1L,    1L,    0L},
  {1016,120,    0x0L,    1L,    1L,    0L},
  {1016,80,     0x0L,    1L,    1L,    0L},
  {1016,48,     0x0L,    1L,    1L,    0L},
  {1008,0,      0x1L,    1L,    1L,    0L},
  {1008,48,     0x1L,    1L,    1L,    0L},
  {1000,104,    0x1L,    1L,    1L,    0L},
  {992,168,     0x1L,    1L,    1L,    0L},
  {976,240,     0x1L,    1L,    1L,    0L},
  {952,320,     0x1L,    1L,    1L,    0L},
  {920,392,     0x1L,    1L,    1L,    0L},
  {880,472,     0x1L,    1L,    1L,    0L},
  {840,552,     0x1L,    1L,    1L,    0L},
  {792,632,     0x1L,    1L,    1L,    0L},
  {744,704,     0x1L,    1L,    1L,    0L},
  {696,768,     0x1L,    1L,    1L,    0L},
  {640,824,     0x1L,    1L,    1L,    0L},
  {592,872,     0x1L,    1L,    1L,    0L},
  {544,912,     0x1L,    1L,    1L,    0L},
  {496,944,     0x1L,    1L,    1L,    0L},
  {448,968,     0x1L,    1L,    1L,    0L},
  {408,984,     0x1L,    1L,    1L,    0L},
  {368,992,     0x1L,    1L,    1L,    0L},
  {328,992,     0x1L,    1L,    1L,    0L},
  {288,992,     0x1L,    1L,    1L,    0L},
  {256,992,     0x1L,    1L,    1L,    0L},
  {216,992,     0x1L,    1L,    1L,    0L},
  {176,984,     0x1L,    1L,    1L,    0L},
  {144,976,     0x1L,    1L,    1L,    0L},
  {112,976,     0x1L,    1L,    1L,    0L},
  {72,968,      0x1L,    1L,    1L,    0L},
  {40,960,      0x1L,    1L,    1L,    0L},
                                           /* quadrant 2 dir. 1, speed 0 */
  {0,960,       0x2L,    1L,    1L,    0L},
  {40,952,      0x2L,    1L,    1L,    0L},
  {80,952,      0x2L,    1L,    1L,    0L},
  {128,944,     0x2L,    1L,    1L,    0L},
  {184,936,     0x2L,    1L,    1L,    0L},
  {248,928,     0x2L,    1L,    1L,    0L},
  {312,912,     0x2L,    1L,    1L,    0L},
  {384,896,     0x2L,    1L,    1L,    0L},
  {456,872,     0x2L,    1L,    1L,    0L},
  {528,840,     0x2L,    1L,    1L,    0L},
  {600,808,     0x2L,    1L,    1L,    0L},
  {672,776,     0x2L,    1L,    1L,    0L},
  {736,736,     0x2L,    1L,    1L,    0L},
  {792,696,     0x2L,    1L,    1L,    0L},
  {840,656,     0x2L,    1L,    1L,    0L},
  {888,616,     0x2L,    1L,    1L,    0L},
  {920,576,     0x2L,    1L,    1L,    0L},
  {944,544,     0x2L,    1L,    1L,    0L},
  {960,512,     0x2L,    1L,    1L,    0L},
  {976,480,     0x2L,    1L,    1L,    0L},
  {984,456,     0x2L,    1L,    1L,    0L},
  {992,432,     0x2L,    1L,    1L,    0L},
  {1000,408,    0x2L,    1L,    1L,    0L},
  {1000,384,    0x2L,    1L,    1L,    0L},
  {1008,360,    0x2L,    1L,    1L,    0L},
  {1008,336,    0x2L,    1L,    1L,    0L},
  {1008,312,    0x2L,    1L,    1L,    0L},
  {1016,288,     0x2L,    1L,    1L,    0L},
  {1016,264,     0x2L,    1L,    1L,    0L},
  {1016,240,     0x2L,    1L,    1L,    0L},
  {1016,208,     0x2L,    1L,    1L,    0L},
  {1016,184,    0x2L,    1L,    1L,    0L},
                                           /* quadrant 3 dir. 1, speed 0 */
  {1016,152,    0x2L,    1L,    1L,    0L},
  {1016,120,    0x2L,    1L,    1L,    0L},
  {1016,80,     0x2L,    1L,    1L,    0L},
  {1016,48,     0x2L,    1L,    1L,    0L},
  {1008,0,      0x3L,    1L,    1L,    0L},
  {1008,48,     0x3L,    1L,    1L,    0L},
  {1000,104,    0x3L,    1L,    1L,    0L},
  {992,168,     0x3L,    1L,    1L,    0L},
  {976,240,     0x3L,    1L,    1L,    0L},
  {952,320,     0x3L,    1L,    1L,    0L},
  {920,392,     0x3L,    1L,    1L,    0L},
  {880,472,     0x3L,    1L,    1L,    0L},
  {840,552,     0x3L,    1L,    1L,    0L},
  {792,632,     0x3L,    1L,    1L,    0L},
  {744,704,     0x3L,    1L,    1L,    0L},
  {696,768,     0x3L,    1L,    1L,    0L},
  {640,824,     0x3L,    1L,    1L,    0L},
  {592,872,     0x3L,    1L,    1L,    0L},
  {544,912,     0x3L,    1L,    1L,    0L},
  {496,944,     0x3L,    1L,    1L,    0L},
  {448,968,     0x3L,    1L,    1L,    0L},
  {408,984,     0x3L,    1L,    1L,    0L},
  {368,992,     0x3L,    1L,    1L,    0L},
  {328,992,     0x3L,    1L,    1L,    0L},
  {288,992,     0x3L,    1L,    1L,    0L},
  {256,992,     0x3L,    1L,    1L,    0L},
  {216,992,     0x3L,    1L,    1L,    0L},
  {176,984,     0x3L,    1L,    1L,    0L},
  {144,976,     0x3L,    1L,    1L,    0L},
  {112,976,     0x3L,    1L,    1L,    0L},
  {72,968,      0x3L,    1L,    1L,    0L},
  {40,960,      0x3L,    1L,    1L,    0L}}},
/* EasyCASE > */
/* EasyCASE ) */
/* EasyCASE ( 1261
   Direction 0 (CCW), Speed 1 (special table)
   EDUL-SMIA_nMW2000_FrontContacted_Basic_Valued  (No 5) */
/* EasyCASE < */
{{                                       /* quadrant 0 dir. 0, speed 1 */
  {264,944,     0x0L,    1L,    1L,    0L},
  {312,936,     0x0L,    1L,    1L,    0L},
  {352,928,     0x0L,    1L,    1L,    0L},
  {384,912,     0x0L,    1L,    1L,    0L},
  {416,904,     0x0L,    1L,    1L,    0L},
  {448,904,     0x0L,    1L,    1L,    0L},
  {480,904,     0x0L,    1L,    1L,    0L},
  {504,912,     0x0L,    1L,    1L,    0L},
  {536,920,     0x0L,    1L,    1L,    0L},
  {568,936,     0x0L,    1L,    1L,    0L},
  {600,952,     0x0L,    1L,    1L,    0L},
  {632,968,     0x0L,    1L,    1L,    0L},
  {672,984,     0x0L,    1L,    1L,    0L},
  {704,992,     0x0L,    1L,    1L,    0L},
  {744,992,     0x0L,    1L,    1L,    0L},
  {776,984,     0x0L,    1L,    1L,    0L},
  {816,968,     0x0L,    1L,    1L,    0L},
  {848,944,     0x0L,    1L,    1L,    0L},
  {880,904,     0x0L,    1L,    1L,    0L},
  {904,848,     0x0L,    1L,    1L,    0L},
  {936,784,     0x0L,    1L,    1L,    0L},
  {960,712,     0x0L,    1L,    1L,    0L},
  {976,632,     0x0L,    1L,    1L,    0L},
  {992,552,     0x0L,    1L,    1L,    0L},
  {1000,456,    0x0L,    1L,    1L,    0L},
  {1008,368,    0x0L,    1L,    1L,    0L},
  {1016,272,    0x0L,    1L,    1L,    0L},
  {1008,184,    0x0L,    1L,    1L,    0L},
  {1008,104,    0x0L,    1L,    1L,    0L},
  {1000,16,     0x0L,    1L,    1L,    0L},
  {992,56,      0x1L,    1L,    1L,    0L},
  {984,120,     0x1L,    1L,    1L,    0L},
                                         /* quadrant 1 dir. 0, speed 1 */
  {976,176,     0x1L,    1L,    1L,    0L},
  {968,232,     0x1L,    1L,    1L,    0L},
  {960,272,     0x1L,    1L,    1L,    0L},
  {960,304,     0x1L,    1L,    1L,    0L},
  {968,328,     0x1L,    1L,    1L,    0L},
  {968,352,     0x1L,    1L,    1L,    0L},
  {976,360,     0x1L,    1L,    1L,    0L},
  {984,376,     0x1L,    1L,    1L,    0L},
  {992,384,     0x1L,    1L,    1L,    0L},
  {1000,400,     0x1L,    1L,    1L,    0L},
  {1000,408,     0x1L,    1L,    1L,    0L},
  {1000,424,    0x1L,    1L,    1L,    0L},
  {984,448,     0x1L,    1L,    1L,    0L},
  {968,472,     0x1L,    1L,    1L,    0L},
  {944,504,     0x1L,    1L,    1L,    0L},
  {904,536,     0x1L,    1L,    1L,    0L},
  {864,576,     0x1L,    1L,    1L,    0L},
  {808,616,     0x1L,    1L,    1L,    0L},
  {744,664,     0x1L,    1L,    1L,    0L},
  {680,704,     0x1L,    1L,    1L,    0L},
  {608,744,     0x1L,    1L,    1L,    0L},
  {528,792,     0x1L,    1L,    1L,    0L},
  {440,824,     0x1L,    1L,    1L,    0L},
  {360,864,     0x1L,    1L,    1L,    0L},
  {280,888,     0x1L,    1L,    1L,    0L},
  {192,912,     0x1L,    1L,    1L,    0L},
  {112,936,     0x1L,    1L,    1L,    0L},
  {40,952,      0x1L,    1L,    1L,    0L},
  {32,960,      0x2L,    1L,    1L,    0L},
  {96,960,      0x2L,    1L,    1L,    0L},
  {160,960,     0x2L,    1L,    1L,    0L},
  {216,952,     0x2L,    1L,    1L,    0L},
                                         /* quadrant 2 dir. 0, speed 1 */
  {264,944,     0x2L,    1L,    1L,    0L},
  {312,936,     0x2L,    1L,    1L,    0L},
  {352,928,     0x2L,    1L,    1L,    0L},
  {384,912,     0x2L,    1L,    1L,    0L},
  {416,904,     0x2L,    1L,    1L,    0L},
  {448,904,     0x2L,    1L,    1L,    0L},
  {480,904,     0x2L,    1L,    1L,    0L},
  {504,912,     0x2L,    1L,    1L,    0L},
  {536,920,     0x2L,    1L,    1L,    0L},
  {568,936,     0x2L,    1L,    1L,    0L},
  {600,952,     0x2L,    1L,    1L,    0L},
  {632,968,     0x2L,    1L,    1L,    0L},
  {672,984,     0x2L,    1L,    1L,    0L},
  {704,992,     0x2L,    1L,    1L,    0L},
  {744,992,     0x2L,    1L,    1L,    0L},
  {776,984,     0x2L,    1L,    1L,    0L},
  {816,968,     0x2L,    1L,    1L,    0L},
  {848,944,     0x2L,    1L,    1L,    0L},
  {880,904,     0x2L,    1L,    1L,    0L},
  {904,848,     0x2L,    1L,    1L,    0L},
  {936,784,     0x2L,    1L,    1L,    0L},
  {960,712,     0x2L,    1L,    1L,    0L},
  {976,632,     0x2L,    1L,    1L,    0L},
  {992,552,     0x2L,    1L,    1L,    0L},
  {1000,456,    0x2L,    1L,    1L,    0L},
  {1008,368,    0x2L,    1L,    1L,    0L},
  {1016,272,    0x2L,    1L,    1L,    0L},
  {1008,184,    0x2L,    1L,    1L,    0L},
  {1008,104,    0x2L,    1L,    1L,    0L},
  {1000,16,     0x2L,    1L,    1L,    0L},
  {992,56,      0x3L,    1L,    1L,    0L},
  {984,120,     0x3L,    1L,    1L,    0L},      
                                         /* quadrant 3 dir. 0, speed 1 */
  {976,176,     0x3L,    1L,    1L,    0L},
  {968,232,     0x3L,    1L,    1L,    0L},
  {960,272,     0x3L,    1L,    1L,    0L},
  {960,304,     0x3L,    1L,    1L,    0L},
  {968,328,     0x3L,    1L,    1L,    0L},
  {968,352,     0x3L,    1L,    1L,    0L},
  {976,360,     0x3L,    1L,    1L,    0L},
  {984,376,     0x3L,    1L,    1L,    0L},
  {992,384,     0x3L,    1L,    1L,    0L},
  {1000,400,    0x3L,    1L,    1L,    0L},
  {1000,408,     0x3L,    1L,    1L,    0L},
  {1000,424,    0x3L,    1L,    1L,    0L},
  {984,448,     0x3L,    1L,    1L,    0L},
  {968,472,     0x3L,    1L,    1L,    0L},
  {944,504,     0x3L,    1L,    1L,    0L},
  {904,536,     0x3L,    1L,    1L,    0L},
  {864,576,     0x3L,    1L,    1L,    0L},
  {808,616,     0x3L,    1L,    1L,    0L},
  {744,664,     0x3L,    1L,    1L,    0L},
  {680,704,     0x3L,    1L,    1L,    0L},
  {608,744,     0x3L,    1L,    1L,    0L},
  {528,792,     0x3L,    1L,    1L,    0L},
  {440,824,     0x3L,    1L,    1L,    0L},
  {360,864,     0x3L,    1L,    1L,    0L},
  {280,888,     0x3L,    1L,    1L,    0L},
  {192,912,     0x3L,    1L,    1L,    0L},
  {112,936,     0x3L,    1L,    1L,    0L},
  {40,952,      0x3L,    1L,    1L,    0L},
  {32,960,      0x0L,    1L,    1L,    0L},
  {96,960,      0x0L,    1L,    1L,    0L},
  {160,960,     0x0L,    1L,    1L,    0L},
  {216,952,     0x0L,    1L,    1L,    0L}},
/* EasyCASE > */
/* EasyCASE ) */
/* EasyCASE ( 1262
   Direction 1 (CW), Speed 1 (special table)
   EDUL-SMIA_nMW2000_FrontContacted_Basic_Valued  (No 5) */
/* EasyCASE < */
                                        /* quadrant 0 dir. 1, speed 1 */
{ {112,856,     0x3L,    1L,    1L,    0L},
  {72,864,      0x3L,    1L,    1L,    0L},
  {24,864,      0x3L,    1L,    1L,    0L},
  {32,872,      0x0L,    1L,    1L,    0L},
  {88,880,      0x0L,    1L,    1L,    0L},
  {152,888,     0x0L,    1L,    1L,    0L},
  {224,888,     0x0L,    1L,    1L,    0L},
  {304,896,     0x0L,    1L,    1L,    0L},
  {384,896,     0x0L,    1L,    1L,    0L},
  {464,888,     0x0L,    1L,    1L,    0L},
  {544,880,     0x0L,    1L,    1L,    0L},
  {624,864,     0x0L,    1L,    1L,    0L},
  {696,840,     0x0L,    1L,    1L,    0L},
  {768,816,     0x0L,    1L,    1L,    0L},
  {824,784,     0x0L,    1L,    1L,    0L},
  {880,744,     0x0L,    1L,    1L,    0L},
  {920,712,     0x0L,    1L,    1L,    0L},
  {952,672,     0x0L,    1L,    1L,    0L},
  {976,632,     0x0L,    1L,    1L,    0L},
  {992,592,     0x0L,    1L,    1L,    0L},
  {992,560,     0x0L,    1L,    1L,    0L},
  {992,528,     0x0L,    1L,    1L,    0L},
  {984,496,     0x0L,    1L,    1L,    0L},
  {976,472,     0x0L,    1L,    1L,    0L},
  {968,456,     0x0L,    1L,    1L,    0L},
  {952,440,     0x0L,    1L,    1L,    0L},
  {944,424,     0x0L,    1L,    1L,    0L},
  {928,408,     0x0L,    1L,    1L,    0L},
  {920,392,     0x0L,    1L,    1L,    0L},
  {920,376,     0x0L,    1L,    1L,    0L},
  {912,360,     0x0L,    1L,    1L,    0L},
  {912,336,     0x0L,    1L,    1L,    0L},
                                        /* quadrant 1 dir. 1, speed 1 */
  {920,304,     0x0L,    1L,    1L,    0L},
  {920,272,     0x0L,    1L,    1L,    0L},
  {928,232,     0x0L,    1L,    1L,    0L},
  {928,176,     0x0L,    1L,    1L,    0L},
  {936,112,     0x0L,    1L,    1L,    0L},
  {936,48,      0x0L,    1L,    1L,    0L},
  {936,32,      0x1L,    1L,    1L,    0L},
  {936,120,     0x1L,    1L,    1L,    0L},
  {928,216,     0x1L,    1L,    1L,    0L},
  {912,320,     0x1L,    1L,    1L,    0L},
  {896,424,     0x1L,    1L,    1L,    0L},
  {872,520,     0x1L,    1L,    1L,    0L},
  {840,624,     0x1L,    1L,    1L,    0L},
  {808,712,     0x1L,    1L,    1L,    0L},
  {776,792,     0x1L,    1L,    1L,    0L},
  {728,864,     0x1L,    1L,    1L,    0L},
  {688,920,     0x1L,    1L,    1L,    0L},
  {640,960,     0x1L,    1L,    1L,    0L},
  {592,992,     0x1L,    1L,    1L,    0L},
  {552,1008,    0x1L,    1L,    1L,    0L},
  {504,1008,    0x1L,    1L,    1L,    0L},
  {464,1000,    0x1L,    1L,    1L,    0L},
  {424,992,     0x1L,    1L,    1L,    0L},
  {384,968,     0x1L,    1L,    1L,    0L},
  {352,952,     0x1L,    1L,    1L,    0L},
  {320,928,     0x1L,    1L,    1L,    0L},
  {288,912,     0x1L,    1L,    1L,    0L},
  {256,888,     0x1L,    1L,    1L,    0L},
  {232,880,     0x1L,    1L,    1L,    0L},
  {208,864,     0x1L,    1L,    1L,    0L},
  {176,856,     0x1L,    1L,    1L,    0L},
  {144,856,     0x1L,    1L,    1L,    0L},
                                          /* quadrant 2 dir. 1, speed 1 */
  {112,856,     0x1L,    1L,    1L,    0L},
  {72,864,      0x1L,    1L,    1L,    0L},
  {24,864,      0x1L,    1L,    1L,    0L},
  {32,872,      0x2L,    1L,    1L,    0L},
  {88,880,      0x2L,    1L,    1L,    0L},
  {152,888,     0x2L,    1L,    1L,    0L},
  {224,888,     0x2L,    1L,    1L,    0L},
  {304,896,     0x2L,    1L,    1L,    0L},
  {384,896,     0x2L,    1L,    1L,    0L},
  {464,888,     0x2L,    1L,    1L,    0L},
  {544,880,     0x2L,    1L,    1L,    0L},
  {624,864,     0x2L,    1L,    1L,    0L},
  {696,840,     0x2L,    1L,    1L,    0L},
  {768,816,     0x2L,    1L,    1L,    0L},
  {824,784,     0x2L,    1L,    1L,    0L},
  {880,744,     0x2L,    1L,    1L,    0L},
  {920,712,     0x2L,    1L,    1L,    0L},
  {952,672,     0x2L,    1L,    1L,    0L},
  {976,632,     0x2L,    1L,    1L,    0L},
  {992,592,     0x2L,    1L,    1L,    0L},
  {992,560,     0x2L,    1L,    1L,    0L},
  {992,528,     0x2L,    1L,    1L,    0L},
  {984,496,     0x2L,    1L,    1L,    0L},
  {976,472,     0x2L,    1L,    1L,    0L},
  {968,456,     0x2L,    1L,    1L,    0L},
  {952,440,     0x2L,    1L,    1L,    0L},
  {944,424,     0x2L,    1L,    1L,    0L},
  {928,408,     0x2L,    1L,    1L,    0L},
  {920,392,     0x2L,    1L,    1L,    0L},
  {920,376,     0x2L,    1L,    1L,    0L},
  {912,360,     0x2L,    1L,    1L,    0L},
  {912,336,     0x2L,    1L,    1L,    0L},
                                          /* quadrant 3 dir. 1, speed 1 */
  {920,304,     0x2L,    1L,    1L,    0L},
  {920,272,     0x2L,    1L,    1L,    0L},
  {928,232,     0x2L,    1L,    1L,    0L},
  {928,176,     0x2L,    1L,    1L,    0L},
  {936,112,     0x2L,    1L,    1L,    0L},
  {936,48,      0x2L,    1L,    1L,    0L},
  {936,32,      0x3L,    1L,    1L,    0L},
  {936,120,     0x3L,    1L,    1L,    0L},
  {928,216,     0x3L,    1L,    1L,    0L},
  {912,320,     0x3L,    1L,    1L,    0L},
  {896,424,     0x3L,    1L,    1L,    0L},
  {872,520,     0x3L,    1L,    1L,    0L},
  {840,624,     0x3L,    1L,    1L,    0L},
  {808,712,     0x3L,    1L,    1L,    0L},
  {776,792,     0x3L,    1L,    1L,    0L},
  {728,864,     0x3L,    1L,    1L,    0L},
  {688,920,     0x3L,    1L,    1L,    0L},
  {640,960,     0x3L,    1L,    1L,    0L},
  {592,992,     0x3L,    1L,    1L,    0L},
  {552,1008,    0x3L,    1L,    1L,    0L},
  {504,1008,    0x3L,    1L,    1L,    0L},
  {464,1000,    0x3L,    1L,    1L,    0L},
  {424,992,     0x3L,    1L,    1L,    0L},
  {384,968,     0x3L,    1L,    1L,    0L},
  {352,952,     0x3L,    1L,    1L,    0L},
  {320,928,     0x3L,    1L,    1L,    0L},
  {288,912,     0x3L,    1L,    1L,    0L},
  {256,888,     0x3L,    1L,    1L,    0L},
  {232,880,     0x3L,    1L,    1L,    0L},
  {208,864,     0x3L,    1L,    1L,    0L},
  {176,856,     0x3L,    1L,    1L,    0L},
  {144,856,     0x3L,    1L,    1L,    0L}}}}
 };

const struct SMIA_ISM_PWMStd SMIA_ISM_A_STDPWMTABLE6 = {
/* CVP CHP       CQI     IVR     IHR */
{                                       /* quadrant 0 dir. 0, speed 0 */
{{{40,960,      0x0L,    1L,    1L,    0L},
  {72,968,      0x0L,    1L,    1L,    0L},
  {112,976,     0x0L,    1L,    1L,    0L},
  {144,976,     0x0L,    1L,    1L,    0L},
  {176,984,     0x0L,    1L,    1L,    0L},
  {216,992,     0x0L,    1L,    1L,    0L},
  {256,992,     0x0L,    1L,    1L,    0L},
  {288,992,     0x0L,    1L,    1L,    0L},
  {328,992,     0x0L,    1L,    1L,    0L},
  {368,992,     0x0L,    1L,    1L,    0L},
  {408,984,     0x0L,    1L,    1L,    0L},
  {448,968,     0x0L,    1L,    1L,    0L},
  {496,944,     0x0L,    1L,    1L,    0L},
  {544,912,     0x0L,    1L,    1L,    0L},
  {592,872,     0x0L,    1L,    1L,    0L},
  {640,824,     0x0L,    1L,    1L,    0L},
  {696,768,     0x0L,    1L,    1L,    0L},
  {744,704,     0x0L,    1L,    1L,    0L},
  {792,632,     0x0L,    1L,    1L,    0L},
  {840,552,     0x0L,    1L,    1L,    0L},
  {880,472,     0x0L,    1L,    1L,    0L},
  {920,392,     0x0L,    1L,    1L,    0L},
  {952,320,     0x0L,    1L,    1L,    0L},
  {976,240,     0x0L,    1L,    1L,    0L},
  {992,168,     0x0L,    1L,    1L,    0L},
  {1000,104,    0x0L,    1L,    1L,    0L},
  {1008,48,     0x0L,    1L,    1L,    0L},
  {1008,0,      0x0L,    1L,    1L,    0L},
  {1016,48,     0x1L,    1L,    1L,    0L},
  {1016,80,     0x1L,    1L,    1L,    0L},
  {1016,120,    0x1L,    1L,    1L,    0L},
  {1016,152,    0x1L,    1L,    1L,    0L},
                                          /* quadrant 1 dir. 0, speed 0 */
  {1016,184,    0x1L,    1L,    1L,    0L},
  {1016,208,    0x1L,    1L,    1L,    0L},
  {1016,240,    0x1L,    1L,    1L,    0L},
  {1016,264,    0x1L,    1L,    1L,    0L},
  {1016,288,    0x1L,    1L,    1L,    0L},
  {1008,312,    0x1L,    1L,    1L,    0L},
  {1008,336,    0x1L,    1L,    1L,    0L},
  {1008,360,     0x1L,    1L,    1L,    0L},
  {1000,384,     0x1L,    1L,    1L,    0L},
  {1000,408,    0x1L,    1L,    1L,    0L},
  {992,432,     0x1L,    1L,    1L,    0L},
  {984,456,     0x1L,    1L,    1L,    0L},
  {976,480,     0x1L,    1L,    1L,    0L},
  {960,512,     0x1L,    1L,    1L,    0L},
  {944,544,     0x1L,    1L,    1L,    0L},
  {920,576,     0x1L,    1L,    1L,    0L},
  {888,616,     0x1L,    1L,    1L,    0L},
  {840,656,     0x1L,    1L,    1L,    0L},
  {792,696,     0x1L,    1L,    1L,    0L},
  {736,736,     0x1L,    1L,    1L,    0L},
  {672,776,     0x1L,    1L,    1L,    0L},
  {600,808,     0x1L,    1L,    1L,    0L},
  {528,840,     0x1L,    1L,    1L,    0L},
  {456,872,     0x1L,    1L,    1L,    0L},
  {384,896,     0x1L,    1L,    1L,    0L},
  {312,912,     0x1L,    1L,    1L,    0L},
  {248,928,     0x1L,    1L,    1L,    0L},
  {184,936,     0x1L,    1L,    1L,    0L},
  {128,944,     0x1L,    1L,    1L,    0L},
  {80,952,      0x1L,    1L,    1L,    0L},
  {40,952,      0x1L,    1L,    1L,    0L},
  {0,960,       0x1L,    1L,    1L,    0L},
                                          /* quadrant 2 dir. 0, speed 0 */
  {40,960,      0x2L,    1L,    1L,    0L},
  {72,968,      0x2L,    1L,    1L,    0L},
  {112,976,     0x2L,    1L,    1L,    0L},
  {144,976,     0x2L,    1L,    1L,    0L},
  {176,984,     0x2L,    1L,    1L,    0L},
  {216,992,     0x2L,    1L,    1L,    0L},
  {256,992,     0x2L,    1L,    1L,    0L},
  {288,992,     0x2L,    1L,    1L,    0L},
  {328,992,     0x2L,    1L,    1L,    0L},
  {368,992,     0x2L,    1L,    1L,    0L},
  {408,984,     0x2L,    1L,    1L,    0L},
  {448,968,     0x2L,    1L,    1L,    0L},
  {496,944,     0x2L,    1L,    1L,    0L},
  {544,912,     0x2L,    1L,    1L,    0L},
  {592,872,     0x2L,    1L,    1L,    0L},
  {640,824,     0x2L,    1L,    1L,    0L},
  {696,768,     0x2L,    1L,    1L,    0L},
  {744,704,     0x2L,    1L,    1L,    0L},
  {792,632,     0x2L,    1L,    1L,    0L},
  {840,552,     0x2L,    1L,    1L,    0L},
  {880,472,     0x2L,    1L,    1L,    0L},
  {920,392,     0x2L,    1L,    1L,    0L},
  {952,320,     0x2L,    1L,    1L,    0L},
  {976,240,     0x2L,    1L,    1L,    0L},
  {992,168,     0x2L,    1L,    1L,    0L},
  {1000,104,    0x2L,    1L,    1L,    0L},
  {1008,48,     0x2L,    1L,    1L,    0L},
  {1008,0,      0x2L,    1L,    1L,    0L},
  {1016,48,     0x3L,    1L,    1L,    0L},
  {1016,80,     0x3L,    1L,    1L,    0L},
  {1016,120,    0x3L,    1L,    1L,    0L},
  {1016,152,    0x3L,    1L,    1L,    0L},
                                          /* quadrant 3 dir. 0, speed 0 */
  {1016,184,    0x3L,    1L,    1L,    0L},
  {1016,208,     0x3L,    1L,    1L,    0L},
  {1016,240,     0x3L,    1L,    1L,    0L},
  {1016,264,     0x3L,    1L,    1L,    0L},
  {1016,288,     0x3L,    1L,    1L,    0L},
  {1008,312,    0x3L,    1L,    1L,    0L},
  {1008,336,    0x3L,    1L,    1L,    0L},
  {1008,360,    0x3L,    1L,    1L,    0L},
  {1000,384,    0x3L,    1L,    1L,    0L},
  {1000,408,    0x3L,    1L,    1L,    0L},
  {992,432,     0x3L,    1L,    1L,    0L},
  {984,456,     0x3L,    1L,    1L,    0L},
  {976,480,     0x3L,    1L,    1L,    0L},
  {960,512,     0x3L,    1L,    1L,    0L},
  {944,544,     0x3L,    1L,    1L,    0L},
  {920,576,     0x3L,    1L,    1L,    0L},
  {888,616,     0x3L,    1L,    1L,    0L},
  {840,656,     0x3L,    1L,    1L,    0L},
  {792,696,     0x3L,    1L,    1L,    0L},
  {736,736,     0x3L,    1L,    1L,    0L},
  {672,776,     0x3L,    1L,    1L,    0L},
  {600,808,     0x3L,    1L,    1L,    0L},
  {528,840,     0x3L,    1L,    1L,    0L},
  {456,872,     0x3L,    1L,    1L,    0L},
  {384,896,     0x3L,    1L,    1L,    0L},
  {312,912,     0x3L,    1L,    1L,    0L},
  {248,928,     0x3L,    1L,    1L,    0L},
  {184,936,     0x3L,    1L,    1L,    0L},
  {128,944,     0x3L,    1L,    1L,    0L},
  {80,952,      0x3L,    1L,    1L,    0L},
  {40,952,      0x3L,    1L,    1L,    0L},
  {0,960,       0x3L,    1L,    1L,    0L}},
/* EasyCASE > */
/* EasyCASE ) */
/* EasyCASE ( 1255
   Direction 1 (CCW), Speed 0 (normal table)
   MUL-SMIA_nMW2000_FrontContacted_Basic_FullValued (No 6) */
/* EasyCASE < */
                                       /* quadrant 0 dir. 0, speed 0 */
{{176,968,     0x3L,    1L,    1L,    0L},
 {128,968,     0x3L,    1L,    1L,    0L},
 {80,968,      0x3L,    1L,    1L,    0L},
 {32,968,      0x3L,    1L,    1L,    0L},
 {32,960,      0x0L,    1L,    1L,    0L},
 {96,944,      0x0L,    1L,    1L,    0L},
 {160,928,     0x0L,    1L,    1L,    0L},
 {232,912,     0x0L,    1L,    1L,    0L},
 {312,888,     0x0L,    1L,    1L,    0L},
 {392,856,     0x0L,    1L,    1L,    0L},
 {472,824,     0x0L,    1L,    1L,    0L},
 {552,792,     0x0L,    1L,    1L,    0L},
 {632,752,     0x0L,    1L,    1L,    0L},
 {704,704,     0x0L,    1L,    1L,    0L},
 {768,664,     0x0L,    1L,    1L,    0L},
 {824,616,     0x0L,    1L,    1L,    0L},
 {872,576,     0x0L,    1L,    1L,    0L},
 {912,536,     0x0L,    1L,    1L,    0L},
 {944,496,     0x0L,    1L,    1L,    0L},
 {960,456,     0x0L,    1L,    1L,    0L},
 {984,424,     0x0L,    1L,    1L,    0L},
 {992,392,     0x0L,    1L,    1L,    0L},
 {1000,360,    0x0L,    1L,    1L,    0L},
 {1008,328,    0x0L,    1L,    1L,    0L},
 {1008,304,    0x0L,    1L,    1L,    0L},
 {1008,272,    0x0L,    1L,    1L,    0L},
 {1008,248,    0x0L,    1L,    1L,    0L},
 {1008,224,    0x0L,    1L,    1L,    0L},
 {1008,200,    0x0L,    1L,    1L,    0L},
 {1008,176,    0x0L,    1L,    1L,    0L},
 {1008,152,    0x0L,    1L,    1L,    0L},
 {1008,128,    0x0L,    1L,    1L,    0L},
                                       /* quadrant 1 dir. 0, speed 0 */
 {1008,104,    0x0L,    1L,    1L,    0L},
 {1008,72,     0x0L,    1L,    1L,    0L},
 {1008,40,     0x0L,    1L,    1L,    0L},
 {1008,8,      0x0L,    1L,    1L,    0L},
 {1008,32,     0x1L,    1L,    1L,    0L},
 {1008,80,     0x1L,    1L,    1L,    0L},
 {1000,128,    0x1L,    1L,    1L,    0L},
 {992,184,     0x1L,    1L,    1L,    0L},
 {984,240,     0x1L,    1L,    1L,    0L},
 {968,304,     0x1L,    1L,    1L,    0L},
 {952,376,     0x1L,    1L,    1L,    0L},
 {928,440,     0x1L,    1L,    1L,    0L},
 {896,504,     0x1L,    1L,    1L,    0L},
 {864,576,     0x1L,    1L,    1L,    0L},
 {832,640,     0x1L,    1L,    1L,    0L},
 {792,696,     0x1L,    1L,    1L,    0L},
 {752,752,     0x1L,    1L,    1L,    0L},
 {712,792,     0x1L,    1L,    1L,    0L},
 {672,832,     0x1L,    1L,    1L,    0L},
 {632,872,     0x1L,    1L,    1L,    0L},
 {600,896,     0x1L,    1L,    1L,    0L},
 {560,920,     0x1L,    1L,    1L,    0L},
 {520,936,     0x1L,    1L,    1L,    0L},
 {488,944,     0x1L,    1L,    1L,    0L},
 {456,952,     0x1L,    1L,    1L,    0L},
 {416,960,     0x1L,    1L,    1L,    0L},
 {384,960,     0x1L,    1L,    1L,    0L},
 {352,968,     0x1L,    1L,    1L,    0L},
 {320,968,     0x1L,    1L,    1L,    0L},
 {288,968,     0x1L,    1L,    1L,    0L},
 {248,968,     0x1L,    1L,    1L,    0L},
 {216,968,     0x1L,    1L,    1L,    0L},
                                       /* quadrant 2 dir. 0, speed 0 */
 {176,968,     0x1L,    1L,    1L,    0L},
 {128,968,     0x1L,    1L,    1L,    0L},
 {80,968,      0x1L,    1L,    1L,    0L},
 {32,968,      0x1L,    1L,    1L,    0L},
 {32,960,      0x2L,    1L,    1L,    0L},
 {96,944,      0x2L,    1L,    1L,    0L},
 {160,928,     0x2L,    1L,    1L,    0L},
 {232,912,     0x2L,    1L,    1L,    0L},
 {312,888,     0x2L,    1L,    1L,    0L},
 {392,856,     0x2L,    1L,    1L,    0L},
 {472,824,     0x2L,    1L,    1L,    0L},
 {552,792,     0x2L,    1L,    1L,    0L},
 {632,752,     0x2L,    1L,    1L,    0L},
 {704,704,     0x2L,    1L,    1L,    0L},
 {768,664,     0x2L,    1L,    1L,    0L},
 {824,616,     0x2L,    1L,    1L,    0L},
 {872,576,     0x2L,    1L,    1L,    0L},
 {912,536,     0x2L,    1L,    1L,    0L},
 {944,496,     0x2L,    1L,    1L,    0L},
 {960,456,     0x2L,    1L,    1L,    0L},
 {984,424,     0x2L,    1L,    1L,    0L},
 {992,392,     0x2L,    1L,    1L,    0L},
 {1000,360,    0x2L,    1L,    1L,    0L},
 {1008,328,    0x2L,    1L,    1L,    0L},
 {1008,304,    0x2L,    1L,    1L,    0L},
 {1008,272,    0x2L,    1L,    1L,    0L},
 {1008,248,    0x2L,    1L,    1L,    0L},
 {1008,224,    0x2L,    1L,    1L,    0L},
 {1008,200,    0x2L,    1L,    1L,    0L},
 {1008,176,    0x2L,    1L,    1L,    0L},
 {1008,152,    0x2L,    1L,    1L,    0L},
 {1008,128,    0x2L,    1L,    1L,    0L},
                                       /* quadrant 3 dir. 0, speed 0 */
 {1008,104,    0x2L,    1L,    1L,    0L},
 {1008,72,     0x2L,    1L,    1L,    0L},
 {1008,40,     0x2L,    1L,    1L,    0L},
 {1008,8,      0x2L,    1L,    1L,    0L},
 {1008,32,     0x3L,    1L,    1L,    0L},
 {1008,80,     0x3L,    1L,    1L,    0L},
 {1000,128,    0x3L,    1L,    1L,    0L},
 {992,184,     0x3L,    1L,    1L,    0L},
 {984,240,     0x3L,    1L,    1L,    0L},
 {968,304,     0x3L,    1L,    1L,    0L},
 {952,376,     0x3L,    1L,    1L,    0L},
 {928,440,     0x3L,    1L,    1L,    0L},
 {896,504,     0x3L,    1L,    1L,    0L},
 {864,576,     0x3L,    1L,    1L,    0L},
 {832,640,     0x3L,    1L,    1L,    0L},
 {792,696,     0x3L,    1L,    1L,    0L},
 {752,752,     0x3L,    1L,    1L,    0L},
 {712,792,     0x3L,    1L,    1L,    0L},
 {672,832,     0x3L,    1L,    1L,    0L},
 {632,872,     0x3L,    1L,    1L,    0L},
 {600,896,     0x3L,    1L,    1L,    0L},
 {560,920,     0x3L,    1L,    1L,    0L},
 {520,936,     0x3L,    1L,    1L,    0L},
 {488,944,     0x3L,    1L,    1L,    0L},
 {456,952,     0x3L,    1L,    1L,    0L},
 {416,960,     0x3L,    1L,    1L,    0L},
 {384,960,     0x3L,    1L,    1L,    0L},
 {352,968,     0x3L,    1L,    1L,    0L},
 {320,968,     0x3L,    1L,    1L,    0L},
 {288,968,     0x3L,    1L,    1L,    0L},
 {248,968,     0x3L,    1L,    1L,    0L},
 {216,968,     0x3L,    1L,    1L,    0L}}},
/* EasyCASE > */
/* EasyCASE ) */
/* EasyCASE ( 1256
   Direction 0 (CW), Speed 1 (special table)
   MUL-SMIA_nMW2000_FrontContacted_Basic_FullValued (No 6) */
/* EasyCASE < */
                                         /* quadrant 0 dir. 0, speed 1 */
{{{144,856,     0x0L,    1L,    1L,    0L},
  {176,856,     0x0L,    1L,    1L,    0L},
  {208,864,     0x0L,    1L,    1L,    0L},
  {232,880,     0x0L,    1L,    1L,    0L},
  {256,888,     0x0L,    1L,    1L,    0L},
  {288,912,     0x0L,    1L,    1L,    0L},
  {320,928,     0x0L,    1L,    1L,    0L},
  {352,952,     0x0L,    1L,    1L,    0L},
  {384,968,     0x0L,    1L,    1L,    0L},
  {424,992,     0x0L,    1L,    1L,    0L},
  {464,1000,    0x0L,    1L,    1L,    0L},
  {504,1008,    0x0L,    1L,    1L,    0L},
  {552,1008,    0x0L,    1L,    1L,    0L},
  {592,992,     0x0L,    1L,    1L,    0L},
  {640,960,     0x0L,    1L,    1L,    0L},
  {688,920,     0x0L,    1L,    1L,    0L},
  {728,864,     0x0L,    1L,    1L,    0L},
  {776,792,     0x0L,    1L,    1L,    0L},
  {808,712,     0x0L,    1L,    1L,    0L},
  {840,624,     0x0L,    1L,    1L,    0L},
  {872,520,     0x0L,    1L,    1L,    0L},
  {896,424,     0x0L,    1L,    1L,    0L},
  {912,320,     0x0L,    1L,    1L,    0L},
  {928,216,     0x0L,    1L,    1L,    0L},
  {936,120,     0x0L,    1L,    1L,    0L},
  {936,32,      0x0L,    1L,    1L,    0L},
  {936,48,      0x1L,    1L,    1L,    0L},
  {936,112,     0x1L,    1L,    1L,    0L},
  {928,176,     0x1L,    1L,    1L,    0L},
  {928,232,     0x1L,    1L,    1L,    0L},
  {920,272,     0x1L,    1L,    1L,    0L},
  {920,304,     0x1L,    1L,    1L,    0L},
                                         /* quadrant 1 dir. 0, speed 1 */
  {912,336,     0x1L,    1L,    1L,    0L},
  {912,360,     0x1L,    1L,    1L,    0L},
  {920,376,     0x1L,    1L,    1L,    0L},
  {920,392,     0x1L,    1L,    1L,    0L},
  {928,408,     0x1L,    1L,    1L,    0L},
  {944,424,     0x1L,    1L,    1L,    0L},
  {952,440,     0x1L,    1L,    1L,    0L},
  {968,456,     0x1L,    1L,    1L,    0L},
  {976,472,     0x1L,    1L,    1L,    0L},
  {984,496,     0x1L,    1L,    1L,    0L},
  {992,528,     0x1L,    1L,    1L,    0L},
  {992,560,     0x1L,    1L,    1L,    0L},
  {992,592,     0x1L,    1L,    1L,    0L},
  {976,632,     0x1L,    1L,    1L,    0L},
  {952,672,     0x1L,    1L,    1L,    0L},
  {920,712,     0x1L,    1L,    1L,    0L},
  {880,744,     0x1L,    1L,    1L,    0L},
  {824,784,     0x1L,    1L,    1L,    0L},
  {768,816,     0x1L,    1L,    1L,    0L},
  {696,840,     0x1L,    1L,    1L,    0L},
  {624,864,     0x1L,    1L,    1L,    0L},
  {544,880,     0x1L,    1L,    1L,    0L},
  {464,888,     0x1L,    1L,    1L,    0L},
  {384,896,     0x1L,    1L,    1L,    0L},
  {304,896,     0x1L,    1L,    1L,    0L},
  {224,888,     0x1L,    1L,    1L,    0L},
  {152,888,     0x1L,    1L,    1L,    0L},
  {88,880,      0x1L,    1L,    1L,    0L},
  {32,872,      0x1L,    1L,    1L,    0L},
  {24,864,      0x2L,    1L,    1L,    0L},
  {72,864,      0x2L,    1L,    1L,    0L},
  {112,856,     0x2L,    1L,    1L,    0L},
                                         /* quadrant 2 dir. 0, speed 1 */
  {144,856,     0x2L,    1L,    1L,    0L},
  {176,856,     0x2L,    1L,    1L,    0L},
  {208,864,     0x2L,    1L,    1L,    0L},
  {232,880,     0x2L,    1L,    1L,    0L},
  {256,888,     0x2L,    1L,    1L,    0L},
  {288,912,     0x2L,    1L,    1L,    0L},
  {320,928,     0x2L,    1L,    1L,    0L},
  {352,952,     0x2L,    1L,    1L,    0L},
  {384,968,     0x2L,    1L,    1L,    0L},
  {424,992,     0x2L,    1L,    1L,    0L},
  {464,1000,    0x2L,    1L,    1L,    0L},
  {504,1008,    0x2L,    1L,    1L,    0L},
  {552,1008,    0x2L,    1L,    1L,    0L},
  {592,992,     0x2L,    1L,    1L,    0L},
  {640,960,     0x2L,    1L,    1L,    0L},
  {688,920,     0x2L,    1L,    1L,    0L},
  {728,864,     0x2L,    1L,    1L,    0L},
  {776,792,     0x2L,    1L,    1L,    0L},
  {808,712,     0x2L,    1L,    1L,    0L},
  {840,624,     0x2L,    1L,    1L,    0L},
  {872,520,     0x2L,    1L,    1L,    0L},
  {896,424,     0x2L,    1L,    1L,    0L},
  {912,320,     0x2L,    1L,    1L,    0L},
  {928,216,     0x2L,    1L,    1L,    0L},
  {936,120,     0x2L,    1L,    1L,    0L},
  {936,32,      0x2L,    1L,    1L,    0L},
  {936,48,      0x3L,    1L,    1L,    0L},
  {936,112,     0x3L,    1L,    1L,    0L},
  {928,176,     0x3L,    1L,    1L,    0L},
  {928,232,     0x3L,    1L,    1L,    0L},
  {920,272,     0x3L,    1L,    1L,    0L},
  {920,304,     0x3L,    1L,    1L,    0L},
                                         /* quadrant 3 dir. 0, speed 1 */
  {912,336,     0x3L,    1L,    1L,    0L},
  {912,360,     0x3L,    1L,    1L,    0L},
  {920,376,     0x3L,    1L,    1L,    0L},
  {920,392,     0x3L,    1L,    1L,    0L},
  {928,408,     0x3L,    1L,    1L,    0L},
  {944,424,     0x3L,    1L,    1L,    0L},
  {952,440,     0x3L,    1L,    1L,    0L},
  {968,456,     0x3L,    1L,    1L,    0L},
  {976,472,     0x3L,    1L,    1L,    0L},
  {984,496,     0x3L,    1L,    1L,    0L},
  {992,528,     0x3L,    1L,    1L,    0L},
  {992,560,     0x3L,    1L,    1L,    0L},
  {992,592,     0x3L,    1L,    1L,    0L},
  {976,632,     0x3L,    1L,    1L,    0L},
  {952,672,     0x3L,    1L,    1L,    0L},
  {920,712,     0x3L,    1L,    1L,    0L},
  {880,744,     0x3L,    1L,    1L,    0L},
  {824,784,     0x3L,    1L,    1L,    0L},
  {768,816,     0x3L,    1L,    1L,    0L},
  {696,840,     0x3L,    1L,    1L,    0L},
  {624,864,     0x3L,    1L,    1L,    0L},
  {544,880,     0x3L,    1L,    1L,    0L},
  {464,888,     0x3L,    1L,    1L,    0L},
  {384,896,     0x3L,    1L,    1L,    0L},
  {304,896,     0x3L,    1L,    1L,    0L},
  {224,888,     0x3L,    1L,    1L,    0L},
  {152,888,     0x3L,    1L,    1L,    0L},
  {88,880,      0x3L,    1L,    1L,    0L},
  {32,872,      0x3L,    1L,    1L,    0L},
  {24,864,      0x0L,    1L,    1L,    0L},
  {72,864,      0x0L,    1L,    1L,    0L},
  {112,856,     0x0L,    1L,    1L,    0L}},
/* EasyCASE > */
/* EasyCASE ) */
/* EasyCASE ( 1257
   Direction 1 (CCW), Speed 1 (special table)
   MUL-SMIA_nMW2000_FrontContacted_Basic_FullValued (No 6) */
/* EasyCASE < */
                                         /* quadrant 0 dir. 0, speed 1 */
 {{216,952,     0x3L,    1L,    1L,    0L},
  {160,960,     0x3L,    1L,    1L,    0L},
  {96,960,      0x3L,    1L,    1L,    0L},
  {32,960,      0x3L,    1L,    1L,    0L},
  {40,952,      0x0L,    1L,    1L,    0L},
  {112,936,     0x0L,    1L,    1L,    0L},
  {192,912,     0x0L,    1L,    1L,    0L},
  {280,888,     0x0L,    1L,    1L,    0L},
  {360,864,     0x0L,    1L,    1L,    0L},
  {440,824,     0x0L,    1L,    1L,    0L},
  {528,792,     0x0L,    1L,    1L,    0L},
  {608,744,     0x0L,    1L,    1L,    0L},
  {680,704,     0x0L,    1L,    1L,    0L},
  {744,664,     0x0L,    1L,    1L,    0L},
  {808,616,     0x0L,    1L,    1L,    0L},
  {864,576,     0x0L,    1L,    1L,    0L},
  {904,536,     0x0L,    1L,    1L,    0L},
  {944,504,     0x0L,    1L,    1L,    0L},
  {968,472,     0x0L,    1L,    1L,    0L},
  {984,448,     0x0L,    1L,    1L,    0L},
  {1000,424,    0x0L,    1L,    1L,    0L},
  {1000,408,     0x0L,    1L,    1L,    0L},
  {1000,400,     0x0L,    1L,    1L,    0L},
  {992,384,     0x0L,    1L,    1L,    0L},
  {984,376,     0x0L,    1L,    1L,    0L},
  {976,360,     0x0L,    1L,    1L,    0L},
  {968,352,     0x0L,    1L,    1L,    0L},
  {968,328,     0x0L,    1L,    1L,    0L},
  {960,304,     0x0L,    1L,    1L,    0L},
  {960,272,     0x0L,    1L,    1L,    0L},
  {968,232,     0x0L,    1L,    1L,    0L},
  {976,176,     0x0L,    1L,    1L,    0L},
                                         /* quadrant 1 dir. 0, speed 1 */
  {984,120,     0x0L,    1L,    1L,    0L},
  {992,56,      0x0L,    1L,    1L,    0L},
  {1000,16,     0x1L,    1L,    1L,    0L},
  {1008,104,    0x1L,    1L,    1L,    0L},
  {1008,184,    0x1L,    1L,    1L,    0L},
  {1016,272,    0x1L,    1L,    1L,    0L},
  {1008,368,    0x1L,    1L,    1L,    0L},
  {1000,456,    0x1L,    1L,    1L,    0L},
  {992,552,     0x1L,    1L,    1L,    0L},
  {976,632,     0x1L,    1L,    1L,    0L},
  {960,712,     0x1L,    1L,    1L,    0L},
  {936,784,     0x1L,    1L,    1L,    0L},
  {904,848,     0x1L,    1L,    1L,    0L},
  {880,904,     0x1L,    1L,    1L,    0L},
  {848,944,     0x1L,    1L,    1L,    0L},
  {816,968,     0x1L,    1L,    1L,    0L},
  {776,984,     0x1L,    1L,    1L,    0L},
  {744,992,     0x1L,    1L,    1L,    0L},
  {704,992,     0x1L,    1L,    1L,    0L},
  {672,984,     0x1L,    1L,    1L,    0L},
  {632,968,     0x1L,    1L,    1L,    0L},
  {600,952,     0x1L,    1L,    1L,    0L},
  {568,936,     0x1L,    1L,    1L,    0L},
  {536,920,     0x1L,    1L,    1L,    0L},
  {504,912,     0x1L,    1L,    1L,    0L},
  {480,904,     0x1L,    1L,    1L,    0L},
  {448,904,     0x1L,    1L,    1L,    0L},
  {416,904,     0x1L,    1L,    1L,    0L},
  {384,912,     0x1L,    1L,    1L,    0L},
  {352,928,     0x1L,    1L,    1L,    0L},
  {312,936,     0x1L,    1L,    1L,    0L},
  {264,944,     0x1L,    1L,    1L,    0L},
                                         /* quadrant 2 dir. 0, speed 1 */
  {216,952,     0x1L,    1L,    1L,    0L},
  {160,960,     0x1L,    1L,    1L,    0L},
  {96,960,      0x1L,    1L,    1L,    0L},
  {32,960,      0x1L,    1L,    1L,    0L},
  {40,952,      0x2L,    1L,    1L,    0L},
  {112,936,     0x2L,    1L,    1L,    0L},
  {192,912,     0x2L,    1L,    1L,    0L},
  {280,888,     0x2L,    1L,    1L,    0L},
  {360,864,     0x2L,    1L,    1L,    0L},
  {440,824,     0x2L,    1L,    1L,    0L},
  {528,792,     0x2L,    1L,    1L,    0L},
  {608,744,     0x2L,    1L,    1L,    0L},
  {680,704,     0x2L,    1L,    1L,    0L},
  {744,664,     0x2L,    1L,    1L,    0L},
  {808,616,     0x2L,    1L,    1L,    0L},
  {864,576,     0x2L,    1L,    1L,    0L},
  {904,536,     0x2L,    1L,    1L,    0L},
  {944,504,     0x2L,    1L,    1L,    0L},
  {968,472,     0x2L,    1L,    1L,    0L},
  {984,448,     0x2L,    1L,    1L,    0L},
  {1000,424,    0x2L,    1L,    1L,    0L},
  {1000,408,     0x2L,    1L,    1L,    0L},
  {1000,400,    0x2L,    1L,    1L,    0L},
  {992,384,     0x2L,    1L,    1L,    0L},
  {984,376,     0x2L,    1L,    1L,    0L},
  {976,360,     0x2L,    1L,    1L,    0L},
  {968,352,     0x2L,    1L,    1L,    0L},
  {968,328,     0x2L,    1L,    1L,    0L},
  {960,304,     0x2L,    1L,    1L,    0L},
  {960,272,     0x2L,    1L,    1L,    0L},
  {968,232,     0x2L,    1L,    1L,    0L},
  {976,176,     0x2L,    1L,    1L,    0L},
                                         /* quadrant 3 dir. 0, speed 1 */
  {984,120,     0x2L,    1L,    1L,    0L},
  {992,56,      0x2L,    1L,    1L,    0L},
  {1000,16,     0x3L,    1L,    1L,    0L},
  {1008,104,    0x3L,    1L,    1L,    0L},
  {1008,184,    0x3L,    1L,    1L,    0L},
  {1016,272,    0x3L,    1L,    1L,    0L},
  {1008,368,    0x3L,    1L,    1L,    0L},
  {1000,456,    0x3L,    1L,    1L,    0L},
  {992,552,     0x3L,    1L,    1L,    0L},
  {976,632,     0x3L,    1L,    1L,    0L},
  {960,712,     0x3L,    1L,    1L,    0L},
  {936,784,     0x3L,    1L,    1L,    0L},
  {904,848,     0x3L,    1L,    1L,    0L},
  {880,904,     0x3L,    1L,    1L,    0L},
  {848,944,     0x3L,    1L,    1L,    0L},
  {816,968,     0x3L,    1L,    1L,    0L},
  {776,984,     0x3L,    1L,    1L,    0L},
  {744,992,     0x3L,    1L,    1L,    0L},
  {704,992,     0x3L,    1L,    1L,    0L},
  {672,984,     0x3L,    1L,    1L,    0L},
  {632,968,     0x3L,    1L,    1L,    0L},
  {600,952,     0x3L,    1L,    1L,    0L},
  {568,936,     0x3L,    1L,    1L,    0L},
  {536,920,     0x3L,    1L,    1L,    0L},
  {504,912,     0x3L,    1L,    1L,    0L},
  {480,904,     0x3L,    1L,    1L,    0L},
  {448,904,     0x3L,    1L,    1L,    0L},
  {416,904,     0x3L,    1L,    1L,    0L},
  {384,912,     0x3L,    1L,    1L,    0L},
  {352,928,     0x3L,    1L,    1L,    0L},
  {312,936,     0x3L,    1L,    1L,    0L},
  {264,944,     0x3L,    1L,    1L,    0L}}}}
};
/* EasyCASE > */
/* EasyCASE ) */
/* EasyCASE ) */
/* EasyCASE ( 1258
   MW2000 FRONT-CONTACTED COUNTER-CLOCKWISE(EDUL) TYPE
   SMIA_nMW2000_FrontContacted_Basic_FullValued (No 6) */
/* EasyCASE ( 1147
   Direction 0 (CCW), Speed 0 (normal table)
   EDUL-SMIA_nMW2000_FrontContacted_Basic_FullValued (No 6) */
/* EasyCASE < */
const struct SMIA_ISM_PWMStd SMIA_ISM_A_STDPWMTABLE6_EDUL = {
/*  CVP   CHP   CQI  IVR IHR */
{{{                                      /* quadrant 0 dir. 0, speed 0 */
  {216,968,     0x0L,    1L,    1L,    0L},
  {248,968,     0x0L,    1L,    1L,    0L},
  {288,968,     0x0L,    1L,    1L,    0L},
  {320,968,     0x0L,    1L,    1L,    0L},
  {352,968,     0x0L,    1L,    1L,    0L},
  {384,960,     0x0L,    1L,    1L,    0L},
  {416,960,     0x0L,    1L,    1L,    0L},
  {456,952,     0x0L,    1L,    1L,    0L},
  {488,944,     0x0L,    1L,    1L,    0L},
  {520,936,     0x0L,    1L,    1L,    0L},
  {560,920,     0x0L,    1L,    1L,    0L},
  {600,896,     0x0L,    1L,    1L,    0L},
  {632,872,     0x0L,    1L,    1L,    0L},
  {672,832,     0x0L,    1L,    1L,    0L},
  {712,792,     0x0L,    1L,    1L,    0L},
  {752,752,     0x0L,    1L,    1L,    0L},
  {792,696,     0x0L,    1L,    1L,    0L},
  {832,640,     0x0L,    1L,    1L,    0L},
  {864,576,     0x0L,    1L,    1L,    0L},
  {896,504,     0x0L,    1L,    1L,    0L},
  {928,440,     0x0L,    1L,    1L,    0L},
  {952,376,     0x0L,    1L,    1L,    0L},
  {968,304,     0x0L,    1L,    1L,    0L},
  {984,240,     0x0L,    1L,    1L,    0L},
  {992,184,     0x0L,    1L,    1L,    0L},
  {1000,128,    0x0L,    1L,    1L,    0L},
  {1008,80,     0x0L,    1L,    1L,    0L},
  {1008,32,     0x0L,    1L,    1L,    0L},
  {1008,8,      0x1L,    1L,    1L,    0L},
  {1008,40,     0x1L,    1L,    1L,    0L},
  {1008,72,     0x1L,    1L,    1L,    0L},
  {1008,104,    0x1L,    1L,    1L,    0L},
                                         /* quadrant 1 dir. 0, speed 0 */
  {1008,128,    0x1L,    1L,    1L,    0L},
  {1008,152,    0x1L,    1L,    1L,    0L},
  {1008,176,    0x1L,    1L,    1L,    0L},
  {1008,200,    0x1L,    1L,    1L,    0L},
  {1008,224,    0x1L,    1L,    1L,    0L},
  {1008,248,    0x1L,    1L,    1L,    0L},
  {1008,272,    0x1L,    1L,    1L,    0L},
  {1008,304,    0x1L,    1L,    1L,    0L},
  {1008,328,    0x1L,    1L,    1L,    0L},
  {1000,360,    0x1L,    1L,    1L,    0L},
  {992,392,     0x1L,    1L,    1L,    0L},
  {984,424,     0x1L,    1L,    1L,    0L},
  {960,456,     0x1L,    1L,    1L,    0L},
  {944,496,     0x1L,    1L,    1L,    0L},
  {912,536,     0x1L,    1L,    1L,    0L},
  {872,576,     0x1L,    1L,    1L,    0L},
  {824,616,     0x1L,    1L,    1L,    0L},
  {768,664,     0x1L,    1L,    1L,    0L},
  {704,704,     0x1L,    1L,    1L,    0L},
  {632,752,     0x1L,    1L,    1L,    0L},
  {552,792,     0x1L,    1L,    1L,    0L},
  {472,824,     0x1L,    1L,    1L,    0L},
  {392,856,     0x1L,    1L,    1L,    0L},
  {312,888,     0x1L,    1L,    1L,    0L},
  {232,912,     0x1L,    1L,    1L,    0L},
  {160,928,     0x1L,    1L,    1L,    0L},
  {96,944,      0x1L,    1L,    1L,    0L},
  {32,960,      0x1L,    1L,    1L,    0L},
  {32,968,      0x2L,    1L,    1L,    0L},
  {80,968,      0x2L,    1L,    1L,    0L},
  {128,968,     0x2L,    1L,    1L,    0L},
  {176,968,     0x2L,    1L,    1L,    0L},
                                         /* quadrant 2 dir. 0, speed 0 */
  {216,968,     0x2L,    1L,    1L,    0L},
  {248,968,     0x2L,    1L,    1L,    0L},
  {288,968,     0x2L,    1L,    1L,    0L},
  {320,968,     0x2L,    1L,    1L,    0L},
  {352,968,     0x2L,    1L,    1L,    0L},
  {384,960,     0x2L,    1L,    1L,    0L},
  {416,960,     0x2L,    1L,    1L,    0L},
  {456,952,     0x2L,    1L,    1L,    0L},
  {488,944,     0x2L,    1L,    1L,    0L},
  {520,936,     0x2L,    1L,    1L,    0L},
  {560,920,     0x2L,    1L,    1L,    0L},
  {600,896,     0x2L,    1L,    1L,    0L},
  {632,872,     0x2L,    1L,    1L,    0L},
  {672,832,     0x2L,    1L,    1L,    0L},
  {712,792,     0x2L,    1L,    1L,    0L},
  {752,752,     0x2L,    1L,    1L,    0L},
  {792,696,     0x2L,    1L,    1L,    0L},
  {832,640,     0x2L,    1L,    1L,    0L},
  {864,576,     0x2L,    1L,    1L,    0L},
  {896,504,     0x2L,    1L,    1L,    0L},
  {928,440,     0x2L,    1L,    1L,    0L},
  {952,376,     0x2L,    1L,    1L,    0L},
  {968,304,     0x2L,    1L,    1L,    0L},
  {984,240,     0x2L,    1L,    1L,    0L},
  {992,184,     0x2L,    1L,    1L,    0L},
  {1000,128,    0x2L,    1L,    1L,    0L},
  {1008,80,     0x2L,    1L,    1L,    0L},
  {1008,32,     0x2L,    1L,    1L,    0L},
  {1008,8,      0x3L,    1L,    1L,    0L},
  {1008,40,     0x3L,    1L,    1L,    0L},
  {1008,72,     0x3L,    1L,    1L,    0L},
  {1008,104,    0x3L,    1L,    1L,    0L},
                                         /* quadrant 3 dir. 0, speed 0 */
  {1008,128,    0x3L,    1L,    1L,    0L},
  {1008,152,    0x3L,    1L,    1L,    0L},
  {1008,176,    0x3L,    1L,    1L,    0L},
  {1008,200,    0x3L,    1L,    1L,    0L},
  {1008,224,    0x3L,    1L,    1L,    0L},
  {1008,248,    0x3L,    1L,    1L,    0L},
  {1008,272,    0x3L,    1L,    1L,    0L},
  {1008,304,    0x3L,    1L,    1L,    0L},
  {1008,328,    0x3L,    1L,    1L,    0L},
  {1000,360,    0x3L,    1L,    1L,    0L},
  {992,392,     0x3L,    1L,    1L,    0L},
  {984,424,     0x3L,    1L,    1L,    0L},
  {960,456,     0x3L,    1L,    1L,    0L},
  {944,496,     0x3L,    1L,    1L,    0L},
  {912,536,     0x3L,    1L,    1L,    0L},
  {872,576,     0x3L,    1L,    1L,    0L},
  {824,616,     0x3L,    1L,    1L,    0L},
  {768,664,     0x3L,    1L,    1L,    0L},
  {704,704,     0x3L,    1L,    1L,    0L},
  {632,752,     0x3L,    1L,    1L,    0L},
  {552,792,     0x3L,    1L,    1L,    0L},
  {472,824,     0x3L,    1L,    1L,    0L},
  {392,856,     0x3L,    1L,    1L,    0L},
  {312,888,     0x3L,    1L,    1L,    0L},
  {232,912,     0x3L,    1L,    1L,    0L},
  {160,928,     0x3L,    1L,    1L,    0L},
  {96,944,      0x3L,    1L,    1L,    0L},
  {32,960,      0x3L,    1L,    1L,    0L},
  {32,968,      0x0L,    1L,    1L,    0L},
  {80,968,      0x0L,    1L,    1L,    0L},
  {128,968,     0x0L,    1L,    1L,    0L},
  {176,968,     0x0L,    1L,    1L,    0L}},
/* EasyCASE > */
/* EasyCASE ) */
/* EasyCASE ( 1260
   Direction 1 (CW), Speed 0 (normal table)
   EDUL-SMIA_nMW2000_FrontContacted_Basic_FullValued (No 6) */
/* EasyCASE < */
{                                        /* quadrant 0 dir. 1, speed 0 */
  {0,960,       0x0L,    1L,    1L,    0L},
  {40,952,      0x0L,    1L,    1L,    0L},
  {80,952,      0x0L,    1L,    1L,    0L},
  {128,944,     0x0L,    1L,    1L,    0L},
  {184,936,     0x0L,    1L,    1L,    0L},
  {248,928,     0x0L,    1L,    1L,    0L},
  {312,912,     0x0L,    1L,    1L,    0L},
  {384,896,     0x0L,    1L,    1L,    0L},
  {456,872,     0x0L,    1L,    1L,    0L},
  {528,840,     0x0L,    1L,    1L,    0L},
  {600,808,     0x0L,    1L,    1L,    0L},
  {672,776,     0x0L,    1L,    1L,    0L},
  {736,736,     0x0L,    1L,    1L,    0L},
  {792,696,     0x0L,    1L,    1L,    0L},
  {840,656,     0x0L,    1L,    1L,    0L},
  {888,616,     0x0L,    1L,    1L,    0L},
  {920,576,     0x0L,    1L,    1L,    0L},
  {944,544,     0x0L,    1L,    1L,    0L},
  {960,512,     0x0L,    1L,    1L,    0L},
  {976,480,     0x0L,    1L,    1L,    0L},
  {984,456,     0x0L,    1L,    1L,    0L},
  {992,432,     0x0L,    1L,    1L,    0L},
  {1000,408,    0x0L,    1L,    1L,    0L},
  {1000,384,     0x0L,    1L,    1L,    0L},
  {1008,360,     0x0L,    1L,    1L,    0L},
  {1008,336,    0x0L,    1L,    1L,    0L},
  {1008,312,    0x0L,    1L,    1L,    0L},
  {1016,288,    0x0L,    1L,    1L,    0L},
  {1016,264,    0x0L,    1L,    1L,    0L},
  {1016,240,    0x0L,    1L,    1L,    0L},
  {1016,208,    0x0L,    1L,    1L,    0L},
  {1016,184,    0x0L,    1L,    1L,    0L},
                                         /* quadrant 1 dir. 1, speed 0 */
  {1016,152,    0x0L,    1L,    1L,    0L},
  {1016,120,    0x0L,    1L,    1L,    0L},
  {1016,80,     0x0L,    1L,    1L,    0L},
  {1016,48,     0x0L,    1L,    1L,    0L},
  {1008,0,      0x1L,    1L,    1L,    0L},
  {1008,48,     0x1L,    1L,    1L,    0L},
  {1000,104,    0x1L,    1L,    1L,    0L},
  {992,168,     0x1L,    1L,    1L,    0L},
  {976,240,     0x1L,    1L,    1L,    0L},
  {952,320,     0x1L,    1L,    1L,    0L},
  {920,392,     0x1L,    1L,    1L,    0L},
  {880,472,     0x1L,    1L,    1L,    0L},
  {840,552,     0x1L,    1L,    1L,    0L},
  {792,632,     0x1L,    1L,    1L,    0L},
  {744,704,     0x1L,    1L,    1L,    0L},
  {696,768,     0x1L,    1L,    1L,    0L},
  {640,824,     0x1L,    1L,    1L,    0L},
  {592,872,     0x1L,    1L,    1L,    0L},
  {544,912,     0x1L,    1L,    1L,    0L},
  {496,944,     0x1L,    1L,    1L,    0L},
  {448,968,     0x1L,    1L,    1L,    0L},
  {408,984,     0x1L,    1L,    1L,    0L},
  {368,992,     0x1L,    1L,    1L,    0L},
  {328,992,     0x1L,    1L,    1L,    0L},
  {288,992,     0x1L,    1L,    1L,    0L},
  {256,992,     0x1L,    1L,    1L,    0L},
  {216,992,     0x1L,    1L,    1L,    0L},
  {176,984,     0x1L,    1L,    1L,    0L},
  {144,976,     0x1L,    1L,    1L,    0L},
  {112,976,     0x1L,    1L,    1L,    0L},
  {72,968,      0x1L,    1L,    1L,    0L},
  {40,960,      0x1L,    1L,    1L,    0L},
                                           /* quadrant 2 dir. 1, speed 0 */
  {0,960,       0x2L,    1L,    1L,    0L},
  {40,952,      0x2L,    1L,    1L,    0L},
  {80,952,      0x2L,    1L,    1L,    0L},
  {128,944,     0x2L,    1L,    1L,    0L},
  {184,936,     0x2L,    1L,    1L,    0L},
  {248,928,     0x2L,    1L,    1L,    0L},
  {312,912,     0x2L,    1L,    1L,    0L},
  {384,896,     0x2L,    1L,    1L,    0L},
  {456,872,     0x2L,    1L,    1L,    0L},
  {528,840,     0x2L,    1L,    1L,    0L},
  {600,808,     0x2L,    1L,    1L,    0L},
  {672,776,     0x2L,    1L,    1L,    0L},
  {736,736,     0x2L,    1L,    1L,    0L},
  {792,696,     0x2L,    1L,    1L,    0L},
  {840,656,     0x2L,    1L,    1L,    0L},
  {888,616,     0x2L,    1L,    1L,    0L},
  {920,576,     0x2L,    1L,    1L,    0L},
  {944,544,     0x2L,    1L,    1L,    0L},
  {960,512,     0x2L,    1L,    1L,    0L},
  {976,480,     0x2L,    1L,    1L,    0L},
  {984,456,     0x2L,    1L,    1L,    0L},
  {992,432,     0x2L,    1L,    1L,    0L},
  {1000,408,    0x2L,    1L,    1L,    0L},
  {1000,384,    0x2L,    1L,    1L,    0L},
  {1008,360,    0x2L,    1L,    1L,    0L},
  {1008,336,    0x2L,    1L,    1L,    0L},
  {1008,312,    0x2L,    1L,    1L,    0L},
  {1016,288,     0x2L,    1L,    1L,    0L},
  {1016,264,     0x2L,    1L,    1L,    0L},
  {1016,240,     0x2L,    1L,    1L,    0L},
  {1016,208,     0x2L,    1L,    1L,    0L},
  {1016,184,    0x2L,    1L,    1L,    0L},
                                           /* quadrant 3 dir. 1, speed 0 */
  {1016,152,    0x2L,    1L,    1L,    0L},
  {1016,120,    0x2L,    1L,    1L,    0L},
  {1016,80,     0x2L,    1L,    1L,    0L},
  {1016,48,     0x2L,    1L,    1L,    0L},
  {1008,0,      0x3L,    1L,    1L,    0L},
  {1008,48,     0x3L,    1L,    1L,    0L},
  {1000,104,    0x3L,    1L,    1L,    0L},
  {992,168,     0x3L,    1L,    1L,    0L},
  {976,240,     0x3L,    1L,    1L,    0L},
  {952,320,     0x3L,    1L,    1L,    0L},
  {920,392,     0x3L,    1L,    1L,    0L},
  {880,472,     0x3L,    1L,    1L,    0L},
  {840,552,     0x3L,    1L,    1L,    0L},
  {792,632,     0x3L,    1L,    1L,    0L},
  {744,704,     0x3L,    1L,    1L,    0L},
  {696,768,     0x3L,    1L,    1L,    0L},
  {640,824,     0x3L,    1L,    1L,    0L},
  {592,872,     0x3L,    1L,    1L,    0L},
  {544,912,     0x3L,    1L,    1L,    0L},
  {496,944,     0x3L,    1L,    1L,    0L},
  {448,968,     0x3L,    1L,    1L,    0L},
  {408,984,     0x3L,    1L,    1L,    0L},
  {368,992,     0x3L,    1L,    1L,    0L},
  {328,992,     0x3L,    1L,    1L,    0L},
  {288,992,     0x3L,    1L,    1L,    0L},
  {256,992,     0x3L,    1L,    1L,    0L},
  {216,992,     0x3L,    1L,    1L,    0L},
  {176,984,     0x3L,    1L,    1L,    0L},
  {144,976,     0x3L,    1L,    1L,    0L},
  {112,976,     0x3L,    1L,    1L,    0L},
  {72,968,      0x3L,    1L,    1L,    0L},
  {40,960,      0x3L,    1L,    1L,    0L}}},
/* EasyCASE > */
/* EasyCASE ) */
/* EasyCASE ( 1261
   Direction 0 (CCW), Speed 1 (special table)
   EDUL-SMIA_nMW2000_FrontContacted_Basic_FullValued (No 6) */
/* EasyCASE < */
{{                                       /* quadrant 0 dir. 0, speed 1 */
  {264,944,     0x0L,    1L,    1L,    0L},
  {312,936,     0x0L,    1L,    1L,    0L},
  {352,928,     0x0L,    1L,    1L,    0L},
  {384,912,     0x0L,    1L,    1L,    0L},
  {416,904,     0x0L,    1L,    1L,    0L},
  {448,904,     0x0L,    1L,    1L,    0L},
  {480,904,     0x0L,    1L,    1L,    0L},
  {504,912,     0x0L,    1L,    1L,    0L},
  {536,920,     0x0L,    1L,    1L,    0L},
  {568,936,     0x0L,    1L,    1L,    0L},
  {600,952,     0x0L,    1L,    1L,    0L},
  {632,968,     0x0L,    1L,    1L,    0L},
  {672,984,     0x0L,    1L,    1L,    0L},
  {704,992,     0x0L,    1L,    1L,    0L},
  {744,992,     0x0L,    1L,    1L,    0L},
  {776,984,     0x0L,    1L,    1L,    0L},
  {816,968,     0x0L,    1L,    1L,    0L},
  {848,944,     0x0L,    1L,    1L,    0L},
  {880,904,     0x0L,    1L,    1L,    0L},
  {904,848,     0x0L,    1L,    1L,    0L},
  {936,784,     0x0L,    1L,    1L,    0L},
  {960,712,     0x0L,    1L,    1L,    0L},
  {976,632,     0x0L,    1L,    1L,    0L},
  {992,552,     0x0L,    1L,    1L,    0L},
  {1000,456,    0x0L,    1L,    1L,    0L},
  {1008,368,    0x0L,    1L,    1L,    0L},
  {1016,272,    0x0L,    1L,    1L,    0L},
  {1008,184,    0x0L,    1L,    1L,    0L},
  {1008,104,    0x0L,    1L,    1L,    0L},
  {1000,16,     0x0L,    1L,    1L,    0L},
  {992,56,      0x1L,    1L,    1L,    0L},
  {984,120,     0x1L,    1L,    1L,    0L},
                                         /* quadrant 1 dir. 0, speed 1 */
  {976,176,     0x1L,    1L,    1L,    0L},
  {968,232,     0x1L,    1L,    1L,    0L},
  {960,272,     0x1L,    1L,    1L,    0L},
  {960,304,     0x1L,    1L,    1L,    0L},
  {968,328,     0x1L,    1L,    1L,    0L},
  {968,352,     0x1L,    1L,    1L,    0L},
  {976,360,     0x1L,    1L,    1L,    0L},
  {984,376,     0x1L,    1L,    1L,    0L},
  {992,384,     0x1L,    1L,    1L,    0L},
  {1000,400,     0x1L,    1L,    1L,    0L},
  {1000,408,     0x1L,    1L,    1L,    0L},
  {1000,424,    0x1L,    1L,    1L,    0L},
  {984,448,     0x1L,    1L,    1L,    0L},
  {968,472,     0x1L,    1L,    1L,    0L},
  {944,504,     0x1L,    1L,    1L,    0L},
  {904,536,     0x1L,    1L,    1L,    0L},
  {864,576,     0x1L,    1L,    1L,    0L},
  {808,616,     0x1L,    1L,    1L,    0L},
  {744,664,     0x1L,    1L,    1L,    0L},
  {680,704,     0x1L,    1L,    1L,    0L},
  {608,744,     0x1L,    1L,    1L,    0L},
  {528,792,     0x1L,    1L,    1L,    0L},
  {440,824,     0x1L,    1L,    1L,    0L},
  {360,864,     0x1L,    1L,    1L,    0L},
  {280,888,     0x1L,    1L,    1L,    0L},
  {192,912,     0x1L,    1L,    1L,    0L},
  {112,936,     0x1L,    1L,    1L,    0L},
  {40,952,      0x1L,    1L,    1L,    0L},
  {32,960,      0x2L,    1L,    1L,    0L},
  {96,960,      0x2L,    1L,    1L,    0L},
  {160,960,     0x2L,    1L,    1L,    0L},
  {216,952,     0x2L,    1L,    1L,    0L},
                                         /* quadrant 2 dir. 0, speed 1 */
  {264,944,     0x2L,    1L,    1L,    0L},
  {312,936,     0x2L,    1L,    1L,    0L},
  {352,928,     0x2L,    1L,    1L,    0L},
  {384,912,     0x2L,    1L,    1L,    0L},
  {416,904,     0x2L,    1L,    1L,    0L},
  {448,904,     0x2L,    1L,    1L,    0L},
  {480,904,     0x2L,    1L,    1L,    0L},
  {504,912,     0x2L,    1L,    1L,    0L},
  {536,920,     0x2L,    1L,    1L,    0L},
  {568,936,     0x2L,    1L,    1L,    0L},
  {600,952,     0x2L,    1L,    1L,    0L},
  {632,968,     0x2L,    1L,    1L,    0L},
  {672,984,     0x2L,    1L,    1L,    0L},
  {704,992,     0x2L,    1L,    1L,    0L},
  {744,992,     0x2L,    1L,    1L,    0L},
  {776,984,     0x2L,    1L,    1L,    0L},
  {816,968,     0x2L,    1L,    1L,    0L},
  {848,944,     0x2L,    1L,    1L,    0L},
  {880,904,     0x2L,    1L,    1L,    0L},
  {904,848,     0x2L,    1L,    1L,    0L},
  {936,784,     0x2L,    1L,    1L,    0L},
  {960,712,     0x2L,    1L,    1L,    0L},
  {976,632,     0x2L,    1L,    1L,    0L},
  {992,552,     0x2L,    1L,    1L,    0L},
  {1000,456,    0x2L,    1L,    1L,    0L},
  {1008,368,    0x2L,    1L,    1L,    0L},
  {1016,272,    0x2L,    1L,    1L,    0L},
  {1008,184,    0x2L,    1L,    1L,    0L},
  {1008,104,    0x2L,    1L,    1L,    0L},
  {1000,16,     0x2L,    1L,    1L,    0L},
  {992,56,      0x3L,    1L,    1L,    0L},
  {984,120,     0x3L,    1L,    1L,    0L},      
                                         /* quadrant 3 dir. 0, speed 1 */
  {976,176,     0x3L,    1L,    1L,    0L},
  {968,232,     0x3L,    1L,    1L,    0L},
  {960,272,     0x3L,    1L,    1L,    0L},
  {960,304,     0x3L,    1L,    1L,    0L},
  {968,328,     0x3L,    1L,    1L,    0L},
  {968,352,     0x3L,    1L,    1L,    0L},
  {976,360,     0x3L,    1L,    1L,    0L},
  {984,376,     0x3L,    1L,    1L,    0L},
  {992,384,     0x3L,    1L,    1L,    0L},
  {1000,400,    0x3L,    1L,    1L,    0L},
  {1000,408,     0x3L,    1L,    1L,    0L},
  {1000,424,    0x3L,    1L,    1L,    0L},
  {984,448,     0x3L,    1L,    1L,    0L},
  {968,472,     0x3L,    1L,    1L,    0L},
  {944,504,     0x3L,    1L,    1L,    0L},
  {904,536,     0x3L,    1L,    1L,    0L},
  {864,576,     0x3L,    1L,    1L,    0L},
  {808,616,     0x3L,    1L,    1L,    0L},
  {744,664,     0x3L,    1L,    1L,    0L},
  {680,704,     0x3L,    1L,    1L,    0L},
  {608,744,     0x3L,    1L,    1L,    0L},
  {528,792,     0x3L,    1L,    1L,    0L},
  {440,824,     0x3L,    1L,    1L,    0L},
  {360,864,     0x3L,    1L,    1L,    0L},
  {280,888,     0x3L,    1L,    1L,    0L},
  {192,912,     0x3L,    1L,    1L,    0L},
  {112,936,     0x3L,    1L,    1L,    0L},
  {40,952,      0x3L,    1L,    1L,    0L},
  {32,960,      0x0L,    1L,    1L,    0L},
  {96,960,      0x0L,    1L,    1L,    0L},
  {160,960,     0x0L,    1L,    1L,    0L},
  {216,952,     0x0L,    1L,    1L,    0L}},
/* EasyCASE > */
/* EasyCASE ) */
/* EasyCASE ( 1262
   Direction 1 (CW), Speed 1 (special table)
   EDUL-SMIA_nMW2000_FrontContacted_Basic_FullValued (No 6) */
/* EasyCASE < */
                                        /* quadrant 0 dir. 1, speed 1 */
{ {112,856,     0x3L,    1L,    1L,    0L},
  {72,864,      0x3L,    1L,    1L,    0L},
  {24,864,      0x3L,    1L,    1L,    0L},
  {32,872,      0x0L,    1L,    1L,    0L},
  {88,880,      0x0L,    1L,    1L,    0L},
  {152,888,     0x0L,    1L,    1L,    0L},
  {224,888,     0x0L,    1L,    1L,    0L},
  {304,896,     0x0L,    1L,    1L,    0L},
  {384,896,     0x0L,    1L,    1L,    0L},
  {464,888,     0x0L,    1L,    1L,    0L},
  {544,880,     0x0L,    1L,    1L,    0L},
  {624,864,     0x0L,    1L,    1L,    0L},
  {696,840,     0x0L,    1L,    1L,    0L},
  {768,816,     0x0L,    1L,    1L,    0L},
  {824,784,     0x0L,    1L,    1L,    0L},
  {880,744,     0x0L,    1L,    1L,    0L},
  {920,712,     0x0L,    1L,    1L,    0L},
  {952,672,     0x0L,    1L,    1L,    0L},
  {976,632,     0x0L,    1L,    1L,    0L},
  {992,592,     0x0L,    1L,    1L,    0L},
  {992,560,     0x0L,    1L,    1L,    0L},
  {992,528,     0x0L,    1L,    1L,    0L},
  {984,496,     0x0L,    1L,    1L,    0L},
  {976,472,     0x0L,    1L,    1L,    0L},
  {968,456,     0x0L,    1L,    1L,    0L},
  {952,440,     0x0L,    1L,    1L,    0L},
  {944,424,     0x0L,    1L,    1L,    0L},
  {928,408,     0x0L,    1L,    1L,    0L},
  {920,392,     0x0L,    1L,    1L,    0L},
  {920,376,     0x0L,    1L,    1L,    0L},
  {912,360,     0x0L,    1L,    1L,    0L},
  {912,336,     0x0L,    1L,    1L,    0L},
                                        /* quadrant 1 dir. 1, speed 1 */
  {920,304,     0x0L,    1L,    1L,    0L},
  {920,272,     0x0L,    1L,    1L,    0L},
  {928,232,     0x0L,    1L,    1L,    0L},
  {928,176,     0x0L,    1L,    1L,    0L},
  {936,112,     0x0L,    1L,    1L,    0L},
  {936,48,      0x0L,    1L,    1L,    0L},
  {936,32,      0x1L,    1L,    1L,    0L},
  {936,120,     0x1L,    1L,    1L,    0L},
  {928,216,     0x1L,    1L,    1L,    0L},
  {912,320,     0x1L,    1L,    1L,    0L},
  {896,424,     0x1L,    1L,    1L,    0L},
  {872,520,     0x1L,    1L,    1L,    0L},
  {840,624,     0x1L,    1L,    1L,    0L},
  {808,712,     0x1L,    1L,    1L,    0L},
  {776,792,     0x1L,    1L,    1L,    0L},
  {728,864,     0x1L,    1L,    1L,    0L},
  {688,920,     0x1L,    1L,    1L,    0L},
  {640,960,     0x1L,    1L,    1L,    0L},
  {592,992,     0x1L,    1L,    1L,    0L},
  {552,1008,    0x1L,    1L,    1L,    0L},
  {504,1008,    0x1L,    1L,    1L,    0L},
  {464,1000,    0x1L,    1L,    1L,    0L},
  {424,992,     0x1L,    1L,    1L,    0L},
  {384,968,     0x1L,    1L,    1L,    0L},
  {352,952,     0x1L,    1L,    1L,    0L},
  {320,928,     0x1L,    1L,    1L,    0L},
  {288,912,     0x1L,    1L,    1L,    0L},
  {256,888,     0x1L,    1L,    1L,    0L},
  {232,880,     0x1L,    1L,    1L,    0L},
  {208,864,     0x1L,    1L,    1L,    0L},
  {176,856,     0x1L,    1L,    1L,    0L},
  {144,856,     0x1L,    1L,    1L,    0L},
                                          /* quadrant 2 dir. 1, speed 1 */
  {112,856,     0x1L,    1L,    1L,    0L},
  {72,864,      0x1L,    1L,    1L,    0L},
  {24,864,      0x1L,    1L,    1L,    0L},
  {32,872,      0x2L,    1L,    1L,    0L},
  {88,880,      0x2L,    1L,    1L,    0L},
  {152,888,     0x2L,    1L,    1L,    0L},
  {224,888,     0x2L,    1L,    1L,    0L},
  {304,896,     0x2L,    1L,    1L,    0L},
  {384,896,     0x2L,    1L,    1L,    0L},
  {464,888,     0x2L,    1L,    1L,    0L},
  {544,880,     0x2L,    1L,    1L,    0L},
  {624,864,     0x2L,    1L,    1L,    0L},
  {696,840,     0x2L,    1L,    1L,    0L},
  {768,816,     0x2L,    1L,    1L,    0L},
  {824,784,     0x2L,    1L,    1L,    0L},
  {880,744,     0x2L,    1L,    1L,    0L},
  {920,712,     0x2L,    1L,    1L,    0L},
  {952,672,     0x2L,    1L,    1L,    0L},
  {976,632,     0x2L,    1L,    1L,    0L},
  {992,592,     0x2L,    1L,    1L,    0L},
  {992,560,     0x2L,    1L,    1L,    0L},
  {992,528,     0x2L,    1L,    1L,    0L},
  {984,496,     0x2L,    1L,    1L,    0L},
  {976,472,     0x2L,    1L,    1L,    0L},
  {968,456,     0x2L,    1L,    1L,    0L},
  {952,440,     0x2L,    1L,    1L,    0L},
  {944,424,     0x2L,    1L,    1L,    0L},
  {928,408,     0x2L,    1L,    1L,    0L},
  {920,392,     0x2L,    1L,    1L,    0L},
  {920,376,     0x2L,    1L,    1L,    0L},
  {912,360,     0x2L,    1L,    1L,    0L},
  {912,336,     0x2L,    1L,    1L,    0L},
                                          /* quadrant 3 dir. 1, speed 1 */
  {920,304,     0x2L,    1L,    1L,    0L},
  {920,272,     0x2L,    1L,    1L,    0L},
  {928,232,     0x2L,    1L,    1L,    0L},
  {928,176,     0x2L,    1L,    1L,    0L},
  {936,112,     0x2L,    1L,    1L,    0L},
  {936,48,      0x2L,    1L,    1L,    0L},
  {936,32,      0x3L,    1L,    1L,    0L},
  {936,120,     0x3L,    1L,    1L,    0L},
  {928,216,     0x3L,    1L,    1L,    0L},
  {912,320,     0x3L,    1L,    1L,    0L},
  {896,424,     0x3L,    1L,    1L,    0L},
  {872,520,     0x3L,    1L,    1L,    0L},
  {840,624,     0x3L,    1L,    1L,    0L},
  {808,712,     0x3L,    1L,    1L,    0L},
  {776,792,     0x3L,    1L,    1L,    0L},
  {728,864,     0x3L,    1L,    1L,    0L},
  {688,920,     0x3L,    1L,    1L,    0L},
  {640,960,     0x3L,    1L,    1L,    0L},
  {592,992,     0x3L,    1L,    1L,    0L},
  {552,1008,    0x3L,    1L,    1L,    0L},
  {504,1008,    0x3L,    1L,    1L,    0L},
  {464,1000,    0x3L,    1L,    1L,    0L},
  {424,992,     0x3L,    1L,    1L,    0L},
  {384,968,     0x3L,    1L,    1L,    0L},
  {352,952,     0x3L,    1L,    1L,    0L},
  {320,928,     0x3L,    1L,    1L,    0L},
  {288,912,     0x3L,    1L,    1L,    0L},
  {256,888,     0x3L,    1L,    1L,    0L},
  {232,880,     0x3L,    1L,    1L,    0L},
  {208,864,     0x3L,    1L,    1L,    0L},
  {176,856,     0x3L,    1L,    1L,    0L},
  {144,856,     0x3L,    1L,    1L,    0L}}}}
 };

const struct SMIA_ISM_PWMStd SMIA_ISM_A_STDPWMTABLE7 = {
/* CVP    CHP   CQI   IVR IHR */
{                                        /* quadrant 0 dir. 0, speed 0 */
{{{40,872,      0x0L,    1L,    1L,    0L},   
  {72,888,      0x0L,    1L,    1L,    0L},
  {104,896,     0x0L,    1L,    1L,    0L},
  {136,912,     0x0L,    1L,    1L,    0L},
  {168,920,     0x0L,    1L,    1L,    0L},
  {200,936,     0x0L,    1L,    1L,    0L},
  {232,944,     0x0L,    1L,    1L,    0L},
  {264,952,     0x0L,    1L,    1L,    0L},
  {296,968,     0x0L,    1L,    1L,    0L},
  {336,968,     0x0L,    1L,    1L,    0L},
  {368,976,     0x0L,    1L,    1L,    0L},
  {408,976,     0x0L,    1L,    1L,    0L},
  {448,968,     0x0L,    1L,    1L,    0L},
  {496,952,     0x0L,    1L,    1L,    0L},
  {544,936,     0x0L,    1L,    1L,    0L},
  {592,904,     0x0L,    1L,    1L,    0L},
  {648,864,     0x0L,    1L,    1L,    0L},
  {704,808,     0x0L,    1L,    1L,    0L},
  {760,752,     0x0L,    1L,    1L,    0L},
  {808,680,     0x0L,    1L,    1L,    0L},
  {864,608,     0x0L,    1L,    1L,    0L},
  {904,520,     0x0L,    1L,    1L,    0L},
  {944,440,     0x0L,    1L,    1L,    0L},
  {968,360,     0x0L,    1L,    1L,    0L},
  {992,280,     0x0L,    1L,    1L,    0L},
  {1000,208,    0x0L,    1L,    1L,    0L},
  {1008,144,    0x0L,    1L,    1L,    0L},
  {1016,80,     0x0L,    1L,    1L,    0L},
  {1016,32,     0x0L,    1L,    1L,    0L},
  {1008,16,     0x1L,    1L,    1L,    0L},
  {1008,56,     0x1L,    1L,    1L,    0L},
  {1008,88,     0x1L,    1L,    1L,    0L},
                                         /* quadrant 1 dir. 0, speed 0 */
  {1008,120,    0x1L,    1L,    1L,    0L},   
  {1008,152,    0x1L,    1L,    1L,    0L},
  {1008,176,    0x1L,    1L,    1L,    0L},
  {1008,200,    0x1L,    1L,    1L,    0L},
  {1008,232,    0x1L,    1L,    1L,    0L},
  {1016,256,    0x1L,    1L,    1L,    0L},
  {1016,280,    0x1L,    1L,    1L,    0L},
  {1008,296,    0x1L,    1L,    1L,    0L},
  {1008,320,    0x1L,    1L,    1L,    0L},
  {1008,344,    0x1L,    1L,    1L,    0L},
  {1000,368,    0x1L,    1L,    1L,    0L},
  {992,392,     0x1L,    1L,    1L,    0L},
  {984,416,     0x1L,    1L,    1L,    0L},
  {968,440,     0x1L,    1L,    1L,    0L},
  {952,472,     0x1L,    1L,    1L,    0L},
  {920,504,     0x1L,    1L,    1L,    0L},
  {888,544,     0x1L,    1L,    1L,    0L},
  {848,576,     0x1L,    1L,    1L,    0L},
  {792,616,     0x1L,    1L,    1L,    0L},
  {736,656,     0x1L,    1L,    1L,    0L},
  {664,688,     0x1L,    1L,    1L,    0L},
  {592,720,     0x1L,    1L,    1L,    0L},
  {520,752,     0x1L,    1L,    1L,    0L},
  {440,776,     0x1L,    1L,    1L,    0L},
  {368,800,     0x1L,    1L,    1L,    0L},
  {296,808,     0x1L,    1L,    1L,    0L},
  {232,824,     0x1L,    1L,    1L,    0L},
  {168,832,     0x1L,    1L,    1L,    0L},
  {120,840,     0x1L,    1L,    1L,    0L},
  {72,848,      0x1L,    1L,    1L,    0L},
  {32,856,      0x1L,    1L,    1L,    0L},
  {0,864,       0x1L,    1L,    1L,    0L},
                                         /* quadrant 2 dir. 0, speed 0 */
  {40,872,      0x2L,    1L,    1L,    0L},    
  {72,888,      0x2L,    1L,    1L,    0L},
  {104,896,     0x2L,    1L,    1L,    0L},
  {136,912,     0x2L,    1L,    1L,    0L},
  {168,920,     0x2L,    1L,    1L,    0L},
  {200,936,     0x2L,    1L,    1L,    0L},
  {232,944,     0x2L,    1L,    1L,    0L},
  {264,952,     0x2L,    1L,    1L,    0L},
  {296,968,     0x2L,    1L,    1L,    0L},
  {336,968,     0x2L,    1L,    1L,    0L},
  {368,976,     0x2L,    1L,    1L,    0L},
  {408,976,     0x2L,    1L,    1L,    0L},
  {448,968,     0x2L,    1L,    1L,    0L},
  {496,952,     0x2L,    1L,    1L,    0L},
  {544,936,     0x2L,    1L,    1L,    0L},
  {592,904,     0x2L,    1L,    1L,    0L},
  {648,864,     0x2L,    1L,    1L,    0L},
  {704,808,     0x2L,    1L,    1L,    0L},
  {760,752,     0x2L,    1L,    1L,    0L},
  {808,680,     0x2L,    1L,    1L,    0L},
  {864,608,     0x2L,    1L,    1L,    0L},
  {904,520,     0x2L,    1L,    1L,    0L},
  {944,440,     0x2L,    1L,    1L,    0L},
  {968,360,     0x2L,    1L,    1L,    0L},
  {992,280,     0x2L,    1L,    1L,    0L},
  {1000,208,    0x2L,    1L,    1L,    0L},
  {1008,144,    0x2L,    1L,    1L,    0L},
  {1016,80,     0x2L,    1L,    1L,    0L},
  {1016,32,     0x2L,    1L,    1L,    0L},
  {1008,16,     0x3L,    1L,    1L,    0L},
  {1008,56,     0x3L,    1L,    1L,    0L},
  {1008,88,     0x3L,    1L,    1L,    0L},
                                         /* quadrant 3 dir. 0, speed 0 */
  {1008,120,    0x3L,    1L,    1L,    0L},    
  {1008,152,    0x3L,    1L,    1L,    0L},
  {1008,176,    0x3L,    1L,    1L,    0L},
  {1008,200,    0x3L,    1L,    1L,    0L},
  {1008,232,    0x3L,    1L,    1L,    0L},
  {1016,256,    0x3L,    1L,    1L,    0L},
  {1016,280,    0x3L,    1L,    1L,    0L},
  {1008,296,    0x3L,    1L,    1L,    0L},
  {1008,320,    0x3L,    1L,    1L,    0L},
  {1008,344,    0x3L,    1L,    1L,    0L},
  {1000,368,    0x3L,    1L,    1L,    0L},
  {992,392,     0x3L,    1L,    1L,    0L},
  {984,416,     0x3L,    1L,    1L,    0L},
  {968,440,     0x3L,    1L,    1L,    0L},
  {952,472,     0x3L,    1L,    1L,    0L},
  {920,504,     0x3L,    1L,    1L,    0L},
  {888,544,     0x3L,    1L,    1L,    0L},
  {848,576,     0x3L,    1L,    1L,    0L},
  {792,616,     0x3L,    1L,    1L,    0L},
  {736,656,     0x3L,    1L,    1L,    0L},
  {664,688,     0x3L,    1L,    1L,    0L},
  {592,720,     0x3L,    1L,    1L,    0L},
  {520,752,     0x3L,    1L,    1L,    0L},
  {440,776,     0x3L,    1L,    1L,    0L},
  {368,800,     0x3L,    1L,    1L,    0L},
  {296,808,     0x3L,    1L,    1L,    0L},
  {232,824,     0x3L,    1L,    1L,    0L},
  {168,832,     0x3L,    1L,    1L,    0L},
  {120,840,     0x3L,    1L,    1L,    0L},
  {72,848,      0x3L,    1L,    1L,    0L},
  {32,856,      0x3L,    1L,    1L,    0L},
  {0,864,       0x3L,    1L,    1L,    0L}},
/* EasyCASE > */
/* EasyCASE ) */
/* EasyCASE ( 1171
   Direction 1 (CCW), Speed 0 (normal table)
   MUL-SMIA_nMW2000_FrontContacted_NoiseReduced_Classic (No 7) */
/* EasyCASE < */
                                       /* quadrant 0 dir. 0, speed 0 */
{{368,960,     0x3L,    1L,    1L,    0L},    
 {328,968,     0x3L,    1L,    1L,    0L},
 {296,968,     0x3L,    1L,    1L,    0L},
 {264,968,     0x3L,    1L,    1L,    0L},
 {232,976,     0x3L,    1L,    1L,    0L},
 {192,976,     0x3L,    1L,    1L,    0L},
 {160,976,     0x3L,    1L,    1L,    0L},
 {120,984,     0x3L,    1L,    1L,    0L},
 {72,984,      0x3L,    1L,    1L,    0L},
 {24,984,      0x3L,    1L,    1L,    0L},
 {32,984,      0x0L,    1L,    1L,    0L},
 {88,976,      0x0L,    1L,    1L,    0L},
 {152,968,     0x0L,    1L,    1L,    0L},
 {216,952,     0x0L,    1L,    1L,    0L},
 {288,928,     0x0L,    1L,    1L,    0L},
 {360,896,     0x0L,    1L,    1L,    0L},
 {432,864,     0x0L,    1L,    1L,    0L},
 {504,824,     0x0L,    1L,    1L,    0L},
 {576,776,     0x0L,    1L,    1L,    0L},
 {648,736,     0x0L,    1L,    1L,    0L},
 {712,688,     0x0L,    1L,    1L,    0L},
 {776,640,     0x0L,    1L,    1L,    0L},
 {824,592,     0x0L,    1L,    1L,    0L},
 {872,544,     0x0L,    1L,    1L,    0L},
 {912,504,     0x0L,    1L,    1L,    0L},
 {944,464,     0x0L,    1L,    1L,    0L},
 {968,432,     0x0L,    1L,    1L,    0L},
 {992,400,     0x0L,    1L,    1L,    0L},
 {1000,368,    0x0L,    1L,    1L,    0L},
 {1016,336,    0x0L,    1L,    1L,    0L},
 {1016,312,    0x0L,    1L,    1L,    0L},
 {1016,288,    0x0L,    1L,    1L,    0L},
                                        /* quadrant 1 dir. 0, speed 0 */
 {1016,264,    0x0L,    1L,    1L,    0L},    
 {1016,240,    0x0L,    1L,    1L,    0L},
 {1008,216,    0x0L,    1L,    1L,    0L},
 {1008,200,    0x0L,    1L,    1L,    0L},
 {1008,176,    0x0L,    1L,    1L,    0L},
 {1008,152,    0x0L,    1L,    1L,    0L},
 {1008,128,    0x0L,    1L,    1L,    0L},
 {1008,96,     0x0L,    1L,    1L,    0L},
 {1008,64,     0x0L,    1L,    1L,    0L},
 {1008,32,     0x0L,    1L,    1L,    0L},
 {1008,0,      0x0L,    1L,    1L,    0L},
 {1008,40,     0x1L,    1L,    1L,    0L},
 {1000,88,     0x1L,    1L,    1L,    0L},
 {992,136,     0x1L,    1L,    1L,    0L},
 {984,192,     0x1L,    1L,    1L,    0L},
 {968,248,     0x1L,    1L,    1L,    0L},
 {944,304,     0x1L,    1L,    1L,    0L},
 {920,368,     0x1L,    1L,    1L,    0L},
 {888,424,     0x1L,    1L,    1L,    0L},
 {848,488,     0x1L,    1L,    1L,    0L},
 {816,552,     0x1L,    1L,    1L,    0L},
 {776,608,     0x1L,    1L,    1L,    0L},
 {736,664,     0x1L,    1L,    1L,    0L},
 {696,720,     0x1L,    1L,    1L,    0L},
 {656,768,     0x1L,    1L,    1L,    0L},
 {616,808,     0x1L,    1L,    1L,    0L},
 {576,848,     0x1L,    1L,    1L,    0L},
 {536,880,     0x1L,    1L,    1L,    0L},
 {504,904,     0x1L,    1L,    1L,    0L},
 {464,928,     0x1L,    1L,    1L,    0L},
 {432,936,     0x1L,    1L,    1L,    0L},
 {400,952,     0x1L,    1L,    1L,    0L},
                                        /* 2 quadrant dir. 0, speed 0 */
 {368,960,     0x1L,    1L,    1L,    0L},    
 {328,968,     0x1L,    1L,    1L,    0L},
 {296,968,     0x1L,    1L,    1L,    0L},
 {264,968,     0x1L,    1L,    1L,    0L},
 {232,976,     0x1L,    1L,    1L,    0L},
 {192,976,     0x1L,    1L,    1L,    0L},
 {160,976,     0x1L,    1L,    1L,    0L},
 {120,984,     0x1L,    1L,    1L,    0L},
 {72,984,      0x1L,    1L,    1L,    0L},
 {24,984,      0x1L,    1L,    1L,    0L},
 {32,984,      0x2L,    1L,    1L,    0L},
 {88,976,      0x2L,    1L,    1L,    0L},
 {152,968,     0x2L,    1L,    1L,    0L},
 {216,952,     0x2L,    1L,    1L,    0L},
 {288,928,     0x2L,    1L,    1L,    0L},
 {360,896,     0x2L,    1L,    1L,    0L},
 {432,864,     0x2L,    1L,    1L,    0L},
 {504,824,     0x2L,    1L,    1L,    0L},
 {576,776,     0x2L,    1L,    1L,    0L},
 {648,736,     0x2L,    1L,    1L,    0L},
 {712,688,     0x2L,    1L,    1L,    0L},
 {776,640,     0x2L,    1L,    1L,    0L},
 {824,592,     0x2L,    1L,    1L,    0L},
 {872,544,     0x2L,    1L,    1L,    0L},
 {912,504,     0x2L,    1L,    1L,    0L},
 {944,464,     0x2L,    1L,    1L,    0L},
 {968,432,     0x2L,    1L,    1L,    0L},
 {992,400,     0x2L,    1L,    1L,    0L},
 {1000,368,    0x2L,    1L,    1L,    0L},
 {1016,336,    0x2L,    1L,    1L,    0L},
 {1016,312,    0x2L,    1L,    1L,    0L},
 {1016,288,    0x2L,    1L,    1L,    0L},
                                        /* 3 quadrant dir. 0, speed 0 */
 {1016,264,    0x2L,    1L,    1L,    0L},    
 {1016,240,    0x2L,    1L,    1L,    0L},
 {1008,216,    0x2L,    1L,    1L,    0L},
 {1008,200,    0x2L,    1L,    1L,    0L},
 {1008,176,    0x2L,    1L,    1L,    0L},
 {1008,152,    0x2L,    1L,    1L,    0L},
 {1008,128,    0x2L,    1L,    1L,    0L},
 {1008,96,     0x2L,    1L,    1L,    0L},
 {1008,64,     0x2L,    1L,    1L,    0L},
 {1008,32,     0x2L,    1L,    1L,    0L},
 {1008,0,      0x2L,    1L,    1L,    0L},
 {1008,40,     0x3L,    1L,    1L,    0L},
 {1000,88,     0x3L,    1L,    1L,    0L},
 {992,136,     0x3L,    1L,    1L,    0L},
 {984,192,     0x3L,    1L,    1L,    0L},
 {968,248,     0x3L,    1L,    1L,    0L},
 {944,304,     0x3L,    1L,    1L,    0L},
 {920,368,     0x3L,    1L,    1L,    0L},
 {888,424,     0x3L,    1L,    1L,    0L},
 {848,488,     0x3L,    1L,    1L,    0L},
 {816,552,     0x3L,    1L,    1L,    0L},
 {776,608,     0x3L,    1L,    1L,    0L},
 {736,664,     0x3L,    1L,    1L,    0L},
 {696,720,     0x3L,    1L,    1L,    0L},
 {656,768,     0x3L,    1L,    1L,    0L},
 {616,808,     0x3L,    1L,    1L,    0L},
 {576,848,     0x3L,    1L,    1L,    0L},
 {536,880,     0x3L,    1L,    1L,    0L},
 {504,904,     0x3L,    1L,    1L,    0L},
 {464,928,     0x3L,    1L,    1L,    0L},
 {432,936,     0x3L,    1L,    1L,    0L},
 {400,952,     0x3L,    1L,    1L,    0L}}},
/* EasyCASE > */
/* EasyCASE ) */
/* EasyCASE ( 1172
   Direction 0 (CW), Speed 1 (special table)
   MUL-SMIA_nMW2000_FrontContacted_NoiseReduced_Classic (No 7) */
/* EasyCASE < */
                                         /* quadrant 0 dir. 0, speed 1 */
{{{80,928,      0x0L,    1L,    1L,    0L},
  {112,952,     0x0L,    1L,    1L,    0L},
  {144,960,     0x0L,    1L,    1L,    0L},
  {184,976,     0x0L,    1L,    1L,    0L},
  {216,984,     0x0L,    1L,    1L,    0L},
  {248,984,     0x0L,    1L,    1L,    0L},
  {280,992,     0x0L,    1L,    1L,    0L},
  {320,992,     0x0L,    1L,    1L,    0L},
  {352,992,     0x0L,    1L,    1L,    0L},
  {392,992,     0x0L,    1L,    1L,    0L},
  {440,1000,    0x0L,    1L,    1L,    0L},
  {480,992,     0x0L,    1L,    1L,    0L},
  {528,984,     0x0L,    1L,    1L,    0L},
  {584,976,     0x0L,    1L,    1L,    0L},
  {632,952,     0x0L,    1L,    1L,    0L},
  {680,912,     0x0L,    1L,    1L,    0L},
  {736,864,     0x0L,    1L,    1L,    0L},
  {776,800,     0x0L,    1L,    1L,    0L},
  {824,728,     0x0L,    1L,    1L,    0L},
  {856,640,     0x0L,    1L,    1L,    0L},
  {888,552,     0x0L,    1L,    1L,    0L},
  {920,456,     0x0L,    1L,    1L,    0L},
  {936,360,     0x0L,    1L,    1L,    0L},
  {952,272,     0x0L,    1L,    1L,    0L},
  {968,184,     0x0L,    1L,    1L,    0L},
  {976,104,     0x0L,    1L,    1L,    0L},
  {976,40,      0x0L,    1L,    1L,    0L},
  {984,24,      0x1L,    1L,    1L,    0L},
  {984,72,      0x1L,    1L,    1L,    0L},
  {992,120,     0x1L,    1L,    1L,    0L},
  {992,160,     0x1L,    1L,    1L,    0L},
  {992,200,     0x1L,    1L,    1L,    0L},
                                         /* quadrant 1 dir. 0, speed 1 */
  {992,232,     0x1L,    1L,    1L,    0L},
  {1000,264,    0x1L,    1L,    1L,    0L},
  {1000,296,    0x1L,    1L,    1L,    0L},
  {1000,320,    0x1L,    1L,    1L,    0L},
  {1000,344,    0x1L,    1L,    1L,    0L},
  {1000,368,    0x1L,    1L,    1L,    0L},
  {1008,392,    0x1L,    1L,    1L,    0L},
  {1008,416,    0x1L,    1L,    1L,    0L},
  {1016,440,    0x1L,    1L,    1L,    0L},
  {1016,456,    0x1L,    1L,    1L,    0L},
  {1016,480,    0x1L,    1L,    1L,    0L},
  {1016,504,    0x1L,    1L,    1L,    0L},
  {1000,528,    0x1L,    1L,    1L,    0L},
  {984,552,     0x1L,    1L,    1L,    0L},
  {952,584,     0x1L,    1L,    1L,    0L},
  {912,616,     0x1L,    1L,    1L,    0L},
  {864,640,     0x1L,    1L,    1L,    0L},
  {808,672,     0x1L,    1L,    1L,    0L},
  {736,696,     0x1L,    1L,    1L,    0L},
  {664,712,     0x1L,    1L,    1L,    0L},
  {592,728,     0x1L,    1L,    1L,    0L},
  {512,744,     0x1L,    1L,    1L,    0L},
  {432,760,     0x1L,    1L,    1L,    0L},
  {360,768,     0x1L,    1L,    1L,    0L},
  {288,776,     0x1L,    1L,    1L,    0L},
  {232,792,     0x1L,    1L,    1L,    0L},
  {168,808,     0x1L,    1L,    1L,    0L},
  {120,824,     0x1L,    1L,    1L,    0L},
  {72,840,      0x1L,    1L,    1L,    0L},
  {32,864,      0x1L,    1L,    1L,    0L},
  {8,888,       0x2L,    1L,    1L,    0L},
  {48,912,      0x2L,    1L,    1L,    0L},
                                         /* quadrant 2 dir. 0, speed 1 */
  {80,928,      0x2L,    1L,    1L,    0L},
  {112,952,     0x2L,    1L,    1L,    0L},
  {144,960,     0x2L,    1L,    1L,    0L},
  {184,976,     0x2L,    1L,    1L,    0L},
  {216,984,     0x2L,    1L,    1L,    0L},
  {248,984,     0x2L,    1L,    1L,    0L},
  {280,992,     0x2L,    1L,    1L,    0L},
  {320,992,     0x2L,    1L,    1L,    0L},
  {352,992,     0x2L,    1L,    1L,    0L},
  {392,992,     0x2L,    1L,    1L,    0L},
  {440,1000,    0x2L,    1L,    1L,    0L},
  {480,992,     0x2L,    1L,    1L,    0L},
  {528,984,     0x2L,    1L,    1L,    0L},
  {584,976,     0x2L,    1L,    1L,    0L},
  {632,952,     0x2L,    1L,    1L,    0L},
  {680,912,     0x2L,    1L,    1L,    0L},
  {736,864,     0x2L,    1L,    1L,    0L},
  {776,800,     0x2L,    1L,    1L,    0L},
  {824,728,     0x2L,    1L,    1L,    0L},
  {856,640,     0x2L,    1L,    1L,    0L},
  {888,552,     0x2L,    1L,    1L,    0L},
  {920,456,     0x2L,    1L,    1L,    0L},
  {936,360,     0x2L,    1L,    1L,    0L},
  {952,272,     0x2L,    1L,    1L,    0L},
  {968,184,     0x2L,    1L,    1L,    0L},
  {976,104,     0x2L,    1L,    1L,    0L},
  {976,40,      0x2L,    1L,    1L,    0L},
  {984,24,      0x3L,    1L,    1L,    0L},
  {984,72,      0x3L,    1L,    1L,    0L},
  {992,120,     0x3L,    1L,    1L,    0L},
  {992,160,     0x3L,    1L,    1L,    0L},
  {992,200,     0x3L,    1L,    1L,    0L},
                                         /* quadrant 3 dir. 0, speed 1 */
  {992,232,     0x3L,    1L,    1L,    0L},
  {1000,264,    0x3L,    1L,    1L,    0L},
  {1000,296,    0x3L,    1L,    1L,    0L},
  {1000,320,    0x3L,    1L,    1L,    0L},
  {1000,344,    0x3L,    1L,    1L,    0L},
  {1000,368,    0x3L,    1L,    1L,    0L},
  {1008,392,    0x3L,    1L,    1L,    0L},
  {1008,416,    0x3L,    1L,    1L,    0L},
  {1016,440,    0x3L,    1L,    1L,    0L},
  {1016,456,    0x3L,    1L,    1L,    0L},
  {1016,480,    0x3L,    1L,    1L,    0L},
  {1016,504,    0x3L,    1L,    1L,    0L},
  {1000,528,    0x3L,    1L,    1L,    0L},
  {984,552,     0x3L,    1L,    1L,    0L},
  {952,584,     0x3L,    1L,    1L,    0L},
  {912,616,     0x3L,    1L,    1L,    0L},
  {864,640,     0x3L,    1L,    1L,    0L},
  {808,672,     0x3L,    1L,    1L,    0L},
  {736,696,     0x3L,    1L,    1L,    0L},
  {664,712,     0x3L,    1L,    1L,    0L},
  {592,728,     0x3L,    1L,    1L,    0L},
  {512,744,     0x3L,    1L,    1L,    0L},
  {432,760,     0x3L,    1L,    1L,    0L},
  {360,768,     0x3L,    1L,    1L,    0L},
  {288,776,     0x3L,    1L,    1L,    0L},
  {232,792,     0x3L,    1L,    1L,    0L},
  {168,808,     0x3L,    1L,    1L,    0L},
  {120,824,     0x3L,    1L,    1L,    0L},
  {72,840,      0x3L,    1L,    1L,    0L},
  {32,864,      0x3L,    1L,    1L,    0L},
  {8,888,       0x0L,    1L,    1L,    0L},
  {48,912,      0x0L,    1L,    1L,    0L}},
/* EasyCASE > */
/* EasyCASE ) */
/* EasyCASE ( 1173
   Direction 1 (CCW), Speed 1 (special table)
   MUL-SMIA_nMW2000_FrontContacted_NoiseReduced_Classic (No 7) */
/* EasyCASE < */
                                         /* quadrant 0 dir. 1, speed 1 */
{ {136,960,     0x3L,    1L,    1L,    0L},
  {80,944,      0x3L,    1L,    1L,    0L},
  {24,928,      0x3L,    1L,    1L,    0L},
  {32,904,      0x0L,    1L,    1L,    0L},
  {88,872,      0x0L,    1L,    1L,    0L},
  {144,848,     0x0L,    1L,    1L,    0L},
  {200,816,     0x0L,    1L,    1L,    0L},
  {264,792,     0x0L,    1L,    1L,    0L},
  {320,768,     0x0L,    1L,    1L,    0L},
  {376,744,     0x0L,    1L,    1L,    0L},
  {432,720,     0x0L,    1L,    1L,    0L},
  {496,696,     0x0L,    1L,    1L,    0L},
  {560,672,     0x0L,    1L,    1L,    0L},
  {624,640,     0x0L,    1L,    1L,    0L},
  {696,608,     0x0L,    1L,    1L,    0L},
  {760,576,     0x0L,    1L,    1L,    0L},
  {816,544,     0x0L,    1L,    1L,    0L},
  {872,504,     0x0L,    1L,    1L,    0L},
  {920,472,     0x0L,    1L,    1L,    0L},
  {960,440,     0x0L,    1L,    1L,    0L},
  {984,408,     0x0L,    1L,    1L,    0L},
  {1008,384,    0x0L,    1L,    1L,    0L},
  {1016,360,    0x0L,    1L,    1L,    0L},
  {1016,344,    0x0L,    1L,    1L,    0L},
  {1016,328,    0x0L,    1L,    1L,    0L},
  {1008,312,    0x0L,    1L,    1L,    0L},
  {1008,296,    0x0L,    1L,    1L,    0L},
  {1000,272,    0x0L,    1L,    1L,    0L},
  {1000,248,    0x0L,    1L,    1L,    0L},
  {1000,216,    0x0L,    1L,    1L,    0L},
  {1000,184,    0x0L,    1L,    1L,    0L},
  {1000,144,    0x0L,    1L,    1L,    0L},
                                         /* quadrant 1 dir. 1, speed 1 */
  {1008,104,    0x0L,    1L,    1L,    0L},
  {1008,64,     0x0L,    1L,    1L,    0L},
  {1008,24,     0x0L,    1L,    1L,    0L},
  {1000,16,     0x1L,    1L,    1L,    0L},
  {1000,64,     0x1L,    1L,    1L,    0L},
  {984,104,     0x1L,    1L,    1L,    0L},
  {976,152,     0x1L,    1L,    1L,    0L},
  {960,208,     0x1L,    1L,    1L,    0L},
  {944,264,     0x1L,    1L,    1L,    0L},
  {928,336,     0x1L,    1L,    1L,    0L},
  {912,408,     0x1L,    1L,    1L,    0L},
  {896,480,     0x1L,    1L,    1L,    0L},
  {872,560,     0x1L,    1L,    1L,    0L},
  {848,640,     0x1L,    1L,    1L,    0L},
  {824,720,     0x1L,    1L,    1L,    0L},
  {792,792,     0x1L,    1L,    1L,    0L},
  {760,856,     0x1L,    1L,    1L,    0L},
  {728,904,     0x1L,    1L,    1L,    0L},
  {688,944,     0x1L,    1L,    1L,    0L},
  {648,976,     0x1L,    1L,    1L,    0L},
  {608,992,     0x1L,    1L,    1L,    0L},
  {568,1000,    0x1L,    1L,    1L,    0L},
  {528,1000,    0x1L,    1L,    1L,    0L},
  {496,992,     0x1L,    1L,    1L,    0L},
  {456,992,     0x1L,    1L,    1L,    0L},
  {424,984,     0x1L,    1L,    1L,    0L},
  {392,984,     0x1L,    1L,    1L,    0L},
  {352,984,     0x1L,    1L,    1L,    0L},
  {320,984,     0x1L,    1L,    1L,    0L},
  {280,984,     0x1L,    1L,    1L,    0L},
  {232,976,     0x1L,    1L,    1L,    0L},
  {184,968,     0x1L,    1L,    1L,    0L},
                                         /* quadrant 2 dir. 1, speed 1 */
  {136,960,     0x1L,    1L,    1L,    0L},
  {80,944,      0x1L,    1L,    1L,    0L},
  {24,928,      0x1L,    1L,    1L,    0L},
  {32,904,      0x2L,    1L,    1L,    0L},
  {88,872,      0x2L,    1L,    1L,    0L},
  {144,848,     0x2L,    1L,    1L,    0L},
  {200,816,     0x2L,    1L,    1L,    0L},
  {264,792,     0x2L,    1L,    1L,    0L},
  {320,768,     0x2L,    1L,    1L,    0L},
  {376,744,     0x2L,    1L,    1L,    0L},
  {432,720,     0x2L,    1L,    1L,    0L},
  {496,696,     0x2L,    1L,    1L,    0L},
  {560,672,     0x2L,    1L,    1L,    0L},
  {624,640,     0x2L,    1L,    1L,    0L},
  {696,608,     0x2L,    1L,    1L,    0L},
  {760,576,     0x2L,    1L,    1L,    0L},
  {816,544,     0x2L,    1L,    1L,    0L},
  {872,504,     0x2L,    1L,    1L,    0L},
  {920,472,     0x2L,    1L,    1L,    0L},
  {960,440,     0x2L,    1L,    1L,    0L},
  {984,408,     0x2L,    1L,    1L,    0L},
  {1008,384,    0x2L,    1L,    1L,    0L},
  {1016,360,    0x2L,    1L,    1L,    0L},
  {1016,344,    0x2L,    1L,    1L,    0L},
  {1016,328,    0x2L,    1L,    1L,    0L},
  {1008,312,    0x2L,    1L,    1L,    0L},
  {1008,296,    0x2L,    1L,    1L,    0L},
  {1000,272,    0x2L,    1L,    1L,    0L},
  {1000,248,    0x2L,    1L,    1L,    0L},
  {1000,216,    0x2L,    1L,    1L,    0L},
  {1000,184,    0x2L,    1L,    1L,    0L},
  {1000,144,    0x2L,    1L,    1L,    0L},
                                         /* quadrant 3 dir. 1, speed 1 */
  {1008,104,    0x2L,    1L,    1L,    0L},
  {1008,64,     0x2L,    1L,    1L,    0L},
  {1008,24,     0x2L,    1L,    1L,    0L},
  {1000,16,     0x3L,    1L,    1L,    0L},
  {1000,64,     0x3L,    1L,    1L,    0L},
  {984,104,     0x3L,    1L,    1L,    0L},
  {976,152,     0x3L,    1L,    1L,    0L},
  {960,208,     0x3L,    1L,    1L,    0L},
  {944,264,     0x3L,    1L,    1L,    0L},
  {928,336,     0x3L,    1L,    1L,    0L},
  {912,408,     0x3L,    1L,    1L,    0L},
  {896,480,     0x3L,    1L,    1L,    0L},
  {872,560,     0x3L,    1L,    1L,    0L},
  {848,640,     0x3L,    1L,    1L,    0L},
  {824,720,     0x3L,    1L,    1L,    0L},
  {792,792,     0x3L,    1L,    1L,    0L},
  {760,856,     0x3L,    1L,    1L,    0L},
  {728,904,     0x3L,    1L,    1L,    0L},
  {688,944,     0x3L,    1L,    1L,    0L},
  {648,976,     0x3L,    1L,    1L,    0L},
  {608,992,     0x3L,    1L,    1L,    0L},
  {568,1000,    0x3L,    1L,    1L,    0L},
  {528,1000,    0x3L,    1L,    1L,    0L},
  {496,992,     0x3L,    1L,    1L,    0L},
  {456,992,     0x3L,    1L,    1L,    0L},
  {424,984,     0x3L,    1L,    1L,    0L},
  {392,984,     0x3L,    1L,    1L,    0L},
  {352,984,     0x3L,    1L,    1L,    0L},
  {320,984,     0x3L,    1L,    1L,    0L},
  {280,984,     0x3L,    1L,    1L,    0L},
  {232,976,     0x3L,    1L,    1L,    0L},
  {184,968,     0x3L,    1L,    1L,    0L}}}}
 };
/* EasyCASE > */
/* EasyCASE ) */
/* EasyCASE ) */
/* EasyCASE ( 1174
   MW2000 FRONT-CONTACTED COUNTER-CLOCKWISE(EDUL) TYPE
   SMIA_nMW2000_FrontContacted_NoiseReduced_Classic (No 7) */
/* EasyCASE ( 1175
   Direction 0 (CCW), Speed 0 (normal table)
   EDUL-SMIA_nMW2000_FrontContacted_NoiseReduced_Classic (No 7) */
/* EasyCASE < */
const struct SMIA_ISM_PWMStd SMIA_ISM_A_STDPWMTABLE7_EDUL = {
/*  CVP   CHP   CQI  IVR IHR */
{                                        /* quadrant 0 dir. 0, speed 0 */
{{{400,952,     0x0L,    1L,    1L,    0L},
  {432,936,     0x0L,    1L,    1L,    0L},
  {464,928,     0x0L,    1L,    1L,    0L},
  {504,904,     0x0L,    1L,    1L,    0L},
  {536,880,     0x0L,    1L,    1L,    0L},
  {576,848,     0x0L,    1L,    1L,    0L},
  {616,808,     0x2L,    1L,    1L,    0L},
  {656,768,     0x0L,    1L,    1L,    0L},
  {696,720,     0x0L,    1L,    1L,    0L},
  {736,664,     0x0L,    1L,    1L,    0L},
  {776,608,     0x0L,    1L,    1L,    0L},
  {816,552,     0x0L,    1L,    1L,    0L},
  {848,488,     0x0L,    1L,    1L,    0L},
  {888,424,     0x0L,    1L,    1L,    0L},
  {920,368,     0x0L,    1L,    1L,    0L},
  {944,304,     0x0L,    1L,    1L,    0L},
  {968,248,     0x0L,    1L,    1L,    0L},
  {984,192,     0x0L,    1L,    1L,    0L},
  {992,136,     0x0L,    1L,    1L,    0L},
  {1000,88,     0x0L,    1L,    1L,    0L},
  {1008,40,     0x0L,    1L,    1L,    0L}, 
  {1008,0,      0x1L,    1L,    1L,    0L},
  {1008,32,     0x1L,    1L,    1L,    0L},
  {1008,64,     0x1L,    1L,    1L,    0L},
  {1008,96,     0x1L,    1L,    1L,    0L},
  {1008,128,    0x1L,    1L,    1L,    0L},
  {1008,152,    0x1L,    1L,    1L,    0L},
  {1008,176,    0x1L,    1L,    1L,    0L},
  {1008,200,    0x1L,    1L,    1L,    0L},
  {1008,216,    0x1L,    1L,    1L,    0L},
  {1016,240,    0x1L,    1L,    1L,    0L},
  {1016,264,    0x1L,    1L,    1L,    0L},
                                         /* quadrant 1 dir. 0, speed 0 */ 
  {1016,288,    0x1L,    1L,    1L,    0L},
  {1016,312,    0x1L,    1L,    1L,    0L},
  {1016,336,    0x1L,    1L,    1L,    0L},
  {1000,368,    0x1L,    1L,    1L,    0L},
  {992,400,     0x1L,    1L,    1L,    0L},
  {968,432,     0x1L,    1L,    1L,    0L},
  {944,464,     0x1L,    1L,    1L,    0L},
  {912,504,     0x1L,    1L,    1L,    0L},
  {872,544,     0x1L,    1L,    1L,    0L},
  {824,592,     0x1L,    1L,    1L,    0L},
  {776,640,     0x1L,    1L,    1L,    0L},
  {712,688,     0x1L,    1L,    1L,    0L},
  {648,736,     0x1L,    1L,    1L,    0L},
  {576,776,     0x1L,    1L,    1L,    0L},
  {504,824,     0x1L,    1L,    1L,    0L},
  {432,864,     0x1L,    1L,    1L,    0L},
  {360,896,     0x1L,    1L,    1L,    0L},
  {288,928,     0x1L,    1L,    1L,    0L},
  {216,952,     0x1L,    1L,    1L,    0L},
  {152,968,     0x1L,    1L,    1L,    0L},
  {88,976,      0x1L,    1L,    1L,    0L},
  {32,984,      0x1L,    1L,    1L,    0L},
  {24,984,      0x2L,    1L,    1L,    0L},
  {72,984,      0x2L,    1L,    1L,    0L},
  {120,984,     0x2L,    1L,    1L,    0L},
  {160,976,     0x2L,    1L,    1L,    0L},
  {192,976,     0x2L,    1L,    1L,    0L},
  {232,976,     0x2L,    1L,    1L,    0L},
  {264,968,     0x2L,    1L,    1L,    0L},
  {296,968,     0x2L,    1L,    1L,    0L},
  {328,968,     0x2L,    1L,    1L,    0L},
  {368,960,     0x2L,    1L,    1L,    0L},
                                         /* quadrant 2 dir. 0, speed 0 */
  {400,952,     0x2L,    1L,    1L,    0L},
  {432,936,     0x2L,    1L,    1L,    0L},
  {464,928,     0x2L,    1L,    1L,    0L},
  {504,904,     0x2L,    1L,    1L,    0L},
  {536,880,     0x2L,    1L,    1L,    0L},
  {576,848,     0x2L,    1L,    1L,    0L},
  {616,808,     0x2L,    1L,    1L,    0L},
  {656,768,     0x2L,    1L,    1L,    0L},
  {696,720,     0x2L,    1L,    1L,    0L},
  {736,664,     0x2L,    1L,    1L,    0L},
  {776,608,     0x2L,    1L,    1L,    0L},
  {816,552,     0x2L,    1L,    1L,    0L},
  {848,488,     0x2L,    1L,    1L,    0L},
  {888,424,     0x2L,    1L,    1L,    0L},
  {920,368,     0x2L,    1L,    1L,    0L},
  {944,304,     0x2L,    1L,    1L,    0L},
  {968,248,     0x2L,    1L,    1L,    0L},
  {984,192,     0x2L,    1L,    1L,    0L},
  {992,136,     0x2L,    1L,    1L,    0L},
  {1000,88,     0x2L,    1L,    1L,    0L},
  {1008,40,     0x2L,    1L,    1L,    0L},
  {1008,0,      0x3L,    1L,    1L,    0L},
  {1008,32,     0x3L,    1L,    1L,    0L},
  {1008,64,     0x3L,    1L,    1L,    0L},
  {1008,96,     0x3L,    1L,    1L,    0L},
  {1008,128,    0x3L,    1L,    1L,    0L},
  {1008,152,    0x3L,    1L,    1L,    0L},
  {1008,176,    0x3L,    1L,    1L,    0L},
  {1008,200,    0x3L,    1L,    1L,    0L},
  {1008,216,    0x3L,    1L,    1L,    0L},
  {1016,240,    0x3L,    1L,    1L,    0L},
  {1016,264,    0x3L,    1L,    1L,    0L},
                                         /* quadrant 3 dir. 0, speed 0 */
  {1016,288,    0x3L,    1L,    1L,    0L},
  {1016,312,    0x3L,    1L,    1L,    0L},
  {1016,336,    0x3L,    1L,    1L,    0L},
  {1000,368,    0x3L,    1L,    1L,    0L},
  {992,400,     0x3L,    1L,    1L,    0L},
  {968,432,     0x3L,    1L,    1L,    0L},
  {944,464,     0x3L,    1L,    1L,    0L},
  {912,504,     0x3L,    1L,    1L,    0L},
  {872,544,     0x3L,    1L,    1L,    0L},
  {824,592,     0x3L,    1L,    1L,    0L},
  {776,640,     0x3L,    1L,    1L,    0L},
  {712,688,     0x3L,    1L,    1L,    0L},
  {648,736,     0x3L,    1L,    1L,    0L},
  {576,776,     0x3L,    1L,    1L,    0L},
  {504,824,     0x3L,    1L,    1L,    0L},
  {432,864,     0x3L,    1L,    1L,    0L},
  {360,896,     0x3L,    1L,    1L,    0L},
  {288,928,     0x3L,    1L,    1L,    0L},
  {216,952,     0x3L,    1L,    1L,    0L},
  {152,968,     0x3L,    1L,    1L,    0L},
  {88,976,      0x3L,    1L,    1L,    0L},
  {32,984,      0x3L,    1L,    1L,    0L},
  {24,984,      0x0L,    1L,    1L,    0L},
  {72,984,      0x0L,    1L,    1L,    0L},
  {120,984,     0x0L,    1L,    1L,    0L},
  {160,976,     0x0L,    1L,    1L,    0L},
  {192,976,     0x0L,    1L,    1L,    0L},
  {232,976,     0x0L,    1L,    1L,    0L},
  {264,968,     0x0L,    1L,    1L,    0L},
  {296,968,     0x0L,    1L,    1L,    0L},
  {328,968,     0x0L,    1L,    1L,    0L},
  {368,960,     0x0L,    1L,    1L,    0L}},
/* EasyCASE > */
/* EasyCASE ) */
/* EasyCASE ( 1176
   Direction 1 (CW), Speed 0 (normal table)
   EDUL-SMIA_nMW2000_FrontContacted_NoiseReduced_Classic (No 7) */
/* EasyCASE < */
                                        /* quadrant 0 dir. 1, speed 0 */
{{0,864,       0x0L,    1L,    1L,    0L},
 {32,856,      0x0L,    1L,    1L,    0L},
 {72,848,      0x0L,    1L,    1L,    0L},
 {120,840,     0x0L,    1L,    1L,    0L},
 {168,832,     0x0L,    1L,    1L,    0L},
 {232,824,     0x0L,    1L,    1L,    0L},
 {296,808,     0x0L,    1L,    1L,    0L},
 {368,800,     0x0L,    1L,    1L,    0L},
 {440,776,     0x0L,    1L,    1L,    0L},
 {520,752,     0x0L,    1L,    1L,    0L},
 {592,720,     0x0L,    1L,    1L,    0L},
 {664,688,     0x0L,    1L,    1L,    0L},
 {736,656,     0x0L,    1L,    1L,    0L},
 {792,616,     0x0L,    1L,    1L,    0L},
 {848,576,     0x0L,    1L,    1L,    0L},
 {888,544,     0x0L,    1L,    1L,    0L},
 {920,504,     0x0L,    1L,    1L,    0L},
 {952,472,     0x0L,    1L,    1L,    0L},
 {968,440,     0x0L,    1L,    1L,    0L},
 {984,416,     0x0L,    1L,    1L,    0L},
 {992,392,     0x0L,    1L,    1L,    0L},
 {1000,368,    0x0L,    1L,    1L,    0L},
 {1008,344,    0x0L,    1L,    1L,    0L},
 {1008,320,    0x0L,    1L,    1L,    0L},
 {1008,296,    0x0L,    1L,    1L,    0L},
 {1016,280,    0x0L,    1L,    1L,    0L},
 {1016,256,    0x0L,    1L,    1L,    0L},
 {1008,232,    0x0L,    1L,    1L,    0L},
 {1008,200,    0x0L,    1L,    1L,    0L},
 {1008,176,    0x0L,    1L,    1L,    0L},
 {1008,152,    0x0L,    1L,    1L,    0L},
 {1008,120,    0x0L,    1L,    1L,    0L}, 
                                        /* quadrant 1 dir. 1, speed 0 */ 
 {1008,88,     0x0L,    1L,    1L,    0L},
 {1008,56,     0x0L,    1L,    1L,    0L},
 {1008,16,     0x0L,    1L,    1L,    0L},
 {1016,32,     0x1L,    1L,    1L,    0L},
 {1016,80,     0x1L,    1L,    1L,    0L},
 {1008,144,    0x1L,    1L,    1L,    0L},
 {1000,208,    0x1L,    1L,    1L,    0L},
 {992,280,     0x1L,    1L,    1L,    0L},
 {968,360,     0x1L,    1L,    1L,    0L},
 {944,440,     0x1L,    1L,    1L,    0L},
 {904,520,     0x1L,    1L,    1L,    0L},
 {864,608,     0x1L,    1L,    1L,    0L},
 {808,680,     0x1L,    1L,    1L,    0L},
 {760,752,     0x1L,    1L,    1L,    0L},
 {704,808,     0x1L,    1L,    1L,    0L},
 {648,864,     0x1L,    1L,    1L,    0L},
 {592,904,     0x1L,    1L,    1L,    0L},
 {544,936,     0x1L,    1L,    1L,    0L},
 {496,952,     0x1L,    1L,    1L,    0L},
 {448,968,     0x1L,    1L,    1L,    0L},
 {408,976,     0x1L,    1L,    1L,    0L},
 {368,976,     0x1L,    1L,    1L,    0L},
 {336,968,     0x1L,    1L,    1L,    0L},
 {296,968,     0x1L,    1L,    1L,    0L},
 {264,952,     0x1L,    1L,    1L,    0L},
 {232,944,     0x1L,    1L,    1L,    0L},
 {200,936,     0x1L,    1L,    1L,    0L},
 {168,920,     0x1L,    1L,    1L,    0L},
 {136,912,     0x1L,    1L,    1L,    0L},
 {104,896,     0x1L,    1L,    1L,    0L},
 {72,888,      0x1L,    1L,    1L,    0L},
 {40,872,      0x1L,    1L,    1L,    0L},  
                                        /* quadrant 2 dir. 1, speed 0 */
 {0,864,       0x2L,    1L,    1L,    0L} ,
 {32,856,      0x2L,    1L,    1L,    0L},
 {72,848,      0x2L,    1L,    1L,    0L},
 {120,840,     0x2L,    1L,    1L,    0L},
 {168,832,     0x2L,    1L,    1L,    0L},
 {232,824,     0x2L,    1L,    1L,    0L},
 {296,808,     0x2L,    1L,    1L,    0L},
 {368,800,     0x2L,    1L,    1L,    0L},
 {440,776,     0x2L,    1L,    1L,    0L},
 {520,752,     0x2L,    1L,    1L,    0L},
 {592,720,     0x2L,    1L,    1L,    0L},
 {664,688,     0x2L,    1L,    1L,    0L},
 {736,656,     0x2L,    1L,    1L,    0L},
 {792,616,     0x2L,    1L,    1L,    0L},
 {848,576,     0x2L,    1L,    1L,    0L},
 {888,544,     0x2L,    1L,    1L,    0L},
 {920,504,     0x2L,    1L,    1L,    0L},
 {952,472,     0x2L,    1L,    1L,    0L},
 {968,440,     0x2L,    1L,    1L,    0L},
 {984,416,     0x2L,    1L,    1L,    0L},
 {992,392,     0x2L,    1L,    1L,    0L},
 {1000,368,    0x2L,    1L,    1L,    0L},
 {1008,344,    0x2L,    1L,    1L,    0L},
 {1008,320,    0x2L,    1L,    1L,    0L},
 {1008,296,    0x2L,    1L,    1L,    0L},
 {1016,280,    0x2L,    1L,    1L,    0L},
 {1016,256,    0x2L,    1L,    1L,    0L},
 {1008,232,    0x2L,    1L,    1L,    0L},
 {1008,200,    0x2L,    1L,    1L,    0L},
 {1008,176,    0x2L,    1L,    1L,    0L},
 {1008,152,    0x2L,    1L,    1L,    0L},
 {1008,120,    0x2L,    1L,    1L,    0L}, 
                                        /* quadrant 3 dir. 1, speed 0 */
 {1008,88,     0x2L,    1L,    1L,    0L},
 {1008,56,     0x2L,    1L,    1L,    0L},
 {1008,16,     0x2L,    1L,    1L,    0L},
 {1016,32,     0x3L,    1L,    1L,    0L},
 {1016,80,     0x3L,    1L,    1L,    0L},
 {1008,144,    0x3L,    1L,    1L,    0L},
 {1000,208,    0x3L,    1L,    1L,    0L},
 {992,280,     0x3L,    1L,    1L,    0L},
 {968,360,     0x3L,    1L,    1L,    0L},
 {944,440,     0x3L,    1L,    1L,    0L},
 {904,520,     0x3L,    1L,    1L,    0L},
 {864,608,     0x3L,    1L,    1L,    0L},
 {808,680,     0x3L,    1L,    1L,    0L},
 {760,752,     0x3L,    1L,    1L,    0L},
 {704,808,     0x3L,    1L,    1L,    0L},
 {648,864,     0x3L,    1L,    1L,    0L},
 {592,904,     0x3L,    1L,    1L,    0L},
 {544,936,     0x3L,    1L,    1L,    0L},
 {496,952,     0x3L,    1L,    1L,    0L},
 {448,968,     0x3L,    1L,    1L,    0L},
 {408,976,     0x3L,    1L,    1L,    0L},
 {368,976,     0x3L,    1L,    1L,    0L},
 {336,968,     0x3L,    1L,    1L,    0L},
 {296,968,     0x3L,    1L,    1L,    0L},
 {264,952,     0x3L,    1L,    1L,    0L},
 {232,944,     0x3L,    1L,    1L,    0L},
 {200,936,     0x3L,    1L,    1L,    0L},
 {168,920,     0x3L,    1L,    1L,    0L},
 {136,912,     0x3L,    1L,    1L,    0L},
 {104,896,     0x3L,    1L,    1L,    0L},
 {72,888,      0x3L,    1L,    1L,    0L},
 {40,872,      0x3L,    1L,    1L,    0L}}},
/* EasyCASE > */
/* EasyCASE ) */
/* EasyCASE ( 1177
   Direction 0 (CCW), Speed 1 (special table)
   EDUL-SMIA_nMW2000_FrontContacted_NoiseReduced_Classic (No 7) */
/* EasyCASE < */
                                         /* quadrant 0 dir. 0, speed 1 */
{{{184,968,     0x0L,    1L,    1L,    0L},
  {232,976,     0x0L,    1L,    1L,    0L},
  {280,984,     0x0L,    1L,    1L,    0L},
  {320,984,     0x0L,    1L,    1L,    0L},
  {352,984,     0x0L,    1L,    1L,    0L},
  {392,984,     0x0L,    1L,    1L,    0L},
  {424,984,     0x0L,    1L,    1L,    0L},
  {456,992,     0x0L,    1L,    1L,    0L},
  {496,992,     0x0L,    1L,    1L,    0L},
  {528,1000,    0x0L,    1L,    1L,    0L},
  {568,1000,    0x0L,    1L,    1L,    0L},
  {608,992,     0x0L,    1L,    1L,    0L},
  {648,976,     0x0L,    1L,    1L,    0L},
  {688,944,     0x0L,    1L,    1L,    0L},
  {728,904,     0x0L,    1L,    1L,    0L},
  {760,856,     0x0L,    1L,    1L,    0L},
  {792,792,     0x0L,    1L,    1L,    0L},
  {824,720,     0x0L,    1L,    1L,    0L},
  {848,640,     0x0L,    1L,    1L,    0L},
  {872,560,     0x0L,    1L,    1L,    0L},
  {896,480,     0x0L,    1L,    1L,    0L},
  {912,408,     0x0L,    1L,    1L,    0L},
  {928,336,     0x0L,    1L,    1L,    0L},
  {944,264,     0x0L,    1L,    1L,    0L},
  {960,208,     0x0L,    1L,    1L,    0L},
  {976,152,     0x0L,    1L,    1L,    0L},
  {984,104,     0x0L,    1L,    1L,    0L},
  {1000,64,     0x0L,    1L,    1L,    0L},
  {1000,16,     0x0L,    1L,    1L,    0L},
  {1008,24,     0x1L,    1L,    1L,    0L},
  {1008,64,     0x1L,    1L,    1L,    0L},
  {1008,104,    0x1L,    1L,    1L,    0L},
                                         /* quadrant 1 dir. 0, speed 1 */
  {1000,144,    0x1L,    1L,    1L,    0L},
  {1000,184,    0x1L,    1L,    1L,    0L},
  {1000,216,    0x1L,    1L,    1L,    0L},
  {1000,248,    0x1L,    1L,    1L,    0L},
  {1000,272,    0x1L,    1L,    1L,    0L},
  {1008,296,    0x1L,    1L,    1L,    0L},
  {1008,312,    0x1L,    1L,    1L,    0L},
  {1016,328,    0x1L,    1L,    1L,    0L},
  {1016,344,    0x1L,    1L,    1L,    0L},
  {1016,360,    0x1L,    1L,    1L,    0L},
  {1008,384,    0x1L,    1L,    1L,    0L},
  {984,408,     0x1L,    1L,    1L,    0L},
  {960,440,     0x1L,    1L,    1L,    0L},
  {920,472,     0x1L,    1L,    1L,    0L},
  {872,504,     0x1L,    1L,    1L,    0L},
  {816,544,     0x1L,    1L,    1L,    0L},
  {760,576,     0x1L,    1L,    1L,    0L},
  {696,608,     0x1L,    1L,    1L,    0L},
  {624,640,     0x1L,    1L,    1L,    0L},
  {560,672,     0x1L,    1L,    1L,    0L},
  {496,696,     0x1L,    1L,    1L,    0L},
  {432,720,     0x1L,    1L,    1L,    0L},
  {376,744,     0x1L,    1L,    1L,    0L},
  {320,768,     0x1L,    1L,    1L,    0L},
  {264,792,     0x1L,    1L,    1L,    0L},
  {200,816,     0x1L,    1L,    1L,    0L},
  {144,848,     0x1L,    1L,    1L,    0L},
  {88,872,      0x1L,    1L,    1L,    0L},
  {32,904,      0x1L,    1L,    1L,    0L},
  {24,928,      0x2L,    1L,    1L,    0L},
  {80,944,      0x2L,    1L,    1L,    0L},
  {136,960,     0x2L,    1L,    1L,    0L},
                                         /* quadrant 2 dir. 0, speed 1 */
  {184,968,     0x2L,    1L,    1L,    0L},
  {232,976,     0x2L,    1L,    1L,    0L},
  {280,984,     0x2L,    1L,    1L,    0L},
  {320,984,     0x2L,    1L,    1L,    0L},
  {352,984,     0x2L,    1L,    1L,    0L},
  {392,984,     0x2L,    1L,    1L,    0L},
  {424,984,     0x2L,    1L,    1L,    0L},
  {456,992,     0x2L,    1L,    1L,    0L},
  {496,992,     0x2L,    1L,    1L,    0L},
  {528,1000,    0x2L,    1L,    1L,    0L},
  {568,1000,    0x2L,    1L,    1L,    0L},
  {608,992,     0x2L,    1L,    1L,    0L},
  {648,976,     0x2L,    1L,    1L,    0L},
  {688,944,     0x2L,    1L,    1L,    0L},
  {728,904,     0x2L,    1L,    1L,    0L},
  {760,856,     0x2L,    1L,    1L,    0L},
  {792,792,     0x2L,    1L,    1L,    0L},
  {824,720,     0x2L,    1L,    1L,    0L},
  {848,640,     0x2L,    1L,    1L,    0L},
  {872,560,     0x2L,    1L,    1L,    0L},
  {896,480,     0x2L,    1L,    1L,    0L},
  {912,408,     0x2L,    1L,    1L,    0L},
  {928,336,     0x2L,    1L,    1L,    0L},
  {944,264,     0x2L,    1L,    1L,    0L},
  {960,208,     0x2L,    1L,    1L,    0L},
  {976,152,     0x2L,    1L,    1L,    0L},
  {984,104,     0x2L,    1L,    1L,    0L},
  {1000,64,     0x2L,    1L,    1L,    0L},
  {1000,16,     0x2L,    1L,    1L,    0L},
  {1008,24,     0x3L,    1L,    1L,    0L},
  {1008,64,     0x3L,    1L,    1L,    0L},
  {1008,104,    0x3L,    1L,    1L,    0L},
                                         /* quadrant 3 dir. 0, speed 1 */
  {1000,144,    0x3L,    1L,    1L,    0L},
  {1000,184,    0x3L,    1L,    1L,    0L},
  {1000,216,    0x3L,    1L,    1L,    0L},
  {1000,248,    0x3L,    1L,    1L,    0L},
  {1000,272,    0x3L,    1L,    1L,    0L},
  {1008,296,    0x3L,    1L,    1L,    0L},
  {1008,312,    0x3L,    1L,    1L,    0L},
  {1016,328,    0x3L,    1L,    1L,    0L},
  {1016,344,    0x3L,    1L,    1L,    0L},
  {1016,360,    0x3L,    1L,    1L,    0L},
  {1008,384,    0x3L,    1L,    1L,    0L},
  {984,408,     0x3L,    1L,    1L,    0L},
  {960,440,     0x3L,    1L,    1L,    0L},
  {920,472,     0x3L,    1L,    1L,    0L},
  {872,504,     0x3L,    1L,    1L,    0L},
  {816,544,     0x3L,    1L,    1L,    0L},
  {760,576,     0x3L,    1L,    1L,    0L},
  {696,608,     0x3L,    1L,    1L,    0L},
  {624,640,     0x3L,    1L,    1L,    0L},
  {560,672,     0x3L,    1L,    1L,    0L},
  {496,696,     0x3L,    1L,    1L,    0L},
  {432,720,     0x3L,    1L,    1L,    0L},
  {376,744,     0x3L,    1L,    1L,    0L},
  {320,768,     0x3L,    1L,    1L,    0L},
  {264,792,     0x3L,    1L,    1L,    0L},
  {200,816,     0x3L,    1L,    1L,    0L},
  {144,848,     0x3L,    1L,    1L,    0L},
  {88,872,      0x3L,    1L,    1L,    0L},
  {32,904,      0x3L,    1L,    1L,    0L},
  {24,928,      0x0L,    1L,    1L,    0L},
  {80,944,      0x0L,    1L,    1L,    0L},
  {136,960,     0x0L,    1L,    1L,    0L}},
/* EasyCASE > */
/* EasyCASE ) */
/* EasyCASE ( 1178
   Direction 1 (CW), Speed 1 (special table)
   EDUL-SMIA_nMW2000_FrontContacted_NoiseReduced_Classic (No 7) */
/* EasyCASE < */
                                         /* quadrant 0 dir. 1, speed 1 */
{ {48,912,      0x3L,    1L,    1L,    0L},
  {8,888,       0x3L,    1L,    1L,    0L},
  {32,864,      0x0L,    1L,    1L,    0L},
  {72,840,      0x0L,    1L,    1L,    0L},
  {120,824,     0x0L,    1L,    1L,    0L},
  {168,808,     0x0L,    1L,    1L,    0L},
  {232,792,     0x0L,    1L,    1L,    0L},
  {288,776,     0x0L,    1L,    1L,    0L},
  {360,768,     0x0L,    1L,    1L,    0L},
  {432,760,     0x0L,    1L,    1L,    0L},
  {512,744,     0x0L,    1L,    1L,    0L},
  {592,728,     0x0L,    1L,    1L,    0L},
  {664,712,     0x0L,    1L,    1L,    0L},
  {736,696,     0x0L,    1L,    1L,    0L},
  {808,672,     0x0L,    1L,    1L,    0L},
  {864,640,     0x0L,    1L,    1L,    0L},
  {912,616,     0x0L,    1L,    1L,    0L},
  {952,584,     0x0L,    1L,    1L,    0L},
  {984,552,     0x0L,    1L,    1L,    0L},
  {1000,528,    0x0L,    1L,    1L,    0L},
  {1016,504,    0x0L,    1L,    1L,    0L},
  {1016,480,    0x0L,    1L,    1L,    0L},
  {1016,456,    0x0L,    1L,    1L,    0L},
  {1016,440,    0x0L,    1L,    1L,    0L},
  {1008,416,    0x0L,    1L,    1L,    0L},
  {1008,392,    0x0L,    1L,    1L,    0L},
  {1000,368,    0x0L,    1L,    1L,    0L},
  {1000,344,    0x0L,    1L,    1L,    0L},
  {1000,320,    0x0L,    1L,    1L,    0L},
  {1000,296,    0x0L,    1L,    1L,    0L},
  {1000,264,    0x0L,    1L,    1L,    0L},
  {992,232,     0x0L,    1L,    1L,    0L},
                                         /* quadrant 1 dir. 1, speed 1 */
  {992,200,     0x0L,    1L,    1L,    0L},
  {992,160,     0x0L,    1L,    1L,    0L},
  {992,120,     0x0L,    1L,    1L,    0L},
  {984,72,      0x0L,    1L,    1L,    0L},
  {984,24,      0x0L,    1L,    1L,    0L},
  {976,40,      0x1L,    1L,    1L,    0L},
  {976,104,     0x1L,    1L,    1L,    0L},
  {968,184,     0x1L,    1L,    1L,    0L},
  {952,272,     0x1L,    1L,    1L,    0L},
  {936,360,     0x1L,    1L,    1L,    0L},
  {920,456,     0x1L,    1L,    1L,    0L},
  {888,552,     0x1L,    1L,    1L,    0L},
  {856,640,     0x1L,    1L,    1L,    0L},
  {824,728,     0x1L,    1L,    1L,    0L},
  {776,800,     0x1L,    1L,    1L,    0L},
  {736,864,     0x1L,    1L,    1L,    0L},
  {680,912,     0x1L,    1L,    1L,    0L},
  {632,952,     0x1L,    1L,    1L,    0L},
  {584,976,     0x1L,    1L,    1L,    0L},
  {528,984,     0x1L,    1L,    1L,    0L},
  {480,992,     0x1L,    1L,    1L,    0L},
  {440,1000,    0x1L,    1L,    1L,    0L},
  {392,992,     0x1L,    1L,    1L,    0L},
  {352,992,     0x1L,    1L,    1L,    0L},
  {320,992,     0x1L,    1L,    1L,    0L},
  {280,992,     0x1L,    1L,    1L,    0L},
  {248,984,     0x1L,    1L,    1L,    0L},
  {216,984,     0x1L,    1L,    1L,    0L},
  {184,976,     0x1L,    1L,    1L,    0L},
  {144,960,     0x1L,    1L,    1L,    0L},
  {112,952,     0x1L,    1L,    1L,    0L},
  {80,928,      0x1L,    1L,    1L,    0L},
                                         /* quadrant 2 dir. 1, speed 1 */
  {48,912,      0x1L,    1L,    1L,    0L},
  {8,888,       0x1L,    1L,    1L,    0L},
  {32,864,      0x2L,    1L,    1L,    0L},
  {72,840,      0x2L,    1L,    1L,    0L},
  {120,824,     0x2L,    1L,    1L,    0L},
  {168,808,     0x2L,    1L,    1L,    0L},
  {232,792,     0x2L,    1L,    1L,    0L},
  {288,776,     0x2L,    1L,    1L,    0L},
  {360,768,     0x2L,    1L,    1L,    0L},
  {432,760,     0x2L,    1L,    1L,    0L},
  {512,744,     0x2L,    1L,    1L,    0L},
  {592,728,     0x2L,    1L,    1L,    0L},
  {664,712,     0x2L,    1L,    1L,    0L},
  {736,696,     0x2L,    1L,    1L,    0L},
  {808,672,     0x2L,    1L,    1L,    0L},
  {864,640,     0x2L,    1L,    1L,    0L},
  {912,616,     0x2L,    1L,    1L,    0L},
  {952,584,     0x2L,    1L,    1L,    0L},
  {984,552,     0x2L,    1L,    1L,    0L},
  {1000,528,    0x2L,    1L,    1L,    0L},
  {1016,504,    0x2L,    1L,    1L,    0L},
  {1016,480,    0x2L,    1L,    1L,    0L},
  {1016,456,    0x2L,    1L,    1L,    0L},
  {1016,440,    0x2L,    1L,    1L,    0L},
  {1008,416,    0x2L,    1L,    1L,    0L},
  {1008,392,    0x2L,    1L,    1L,    0L},
  {1000,368,    0x2L,    1L,    1L,    0L},
  {1000,344,    0x2L,    1L,    1L,    0L},
  {1000,320,    0x2L,    1L,    1L,    0L},
  {1000,296,    0x2L,    1L,    1L,    0L},
  {1000,264,    0x2L,    1L,    1L,    0L},
  {992,232,     0x2L,    1L,    1L,    0L},
                                         /* quadrant 3 dir. 1, speed 1 */
  {992,200,     0x2L,    1L,    1L,    0L},
  {992,160,     0x2L,    1L,    1L,    0L},
  {992,120,     0x2L,    1L,    1L,    0L},
  {984,72,      0x2L,    1L,    1L,    0L},
  {984,24,      0x2L,    1L,    1L,    0L},
  {976,40,      0x3L,    1L,    1L,    0L},
  {976,104,     0x3L,    1L,    1L,    0L},
  {968,184,     0x3L,    1L,    1L,    0L},
  {952,272,     0x3L,    1L,    1L,    0L},
  {936,360,     0x3L,    1L,    1L,    0L},
  {920,456,     0x3L,    1L,    1L,    0L},
  {888,552,     0x3L,    1L,    1L,    0L},
  {856,640,     0x3L,    1L,    1L,    0L},
  {824,728,     0x3L,    1L,    1L,    0L},
  {776,800,     0x3L,    1L,    1L,    0L},
  {736,864,     0x3L,    1L,    1L,    0L},
  {680,912,     0x3L,    1L,    1L,    0L},
  {632,952,     0x3L,    1L,    1L,    0L},
  {584,976,     0x3L,    1L,    1L,    0L},
  {528,984,     0x3L,    1L,    1L,    0L},
  {480,992,     0x3L,    1L,    1L,    0L},
  {440,1000,    0x3L,    1L,    1L,    0L},
  {392,992,     0x3L,    1L,    1L,    0L},
  {352,992,     0x3L,    1L,    1L,    0L},
  {320,992,     0x3L,    1L,    1L,    0L},
  {280,992,     0x3L,    1L,    1L,    0L},
  {248,984,     0x3L,    1L,    1L,    0L},
  {216,984,     0x3L,    1L,    1L,    0L},
  {184,976,     0x3L,    1L,    1L,    0L},
  {144,960,     0x3L,    1L,    1L,    0L},
  {112,952,     0x3L,    1L,    1L,    0L},
  {80,928,      0x3L,    1L,    1L,    0L}}}}
 };

const struct SMIA_ISM_PWMStd SMIA_ISM_A_STDPWMTABLE8 = {
/* CVP    CHP   CQI   IVR IHR */
{                                        /* quadrant 0 dir. 0, speed 0 */
{{{40,872,      0x0L,    1L,    1L,    0L},   
  {72,888,      0x0L,    1L,    1L,    0L},
  {104,896,     0x0L,    1L,    1L,    0L},
  {136,912,     0x0L,    1L,    1L,    0L},
  {168,920,     0x0L,    1L,    1L,    0L},
  {200,936,     0x0L,    1L,    1L,    0L},
  {232,944,     0x0L,    1L,    1L,    0L},
  {264,952,     0x0L,    1L,    1L,    0L},
  {296,968,     0x0L,    1L,    1L,    0L},
  {336,968,     0x0L,    1L,    1L,    0L},
  {368,976,     0x0L,    1L,    1L,    0L},
  {408,976,     0x0L,    1L,    1L,    0L},
  {448,968,     0x0L,    1L,    1L,    0L},
  {496,952,     0x0L,    1L,    1L,    0L},
  {544,936,     0x0L,    1L,    1L,    0L},
  {592,904,     0x0L,    1L,    1L,    0L},
  {648,864,     0x0L,    1L,    1L,    0L},
  {704,808,     0x0L,    1L,    1L,    0L},
  {760,752,     0x0L,    1L,    1L,    0L},
  {808,680,     0x0L,    1L,    1L,    0L},
  {864,608,     0x0L,    1L,    1L,    0L},
  {904,520,     0x0L,    1L,    1L,    0L},
  {944,440,     0x0L,    1L,    1L,    0L},
  {968,360,     0x0L,    1L,    1L,    0L},
  {992,280,     0x0L,    1L,    1L,    0L},
  {1000,208,    0x0L,    1L,    1L,    0L},
  {1008,144,    0x0L,    1L,    1L,    0L},
  {1016,80,     0x0L,    1L,    1L,    0L},
  {1016,32,     0x0L,    1L,    1L,    0L},
  {1008,16,     0x1L,    1L,    1L,    0L},
  {1008,56,     0x1L,    1L,    1L,    0L},
  {1008,88,     0x1L,    1L,    1L,    0L},
                                         /* quadrant 1 dir. 0, speed 0 */
  {1008,120,    0x1L,    1L,    1L,    0L},   
  {1008,152,    0x1L,    1L,    1L,    0L},
  {1008,176,    0x1L,    1L,    1L,    0L},
  {1008,200,    0x1L,    1L,    1L,    0L},
  {1008,232,    0x1L,    1L,    1L,    0L},
  {1016,256,    0x1L,    1L,    1L,    0L},
  {1016,280,    0x1L,    1L,    1L,    0L},
  {1008,296,    0x1L,    1L,    1L,    0L},
  {1008,320,    0x1L,    1L,    1L,    0L},
  {1008,344,    0x1L,    1L,    1L,    0L},
  {1000,368,    0x1L,    1L,    1L,    0L},
  {992,392,     0x1L,    1L,    1L,    0L},
  {984,416,     0x1L,    1L,    1L,    0L},
  {968,440,     0x1L,    1L,    1L,    0L},
  {952,472,     0x1L,    1L,    1L,    0L},
  {920,504,     0x1L,    1L,    1L,    0L},
  {888,544,     0x1L,    1L,    1L,    0L},
  {848,576,     0x1L,    1L,    1L,    0L},
  {792,616,     0x1L,    1L,    1L,    0L},
  {736,656,     0x1L,    1L,    1L,    0L},
  {664,688,     0x1L,    1L,    1L,    0L},
  {592,720,     0x1L,    1L,    1L,    0L},
  {520,752,     0x1L,    1L,    1L,    0L},
  {440,776,     0x1L,    1L,    1L,    0L},
  {368,800,     0x1L,    1L,    1L,    0L},
  {296,808,     0x1L,    1L,    1L,    0L},
  {232,824,     0x1L,    1L,    1L,    0L},
  {168,832,     0x1L,    1L,    1L,    0L},
  {120,840,     0x1L,    1L,    1L,    0L},
  {72,848,      0x1L,    1L,    1L,    0L},
  {32,856,      0x1L,    1L,    1L,    0L},
  {0,864,       0x1L,    1L,    1L,    0L},
                                         /* quadrant 2 dir. 0, speed 0 */
  {40,872,      0x2L,    1L,    1L,    0L},    
  {72,888,      0x2L,    1L,    1L,    0L},
  {104,896,     0x2L,    1L,    1L,    0L},
  {136,912,     0x2L,    1L,    1L,    0L},
  {168,920,     0x2L,    1L,    1L,    0L},
  {200,936,     0x2L,    1L,    1L,    0L},
  {232,944,     0x2L,    1L,    1L,    0L},
  {264,952,     0x2L,    1L,    1L,    0L},
  {296,968,     0x2L,    1L,    1L,    0L},
  {336,968,     0x2L,    1L,    1L,    0L},
  {368,976,     0x2L,    1L,    1L,    0L},
  {408,976,     0x2L,    1L,    1L,    0L},
  {448,968,     0x2L,    1L,    1L,    0L},
  {496,952,     0x2L,    1L,    1L,    0L},
  {544,936,     0x2L,    1L,    1L,    0L},
  {592,904,     0x2L,    1L,    1L,    0L},
  {648,864,     0x2L,    1L,    1L,    0L},
  {704,808,     0x2L,    1L,    1L,    0L},
  {760,752,     0x2L,    1L,    1L,    0L},
  {808,680,     0x2L,    1L,    1L,    0L},
  {864,608,     0x2L,    1L,    1L,    0L},
  {904,520,     0x2L,    1L,    1L,    0L},
  {944,440,     0x2L,    1L,    1L,    0L},
  {968,360,     0x2L,    1L,    1L,    0L},
  {992,280,     0x2L,    1L,    1L,    0L},
  {1000,208,    0x2L,    1L,    1L,    0L},
  {1008,144,    0x2L,    1L,    1L,    0L},
  {1016,80,     0x2L,    1L,    1L,    0L},
  {1016,32,     0x2L,    1L,    1L,    0L},
  {1008,16,     0x3L,    1L,    1L,    0L},
  {1008,56,     0x3L,    1L,    1L,    0L},
  {1008,88,     0x3L,    1L,    1L,    0L},
                                         /* quadrant 3 dir. 0, speed 0 */
  {1008,120,    0x3L,    1L,    1L,    0L},    
  {1008,152,    0x3L,    1L,    1L,    0L},
  {1008,176,    0x3L,    1L,    1L,    0L},
  {1008,200,    0x3L,    1L,    1L,    0L},
  {1008,232,    0x3L,    1L,    1L,    0L},
  {1016,256,    0x3L,    1L,    1L,    0L},
  {1016,280,    0x3L,    1L,    1L,    0L},
  {1008,296,    0x3L,    1L,    1L,    0L},
  {1008,320,    0x3L,    1L,    1L,    0L},
  {1008,344,    0x3L,    1L,    1L,    0L},
  {1000,368,    0x3L,    1L,    1L,    0L},
  {992,392,     0x3L,    1L,    1L,    0L},
  {984,416,     0x3L,    1L,    1L,    0L},
  {968,440,     0x3L,    1L,    1L,    0L},
  {952,472,     0x3L,    1L,    1L,    0L},
  {920,504,     0x3L,    1L,    1L,    0L},
  {888,544,     0x3L,    1L,    1L,    0L},
  {848,576,     0x3L,    1L,    1L,    0L},
  {792,616,     0x3L,    1L,    1L,    0L},
  {736,656,     0x3L,    1L,    1L,    0L},
  {664,688,     0x3L,    1L,    1L,    0L},
  {592,720,     0x3L,    1L,    1L,    0L},
  {520,752,     0x3L,    1L,    1L,    0L},
  {440,776,     0x3L,    1L,    1L,    0L},
  {368,800,     0x3L,    1L,    1L,    0L},
  {296,808,     0x3L,    1L,    1L,    0L},
  {232,824,     0x3L,    1L,    1L,    0L},
  {168,832,     0x3L,    1L,    1L,    0L},
  {120,840,     0x3L,    1L,    1L,    0L},
  {72,848,      0x3L,    1L,    1L,    0L},
  {32,856,      0x3L,    1L,    1L,    0L},
  {0,864,       0x3L,    1L,    1L,    0L}},
/* EasyCASE > */
/* EasyCASE ) */
/* EasyCASE ( 1185
   Direction 1 (CCW), Speed 0 (normal table)
   MUL-SMIA_nMW2000_FrontContacted_NoiseReduced_FullValued  (No 8) */
/* EasyCASE < */
                                       /* quadrant 0 dir. 0, speed 0 */
{{368,960,     0x3L,    1L,    1L,    0L},    
 {328,968,     0x3L,    1L,    1L,    0L},
 {296,968,     0x3L,    1L,    1L,    0L},
 {264,968,     0x3L,    1L,    1L,    0L},
 {232,976,     0x3L,    1L,    1L,    0L},
 {192,976,     0x3L,    1L,    1L,    0L},
 {160,976,     0x3L,    1L,    1L,    0L},
 {120,984,     0x3L,    1L,    1L,    0L},
 {72,984,      0x3L,    1L,    1L,    0L},
 {24,984,      0x3L,    1L,    1L,    0L},
 {32,984,      0x0L,    1L,    1L,    0L},
 {88,976,      0x0L,    1L,    1L,    0L},
 {152,968,     0x0L,    1L,    1L,    0L},
 {216,952,     0x0L,    1L,    1L,    0L},
 {288,928,     0x0L,    1L,    1L,    0L},
 {360,896,     0x0L,    1L,    1L,    0L},
 {432,864,     0x0L,    1L,    1L,    0L},
 {504,824,     0x0L,    1L,    1L,    0L},
 {576,776,     0x0L,    1L,    1L,    0L},
 {648,736,     0x0L,    1L,    1L,    0L},
 {712,688,     0x0L,    1L,    1L,    0L},
 {776,640,     0x0L,    1L,    1L,    0L},
 {824,592,     0x0L,    1L,    1L,    0L},
 {872,544,     0x0L,    1L,    1L,    0L},
 {912,504,     0x0L,    1L,    1L,    0L},
 {944,464,     0x0L,    1L,    1L,    0L},
 {968,432,     0x0L,    1L,    1L,    0L},
 {992,400,     0x0L,    1L,    1L,    0L},
 {1000,368,    0x0L,    1L,    1L,    0L},
 {1016,336,    0x0L,    1L,    1L,    0L},
 {1016,312,    0x0L,    1L,    1L,    0L},
 {1016,288,    0x0L,    1L,    1L,    0L},
                                        /* quadrant 1 dir. 0, speed 0 */
 {1016,264,    0x0L,    1L,    1L,    0L},    
 {1016,240,    0x0L,    1L,    1L,    0L},
 {1008,216,    0x0L,    1L,    1L,    0L},
 {1008,200,    0x0L,    1L,    1L,    0L},
 {1008,176,    0x0L,    1L,    1L,    0L},
 {1008,152,    0x0L,    1L,    1L,    0L},
 {1008,128,    0x0L,    1L,    1L,    0L},
 {1008,96,     0x0L,    1L,    1L,    0L},
 {1008,64,     0x0L,    1L,    1L,    0L},
 {1008,32,     0x0L,    1L,    1L,    0L},
 {1008,0,      0x0L,    1L,    1L,    0L},
 {1008,40,     0x1L,    1L,    1L,    0L},
 {1000,88,     0x1L,    1L,    1L,    0L},
 {992,136,     0x1L,    1L,    1L,    0L},
 {984,192,     0x1L,    1L,    1L,    0L},
 {968,248,     0x1L,    1L,    1L,    0L},
 {944,304,     0x1L,    1L,    1L,    0L},
 {920,368,     0x1L,    1L,    1L,    0L},
 {888,424,     0x1L,    1L,    1L,    0L},
 {848,488,     0x1L,    1L,    1L,    0L},
 {816,552,     0x1L,    1L,    1L,    0L},
 {776,608,     0x1L,    1L,    1L,    0L},
 {736,664,     0x1L,    1L,    1L,    0L},
 {696,720,     0x1L,    1L,    1L,    0L},
 {656,768,     0x1L,    1L,    1L,    0L},
 {616,808,     0x1L,    1L,    1L,    0L},
 {576,848,     0x1L,    1L,    1L,    0L},
 {536,880,     0x1L,    1L,    1L,    0L},
 {504,904,     0x1L,    1L,    1L,    0L},
 {464,928,     0x1L,    1L,    1L,    0L},
 {432,936,     0x1L,    1L,    1L,    0L},
 {400,952,     0x1L,    1L,    1L,    0L},
                                        /* 2 quadrant dir. 0, speed 0 */
 {368,960,     0x1L,    1L,    1L,    0L},    
 {328,968,     0x1L,    1L,    1L,    0L},
 {296,968,     0x1L,    1L,    1L,    0L},
 {264,968,     0x1L,    1L,    1L,    0L},
 {232,976,     0x1L,    1L,    1L,    0L},
 {192,976,     0x1L,    1L,    1L,    0L},
 {160,976,     0x1L,    1L,    1L,    0L},
 {120,984,     0x1L,    1L,    1L,    0L},
 {72,984,      0x1L,    1L,    1L,    0L},
 {24,984,      0x1L,    1L,    1L,    0L},
 {32,984,      0x2L,    1L,    1L,    0L},
 {88,976,      0x2L,    1L,    1L,    0L},
 {152,968,     0x2L,    1L,    1L,    0L},
 {216,952,     0x2L,    1L,    1L,    0L},
 {288,928,     0x2L,    1L,    1L,    0L},
 {360,896,     0x2L,    1L,    1L,    0L},
 {432,864,     0x2L,    1L,    1L,    0L},
 {504,824,     0x2L,    1L,    1L,    0L},
 {576,776,     0x2L,    1L,    1L,    0L},
 {648,736,     0x2L,    1L,    1L,    0L},
 {712,688,     0x2L,    1L,    1L,    0L},
 {776,640,     0x2L,    1L,    1L,    0L},
 {824,592,     0x2L,    1L,    1L,    0L},
 {872,544,     0x2L,    1L,    1L,    0L},
 {912,504,     0x2L,    1L,    1L,    0L},
 {944,464,     0x2L,    1L,    1L,    0L},
 {968,432,     0x2L,    1L,    1L,    0L},
 {992,400,     0x2L,    1L,    1L,    0L},
 {1000,368,    0x2L,    1L,    1L,    0L},
 {1016,336,    0x2L,    1L,    1L,    0L},
 {1016,312,    0x2L,    1L,    1L,    0L},
 {1016,288,    0x2L,    1L,    1L,    0L},
                                        /* 3 quadrant dir. 0, speed 0 */
 {1016,264,    0x2L,    1L,    1L,    0L},    
 {1016,240,    0x2L,    1L,    1L,    0L},
 {1008,216,    0x2L,    1L,    1L,    0L},
 {1008,200,    0x2L,    1L,    1L,    0L},
 {1008,176,    0x2L,    1L,    1L,    0L},
 {1008,152,    0x2L,    1L,    1L,    0L},
 {1008,128,    0x2L,    1L,    1L,    0L},
 {1008,96,     0x2L,    1L,    1L,    0L},
 {1008,64,     0x2L,    1L,    1L,    0L},
 {1008,32,     0x2L,    1L,    1L,    0L},
 {1008,0,      0x2L,    1L,    1L,    0L},
 {1008,40,     0x3L,    1L,    1L,    0L},
 {1000,88,     0x3L,    1L,    1L,    0L},
 {992,136,     0x3L,    1L,    1L,    0L},
 {984,192,     0x3L,    1L,    1L,    0L},
 {968,248,     0x3L,    1L,    1L,    0L},
 {944,304,     0x3L,    1L,    1L,    0L},
 {920,368,     0x3L,    1L,    1L,    0L},
 {888,424,     0x3L,    1L,    1L,    0L},
 {848,488,     0x3L,    1L,    1L,    0L},
 {816,552,     0x3L,    1L,    1L,    0L},
 {776,608,     0x3L,    1L,    1L,    0L},
 {736,664,     0x3L,    1L,    1L,    0L},
 {696,720,     0x3L,    1L,    1L,    0L},
 {656,768,     0x3L,    1L,    1L,    0L},
 {616,808,     0x3L,    1L,    1L,    0L},
 {576,848,     0x3L,    1L,    1L,    0L},
 {536,880,     0x3L,    1L,    1L,    0L},
 {504,904,     0x3L,    1L,    1L,    0L},
 {464,928,     0x3L,    1L,    1L,    0L},
 {432,936,     0x3L,    1L,    1L,    0L},
 {400,952,     0x3L,    1L,    1L,    0L}}},
/* EasyCASE > */
/* EasyCASE ) */
/* EasyCASE ( 1186
   Direction 0 (CW), Speed 1 (special table)
   MUL-SMIA_nMW2000_FrontContacted_NoiseReduced_FullValued  (No 8) */
/* EasyCASE < */
                                         /* quadrant 0 dir. 0, speed 1 */
{{{80,928,      0x0L,    1L,    1L,    0L},
  {112,952,     0x0L,    1L,    1L,    0L},
  {144,960,     0x0L,    1L,    1L,    0L},
  {184,976,     0x0L,    1L,    1L,    0L},
  {216,984,     0x0L,    1L,    1L,    0L},
  {248,984,     0x0L,    1L,    1L,    0L},
  {280,992,     0x0L,    1L,    1L,    0L},
  {320,992,     0x0L,    1L,    1L,    0L},
  {352,992,     0x0L,    1L,    1L,    0L},
  {392,992,     0x0L,    1L,    1L,    0L},
  {440,1000,    0x0L,    1L,    1L,    0L},
  {480,992,     0x0L,    1L,    1L,    0L},
  {528,984,     0x0L,    1L,    1L,    0L},
  {584,976,     0x0L,    1L,    1L,    0L},
  {632,952,     0x0L,    1L,    1L,    0L},
  {680,912,     0x0L,    1L,    1L,    0L},
  {736,864,     0x0L,    1L,    1L,    0L},
  {776,800,     0x0L,    1L,    1L,    0L},
  {824,728,     0x0L,    1L,    1L,    0L},
  {856,640,     0x0L,    1L,    1L,    0L},
  {888,552,     0x0L,    1L,    1L,    0L},
  {920,456,     0x0L,    1L,    1L,    0L},
  {936,360,     0x0L,    1L,    1L,    0L},
  {952,272,     0x0L,    1L,    1L,    0L},
  {968,184,     0x0L,    1L,    1L,    0L},
  {976,104,     0x0L,    1L,    1L,    0L},
  {976,40,      0x0L,    1L,    1L,    0L},
  {984,24,      0x1L,    1L,    1L,    0L},
  {984,72,      0x1L,    1L,    1L,    0L},
  {992,120,     0x1L,    1L,    1L,    0L},
  {992,160,     0x1L,    1L,    1L,    0L},
  {992,200,     0x1L,    1L,    1L,    0L},
                                         /* quadrant 1 dir. 0, speed 1 */
  {992,232,     0x1L,    1L,    1L,    0L},
  {1000,264,    0x1L,    1L,    1L,    0L},
  {1000,296,    0x1L,    1L,    1L,    0L},
  {1000,320,    0x1L,    1L,    1L,    0L},
  {1000,344,    0x1L,    1L,    1L,    0L},
  {1000,368,    0x1L,    1L,    1L,    0L},
  {1008,392,    0x1L,    1L,    1L,    0L},
  {1008,416,    0x1L,    1L,    1L,    0L},
  {1016,440,    0x1L,    1L,    1L,    0L},
  {1016,456,    0x1L,    1L,    1L,    0L},
  {1016,480,    0x1L,    1L,    1L,    0L},
  {1016,504,    0x1L,    1L,    1L,    0L},
  {1000,528,    0x1L,    1L,    1L,    0L},
  {984,552,     0x1L,    1L,    1L,    0L},
  {952,584,     0x1L,    1L,    1L,    0L},
  {912,616,     0x1L,    1L,    1L,    0L},
  {864,640,     0x1L,    1L,    1L,    0L},
  {808,672,     0x1L,    1L,    1L,    0L},
  {736,696,     0x1L,    1L,    1L,    0L},
  {664,712,     0x1L,    1L,    1L,    0L},
  {592,728,     0x1L,    1L,    1L,    0L},
  {512,744,     0x1L,    1L,    1L,    0L},
  {432,760,     0x1L,    1L,    1L,    0L},
  {360,768,     0x1L,    1L,    1L,    0L},
  {288,776,     0x1L,    1L,    1L,    0L},
  {232,792,     0x1L,    1L,    1L,    0L},
  {168,808,     0x1L,    1L,    1L,    0L},
  {120,824,     0x1L,    1L,    1L,    0L},
  {72,840,      0x1L,    1L,    1L,    0L},
  {32,864,      0x1L,    1L,    1L,    0L},
  {8,888,       0x2L,    1L,    1L,    0L},
  {48,912,      0x2L,    1L,    1L,    0L},
                                         /* quadrant 2 dir. 0, speed 1 */
  {80,928,      0x2L,    1L,    1L,    0L},
  {112,952,     0x2L,    1L,    1L,    0L},
  {144,960,     0x2L,    1L,    1L,    0L},
  {184,976,     0x2L,    1L,    1L,    0L},
  {216,984,     0x2L,    1L,    1L,    0L},
  {248,984,     0x2L,    1L,    1L,    0L},
  {280,992,     0x2L,    1L,    1L,    0L},
  {320,992,     0x2L,    1L,    1L,    0L},
  {352,992,     0x2L,    1L,    1L,    0L},
  {392,992,     0x2L,    1L,    1L,    0L},
  {440,1000,    0x2L,    1L,    1L,    0L},
  {480,992,     0x2L,    1L,    1L,    0L},
  {528,984,     0x2L,    1L,    1L,    0L},
  {584,976,     0x2L,    1L,    1L,    0L},
  {632,952,     0x2L,    1L,    1L,    0L},
  {680,912,     0x2L,    1L,    1L,    0L},
  {736,864,     0x2L,    1L,    1L,    0L},
  {776,800,     0x2L,    1L,    1L,    0L},
  {824,728,     0x2L,    1L,    1L,    0L},
  {856,640,     0x2L,    1L,    1L,    0L},
  {888,552,     0x2L,    1L,    1L,    0L},
  {920,456,     0x2L,    1L,    1L,    0L},
  {936,360,     0x2L,    1L,    1L,    0L},
  {952,272,     0x2L,    1L,    1L,    0L},
  {968,184,     0x2L,    1L,    1L,    0L},
  {976,104,     0x2L,    1L,    1L,    0L},
  {976,40,      0x2L,    1L,    1L,    0L},
  {984,24,      0x3L,    1L,    1L,    0L},
  {984,72,      0x3L,    1L,    1L,    0L},
  {992,120,     0x3L,    1L,    1L,    0L},
  {992,160,     0x3L,    1L,    1L,    0L},
  {992,200,     0x3L,    1L,    1L,    0L},
                                         /* quadrant 3 dir. 0, speed 1 */
  {992,232,     0x3L,    1L,    1L,    0L},
  {1000,264,    0x3L,    1L,    1L,    0L},
  {1000,296,    0x3L,    1L,    1L,    0L},
  {1000,320,    0x3L,    1L,    1L,    0L},
  {1000,344,    0x3L,    1L,    1L,    0L},
  {1000,368,    0x3L,    1L,    1L,    0L},
  {1008,392,    0x3L,    1L,    1L,    0L},
  {1008,416,    0x3L,    1L,    1L,    0L},
  {1016,440,    0x3L,    1L,    1L,    0L},
  {1016,456,    0x3L,    1L,    1L,    0L},
  {1016,480,    0x3L,    1L,    1L,    0L},
  {1016,504,    0x3L,    1L,    1L,    0L},
  {1000,528,    0x3L,    1L,    1L,    0L},
  {984,552,     0x3L,    1L,    1L,    0L},
  {952,584,     0x3L,    1L,    1L,    0L},
  {912,616,     0x3L,    1L,    1L,    0L},
  {864,640,     0x3L,    1L,    1L,    0L},
  {808,672,     0x3L,    1L,    1L,    0L},
  {736,696,     0x3L,    1L,    1L,    0L},
  {664,712,     0x3L,    1L,    1L,    0L},
  {592,728,     0x3L,    1L,    1L,    0L},
  {512,744,     0x3L,    1L,    1L,    0L},
  {432,760,     0x3L,    1L,    1L,    0L},
  {360,768,     0x3L,    1L,    1L,    0L},
  {288,776,     0x3L,    1L,    1L,    0L},
  {232,792,     0x3L,    1L,    1L,    0L},
  {168,808,     0x3L,    1L,    1L,    0L},
  {120,824,     0x3L,    1L,    1L,    0L},
  {72,840,      0x3L,    1L,    1L,    0L},
  {32,864,      0x3L,    1L,    1L,    0L},
  {8,888,       0x0L,    1L,    1L,    0L},
  {48,912,      0x0L,    1L,    1L,    0L}},
/* EasyCASE > */
/* EasyCASE ) */
/* EasyCASE ( 1187
   Direction 1 (CCW), Speed 1 (special table)
   MUL-SMIA_nMW2000_FrontContacted_NoiseReduced_FullValued  (No 8) */
/* EasyCASE < */
                                        /* quadrant 0 dir. 1, speed 1 */
{ {136,960,     0x3L,    1L,    1L,    0L},
  {80,944,      0x3L,    1L,    1L,    0L},
  {24,928,      0x3L,    1L,    1L,    0L},
  {32,904,      0x0L,    1L,    1L,    0L},
  {88,872,      0x0L,    1L,    1L,    0L},
  {144,848,     0x0L,    1L,    1L,    0L},
  {200,816,     0x0L,    1L,    1L,    0L},
  {264,792,     0x0L,    1L,    1L,    0L},
  {320,768,     0x0L,    1L,    1L,    0L},
  {376,744,     0x0L,    1L,    1L,    0L},
  {432,720,     0x0L,    1L,    1L,    0L},
  {496,696,     0x0L,    1L,    1L,    0L},
  {560,672,     0x0L,    1L,    1L,    0L},
  {624,640,     0x0L,    1L,    1L,    0L},
  {696,608,     0x0L,    1L,    1L,    0L},
  {760,576,     0x0L,    1L,    1L,    0L},
  {816,544,     0x0L,    1L,    1L,    0L},
  {872,504,     0x0L,    1L,    1L,    0L},
  {920,472,     0x0L,    1L,    1L,    0L},
  {960,440,     0x0L,    1L,    1L,    0L},
  {984,408,     0x0L,    1L,    1L,    0L},
  {1008,384,    0x0L,    1L,    1L,    0L},
  {1016,360,    0x0L,    1L,    1L,    0L},
  {1016,344,    0x0L,    1L,    1L,    0L},
  {1016,328,    0x0L,    1L,    1L,    0L},
  {1008,312,    0x0L,    1L,    1L,    0L},
  {1008,296,    0x0L,    1L,    1L,    0L},
  {1000,272,    0x0L,    1L,    1L,    0L},
  {1000,248,    0x0L,    1L,    1L,    0L},
  {1000,216,    0x0L,    1L,    1L,    0L},
  {1000,184,    0x0L,    1L,    1L,    0L},
  {1000,144,    0x0L,    1L,    1L,    0L},
                                         /* quadrant 1 dir. 1, speed 1 */
  {1008,104,    0x0L,    1L,    1L,    0L},
  {1008,64,     0x0L,    1L,    1L,    0L},
  {1008,24,     0x0L,    1L,    1L,    0L},
  {1000,16,     0x1L,    1L,    1L,    0L},
  {1000,64,     0x1L,    1L,    1L,    0L},
  {984,104,     0x1L,    1L,    1L,    0L},
  {976,152,     0x1L,    1L,    1L,    0L},
  {960,208,     0x1L,    1L,    1L,    0L},
  {944,264,     0x1L,    1L,    1L,    0L},
  {928,336,     0x1L,    1L,    1L,    0L},
  {912,408,     0x1L,    1L,    1L,    0L},
  {896,480,     0x1L,    1L,    1L,    0L},
  {872,560,     0x1L,    1L,    1L,    0L},
  {848,640,     0x1L,    1L,    1L,    0L},
  {824,720,     0x1L,    1L,    1L,    0L},
  {792,792,     0x1L,    1L,    1L,    0L},
  {760,856,     0x1L,    1L,    1L,    0L},
  {728,904,     0x1L,    1L,    1L,    0L},
  {688,944,     0x1L,    1L,    1L,    0L},
  {648,976,     0x1L,    1L,    1L,    0L},
  {608,992,     0x1L,    1L,    1L,    0L},
  {568,1000,    0x1L,    1L,    1L,    0L},
  {528,1000,    0x1L,    1L,    1L,    0L},
  {496,992,     0x1L,    1L,    1L,    0L},
  {456,992,     0x1L,    1L,    1L,    0L},
  {424,984,     0x1L,    1L,    1L,    0L},
  {392,984,     0x1L,    1L,    1L,    0L},
  {352,984,     0x1L,    1L,    1L,    0L},
  {320,984,     0x1L,    1L,    1L,    0L},
  {280,984,     0x1L,    1L,    1L,    0L},
  {232,976,     0x1L,    1L,    1L,    0L},
  {184,968,     0x1L,    1L,    1L,    0L},
                                         /* quadrant 2 dir. 1, speed 1 */
  {136,960,     0x1L,    1L,    1L,    0L},
  {80,944,      0x1L,    1L,    1L,    0L},
  {24,928,      0x1L,    1L,    1L,    0L},
  {32,904,      0x2L,    1L,    1L,    0L},
  {88,872,      0x2L,    1L,    1L,    0L},
  {144,848,     0x2L,    1L,    1L,    0L},
  {200,816,     0x2L,    1L,    1L,    0L},
  {264,792,     0x2L,    1L,    1L,    0L},
  {320,768,     0x2L,    1L,    1L,    0L},
  {376,744,     0x2L,    1L,    1L,    0L},
  {432,720,     0x2L,    1L,    1L,    0L},
  {496,696,     0x2L,    1L,    1L,    0L},
  {560,672,     0x2L,    1L,    1L,    0L},
  {624,640,     0x2L,    1L,    1L,    0L},
  {696,608,     0x2L,    1L,    1L,    0L},
  {760,576,     0x2L,    1L,    1L,    0L},
  {816,544,     0x2L,    1L,    1L,    0L},
  {872,504,     0x2L,    1L,    1L,    0L},
  {920,472,     0x2L,    1L,    1L,    0L},
  {960,440,     0x2L,    1L,    1L,    0L},
  {984,408,     0x2L,    1L,    1L,    0L},
  {1008,384,    0x2L,    1L,    1L,    0L},
  {1016,360,    0x2L,    1L,    1L,    0L},
  {1016,344,    0x2L,    1L,    1L,    0L},
  {1016,328,    0x2L,    1L,    1L,    0L},
  {1008,312,    0x2L,    1L,    1L,    0L},
  {1008,296,    0x2L,    1L,    1L,    0L},
  {1000,272,    0x2L,    1L,    1L,    0L},
  {1000,248,    0x2L,    1L,    1L,    0L},
  {1000,216,    0x2L,    1L,    1L,    0L},
  {1000,184,    0x2L,    1L,    1L,    0L},
  {1000,144,    0x2L,    1L,    1L,    0L},
                                         /* quadrant 3 dir. 1, speed 1 */
  {1008,104,    0x2L,    1L,    1L,    0L},
  {1008,64,     0x2L,    1L,    1L,    0L},
  {1008,24,     0x2L,    1L,    1L,    0L},
  {1000,16,     0x3L,    1L,    1L,    0L},
  {1000,64,     0x3L,    1L,    1L,    0L},
  {984,104,     0x3L,    1L,    1L,    0L},
  {976,152,     0x3L,    1L,    1L,    0L},
  {960,208,     0x3L,    1L,    1L,    0L},
  {944,264,     0x3L,    1L,    1L,    0L},
  {928,336,     0x3L,    1L,    1L,    0L},
  {912,408,     0x3L,    1L,    1L,    0L},
  {896,480,     0x3L,    1L,    1L,    0L},
  {872,560,     0x3L,    1L,    1L,    0L},
  {848,640,     0x3L,    1L,    1L,    0L},
  {824,720,     0x3L,    1L,    1L,    0L},
  {792,792,     0x3L,    1L,    1L,    0L},
  {760,856,     0x3L,    1L,    1L,    0L},
  {728,904,     0x3L,    1L,    1L,    0L},
  {688,944,     0x3L,    1L,    1L,    0L},
  {648,976,     0x3L,    1L,    1L,    0L},
  {608,992,     0x3L,    1L,    1L,    0L},
  {568,1000,    0x3L,    1L,    1L,    0L},
  {528,1000,    0x3L,    1L,    1L,    0L},
  {496,992,     0x3L,    1L,    1L,    0L},
  {456,992,     0x3L,    1L,    1L,    0L},
  {424,984,     0x3L,    1L,    1L,    0L},
  {392,984,     0x3L,    1L,    1L,    0L},
  {352,984,     0x3L,    1L,    1L,    0L},
  {320,984,     0x3L,    1L,    1L,    0L},
  {280,984,     0x3L,    1L,    1L,    0L},
  {232,976,     0x3L,    1L,    1L,    0L},
  {184,968,     0x3L,    1L,    1L,    0L}}}}
 };
/* EasyCASE > */
/* EasyCASE ) */
/* EasyCASE ) */
/* EasyCASE ( 1188
   MW2000 FRONT-CONTACTED COUNTER-CLOCKWISE(EDUL) TYPE
   SMIA_nMW2000_FrontContacted_NoiseReduced_FullValued  (No 8) */
/* EasyCASE ( 1189
   Direction 0 (CCW), Speed 0 (normal table)
   EDUL-SMIA_nMW2000_FrontContacted_NoiseReduced_FullValued  (No 8) */
/* EasyCASE < */
const struct SMIA_ISM_PWMStd SMIA_ISM_A_STDPWMTABLE8_EDUL = {
/*  CVP   CHP   CQI  IVR IHR */
{                                        /* quadrant 0 dir. 0, speed 0 */
{{{400,952,     0x0L,    1L,    1L,    0L},
  {432,936,     0x0L,    1L,    1L,    0L},
  {464,928,     0x0L,    1L,    1L,    0L},
  {504,904,     0x0L,    1L,    1L,    0L},
  {536,880,     0x0L,    1L,    1L,    0L},
  {576,848,     0x0L,    1L,    1L,    0L},
  {616,808,     0x0L,    1L,    1L,    0L},
  {656,768,     0x0L,    1L,    1L,    0L},
  {696,720,     0x0L,    1L,    1L,    0L},
  {736,664,     0x0L,    1L,    1L,    0L},
  {776,608,     0x0L,    1L,    1L,    0L},
  {816,552,     0x0L,    1L,    1L,    0L},
  {848,488,     0x0L,    1L,    1L,    0L},
  {888,424,     0x0L,    1L,    1L,    0L},
  {920,368,     0x0L,    1L,    1L,    0L},
  {944,304,     0x0L,    1L,    1L,    0L},
  {968,248,     0x0L,    1L,    1L,    0L},
  {984,192,     0x0L,    1L,    1L,    0L},
  {992,136,     0x0L,    1L,    1L,    0L},
  {1000,88,     0x0L,    1L,    1L,    0L},
  {1008,40,     0x0L,    1L,    1L,    0L}, 
  {1008,0,      0x1L,    1L,    1L,    0L},
  {1008,32,     0x1L,    1L,    1L,    0L},
  {1008,64,     0x1L,    1L,    1L,    0L},
  {1008,96,     0x1L,    1L,    1L,    0L},
  {1008,128,    0x1L,    1L,    1L,    0L},
  {1008,152,    0x1L,    1L,    1L,    0L},
  {1008,176,    0x1L,    1L,    1L,    0L},
  {1008,200,    0x1L,    1L,    1L,    0L},
  {1008,216,    0x1L,    1L,    1L,    0L},
  {1016,240,    0x1L,    1L,    1L,    0L},
  {1016,264,    0x1L,    1L,    1L,    0L},
                                         /* quadrant 1 dir. 0, speed 0 */ 
  {1016,288,    0x1L,    1L,    1L,    0L},
  {1016,312,    0x1L,    1L,    1L,    0L},
  {1016,336,    0x1L,    1L,    1L,    0L},
  {1000,368,    0x1L,    1L,    1L,    0L},
  {992,400,     0x1L,    1L,    1L,    0L},
  {968,432,     0x1L,    1L,    1L,    0L},
  {944,464,     0x1L,    1L,    1L,    0L},
  {912,504,     0x1L,    1L,    1L,    0L},
  {872,544,     0x1L,    1L,    1L,    0L},
  {824,592,     0x1L,    1L,    1L,    0L},
  {776,640,     0x1L,    1L,    1L,    0L},
  {712,688,     0x1L,    1L,    1L,    0L},
  {648,736,     0x1L,    1L,    1L,    0L},
  {576,776,     0x1L,    1L,    1L,    0L},
  {504,824,     0x1L,    1L,    1L,    0L},
  {432,864,     0x1L,    1L,    1L,    0L},
  {360,896,     0x1L,    1L,    1L,    0L},
  {288,928,     0x1L,    1L,    1L,    0L},
  {216,952,     0x1L,    1L,    1L,    0L},
  {152,968,     0x1L,    1L,    1L,    0L},
  {88,976,      0x1L,    1L,    1L,    0L},
  {32,984,      0x1L,    1L,    1L,    0L},
  {24,984,      0x2L,    1L,    1L,    0L},
  {72,984,      0x2L,    1L,    1L,    0L},
  {120,984,     0x2L,    1L,    1L,    0L},
  {160,976,     0x2L,    1L,    1L,    0L},
  {192,976,     0x2L,    1L,    1L,    0L},
  {232,976,     0x2L,    1L,    1L,    0L},
  {264,968,     0x2L,    1L,    1L,    0L},
  {296,968,     0x2L,    1L,    1L,    0L},
  {328,968,     0x2L,    1L,    1L,    0L},
  {368,960,     0x2L,    1L,    1L,    0L},
                                         /* quadrant 2 dir. 0, speed 0 */
  {400,952,     0x2L,    1L,    1L,    0L},
  {432,936,     0x2L,    1L,    1L,    0L},
  {464,928,     0x2L,    1L,    1L,    0L},
  {504,904,     0x2L,    1L,    1L,    0L},
  {536,880,     0x2L,    1L,    1L,    0L},
  {576,848,     0x2L,    1L,    1L,    0L},
  {616,808,     0x2L,    1L,    1L,    0L},
  {656,768,     0x2L,    1L,    1L,    0L},
  {696,720,     0x2L,    1L,    1L,    0L},
  {736,664,     0x2L,    1L,    1L,    0L},
  {776,608,     0x2L,    1L,    1L,    0L},
  {816,552,     0x2L,    1L,    1L,    0L},
  {848,488,     0x2L,    1L,    1L,    0L},
  {888,424,     0x2L,    1L,    1L,    0L},
  {920,368,     0x2L,    1L,    1L,    0L},
  {944,304,     0x2L,    1L,    1L,    0L},
  {968,248,     0x2L,    1L,    1L,    0L},
  {984,192,     0x2L,    1L,    1L,    0L},
  {992,136,     0x2L,    1L,    1L,    0L},
  {1000,88,     0x2L,    1L,    1L,    0L},
  {1008,40,     0x2L,    1L,    1L,    0L},
  {1008,0,      0x3L,    1L,    1L,    0L},
  {1008,32,     0x3L,    1L,    1L,    0L},
  {1008,64,     0x3L,    1L,    1L,    0L},
  {1008,96,     0x3L,    1L,    1L,    0L},
  {1008,128,    0x3L,    1L,    1L,    0L},
  {1008,152,    0x3L,    1L,    1L,    0L},
  {1008,176,    0x3L,    1L,    1L,    0L},
  {1008,200,    0x3L,    1L,    1L,    0L},
  {1008,216,    0x3L,    1L,    1L,    0L},
  {1016,240,    0x3L,    1L,    1L,    0L},
  {1016,264,    0x3L,    1L,    1L,    0L},
                                         /* quadrant 3 dir. 0, speed 0 */
  {1016,288,    0x3L,    1L,    1L,    0L},
  {1016,312,    0x3L,    1L,    1L,    0L},
  {1016,336,    0x3L,    1L,    1L,    0L},
  {1000,368,    0x3L,    1L,    1L,    0L},
  {992,400,     0x3L,    1L,    1L,    0L},
  {968,432,     0x3L,    1L,    1L,    0L},
  {944,464,     0x3L,    1L,    1L,    0L},
  {912,504,     0x3L,    1L,    1L,    0L},
  {872,544,     0x3L,    1L,    1L,    0L},
  {824,592,     0x3L,    1L,    1L,    0L},
  {776,640,     0x3L,    1L,    1L,    0L},
  {712,688,     0x3L,    1L,    1L,    0L},
  {648,736,     0x3L,    1L,    1L,    0L},
  {576,776,     0x3L,    1L,    1L,    0L},
  {504,824,     0x3L,    1L,    1L,    0L},
  {432,864,     0x3L,    1L,    1L,    0L},
  {360,896,     0x3L,    1L,    1L,    0L},
  {288,928,     0x3L,    1L,    1L,    0L},
  {216,952,     0x3L,    1L,    1L,    0L},
  {152,968,     0x3L,    1L,    1L,    0L},
  {88,976,      0x3L,    1L,    1L,    0L},
  {32,984,      0x3L,    1L,    1L,    0L},
  {24,984,      0x0L,    1L,    1L,    0L},
  {72,984,      0x0L,    1L,    1L,    0L},
  {120,984,     0x0L,    1L,    1L,    0L},
  {160,976,     0x0L,    1L,    1L,    0L},
  {192,976,     0x0L,    1L,    1L,    0L},
  {232,976,     0x0L,    1L,    1L,    0L},
  {264,968,     0x0L,    1L,    1L,    0L},
  {296,968,     0x0L,    1L,    1L,    0L},
  {328,968,     0x0L,    1L,    1L,    0L},
  {368,960,     0x0L,    1L,    1L,    0L}},
/* EasyCASE > */
/* EasyCASE ) */
/* EasyCASE ( 1190
   Direction 1 (CW), Speed 0 (normal table)
   EDUL-SMIA_nMW2000_FrontContacted_NoiseReduced_FullValued  (No 8) */
/* EasyCASE < */
                                        /* quadrant 0 dir. 1, speed 0 */
{{0,864,       0x0L,    1L,    1L,    0L},
 {32,856,      0x0L,    1L,    1L,    0L},
 {72,848,      0x0L,    1L,    1L,    0L},
 {120,840,     0x0L,    1L,    1L,    0L},
 {168,832,     0x0L,    1L,    1L,    0L},
 {232,824,     0x0L,    1L,    1L,    0L},
 {296,808,     0x0L,    1L,    1L,    0L},
 {368,800,     0x0L,    1L,    1L,    0L},
 {440,776,     0x0L,    1L,    1L,    0L},
 {520,752,     0x0L,    1L,    1L,    0L},
 {592,720,     0x0L,    1L,    1L,    0L},
 {664,688,     0x0L,    1L,    1L,    0L},
 {736,656,     0x0L,    1L,    1L,    0L},
 {792,616,     0x0L,    1L,    1L,    0L},
 {848,576,     0x0L,    1L,    1L,    0L},
 {888,544,     0x0L,    1L,    1L,    0L},
 {920,504,     0x0L,    1L,    1L,    0L},
 {952,472,     0x0L,    1L,    1L,    0L},
 {968,440,     0x0L,    1L,    1L,    0L},
 {984,416,     0x0L,    1L,    1L,    0L},
 {992,392,     0x0L,    1L,    1L,    0L},
 {1000,368,    0x0L,    1L,    1L,    0L},
 {1008,344,    0x0L,    1L,    1L,    0L},
 {1008,320,    0x0L,    1L,    1L,    0L},
 {1008,296,    0x0L,    1L,    1L,    0L},
 {1016,280,    0x0L,    1L,    1L,    0L},
 {1016,256,    0x0L,    1L,    1L,    0L},
 {1008,232,    0x0L,    1L,    1L,    0L},
 {1008,200,    0x0L,    1L,    1L,    0L},
 {1008,176,    0x0L,    1L,    1L,    0L},
 {1008,152,    0x0L,    1L,    1L,    0L},
 {1008,120,    0x0L,    1L,    1L,    0L}, 
                                        /* quadrant 1 dir. 1, speed 0 */ 
 {1008,88,     0x0L,    1L,    1L,    0L},
 {1008,56,     0x0L,    1L,    1L,    0L},
 {1008,16,     0x0L,    1L,    1L,    0L},
 {1016,32,     0x1L,    1L,    1L,    0L},
 {1016,80,     0x1L,    1L,    1L,    0L},
 {1008,144,    0x1L,    1L,    1L,    0L},
 {1000,208,    0x1L,    1L,    1L,    0L},
 {992,280,     0x1L,    1L,    1L,    0L},
 {968,360,     0x1L,    1L,    1L,    0L},
 {944,440,     0x1L,    1L,    1L,    0L},
 {904,520,     0x1L,    1L,    1L,    0L},
 {864,608,     0x1L,    1L,    1L,    0L},
 {808,680,     0x1L,    1L,    1L,    0L},
 {760,752,     0x1L,    1L,    1L,    0L},
 {704,808,     0x1L,    1L,    1L,    0L},
 {648,864,     0x1L,    1L,    1L,    0L},
 {592,904,     0x1L,    1L,    1L,    0L},
 {544,936,     0x1L,    1L,    1L,    0L},
 {496,952,     0x1L,    1L,    1L,    0L},
 {448,968,     0x1L,    1L,    1L,    0L},
 {408,976,     0x1L,    1L,    1L,    0L},
 {368,976,     0x1L,    1L,    1L,    0L},
 {336,968,     0x1L,    1L,    1L,    0L},
 {296,968,     0x1L,    1L,    1L,    0L},
 {264,952,     0x1L,    1L,    1L,    0L},
 {232,944,     0x1L,    1L,    1L,    0L},
 {200,936,     0x1L,    1L,    1L,    0L},
 {168,920,     0x1L,    1L,    1L,    0L},
 {136,912,     0x1L,    1L,    1L,    0L},
 {104,896,     0x1L,    1L,    1L,    0L},
 {72,888,      0x1L,    1L,    1L,    0L},
 {40,872,      0x1L,    1L,    1L,    0L},  
                                        /* quadrant 2 dir. 1, speed 0 */
 {0,864,       0x2L,    1L,    1L,    0L} ,
 {32,856,      0x2L,    1L,    1L,    0L},
 {72,848,      0x2L,    1L,    1L,    0L},
 {120,840,     0x2L,    1L,    1L,    0L},
 {168,832,     0x2L,    1L,    1L,    0L},
 {232,824,     0x2L,    1L,    1L,    0L},
 {296,808,     0x2L,    1L,    1L,    0L},
 {368,800,     0x2L,    1L,    1L,    0L},
 {440,776,     0x2L,    1L,    1L,    0L},
 {520,752,     0x2L,    1L,    1L,    0L},
 {592,720,     0x2L,    1L,    1L,    0L},
 {664,688,     0x2L,    1L,    1L,    0L},
 {736,656,     0x2L,    1L,    1L,    0L},
 {792,616,     0x2L,    1L,    1L,    0L},
 {848,576,     0x2L,    1L,    1L,    0L},
 {888,544,     0x2L,    1L,    1L,    0L},
 {920,504,     0x2L,    1L,    1L,    0L},
 {952,472,     0x2L,    1L,    1L,    0L},
 {968,440,     0x2L,    1L,    1L,    0L},
 {984,416,     0x2L,    1L,    1L,    0L},
 {992,392,     0x2L,    1L,    1L,    0L},
 {1000,368,    0x2L,    1L,    1L,    0L},
 {1008,344,    0x2L,    1L,    1L,    0L},
 {1008,320,    0x2L,    1L,    1L,    0L},
 {1008,296,    0x2L,    1L,    1L,    0L},
 {1016,280,    0x2L,    1L,    1L,    0L},
 {1016,256,    0x2L,    1L,    1L,    0L},
 {1008,232,    0x2L,    1L,    1L,    0L},
 {1008,200,    0x2L,    1L,    1L,    0L},
 {1008,176,    0x2L,    1L,    1L,    0L},
 {1008,152,    0x2L,    1L,    1L,    0L},
 {1008,120,    0x2L,    1L,    1L,    0L}, 
                                        /* quadrant 3 dir. 1, speed 0 */
 {1008,88,     0x2L,    1L,    1L,    0L},
 {1008,56,     0x2L,    1L,    1L,    0L},
 {1008,16,     0x2L,    1L,    1L,    0L},
 {1016,32,     0x3L,    1L,    1L,    0L},
 {1016,80,     0x3L,    1L,    1L,    0L},
 {1008,144,    0x3L,    1L,    1L,    0L},
 {1000,208,    0x3L,    1L,    1L,    0L},
 {992,280,     0x3L,    1L,    1L,    0L},
 {968,360,     0x3L,    1L,    1L,    0L},
 {944,440,     0x3L,    1L,    1L,    0L},
 {904,520,     0x3L,    1L,    1L,    0L},
 {864,608,     0x3L,    1L,    1L,    0L},
 {808,680,     0x3L,    1L,    1L,    0L},
 {760,752,     0x3L,    1L,    1L,    0L},
 {704,808,     0x3L,    1L,    1L,    0L},
 {648,864,     0x3L,    1L,    1L,    0L},
 {592,904,     0x3L,    1L,    1L,    0L},
 {544,936,     0x3L,    1L,    1L,    0L},
 {496,952,     0x3L,    1L,    1L,    0L},
 {448,968,     0x3L,    1L,    1L,    0L},
 {408,976,     0x3L,    1L,    1L,    0L},
 {368,976,     0x3L,    1L,    1L,    0L},
 {336,968,     0x3L,    1L,    1L,    0L},
 {296,968,     0x3L,    1L,    1L,    0L},
 {264,952,     0x3L,    1L,    1L,    0L},
 {232,944,     0x3L,    1L,    1L,    0L},
 {200,936,     0x3L,    1L,    1L,    0L},
 {168,920,     0x3L,    1L,    1L,    0L},
 {136,912,     0x3L,    1L,    1L,    0L},
 {104,896,     0x3L,    1L,    1L,    0L},
 {72,888,      0x3L,    1L,    1L,    0L},
 {40,872,      0x3L,    1L,    1L,    0L}}},
/* EasyCASE > */
/* EasyCASE ) */
/* EasyCASE ( 1191
   Direction 0 (CCW), Speed 1 (special table)
   EDUL-SMIA_nMW2000_FrontContacted_NoiseReduced_FullValued  (No 8) */
/* EasyCASE < */
                                        /* quadrant 0 dir. 0, speed 1 */
{{{184,968,     0x0L,    1L,    1L,    0L},
  {232,976,     0x0L,    1L,    1L,    0L},
  {280,984,     0x0L,    1L,    1L,    0L},
  {320,984,     0x0L,    1L,    1L,    0L},
  {352,984,     0x0L,    1L,    1L,    0L},
  {392,984,     0x0L,    1L,    1L,    0L},
  {424,984,     0x0L,    1L,    1L,    0L},
  {456,992,     0x0L,    1L,    1L,    0L},
  {496,992,     0x0L,    1L,    1L,    0L},
  {528,1000,    0x0L,    1L,    1L,    0L},
  {568,1000,    0x0L,    1L,    1L,    0L},
  {608,992,     0x0L,    1L,    1L,    0L},
  {648,976,     0x0L,    1L,    1L,    0L},
  {688,944,     0x0L,    1L,    1L,    0L},
  {728,904,     0x0L,    1L,    1L,    0L},
  {760,856,     0x0L,    1L,    1L,    0L},
  {792,792,     0x0L,    1L,    1L,    0L},
  {824,720,     0x0L,    1L,    1L,    0L},
  {848,640,     0x0L,    1L,    1L,    0L},
  {872,560,     0x0L,    1L,    1L,    0L},
  {896,480,     0x0L,    1L,    1L,    0L},
  {912,408,     0x0L,    1L,    1L,    0L},
  {928,336,     0x0L,    1L,    1L,    0L},
  {944,264,     0x0L,    1L,    1L,    0L},
  {960,208,     0x0L,    1L,    1L,    0L},
  {976,152,     0x0L,    1L,    1L,    0L},
  {984,104,     0x0L,    1L,    1L,    0L},
  {1000,64,     0x0L,    1L,    1L,    0L},
  {1000,16,     0x0L,    1L,    1L,    0L},
  {1008,24,     0x1L,    1L,    1L,    0L},
  {1008,64,     0x1L,    1L,    1L,    0L},
  {1008,104,    0x1L,    1L,    1L,    0L},
                                         /* quadrant 1 dir. 0, speed 1 */
  {1000,144,    0x1L,    1L,    1L,    0L},
  {1000,184,    0x1L,    1L,    1L,    0L},
  {1000,216,    0x1L,    1L,    1L,    0L},
  {1000,248,    0x1L,    1L,    1L,    0L},
  {1000,272,    0x1L,    1L,    1L,    0L},
  {1008,296,    0x1L,    1L,    1L,    0L},
  {1008,312,    0x1L,    1L,    1L,    0L},
  {1016,328,    0x1L,    1L,    1L,    0L},
  {1016,344,    0x1L,    1L,    1L,    0L},
  {1016,360,    0x1L,    1L,    1L,    0L},
  {1008,384,    0x1L,    1L,    1L,    0L},
  {984,408,     0x1L,    1L,    1L,    0L},
  {960,440,     0x1L,    1L,    1L,    0L},
  {920,472,     0x1L,    1L,    1L,    0L},
  {872,504,     0x1L,    1L,    1L,    0L},
  {816,544,     0x1L,    1L,    1L,    0L},
  {760,576,     0x1L,    1L,    1L,    0L},
  {696,608,     0x1L,    1L,    1L,    0L},
  {624,640,     0x1L,    1L,    1L,    0L},
  {560,672,     0x1L,    1L,    1L,    0L},
  {496,696,     0x1L,    1L,    1L,    0L},
  {432,720,     0x1L,    1L,    1L,    0L},
  {376,744,     0x1L,    1L,    1L,    0L},
  {320,768,     0x1L,    1L,    1L,    0L},
  {264,792,     0x1L,    1L,    1L,    0L},
  {200,816,     0x1L,    1L,    1L,    0L},
  {144,848,     0x1L,    1L,    1L,    0L},
  {88,872,      0x1L,    1L,    1L,    0L},
  {32,904,      0x1L,    1L,    1L,    0L},
  {24,928,      0x2L,    1L,    1L,    0L},
  {80,944,      0x2L,    1L,    1L,    0L},
  {136,960,     0x2L,    1L,    1L,    0L},
                                         /* quadrant 2 dir. 0, speed 1 */
  {184,968,     0x2L,    1L,    1L,    0L},
  {232,976,     0x2L,    1L,    1L,    0L},
  {280,984,     0x2L,    1L,    1L,    0L},
  {320,984,     0x2L,    1L,    1L,    0L},
  {352,984,     0x2L,    1L,    1L,    0L},
  {392,984,     0x2L,    1L,    1L,    0L},
  {424,984,     0x2L,    1L,    1L,    0L},
  {456,992,     0x2L,    1L,    1L,    0L},
  {496,992,     0x2L,    1L,    1L,    0L},
  {528,1000,    0x2L,    1L,    1L,    0L},
  {568,1000,    0x2L,    1L,    1L,    0L},
  {608,992,     0x2L,    1L,    1L,    0L},
  {648,976,     0x2L,    1L,    1L,    0L},
  {688,944,     0x2L,    1L,    1L,    0L},
  {728,904,     0x2L,    1L,    1L,    0L},
  {760,856,     0x2L,    1L,    1L,    0L},
  {792,792,     0x2L,    1L,    1L,    0L},
  {824,720,     0x2L,    1L,    1L,    0L},
  {848,640,     0x2L,    1L,    1L,    0L},
  {872,560,     0x2L,    1L,    1L,    0L},
  {896,480,     0x2L,    1L,    1L,    0L},
  {912,408,     0x2L,    1L,    1L,    0L},
  {928,336,     0x2L,    1L,    1L,    0L},
  {944,264,     0x2L,    1L,    1L,    0L},
  {960,208,     0x2L,    1L,    1L,    0L},
  {976,152,     0x2L,    1L,    1L,    0L},
  {984,104,     0x2L,    1L,    1L,    0L},
  {1000,64,     0x2L,    1L,    1L,    0L},
  {1000,16,     0x2L,    1L,    1L,    0L},
  {1008,24,     0x3L,    1L,    1L,    0L},
  {1008,64,     0x3L,    1L,    1L,    0L},
  {1008,104,    0x3L,    1L,    1L,    0L},
                                         /* quadrant 3 dir. 0, speed 1 */
  {1000,144,    0x3L,    1L,    1L,    0L},
  {1000,184,    0x3L,    1L,    1L,    0L},
  {1000,216,    0x3L,    1L,    1L,    0L},
  {1000,248,    0x3L,    1L,    1L,    0L},
  {1000,272,    0x3L,    1L,    1L,    0L},
  {1008,296,    0x3L,    1L,    1L,    0L},
  {1008,312,    0x3L,    1L,    1L,    0L},
  {1016,328,    0x3L,    1L,    1L,    0L},
  {1016,344,    0x3L,    1L,    1L,    0L},
  {1016,360,    0x3L,    1L,    1L,    0L},
  {1008,384,    0x3L,    1L,    1L,    0L},
  {984,408,     0x3L,    1L,    1L,    0L},
  {960,440,     0x3L,    1L,    1L,    0L},
  {920,472,     0x3L,    1L,    1L,    0L},
  {872,504,     0x3L,    1L,    1L,    0L},
  {816,544,     0x3L,    1L,    1L,    0L},
  {760,576,     0x3L,    1L,    1L,    0L},
  {696,608,     0x3L,    1L,    1L,    0L},
  {624,640,     0x3L,    1L,    1L,    0L},
  {560,672,     0x3L,    1L,    1L,    0L},
  {496,696,     0x3L,    1L,    1L,    0L},
  {432,720,     0x3L,    1L,    1L,    0L},
  {376,744,     0x3L,    1L,    1L,    0L},
  {320,768,     0x3L,    1L,    1L,    0L},
  {264,792,     0x3L,    1L,    1L,    0L},
  {200,816,     0x3L,    1L,    1L,    0L},
  {144,848,     0x3L,    1L,    1L,    0L},
  {88,872,      0x3L,    1L,    1L,    0L},
  {32,904,      0x3L,    1L,    1L,    0L},
  {24,928,      0x0L,    1L,    1L,    0L},
  {80,944,      0x0L,    1L,    1L,    0L},
  {136,960,     0x0L,    1L,    1L,    0L}},
/* EasyCASE > */
/* EasyCASE ) */
/* EasyCASE ( 1192
   Direction 1 (CW), Speed 1 (special table)
   EDUL-SMIA_nMW2000_FrontContacted_NoiseReduced_FullValued  (No 8) */
/* EasyCASE < */
                                        /* quadrant 0 dir. 1, speed 1 */
{ {48,912,      0x3L,    1L,    1L,    0L},
  {8,888,       0x3L,    1L,    1L,    0L},
  {32,864,      0x0L,    1L,    1L,    0L},
  {72,840,      0x0L,    1L,    1L,    0L},
  {120,824,     0x0L,    1L,    1L,    0L},
  {168,808,     0x0L,    1L,    1L,    0L},
  {232,792,     0x0L,    1L,    1L,    0L},
  {288,776,     0x0L,    1L,    1L,    0L},
  {360,768,     0x0L,    1L,    1L,    0L},
  {432,760,     0x0L,    1L,    1L,    0L},
  {512,744,     0x0L,    1L,    1L,    0L},
  {592,728,     0x0L,    1L,    1L,    0L},
  {664,712,     0x0L,    1L,    1L,    0L},
  {736,696,     0x0L,    1L,    1L,    0L},
  {808,672,     0x0L,    1L,    1L,    0L},
  {864,640,     0x0L,    1L,    1L,    0L},
  {912,616,     0x0L,    1L,    1L,    0L},
  {952,584,     0x0L,    1L,    1L,    0L},
  {984,552,     0x0L,    1L,    1L,    0L},
  {1000,528,    0x0L,    1L,    1L,    0L},
  {1016,504,    0x0L,    1L,    1L,    0L},
  {1016,480,    0x0L,    1L,    1L,    0L},
  {1016,456,    0x0L,    1L,    1L,    0L},
  {1016,440,    0x0L,    1L,    1L,    0L},
  {1008,416,    0x0L,    1L,    1L,    0L},
  {1008,392,    0x0L,    1L,    1L,    0L},
  {1000,368,    0x0L,    1L,    1L,    0L},
  {1000,344,    0x0L,    1L,    1L,    0L},
  {1000,320,    0x0L,    1L,    1L,    0L},
  {1000,296,    0x0L,    1L,    1L,    0L},
  {1000,264,    0x0L,    1L,    1L,    0L},
  {992,232,     0x0L,    1L,    1L,    0L},
                                         /* quadrant 1 dir. 1, speed 1 */
  {992,200,     0x0L,    1L,    1L,    0L},
  {992,160,     0x0L,    1L,    1L,    0L},
  {992,120,     0x0L,    1L,    1L,    0L},
  {984,72,      0x0L,    1L,    1L,    0L},
  {984,24,      0x0L,    1L,    1L,    0L},
  {976,40,      0x1L,    1L,    1L,    0L},
  {976,104,     0x1L,    1L,    1L,    0L},
  {968,184,     0x1L,    1L,    1L,    0L},
  {952,272,     0x1L,    1L,    1L,    0L},
  {936,360,     0x1L,    1L,    1L,    0L},
  {920,456,     0x1L,    1L,    1L,    0L},
  {888,552,     0x1L,    1L,    1L,    0L},
  {856,640,     0x1L,    1L,    1L,    0L},
  {824,728,     0x1L,    1L,    1L,    0L},
  {776,800,     0x1L,    1L,    1L,    0L},
  {736,864,     0x1L,    1L,    1L,    0L},
  {680,912,     0x1L,    1L,    1L,    0L},
  {632,952,     0x1L,    1L,    1L,    0L},
  {584,976,     0x1L,    1L,    1L,    0L},
  {528,984,     0x1L,    1L,    1L,    0L},
  {480,992,     0x1L,    1L,    1L,    0L},
  {440,1000,    0x1L,    1L,    1L,    0L},
  {392,992,     0x1L,    1L,    1L,    0L},
  {352,992,     0x1L,    1L,    1L,    0L},
  {320,992,     0x1L,    1L,    1L,    0L},
  {280,992,     0x1L,    1L,    1L,    0L},
  {248,984,     0x1L,    1L,    1L,    0L},
  {216,984,     0x1L,    1L,    1L,    0L},
  {184,976,     0x1L,    1L,    1L,    0L},
  {144,960,     0x1L,    1L,    1L,    0L},
  {112,952,     0x1L,    1L,    1L,    0L},
  {80,928,      0x1L,    1L,    1L,    0L},
                                         /* quadrant 2 dir. 1, speed 1 */
  {48,912,      0x1L,    1L,    1L,    0L},
  {8,888,       0x1L,    1L,    1L,    0L},
  {32,864,      0x2L,    1L,    1L,    0L},
  {72,840,      0x2L,    1L,    1L,    0L},
  {120,824,     0x2L,    1L,    1L,    0L},
  {168,808,     0x2L,    1L,    1L,    0L},
  {232,792,     0x2L,    1L,    1L,    0L},
  {288,776,     0x2L,    1L,    1L,    0L},
  {360,768,     0x2L,    1L,    1L,    0L},
  {432,760,     0x2L,    1L,    1L,    0L},
  {512,744,     0x2L,    1L,    1L,    0L},
  {592,728,     0x2L,    1L,    1L,    0L},
  {664,712,     0x2L,    1L,    1L,    0L},
  {736,696,     0x2L,    1L,    1L,    0L},
  {808,672,     0x2L,    1L,    1L,    0L},
  {864,640,     0x2L,    1L,    1L,    0L},
  {912,616,     0x2L,    1L,    1L,    0L},
  {952,584,     0x2L,    1L,    1L,    0L},
  {984,552,     0x2L,    1L,    1L,    0L},
  {1000,528,    0x2L,    1L,    1L,    0L},
  {1016,504,    0x2L,    1L,    1L,    0L},
  {1016,480,    0x2L,    1L,    1L,    0L},
  {1016,456,    0x2L,    1L,    1L,    0L},
  {1016,440,    0x2L,    1L,    1L,    0L},
  {1008,416,    0x2L,    1L,    1L,    0L},
  {1008,392,    0x2L,    1L,    1L,    0L},
  {1000,368,    0x2L,    1L,    1L,    0L},
  {1000,344,    0x2L,    1L,    1L,    0L},
  {1000,320,    0x2L,    1L,    1L,    0L},
  {1000,296,    0x2L,    1L,    1L,    0L},
  {1000,264,    0x2L,    1L,    1L,    0L},
  {992,232,     0x2L,    1L,    1L,    0L},
                                         /* quadrant 3 dir. 1, speed 1 */
  {992,200,     0x2L,    1L,    1L,    0L},
  {992,160,     0x2L,    1L,    1L,    0L},
  {992,120,     0x2L,    1L,    1L,    0L},
  {984,72,      0x2L,    1L,    1L,    0L},
  {984,24,      0x2L,    1L,    1L,    0L},
  {976,40,      0x3L,    1L,    1L,    0L},
  {976,104,     0x3L,    1L,    1L,    0L},
  {968,184,     0x3L,    1L,    1L,    0L},
  {952,272,     0x3L,    1L,    1L,    0L},
  {936,360,     0x3L,    1L,    1L,    0L},
  {920,456,     0x3L,    1L,    1L,    0L},
  {888,552,     0x3L,    1L,    1L,    0L},
  {856,640,     0x3L,    1L,    1L,    0L},
  {824,728,     0x3L,    1L,    1L,    0L},
  {776,800,     0x3L,    1L,    1L,    0L},
  {736,864,     0x3L,    1L,    1L,    0L},
  {680,912,     0x3L,    1L,    1L,    0L},
  {632,952,     0x3L,    1L,    1L,    0L},
  {584,976,     0x3L,    1L,    1L,    0L},
  {528,984,     0x3L,    1L,    1L,    0L},
  {480,992,     0x3L,    1L,    1L,    0L},
  {440,1000,    0x3L,    1L,    1L,    0L},
  {392,992,     0x3L,    1L,    1L,    0L},
  {352,992,     0x3L,    1L,    1L,    0L},
  {320,992,     0x3L,    1L,    1L,    0L},
  {280,992,     0x3L,    1L,    1L,    0L},
  {248,984,     0x3L,    1L,    1L,    0L},
  {216,984,     0x3L,    1L,    1L,    0L},
  {184,976,     0x3L,    1L,    1L,    0L},
  {144,960,     0x3L,    1L,    1L,    0L},
  {112,952,     0x3L,    1L,    1L,    0L},
  {80,928,      0x3L,    1L,    1L,    0L}}}}
 };

const struct SMIA_ISM_PWMStd SMIA_ISM_A_STDPWMTABLE9 = {
/* CVP    CHP   CQI   IVR IHR */
{                                        /* quadrant 0 dir. 0, speed 0 */
{{{40,872,      0x0L,    1L,    1L,    0L},   
  {72,888,      0x0L,    1L,    1L,    0L},
  {104,896,     0x0L,    1L,    1L,    0L},
  {136,912,     0x0L,    1L,    1L,    0L},
  {168,920,     0x0L,    1L,    1L,    0L},
  {200,936,     0x0L,    1L,    1L,    0L},
  {232,944,     0x0L,    1L,    1L,    0L},
  {264,952,     0x0L,    1L,    1L,    0L},
  {296,968,     0x0L,    1L,    1L,    0L},
  {336,968,     0x0L,    1L,    1L,    0L},
  {368,976,     0x0L,    1L,    1L,    0L},
  {408,976,     0x0L,    1L,    1L,    0L},
  {448,968,     0x0L,    1L,    1L,    0L},
  {496,952,     0x0L,    1L,    1L,    0L},
  {544,936,     0x0L,    1L,    1L,    0L},
  {592,904,     0x0L,    1L,    1L,    0L},
  {648,864,     0x0L,    1L,    1L,    0L},
  {704,808,     0x0L,    1L,    1L,    0L},
  {760,752,     0x0L,    1L,    1L,    0L},
  {808,680,     0x0L,    1L,    1L,    0L},
  {864,608,     0x0L,    1L,    1L,    0L},
  {904,520,     0x0L,    1L,    1L,    0L},
  {944,440,     0x0L,    1L,    1L,    0L},
  {968,360,     0x0L,    1L,    1L,    0L},
  {992,280,     0x0L,    1L,    1L,    0L},
  {1000,208,    0x0L,    1L,    1L,    0L},
  {1008,144,    0x0L,    1L,    1L,    0L},
  {1016,80,     0x0L,    1L,    1L,    0L},
  {1016,32,     0x0L,    1L,    1L,    0L},
  {1008,16,     0x1L,    1L,    1L,    0L},
  {1008,56,     0x1L,    1L,    1L,    0L},
  {1008,88,     0x1L,    1L,    1L,    0L},
                                         /* quadrant 1 dir. 0, speed 0 */
  {1008,120,    0x1L,    1L,    1L,    0L},   
  {1008,152,    0x1L,    1L,    1L,    0L},
  {1008,176,    0x1L,    1L,    1L,    0L},
  {1008,200,    0x1L,    1L,    1L,    0L},
  {1008,232,    0x1L,    1L,    1L,    0L},
  {1016,256,    0x1L,    1L,    1L,    0L},
  {1016,280,    0x1L,    1L,    1L,    0L},
  {1008,296,    0x1L,    1L,    1L,    0L},
  {1008,320,    0x1L,    1L,    1L,    0L},
  {1008,344,    0x1L,    1L,    1L,    0L},
  {1000,368,    0x1L,    1L,    1L,    0L},
  {992,392,     0x1L,    1L,    1L,    0L},
  {984,416,     0x1L,    1L,    1L,    0L},
  {968,440,     0x1L,    1L,    1L,    0L},
  {952,472,     0x1L,    1L,    1L,    0L},
  {920,504,     0x1L,    1L,    1L,    0L},
  {888,544,     0x1L,    1L,    1L,    0L},
  {848,576,     0x1L,    1L,    1L,    0L},
  {792,616,     0x1L,    1L,    1L,    0L},
  {736,656,     0x1L,    1L,    1L,    0L},
  {664,688,     0x1L,    1L,    1L,    0L},
  {592,720,     0x1L,    1L,    1L,    0L},
  {520,752,     0x1L,    1L,    1L,    0L},
  {440,776,     0x1L,    1L,    1L,    0L},
  {368,800,     0x1L,    1L,    1L,    0L},
  {296,808,     0x1L,    1L,    1L,    0L},
  {232,824,     0x1L,    1L,    1L,    0L},
  {168,832,     0x1L,    1L,    1L,    0L},
  {120,840,     0x1L,    1L,    1L,    0L},
  {72,848,      0x1L,    1L,    1L,    0L},
  {32,856,      0x1L,    1L,    1L,    0L},
  {0,864,       0x1L,    1L,    1L,    0L},
                                         /* quadrant 2 dir. 0, speed 0 */
  {40,872,      0x2L,    1L,    1L,    0L},    
  {72,888,      0x2L,    1L,    1L,    0L},
  {104,896,     0x2L,    1L,    1L,    0L},
  {136,912,     0x2L,    1L,    1L,    0L},
  {168,920,     0x2L,    1L,    1L,    0L},
  {200,936,     0x2L,    1L,    1L,    0L},
  {232,944,     0x2L,    1L,    1L,    0L},
  {264,952,     0x2L,    1L,    1L,    0L},
  {296,968,     0x2L,    1L,    1L,    0L},
  {336,968,     0x2L,    1L,    1L,    0L},
  {368,976,     0x2L,    1L,    1L,    0L},
  {408,976,     0x2L,    1L,    1L,    0L},
  {448,968,     0x2L,    1L,    1L,    0L},
  {496,952,     0x2L,    1L,    1L,    0L},
  {544,936,     0x2L,    1L,    1L,    0L},
  {592,904,     0x2L,    1L,    1L,    0L},
  {648,864,     0x2L,    1L,    1L,    0L},
  {704,808,     0x2L,    1L,    1L,    0L},
  {760,752,     0x2L,    1L,    1L,    0L},
  {808,680,     0x2L,    1L,    1L,    0L},
  {864,608,     0x2L,    1L,    1L,    0L},
  {904,520,     0x2L,    1L,    1L,    0L},
  {944,440,     0x2L,    1L,    1L,    0L},
  {968,360,     0x2L,    1L,    1L,    0L},
  {992,280,     0x2L,    1L,    1L,    0L},
  {1000,208,    0x2L,    1L,    1L,    0L},
  {1008,144,    0x2L,    1L,    1L,    0L},
  {1016,80,     0x2L,    1L,    1L,    0L},
  {1016,32,     0x2L,    1L,    1L,    0L},
  {1008,16,     0x3L,    1L,    1L,    0L},
  {1008,56,     0x3L,    1L,    1L,    0L},
  {1008,88,     0x3L,    1L,    1L,    0L},
                                         /* quadrant 3 dir. 0, speed 0 */
  {1008,120,    0x3L,    1L,    1L,    0L},    
  {1008,152,    0x3L,    1L,    1L,    0L},
  {1008,176,    0x3L,    1L,    1L,    0L},
  {1008,200,    0x3L,    1L,    1L,    0L},
  {1008,232,    0x3L,    1L,    1L,    0L},
  {1016,256,    0x3L,    1L,    1L,    0L},
  {1016,280,    0x3L,    1L,    1L,    0L},
  {1008,296,    0x3L,    1L,    1L,    0L},
  {1008,320,    0x3L,    1L,    1L,    0L},
  {1008,344,    0x3L,    1L,    1L,    0L},
  {1000,368,    0x3L,    1L,    1L,    0L},
  {992,392,     0x3L,    1L,    1L,    0L},
  {984,416,     0x3L,    1L,    1L,    0L},
  {968,440,     0x3L,    1L,    1L,    0L},
  {952,472,     0x3L,    1L,    1L,    0L},
  {920,504,     0x3L,    1L,    1L,    0L},
  {888,544,     0x3L,    1L,    1L,    0L},
  {848,576,     0x3L,    1L,    1L,    0L},
  {792,616,     0x3L,    1L,    1L,    0L},
  {736,656,     0x3L,    1L,    1L,    0L},
  {664,688,     0x3L,    1L,    1L,    0L},
  {592,720,     0x3L,    1L,    1L,    0L},
  {520,752,     0x3L,    1L,    1L,    0L},
  {440,776,     0x3L,    1L,    1L,    0L},
  {368,800,     0x3L,    1L,    1L,    0L},
  {296,808,     0x3L,    1L,    1L,    0L},
  {232,824,     0x3L,    1L,    1L,    0L},
  {168,832,     0x3L,    1L,    1L,    0L},
  {120,840,     0x3L,    1L,    1L,    0L},
  {72,848,      0x3L,    1L,    1L,    0L},
  {32,856,      0x3L,    1L,    1L,    0L},
  {0,864,       0x3L,    1L,    1L,    0L}},
/* EasyCASE > */
/* EasyCASE ) */
/* EasyCASE ( 1129
   Direction 1 (CCW), Speed 0 (normal table)
   MUL-SMIA_nMW2000_FrontContacted_Fair  (No 9) */
/* EasyCASE < */
                                       /* quadrant 0 dir. 0, speed 0 */
{{368,960,     0x3L,    1L,    1L,    0L},    
 {328,968,     0x3L,    1L,    1L,    0L},
 {296,968,     0x3L,    1L,    1L,    0L},
 {264,968,     0x3L,    1L,    1L,    0L},
 {232,976,     0x3L,    1L,    1L,    0L},
 {192,976,     0x3L,    1L,    1L,    0L},
 {160,976,     0x3L,    1L,    1L,    0L},
 {120,984,     0x3L,    1L,    1L,    0L},
 {72,984,      0x3L,    1L,    1L,    0L},
 {24,984,      0x3L,    1L,    1L,    0L},
 {32,984,      0x0L,    1L,    1L,    0L},
 {88,976,      0x0L,    1L,    1L,    0L},
 {152,968,     0x0L,    1L,    1L,    0L},
 {216,952,     0x0L,    1L,    1L,    0L},
 {288,928,     0x0L,    1L,    1L,    0L},
 {360,896,     0x0L,    1L,    1L,    0L},
 {432,864,     0x0L,    1L,    1L,    0L},
 {504,824,     0x0L,    1L,    1L,    0L},
 {576,776,     0x0L,    1L,    1L,    0L},
 {648,736,     0x0L,    1L,    1L,    0L},
 {712,688,     0x0L,    1L,    1L,    0L},
 {776,640,     0x0L,    1L,    1L,    0L},
 {824,592,     0x0L,    1L,    1L,    0L},
 {872,544,     0x0L,    1L,    1L,    0L},
 {912,504,     0x0L,    1L,    1L,    0L},
 {944,464,     0x0L,    1L,    1L,    0L},
 {968,432,     0x0L,    1L,    1L,    0L},
 {992,400,     0x0L,    1L,    1L,    0L},
 {1000,368,    0x0L,    1L,    1L,    0L},
 {1016,336,    0x0L,    1L,    1L,    0L},
 {1016,312,    0x0L,    1L,    1L,    0L},
 {1016,288,    0x0L,    1L,    1L,    0L},
                                        /* quadrant 1 dir. 0, speed 0 */
 {1016,264,    0x0L,    1L,    1L,    0L},    
 {1016,240,    0x0L,    1L,    1L,    0L},
 {1008,216,    0x0L,    1L,    1L,    0L},
 {1008,200,    0x0L,    1L,    1L,    0L},
 {1008,176,    0x0L,    1L,    1L,    0L},
 {1008,152,    0x0L,    1L,    1L,    0L},
 {1008,128,    0x0L,    1L,    1L,    0L},
 {1008,96,     0x0L,    1L,    1L,    0L},
 {1008,64,     0x0L,    1L,    1L,    0L},
 {1008,32,     0x0L,    1L,    1L,    0L},
 {1008,0,      0x0L,    1L,    1L,    0L},
 {1008,40,     0x1L,    1L,    1L,    0L},
 {1000,88,     0x1L,    1L,    1L,    0L},
 {992,136,     0x1L,    1L,    1L,    0L},
 {984,192,     0x1L,    1L,    1L,    0L},
 {968,248,     0x1L,    1L,    1L,    0L},
 {944,304,     0x1L,    1L,    1L,    0L},
 {920,368,     0x1L,    1L,    1L,    0L},
 {888,424,     0x1L,    1L,    1L,    0L},
 {848,488,     0x1L,    1L,    1L,    0L},
 {816,552,     0x1L,    1L,    1L,    0L},
 {776,608,     0x1L,    1L,    1L,    0L},
 {736,664,     0x1L,    1L,    1L,    0L},
 {696,720,     0x1L,    1L,    1L,    0L},
 {656,768,     0x1L,    1L,    1L,    0L},
 {616,808,     0x1L,    1L,    1L,    0L},
 {576,848,     0x1L,    1L,    1L,    0L},
 {536,880,     0x1L,    1L,    1L,    0L},
 {504,904,     0x1L,    1L,    1L,    0L},
 {464,928,     0x1L,    1L,    1L,    0L},
 {432,936,     0x1L,    1L,    1L,    0L},
 {400,952,     0x1L,    1L,    1L,    0L},
                                        /* 2 quadrant dir. 0, speed 0 */
 {368,960,     0x1L,    1L,    1L,    0L},    
 {328,968,     0x1L,    1L,    1L,    0L},
 {296,968,     0x1L,    1L,    1L,    0L},
 {264,968,     0x1L,    1L,    1L,    0L},
 {232,976,     0x1L,    1L,    1L,    0L},
 {192,976,     0x1L,    1L,    1L,    0L},
 {160,976,     0x1L,    1L,    1L,    0L},
 {120,984,     0x1L,    1L,    1L,    0L},
 {72,984,      0x1L,    1L,    1L,    0L},
 {24,984,      0x1L,    1L,    1L,    0L},
 {32,984,      0x2L,    1L,    1L,    0L},
 {88,976,      0x2L,    1L,    1L,    0L},
 {152,968,     0x2L,    1L,    1L,    0L},
 {216,952,     0x2L,    1L,    1L,    0L},
 {288,928,     0x2L,    1L,    1L,    0L},
 {360,896,     0x2L,    1L,    1L,    0L},
 {432,864,     0x2L,    1L,    1L,    0L},
 {504,824,     0x2L,    1L,    1L,    0L},
 {576,776,     0x2L,    1L,    1L,    0L},
 {648,736,     0x2L,    1L,    1L,    0L},
 {712,688,     0x2L,    1L,    1L,    0L},
 {776,640,     0x2L,    1L,    1L,    0L},
 {824,592,     0x2L,    1L,    1L,    0L},
 {872,544,     0x2L,    1L,    1L,    0L},
 {912,504,     0x2L,    1L,    1L,    0L},
 {944,464,     0x2L,    1L,    1L,    0L},
 {968,432,     0x2L,    1L,    1L,    0L},
 {992,400,     0x2L,    1L,    1L,    0L},
 {1000,368,    0x2L,    1L,    1L,    0L},
 {1016,336,    0x2L,    1L,    1L,    0L},
 {1016,312,    0x2L,    1L,    1L,    0L},
 {1016,288,    0x2L,    1L,    1L,    0L},
                                        /* 3 quadrant dir. 0, speed 0 */
 {1016,264,    0x2L,    1L,    1L,    0L},    
 {1016,240,    0x2L,    1L,    1L,    0L},
 {1008,216,    0x2L,    1L,    1L,    0L},
 {1008,200,    0x2L,    1L,    1L,    0L},
 {1008,176,    0x2L,    1L,    1L,    0L},
 {1008,152,    0x2L,    1L,    1L,    0L},
 {1008,128,    0x2L,    1L,    1L,    0L},
 {1008,96,     0x2L,    1L,    1L,    0L},
 {1008,64,     0x2L,    1L,    1L,    0L},
 {1008,32,     0x2L,    1L,    1L,    0L},
 {1008,0,      0x2L,    1L,    1L,    0L},
 {1008,40,     0x3L,    1L,    1L,    0L},
 {1000,88,     0x3L,    1L,    1L,    0L},
 {992,136,     0x3L,    1L,    1L,    0L},
 {984,192,     0x3L,    1L,    1L,    0L},
 {968,248,     0x3L,    1L,    1L,    0L},
 {944,304,     0x3L,    1L,    1L,    0L},
 {920,368,     0x3L,    1L,    1L,    0L},
 {888,424,     0x3L,    1L,    1L,    0L},
 {848,488,     0x3L,    1L,    1L,    0L},
 {816,552,     0x3L,    1L,    1L,    0L},
 {776,608,     0x3L,    1L,    1L,    0L},
 {736,664,     0x3L,    1L,    1L,    0L},
 {696,720,     0x3L,    1L,    1L,    0L},
 {656,768,     0x3L,    1L,    1L,    0L},
 {616,808,     0x3L,    1L,    1L,    0L},
 {576,848,     0x3L,    1L,    1L,    0L},
 {536,880,     0x3L,    1L,    1L,    0L},
 {504,904,     0x3L,    1L,    1L,    0L},
 {464,928,     0x3L,    1L,    1L,    0L},
 {432,936,     0x3L,    1L,    1L,    0L},
 {400,952,     0x3L,    1L,    1L,    0L}}},
/* EasyCASE > */
/* EasyCASE ) */
/* EasyCASE ( 1130
   Direction 0 (CW), Speed 1 (special table)
   MUL-SMIA_nMW2000_FrontContacted_Fair  (No 9) */
/* EasyCASE < */
                                         /* 0 quadrant dir. 0, speed 1 */
{{{72, 824,     0x0L,    1L,    1L,    0L},    
  {112,832,     0x0L,    1L,    1L,    0L},
  {152,848,     0x0L,    1L,    1L,    0L},
  {184,864,     0x0L,    1L,    1L,    0L},
  {208,888,     0x0L,    1L,    1L,    0L},
  {240,912,     0x0L,    1L,    1L,    0L},
  {272,936,     0x0L,    1L,    1L,    0L},
  {296,952,     0x0L,    1L,    1L,    0L},
  {328,976,     0x0L,    1L,    1L,    0L},
  {368,992,     0x0L,    1L,    1L,    0L},
  {400,1008,    0x0L,    1L,    1L,    0L},
  {440,1016,    0x0L,    1L,    1L,    0L},
  {480,1016,    0x0L,    1L,    1L,    0L},
  {528,1008,    0x0L,    1L,    1L,    0L},
  {576,992,     0x0L,    1L,    1L,    0L},
  {616,960,     0x0L,    1L,    1L,    0L},
  {664,928,     0x0L,    1L,    1L,    0L},
  {712,880,     0x0L,    1L,    1L,    0L},
  {760,824,     0x0L,    1L,    1L,    0L},
  {800,760,     0x0L,    1L,    1L,    0L},
  {832,688,     0x0L,    1L,    1L,    0L},
  {872,616,     0x0L,    1L,    1L,    0L},
  {896,536,     0x0L,    1L,    1L,    0L},
  {920,456,     0x0L,    1L,    1L,    0L},
  {936,368,     0x0L,    1L,    1L,    0L},
  {952,288,     0x0L,    1L,    1L,    0L},
  {960,200,     0x0L,    1L,    1L,    0L},
  {960,128,     0x0L,    1L,    1L,    0L},
  {968,56,      0x0L,    1L,    1L,    0L},
  {968,16,      0x1L,    1L,    1L,    0L},
  {960,72,      0x1L,    1L,    1L,    0L},
  {960,128,     0x1L,    1L,    1L,    0L},
                                         /* 1 quadrant dir. 0, speed 1 */
  {960,176,     0x1L,    1L,    1L,    0L},    
  {960,216,     0x1L,    1L,    1L,    0L},
  {960,256,     0x1L,    1L,    1L,    0L},
  {960,288,     0x1L,    1L,    1L,    0L},
  {968,312,     0x1L,    1L,    1L,    0L},
  {976,336,     0x1L,    1L,    1L,    0L},
  {984,360,     0x1L,    1L,    1L,    0L},
  {992,384,     0x1L,    1L,    1L,    0L},
  {1000,400,    0x1L,    1L,    1L,    0L},
  {1008,424,    0x1L,    1L,    1L,    0L},
  {1008,448,    0x1L,    1L,    1L,    0L},
  {1008,472,    0x1L,    1L,    1L,    0L},
  {1000,504,    0x1L,    1L,    1L,    0L},
  {992,528,     0x1L,    1L,    1L,    0L},
  {968,560,     0x1L,    1L,    1L,    0L},
  {944,584,     0x1L,    1L,    1L,    0L},
  {912,616,     0x1L,    1L,    1L,    0L},
  {864,640,     0x1L,    1L,    1L,    0L},
  {816,672,     0x1L,    1L,    1L,    0L},
  {760,696,     0x1L,    1L,    1L,    0L},
  {696,712,     0x1L,    1L,    1L,    0L},
  {632,736,     0x1L,    1L,    1L,    0L},
  {560,752,     0x1L,    1L,    1L,    0L},
  {488,760,     0x1L,    1L,    1L,    0L},
  {408,776,     0x1L,    1L,    1L,    0L},
  {336,784,     0x1L,    1L,    1L,    0L},
  {264,784,     0x1L,    1L,    1L,    0L},
  {200,792,     0x1L,    1L,    1L,    0L},
  {136,792,     0x1L,    1L,    1L,    0L},
  {72, 800,     0x1L,    1L,    1L,    0L},
  {16, 808,     0x1L,    1L,    1L,    0L},
  {32, 816,     0x2L,    1L,    1L,    0L},
                                         /* 2 quadrant dir. 0, speed 1 */
  {72, 824,     0x2L,    1L,    1L,    0L},    
  {112,832,     0x2L,    1L,    1L,    0L},
  {152,848,     0x2L,    1L,    1L,    0L},
  {184,864,     0x2L,    1L,    1L,    0L},
  {208,888,     0x2L,    1L,    1L,    0L},
  {240,912,     0x2L,    1L,    1L,    0L},
  {272,936,     0x2L,    1L,    1L,    0L},
  {296,952,     0x2L,    1L,    1L,    0L},
  {328,976,     0x2L,    1L,    1L,    0L},
  {368,992,     0x2L,    1L,    1L,    0L},
  {400,1008,    0x2L,    1L,    1L,    0L},
  {440,1016,    0x2L,    1L,    1L,    0L},
  {480,1016,    0x2L,    1L,    1L,    0L},
  {528,1008,    0x2L,    1L,    1L,    0L},
  {576,992,     0x2L,    1L,    1L,    0L},
  {616,960,     0x2L,    1L,    1L,    0L},
  {664,928,     0x2L,    1L,    1L,    0L},
  {712,880,     0x2L,    1L,    1L,    0L},
  {760,824,     0x2L,    1L,    1L,    0L},
  {800,760,     0x2L,    1L,    1L,    0L},
  {832,688,     0x2L,    1L,    1L,    0L},
  {872,616,     0x2L,    1L,    1L,    0L},
  {896,536,     0x2L,    1L,    1L,    0L},
  {920,456,     0x2L,    1L,    1L,    0L},
  {936,368,     0x2L,    1L,    1L,    0L},
  {952,288,     0x2L,    1L,    1L,    0L},
  {960,200,     0x2L,    1L,    1L,    0L},
  {960,128,     0x2L,    1L,    1L,    0L},
  {968,56,      0x2L,    1L,    1L,    0L},
  {968,16,      0x3L,    1L,    1L,    0L},
  {960,72,      0x3L,    1L,    1L,    0L},
  {960,128,     0x3L,    1L,    1L,    0L},
                                         /* 3 quadrant dir. 0, speed 1 */
  {960,176,     0x3L,    1L,    1L,    0L},    
  {960,216,     0x3L,    1L,    1L,    0L},
  {960,256,     0x3L,    1L,    1L,    0L},
  {960,288,     0x3L,    1L,    1L,    0L},
  {968,312,     0x3L,    1L,    1L,    0L},
  {976,336,     0x3L,    1L,    1L,    0L},
  {984,360,     0x3L,    1L,    1L,    0L},
  {992,384,     0x3L,    1L,    1L,    0L},
  {1000,400,    0x3L,    1L,    1L,    0L},
  {1008,424,    0x3L,    1L,    1L,    0L},
  {1008,448,    0x3L,    1L,    1L,    0L},
  {1008,472,    0x3L,    1L,    1L,    0L},
  {1000,504,    0x3L,    1L,    1L,    0L},
  {992,528,     0x3L,    1L,    1L,    0L},
  {968,560,     0x3L,    1L,    1L,    0L},
  {944,584,     0x3L,    1L,    1L,    0L},
  {912,616,     0x3L,    1L,    1L,    0L},
  {864,640,     0x3L,    1L,    1L,    0L},
  {816,672,     0x3L,    1L,    1L,    0L},
  {760,696,     0x3L,    1L,    1L,    0L},
  {696,712,     0x3L,    1L,    1L,    0L},
  {632,736,     0x3L,    1L,    1L,    0L},
  {560,752,     0x3L,    1L,    1L,    0L},
  {488,760,     0x3L,    1L,    1L,    0L},
  {408,776,     0x3L,    1L,    1L,    0L},
  {336,784,     0x3L,    1L,    1L,    0L},
  {264,784,     0x3L,    1L,    1L,    0L},
  {200,792,     0x3L,    1L,    1L,    0L},
  {136,792,     0x3L,    1L,    1L,    0L},
  {72, 800,     0x3L,    1L,    1L,    0L},
  {16, 808,     0x3L,    1L,    1L,    0L},
  {32, 816,     0x0L,    1L,    1L,    0L}},
/* EasyCASE > */
/* EasyCASE ) */
/* EasyCASE ( 1131
   Direction 1 (CCW), Speed 1 (special table)
   MUL-SMIA_nMW2000_FrontContacted_Fair  (No 9) */
/* EasyCASE < */
                                        /* 0 quadrant dir. 0, speed 1 */
{{464,1008,    0x3L,    1L,    1L,    0L},    
 {432,1008,    0x3L,    1L,    1L,    0L},
 {392,1000,    0x3L,    1L,    1L,    0L},
 {352,1000,    0x3L,    1L,    1L,    0L},
 {304,992,     0x3L,    1L,    1L,    0L},
 {256,992,     0x3L,    1L,    1L,    0L},
 {200,984,     0x3L,    1L,    1L,    0L},
 {136,984,     0x3L,    1L,    1L,    0L},
 {72,976,      0x3L,    1L,    1L,    0L},
 {0,976,       0x0L,    1L,    1L,    0L},
 {80,968,      0x0L,    1L,    1L,    0L},
 {160,960,     0x0L,    1L,    1L,    0L},
 {240,944,     0x0L,    1L,    1L,    0L},
 {328,928,     0x0L,    1L,    1L,    0L},
 {416,912,     0x0L,    1L,    1L,    0L},
 {496,888,     0x0L,    1L,    1L,    0L},
 {584,856,     0x0L,    1L,    1L,    0L},
 {656,824,     0x0L,    1L,    1L,    0L},
 {728,792,     0x0L,    1L,    1L,    0L},
 {800,760,     0x0L,    1L,    1L,    0L},
 {856,720,     0x0L,    1L,    1L,    0L},
 {904,680,     0x0L,    1L,    1L,    0L},
 {944,640,     0x0L,    1L,    1L,    0L},
 {976,600,     0x0L,    1L,    1L,    0L},
 {992,560,     0x0L,    1L,    1L,    0L},
 {1008,528,    0x0L,    1L,    1L,    0L},
 {1016,488,    0x0L,    1L,    1L,    0L},
 {1016,464,    0x0L,    1L,    1L,    0L},
 {1008,432,    0x0L,    1L,    1L,    0L},
 {1000,408,    0x0L,    1L,    1L,    0L},
 {992,392,     0x0L,    1L,    1L,    0L},
 {976,368,     0x0L,    1L,    1L,    0L},
                                        /* 1 quadrant dir. 0, speed 1 */
 {968,352,     0x0L,    1L,    1L,    0L},   
 {960,336,     0x0L,    1L,    1L,    0L},
 {944,320,     0x0L,    1L,    1L,    0L},
 {944,296,     0x0L,    1L,    1L,    0L},
 {936,272,     0x0L,    1L,    1L,    0L},
 {944,248,     0x0L,    1L,    1L,    0L},
 {944,216,     0x0L,    1L,    1L,    0L},
 {952,176,     0x0L,    1L,    1L,    0L},
 {960,136,     0x0L,    1L,    1L,    0L},
 {968,80,      0x0L,    1L,    1L,    0L},
 {976,24,      0x0L,    1L,    1L,    0L},
 {976,40,      0x1L,    1L,    1L,    0L},
 {984,104,     0x1L,    1L,    1L,    0L},
 {984,176,     0x1L,    1L,    1L,    0L},
 {984,256,     0x1L,    1L,    1L,    0L},
 {976,336,     0x1L,    1L,    1L,    0L},
 {968,416,     0x1L,    1L,    1L,    0L},
 {952,496,     0x1L,    1L,    1L,    0L},
 {936,568,     0x1L,    1L,    1L,    0L},
 {912,640,     0x1L,    1L,    1L,    0L},
 {880,704,     0x1L,    1L,    1L,    0L},
 {848,768,     0x1L,    1L,    1L,    0L},
 {816,824,     0x1L,    1L,    1L,    0L},
 {784,872,     0x1L,    1L,    1L,    0L},
 {744,912,     0x1L,    1L,    1L,    0L},
 {712,944,     0x1L,    1L,    1L,    0L},
 {672,968,     0x1L,    1L,    1L,    0L},
 {640,984,     0x1L,    1L,    1L,    0L},
 {600,1000,    0x1L,    1L,    1L,    0L},
 {568,1008,    0x1L,    1L,    1L,    0L},
 {536,1008,    0x1L,    1L,    1L,    0L},
 {504,1016,    0x1L,    1L,    1L,    0L},
                                        /* 2 quadrant dir. 0, speed 1 */
 {464,1008,    0x1L,    1L,    1L,    0L},    
 {432,1008,    0x1L,    1L,    1L,    0L},
 {392,1000,    0x1L,    1L,    1L,    0L},
 {352,1000,    0x1L,    1L,    1L,    0L},
 {304,992,     0x1L,    1L,    1L,    0L},
 {256,992,     0x1L,    1L,    1L,    0L},
 {200,984,     0x1L,    1L,    1L,    0L},
 {136,984,     0x1L,    1L,    1L,    0L},
 {72,976,      0x1L,    1L,    1L,    0L},
 {0,976,       0x2L,    1L,    1L,    0L},
 {80,968,      0x2L,    1L,    1L,    0L},
 {160,960,     0x2L,    1L,    1L,    0L},
 {240,944,     0x2L,    1L,    1L,    0L},
 {328,928,     0x2L,    1L,    1L,    0L},
 {416,912,     0x2L,    1L,    1L,    0L},
 {496,888,     0x2L,    1L,    1L,    0L},
 {584,856,     0x2L,    1L,    1L,    0L},
 {656,824,     0x2L,    1L,    1L,    0L},
 {728,792,     0x2L,    1L,    1L,    0L},
 {800,760,     0x2L,    1L,    1L,    0L},
 {856,720,     0x2L,    1L,    1L,    0L},
 {904,680,     0x2L,    1L,    1L,    0L},
 {944,640,     0x2L,    1L,    1L,    0L},
 {976,600,     0x2L,    1L,    1L,    0L},
 {992,560,     0x2L,    1L,    1L,    0L},
 {1008,528,    0x2L,    1L,    1L,    0L},
 {1016,488,    0x2L,    1L,    1L,    0L},
 {1016,464,    0x2L,    1L,    1L,    0L},
 {1008,432,    0x2L,    1L,    1L,    0L},
 {1000,408,    0x2L,    1L,    1L,    0L},
 {992,392,     0x2L,    1L,    1L,    0L},
 {976,368,     0x2L,    1L,    1L,    0L},
                                        /* 3 quadrant dir. 0, speed 1 */
 {968,352,     0x2L,    1L,    1L,    0L},   
 {960,336,     0x2L,    1L,    1L,    0L},
 {944,320,     0x2L,    1L,    1L,    0L},
 {944,296,     0x2L,    1L,    1L,    0L},
 {936,272,     0x2L,    1L,    1L,    0L},
 {944,248,     0x2L,    1L,    1L,    0L},
 {944,216,     0x2L,    1L,    1L,    0L},
 {952,176,     0x2L,    1L,    1L,    0L},
 {960,136,     0x2L,    1L,    1L,    0L},
 {968,80,      0x2L,    1L,    1L,    0L},
 {976,24,      0x2L,    1L,    1L,    0L},
 {976,40,      0x3L,    1L,    1L,    0L},
 {984,104,     0x3L,    1L,    1L,    0L},
 {984,176,     0x3L,    1L,    1L,    0L},
 {984,256,     0x3L,    1L,    1L,    0L},
 {976,336,     0x3L,    1L,    1L,    0L},
 {968,416,     0x3L,    1L,    1L,    0L},
 {952,496,     0x3L,    1L,    1L,    0L},
 {936,568,     0x3L,    1L,    1L,    0L},
 {912,640,     0x3L,    1L,    1L,    0L},
 {880,704,     0x3L,    1L,    1L,    0L},
 {848,768,     0x3L,    1L,    1L,    0L},
 {816,824,     0x3L,    1L,    1L,    0L},
 {784,872,     0x3L,    1L,    1L,    0L},
 {744,912,     0x3L,    1L,    1L,    0L},
 {712,944,     0x3L,    1L,    1L,    0L},
 {672,968,     0x3L,    1L,    1L,    0L},
 {640,984,     0x3L,    1L,    1L,    0L},
 {600,1000,    0x3L,    1L,    1L,    0L},
 {568,1008,    0x3L,    1L,    1L,    0L},
 {536,1008,    0x3L,    1L,    1L,    0L},
 {504,1016,    0x3L,    1L,    1L,    0L}}}}
 };
/* EasyCASE > */
/* EasyCASE ) */
/* EasyCASE ) */
/* EasyCASE ( 1132
   MW2000 FRONT-CONTACTED COUNTER-CLOCKWISE(EDUL) TYPE
   SMIA_nMW2000_FrontContacted_Fair  (No 9) */
/* EasyCASE ( 1133
   Direction 0 (CCW), Speed 0 (normal table)
   EDUL-SMIA_nMW2000_FrontContacted_Fair  (No 9) */
/* EasyCASE < */
const struct SMIA_ISM_PWMStd SMIA_ISM_A_STDPWMTABLE9_EDUL = {
/*  CVP   CHP   CQI  IVR IHR */
{                                        /* quadrant 0 dir. 0, speed 0 */
{{{400,952,     0x0L,    1L,    1L,    0L},
  {432,936,     0x0L,    1L,    1L,    0L},
  {464,928,     0x0L,    1L,    1L,    0L},
  {504,904,     0x0L,    1L,    1L,    0L},
  {536,880,     0x0L,    1L,    1L,    0L},
  {576,848,     0x0L,    1L,    1L,    0L},
  {616,808,     0x0L,    1L,    1L,    0L},
  {656,768,     0x0L,    1L,    1L,    0L},
  {696,720,     0x0L,    1L,    1L,    0L},
  {736,664,     0x0L,    1L,    1L,    0L},
  {776,608,     0x0L,    1L,    1L,    0L},
  {816,552,     0x0L,    1L,    1L,    0L},
  {848,488,     0x0L,    1L,    1L,    0L},
  {888,424,     0x0L,    1L,    1L,    0L},
  {920,368,     0x0L,    1L,    1L,    0L},
  {944,304,     0x0L,    1L,    1L,    0L},
  {968,248,     0x0L,    1L,    1L,    0L},
  {984,192,     0x0L,    1L,    1L,    0L},
  {992,136,     0x0L,    1L,    1L,    0L},
  {1000,88,     0x0L,    1L,    1L,    0L},
  {1008,40,     0x0L,    1L,    1L,    0L},
  {1008,0,      0x1L,    1L,    1L,    0L},
  {1008,32,     0x1L,    1L,    1L,    0L},
  {1008,64,     0x1L,    1L,    1L,    0L},
  {1008,96,     0x1L,    1L,    1L,    0L},
  {1008,128,    0x1L,    1L,    1L,    0L},
  {1008,152,    0x1L,    1L,    1L,    0L},
  {1008,176,    0x1L,    1L,    1L,    0L},
  {1008,200,    0x1L,    1L,    1L,    0L},
  {1008,216,    0x1L,    1L,    1L,    0L},
  {1016,240,    0x1L,    1L,    1L,    0L},
  {1016,264,    0x1L,    1L,    1L,    0L},
                                         /* quadrant 1 dir. 0, speed 0 */ 
  {1016,288,    0x1L,    1L,    1L,    0L},
  {1016,312,    0x1L,    1L,    1L,    0L},
  {1016,336,    0x1L,    1L,    1L,    0L},
  {1000,368,    0x1L,    1L,    1L,    0L},
  {992,400,     0x1L,    1L,    1L,    0L},
  {968,432,     0x1L,    1L,    1L,    0L},
  {944,464,     0x1L,    1L,    1L,    0L},
  {912,504,     0x1L,    1L,    1L,    0L},
  {872,544,     0x1L,    1L,    1L,    0L},
  {824,592,     0x1L,    1L,    1L,    0L},
  {776,640,     0x1L,    1L,    1L,    0L},
  {712,688,     0x1L,    1L,    1L,    0L},
  {648,736,     0x1L,    1L,    1L,    0L},
  {576,776,     0x1L,    1L,    1L,    0L},
  {504,824,     0x1L,    1L,    1L,    0L},
  {432,864,     0x1L,    1L,    1L,    0L},
  {360,896,     0x1L,    1L,    1L,    0L},
  {288,928,     0x1L,    1L,    1L,    0L},
  {216,952,     0x1L,    1L,    1L,    0L},
  {152,968,     0x1L,    1L,    1L,    0L},
  {88,976,      0x1L,    1L,    1L,    0L},
  {32,984,      0x1L,    1L,    1L,    0L},
  {24,984,      0x2L,    1L,    1L,    0L},
  {72,984,      0x2L,    1L,    1L,    0L},
  {120,984,     0x2L,    1L,    1L,    0L},
  {160,976,     0x2L,    1L,    1L,    0L},
  {192,976,     0x2L,    1L,    1L,    0L},
  {232,976,     0x2L,    1L,    1L,    0L},
  {264,968,     0x2L,    1L,    1L,    0L},
  {296,968,     0x2L,    1L,    1L,    0L},
  {328,968,     0x2L,    1L,    1L,    0L},
  {368,960,     0x2L,    1L,    1L,    0L},
                                         /* quadrant 2 dir. 0, speed 0 */
  {400,952,     0x2L,    1L,    1L,    0L},
  {432,936,     0x2L,    1L,    1L,    0L},
  {464,928,     0x2L,    1L,    1L,    0L},
  {504,904,     0x2L,    1L,    1L,    0L},
  {536,880,     0x2L,    1L,    1L,    0L},
  {576,848,     0x2L,    1L,    1L,    0L},
  {616,808,     0x2L,    1L,    1L,    0L},
  {656,768,     0x2L,    1L,    1L,    0L},
  {696,720,     0x2L,    1L,    1L,    0L},
  {736,664,     0x2L,    1L,    1L,    0L},
  {776,608,     0x2L,    1L,    1L,    0L},
  {816,552,     0x2L,    1L,    1L,    0L},
  {848,488,     0x2L,    1L,    1L,    0L},
  {888,424,     0x2L,    1L,    1L,    0L},
  {920,368,     0x2L,    1L,    1L,    0L},
  {944,304,     0x2L,    1L,    1L,    0L},
  {968,248,     0x2L,    1L,    1L,    0L},
  {984,192,     0x2L,    1L,    1L,    0L},
  {992,136,     0x2L,    1L,    1L,    0L},
  {1000,88,     0x2L,    1L,    1L,    0L},
  {1008,40,     0x2L,    1L,    1L,    0L},
  {1008,0,      0x3L,    1L,    1L,    0L},
  {1008,32,     0x3L,    1L,    1L,    0L},
  {1008,64,     0x3L,    1L,    1L,    0L},
  {1008,96,     0x3L,    1L,    1L,    0L},
  {1008,128,    0x3L,    1L,    1L,    0L},
  {1008,152,    0x3L,    1L,    1L,    0L},
  {1008,176,    0x3L,    1L,    1L,    0L},
  {1008,200,    0x3L,    1L,    1L,    0L},
  {1008,216,    0x3L,    1L,    1L,    0L},
  {1016,240,    0x3L,    1L,    1L,    0L},
  {1016,264,    0x3L,    1L,    1L,    0L},
                                         /* quadrant 3 dir. 0, speed 0 */
  {1016,288,    0x3L,    1L,    1L,    0L},
  {1016,312,    0x3L,    1L,    1L,    0L},
  {1016,336,    0x3L,    1L,    1L,    0L},
  {1000,368,    0x3L,    1L,    1L,    0L},
  {992,400,     0x3L,    1L,    1L,    0L},
  {968,432,     0x3L,    1L,    1L,    0L},
  {944,464,     0x3L,    1L,    1L,    0L},
  {912,504,     0x3L,    1L,    1L,    0L},
  {872,544,     0x3L,    1L,    1L,    0L},
  {824,592,     0x3L,    1L,    1L,    0L},
  {776,640,     0x3L,    1L,    1L,    0L},
  {712,688,     0x3L,    1L,    1L,    0L},
  {648,736,     0x3L,    1L,    1L,    0L},
  {576,776,     0x3L,    1L,    1L,    0L},
  {504,824,     0x3L,    1L,    1L,    0L},
  {432,864,     0x3L,    1L,    1L,    0L},
  {360,896,     0x3L,    1L,    1L,    0L},
  {288,928,     0x3L,    1L,    1L,    0L},
  {216,952,     0x3L,    1L,    1L,    0L},
  {152,968,     0x3L,    1L,    1L,    0L},
  {88,976,      0x3L,    1L,    1L,    0L},
  {32,984,      0x3L,    1L,    1L,    0L},
  {24,984,      0x0L,    1L,    1L,    0L},
  {72,984,      0x0L,    1L,    1L,    0L},
  {120,984,     0x0L,    1L,    1L,    0L},
  {160,976,     0x0L,    1L,    1L,    0L},
  {192,976,     0x0L,    1L,    1L,    0L},
  {232,976,     0x0L,    1L,    1L,    0L},
  {264,968,     0x0L,    1L,    1L,    0L},
  {296,968,     0x0L,    1L,    1L,    0L},
  {328,968,     0x0L,    1L,    1L,    0L},
  {368,960,     0x0L,    1L,    1L,    0L}},
/* EasyCASE > */
/* EasyCASE ) */
/* EasyCASE ( 1134
   Direction 1 (CW), Speed 0 (normal table)
   EDUL-SMIA_nMW2000_FrontContacted_Fair  (No 9) */
/* EasyCASE < */
                                        /* quadrant 0 dir. 1, speed 0 */
{{0,864,       0x0L,    1L,    1L,    0L},
 {32,856,      0x0L,    1L,    1L,    0L},
 {72,848,      0x0L,    1L,    1L,    0L},
 {120,840,     0x0L,    1L,    1L,    0L},
 {168,832,     0x0L,    1L,    1L,    0L},
 {232,824,     0x0L,    1L,    1L,    0L},
 {296,808,     0x0L,    1L,    1L,    0L},
 {368,800,     0x0L,    1L,    1L,    0L},
 {440,776,     0x0L,    1L,    1L,    0L},
 {520,752,     0x0L,    1L,    1L,    0L},
 {592,720,     0x0L,    1L,    1L,    0L},
 {664,688,     0x0L,    1L,    1L,    0L},
 {736,656,     0x0L,    1L,    1L,    0L},
 {792,616,     0x0L,    1L,    1L,    0L},
 {848,576,     0x0L,    1L,    1L,    0L},
 {888,544,     0x0L,    1L,    1L,    0L},
 {920,504,     0x0L,    1L,    1L,    0L},
 {952,472,     0x0L,    1L,    1L,    0L},
 {968,440,     0x0L,    1L,    1L,    0L},
 {984,416,     0x0L,    1L,    1L,    0L},
 {992,392,     0x0L,    1L,    1L,    0L},
 {1000,368,    0x0L,    1L,    1L,    0L},
 {1008,344,    0x0L,    1L,    1L,    0L},
 {1008,320,    0x0L,    1L,    1L,    0L},
 {1008,296,    0x0L,    1L,    1L,    0L},
 {1016,280,    0x0L,    1L,    1L,    0L},
 {1016,256,    0x0L,    1L,    1L,    0L},
 {1008,232,    0x0L,    1L,    1L,    0L},
 {1008,200,    0x0L,    1L,    1L,    0L},
 {1008,176,    0x0L,    1L,    1L,    0L},
 {1008,152,    0x0L,    1L,    1L,    0L},
 {1008,120,    0x0L,    1L,    1L,    0L}, 
                                        /* quadrant 1 dir. 1, speed 0 */ 
 {1008,88,     0x0L,    1L,    1L,    0L},
 {1008,56,     0x0L,    1L,    1L,    0L},
 {1008,16,     0x0L,    1L,    1L,    0L},
 {1016,32,     0x1L,    1L,    1L,    0L},
 {1016,80,     0x1L,    1L,    1L,    0L},
 {1008,144,    0x1L,    1L,    1L,    0L},
 {1000,208,    0x1L,    1L,    1L,    0L},
 {992,280,     0x1L,    1L,    1L,    0L},
 {968,360,     0x1L,    1L,    1L,    0L},
 {944,440,     0x1L,    1L,    1L,    0L},
 {904,520,     0x1L,    1L,    1L,    0L},
 {864,608,     0x1L,    1L,    1L,    0L},
 {808,680,     0x1L,    1L,    1L,    0L},
 {760,752,     0x1L,    1L,    1L,    0L},
 {704,808,     0x1L,    1L,    1L,    0L},
 {648,864,     0x1L,    1L,    1L,    0L},
 {592,904,     0x1L,    1L,    1L,    0L},
 {544,936,     0x1L,    1L,    1L,    0L},
 {496,952,     0x1L,    1L,    1L,    0L},
 {448,968,     0x1L,    1L,    1L,    0L},
 {408,976,     0x1L,    1L,    1L,    0L},
 {368,976,     0x1L,    1L,    1L,    0L},
 {336,968,     0x1L,    1L,    1L,    0L},
 {296,968,     0x1L,    1L,    1L,    0L},
 {264,952,     0x1L,    1L,    1L,    0L},
 {232,944,     0x1L,    1L,    1L,    0L},
 {200,936,     0x1L,    1L,    1L,    0L},
 {168,920,     0x1L,    1L,    1L,    0L},
 {136,912,     0x1L,    1L,    1L,    0L},
 {104,896,     0x1L,    1L,    1L,    0L},
 {72,888,      0x1L,    1L,    1L,    0L},
 {40,872,      0x1L,    1L,    1L,    0L},  
                                        /* quadrant 2 dir. 1, speed 0 */
 {0,864,       0x2L,    1L,    1L,    0L} ,
 {32,856,      0x2L,    1L,    1L,    0L},
 {72,848,      0x2L,    1L,    1L,    0L},
 {120,840,     0x2L,    1L,    1L,    0L},
 {168,832,     0x2L,    1L,    1L,    0L},
 {232,824,     0x2L,    1L,    1L,    0L},
 {296,808,     0x2L,    1L,    1L,    0L},
 {368,800,     0x2L,    1L,    1L,    0L},
 {440,776,     0x2L,    1L,    1L,    0L},
 {520,752,     0x2L,    1L,    1L,    0L},
 {592,720,     0x2L,    1L,    1L,    0L},
 {664,688,     0x2L,    1L,    1L,    0L},
 {736,656,     0x2L,    1L,    1L,    0L},
 {792,616,     0x2L,    1L,    1L,    0L},
 {848,576,     0x2L,    1L,    1L,    0L},
 {888,544,     0x2L,    1L,    1L,    0L},
 {920,504,     0x2L,    1L,    1L,    0L},
 {952,472,     0x2L,    1L,    1L,    0L},
 {968,440,     0x2L,    1L,    1L,    0L},
 {984,416,     0x2L,    1L,    1L,    0L},
 {992,392,     0x2L,    1L,    1L,    0L},
 {1000,368,    0x2L,    1L,    1L,    0L},
 {1008,344,    0x2L,    1L,    1L,    0L},
 {1008,320,    0x2L,    1L,    1L,    0L},
 {1008,296,    0x2L,    1L,    1L,    0L},
 {1016,280,    0x2L,    1L,    1L,    0L},
 {1016,256,    0x2L,    1L,    1L,    0L},
 {1008,232,    0x2L,    1L,    1L,    0L},
 {1008,200,    0x2L,    1L,    1L,    0L},
 {1008,176,    0x2L,    1L,    1L,    0L},
 {1008,152,    0x2L,    1L,    1L,    0L},
 {1008,120,    0x2L,    1L,    1L,    0L}, 
                                        /* quadrant 3 dir. 1, speed 0 */
 {1008,88,     0x2L,    1L,    1L,    0L},
 {1008,56,     0x2L,    1L,    1L,    0L},
 {1008,16,     0x2L,    1L,    1L,    0L},
 {1016,32,     0x3L,    1L,    1L,    0L},
 {1016,80,     0x3L,    1L,    1L,    0L},
 {1008,144,    0x3L,    1L,    1L,    0L},
 {1000,208,    0x3L,    1L,    1L,    0L},
 {992,280,     0x3L,    1L,    1L,    0L},
 {968,360,     0x3L,    1L,    1L,    0L},
 {944,440,     0x3L,    1L,    1L,    0L},
 {904,520,     0x3L,    1L,    1L,    0L},
 {864,608,     0x3L,    1L,    1L,    0L},
 {808,680,     0x3L,    1L,    1L,    0L},
 {760,752,     0x3L,    1L,    1L,    0L},
 {704,808,     0x3L,    1L,    1L,    0L},
 {648,864,     0x3L,    1L,    1L,    0L},
 {592,904,     0x3L,    1L,    1L,    0L},
 {544,936,     0x3L,    1L,    1L,    0L},
 {496,952,     0x3L,    1L,    1L,    0L},
 {448,968,     0x3L,    1L,    1L,    0L},
 {408,976,     0x3L,    1L,    1L,    0L},
 {368,976,     0x3L,    1L,    1L,    0L},
 {336,968,     0x3L,    1L,    1L,    0L},
 {296,968,     0x3L,    1L,    1L,    0L},
 {264,952,     0x3L,    1L,    1L,    0L},
 {232,944,     0x3L,    1L,    1L,    0L},
 {200,936,     0x3L,    1L,    1L,    0L},
 {168,920,     0x3L,    1L,    1L,    0L},
 {136,912,     0x3L,    1L,    1L,    0L},
 {104,896,     0x3L,    1L,    1L,    0L},
 {72,888,      0x3L,    1L,    1L,    0L},
 {40,872,      0x3L,    1L,    1L,    0L}}},
/* EasyCASE > */
/* EasyCASE ) */
/* EasyCASE ( 1135
   Direction 0 (CCW), Speed 1 (special table)
   EDUL-SMIA_nMW2000_FrontContacted_Fair  (No 9) */
/* EasyCASE < */
                                        /* quadrant 0 dir. 0, speed 1 */
{{{504,1016,   0x0L,    1L,    1L,    0L},
 {536,1008,    0x0L,    1L,    1L,    0L},
 {568,1008,    0x0L,    1L,    1L,    0L},
 {600,1000,    0x0L,    1L,    1L,    0L},
 {640,984,     0x0L,    1L,    1L,    0L},
 {672,968,     0x0L,    1L,    1L,    0L},
 {712,944,     0x0L,    1L,    1L,    0L},
 {744,912,     0x0L,    1L,    1L,    0L},
 {784,872,     0x0L,    1L,    1L,    0L},
 {816,824,     0x0L,    1L,    1L,    0L},
 {848,768,     0x0L,    1L,    1L,    0L},
 {880,704,     0x0L,    1L,    1L,    0L},
 {912,640,     0x0L,    1L,    1L,    0L},
 {936,568,     0x0L,    1L,    1L,    0L},
 {952,496,     0x0L,    1L,    1L,    0L},
 {968,416,     0x0L,    1L,    1L,    0L},
 {976,336,     0x0L,    1L,    1L,    0L},
 {984,256,     0x0L,    1L,    1L,    0L},
 {984,176,     0x0L,    1L,    1L,    0L},
 {984,104,     0x0L,    1L,    1L,    0L},
 {976,40,      0x0L,    1L,    1L,    0L},
 {976,24,      0x1L,    1L,    1L,    0L},
 {968,80,      0x1L,    1L,    1L,    0L},
 {960,136,     0x1L,    1L,    1L,    0L},
 {952,176,     0x1L,    1L,    1L,    0L},
 {944,216,     0x1L,    1L,    1L,    0L},
 {944,248,     0x1L,    1L,    1L,    0L},
 {936,272,     0x1L,    1L,    1L,    0L},
 {944,296,     0x1L,    1L,    1L,    0L},
 {944,320,     0x1L,    1L,    1L,    0L},
 {960,336,     0x1L,    1L,    1L,    0L},
 {968,352,     0x1L,    1L,    1L,    0L},      
                                        /* quadrant 1 dir. 0, speed 1 */
 {976,368,     0x1L,    1L,    1L,    0L},
 {992,392,     0x1L,    1L,    1L,    0L},
 {1000,408,    0x1L,    1L,    1L,    0L},
 {1008,432,    0x1L,    1L,    1L,    0L},
 {1016,464,    0x1L,    1L,    1L,    0L},
 {1016,488,    0x1L,    1L,    1L,    0L},
 {1008,528,    0x1L,    1L,    1L,    0L},
 {992,560,     0x1L,    1L,    1L,    0L},
 {976,600,     0x1L,    1L,    1L,    0L},
 {944,640,     0x1L,    1L,    1L,    0L},
 {904,680,     0x1L,    1L,    1L,    0L},
 {856,720,     0x1L,    1L,    1L,    0L},
 {800,760,     0x1L,    1L,    1L,    0L},
 {728,792,     0x1L,    1L,    1L,    0L},
 {656,824,     0x1L,    1L,    1L,    0L},
 {584,856,     0x1L,    1L,    1L,    0L},
 {496,888,     0x1L,    1L,    1L,    0L},
 {416,912,     0x1L,    1L,    1L,    0L},
 {328,928,     0x1L,    1L,    1L,    0L},
 {240,944,     0x1L,    1L,    1L,    0L},
 {160,960,     0x1L,    1L,    1L,    0L},
 {80,968,      0x1L,    1L,    1L,    0L},
 {0,976,       0x1L,    1L,    1L,    0L},
 {72,976,      0x2L,    1L,    1L,    0L},
 {136,984,     0x2L,    1L,    1L,    0L},
 {200,984,     0x2L,    1L,    1L,    0L},
 {256,992,     0x2L,    1L,    1L,    0L},
 {304,992,     0x2L,    1L,    1L,    0L},
 {352,1000,    0x2L,    1L,    1L,    0L},
 {392,1000,    0x2L,    1L,    1L,    0L},
 {432,1008,    0x2L,    1L,    1L,    0L},
 {464,1008,    0x2L,    1L,    1L,    0L}, 
                                        /* quadrant 2 dir. 0, speed 1 */     
 {504,1016,    0x2L,    1L,    1L,    0L},
 {536,1008,    0x2L,    1L,    1L,    0L},
 {568,1008,    0x2L,    1L,    1L,    0L},
 {600,1000,    0x2L,    1L,    1L,    0L},
 {640,984,     0x2L,    1L,    1L,    0L},
 {672,968,     0x2L,    1L,    1L,    0L},
 {712,944,     0x2L,    1L,    1L,    0L},
 {744,912,     0x2L,    1L,    1L,    0L},
 {784,872,     0x2L,    1L,    1L,    0L},
 {816,824,     0x2L,    1L,    1L,    0L},
 {848,768,     0x2L,    1L,    1L,    0L},
 {880,704,     0x2L,    1L,    1L,    0L},
 {912,640,     0x2L,    1L,    1L,    0L},
 {936,568,     0x2L,    1L,    1L,    0L},
 {952,496,     0x2L,    1L,    1L,    0L},
 {968,416,     0x2L,    1L,    1L,    0L},
 {976,336,     0x2L,    1L,    1L,    0L},
 {984,256,     0x2L,    1L,    1L,    0L},
 {984,176,     0x2L,    1L,    1L,    0L},
 {984,104,     0x2L,    1L,    1L,    0L},
 {976,40,      0x2L,    1L,    1L,    0L},
 {976,24,      0x3L,    1L,    1L,    0L},
 {968,80,      0x3L,    1L,    1L,    0L},
 {960,136,     0x3L,    1L,    1L,    0L},
 {952,176,     0x3L,    1L,    1L,    0L},
 {944,216,     0x3L,    1L,    1L,    0L},
 {944,248,     0x3L,    1L,    1L,    0L},
 {936,272,     0x3L,    1L,    1L,    0L},
 {944,296,     0x3L,    1L,    1L,    0L},
 {944,320,     0x3L,    1L,    1L,    0L},
 {960,336,     0x3L,    1L,    1L,    0L},
 {968,352,     0x3L,    1L,    1L,    0L},
                                        /* quadrant 3 dir. 0, speed 1 */
 {976,368,     0x3L,    1L,    1L,    0L},
 {992,392,     0x3L,    1L,    1L,    0L},
 {1000,408,    0x3L,    1L,    1L,    0L},
 {1008,432,    0x3L,    1L,    1L,    0L},
 {1016,464,    0x3L,    1L,    1L,    0L},
 {1016,488,    0x3L,    1L,    1L,    0L},
 {1008,528,    0x3L,    1L,    1L,    0L},
 {992,560,     0x3L,    1L,    1L,    0L},
 {976,600,     0x3L,    1L,    1L,    0L},
 {944,640,     0x3L,    1L,    1L,    0L},
 {904,680,     0x3L,    1L,    1L,    0L},
 {856,720,     0x3L,    1L,    1L,    0L},
 {800,760,     0x3L,    1L,    1L,    0L},
 {728,792,     0x3L,    1L,    1L,    0L},
 {656,824,     0x3L,    1L,    1L,    0L},
 {584,856,     0x3L,    1L,    1L,    0L},
 {496,888,     0x3L,    1L,    1L,    0L},
 {416,912,     0x3L,    1L,    1L,    0L},
 {328,928,     0x3L,    1L,    1L,    0L},
 {240,944,     0x3L,    1L,    1L,    0L},
 {160,960,     0x3L,    1L,    1L,    0L},
 {80,968,      0x3L,    1L,    1L,    0L},
 {0,976,       0x3L,    1L,    1L,    0L}, 
 {72,976,      0x0L,    1L,    1L,    0L},
 {136,984,     0x0L,    1L,    1L,    0L},
 {200,984,     0x0L,    1L,    1L,    0L},
 {256,992,     0x0L,    1L,    1L,    0L},
 {304,992,     0x0L,    1L,    1L,    0L},
 {352,1000,    0x0L,    1L,    1L,    0L},
 {392,1000,    0x0L,    1L,    1L,    0L},
 {432,1008,    0x0L,    1L,    1L,    0L},
 {464,1008,    0x0L,    1L,    1L,    0L}},
/* EasyCASE > */
/* EasyCASE ) */
/* EasyCASE ( 1136
   Direction 1 (CW), Speed 1 (special table)
   EDUL-SMIA_nMW2000_FrontContacted_Fair  (No 9) */
/* EasyCASE < */
                                        /* quadrant 0 dir. 1, speed 1 */
{{32, 816,     0x3L,    1L,    1L,    0L},
 {16, 808,     0x0L,    1L,    1L,    0L},
 {72, 800,     0x0L,    1L,    1L,    0L},
 {136,792,     0x0L,    1L,    1L,    0L},
 {200,792,     0x0L,    1L,    1L,    0L},
 {264,784,     0x0L,    1L,    1L,    0L},
 {336,784,     0x0L,    1L,    1L,    0L},
 {408,776,     0x0L,    1L,    1L,    0L},
 {488,760,     0x0L,    1L,    1L,    0L},
 {560,752,     0x0L,    1L,    1L,    0L},
 {632,736,     0x0L,    1L,    1L,    0L},
 {696,712,     0x0L,    1L,    1L,    0L},
 {760,696,     0x0L,    1L,    1L,    0L},
 {816,672,     0x0L,    1L,    1L,    0L},
 {864,640,     0x0L,    1L,    1L,    0L},
 {912,616,     0x0L,    1L,    1L,    0L},
 {944,584,     0x0L,    1L,    1L,    0L},
 {968,560,     0x0L,    1L,    1L,    0L},
 {992,528,     0x0L,    1L,    1L,    0L},
 {1000,504,    0x0L,    1L,    1L,    0L},
 {1008,472,    0x0L,    1L,    1L,    0L},
 {1008,448,    0x0L,    1L,    1L,    0L},
 {1008,424,    0x0L,    1L,    1L,    0L},
 {1000,400,    0x0L,    1L,    1L,    0L},
 {992,384,     0x0L,    1L,    1L,    0L},
 {984,360,     0x0L,    1L,    1L,    0L},
 {976,336,     0x0L,    1L,    1L,    0L},
 {968,312,     0x0L,    1L,    1L,    0L},
 {960,288,     0x0L,    1L,    1L,    0L},
 {960,256,     0x0L,    1L,    1L,    0L},
 {960,216,     0x0L,    1L,    1L,    0L},
 {960,176,     0x0L,    1L,    1L,    0L},
                                        /* quadrant 1 dir. 1, speed 1 */
 {960,128,     0x0L,    1L,    1L,    0L},
 {960,72,      0x0L,    1L,    1L,    0L},
 {968,16,      0x0L,    1L,    1L,    0L},
 {968,56,      0x1L,    1L,    1L,    0L},
 {960,128,     0x1L,    1L,    1L,    0L},
 {960,200,     0x1L,    1L,    1L,    0L},
 {952,288,     0x1L,    1L,    1L,    0L},
 {936,368,     0x1L,    1L,    1L,    0L},
 {920,456,     0x1L,    1L,    1L,    0L},
 {896,536,     0x1L,    1L,    1L,    0L},
 {872,616,     0x1L,    1L,    1L,    0L},
 {832,688,     0x1L,    1L,    1L,    0L},
 {800,760,     0x1L,    1L,    1L,    0L},
 {760,824,     0x1L,    1L,    1L,    0L},
 {712,880,     0x1L,    1L,    1L,    0L},
 {664,928,     0x1L,    1L,    1L,    0L},
 {616,960,     0x1L,    1L,    1L,    0L},
 {576,992,     0x1L,    1L,    1L,    0L},
 {528,1008,    0x1L,    1L,    1L,    0L},
 {480,1016,    0x1L,    1L,    1L,    0L},
 {440,1016,    0x1L,    1L,    1L,    0L},
 {400,1008,    0x1L,    1L,    1L,    0L},
 {368,992,     0x1L,    1L,    1L,    0L},
 {328,976,     0x1L,    1L,    1L,    0L},
 {296,952,     0x1L,    1L,    1L,    0L},
 {272,936,     0x1L,    1L,    1L,    0L},
 {240,912,     0x1L,    1L,    1L,    0L},
 {208,888,     0x1L,    1L,    1L,    0L},
 {184,864,     0x1L,    1L,    1L,    0L},
 {152,848,     0x1L,    1L,    1L,    0L},
 {112,832,     0x1L,    1L,    1L,    0L},
 {72, 824,     0x1L,    1L,    1L,    0L},
                                        /* quadrant 2 dir. 1, speed 1 */
 {32, 816,     0x1L,    1L,    1L,    0L},
 {16, 808,     0x2L,    1L,    1L,    0L},
 {72, 800,     0x2L,    1L,    1L,    0L},
 {136,792,     0x2L,    1L,    1L,    0L},
 {200,792,     0x2L,    1L,    1L,    0L},
 {264,784,     0x2L,    1L,    1L,    0L},
 {336,784,     0x2L,    1L,    1L,    0L},
 {408,776,     0x2L,    1L,    1L,    0L},
 {488,760,     0x2L,    1L,    1L,    0L},
 {560,752,     0x2L,    1L,    1L,    0L},
 {632,736,     0x2L,    1L,    1L,    0L},
 {696,712,     0x2L,    1L,    1L,    0L},
 {760,696,     0x2L,    1L,    1L,    0L},
 {816,672,     0x2L,    1L,    1L,    0L},
 {864,640,     0x2L,    1L,    1L,    0L},
 {912,616,     0x2L,    1L,    1L,    0L},
 {944,584,     0x2L,    1L,    1L,    0L},
 {968,560,     0x2L,    1L,    1L,    0L},
 {992,528,     0x2L,    1L,    1L,    0L},
 {1000,504,    0x2L,    1L,    1L,    0L},
 {1008,472,    0x2L,    1L,    1L,    0L},
 {1008,448,    0x2L,    1L,    1L,    0L},
 {1008,424,    0x2L,    1L,    1L,    0L},
 {1000,400,    0x2L,    1L,    1L,    0L},
 {992,384,     0x2L,    1L,    1L,    0L},
 {984,360,     0x2L,    1L,    1L,    0L},
 {976,336,     0x2L,    1L,    1L,    0L},
 {968,312,     0x2L,    1L,    1L,    0L},
 {960,288,     0x2L,    1L,    1L,    0L},
 {960,256,     0x2L,    1L,    1L,    0L},
 {960,216,     0x2L,    1L,    1L,    0L},
 {960,176,     0x2L,    1L,    1L,    0L},
                                        /* quadrant 3 dir. 1, speed 1 */
 {960,128,     0x2L,    1L,    1L,    0L},
 {960,72,      0x2L,    1L,    1L,    0L},
 {968,16,      0x2L,    1L,    1L,    0L},
 {968,56,      0x3L,    1L,    1L,    0L},
 {960,128,     0x3L,    1L,    1L,    0L},
 {960,200,     0x3L,    1L,    1L,    0L},
 {952,288,     0x3L,    1L,    1L,    0L},
 {936,368,     0x3L,    1L,    1L,    0L},
 {920,456,     0x3L,    1L,    1L,    0L},
 {896,536,     0x3L,    1L,    1L,    0L},
 {872,616,     0x3L,    1L,    1L,    0L},
 {832,688,     0x3L,    1L,    1L,    0L},
 {800,760,     0x3L,    1L,    1L,    0L},
 {760,824,     0x3L,    1L,    1L,    0L},
 {712,880,     0x3L,    1L,    1L,    0L},
 {664,928,     0x3L,    1L,    1L,    0L},
 {616,960,     0x3L,    1L,    1L,    0L},
 {576,992,     0x3L,    1L,    1L,    0L},
 {528,1008,    0x3L,    1L,    1L,    0L},
 {480,1016,    0x3L,    1L,    1L,    0L},
 {440,1016,    0x3L,    1L,    1L,    0L},
 {400,1008,    0x3L,    1L,    1L,    0L},
 {368,992,     0x3L,    1L,    1L,    0L},
 {328,976,     0x3L,    1L,    1L,    0L},
 {296,952,     0x3L,    1L,    1L,    0L},
 {272,936,     0x3L,    1L,    1L,    0L},
 {240,912,     0x3L,    1L,    1L,    0L},
 {208,888,     0x3L,    1L,    1L,    0L},
 {184,864,     0x3L,    1L,    1L,    0L},
 {152,848,     0x3L,    1L,    1L,    0L},
 {112,832,     0x3L,    1L,    1L,    0L},
 {72, 824,     0x3L,    1L,    1L,    0L}}}}
 };

const struct SMIA_ISM_PWMStd SMIA_ISM_A_STDPWMTABLE10 = {

/* CVP    CHP   CQI   IVR IHR */
{                                        /* quadrant 0 dir. 0, speed 0 */
{{{72,1008,     0x0L,    1L,    1L,    0L},    
  {112,1000,    0x0L,    1L,    1L,    0L},
  {152,1000,    0x0L,    1L,    1L,    0L},
  {192,1000,    0x0L,    1L,    1L,    0L},
  {224,1000,    0x0L,    1L,    1L,    0L},
  {264,1000,    0x0L,    1L,    1L,    0L},
  {296,1008,    0x0L,    1L,    1L,    0L},
  {336,1008,    0x0L,    1L,    1L,    0L},
  {376,1008,    0x0L,    1L,    1L,    0L},
  {416,1008,    0x0L,    1L,    1L,    0L},
  {456,1000,    0x0L,    1L,    1L,    0L},
  {504,984,     0x0L,    1L,    1L,    0L},
  {544,960,     0x0L,    1L,    1L,    0L},
  {600,928,     0x0L,    1L,    1L,    0L},
  {648,888,     0x0L,    1L,    1L,    0L},
  {696,832,     0x0L,    1L,    1L,    0L},
  {752,768,     0x0L,    1L,    1L,    0L},
  {800,696,     0x0L,    1L,    1L,    0L},
  {840,616,     0x0L,    1L,    1L,    0L},
  {880,536,     0x0L,    1L,    1L,    0L},
  {912,456,     0x0L,    1L,    1L,    0L},
  {936,376,     0x0L,    1L,    1L,    0L},
  {952,296,     0x0L,    1L,    1L,    0L},
  {968,224,     0x0L,    1L,    1L,    0L},
  {976,160,     0x0L,    1L,    1L,    0L},
  {976,104,     0x0L,    1L,    1L,    0L},
  {976,48,      0x0L,    1L,    1L,    0L},
  {976,8,       0x0L,    1L,    1L,    0L},
  {976,32,      0x1L,    1L,    1L,    0L},
  {976,72,      0x1L,    1L,    1L,    0L},
  {984,104,     0x1L,    1L,    1L,    0L},
  {984,136,     0x1L,    1L,    1L,    0L},
                                         /* quadrant 1 dir. 0, speed 0 */
  {984,168,     0x1L,    1L,    1L,    0L},
  {992,200,     0x1L,    1L,    1L,    0L},
  {992,224,     0x1L,    1L,    1L,    0L},
  {992,256,     0x1L,    1L,    1L,    0L},
  {992,280,     0x1L,    1L,    1L,    0L},
  {992,312,     0x1L,    1L,    1L,    0L},
  {984,336,     0x1L,    1L,    1L,    0L},
  {984,360,     0x1L,    1L,    1L,    0L},
  {976,384,     0x1L,    1L,    1L,    0L},
  {968,416,     0x1L,    1L,    1L,    0L},
  {960,440,     0x1L,    1L,    1L,    0L},
  {952,472,     0x1L,    1L,    1L,    0L},
  {944,504,     0x1L,    1L,    1L,    0L},
  {928,536,     0x1L,    1L,    1L,    0L},
  {904,576,     0x1L,    1L,    1L,    0L},
  {880,616,     0x1L,    1L,    1L,    0L},
  {848,656,     0x1L,    1L,    1L,    0L},
  {808,704,     0x1L,    1L,    1L,    0L},
  {760,752,     0x1L,    1L,    1L,    0L},
  {704,792,     0x1L,    1L,    1L,    0L},
  {648,840,     0x1L,    1L,    1L,    0L},
  {584,880,     0x1L,    1L,    1L,    0L},
  {512,912,     0x1L,    1L,    1L,    0L},
  {440,944,     0x1L,    1L,    1L,    0L},
  {376,976,     0x1L,    1L,    1L,    0L},
  {304,992,     0x1L,    1L,    1L,    0L},
  {240,1008,    0x1L,    1L,    1L,    0L},
  {176,1016,    0x1L,    1L,    1L,    0L},
  {120,1016,    0x1L,    1L,    1L,    0L},
  {72,1016,     0x1L,    1L,    1L,    0L},
  {24,1016,     0x1L,    1L,    1L,    0L},
  {24,1008,     0x2L,    1L,    1L,    0L},
                                         /* quadrant 2 dir. 0, speed 0 */
  {72,1008,     0x2L,    1L,    1L,    0L},    
  {112,1000,    0x2L,    1L,    1L,    0L},
  {152,1000,    0x2L,    1L,    1L,    0L},
  {192,1000,    0x2L,    1L,    1L,    0L},
  {224,1000,    0x2L,    1L,    1L,    0L},
  {264,1000,    0x2L,    1L,    1L,    0L},
  {296,1008,    0x2L,    1L,    1L,    0L},
  {336,1008,    0x2L,    1L,    1L,    0L},
  {376,1008,    0x2L,    1L,    1L,    0L},
  {416,1008,    0x2L,    1L,    1L,    0L},
  {456,1000,    0x2L,    1L,    1L,    0L},
  {504,984,     0x2L,    1L,    1L,    0L},
  {544,960,     0x2L,    1L,    1L,    0L},
  {600,928,     0x2L,    1L,    1L,    0L},
  {648,888,     0x2L,    1L,    1L,    0L},
  {696,832,     0x2L,    1L,    1L,    0L},
  {752,768,     0x2L,    1L,    1L,    0L},
  {800,696,     0x2L,    1L,    1L,    0L},
  {840,616,     0x2L,    1L,    1L,    0L},
  {880,536,     0x2L,    1L,    1L,    0L},
  {912,456,     0x2L,    1L,    1L,    0L},
  {936,376,     0x2L,    1L,    1L,    0L},
  {952,296,     0x2L,    1L,    1L,    0L},
  {968,224,     0x2L,    1L,    1L,    0L},
  {976,160,     0x2L,    1L,    1L,    0L},
  {976,104,     0x2L,    1L,    1L,    0L},
  {976,48,      0x2L,    1L,    1L,    0L},
  {976,8,       0x2L,    1L,    1L,    0L},
  {976,32,      0x3L,    1L,    1L,    0L},
  {976,72,      0x3L,    1L,    1L,    0L},
  {984,104,     0x3L,    1L,    1L,    0L},
  {984,136,     0x3L,    1L,    1L,    0L},
                                         /* quadrant 3 dir. 0, speed 0 */
  {984,168,     0x3L,    1L,    1L,    0L},    
  {992,200,     0x3L,    1L,    1L,    0L},
  {992,224,     0x3L,    1L,    1L,    0L},
  {992,256,     0x3L,    1L,    1L,    0L},
  {992,280,     0x3L,    1L,    1L,    0L},
  {992,312,     0x3L,    1L,    1L,    0L},
  {984,336,     0x3L,    1L,    1L,    0L},
  {984,360,     0x3L,    1L,    1L,    0L},
  {976,384,     0x3L,    1L,    1L,    0L},
  {968,416,     0x3L,    1L,    1L,    0L},
  {960,440,     0x3L,    1L,    1L,    0L},
  {952,472,     0x3L,    1L,    1L,    0L},
  {944,504,     0x3L,    1L,    1L,    0L},
  {928,536,     0x3L,    1L,    1L,    0L},
  {904,576,     0x3L,    1L,    1L,    0L},
  {880,616,     0x3L,    1L,    1L,    0L},
  {848,656,     0x3L,    1L,    1L,    0L},
  {808,704,     0x3L,    1L,    1L,    0L},
  {760,752,     0x3L,    1L,    1L,    0L},
  {704,792,     0x3L,    1L,    1L,    0L},
  {648,840,     0x3L,    1L,    1L,    0L},
  {584,880,     0x3L,    1L,    1L,    0L},
  {512,912,     0x3L,    1L,    1L,    0L},
  {440,944,     0x3L,    1L,    1L,    0L},
  {376,976,     0x3L,    1L,    1L,    0L},
  {304,992,     0x3L,    1L,    1L,    0L},
  {240,1008,    0x3L,    1L,    1L,    0L},
  {176,1016,    0x3L,    1L,    1L,    0L},
  {120,1016,    0x3L,    1L,    1L,    0L},
  {72,1016,     0x3L,    1L,    1L,    0L},
  {24,1016,     0x3L,    1L,    1L,    0L},
  {24,1008,     0x0L,    1L,    1L,    0L}},
/* EasyCASE > */
/* EasyCASE ) */
/* EasyCASE ( 1213
   Direction 1 (CCW), Speed 0 (normal table)
   MUL-SMIA_nMW2000_RearContacted_Basic_FullValued (No 10) */
/* EasyCASE < */
                                        /* quadrant 0 dir. 0, speed 0 */
{{88,1000,     0x3L,    1L,    1L,    0L},    
 {32,1000,     0x3L,    1L,    1L,    0L},
 {24,992,      0x0L,    1L,    1L,    0L},
 {80,984,      0x0L,    1L,    1L,    0L},
 {144,968,     0x0L,    1L,    1L,    0L},
 {208,952,     0x0L,    1L,    1L,    0L},
 {272,928,     0x0L,    1L,    1L,    0L},
 {344,904,     0x0L,    1L,    1L,    0L},
 {408,864,     0x0L,    1L,    1L,    0L},
 {472,832,     0x0L,    1L,    1L,    0L},
 {528,792,     0x0L,    1L,    1L,    0L},
 {584,752,     0x0L,    1L,    1L,    0L},
 {640,712,     0x0L,    1L,    1L,    0L},
 {688,672,     0x0L,    1L,    1L,    0L},
 {728,624,     0x0L,    1L,    1L,    0L},
 {768,584,     0x0L,    1L,    1L,    0L},
 {808,552,     0x0L,    1L,    1L,    0L},
 {848,512,     0x0L,    1L,    1L,    0L},
 {880,480,     0x0L,    1L,    1L,    0L},
 {904,440,     0x0L,    1L,    1L,    0L},
 {928,408,     0x0L,    1L,    1L,    0L},
 {952,376,     0x0L,    1L,    1L,    0L},
 {968,352,     0x0L,    1L,    1L,    0L},
 {976,320,     0x0L,    1L,    1L,    0L},
 {984,296,     0x0L,    1L,    1L,    0L},
 {992,264,     0x0L,    1L,    1L,    0L},
 {992,240,     0x0L,    1L,    1L,    0L},
 {984,208,     0x0L,    1L,    1L,    0L},
 {984,184,     0x0L,    1L,    1L,    0L},
 {984,160,     0x0L,    1L,    1L,    0L},
 {976,128,     0x0L,    1L,    1L,    0L},
 {976,96,      0x0L,    1L,    1L,    0L},
                                        /* quadrant 1 dir. 0, speed 0 */  
 {976,64,      0x0L,    1L,    1L,    0L},    
 {984,24,      0x0L,    1L,    1L,    0L},
 {984,16,      0x1L,    1L,    1L,    0L},
 {992,64,      0x1L,    1L,    1L,    0L},
 {1000,120,    0x1L,    1L,    1L,    0L},
 {1000,184,    0x1L,    1L,    1L,    0L},
 {1000,248,    0x1L,    1L,    1L,    0L},
 {992,320,     0x1L,    1L,    1L,    0L},
 {984,392,     0x1L,    1L,    1L,    0L},
 {968,464,     0x1L,    1L,    1L,    0L},
 {944,536,     0x1L,    1L,    1L,    0L},
 {912,616,     0x1L,    1L,    1L,    0L},
 {880,680,     0x1L,    1L,    1L,    0L},
 {840,752,     0x1L,    1L,    1L,    0L},
 {800,808,     0x1L,    1L,    1L,    0L},
 {752,864,     0x1L,    1L,    1L,    0L},
 {712,904,     0x1L,    1L,    1L,    0L},
 {664,944,     0x1L,    1L,    1L,    0L},
 {624,968,     0x1L,    1L,    1L,    0L},
 {584,992,     0x1L,    1L,    1L,    0L},
 {544,1000,    0x1L,    1L,    1L,    0L},
 {504,1008,    0x1L,    1L,    1L,    0L},
 {464,1016,    0x1L,    1L,    1L,    0L},
 {424,1008,    0x1L,    1L,    1L,    0L},
 {392,1008,    0x1L,    1L,    1L,    0L},
 {360,1008,    0x1L,    1L,    1L,    0L},
 {320,1000,    0x1L,    1L,    1L,    0L},
 {288,1000,    0x1L,    1L,    1L,    0L},
 {256,1000,    0x1L,    1L,    1L,    0L},
 {216,1000,    0x1L,    1L,    1L,    0L},
 {176,1000,    0x1L,    1L,    1L,    0L},
 {128,1000,    0x1L,    1L,    1L,    0L},
                                        /* quadrant 2 dir. 0, speed 0 */  
 {88,1000,     0x1L,    1L,    1L,    0L},    
 {32,1000,     0x1L,    1L,    1L,    0L},
 {24,992,      0x2L,    1L,    1L,    0L},
 {80,984,      0x2L,    1L,    1L,    0L},
 {144,968,     0x2L,    1L,    1L,    0L},
 {208,952,     0x2L,    1L,    1L,    0L},
 {272,928,     0x2L,    1L,    1L,    0L},
 {344,904,     0x2L,    1L,    1L,    0L},
 {408,864,     0x2L,    1L,    1L,    0L},
 {472,832,     0x2L,    1L,    1L,    0L},
 {528,792,     0x2L,    1L,    1L,    0L},
 {584,752,     0x2L,    1L,    1L,    0L},
 {640,712,     0x2L,    1L,    1L,    0L},
 {688,672,     0x2L,    1L,    1L,    0L},
 {728,624,     0x2L,    1L,    1L,    0L},
 {768,584,     0x2L,    1L,    1L,    0L},
 {808,552,     0x2L,    1L,    1L,    0L},
 {848,512,     0x2L,    1L,    1L,    0L},
 {880,480,     0x2L,    1L,    1L,    0L},
 {904,440,     0x2L,    1L,    1L,    0L},
 {928,408,     0x2L,    1L,    1L,    0L},
 {952,376,     0x2L,    1L,    1L,    0L},
 {968,352,     0x2L,    1L,    1L,    0L},
 {976,320,     0x2L,    1L,    1L,    0L},
 {984,296,     0x2L,    1L,    1L,    0L},
 {992,264,     0x2L,    1L,    1L,    0L},
 {992,240,     0x2L,    1L,    1L,    0L},
 {984,208,     0x2L,    1L,    1L,    0L},
 {984,184,     0x2L,    1L,    1L,    0L},
 {984,160,     0x2L,    1L,    1L,    0L},
 {976,128,     0x2L,    1L,    1L,    0L},
 {976,96,      0x2L,    1L,    1L,    0L},
                                        /* quadrant 3 dir. 0, speed 0 */
 {976,64,      0x2L,    1L,    1L,    0L},    
 {984,24,      0x2L,    1L,    1L,    0L},
 {984,16,      0x3L,    1L,    1L,    0L},
 {992,64,      0x3L,    1L,    1L,    0L},
 {1000,120,    0x3L,    1L,    1L,    0L},
 {1000,184,    0x3L,    1L,    1L,    0L},
 {1000,248,    0x3L,    1L,    1L,    0L},
 {992,320,     0x3L,    1L,    1L,    0L},
 {984,392,     0x3L,    1L,    1L,    0L},
 {968,464,     0x3L,    1L,    1L,    0L},
 {944,536,     0x3L,    1L,    1L,    0L},
 {912,616,     0x3L,    1L,    1L,    0L},
 {880,680,     0x3L,    1L,    1L,    0L},
 {840,752,     0x3L,    1L,    1L,    0L},
 {800,808,     0x3L,    1L,    1L,    0L},
 {752,864,     0x3L,    1L,    1L,    0L},
 {712,904,     0x3L,    1L,    1L,    0L},
 {664,944,     0x3L,    1L,    1L,    0L},
 {624,968,     0x3L,    1L,    1L,    0L},
 {584,992,     0x3L,    1L,    1L,    0L},
 {544,1000,    0x3L,    1L,    1L,    0L},
 {504,1008,    0x3L,    1L,    1L,    0L},
 {464,1016,    0x3L,    1L,    1L,    0L},
 {424,1008,    0x3L,    1L,    1L,    0L},
 {392,1008,    0x3L,    1L,    1L,    0L},
 {360,1008,    0x3L,    1L,    1L,    0L},
 {320,1000,    0x3L,    1L,    1L,    0L},
 {288,1000,    0x3L,    1L,    1L,    0L},
 {256,1000,    0x3L,    1L,    1L,    0L},
 {216,1000,    0x3L,    1L,    1L,    0L},
 {176,1000,    0x3L,    1L,    1L,    0L},
 {128,1000,    0x3L,    1L,    1L,    0L}}},
/* EasyCASE > */
/* EasyCASE ) */
/* EasyCASE ( 1214
   Direction 0 (CW), Speed 1 (special table)
   MUL-SMIA_nMW2000_RearContacted_Basic_FullValued (No 10) */
/* EasyCASE < */
                                         /* quadrant 0 dir. 0, speed 1 */
{{{256,984,     0x0L,    1L,    1L,    0L},    
  {288,984,     0x0L,    1L,    1L,    0L},
  {320,976,     0x0L,    1L,    1L,    0L},
  {352,976,     0x0L,    1L,    1L,    0L},
  {392,976,     0x0L,    1L,    1L,    0L},
  {440,976,     0x0L,    1L,    1L,    0L},
  {488,984,     0x0L,    1L,    1L,    0L},
  {544,992,     0x0L,    1L,    1L,    0L},
  {608,992,     0x0L,    1L,    1L,    0L},
  {672,992,     0x0L,    1L,    1L,    0L},
  {736,976,     0x0L,    1L,    1L,    0L},
  {792,952,     0x0L,    1L,    1L,    0L},
  {848,912,     0x0L,    1L,    1L,    0L},
  {888,856,     0x0L,    1L,    1L,    0L},
  {928,792,     0x0L,    1L,    1L,    0L},
  {952,704,     0x0L,    1L,    1L,    0L},
  {968,616,     0x0L,    1L,    1L,    0L},
  {976,512,     0x0L,    1L,    1L,    0L},
  {976,416,     0x0L,    1L,    1L,    0L},
  {976,320,     0x0L,    1L,    1L,    0L},
  {976,232,     0x0L,    1L,    1L,    0L},
  {976,160,     0x0L,    1L,    1L,    0L},
  {968,96,      0x0L,    1L,    1L,    0L},
  {968,40,      0x0L,    1L,    1L,    0L},
  {976,8,       0x1L,    1L,    1L,    0L},
  {976,48,      0x1L,    1L,    1L,    0L},
  {976,80,      0x1L,    1L,    1L,    0L},
  {984,120,     0x1L,    1L,    1L,    0L},
  {984,152,     0x1L,    1L,    1L,    0L},
  {984,192,     0x1L,    1L,    1L,    0L},
  {984,232,     0x1L,    1L,    1L,    0L},
  {984,272,     0x1L,    1L,    1L,    0L},
                                         /* quadrant 1 dir. 0, speed 1 */ 
  {984,312,     0x1L,    1L,    1L,    0L},    
  {984,352,     0x1L,    1L,    1L,    0L},
  {992,384,     0x1L,    1L,    1L,    0L},
  {992,416,     0x1L,    1L,    1L,    0L},
  {1000,448,    0x1L,    1L,    1L,    0L},
  {1000,472,    0x1L,    1L,    1L,    0L},
  {1000,504,    0x1L,    1L,    1L,    0L},
  {1000,528,    0x1L,    1L,    1L,    0L},
  {992,552,     0x1L,    1L,    1L,    0L},
  {968,584,     0x1L,    1L,    1L,    0L},
  {944,616,     0x1L,    1L,    1L,    0L},
  {912,656,     0x1L,    1L,    1L,    0L},
  {864,696,     0x1L,    1L,    1L,    0L},
  {816,744,     0x1L,    1L,    1L,    0L},
  {760,792,     0x1L,    1L,    1L,    0L},
  {696,832,     0x1L,    1L,    1L,    0L},
  {632,864,     0x1L,    1L,    1L,    0L},
  {568,896,     0x1L,    1L,    1L,    0L},
  {512,920,     0x1L,    1L,    1L,    0L},
  {448,944,     0x1L,    1L,    1L,    0L},
  {384,952,     0x1L,    1L,    1L,    0L},
  {320,960,     0x1L,    1L,    1L,    0L},
  {256,968,     0x1L,    1L,    1L,    0L},
  {200,968,     0x1L,    1L,    1L,    0L},
  {136,976,     0x1L,    1L,    1L,    0L},
  {72,984,      0x1L,    1L,    1L,    0L},
  {16,984,      0x1L,    1L,    1L,    0L},
  {40,992,      0x2L,    1L,    1L,    0L},
  {88,992,      0x2L,    1L,    1L,    0L},
  {136,992,     0x2L,    1L,    1L,    0L},
  {184,992,     0x2L,    1L,    1L,    0L},
  {216,992,     0x2L,    1L,    1L,    0L},
                                         /* quadrant 2 dir. 0, speed 1 */
  {256,984,     0x2L,    1L,    1L,    0L},    
  {288,984,     0x2L,    1L,    1L,    0L},
  {320,976,     0x2L,    1L,    1L,    0L},
  {352,976,     0x2L,    1L,    1L,    0L},
  {392,976,     0x2L,    1L,    1L,    0L},
  {440,976,     0x2L,    1L,    1L,    0L},
  {488,984,     0x2L,    1L,    1L,    0L},
  {544,992,     0x2L,    1L,    1L,    0L},
  {608,992,     0x2L,    1L,    1L,    0L},
  {672,992,     0x2L,    1L,    1L,    0L},
  {736,976,     0x2L,    1L,    1L,    0L},
  {792,952,     0x2L,    1L,    1L,    0L},
  {848,912,     0x2L,    1L,    1L,    0L},
  {888,856,     0x2L,    1L,    1L,    0L},
  {928,792,     0x2L,    1L,    1L,    0L},
  {952,704,     0x2L,    1L,    1L,    0L},
  {968,616,     0x2L,    1L,    1L,    0L},
  {976,512,     0x2L,    1L,    1L,    0L},
  {976,416,     0x2L,    1L,    1L,    0L},
  {976,320,     0x2L,    1L,    1L,    0L},
  {976,232,     0x2L,    1L,    1L,    0L},
  {976,160,     0x2L,    1L,    1L,    0L},
  {968,96,      0x2L,    1L,    1L,    0L},
  {968,40,      0x2L,    1L,    1L,    0L},
  {976,8,       0x3L,    1L,    1L,    0L},
  {976,48,      0x3L,    1L,    1L,    0L},
  {976,80,      0x3L,    1L,    1L,    0L},
  {984,120,     0x3L,    1L,    1L,    0L},
  {984,152,     0x3L,    1L,    1L,    0L},
  {984,192,     0x3L,    1L,    1L,    0L},
  {984,232,     0x3L,    1L,    1L,    0L},
  {984,272,     0x3L,    1L,    1L,    0L},
                                         /* quadrant 3 dir. 0, speed 1 */  
  {984,312,     0x3L,    1L,    1L,    0L},    
  {984,352,     0x3L,    1L,    1L,    0L},
  {992,384,     0x3L,    1L,    1L,    0L},
  {992,416,     0x3L,    1L,    1L,    0L},
  {1000,448,    0x3L,    1L,    1L,    0L},
  {1000,472,    0x3L,    1L,    1L,    0L},
  {1000,504,    0x3L,    1L,    1L,    0L},
  {1000,528,    0x3L,    1L,    1L,    0L},
  {992,552,     0x3L,    1L,    1L,    0L},
  {968,584,     0x3L,    1L,    1L,    0L},
  {944,616,     0x3L,    1L,    1L,    0L},
  {912,656,     0x3L,    1L,    1L,    0L},
  {864,696,     0x3L,    1L,    1L,    0L},
  {816,744,     0x3L,    1L,    1L,    0L},
  {760,792,     0x3L,    1L,    1L,    0L},
  {696,832,     0x3L,    1L,    1L,    0L},
  {632,864,     0x3L,    1L,    1L,    0L},
  {568,896,     0x3L,    1L,    1L,    0L},
  {512,920,     0x3L,    1L,    1L,    0L},
  {448,944,     0x3L,    1L,    1L,    0L},
  {384,952,     0x3L,    1L,    1L,    0L},
  {320,960,     0x3L,    1L,    1L,    0L},
  {256,968,     0x3L,    1L,    1L,    0L},
  {200,968,     0x3L,    1L,    1L,    0L},
  {136,976,     0x3L,    1L,    1L,    0L},
  {72,984,      0x3L,    1L,    1L,    0L},
  {16,984,      0x3L,    1L,    1L,    0L},
  {40,992,      0x0L,    1L,    1L,    0L},
  {88,992,      0x0L,    1L,    1L,    0L},
  {136,992,     0x0L,    1L,    1L,    0L},
  {184,992,     0x0L,    1L,    1L,    0L},
  {216,992,     0x0L,    1L,    1L,    0L}},
/* EasyCASE > */
/* EasyCASE ) */
/* EasyCASE ( 1215
   Direction 1 (CCW), Speed 1 (special table)
   MUL-SMIA_nMW2000_RearContacted_Basic_FullValued (No 10) */
/* EasyCASE < */
                                        /* quadrant 0 dir. 0, speed 1 */
{{360,1000,    0x3L,    1L,    1L,    0L},    
 {296,1000,    0x3L,    1L,    1L,    0L},
 {232,992,     0x3L,    1L,    1L,    0L},
 {168,984,     0x3L,    1L,    1L,    0L},
 {120,976,     0x3L,    1L,    1L,    0L},
 {72,968,      0x3L,    1L,    1L,    0L},
 {32,952,      0x3L,    1L,    1L,    0L},
 {8,936,       0x0L,    1L,    1L,    0L},
 {48,928,      0x0L,    1L,    1L,    0L},
 {96,912,      0x0L,    1L,    1L,    0L},
 {152,896,     0x0L,    1L,    1L,    0L},
 {216,880,     0x0L,    1L,    1L,    0L},
 {296,864,     0x0L,    1L,    1L,    0L},
 {384,848,     0x0L,    1L,    1L,    0L},
 {480,832,     0x0L,    1L,    1L,    0L},
 {576,808,     0x0L,    1L,    1L,    0L},
 {664,792,     0x0L,    1L,    1L,    0L},
 {744,776,     0x0L,    1L,    1L,    0L},
 {816,760,     0x0L,    1L,    1L,    0L},
 {880,744,     0x0L,    1L,    1L,    0L},
 {920,720,     0x0L,    1L,    1L,    0L},
 {952,696,     0x0L,    1L,    1L,    0L},
 {968,664,     0x0L,    1L,    1L,    0L},
 {976,624,     0x0L,    1L,    1L,    0L},
 {976,584,     0x0L,    1L,    1L,    0L},
 {976,536,     0x0L,    1L,    1L,    0L},
 {968,488,     0x0L,    1L,    1L,    0L},
 {960,432,     0x0L,    1L,    1L,    0L},
 {944,384,     0x0L,    1L,    1L,    0L},
 {928,336,     0x0L,    1L,    1L,    0L},
 {912,296,     0x0L,    1L,    1L,    0L},
 {888,264,     0x0L,    1L,    1L,    0L},
                                        /* quadrant 1 dir. 0, speed 1 */        
 {864,240,     0x0L,    1L,    1L,    0L},    
 {840,224,     0x0L,    1L,    1L,    0L},
 {816,208,     0x0L,    1L,    1L,    0L},
 {792,200,     0x0L,    1L,    1L,    0L},
 {784,184,     0x0L,    1L,    1L,    0L},
 {784,168,     0x0L,    1L,    1L,    0L},
 {800,144,     0x0L,    1L,    1L,    0L},
 {816,104,     0x0L,    1L,    1L,    0L},
 {848,48,      0x0L,    1L,    1L,    0L},
 {888,24,      0x1L,    1L,    1L,    0L},
 {928,104,     0x1L,    1L,    1L,    0L},
 {960,192,     0x1L,    1L,    1L,    0L},
 {976,288,     0x1L,    1L,    1L,    0L},
 {984,384,     0x1L,    1L,    1L,    0L},
 {984,472,     0x1L,    1L,    1L,    0L},
 {960,560,     0x1L,    1L,    1L,    0L},
 {928,640,     0x1L,    1L,    1L,    0L},
 {880,704,     0x1L,    1L,    1L,    0L},
 {832,752,     0x1L,    1L,    1L,    0L},
 {784,800,     0x1L,    1L,    1L,    0L},
 {744,832,     0x1L,    1L,    1L,    0L},
 {704,856,     0x1L,    1L,    1L,    0L},
 {680,872,     0x1L,    1L,    1L,    0L},
 {664,896,     0x1L,    1L,    1L,    0L},
 {648,912,     0x1L,    1L,    1L,    0L},
 {640,928,     0x1L,    1L,    1L,    0L},
 {624,944,     0x1L,    1L,    1L,    0L},
 {608,960,     0x1L,    1L,    1L,    0L},
 {576,976,     0x1L,    1L,    1L,    0L},
 {536,984,     0x1L,    1L,    1L,    0L},
 {488,992,     0x1L,    1L,    1L,    0L},
 {424,1000,    0x1L,    1L,    1L,    0L},
                                        /* quadrant 2 dir. 0, speed 1 */
 {360,1000,    0x1L,    1L,    1L,    0L},    
 {296,1000,    0x1L,    1L,    1L,    0L},
 {232,992,     0x1L,    1L,    1L,    0L},
 {168,984,     0x1L,    1L,    1L,    0L},
 {120,976,     0x1L,    1L,    1L,    0L},
 {72,968,      0x1L,    1L,    1L,    0L},
 {32,952,      0x1L,    1L,    1L,    0L},
 {8,936,       0x2L,    1L,    1L,    0L},
 {48,928,      0x2L,    1L,    1L,    0L},
 {96,912,      0x2L,    1L,    1L,    0L},
 {152,896,     0x2L,    1L,    1L,    0L},
 {216,880,     0x2L,    1L,    1L,    0L},
 {296,864,     0x2L,    1L,    1L,    0L},
 {384,848,     0x2L,    1L,    1L,    0L},
 {480,832,     0x2L,    1L,    1L,    0L},
 {576,808,     0x2L,    1L,    1L,    0L},
 {664,792,     0x2L,    1L,    1L,    0L},
 {744,776,     0x2L,    1L,    1L,    0L},
 {816,760,     0x2L,    1L,    1L,    0L},
 {880,744,     0x2L,    1L,    1L,    0L},
 {920,720,     0x2L,    1L,    1L,    0L},
 {952,696,     0x2L,    1L,    1L,    0L},
 {968,664,     0x2L,    1L,    1L,    0L},
 {976,624,     0x2L,    1L,    1L,    0L},
 {976,584,     0x2L,    1L,    1L,    0L},
 {976,536,     0x2L,    1L,    1L,    0L},
 {968,488,     0x2L,    1L,    1L,    0L},
 {960,432,     0x2L,    1L,    1L,    0L},
 {944,384,     0x2L,    1L,    1L,    0L},
 {928,336,     0x2L,    1L,    1L,    0L},
 {912,296,     0x2L,    1L,    1L,    0L},
 {888,264,     0x2L,    1L,    1L,    0L},
                                        /* quadrant 3 dir. 0, speed 1 */
 {864,240,     0x2L,    1L,    1L,    0L},    
 {840,224,     0x2L,    1L,    1L,    0L},
 {816,208,     0x2L,    1L,    1L,    0L},
 {792,200,     0x2L,    1L,    1L,    0L},
 {784,184,     0x2L,    1L,    1L,    0L},
 {784,168,     0x2L,    1L,    1L,    0L},
 {800,144,     0x2L,    1L,    1L,    0L},
 {816,104,     0x2L,    1L,    1L,    0L},
 {848,48,      0x2L,    1L,    1L,    0L},
 {888,24,      0x3L,    1L,    1L,    0L},
 {928,104,     0x3L,    1L,    1L,    0L},
 {960,192,     0x3L,    1L,    1L,    0L},
 {976,288,     0x3L,    1L,    1L,    0L},
 {984,384,     0x3L,    1L,    1L,    0L},
 {984,472,     0x3L,    1L,    1L,    0L},
 {960,560,     0x3L,    1L,    1L,    0L},
 {928,640,     0x3L,    1L,    1L,    0L},
 {880,704,     0x3L,    1L,    1L,    0L},
 {832,752,     0x3L,    1L,    1L,    0L},
 {784,800,     0x3L,    1L,    1L,    0L},
 {744,832,     0x3L,    1L,    1L,    0L},
 {704,856,     0x3L,    1L,    1L,    0L},
 {680,872,     0x3L,    1L,    1L,    0L},
 {664,896,     0x3L,    1L,    1L,    0L},
 {648,912,     0x3L,    1L,    1L,    0L},
 {640,928,     0x3L,    1L,    1L,    0L},
 {624,944,     0x3L,    1L,    1L,    0L},
 {608,960,     0x3L,    1L,    1L,    0L},
 {576,976,     0x3L,    1L,    1L,    0L},
 {536,984,     0x3L,    1L,    1L,    0L},
 {488,992,     0x3L,    1L,    1L,    0L},
 {424,1000,    0x3L,    1L,    1L,    0L}}}}
 };
/* EasyCASE > */
/* EasyCASE ) */
/* EasyCASE ) */
/* EasyCASE ( 1216
   MW2000 REAR-CONTACTED COUNTER-CLOCKWISE(EDUL) TYPE
   SMIA_nMW2000_RearContacted_Basic_FullValued (No 10) */
/* EasyCASE ( 1217
   Direction 0 (CCW), Speed 0 (normal table)
   EDUL-SMIA_nMW2000_RearContacted_Basic_FullValued (No 10) */
/* EasyCASE < */
const struct SMIA_ISM_PWMStd SMIA_ISM_A_STDPWMTABLE10_EDUL = {
/*  CVP   CHP   CQI  IVR IHR */
{                                        /* quadrant 0 dir. 1, speed 0 */
{{{128,1000,    0x0L,    1L,    1L,    0L},
  {176,1000,    0x0L,    1L,    1L,    0L},
  {216,1000,    0x0L,    1L,    1L,    0L},
  {256,1000,    0x0L,    1L,    1L,    0L},
  {288,1000,    0x0L,    1L,    1L,    0L},
  {320,1000,    0x0L,    1L,    1L,    0L},
  {360,1008,    0x0L,    1L,    1L,    0L},
  {392,1008,    0x0L,    1L,    1L,    0L},
  {424,1008,    0x0L,    1L,    1L,    0L},
  {464,1016,    0x0L,    1L,    1L,    0L},
  {504,1008,    0x0L,    1L,    1L,    0L},
  {544,1000,    0x0L,    1L,    1L,    0L},
  {584,992,     0x0L,    1L,    1L,    0L},
  {624,968,     0x0L,    1L,    1L,    0L},
  {664,944,     0x0L,    1L,    1L,    0L},
  {712,904,     0x0L,    1L,    1L,    0L},
  {752,864,     0x0L,    1L,    1L,    0L},
  {800,808,     0x0L,    1L,    1L,    0L},
  {840,752,     0x0L,    1L,    1L,    0L},
  {880,680,     0x0L,    1L,    1L,    0L},
  {912,616,     0x0L,    1L,    1L,    0L},
  {944,536,     0x0L,    1L,    1L,    0L},
  {968,464,     0x0L,    1L,    1L,    0L},
  {984,392,     0x0L,    1L,    1L,    0L},
  {992,320,     0x0L,    1L,    1L,    0L},
  {1000,248,    0x0L,    1L,    1L,    0L},
  {1000,184,    0x0L,    1L,    1L,    0L},
  {1000,120,    0x0L,    1L,    1L,    0L},
  {992,64,      0x0L,    1L,    1L,    0L},
  {984,16,      0x0L,    1L,    1L,    0L},   
  {984,24,      0x1L,    1L,    1L,    0L},
  {976,64,      0x1L,    1L,    1L,    0L},
                                         /* quadrant 1 dir. 0, speed 0 */
  {976,96,      0x1L,    1L,    1L,    0L},
  {976,128,     0x1L,    1L,    1L,    0L},
  {984,160,     0x1L,    1L,    1L,    0L},
  {984,184,     0x1L,    1L,    1L,    0L},
  {984,208,     0x1L,    1L,    1L,    0L},
  {992,240,     0x1L,    1L,    1L,    0L},
  {992,264,     0x1L,    1L,    1L,    0L},
  {984,296,     0x1L,    1L,    1L,    0L},
  {976,320,     0x1L,    1L,    1L,    0L},
  {968,352,     0x1L,    1L,    1L,    0L},
  {952,376,     0x1L,    1L,    1L,    0L},
  {928,408,     0x1L,    1L,    1L,    0L},
  {904,440,     0x1L,    1L,    1L,    0L},
  {880,480,     0x1L,    1L,    1L,    0L},
  {848,512,     0x1L,    1L,    1L,    0L},
  {808,552,     0x1L,    1L,    1L,    0L},
  {768,584,     0x1L,    1L,    1L,    0L},
  {728,624,     0x1L,    1L,    1L,    0L},
  {688,672,     0x1L,    1L,    1L,    0L},
  {640,712,     0x1L,    1L,    1L,    0L},
  {584,752,     0x1L,    1L,    1L,    0L},
  {528,792,     0x1L,    1L,    1L,    0L},
  {472,832,     0x1L,    1L,    1L,    0L},
  {408,864,     0x1L,    1L,    1L,    0L},
  {344,904,     0x1L,    1L,    1L,    0L},
  {272,928,     0x1L,    1L,    1L,    0L},
  {208,952,     0x1L,    1L,    1L,    0L},
  {144,968,     0x1L,    1L,    1L,    0L},
  {80,984,      0x1L,    1L,    1L,    0L},
  {24,992,      0x1L,    1L,    1L,    0L},  
  {32,1000,     0x2L,    1L,    1L,    0L},
  {88,1000,     0x2L,    1L,    1L,    0L},
                                            /* quadrant 2 dir. 0, speed 0 */
  {128,1000,    0x2L,    1L,    1L,    0L},
  {176,1000,    0x2L,    1L,    1L,    0L},
  {216,1000,    0x2L,    1L,    1L,    0L},
  {256,1000,    0x2L,    1L,    1L,    0L},
  {288,1000,    0x2L,    1L,    1L,    0L},
  {320,1000,    0x2L,    1L,    1L,    0L},
  {360,1008,    0x2L,    1L,    1L,    0L},
  {392,1008,    0x2L,    1L,    1L,    0L},
  {424,1008,    0x2L,    1L,    1L,    0L},
  {464,1016,    0x2L,    1L,    1L,    0L},
  {504,1008,    0x2L,    1L,    1L,    0L},
  {544,1000,    0x2L,    1L,    1L,    0L},
  {584,992,     0x2L,    1L,    1L,    0L},
  {624,968,     0x2L,    1L,    1L,    0L},
  {664,944,     0x2L,    1L,    1L,    0L},
  {712,904,     0x2L,    1L,    1L,    0L},
  {752,864,     0x2L,    1L,    1L,    0L},
  {800,808,     0x2L,    1L,    1L,    0L},
  {840,752,     0x2L,    1L,    1L,    0L},
  {880,680,     0x2L,    1L,    1L,    0L},
  {912,616,     0x2L,    1L,    1L,    0L},
  {944,536,     0x2L,    1L,    1L,    0L},
  {968,464,     0x2L,    1L,    1L,    0L},
  {984,392,     0x2L,    1L,    1L,    0L},
  {992,320,     0x2L,    1L,    1L,    0L},
  {1000,248,    0x2L,    1L,    1L,    0L},
  {1000,184,    0x2L,    1L,    1L,    0L},
  {1000,120,    0x2L,    1L,    1L,    0L},
  {992,64,      0x2L,    1L,    1L,    0L},
  {984,16,      0x2L,    1L,    1L,    0L},   
  {984,24,      0x3L,    1L,    1L,    0L},
  {976,64,      0x3L,    1L,    1L,    0L},
                                         /* quadrant 3 dir. 0, speed 0 */
  {976,96,      0x3L,    1L,    1L,    0L},
  {976,128,     0x3L,    1L,    1L,    0L},
  {984,160,     0x3L,    1L,    1L,    0L},
  {984,184,     0x3L,    1L,    1L,    0L},
  {984,208,     0x3L,    1L,    1L,    0L},
  {992,240,     0x3L,    1L,    1L,    0L},
  {992,264,     0x3L,    1L,    1L,    0L},
  {984,296,     0x3L,    1L,    1L,    0L},
  {976,320,     0x3L,    1L,    1L,    0L},
  {968,352,     0x3L,    1L,    1L,    0L},
  {952,376,     0x3L,    1L,    1L,    0L},
  {928,408,     0x3L,    1L,    1L,    0L},
  {904,440,     0x3L,    1L,    1L,    0L},
  {880,480,     0x3L,    1L,    1L,    0L},
  {848,512,     0x3L,    1L,    1L,    0L},
  {808,552,     0x3L,    1L,    1L,    0L},
  {768,584,     0x3L,    1L,    1L,    0L},
  {728,624,     0x3L,    1L,    1L,    0L},
  {688,672,     0x3L,    1L,    1L,    0L},
  {640,712,     0x3L,    1L,    1L,    0L},
  {584,752,     0x3L,    1L,    1L,    0L},
  {528,792,     0x3L,    1L,    1L,    0L},
  {472,832,     0x3L,    1L,    1L,    0L},
  {408,864,     0x3L,    1L,    1L,    0L},
  {344,904,     0x3L,    1L,    1L,    0L},
  {272,928,     0x3L,    1L,    1L,    0L},
  {208,952,     0x3L,    1L,    1L,    0L},
  {144,968,     0x3L,    1L,    1L,    0L},
  {80,984,      0x3L,    1L,    1L,    0L},
  {24,992,      0x3L,    1L,    1L,    0L},  
  {32,1000,     0x0L,    1L,    1L,    0L},
  {88,1000,     0x0L,    1L,    1L,    0L}},
/* EasyCASE > */
/* EasyCASE ) */
/* EasyCASE ( 1218
   Direction 1 (CW), Speed 0 (normal table)
   EDUL-SMIA_nMW2000_RearContacted_Basic_FullValued (No 10) */
/* EasyCASE < */
                                        /* quadrant 0 dir. 1, speed 0 */
{{24,1008,     0x3L,    1L,    1L,    0L}, 
 {24,1016,     0x0L,    1L,    1L,    0L},
 {72,1016,     0x0L,    1L,    1L,    0L},
 {120,1016,    0x0L,    1L,    1L,    0L},
 {176,1016,    0x0L,    1L,    1L,    0L},
 {240,1008,    0x0L,    1L,    1L,    0L},
 {304,992,     0x0L,    1L,    1L,    0L},
 {376,976,     0x0L,    1L,    1L,    0L},
 {440,944,     0x0L,    1L,    1L,    0L},
 {512,912,     0x0L,    1L,    1L,    0L},
 {584,880,     0x0L,    1L,    1L,    0L},
 {648,840,     0x0L,    1L,    1L,    0L},
 {704,792,     0x0L,    1L,    1L,    0L},
 {760,752,     0x0L,    1L,    1L,    0L},
 {808,704,     0x0L,    1L,    1L,    0L},
 {848,656,     0x0L,    1L,    1L,    0L},
 {880,616,     0x0L,    1L,    1L,    0L},
 {904,576,     0x0L,    1L,    1L,    0L},
 {928,536,     0x0L,    1L,    1L,    0L},
 {944,504,     0x0L,    1L,    1L,    0L},
 {952,472,     0x0L,    1L,    1L,    0L},
 {960,440,     0x0L,    1L,    1L,    0L},
 {968,416,     0x0L,    1L,    1L,    0L},
 {976,384,     0x0L,    1L,    1L,    0L},
 {984,360,     0x0L,    1L,    1L,    0L},
 {984,336,     0x0L,    1L,    1L,    0L},
 {992,312,     0x0L,    1L,    1L,    0L},
 {992,280,     0x0L,    1L,    1L,    0L},
 {992,256,     0x0L,    1L,    1L,    0L},
 {992,224,     0x0L,    1L,    1L,    0L},
 {992,200,     0x0L,    1L,    1L,    0L},
 {984,168,     0x0L,    1L,    1L,    0L},
                                        /* quadrant 1 dir. 1, speed 0 */
 {984,136,     0x0L,    1L,    1L,    0L},
 {984,104,     0x0L,    1L,    1L,    0L},
 {976,72,      0x0L,    1L,    1L,    0L},
 {976,32,      0x0L,    1L,    1L,    0L},
 {976,8,       0x1L,    1L,    1L,    0L},
 {976,48,      0x1L,    1L,    1L,    0L},
 {976,104,     0x1L,    1L,    1L,    0L},
 {976,160,     0x1L,    1L,    1L,    0L},
 {968,224,     0x1L,    1L,    1L,    0L},
 {952,296,     0x1L,    1L,    1L,    0L},
 {936,376,     0x1L,    1L,    1L,    0L},
 {912,456,     0x1L,    1L,    1L,    0L},
 {880,536,     0x1L,    1L,    1L,    0L},
 {840,616,     0x1L,    1L,    1L,    0L},
 {800,696,     0x1L,    1L,    1L,    0L},
 {752,768,     0x1L,    1L,    1L,    0L},
 {696,832,     0x1L,    1L,    1L,    0L},
 {648,888,     0x1L,    1L,    1L,    0L},
 {600,928,     0x1L,    1L,    1L,    0L},
 {544,960,     0x1L,    1L,    1L,    0L},
 {504,984,     0x1L,    1L,    1L,    0L},
 {456,1000,    0x1L,    1L,    1L,    0L},
 {416,1008,    0x1L,    1L,    1L,    0L},
 {376,1008,    0x1L,    1L,    1L,    0L},
 {336,1008,    0x1L,    1L,    1L,    0L},
 {296,1008,    0x1L,    1L,    1L,    0L},
 {264,1000,    0x1L,    1L,    1L,    0L},
 {224,1000,    0x1L,    1L,    1L,    0L},
 {192,1000,    0x1L,    1L,    1L,    0L},
 {152,1000,    0x1L,    1L,    1L,    0L},
 {112,1000,    0x1L,    1L,    1L,    0L},
 {72,1008,     0x1L,    1L,    1L,    0L},
                                        /* quadrant 2 dir. 1, speed 0 */
 {24,1008,     0x1L,    1L,    1L,    0L}, 
 {24,1016,     0x2L,    1L,    1L,    0L},
 {72,1016,     0x2L,    1L,    1L,    0L},
 {120,1016,    0x2L,    1L,    1L,    0L},
 {176,1016,    0x2L,    1L,    1L,    0L},
 {240,1008,    0x2L,    1L,    1L,    0L},
 {304,992,     0x2L,    1L,    1L,    0L},
 {376,976,     0x2L,    1L,    1L,    0L},
 {440,944,     0x2L,    1L,    1L,    0L},
 {512,912,     0x2L,    1L,    1L,    0L},
 {584,880,     0x2L,    1L,    1L,    0L},
 {648,840,     0x2L,    1L,    1L,    0L},
 {704,792,     0x2L,    1L,    1L,    0L},
 {760,752,     0x2L,    1L,    1L,    0L},
 {808,704,     0x2L,    1L,    1L,    0L},
 {848,656,     0x2L,    1L,    1L,    0L},
 {880,616,     0x2L,    1L,    1L,    0L},
 {904,576,     0x2L,    1L,    1L,    0L},
 {928,536,     0x2L,    1L,    1L,    0L},
 {944,504,     0x2L,    1L,    1L,    0L},
 {952,472,     0x2L,    1L,    1L,    0L},
 {960,440,     0x2L,    1L,    1L,    0L},
 {968,416,     0x2L,    1L,    1L,    0L},
 {976,384,     0x2L,    1L,    1L,    0L},
 {984,360,     0x2L,    1L,    1L,    0L},
 {984,336,     0x2L,    1L,    1L,    0L},
 {992,312,     0x2L,    1L,    1L,    0L},
 {992,280,     0x2L,    1L,    1L,    0L},
 {992,256,     0x2L,    1L,    1L,    0L},
 {992,224,     0x2L,    1L,    1L,    0L},
 {992,200,     0x2L,    1L,    1L,    0L},
 {984,168,     0x2L,    1L,    1L,    0L},
                                        /* quadrant 3 dir. 1, speed 0 */
 {984,136,     0x2L,    1L,    1L,    0L},
 {984,104,     0x2L,    1L,    1L,    0L},
 {976,72,      0x2L,    1L,    1L,    0L},
 {976,32,      0x2L,    1L,    1L,    0L}, 
 {976,8,       0x3L,    1L,    1L,    0L},
 {976,48,      0x3L,    1L,    1L,    0L},
 {976,104,     0x3L,    1L,    1L,    0L},
 {976,160,     0x3L,    1L,    1L,    0L},
 {968,224,     0x3L,    1L,    1L,    0L},
 {952,296,     0x3L,    1L,    1L,    0L},
 {936,376,     0x3L,    1L,    1L,    0L},
 {912,456,     0x3L,    1L,    1L,    0L},
 {880,536,     0x3L,    1L,    1L,    0L},
 {840,616,     0x3L,    1L,    1L,    0L},
 {800,696,     0x3L,    1L,    1L,    0L},
 {752,768,     0x3L,    1L,    1L,    0L},
 {696,832,     0x3L,    1L,    1L,    0L},
 {648,888,     0x3L,    1L,    1L,    0L},
 {600,928,     0x3L,    1L,    1L,    0L},
 {544,960,     0x3L,    1L,    1L,    0L},
 {504,984,     0x3L,    1L,    1L,    0L},
 {456,1000,    0x3L,    1L,    1L,    0L},
 {416,1008,    0x3L,    1L,    1L,    0L},
 {376,1008,    0x3L,    1L,    1L,    0L},
 {336,1008,    0x3L,    1L,    1L,    0L},
 {296,1008,    0x3L,    1L,    1L,    0L},
 {264,1000,    0x3L,    1L,    1L,    0L},
 {224,1000,    0x3L,    1L,    1L,    0L},
 {192,1000,    0x3L,    1L,    1L,    0L},
 {152,1000,    0x3L,    1L,    1L,    0L},
 {112,1000,    0x3L,    1L,    1L,    0L},
 {72,1008,     0x3L,    1L,    1L,    0L}}},
/* EasyCASE > */
/* EasyCASE ) */
/* EasyCASE ( 1219
   Direction 0 (CCW), Speed 1 (special table)
   EDUL-SMIA_nMW2000_RearContacted_Basic_FullValued (No 10) */
/* EasyCASE < */
                                         /* quadrant 0 dir. 0, speed 1 */
{{{424,1000,    0x0L,    1L,    1L,    0L},
  {488,992,     0x0L,    1L,    1L,    0L},
  {536,984,     0x0L,    1L,    1L,    0L},
  {576,976,     0x0L,    1L,    1L,    0L},
  {608,960,     0x0L,    1L,    1L,    0L},
  {624,944,     0x0L,    1L,    1L,    0L},
  {640,928,     0x0L,    1L,    1L,    0L},
  {648,912,     0x0L,    1L,    1L,    0L},
  {664,896,     0x0L,    1L,    1L,    0L},
  {680,872,     0x0L,    1L,    1L,    0L},
  {704,856,     0x0L,    1L,    1L,    0L},
  {744,832,     0x0L,    1L,    1L,    0L},
  {784,800,     0x0L,    1L,    1L,    0L},
  {832,752,     0x0L,    1L,    1L,    0L},
  {880,704,     0x0L,    1L,    1L,    0L},
  {928,640,     0x0L,    1L,    1L,    0L},
  {960,560,     0x0L,    1L,    1L,    0L},
  {984,472,     0x0L,    1L,    1L,    0L},
  {984,384,     0x0L,    1L,    1L,    0L},
  {976,288,     0x0L,    1L,    1L,    0L},
  {960,192,     0x0L,    1L,    1L,    0L},
  {928,104,     0x0L,    1L,    1L,    0L},
  {888,24,      0x0L,    1L,    1L,    0L}, 
  {848,48,      0x1L,    1L,    1L,    0L},
  {816,104,     0x1L,    1L,    1L,    0L},
  {800,144,     0x1L,    1L,    1L,    0L},
  {784,168,     0x1L,    1L,    1L,    0L},
  {784,184,     0x1L,    1L,    1L,    0L},
  {792,200,     0x1L,    1L,    1L,    0L},
  {816,208,     0x1L,    1L,    1L,    0L},
  {840,224,     0x1L,    1L,    1L,    0L},
  {864,240,     0x1L,    1L,    1L,    0L},
                                         /* quadrant 1 dir. 0, speed 1 */
  {888,264,     0x1L,    1L,    1L,    0L},
  {912,296,     0x1L,    1L,    1L,    0L},
  {928,336,     0x1L,    1L,    1L,    0L},
  {944,384,     0x1L,    1L,    1L,    0L},
  {960,432,     0x1L,    1L,    1L,    0L},
  {968,488,     0x1L,    1L,    1L,    0L},
  {976,536,     0x1L,    1L,    1L,    0L},
  {976,584,     0x1L,    1L,    1L,    0L},
  {976,624,     0x1L,    1L,    1L,    0L},
  {968,664,     0x1L,    1L,    1L,    0L},
  {952,696,     0x1L,    1L,    1L,    0L},
  {920,720,     0x1L,    1L,    1L,    0L},
  {880,744,     0x1L,    1L,    1L,    0L},
  {816,760,     0x1L,    1L,    1L,    0L},
  {744,776,     0x1L,    1L,    1L,    0L},
  {664,792,     0x1L,    1L,    1L,    0L},
  {576,808,     0x1L,    1L,    1L,    0L},
  {480,832,     0x1L,    1L,    1L,    0L},
  {384,848,     0x1L,    1L,    1L,    0L},
  {296,864,     0x1L,    1L,    1L,    0L},
  {216,880,     0x1L,    1L,    1L,    0L},
  {152,896,     0x1L,    1L,    1L,    0L},
  {96,912,      0x1L,    1L,    1L,    0L},
  {48,928,      0x1L,    1L,    1L,    0L},
  {8,936,       0x1L,    1L,    1L,    0L},  
  {32,952,      0x2L,    1L,    1L,    0L},
  {72,968,      0x2L,    1L,    1L,    0L},
  {120,976,     0x2L,    1L,    1L,    0L},
  {168,984,     0x2L,    1L,    1L,    0L},
  {232,992,     0x2L,    1L,    1L,    0L},
  {296,1000,    0x2L,    1L,    1L,    0L},
  {360,1000,    0x2L,    1L,    1L,    0L},
                                         /* quadrant 2 dir. 0, speed 1 */
  {424,1000,    0x2L,    1L,    1L,    0L},
  {488,992,     0x2L,    1L,    1L,    0L},
  {536,984,     0x2L,    1L,    1L,    0L},
  {576,976,     0x2L,    1L,    1L,    0L},
  {608,960,     0x2L,    1L,    1L,    0L},
  {624,944,     0x2L,    1L,    1L,    0L},
  {640,928,     0x2L,    1L,    1L,    0L},
  {648,912,     0x2L,    1L,    1L,    0L},
  {664,896,     0x2L,    1L,    1L,    0L},
  {680,872,     0x2L,    1L,    1L,    0L},
  {704,856,     0x2L,    1L,    1L,    0L},
  {744,832,     0x2L,    1L,    1L,    0L},
  {784,800,     0x2L,    1L,    1L,    0L},
  {832,752,     0x2L,    1L,    1L,    0L},
  {880,704,     0x2L,    1L,    1L,    0L},
  {928,640,     0x2L,    1L,    1L,    0L},
  {960,560,     0x2L,    1L,    1L,    0L},
  {984,472,     0x2L,    1L,    1L,    0L},
  {984,384,     0x2L,    1L,    1L,    0L},
  {976,288,     0x2L,    1L,    1L,    0L},
  {960,192,     0x2L,    1L,    1L,    0L},
  {928,104,     0x2L,    1L,    1L,    0L},
  {888,24,      0x2L,    1L,    1L,    0L},  
  {848,48,      0x3L,    1L,    1L,    0L},
  {816,104,     0x3L,    1L,    1L,    0L},
  {800,144,     0x3L,    1L,    1L,    0L},
  {784,168,     0x3L,    1L,    1L,    0L},
  {784,184,     0x3L,    1L,    1L,    0L},
  {792,200,     0x3L,    1L,    1L,    0L},
  {816,208,     0x3L,    1L,    1L,    0L},
  {840,224,     0x3L,    1L,    1L,    0L},
  {864,240,     0x3L,    1L,    1L,    0L},
                                         /* quadrant 3 dir. 0, speed 1 */
  {888,264,     0x3L,    1L,    1L,    0L},
  {912,296,     0x3L,    1L,    1L,    0L},
  {928,336,     0x3L,    1L,    1L,    0L},
  {944,384,     0x3L,    1L,    1L,    0L},
  {960,432,     0x3L,    1L,    1L,    0L},
  {968,488,     0x3L,    1L,    1L,    0L},
  {976,536,     0x3L,    1L,    1L,    0L},
  {976,584,     0x3L,    1L,    1L,    0L},
  {976,624,     0x3L,    1L,    1L,    0L},
  {968,664,     0x3L,    1L,    1L,    0L},
  {952,696,     0x3L,    1L,    1L,    0L},
  {920,720,     0x3L,    1L,    1L,    0L},
  {880,744,     0x3L,    1L,    1L,    0L},
  {816,760,     0x3L,    1L,    1L,    0L},
  {744,776,     0x3L,    1L,    1L,    0L},
  {664,792,     0x3L,    1L,    1L,    0L},
  {576,808,     0x3L,    1L,    1L,    0L},
  {480,832,     0x3L,    1L,    1L,    0L},
  {384,848,     0x3L,    1L,    1L,    0L},
  {296,864,     0x3L,    1L,    1L,    0L},
  {216,880,     0x3L,    1L,    1L,    0L},
  {152,896,     0x3L,    1L,    1L,    0L},
  {96,912,      0x3L,    1L,    1L,    0L},
  {48,928,      0x3L,    1L,    1L,    0L},
  {8,936,       0x3L,    1L,    1L,    0L},   
  {32,952,      0x0L,    1L,    1L,    0L},
  {72,968,      0x0L,    1L,    1L,    0L},
  {120,976,     0x0L,    1L,    1L,    0L},
  {168,984,     0x0L,    1L,    1L,    0L},
  {232,992,     0x0L,    1L,    1L,    0L},
  {296,1000,    0x0L,    1L,    1L,    0L},
  {360,1000,    0x0L,    1L,    1L,    0L}},
/* EasyCASE > */
/* EasyCASE ) */
/* EasyCASE ( 1220
   Direction 1 (CW), Speed 1 (special table)
   EDUL-SMIA_nMW2000_RearContacted_Basic_FullValued (No 10) */
/* EasyCASE < */
{                                      /* quadrant 0 dir. 1, speed 1 */
{216,992,     0x3L,    1L,    1L,    0L},
{184,992,     0x3L,    1L,    1L,    0L},
{136,992,     0x3L,    1L,    1L,    0L},
{88,992,      0x3L,    1L,    1L,    0L},
{40,992,      0x3L,    1L,    1L,    0L},
{16,984,      0x0L,    1L,    1L,    0L},
{72,984,      0x0L,    1L,    1L,    0L},
{136,976,     0x0L,    1L,    1L,    0L},
{200,968,     0x0L,    1L,    1L,    0L},
{256,968,     0x0L,    1L,    1L,    0L},
{320,960,     0x0L,    1L,    1L,    0L},
{384,952,     0x0L,    1L,    1L,    0L},
{448,944,     0x0L,    1L,    1L,    0L},
{512,920,     0x0L,    1L,    1L,    0L},
{568,896,     0x0L,    1L,    1L,    0L},
{632,864,     0x0L,    1L,    1L,    0L},
{696,832,     0x0L,    1L,    1L,    0L},
{760,792,     0x0L,    1L,    1L,    0L},
{816,744,     0x0L,    1L,    1L,    0L},
{864,696,     0x0L,    1L,    1L,    0L},
{912,656,     0x0L,    1L,    1L,    0L},
{944,616,     0x0L,    1L,    1L,    0L},
{968,584,     0x0L,    1L,    1L,    0L},
{992,552,     0x0L,    1L,    1L,    0L},
{1000,528,    0x0L,    1L,    1L,    0L},
{1000,504,    0x0L,    1L,    1L,    0L},
{1000,472,    0x0L,    1L,    1L,    0L},
{1000,448,    0x0L,    1L,    1L,    0L},
{992,416,     0x0L,    1L,    1L,    0L},
{992,384,     0x0L,    1L,    1L,    0L},
{984,352,     0x0L,    1L,    1L,    0L},
{984,312,     0x0L,    1L,    1L,    0L},
                                       /* quadrant 1 dir. 1, speed 1 */
{984,272,     0x0L,    1L,    1L,    0L},
{984,232,     0x0L,    1L,    1L,    0L},
{984,192,     0x0L,    1L,    1L,    0L},
{984,152,     0x0L,    1L,    1L,    0L},
{984,120,     0x0L,    1L,    1L,    0L},
{976,80,      0x0L,    1L,    1L,    0L},
{976,48,      0x0L,    1L,    1L,    0L},
{976,8,       0x0L,    1L,    1L,    0L},
{968,40,      0x1L,    1L,    1L,    0L},
{968,96,      0x1L,    1L,    1L,    0L},
{976,160,     0x1L,    1L,    1L,    0L},
{976,232,     0x1L,    1L,    1L,    0L},
{976,320,     0x1L,    1L,    1L,    0L},
{976,416,     0x1L,    1L,    1L,    0L},
{976,512,     0x1L,    1L,    1L,    0L},
{968,616,     0x1L,    1L,    1L,    0L},
{952,704,     0x1L,    1L,    1L,    0L},
{928,792,     0x1L,    1L,    1L,    0L},
{888,856,     0x1L,    1L,    1L,    0L},
{848,912,     0x1L,    1L,    1L,    0L},
{792,952,     0x1L,    1L,    1L,    0L},
{736,976,     0x1L,    1L,    1L,    0L},
{672,992,     0x1L,    1L,    1L,    0L},
{608,992,     0x1L,    1L,    1L,    0L},
{544,992,     0x1L,    1L,    1L,    0L},
{488,984,     0x1L,    1L,    1L,    0L},
{440,976,     0x1L,    1L,    1L,    0L},
{392,976,     0x1L,    1L,    1L,    0L},
{352,976,     0x1L,    1L,    1L,    0L},
{320,976,     0x1L,    1L,    1L,    0L},
{288,984,     0x1L,    1L,    1L,    0L},
{256,984,     0x1L,    1L,    1L,    0L},
                                      /* quadrant 2 dir. 1, speed 1 */
{216,992,     0x1L,    1L,    1L,    0L},
{184,992,     0x1L,    1L,    1L,    0L},
{136,992,     0x1L,    1L,    1L,    0L},
{88,992,      0x1L,    1L,    1L,    0L},
{40,992,      0x1L,    1L,    1L,    0L},
 
{16,984,      0x2L,    1L,    1L,    0L},
{72,984,      0x2L,    1L,    1L,    0L},
{136,976,     0x2L,    1L,    1L,    0L},
{200,968,     0x2L,    1L,    1L,    0L},
{256,968,     0x2L,    1L,    1L,    0L},
{320,960,     0x2L,    1L,    1L,    0L},
{384,952,     0x2L,    1L,    1L,    0L},
{448,944,     0x2L,    1L,    1L,    0L},
{512,920,     0x2L,    1L,    1L,    0L},
{568,896,     0x2L,    1L,    1L,    0L},
{632,864,     0x2L,    1L,    1L,    0L},
{696,832,     0x2L,    1L,    1L,    0L},
{760,792,     0x2L,    1L,    1L,    0L},
{816,744,     0x2L,    1L,    1L,    0L},
{864,696,     0x2L,    1L,    1L,    0L},
{912,656,     0x2L,    1L,    1L,    0L},
{944,616,     0x2L,    1L,    1L,    0L},
{968,584,     0x2L,    1L,    1L,    0L},
{992,552,     0x2L,    1L,    1L,    0L},
{1000,528,    0x2L,    1L,    1L,    0L},
{1000,504,    0x2L,    1L,    1L,    0L},
{1000,472,    0x2L,    1L,    1L,    0L},
{1000,448,    0x2L,    1L,    1L,    0L},
{992,416,     0x2L,    1L,    1L,    0L},
{992,384,     0x2L,    1L,    1L,    0L},
{984,352,     0x2L,    1L,    1L,    0L},
{984,312,     0x2L,    1L,    1L,    0L},
                                       /* quadrant 3 dir. 1, speed 1 */
{984,272,     0x2L,    1L,    1L,    0L},
{984,232,     0x2L,    1L,    1L,    0L},
{984,192,     0x2L,    1L,    1L,    0L},
{984,152,     0x2L,    1L,    1L,    0L},
{984,120,     0x2L,    1L,    1L,    0L},
{976,80,      0x2L,    1L,    1L,    0L},
{976,48,      0x2L,    1L,    1L,    0L},
{976,8,       0x2L,    1L,    1L,    0L},
{968,40,      0x3L,    1L,    1L,    0L},
{968,96,      0x3L,    1L,    1L,    0L},
{976,160,     0x3L,    1L,    1L,    0L},
{976,232,     0x3L,    1L,    1L,    0L},
{976,320,     0x3L,    1L,    1L,    0L},
{976,416,     0x3L,    1L,    1L,    0L},
{976,512,     0x3L,    1L,    1L,    0L},
{968,616,     0x3L,    1L,    1L,    0L},
{952,704,     0x3L,    1L,    1L,    0L},
{928,792,     0x3L,    1L,    1L,    0L},
{888,856,     0x3L,    1L,    1L,    0L},
{848,912,     0x3L,    1L,    1L,    0L},
{792,952,     0x3L,    1L,    1L,    0L},
{736,976,     0x3L,    1L,    1L,    0L},
{672,992,     0x3L,    1L,    1L,    0L},
{608,992,     0x3L,    1L,    1L,    0L},
{544,992,     0x3L,    1L,    1L,    0L},
{488,984,     0x3L,    1L,    1L,    0L},
{440,976,     0x3L,    1L,    1L,    0L},
{392,976,     0x3L,    1L,    1L,    0L},
{352,976,     0x3L,    1L,    1L,    0L},
{320,976,     0x3L,    1L,    1L,    0L},
{288,984,     0x3L,    1L,    1L,    0L},
{256,984,     0x3L,    1L,    1L,    0L}}}}
};

const struct SMIA_ISM_PWMStd SMIA_ISM_A_STDPWMTABLE11 = {
/* CVP  CHP     CQI      IVR IHR */
{                                        /* quadrant 0 dir. 0, speed 0 */
{{{8,1016,      0x0L,    1L,    1L,    0L},    
  {64,1016,     0x0L,    1L,    1L,    0L},
  {112,1016,    0x0L,    1L,    1L,    0L},
  {160,1008,    0x0L,    1L,    1L,    0L},
  {200,1000,    0x0L,    1L,    1L,    0L},
  {232,992,     0x0L,    1L,    1L,    0L},
  {264,984,     0x0L,    1L,    1L,    0L},
  {304,976,     0x0L,    1L,    1L,    0L},
  {336,960,     0x0L,    1L,    1L,    0L},
  {368,952,     0x0L,    1L,    1L,    0L},
  {400,936,     0x0L,    1L,    1L,    0L},
  {432,928,     0x0L,    1L,    1L,    0L},
  {464,912,     0x0L,    1L,    1L,    0L},
  {496,888,     0x0L,    1L,    1L,    0L},
  {536,872,     0x0L,    1L,    1L,    0L},
  {576,840,     0x0L,    1L,    1L,    0L},
  {616,816,     0x0L,    1L,    1L,    0L},
  {656,784,     0x0L,    1L,    1L,    0L},
  {696,744,     0x0L,    1L,    1L,    0L},
  {744,696,     0x0L,    1L,    1L,    0L},
  {792,648,     0x0L,    1L,    1L,    0L},
  {832,592,     0x0L,    1L,    1L,    0L},
  {872,528,     0x0L,    1L,    1L,    0L},
  {912,464,     0x0L,    1L,    1L,    0L},
  {944,392,     0x0L,    1L,    1L,    0L},
  {968,320,     0x0L,    1L,    1L,    0L},
  {992,248,     0x0L,    1L,    1L,    0L},
  {1000,184,    0x0L,    1L,    1L,    0L},
  {1016,120,    0x0L,    1L,    1L,    0L},
  {1016,64,     0x0L,    1L,    1L,    0L},
  {1016,16,     0x0L,    1L,    1L,    0L},
  {1016,24,     0x1L,    1L,    1L,    0L},
                                         /* quadrant 1 dir. 0, speed 0 */
  {1016,64,     0x1L,    1L,    1L,    0L},    
  {1016,96,     0x1L,    1L,    1L,    0L},
  {1008,128,    0x1L,    1L,    1L,    0L},
  {1008,152,    0x1L,    1L,    1L,    0L},
  {1008,176,    0x1L,    1L,    1L,    0L},
  {1000,200,    0x1L,    1L,    1L,    0L},
  {992,224,     0x1L,    1L,    1L,    0L},
  {992,248,     0x1L,    1L,    1L,    0L},
  {984,264,     0x1L,    1L,    1L,    0L},
  {976,288,     0x1L,    1L,    1L,    0L},
  {968,312,     0x1L,    1L,    1L,    0L},
  {968,336,     0x1L,    1L,    1L,    0L},
  {952,360,     0x1L,    1L,    1L,    0L},
  {944,384,     0x1L,    1L,    1L,    0L},
  {936,408,     0x1L,    1L,    1L,    0L},
  {920,440,     0x1L,    1L,    1L,    0L},
  {904,472,     0x1L,    1L,    1L,    0L},
  {880,512,     0x1L,    1L,    1L,    0L},
  {856,552,     0x1L,    1L,    1L,    0L},
  {832,592,     0x1L,    1L,    1L,    0L},
  {800,632,     0x1L,    1L,    1L,    0L},
  {760,680,     0x1L,    1L,    1L,    0L},
  {712,728,     0x1L,    1L,    1L,    0L},
  {656,776,     0x1L,    1L,    1L,    0L},
  {592,832,     0x1L,    1L,    1L,    0L},
  {528,872,     0x1L,    1L,    1L,    0L},
  {448,920,     0x1L,    1L,    1L,    0L},
  {368,952,     0x1L,    1L,    1L,    0L},
  {280,984,     0x1L,    1L,    1L,    0L},
  {200,1000,    0x1L,    1L,    1L,    0L},
  {120,1016,    0x1L,    1L,    1L,    0L},
  {48,1016,     0x1L,    1L,    1L,    0L},
                                         /* quadrant 2 dir. 0, speed 0 */  
  {8,1016,      0x2L,    1L,    1L,    0L},    
  {64,1016,     0x2L,    1L,    1L,    0L},
  {112,1016,    0x2L,    1L,    1L,    0L},
  {160,1008,    0x2L,    1L,    1L,    0L},
  {200,1000,    0x2L,    1L,    1L,    0L},
  {232,992,     0x2L,    1L,    1L,    0L},
  {264,984,     0x2L,    1L,    1L,    0L},
  {304,976,     0x2L,    1L,    1L,    0L},
  {336,960,     0x2L,    1L,    1L,    0L},
  {368,952,     0x2L,    1L,    1L,    0L},
  {400,936,     0x2L,    1L,    1L,    0L},
  {432,928,     0x2L,    1L,    1L,    0L},
  {464,912,     0x2L,    1L,    1L,    0L},
  {496,888,     0x2L,    1L,    1L,    0L},
  {536,872,     0x2L,    1L,    1L,    0L},
  {576,840,     0x2L,    1L,    1L,    0L},
  {616,816,     0x2L,    1L,    1L,    0L},
  {656,784,     0x2L,    1L,    1L,    0L},
  {696,744,     0x2L,    1L,    1L,    0L},
  {744,696,     0x2L,    1L,    1L,    0L},
  {792,648,     0x2L,    1L,    1L,    0L},
  {832,592,     0x2L,    1L,    1L,    0L},
  {872,528,     0x2L,    1L,    1L,    0L},
  {912,464,     0x2L,    1L,    1L,    0L},
  {944,392,     0x2L,    1L,    1L,    0L},
  {968,320,     0x2L,    1L,    1L,    0L},
  {992,248,     0x2L,    1L,    1L,    0L},
  {1000,184,    0x2L,    1L,    1L,    0L},
  {1016,120,    0x2L,    1L,    1L,    0L},
  {1016,64,     0x2L,    1L,    1L,    0L},
  {1016,16,     0x2L,    1L,    1L,    0L},
  {1016,24,     0x3L,    1L,    1L,    0L},
                                         /* quadrant 3 dir. 0, speed 0 */  
  {1016,64,     0x3L,    1L,    1L,    0L},    
  {1016,96,     0x3L,    1L,    1L,    0L},
  {1008,128,    0x3L,    1L,    1L,    0L},
  {1008,152,    0x3L,    1L,    1L,    0L},
  {1008,176,    0x3L,    1L,    1L,    0L},
  {1000,200,    0x3L,    1L,    1L,    0L},
  {992,224,     0x3L,    1L,    1L,    0L},
  {992,248,     0x3L,    1L,    1L,    0L},
  {984,264,     0x3L,    1L,    1L,    0L},
  {976,288,     0x3L,    1L,    1L,    0L},
  {968,312,     0x3L,    1L,    1L,    0L},
  {968,336,     0x3L,    1L,    1L,    0L},
  {952,360,     0x3L,    1L,    1L,    0L},
  {944,384,     0x3L,    1L,    1L,    0L},
  {936,408,     0x3L,    1L,    1L,    0L},
  {920,440,     0x3L,    1L,    1L,    0L},
  {904,472,     0x3L,    1L,    1L,    0L},
  {880,512,     0x3L,    1L,    1L,    0L},
  {856,552,     0x3L,    1L,    1L,    0L},
  {832,592,     0x3L,    1L,    1L,    0L},
  {800,632,     0x3L,    1L,    1L,    0L},
  {760,680,     0x3L,    1L,    1L,    0L},
  {712,728,     0x3L,    1L,    1L,    0L},
  {656,776,     0x3L,    1L,    1L,    0L},
  {592,832,     0x3L,    1L,    1L,    0L},
  {528,872,     0x3L,    1L,    1L,    0L},
  {448,920,     0x3L,    1L,    1L,    0L},
  {368,952,     0x3L,    1L,    1L,    0L},
  {280,984,     0x3L,    1L,    1L,    0L},
  {200,1000,    0x3L,    1L,    1L,    0L},
  {120,1016,    0x3L,    1L,    1L,    0L},
  {48,1016,     0x3L,    1L,    1L,    0L}},
/* EasyCASE > */
/* EasyCASE ) */
/* EasyCASE ( 1241
   Direction 1 (CCW), Speed 0 (normal table)
   MUL-SMIA_nMW2000_RearContacted_Fair  (No 11) */
/* EasyCASE < */
                                        /* quadrant 0 dir. 0, speed 0 */
{{320,968,     0x3L,    1L,    1L,    0L},    
 {288,976,     0x3L,    1L,    1L,    0L},
 {256,984,     0x3L,    1L,    1L,    0L},
 {224,992,     0x3L,    1L,    1L,    0L},
 {184,1000,    0x3L,    1L,    1L,    0L},
 {152,1008,    0x3L,    1L,    1L,    0L},
 {112,1016,    0x3L,    1L,    1L,    0L},
 {64,1016,     0x3L,    1L,    1L,    0L},
 {24,1016,     0x3L,    1L,    1L,    0L},
 {32,1016,     0x0L,    1L,    1L,    0L},
 {88,1016,     0x0L,    1L,    1L,    0L},
 {144,1008,    0x0L,    1L,    1L,    0L},
 {216,1000,    0x0L,    1L,    1L,    0L},
 {288,976,     0x0L,    1L,    1L,    0L},
 {360,952,     0x0L,    1L,    1L,    0L},
 {440,920,     0x0L,    1L,    1L,    0L},
 {512,880,     0x0L,    1L,    1L,    0L},
 {584,840,     0x0L,    1L,    1L,    0L},
 {640,792,     0x0L,    1L,    1L,    0L},
 {696,744,     0x0L,    1L,    1L,    0L},
 {744,696,     0x0L,    1L,    1L,    0L},
 {784,648,     0x0L,    1L,    1L,    0L},
 {824,600,     0x0L,    1L,    1L,    0L},
 {848,560,     0x0L,    1L,    1L,    0L},
 {872,520,     0x0L,    1L,    1L,    0L},
 {896,488,     0x0L,    1L,    1L,    0L},
 {912,456,     0x0L,    1L,    1L,    0L},
 {928,424,     0x0L,    1L,    1L,    0L},
 {936,400,     0x0L,    1L,    1L,    0L},
 {952,376,     0x0L,    1L,    1L,    0L},
 {960,352,     0x0L,    1L,    1L,    0L},
 {968,328,     0x0L,    1L,    1L,    0L},
                                        /* quadrant 1 dir. 0, speed 0 */ 
 {976,304,     0x0L,    1L,    1L,    0L},    
 {976,288,     0x0L,    1L,    1L,    0L},
 {984,264,     0x0L,    1L,    1L,    0L},
 {992,240,     0x0L,    1L,    1L,    0L},
 {992,224,     0x0L,    1L,    1L,    0L},
 {1000,200,    0x0L,    1L,    1L,    0L},
 {1008,176,    0x0L,    1L,    1L,    0L},
 {1008,152,    0x0L,    1L,    1L,    0L},
 {1016,120,    0x0L,    1L,    1L,    0L},
 {1016,88,     0x0L,    1L,    1L,    0L},
 {1016,56,     0x0L,    1L,    1L,    0L},
 {1016,16,     0x0L,    1L,    1L,    0L},
 {1016,32,     0x1L,    1L,    1L,    0L},
 {1016,80,     0x1L,    1L,    1L,    0L},
 {1008,144,    0x1L,    1L,    1L,    0L},
 {1000,208,    0x1L,    1L,    1L,    0L},
 {976,280,     0x1L,    1L,    1L,    0L},
 {952,360,     0x1L,    1L,    1L,    0L},
 {920,440,     0x1L,    1L,    1L,    0L},
 {880,512,     0x1L,    1L,    1L,    0L},
 {840,584,     0x1L,    1L,    1L,    0L},
 {792,648,     0x1L,    1L,    1L,    0L},
 {736,704,     0x1L,    1L,    1L,    0L},
 {688,752,     0x1L,    1L,    1L,    0L},
 {640,792,     0x1L,    1L,    1L,    0L},
 {592,832,     0x1L,    1L,    1L,    0L},
 {552,864,     0x1L,    1L,    1L,    0L},
 {504,888,     0x1L,    1L,    1L,    0L},
 {464,904,     0x1L,    1L,    1L,    0L},
 {424,928,     0x1L,    1L,    1L,    0L},
 {392,944,     0x1L,    1L,    1L,    0L},
 {360,952,     0x1L,    1L,    1L,    0L},
                                        /* quadrant 2 dir. 0, speed 0 */  
 {320,968,     0x1L,    1L,    1L,    0L},   
 {288,976,     0x1L,    1L,    1L,    0L},
 {256,984,     0x1L,    1L,    1L,    0L},
 {224,992,     0x1L,    1L,    1L,    0L},
 {184,1000,    0x1L,    1L,    1L,    0L},
 {152,1008,    0x1L,    1L,    1L,    0L},
 {112,1016,    0x1L,    1L,    1L,    0L},
 {64,1016,     0x1L,    1L,    1L,    0L},
 {24,1016,     0x1L,    1L,    1L,    0L},
 {32,1016,     0x2L,    1L,    1L,    0L},
 {88,1016,     0x2L,    1L,    1L,    0L},
 {144,1008,    0x2L,    1L,    1L,    0L},
 {216,1000,    0x2L,    1L,    1L,    0L},
 {288,976,     0x2L,    1L,    1L,    0L},
 {360,952,     0x2L,    1L,    1L,    0L},
 {440,920,     0x2L,    1L,    1L,    0L},
 {512,880,     0x2L,    1L,    1L,    0L},
 {584,840,     0x2L,    1L,    1L,    0L},
 {640,792,     0x2L,    1L,    1L,    0L},
 {696,744,     0x2L,    1L,    1L,    0L},
 {744,696,     0x2L,    1L,    1L,    0L},
 {784,648,     0x2L,    1L,    1L,    0L},
 {824,600,     0x2L,    1L,    1L,    0L},
 {848,560,     0x2L,    1L,    1L,    0L},
 {872,520,     0x2L,    1L,    1L,    0L},
 {896,488,     0x2L,    1L,    1L,    0L},
 {912,456,     0x2L,    1L,    1L,    0L},
 {928,424,     0x2L,    1L,    1L,    0L},
 {936,400,     0x2L,    1L,    1L,    0L},
 {952,376,     0x2L,    1L,    1L,    0L},
 {960,352,     0x2L,    1L,    1L,    0L},
 {968,328,     0x2L,    1L,    1L,    0L},
                                        /* quadrant 3 dir. 0, speed 0 */  
 {976,304,     0x2L,    1L,    1L,    0L},    
 {976,288,     0x2L,    1L,    1L,    0L},
 {984,264,     0x2L,    1L,    1L,    0L},
 {992,240,     0x2L,    1L,    1L,    0L},
 {992,224,     0x2L,    1L,    1L,    0L},
 {1000,200,    0x2L,    1L,    1L,    0L},
 {1008,176,    0x2L,    1L,    1L,    0L},
 {1008,152,    0x2L,    1L,    1L,    0L},
 {1016,120,    0x2L,    1L,    1L,    0L},
 {1016,88,     0x2L,    1L,    1L,    0L},
 {1016,56,     0x2L,    1L,    1L,    0L},
 {1016,16,     0x2L,    1L,    1L,    0L},
 {1016,32,     0x3L,    1L,    1L,    0L},
 {1016,80,     0x3L,    1L,    1L,    0L},
 {1008,144,    0x3L,    1L,    1L,    0L},
 {1000,208,    0x3L,    1L,    1L,    0L},
 {976,280,     0x3L,    1L,    1L,    0L},
 {952,360,     0x3L,    1L,    1L,    0L},
 {920,440,     0x3L,    1L,    1L,    0L},
 {880,512,     0x3L,    1L,    1L,    0L},
 {840,584,     0x3L,    1L,    1L,    0L},
 {792,648,     0x3L,    1L,    1L,    0L},
 {736,704,     0x3L,    1L,    1L,    0L},
 {688,752,     0x3L,    1L,    1L,    0L},
 {640,792,     0x3L,    1L,    1L,    0L},
 {592,832,     0x3L,    1L,    1L,    0L},
 {552,864,     0x3L,    1L,    1L,    0L},
 {504,888,     0x3L,    1L,    1L,    0L},
 {464,904,     0x3L,    1L,    1L,    0L},
 {424,928,     0x3L,    1L,    1L,    0L},
 {392,944,     0x3L,    1L,    1L,    0L},
 {360,952,     0x3L,    1L,    1L,    0L}}},
/* EasyCASE > */
/* EasyCASE ) */
/* EasyCASE ( 1242
   Direction 0 (CW), Speed 1 (special table)
   MUL-SMIA_nMW2000_RearContacted_Fair  (No 11) */
/* EasyCASE < */
                                         /* quadrant 0 dir. 0, speed 0 */
{{{8,1016,      0x0L,    1L,    1L,    0L},    
  {64,1016,     0x0L,    1L,    1L,    0L},
  {112,1016,    0x0L,    1L,    1L,    0L},
  {160,1008,    0x0L,    1L,    1L,    0L},
  {200,1000,    0x0L,    1L,    1L,    0L},
  {232,992,     0x0L,    1L,    1L,    0L},
  {264,984,     0x0L,    1L,    1L,    0L},
  {304,976,     0x0L,    1L,    1L,    0L},
  {336,960,     0x0L,    1L,    1L,    0L},
  {368,952,     0x0L,    1L,    1L,    0L},
  {400,936,     0x0L,    1L,    1L,    0L},
  {432,928,     0x0L,    1L,    1L,    0L},
  {464,912,     0x0L,    1L,    1L,    0L},
  {496,888,     0x0L,    1L,    1L,    0L},
  {536,872,     0x0L,    1L,    1L,    0L},
  {576,840,     0x0L,    1L,    1L,    0L},
  {616,816,     0x0L,    1L,    1L,    0L},
  {656,784,     0x0L,    1L,    1L,    0L},
  {696,744,     0x0L,    1L,    1L,    0L},
  {744,696,     0x0L,    1L,    1L,    0L},
  {792,648,     0x0L,    1L,    1L,    0L},
  {832,592,     0x0L,    1L,    1L,    0L},
  {872,528,     0x0L,    1L,    1L,    0L},
  {912,464,     0x0L,    1L,    1L,    0L},
  {944,392,     0x0L,    1L,    1L,    0L},
  {968,320,     0x0L,    1L,    1L,    0L},
  {992,248,     0x0L,    1L,    1L,    0L},
  {1000,184,    0x0L,    1L,    1L,    0L},
  {1016,120,    0x0L,    1L,    1L,    0L},
  {1016,64,     0x0L,    1L,    1L,    0L},
  {1016,16,     0x0L,    1L,    1L,    0L},
  {1016,24,     0x1L,    1L,    1L,    0L},
                                         /* quadrant 1 dir. 0, speed 0 */
  {1016,64,     0x1L,    1L,    1L,    0L},    
  {1016,96,     0x1L,    1L,    1L,    0L},
  {1008,128,    0x1L,    1L,    1L,    0L},
  {1008,152,    0x1L,    1L,    1L,    0L},
  {1008,176,    0x1L,    1L,    1L,    0L},
  {1000,200,    0x1L,    1L,    1L,    0L},
  {992,224,     0x1L,    1L,    1L,    0L},
  {992,248,     0x1L,    1L,    1L,    0L},
  {984,264,     0x1L,    1L,    1L,    0L},
  {976,288,     0x1L,    1L,    1L,    0L},
  {968,312,     0x1L,    1L,    1L,    0L},
  {968,336,     0x1L,    1L,    1L,    0L},
  {952,360,     0x1L,    1L,    1L,    0L},
  {944,384,     0x1L,    1L,    1L,    0L},
  {936,408,     0x1L,    1L,    1L,    0L},
  {920,440,     0x1L,    1L,    1L,    0L},
  {904,472,     0x1L,    1L,    1L,    0L},
  {880,512,     0x1L,    1L,    1L,    0L},
  {856,552,     0x1L,    1L,    1L,    0L},
  {832,592,     0x1L,    1L,    1L,    0L},
  {800,632,     0x1L,    1L,    1L,    0L},
  {760,680,     0x1L,    1L,    1L,    0L},
  {712,728,     0x1L,    1L,    1L,    0L},
  {656,776,     0x1L,    1L,    1L,    0L},
  {592,832,     0x1L,    1L,    1L,    0L},
  {528,872,     0x1L,    1L,    1L,    0L},
  {448,920,     0x1L,    1L,    1L,    0L},
  {368,952,     0x1L,    1L,    1L,    0L},
  {280,984,     0x1L,    1L,    1L,    0L},
  {200,1000,    0x1L,    1L,    1L,    0L},
  {120,1016,    0x1L,    1L,    1L,    0L},
  {48,1016,     0x1L,    1L,    1L,    0L},
                                         /* quadrant 2 dir. 0, speed 0 */  
  {8,1016,      0x2L,    1L,    1L,    0L},    
  {64,1016,     0x2L,    1L,    1L,    0L},
  {112,1016,    0x2L,    1L,    1L,    0L},
  {160,1008,    0x2L,    1L,    1L,    0L},
  {200,1000,    0x2L,    1L,    1L,    0L},
  {232,992,     0x2L,    1L,    1L,    0L},
  {264,984,     0x2L,    1L,    1L,    0L},
  {304,976,     0x2L,    1L,    1L,    0L},
  {336,960,     0x2L,    1L,    1L,    0L},
  {368,952,     0x2L,    1L,    1L,    0L},
  {400,936,     0x2L,    1L,    1L,    0L},
  {432,928,     0x2L,    1L,    1L,    0L},
  {464,912,     0x2L,    1L,    1L,    0L},
  {496,888,     0x2L,    1L,    1L,    0L},
  {536,872,     0x2L,    1L,    1L,    0L},
  {576,840,     0x2L,    1L,    1L,    0L},
  {616,816,     0x2L,    1L,    1L,    0L},
  {656,784,     0x2L,    1L,    1L,    0L},
  {696,744,     0x2L,    1L,    1L,    0L},
  {744,696,     0x2L,    1L,    1L,    0L},
  {792,648,     0x2L,    1L,    1L,    0L},
  {832,592,     0x2L,    1L,    1L,    0L},
  {872,528,     0x2L,    1L,    1L,    0L},
  {912,464,     0x2L,    1L,    1L,    0L},
  {944,392,     0x2L,    1L,    1L,    0L},
  {968,320,     0x2L,    1L,    1L,    0L},
  {992,248,     0x2L,    1L,    1L,    0L},
  {1000,184,    0x2L,    1L,    1L,    0L},
  {1016,120,    0x2L,    1L,    1L,    0L},
  {1016,64,     0x2L,    1L,    1L,    0L},
  {1016,16,     0x2L,    1L,    1L,    0L},
  {1016,24,     0x3L,    1L,    1L,    0L},
                                         /* quadrant 3 dir. 0, speed 0 */  
  {1016,64,     0x3L,    1L,    1L,    0L},    
  {1016,96,     0x3L,    1L,    1L,    0L},
  {1008,128,    0x3L,    1L,    1L,    0L},
  {1008,152,    0x3L,    1L,    1L,    0L},
  {1008,176,    0x3L,    1L,    1L,    0L},
  {1000,200,    0x3L,    1L,    1L,    0L},
  {992,224,     0x3L,    1L,    1L,    0L},
  {992,248,     0x3L,    1L,    1L,    0L},
  {984,264,     0x3L,    1L,    1L,    0L},
  {976,288,     0x3L,    1L,    1L,    0L},
  {968,312,     0x3L,    1L,    1L,    0L},
  {968,336,     0x3L,    1L,    1L,    0L},
  {952,360,     0x3L,    1L,    1L,    0L},
  {944,384,     0x3L,    1L,    1L,    0L},
  {936,408,     0x3L,    1L,    1L,    0L},
  {920,440,     0x3L,    1L,    1L,    0L},
  {904,472,     0x3L,    1L,    1L,    0L},
  {880,512,     0x3L,    1L,    1L,    0L},
  {856,552,     0x3L,    1L,    1L,    0L},
  {832,592,     0x3L,    1L,    1L,    0L},
  {800,632,     0x3L,    1L,    1L,    0L},
  {760,680,     0x3L,    1L,    1L,    0L},
  {712,728,     0x3L,    1L,    1L,    0L},
  {656,776,     0x3L,    1L,    1L,    0L},
  {592,832,     0x3L,    1L,    1L,    0L},
  {528,872,     0x3L,    1L,    1L,    0L},
  {448,920,     0x3L,    1L,    1L,    0L},
  {368,952,     0x3L,    1L,    1L,    0L},
  {280,984,     0x3L,    1L,    1L,    0L},
  {200,1000,    0x3L,    1L,    1L,    0L},
  {120,1016,    0x3L,    1L,    1L,    0L},
  {48,1016,     0x3L,    1L,    1L,    0L}},
/* EasyCASE > */
/* EasyCASE ) */
/* EasyCASE ( 1243
   Direction 1 (CCW), Speed 1 (special table)
   MUL-SMIA_nMW2000_RearContacted_Fair  (No 11) */
/* EasyCASE < */
                                         /* quadrant 0 dir. 0, speed 0 */
 {{320,968,     0x3L,    1L,    1L,    0L},    
  {288,976,     0x3L,    1L,    1L,    0L},
  {256,984,     0x3L,    1L,    1L,    0L},
  {224,992,     0x3L,    1L,    1L,    0L},
  {184,1000,    0x3L,    1L,    1L,    0L},
  {152,1008,    0x3L,    1L,    1L,    0L},
  {112,1016,    0x3L,    1L,    1L,    0L},
  {64,1016,     0x3L,    1L,    1L,    0L},
  {24,1016,     0x3L,    1L,    1L,    0L},
  {32,1016,     0x0L,    1L,    1L,    0L},
  {88,1016,     0x0L,    1L,    1L,    0L},
  {144,1008,    0x0L,    1L,    1L,    0L},
  {216,1000,    0x0L,    1L,    1L,    0L},
  {288,976,     0x0L,    1L,    1L,    0L},
  {360,952,     0x0L,    1L,    1L,    0L},
  {440,920,     0x0L,    1L,    1L,    0L},
  {512,880,     0x0L,    1L,    1L,    0L},
  {584,840,     0x0L,    1L,    1L,    0L},
  {640,792,     0x0L,    1L,    1L,    0L},
  {696,744,     0x0L,    1L,    1L,    0L},
  {744,696,     0x0L,    1L,    1L,    0L},
  {784,648,     0x0L,    1L,    1L,    0L},
  {824,600,     0x0L,    1L,    1L,    0L},
  {848,560,     0x0L,    1L,    1L,    0L},
  {872,520,     0x0L,    1L,    1L,    0L},
  {896,488,     0x0L,    1L,    1L,    0L},
  {912,456,     0x0L,    1L,    1L,    0L},
  {928,424,     0x0L,    1L,    1L,    0L},
  {936,400,     0x0L,    1L,    1L,    0L},
  {952,376,     0x0L,    1L,    1L,    0L},
  {960,352,     0x0L,    1L,    1L,    0L},
  {968,328,     0x0L,    1L,    1L,    0L},
                                         /* quadrant 1 dir. 0, speed 0 */ 
  {976,304,     0x0L,    1L,    1L,    0L},    
  {976,288,     0x0L,    1L,    1L,    0L},
  {984,264,     0x0L,    1L,    1L,    0L},
  {992,240,     0x0L,    1L,    1L,    0L},
  {992,224,     0x0L,    1L,    1L,    0L},
  {1000,200,    0x0L,    1L,    1L,    0L},
  {1008,176,    0x0L,    1L,    1L,    0L},
  {1008,152,    0x0L,    1L,    1L,    0L},
  {1016,120,    0x0L,    1L,    1L,    0L},
  {1016,88,     0x0L,    1L,    1L,    0L},
  {1016,56,     0x0L,    1L,    1L,    0L},
  {1016,16,     0x0L,    1L,    1L,    0L},
  {1016,32,     0x1L,    1L,    1L,    0L},
  {1016,80,     0x1L,    1L,    1L,    0L},
  {1008,144,    0x1L,    1L,    1L,    0L},
  {1000,208,    0x1L,    1L,    1L,    0L},
  {976,280,     0x1L,    1L,    1L,    0L},
  {952,360,     0x1L,    1L,    1L,    0L},
  {920,440,     0x1L,    1L,    1L,    0L},
  {880,512,     0x1L,    1L,    1L,    0L},
  {840,584,     0x1L,    1L,    1L,    0L},
  {792,648,     0x1L,    1L,    1L,    0L},
  {736,704,     0x1L,    1L,    1L,    0L},
  {688,752,     0x1L,    1L,    1L,    0L},
  {640,792,     0x1L,    1L,    1L,    0L},
  {592,832,     0x1L,    1L,    1L,    0L},
  {552,864,     0x1L,    1L,    1L,    0L},
  {504,888,     0x1L,    1L,    1L,    0L},
  {464,904,     0x1L,    1L,    1L,    0L},
  {424,928,     0x1L,    1L,    1L,    0L},
  {392,944,     0x1L,    1L,    1L,    0L},
  {360,952,     0x1L,    1L,    1L,    0L},
                                         /* quadrant 2 dir. 0, speed 0 */  
  {320,968,     0x1L,    1L,    1L,    0L},   
  {288,976,     0x1L,    1L,    1L,    0L},
  {256,984,     0x1L,    1L,    1L,    0L},
  {224,992,     0x1L,    1L,    1L,    0L},
  {184,1000,    0x1L,    1L,    1L,    0L},
  {152,1008,    0x1L,    1L,    1L,    0L},
  {112,1016,    0x1L,    1L,    1L,    0L},
  {64,1016,     0x1L,    1L,    1L,    0L},
  {24,1016,     0x1L,    1L,    1L,    0L},
  {32,1016,     0x2L,    1L,    1L,    0L},
  {88,1016,     0x2L,    1L,    1L,    0L},
  {144,1008,    0x2L,    1L,    1L,    0L},
  {216,1000,    0x2L,    1L,    1L,    0L},
  {288,976,     0x2L,    1L,    1L,    0L},
  {360,952,     0x2L,    1L,    1L,    0L},
  {440,920,     0x2L,    1L,    1L,    0L},
  {512,880,     0x2L,    1L,    1L,    0L},
  {584,840,     0x2L,    1L,    1L,    0L},
  {640,792,     0x2L,    1L,    1L,    0L},
  {696,744,     0x2L,    1L,    1L,    0L},
  {744,696,     0x2L,    1L,    1L,    0L},
  {784,648,     0x2L,    1L,    1L,    0L},
  {824,600,     0x2L,    1L,    1L,    0L},
  {848,560,     0x2L,    1L,    1L,    0L},
  {872,520,     0x2L,    1L,    1L,    0L},
  {896,488,     0x2L,    1L,    1L,    0L},
  {912,456,     0x2L,    1L,    1L,    0L},
  {928,424,     0x2L,    1L,    1L,    0L},
  {936,400,     0x2L,    1L,    1L,    0L},
  {952,376,     0x2L,    1L,    1L,    0L},
  {960,352,     0x2L,    1L,    1L,    0L},
  {968,328,     0x2L,    1L,    1L,    0L},
                                         /* quadrant 3 dir. 0, speed 0 */  
  {976,304,     0x2L,    1L,    1L,    0L},    
  {976,288,     0x2L,    1L,    1L,    0L},
  {984,264,     0x2L,    1L,    1L,    0L},
  {992,240,     0x2L,    1L,    1L,    0L},
  {992,224,     0x2L,    1L,    1L,    0L},
  {1000,200,    0x2L,    1L,    1L,    0L},
  {1008,176,    0x2L,    1L,    1L,    0L},
  {1008,152,    0x2L,    1L,    1L,    0L},
  {1016,120,    0x2L,    1L,    1L,    0L},
  {1016,88,     0x2L,    1L,    1L,    0L},
  {1016,56,     0x2L,    1L,    1L,    0L},
  {1016,16,     0x2L,    1L,    1L,    0L},
  {1016,32,     0x3L,    1L,    1L,    0L},
  {1016,80,     0x3L,    1L,    1L,    0L},
  {1008,144,    0x3L,    1L,    1L,    0L},
  {1000,208,    0x3L,    1L,    1L,    0L},
  {976,280,     0x3L,    1L,    1L,    0L},
  {952,360,     0x3L,    1L,    1L,    0L},
  {920,440,     0x3L,    1L,    1L,    0L},
  {880,512,     0x3L,    1L,    1L,    0L},
  {840,584,     0x3L,    1L,    1L,    0L},
  {792,648,     0x3L,    1L,    1L,    0L},
  {736,704,     0x3L,    1L,    1L,    0L},
  {688,752,     0x3L,    1L,    1L,    0L},
  {640,792,     0x3L,    1L,    1L,    0L},
  {592,832,     0x3L,    1L,    1L,    0L},
  {552,864,     0x3L,    1L,    1L,    0L},
  {504,888,     0x3L,    1L,    1L,    0L},
  {464,904,     0x3L,    1L,    1L,    0L},
  {424,928,     0x3L,    1L,    1L,    0L},
  {392,944,     0x3L,    1L,    1L,    0L},
  {360,952,     0x3L,    1L,    1L,    0L}}}}
};
/* EasyCASE > */
/* EasyCASE ) */
/* EasyCASE ) */
/* EasyCASE ( 1244
   MW2000 REAR-CONTACTED COUNTER-CLOCKWISE
   SMIA_nMW2000_RearContacted_Fair  (No 11) */
/* EasyCASE ( 1245
   Direction 0 (CCW), Speed 0 (normal table)
   EDUL-SMIA_nMW2000_RearContacted_Fair  (No 11) */
/* EasyCASE < */
const struct SMIA_ISM_PWMStd SMIA_ISM_A_STDPWMTABLE11_EDUL = {
/*  CVP   CHP   CQI  IVR IHR */
{{{                                      /* quadrant 0 dir. 0, speed 0 */
  {360,952,     0x0L,    1L,    1L,    0L},
  {392,944,     0x0L,    1L,    1L,    0L},
  {424,928,     0x0L,    1L,    1L,    0L},
  {464,904,     0x0L,    1L,    1L,    0L},
  {504,888,     0x0L,    1L,    1L,    0L},
  {552,864,     0x0L,    1L,    1L,    0L},
  {592,832,     0x0L,    1L,    1L,    0L},
  {640,792,     0x0L,    1L,    1L,    0L},
  {688,752,     0x0L,    1L,    1L,    0L},
  {736,704,     0x0L,    1L,    1L,    0L},
  {792,648,     0x0L,    1L,    1L,    0L},
  {840,584,     0x0L,    1L,    1L,    0L},
  {880,512,     0x0L,    1L,    1L,    0L},
  {920,440,     0x0L,    1L,    1L,    0L},
  {952,360,     0x0L,    1L,    1L,    0L},
  {976,280,     0x0L,    1L,    1L,    0L},
  {1000,208,    0x0L,    1L,    1L,    0L},
  {1008,144,    0x0L,    1L,    1L,    0L},
  {1016,80,     0x0L,    1L,    1L,    0L},
  {1016,32,     0x0L,    1L,    1L,    0L},
  {1016,16,     0x1L,    1L,    1L,    0L},
  {1016,56,     0x1L,    1L,    1L,    0L},
  {1016,88,     0x1L,    1L,    1L,    0L},
  {1016,120,    0x1L,    1L,    1L,    0L},
  {1008,152,    0x1L,    1L,    1L,    0L},
  {1008,176,    0x1L,    1L,    1L,    0L},
  {1000,200,    0x1L,    1L,    1L,    0L},
  {992,224,     0x1L,    1L,    1L,    0L},
  {992,240,     0x1L,    1L,    1L,    0L},
  {984,264,     0x1L,    1L,    1L,    0L},
  {976,288,     0x1L,    1L,    1L,    0L},
  {976,304,     0x1L,    1L,    1L,    0L},
                                         /* quadrant 1 dir. 0, speed 0 */
  {968,328,     0x1L,    1L,    1L,    0L},
  {960,352,     0x1L,    1L,    1L,    0L},
  {952,376,     0x1L,    1L,    1L,    0L},
  {936,400,     0x1L,    1L,    1L,    0L},
  {928,424,     0x1L,    1L,    1L,    0L},
  {912,456,     0x1L,    1L,    1L,    0L},
  {896,488,     0x1L,    1L,    1L,    0L},
  {872,520,     0x1L,    1L,    1L,    0L},
  {848,560,     0x1L,    1L,    1L,    0L},
  {824,600,     0x1L,    1L,    1L,    0L},
  {784,648,     0x1L,    1L,    1L,    0L},
  {744,696,     0x1L,    1L,    1L,    0L},
  {696,744,     0x1L,    1L,    1L,    0L},
  {640,792,     0x1L,    1L,    1L,    0L},
  {584,840,     0x1L,    1L,    1L,    0L},
  {512,880,     0x1L,    1L,    1L,    0L},
  {440,920,     0x1L,    1L,    1L,    0L},
  {360,952,     0x1L,    1L,    1L,    0L},
  {288,976,     0x1L,    1L,    1L,    0L},
  {216,1000,    0x1L,    1L,    1L,    0L},
  {144,1008,    0x1L,    1L,    1L,    0L},
  {88,1016,     0x1L,    1L,    1L,    0L},
  {32,1016,     0x1L,    1L,    1L,    0L},
  {24,1016,     0x2L,    1L,    1L,    0L},
  {64,1016,     0x2L,    1L,    1L,    0L},
  {112,1016,    0x2L,    1L,    1L,    0L},
  {152,1008,    0x2L,    1L,    1L,    0L},
  {184,1000,    0x2L,    1L,    1L,    0L},
  {224,992,     0x2L,    1L,    1L,    0L},
  {256,984,     0x2L,    1L,    1L,    0L},
  {288,976,     0x2L,    1L,    1L,    0L},
  {320,968,     0x2L,    1L,    1L,    0L},
                                        /* quadrant 2 dir. 0, speed 0 */
  {360,952,     0x2L,    1L,    1L,    0L},
  {392,944,     0x2L,    1L,    1L,    0L},
  {424,928,     0x2L,    1L,    1L,    0L},
  {464,904,     0x2L,    1L,    1L,    0L},
  {504,888,     0x2L,    1L,    1L,    0L},
  {552,864,     0x2L,    1L,    1L,    0L},
  {592,832,     0x2L,    1L,    1L,    0L},
  {640,792,     0x2L,    1L,    1L,    0L},
  {688,752,     0x2L,    1L,    1L,    0L},
  {736,704,     0x2L,    1L,    1L,    0L},
  {792,648,     0x2L,    1L,    1L,    0L},
  {840,584,     0x2L,    1L,    1L,    0L},
  {880,512,     0x2L,    1L,    1L,    0L},
  {920,440,     0x2L,    1L,    1L,    0L},
  {952,360,     0x2L,    1L,    1L,    0L},
  {976,280,     0x2L,    1L,    1L,    0L},
  {1000,208,    0x2L,    1L,    1L,    0L},
  {1008,144,    0x2L,    1L,    1L,    0L},
  {1016,80,     0x2L,    1L,    1L,    0L},
  {1016,32,     0x2L,    1L,    1L,    0L}, 
  {1016,16,     0x3L,    1L,    1L,    0L},
  {1016,56,     0x3L,    1L,    1L,    0L},
  {1016,88,     0x3L,    1L,    1L,    0L},
  {1016,120,    0x3L,    1L,    1L,    0L},
  {1008,152,    0x3L,    1L,    1L,    0L},
  {1008,176,    0x3L,    1L,    1L,    0L},
  {1000,200,    0x3L,    1L,    1L,    0L},
  {992,224,     0x3L,    1L,    1L,    0L},
  {992,240,     0x3L,    1L,    1L,    0L},
  {984,264,     0x3L,    1L,    1L,    0L},
  {976,288,     0x3L,    1L,    1L,    0L},
  {976,304,     0x3L,    1L,    1L,    0L},
                                         /* quadrant 3 dir. 0, speed 0 */
  {968,328,     0x3L,    1L,    1L,    0L},
  {960,352,     0x3L,    1L,    1L,    0L},
  {952,376,     0x3L,    1L,    1L,    0L},
  {936,400,     0x3L,    1L,    1L,    0L},
  {928,424,     0x3L,    1L,    1L,    0L},
  {912,456,     0x3L,    1L,    1L,    0L},
  {896,488,     0x3L,    1L,    1L,    0L},
  {872,520,     0x3L,    1L,    1L,    0L},
  {848,560,     0x3L,    1L,    1L,    0L},
  {824,600,     0x3L,    1L,    1L,    0L},
  {784,648,     0x3L,    1L,    1L,    0L},
  {744,696,     0x3L,    1L,    1L,    0L},
  {696,744,     0x3L,    1L,    1L,    0L},
  {640,792,     0x3L,    1L,    1L,    0L},
  {584,840,     0x3L,    1L,    1L,    0L},
  {512,880,     0x3L,    1L,    1L,    0L},
  {440,920,     0x3L,    1L,    1L,    0L},
  {360,952,     0x3L,    1L,    1L,    0L},
  {288,976,     0x3L,    1L,    1L,    0L},
  {216,1000,    0x3L,    1L,    1L,    0L},
  {144,1008,    0x3L,    1L,    1L,    0L},
  {88,1016,     0x3L,    1L,    1L,    0L},
  {32,1016,     0x3L,    1L,    1L,    0L},
  {24,1016,     0x0L,    1L,    1L,    0L},
  {64,1016,     0x0L,    1L,    1L,    0L},
  {112,1016,    0x0L,    1L,    1L,    0L},
  {152,1008,    0x0L,    1L,    1L,    0L},
  {184,1000,    0x0L,    1L,    1L,    0L},
  {224,992,     0x0L,    1L,    1L,    0L},
  {256,984,     0x0L,    1L,    1L,    0L},
  {288,976,     0x0L,    1L,    1L,    0L},
  {320,968,     0x0L,    1L,    1L,    0L}},
/* EasyCASE > */
/* EasyCASE ) */
/* EasyCASE ( 1246
   Direction 1 (CW), Speed 0 (normal table)
   EDUL-SMIA_nMW2000_RearContacted_Fair  (No 11) */
/* EasyCASE < */
                                        /* quadrant 2 dir. 1, speed 0 */
{{48,1016,     0x0L,    1L,    1L,    0L},
 {120,1016,    0x0L,    1L,    1L,    0L},
 {200,1000,    0x0L,    1L,    1L,    0L},
 {280,984,     0x0L,    1L,    1L,    0L},
 {368,952,     0x0L,    1L,    1L,    0L},
 {448,920,     0x0L,    1L,    1L,    0L},
 {528,872,     0x0L,    1L,    1L,    0L},
 {592,832,     0x0L,    1L,    1L,    0L},
 {656,776,     0x0L,    1L,    1L,    0L},
 {712,728,     0x0L,    1L,    1L,    0L},
 {760,680,     0x0L,    1L,    1L,    0L},
 {800,632,     0x0L,    1L,    1L,    0L},
 {832,592,     0x0L,    1L,    1L,    0L},
 {856,552,     0x0L,    1L,    1L,    0L},
 {880,512,     0x0L,    1L,    1L,    0L},
 {904,472,     0x0L,    1L,    1L,    0L},
 {920,440,     0x0L,    1L,    1L,    0L},
 {936,408,     0x0L,    1L,    1L,    0L},
 {944,384,     0x0L,    1L,    1L,    0L},
 {952,360,     0x0L,    1L,    1L,    0L},
 {968,336,     0x0L,    1L,    1L,    0L},
 {968,312,     0x0L,    1L,    1L,    0L},
 {976,288,     0x0L,    1L,    1L,    0L},
 {984,264,     0x0L,    1L,    1L,    0L},
 {992,248,     0x0L,    1L,    1L,    0L},
 {992,224,     0x0L,    1L,    1L,    0L},
 {1000,200,    0x0L,    1L,    1L,    0L}, 
 {1008,176,    0x0L,    1L,    1L,    0L},
 {1008,152,    0x0L,    1L,    1L,    0L},
 {1008,128,    0x0L,    1L,    1L,    0L},
 {1016,96,     0x0L,    1L,    1L,    0L},
 {1016,64,     0x0L,    1L,    1L,    0L},
                                        /* quadrant 3 dir. 1, speed 0 */
 {1016,24,     0x0L,    1L,    1L,    0L}, 
 {1016,16,     0x1L,    1L,    1L,    0L},
 {1016,64,     0x1L,    1L,    1L,    0L},
 {1016,120,    0x1L,    1L,    1L,    0L},
 {1000,184,    0x1L,    1L,    1L,    0L},
 {992,248,     0x1L,    1L,    1L,    0L},
 {968,320,     0x1L,    1L,    1L,    0L},
 {944,392,     0x1L,    1L,    1L,    0L},
 {912,464,     0x1L,    1L,    1L,    0L},
 {872,528,     0x1L,    1L,    1L,    0L},
 {832,592,     0x1L,    1L,    1L,    0L},
 {792,648,     0x1L,    1L,    1L,    0L},
 {744,696,     0x1L,    1L,    1L,    0L},
 {696,744,     0x1L,    1L,    1L,    0L},
 {656,784,     0x1L,    1L,    1L,    0L},
 {616,816,     0x1L,    1L,    1L,    0L},
 {576,840,     0x1L,    1L,    1L,    0L},
 {536,872,     0x1L,    1L,    1L,    0L},
 {496,888,     0x1L,    1L,    1L,    0L},
 {464,912,     0x1L,    1L,    1L,    0L},
 {432,928,     0x1L,    1L,    1L,    0L},
 {400,936,     0x1L,    1L,    1L,    0L},
 {368,952,     0x1L,    1L,    1L,    0L},
 {336,960,     0x1L,    1L,    1L,    0L},
 {304,976,     0x1L,    1L,    1L,    0L},
 {264,984,     0x1L,    1L,    1L,    0L},
 {232,992,     0x1L,    1L,    1L,    0L},
 {200,1000,    0x1L,    1L,    1L,    0L},
 {160,1008,    0x1L,    1L,    1L,    0L},
 {112,1016,    0x1L,    1L,    1L,    0L},
 {64,1016,     0x1L,    1L,    1L,    0L},
 {8,1016,      0x1L,    1L,    1L,    0L},
                                        /* quadrant 0 dir. 1, speed 0 */
 {48,1016,     0x2L,    1L,    1L,    0L},
 {120,1016,    0x2L,    1L,    1L,    0L},
 {200,1000,    0x2L,    1L,    1L,    0L},
 {280,984,     0x2L,    1L,    1L,    0L},
 {368,952,     0x2L,    1L,    1L,    0L},
 {448,920,     0x2L,    1L,    1L,    0L},
 {528,872,     0x2L,    1L,    1L,    0L},
 {592,832,     0x2L,    1L,    1L,    0L},
 {656,776,     0x2L,    1L,    1L,    0L},
 {712,728,     0x2L,    1L,    1L,    0L},
 {760,680,     0x2L,    1L,    1L,    0L},
 {800,632,     0x2L,    1L,    1L,    0L},
 {832,592,     0x2L,    1L,    1L,    0L},
 {856,552,     0x2L,    1L,    1L,    0L},
 {880,512,     0x2L,    1L,    1L,    0L},
 {904,472,     0x2L,    1L,    1L,    0L},
 {920,440,     0x2L,    1L,    1L,    0L},
 {936,408,     0x2L,    1L,    1L,    0L},
 {944,384,     0x2L,    1L,    1L,    0L},
 {952,360,     0x2L,    1L,    1L,    0L},
 {968,336,     0x2L,    1L,    1L,    0L},
 {968,312,     0x2L,    1L,    1L,    0L},
 {976,288,     0x2L,    1L,    1L,    0L},
 {984,264,     0x2L,    1L,    1L,    0L},
 {992,248,     0x2L,    1L,    1L,    0L},
 {992,224,     0x2L,    1L,    1L,    0L},
 {1000,200,    0x2L,    1L,    1L,    0L}, 
 {1008,176,    0x2L,    1L,    1L,    0L},
 {1008,152,    0x2L,    1L,    1L,    0L},
 {1008,128,    0x2L,    1L,    1L,    0L},
 {1016,96,     0x2L,    1L,    1L,    0L},
 {1016,64,     0x2L,    1L,    1L,    0L},
                                        /* quadrant 1 dir. 1, speed 0 */
 {1016,24,     0x2L,    1L,    1L,    0L}, 
 {1016,16,     0x3L,    1L,    1L,    0L},
 {1016,64,     0x3L,    1L,    1L,    0L},
 {1016,120,    0x3L,    1L,    1L,    0L},
 {1000,184,    0x3L,    1L,    1L,    0L},
 {992,248,     0x3L,    1L,    1L,    0L},
 {968,320,     0x3L,    1L,    1L,    0L},
 {944,392,     0x3L,    1L,    1L,    0L},
 {912,464,     0x3L,    1L,    1L,    0L},
 {872,528,     0x3L,    1L,    1L,    0L},
 {832,592,     0x3L,    1L,    1L,    0L},
 {792,648,     0x3L,    1L,    1L,    0L},
 {744,696,     0x3L,    1L,    1L,    0L},
 {696,744,     0x3L,    1L,    1L,    0L},
 {656,784,     0x3L,    1L,    1L,    0L},
 {616,816,     0x3L,    1L,    1L,    0L},
 {576,840,     0x3L,    1L,    1L,    0L},
 {536,872,     0x3L,    1L,    1L,    0L},
 {496,888,     0x3L,    1L,    1L,    0L},
 {464,912,     0x3L,    1L,    1L,    0L},
 {432,928,     0x3L,    1L,    1L,    0L},
 {400,936,     0x3L,    1L,    1L,    0L},
 {368,952,     0x3L,    1L,    1L,    0L},
 {336,960,     0x3L,    1L,    1L,    0L},
 {304,976,     0x3L,    1L,    1L,    0L},
 {264,984,     0x3L,    1L,    1L,    0L},
 {232,992,     0x3L,    1L,    1L,    0L},
 {200,1000,    0x3L,    1L,    1L,    0L},
 {160,1008,    0x3L,    1L,    1L,    0L},
 {112,1016,    0x3L,    1L,    1L,    0L},
 {64,1016,     0x3L,    1L,    1L,    0L},
 {8,1016,      0x3L,    1L,    1L,    0L}}},
/* EasyCASE > */
/* EasyCASE ) */
/* EasyCASE ( 1247
   Direction 0 (CCW), Speed 1 (special table)
   EDUL-SMIA_nMW2000_RearContacted_Fair  (No 11) */
/* EasyCASE < */
                                        /* quadrant 0 dir. 0, speed 1 */
{{{360,952,     0x0L,    1L,    1L,    0L},
  {392,944,     0x0L,    1L,    1L,    0L},
  {424,928,     0x0L,    1L,    1L,    0L},
  {464,904,     0x0L,    1L,    1L,    0L},
  {504,888,     0x0L,    1L,    1L,    0L},
  {552,864,     0x0L,    1L,    1L,    0L},
  {592,832,     0x0L,    1L,    1L,    0L},
  {640,792,     0x0L,    1L,    1L,    0L},
  {688,752,     0x0L,    1L,    1L,    0L},
  {736,704,     0x0L,    1L,    1L,    0L},
  {792,648,     0x0L,    1L,    1L,    0L},
  {840,584,     0x0L,    1L,    1L,    0L},
  {880,512,     0x0L,    1L,    1L,    0L},
  {920,440,     0x0L,    1L,    1L,    0L},
  {952,360,     0x0L,    1L,    1L,    0L},
  {976,280,     0x0L,    1L,    1L,    0L},
  {1000,208,    0x0L,    1L,    1L,    0L},
  {1008,144,    0x0L,    1L,    1L,    0L},
  {1016,80,     0x0L,    1L,    1L,    0L},
  {1016,32,     0x0L,    1L,    1L,    0L},
  {1016,16,     0x1L,    1L,    1L,    0L},
  {1016,56,     0x1L,    1L,    1L,    0L},
  {1016,88,     0x1L,    1L,    1L,    0L},
  {1016,120,    0x1L,    1L,    1L,    0L},
  {1008,152,    0x1L,    1L,    1L,    0L},
  {1008,176,    0x1L,    1L,    1L,    0L},
  {1000,200,    0x1L,    1L,    1L,    0L},
  {992,224,     0x1L,    1L,    1L,    0L},
  {992,240,     0x1L,    1L,    1L,    0L},
  {984,264,     0x1L,    1L,    1L,    0L},
  {976,288,     0x1L,    1L,    1L,    0L},
  {976,304,     0x1L,    1L,    1L,    0L},
                                         /* quadrant 1 dir. 0, speed 1 */
  {968,328,     0x1L,    1L,    1L,    0L},
  {960,352,     0x1L,    1L,    1L,    0L},
  {952,376,     0x1L,    1L,    1L,    0L},
  {936,400,     0x1L,    1L,    1L,    0L},
  {928,424,     0x1L,    1L,    1L,    0L},
  {912,456,     0x1L,    1L,    1L,    0L},
  {896,488,     0x1L,    1L,    1L,    0L},
  {872,520,     0x1L,    1L,    1L,    0L},
  {848,560,     0x1L,    1L,    1L,    0L},
  {824,600,     0x1L,    1L,    1L,    0L},
  {784,648,     0x1L,    1L,    1L,    0L},
  {744,696,     0x1L,    1L,    1L,    0L},
  {696,744,     0x1L,    1L,    1L,    0L},
  {640,792,     0x1L,    1L,    1L,    0L},
  {584,840,     0x1L,    1L,    1L,    0L},
  {512,880,     0x1L,    1L,    1L,    0L},
  {440,920,     0x1L,    1L,    1L,    0L},
  {360,952,     0x1L,    1L,    1L,    0L},
  {288,976,     0x1L,    1L,    1L,    0L},
  {216,1000,    0x1L,    1L,    1L,    0L},
  {144,1008,    0x1L,    1L,    1L,    0L},
  {88,1016,     0x1L,    1L,    1L,    0L},
  {32,1016,     0x1L,    1L,    1L,    0L}, 
  {24,1016,     0x2L,    1L,    1L,    0L},
  {64,1016,     0x2L,    1L,    1L,    0L},
  {112,1016,    0x2L,    1L,    1L,    0L},
  {152,1008,    0x2L,    1L,    1L,    0L},
  {184,1000,    0x2L,    1L,    1L,    0L},
  {224,992,     0x2L,    1L,    1L,    0L},
  {256,984,     0x2L,    1L,    1L,    0L},
  {288,976,     0x2L,    1L,    1L,    0L},
  {320,968,     0x2L,    1L,    1L,    0L},
                                        /* quadrant 2 dir. 0, speed 1 */
  {360,952,     0x2L,    1L,    1L,    0L},
  {392,944,     0x2L,    1L,    1L,    0L},
  {424,928,     0x2L,    1L,    1L,    0L},
  {464,904,     0x2L,    1L,    1L,    0L},
  {504,888,     0x2L,    1L,    1L,    0L},
  {552,864,     0x2L,    1L,    1L,    0L},
  {592,832,     0x2L,    1L,    1L,    0L},
  {640,792,     0x2L,    1L,    1L,    0L},
  {688,752,     0x2L,    1L,    1L,    0L},
  {736,704,     0x2L,    1L,    1L,    0L},
  {792,648,     0x2L,    1L,    1L,    0L},
  {840,584,     0x2L,    1L,    1L,    0L},
  {880,512,     0x2L,    1L,    1L,    0L},
  {920,440,     0x2L,    1L,    1L,    0L},
  {952,360,     0x2L,    1L,    1L,    0L},
  {976,280,     0x2L,    1L,    1L,    0L},
  {1000,208,    0x2L,    1L,    1L,    0L},
  {1008,144,    0x2L,    1L,    1L,    0L},
  {1016,80,     0x2L,    1L,    1L,    0L},
  {1016,32,     0x2L,    1L,    1L,    0L}, 
  {1016,16,     0x3L,    1L,    1L,    0L},
  {1016,56,     0x3L,    1L,    1L,    0L},
  {1016,88,     0x3L,    1L,    1L,    0L},
  {1016,120,    0x3L,    1L,    1L,    0L},
  {1008,152,    0x3L,    1L,    1L,    0L},
  {1008,176,    0x3L,    1L,    1L,    0L},
  {1000,200,    0x3L,    1L,    1L,    0L},
  {992,224,     0x3L,    1L,    1L,    0L},
  {992,240,     0x3L,    1L,    1L,    0L},
  {984,264,     0x3L,    1L,    1L,    0L},
  {976,288,     0x3L,    1L,    1L,    0L},
  {976,304,     0x3L,    1L,    1L,    0L},
                                         /* quadrant 3 dir. 0, speed 1 */
  {968,328,     0x3L,    1L,    1L,    0L},
  {960,352,     0x3L,    1L,    1L,    0L},
  {952,376,     0x3L,    1L,    1L,    0L},
  {936,400,     0x3L,    1L,    1L,    0L},
  {928,424,     0x3L,    1L,    1L,    0L},
  {912,456,     0x3L,    1L,    1L,    0L},
  {896,488,     0x3L,    1L,    1L,    0L},
  {872,520,     0x3L,    1L,    1L,    0L},
  {848,560,     0x3L,    1L,    1L,    0L},
  {824,600,     0x3L,    1L,    1L,    0L},
  {784,648,     0x3L,    1L,    1L,    0L},
  {744,696,     0x3L,    1L,    1L,    0L},
  {696,744,     0x3L,    1L,    1L,    0L},
  {640,792,     0x3L,    1L,    1L,    0L},
  {584,840,     0x3L,    1L,    1L,    0L},
  {512,880,     0x3L,    1L,    1L,    0L},
  {440,920,     0x3L,    1L,    1L,    0L},
  {360,952,     0x3L,    1L,    1L,    0L},
  {288,976,     0x3L,    1L,    1L,    0L},
  {216,1000,    0x3L,    1L,    1L,    0L},
  {144,1008,    0x3L,    1L,    1L,    0L},
  {88,1016,     0x3L,    1L,    1L,    0L},
  {32,1016,     0x3L,    1L,    1L,    0L},
  {24,1016,     0x0L,    1L,    1L,    0L},
  {64,1016,     0x0L,    1L,    1L,    0L},
  {112,1016,    0x0L,    1L,    1L,    0L},
  {152,1008,    0x0L,    1L,    1L,    0L},
  {184,1000,    0x0L,    1L,    1L,    0L},
  {224,992,     0x0L,    1L,    1L,    0L},
  {256,984,     0x0L,    1L,    1L,    0L},
  {288,976,     0x0L,    1L,    1L,    0L},
  {320,968,     0x0L,    1L,    1L,    0L}},
/* EasyCASE > */
/* EasyCASE ) */
/* EasyCASE ( 1248
   Direction 1 (CW), Speed 1 (special table)
   EDUL-SMIA_nMW2000_RearContacted_Fair  (No 11) */
/* EasyCASE < */
                                        /* quadrant 0 dir. 1, speed 0 */
{{48,1016,     0x0L,    1L,    1L,    0L},
 {120,1016,    0x0L,    1L,    1L,    0L},
 {200,1000,    0x0L,    1L,    1L,    0L},
 {280,984,     0x0L,    1L,    1L,    0L},
 {368,952,     0x0L,    1L,    1L,    0L},
 {448,920,     0x0L,    1L,    1L,    0L},
 {528,872,     0x0L,    1L,    1L,    0L},
 {592,832,     0x0L,    1L,    1L,    0L},
 {656,776,     0x0L,    1L,    1L,    0L},
 {712,728,     0x0L,    1L,    1L,    0L},
 {760,680,     0x0L,    1L,    1L,    0L},
 {800,632,     0x0L,    1L,    1L,    0L},
 {832,592,     0x0L,    1L,    1L,    0L},
 {856,552,     0x0L,    1L,    1L,    0L},
 {880,512,     0x0L,    1L,    1L,    0L},
 {904,472,     0x0L,    1L,    1L,    0L},
 {920,440,     0x0L,    1L,    1L,    0L},
 {936,408,     0x0L,    1L,    1L,    0L},
 {944,384,     0x0L,    1L,    1L,    0L},
 {952,360,     0x0L,    1L,    1L,    0L},
 {968,336,     0x0L,    1L,    1L,    0L},
 {968,312,     0x0L,    1L,    1L,    0L},
 {976,288,     0x0L,    1L,    1L,    0L},
 {984,264,     0x0L,    1L,    1L,    0L},
 {992,248,     0x0L,    1L,    1L,    0L},
 {992,224,     0x0L,    1L,    1L,    0L},
 {1000,200,    0x0L,    1L,    1L,    0L}, 
 {1008,176,    0x0L,    1L,    1L,    0L},
 {1008,152,    0x0L,    1L,    1L,    0L},
 {1008,128,    0x0L,    1L,    1L,    0L},
 {1016,96,     0x0L,    1L,    1L,    0L},
 {1016,64,     0x0L,    1L,    1L,    0L},
                                         /* quadrant 1 dir. 1, speed 1 */
 {1016,24,     0x0L,    1L,    1L,    0L}, 
 {1016,16,     0x1L,    1L,    1L,    0L},
 {1016,64,     0x1L,    1L,    1L,    0L},
 {1016,120,    0x1L,    1L,    1L,    0L},
 {1000,184,    0x1L,    1L,    1L,    0L},
 {992,248,     0x1L,    1L,    1L,    0L},
 {968,320,     0x1L,    1L,    1L,    0L},
 {944,392,     0x1L,    1L,    1L,    0L},
 {912,464,     0x1L,    1L,    1L,    0L},
 {872,528,     0x1L,    1L,    1L,    0L},
 {832,592,     0x1L,    1L,    1L,    0L},
 {792,648,     0x1L,    1L,    1L,    0L},
 {744,696,     0x1L,    1L,    1L,    0L},
 {696,744,     0x1L,    1L,    1L,    0L},
 {656,784,     0x1L,    1L,    1L,    0L},
 {616,816,     0x1L,    1L,    1L,    0L},
 {576,840,     0x1L,    1L,    1L,    0L},
 {536,872,     0x1L,    1L,    1L,    0L},
 {496,888,     0x1L,    1L,    1L,    0L},
 {464,912,     0x1L,    1L,    1L,    0L},
 {432,928,     0x1L,    1L,    1L,    0L},
 {400,936,     0x1L,    1L,    1L,    0L},
 {368,952,     0x1L,    1L,    1L,    0L},
 {336,960,     0x1L,    1L,    1L,    0L},
 {304,976,     0x1L,    1L,    1L,    0L},
 {264,984,     0x1L,    1L,    1L,    0L},
 {232,992,     0x1L,    1L,    1L,    0L},
 {200,1000,    0x1L,    1L,    1L,    0L},
 {160,1008,    0x1L,    1L,    1L,    0L},
 {112,1016,    0x1L,    1L,    1L,    0L},
 {64,1016,     0x1L,    1L,    1L,    0L},
 {8,1016,      0x1L,    1L,    1L,    0L},
                                         /* quadrant 2 dir. 1, speed 1 */
 {48,1016,     0x2L,    1L,    1L,    0L},
 {120,1016,    0x2L,    1L,    1L,    0L},
 {200,1000,    0x2L,    1L,    1L,    0L},
 {280,984,     0x2L,    1L,    1L,    0L},
 {368,952,     0x2L,    1L,    1L,    0L},
 {448,920,     0x2L,    1L,    1L,    0L},
 {528,872,     0x2L,    1L,    1L,    0L},
 {592,832,     0x2L,    1L,    1L,    0L},
 {656,776,     0x2L,    1L,    1L,    0L},
 {712,728,     0x2L,    1L,    1L,    0L},
 {760,680,     0x2L,    1L,    1L,    0L},
 {800,632,     0x2L,    1L,    1L,    0L},
 {832,592,     0x2L,    1L,    1L,    0L},
 {856,552,     0x2L,    1L,    1L,    0L},
 {880,512,     0x2L,    1L,    1L,    0L},
 {904,472,     0x2L,    1L,    1L,    0L},
 {920,440,     0x2L,    1L,    1L,    0L},
 {936,408,     0x2L,    1L,    1L,    0L},
 {944,384,     0x2L,    1L,    1L,    0L},
 {952,360,     0x2L,    1L,    1L,    0L},
 {968,336,     0x2L,    1L,    1L,    0L},
 {968,312,     0x2L,    1L,    1L,    0L},
 {976,288,     0x2L,    1L,    1L,    0L},
 {984,264,     0x2L,    1L,    1L,    0L},
 {992,248,     0x2L,    1L,    1L,    0L},
 {992,224,     0x2L,    1L,    1L,    0L},
 {1000,200,    0x2L,    1L,    1L,    0L}, 
 {1008,176,    0x2L,    1L,    1L,    0L},
 {1008,152,    0x2L,    1L,    1L,    0L},
 {1008,128,    0x2L,    1L,    1L,    0L},
 {1016,96,     0x2L,    1L,    1L,    0L},
 {1016,64,     0x2L,    1L,    1L,    0L},
                                         /* quadrant 3 dir. 1, speed 1 */
 {1016,24,     0x3L,    1L,    1L,    0L}, 
 {1016,16,     0x3L,    1L,    1L,    0L},
 {1016,64,     0x3L,    1L,    1L,    0L},
 {1016,120,    0x3L,    1L,    1L,    0L},
 {1000,184,    0x3L,    1L,    1L,    0L},
 {992,248,     0x3L,    1L,    1L,    0L},
 {968,320,     0x3L,    1L,    1L,    0L},
 {944,392,     0x3L,    1L,    1L,    0L},
 {912,464,     0x3L,    1L,    1L,    0L},
 {872,528,     0x3L,    1L,    1L,    0L},
 {832,592,     0x3L,    1L,    1L,    0L},
 {792,648,     0x3L,    1L,    1L,    0L},
 {744,696,     0x3L,    1L,    1L,    0L},
 {696,744,     0x3L,    1L,    1L,    0L},
 {656,784,     0x3L,    1L,    1L,    0L},
 {616,816,     0x3L,    1L,    1L,    0L},
 {576,840,     0x3L,    1L,    1L,    0L},
 {536,872,     0x3L,    1L,    1L,    0L},
 {496,888,     0x3L,    1L,    1L,    0L},
 {464,912,     0x3L,    1L,    1L,    0L},
 {432,928,     0x3L,    1L,    1L,    0L},
 {400,936,     0x3L,    1L,    1L,    0L},
 {368,952,     0x3L,    1L,    1L,    0L},
 {336,960,     0x3L,    1L,    1L,    0L},
 {304,976,     0x3L,    1L,    1L,    0L},
 {264,984,     0x3L,    1L,    1L,    0L},
 {232,992,     0x3L,    1L,    1L,    0L},
 {200,1000,    0x3L,    1L,    1L,    0L},
 {160,1008,    0x3L,    1L,    1L,    0L},
 {112,1016,    0x3L,    1L,    1L,    0L},
 {64,1016,     0x3L,    1L,    1L,    0L},
 {8,1016,      0x3L,    1L,    1L,    0L}}}},
 };
 
const struct SMIA_ISM_PWMStd *pa2TableSet[ 12 ][2] =
  {
    {&SMIA_ISM_A_STDPWMTABLE0, &SMIA_ISM_A_STDPWMTABLE0_EDUL},   /* SMIA_nMW2000_FrontContacted_Basic_Classic (No 0)            */ 
    {&SMIA_ISM_A_STDPWMTABLE1, &SMIA_ISM_A_STDPWMTABLE1_EDUL},   /* SMIA_nMW2000_FrontContacted_Silent_Classic  (No 1)          */ 
    {&SMIA_ISM_A_STDPWMTABLE2, &SMIA_ISM_A_STDPWMTABLE2_EDUL},   /* SMIA_nMW2000_RearContacted_Basic_Classic (No 2)             */ 
    {&SMIA_ISM_A_STDPWMTABLE3, &SMIA_ISM_A_STDPWMTABLE3_EDUL},   /* SMIA_nSM23  (No 3)                                          */ 
    {&SMIA_ISM_A_STDPWMTABLE4, &SMIA_ISM_A_STDPWMTABLE4_EDUL},   /* SMIA_nMW2000_FrontContacted_Silent_FullValued   (No 4)      */ 
    {&SMIA_ISM_A_STDPWMTABLE5, &SMIA_ISM_A_STDPWMTABLE5_EDUL},   /* SMIA_nMW2000_FrontContacted_Basic_Valued  (No 5)            */ 
    {&SMIA_ISM_A_STDPWMTABLE6, &SMIA_ISM_A_STDPWMTABLE6_EDUL},   /* SMIA_nMW2000_FrontContacted_Basic_FullValued (No 6)         */ 
    {&SMIA_ISM_A_STDPWMTABLE7, &SMIA_ISM_A_STDPWMTABLE7_EDUL},   /* SMIA_nMW2000_FrontContacted_NoiseReduced_Classic (No 7)     */ 
    {&SMIA_ISM_A_STDPWMTABLE8, &SMIA_ISM_A_STDPWMTABLE8_EDUL},   /* SMIA_nMW2000_FrontContacted_NoiseReduced_FullValued  (No 8) */ 
    {&SMIA_ISM_A_STDPWMTABLE9, &SMIA_ISM_A_STDPWMTABLE9_EDUL},   /* SMIA_nMW2000_FrontContacted_Fair  (No 9)                    */ 
    {&SMIA_ISM_A_STDPWMTABLE10, &SMIA_ISM_A_STDPWMTABLE10_EDUL}, /* SMIA_nMW2000_RearContacted_Basic_FullValued (No 10)         */ 
    {&SMIA_ISM_A_STDPWMTABLE11, &SMIA_ISM_A_STDPWMTABLE11_EDUL}  /* SMIA_nMW2000_RearContacted_Fair  (No 11)                    */
  };